=== modified file '.bzrignore'
--- .bzrignore	2008-10-24 17:15:39 +0000
+++ .bzrignore	2008-07-29 20:42:35 +0000
@@ -4,4 +4,3 @@
 ./loggerhead.pid
 ./logs
 build
-*.log

=== modified file 'NEWS'
--- NEWS	2008-11-17 02:13:23 +0000
+++ NEWS	2008-07-31 05:41:42 +0000
@@ -1,39 +1,9 @@
 What's changed in loggerhead?
 =============================
 
-dev [future]
-    - Add startup deamon script for Linux (Marius Kruger)
-
-    - Switch navigation from file_ids to paths. Fixes bugs #260363, #269365
-      and #128926. (Martin Albisetti)
-
-    - Fix bug #258710 ("the /files page explodes in an empty branch").
-      Also minor improvements to the /files and /changes pages.
-      (Marius Kruger)
-
-    - Added --port, --host and --prefix options to serve-branches
-      script. (Martin Albisetti)
-
-    - Fixed broken template for project browsing with start-loggerhead
-      (Martin Albisetti)
-
-    - Added --reload options to restart the application when a python
-      file change. (Guillermo Gonzalez)
-
-    - Added error handling middleware. (Guillermo Gonzalez)
-
-    - Fix bug #243415 ("Tracebacks go to console but not log
-      file"). Also minor improvements to logging in serve-branches and
-      start-loggerhead. (Guillermo Gonzalez)
-
-1.6 [15Aug2008]
+1.6 [unreleased]
 ----------------
 
-    - Download a diffs between revisions. (Martin Albisetti)
-
-    - Modified templates to make loggerhead's theme easier to
-      change. (Paul Hummer)
-
     - Default sqlite interface is now sqlite3. (Robert Collins)
 
     - New ninja theme sponsored by Canonical (Martin Albisetti)
@@ -43,15 +13,12 @@
     - Remove the .py extension requiered by the Debian Policy.
       (Jelmer Vernooij)
 
-    - New startup script serve-branches will serve Loggerhead without
-      the need of configuration, and allow you to browse through directories
-      and branches. (Michael Hudson)
-
     - Loggerhead is no longer a TurboGears application, but rather a
       WSGI application built using Paste (see http://wsgi.org/ and
-      http://pythonpaste.org/ for more about WSGI and Paste).
+      http://pythonpaste.org/ for more about WSGI and Paste). XXX more.
 
-    - URLs now use revision numbers instead of revision ids (Martin Albisetti)
+    - zpt.cleaner_urls bug 138021 ("loggerhead should generate links
+      based on revision numbers and file paths").  XXX more.
 
     - The scripts no longer insist on Python 2.4 -- loggerhead works
       fine with 2.5.

=== modified file 'README.txt'
--- README.txt	2008-10-02 21:12:58 +0000
+++ README.txt	2008-07-26 17:53:10 +0000
@@ -11,16 +11,10 @@
 GETTING STARTED
 ---------------
 
-Loggerhead depends on 
-1) SimpleTAL for templating.
-   on Ubuntu package `sudo apt-get install python-simpletal`
-   or download from http://www.owlfish.com/software/simpleTAL/download.html
-2) Paste for the server. (You need version 1.2 or newer of Paste.) 
-   on Ubuntu package `sudo apt-get install python-paste`
-   or use `easy_install Paste`
-3) Paste Deploy  (optional, needed when proxying through Apache)
-   on Ubuntu package `sudo apt-get install python-pastedeploy`
-   or use `easy_install PasteDeploy`
+Loggerhead depends on SimpleTAL for templating and Paste for the
+server.  So you need these installed -- on Ubuntu you want the
+'python-simpletal' and 'python-paste' packages installed.  You need
+version 1.2 or newer of Paste.
 
 Then simply run the 'serve-branches' with the branch you want to
 serve on the command line:
@@ -36,16 +30,6 @@
 Loggerhead will notice and refresh, and Bazaar uses its own branch
 locking to prevent corruption.
 
-To run loggerhead as a linux daemon: 
-1) Copy loggerheadd to /etc/init.d
-2) Edit the file to configure where your loggerhead is installed, and which
-   serve-branches options you would like.
-3) Register the service
-   cd /etc/init.d
-   a) on upstart based systems like Ubuntu run: 
-      update-rc.d loggerheadd defaults
-   b) on Sysvinit based systems like Centos or SuSE run:
-      chkconfig --add loggerheadd
 
 USING A CONFIG FILE
 -------------------
@@ -92,7 +76,10 @@
 
 If Paste Deploy is installed, the 'serve-branches' script can be
 run behind a proxy at the root of a site, but if you're running it at
-some path into the site, you'll need to specify is using '--prefix=/some_path'.
+some path into the site, you'll need to add a 'prefix' argument to the
+PrefixMiddleware call in the script.  More flexible configuration
+should be added soon...
+
 
 FILES CHANGED CACHE
 -------------------

=== modified file 'loggerhead/apps/__init__.py'
--- loggerhead/apps/__init__.py	2008-11-17 02:23:41 +0000
+++ loggerhead/apps/__init__.py	2008-07-01 04:01:31 +0000
@@ -10,4 +10,3 @@
 static_app = urlparser.make_static(None, static)
 
 favicon_app = fileapp.FileApp(os.path.join(static, 'images', 'favicon.ico'))
-robots_app = fileapp.FileApp(os.path.join(static, 'robots.txt'))

=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2008-10-24 02:26:05 +0000
+++ loggerhead/apps/branch.py	2008-08-05 05:17:47 +0000
@@ -2,7 +2,6 @@
 
 import logging
 import urllib
-import sys
 
 import bzrlib.branch
 import bzrlib.lru_cache
@@ -18,7 +17,6 @@
 from loggerhead.controllers.atom_ui import AtomUI
 from loggerhead.controllers.download_ui import DownloadUI
 from loggerhead.controllers.search_ui import SearchUI
-from loggerhead.controllers.diff_ui import DiffUI
 from loggerhead.history import History
 from loggerhead import util
 
@@ -26,16 +24,15 @@
 class BranchWSGIApp(object):
 
     def __init__(self, branch, friendly_name=None, config={},
-                 graph_cache=None, branch_link=None, is_root=False):
+                 graph_cache=None, branch_link=None):
         self.branch = branch
         self._config = config
         self.friendly_name = friendly_name
         self.branch_link = branch_link  # Currently only used in Launchpad
-        self.log = logging.getLogger('loggerhead.%s' % friendly_name)
+        self.log = logging.getLogger('loggerhead.%s' % (friendly_name,))
         if graph_cache is None:
             graph_cache = bzrlib.lru_cache.LRUCache()
         self.graph_cache = graph_cache
-        self.is_root = is_root
 
     def get_history(self):
         _history = History(self.branch, self.graph_cache)
@@ -81,12 +78,11 @@
         'download': DownloadUI,
         'atom': AtomUI,
         'search': SearchUI,
-        'diff': DiffUI,
         }
 
     def last_updated(self):
         h = self.get_history()
-        change = h.get_changes([h.last_revid])[0]
+        change = h.get_changes([ h.last_revid ])[0]
         return change.date
 
     def branch_url(self):
@@ -109,12 +105,7 @@
             raise httpexceptions.HTTPNotFound()
         self.branch.lock_read()
         try:
-            try:
-                c = cls(self, self.get_history())
-                return c(environ, start_response)
-            except:
-                environ['exc_info'] = sys.exc_info()
-                environ['branch'] = self
-                raise
+            c = cls(self, self.get_history())
+            return c(environ, start_response)
         finally:
             self.branch.unlock()

=== modified file 'loggerhead/apps/config.py'
--- loggerhead/apps/config.py	2008-11-17 02:23:41 +0000
+++ loggerhead/apps/config.py	2008-07-01 04:01:31 +0000
@@ -17,7 +17,7 @@
 from paste.wsgiwrappers import WSGIResponse
 
 from loggerhead.apps.branch import BranchWSGIApp
-from loggerhead.apps import favicon_app, static_app, robots_app
+from loggerhead.apps import favicon_app, static_app
 from loggerhead.templatefunctions import templatefunctions
 from loggerhead.zptsupport import load_template
 from loggerhead import util
@@ -26,7 +26,6 @@
 
 from loggerhead.history import is_branch
 
-
 class Project(object):
     """A project contains the branches.
 
@@ -74,9 +73,7 @@
         log.debug('Rescanning auto-folder for project %s ...', self.name)
         for folder in auto_list:
             view_name = os.path.basename(folder)
-            log.debug('Auto-configuring (project %s) branch %s...',
-                      self.name,
-                      view_name)
+            log.debug('Auto-configuring (project %s) branch %s...', self.name, view_name)
             self._add_view(view_name, ConfigObj(), folder)
         self._auto_list = auto_list
 
@@ -93,8 +90,7 @@
         description = view_config.get('description', None)
         if description is not None:
             return description
-        description = history._branch.get_config().get_user_option(
-                          'description')
+        description = history._branch.get_config().get_user_option('description')
         return description
 
     def _add_view(self, view_name, view_config, folder):
@@ -111,9 +107,7 @@
             self.view_data_by_name[view_name] = {
                 'branch_path': folder,
                 'args': (view_name, view_config, self.graph_cache),
-                'description': self._get_description(view,
-                                                     view_config,
-                                                     history),
+                'description': self._get_description(view, view_config, history),
                 '_src_folder': folder,
                 '_view_config': view_config,
                 'friendly_name': friendly_name,
@@ -164,8 +158,8 @@
         self.projects_by_name = {}
         graph_cache = bzrlib.lru_cache.LRUCache()
         for project_name in self.config.sections:
-            project = Project(project_name, self.config[project_name],
-                              self.config, graph_cache)
+            project = Project(
+                project_name, self.config[project_name], self.config, graph_cache)
             self.projects.append(project)
             self.projects_by_name[project_name] = project
 
@@ -175,9 +169,7 @@
         # branches again.
         for p in self.projects:
             p._recheck_auto_folders()
-
         class branch(object):
-
             @staticmethod
             def static_url(path):
                 return self._static_url_base + path
@@ -216,8 +208,6 @@
             response = WSGIResponse()
             self.browse(response)
             return response(environ, start_response)
-        elif segment == 'robots.txt':
-            return robots_app(environ, start_response)
         elif segment == 'static':
             return static_app(environ, start_response)
         elif segment == 'favicon.ico':

=== removed file 'loggerhead/apps/error.py'
--- loggerhead/apps/error.py	2008-10-24 02:26:05 +0000
+++ loggerhead/apps/error.py	1970-01-01 00:00:00 +0000
@@ -1,58 +0,0 @@
-# Copyright (C) 2008  Guillermo Gonzalez <guillo.gonzo@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-from loggerhead.controllers.error_ui import ErrorUI
-
-
-class ErrorHandlerApp(object):
-    """Class for WSGI error logging middleware."""
-
-    msg = " %s.%s: %s \n"
-
-    def __init__(self, application, **kwargs):
-        self.application = application
-
-    def __call__(self, environ, start_response):
-        try:
-            return self.application(environ, start_response)
-        except:
-            # test if exc_info has been set, in the case that
-            # the error is caused before BranchWSGGIApp middleware
-            if 'exc_info' in environ.keys() and 'branch' in environ.keys():
-                # Log and/or report any application errors
-                return self.handle_error(environ, start_response)
-            else:
-                # simply propagate the error, this is logged
-                # by paste.httpexceptions.TransLogger middleware
-                raise
-
-    def handle_error(self, environ, start_response):
-        """Exception hanlder."""
-        self.log_error(environ)
-        return errapp(environ, start_response)
-
-    def log_error(self, environ):
-        exc_type, exc_object, exc_tb = environ['exc_info']
-        logger = environ['branch'].log
-        logger.exception(self.msg, exc_type.__module__,
-                              exc_type.__name__, exc_object)
-
-
-def errapp(environ, start_response):
-    '''Default (and trivial) error handling WSGI application.'''
-    c = ErrorUI(environ['branch'], environ['exc_info'])
-    return c(environ, start_response)

=== modified file 'loggerhead/apps/filesystem.py'
--- loggerhead/apps/filesystem.py	2008-10-24 02:26:05 +0000
+++ loggerhead/apps/filesystem.py	2008-08-05 05:11:33 +0000
@@ -16,7 +16,6 @@
 
 
 class BranchesFromFileSystemServer(object):
-
     def __init__(self, path, root, name=None):
         self.path = path
         self.root = root
@@ -25,13 +24,10 @@
     def app_for_branch(self, branch):
         if not self.name:
             name = branch.nick
-            is_root = True
         else:
             name = self.name
-            is_root = False
         branch_app = BranchWSGIApp(
-            branch, name, {'cachepath': sql_dir}, self.root.graph_cache,
-            is_root=is_root)
+            branch, name, {'cachepath': sql_dir}, self.root.graph_cache)
         return branch_app.app
 
     def app_for_non_branch(self, environ):
@@ -44,9 +40,7 @@
                 name = self.name
             else:
                 name = '/'
-            return DirectoryUI(environ['loggerhead.static.url'],
-                               self.path,
-                               name)
+            return DirectoryUI(environ['loggerhead.static.url'], self.path, name)
         else:
             new_path = os.path.join(self.path, segment)
             if self.name:

=== modified file 'loggerhead/changecache.py'
--- loggerhead/changecache.py	2008-10-24 02:26:05 +0000
+++ loggerhead/changecache.py	2008-07-31 05:41:42 +0000
@@ -33,53 +33,51 @@
 
 with_lock = util.with_lock('_lock', 'ChangeCache')
 
-try:
+SQLITE_INTERFACE = os.environ.get('SQLITE_INTERFACE', 'sqlite3')
+
+if SQLITE_INTERFACE == 'sqlite3':
     from sqlite3 import dbapi2
-except ImportError:
-    from pysqlite2 import dbapi2
+    _param_marker = '?'
+
+_select_stmt = ("select data from revisiondata where revid = ?"
+                ).replace('?', _param_marker)
+_insert_stmt = ("insert into revisiondata (revid, data) "
+                "values (?, ?)").replace('?', _param_marker)
+
+
 
 
 class FakeShelf(object):
-
     def __init__(self, filename):
         create_table = not os.path.exists(filename)
         self.connection = dbapi2.connect(filename)
         self.cursor = self.connection.cursor()
         if create_table:
             self._create_table()
-
     def _create_table(self):
         self.cursor.execute(
             "create table RevisionData "
             "(revid binary primary key, data binary)")
         self.connection.commit()
-
     def _serialize(self, obj):
         r = dbapi2.Binary(cPickle.dumps(obj, protocol=2))
         return r
-
     def _unserialize(self, data):
         return cPickle.loads(str(data))
-
     def get(self, revid):
-        self.cursor.execute(
-            "select data from revisiondata where revid = ?", (revid, ))
+        self.cursor.execute(_select_stmt, (revid,))
         filechange = self.cursor.fetchone()
         if filechange is None:
             return None
         else:
             return self._unserialize(filechange[0])
-
     def add(self, revid_obj_pairs):
-        for (r, d) in revid_obj_pairs:
-            self.cursor.execute(
-                "insert into revisiondata (revid, data) values (?, ?)",
-                (r, self._serialize(d)))
+        for  (r, d) in revid_obj_pairs:
+            self.cursor.execute(_insert_stmt, (r, self._serialize(d)))
         self.connection.commit()
 
 
 class FileChangeCache(object):
-
     def __init__(self, history, cache_path):
         self.history = history
 
@@ -107,8 +105,7 @@
                 missing_entry_indices.append(len(out))
                 out.append(None)
         if missing_entries:
-            missing_changes = self.history.get_file_changes_uncached(
-                                  missing_entries)
+            missing_changes = self.history.get_file_changes_uncached(missing_entries)
             revid_changes_pairs = []
             for i, entry, changes in zip(
                 missing_entry_indices, missing_entries, missing_changes):

=== modified file 'loggerhead/controllers/__init__.py'
--- loggerhead/controllers/__init__.py	2008-10-25 19:26:49 +0000
+++ loggerhead/controllers/__init__.py	2008-07-22 00:40:03 +0000
@@ -1,5 +1,4 @@
 #
-# Copyright (C) 2008  Canonical Ltd.
 # Copyright (C) 2006  Robey Pointer <robey@lag.net>
 # Copyright (C) 2006  Goffredo Baroncelli <kreijack@inwind.it>
 #
@@ -26,7 +25,6 @@
 from loggerhead.templatefunctions import templatefunctions
 from loggerhead.zptsupport import load_template
 
-
 class BufferingWriter(object):
 
     def __init__(self, writefunc, buf_limit):
@@ -53,7 +51,6 @@
         if self.buflen > self.buf_limit:
             self.flush()
 
-
 class TemplatedBranchView(object):
 
     template_path = None
@@ -66,8 +63,8 @@
     def __call__(self, environ, start_response):
         z = time.time()
         h = self._history
-        kwargs = dict(parse_querystring(environ))
-        util.set_context(kwargs)
+        kw = dict(parse_querystring(environ))
+        util.set_context(kw)
         args = []
         while 1:
             arg = path_info_pop(environ)
@@ -75,19 +72,7 @@
                 break
             args.append(arg)
 
-        revid = None
-        if h is not None:
-            if len(args) > 0:
-                revid = h.fix_revid(args[0])
-            else:
-                revid = h.last_revid
-
-        path = None
-        if len(args) > 1:
-            path = '/'.join(args[1:])
-
         vals = {
-            'static_url': self._branch.static_url,
             'branch': self._branch,
             'util': util,
             'history': h,
@@ -95,10 +80,10 @@
         }
         vals.update(templatefunctions)
         headers = {}
-        vals.update(self.get_values(h, revid, path, kwargs, headers))
+        vals.update(self.get_values(h, args, kw, headers))
 
         self.log.info('Getting information for %s: %r secs' % (
-            self.__class__.__name__, time.time() - z))
+            self.__class__.__name__, time.time() - z,))
         if 'Content-Type' not in headers:
             headers['Content-Type'] = 'text/html'
         writer = start_response("200 OK", headers.items())
@@ -107,11 +92,6 @@
         w = BufferingWriter(writer, 8192)
         template.expand_into(w, **vals)
         w.flush()
-        self.log.info(
-            'Rendering %s: %r secs, %s bytes, %s (%2.1f%%) bytes saved' % (
-                self.__class__.__name__,
-                time.time() - z,
-                w.bytes,
-                w.bytes_saved,
-                100.0*w.bytes_saved/w.bytes))
+        self.log.info('Rendering %s: %r secs, %s bytes, %s (%2.1f%%) bytes saved' % (
+            self.__class__.__name__, time.time() - z, w.bytes, w.bytes_saved, 100.0*w.bytes_saved/w.bytes))
         return []

=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2008-11-17 18:08:38 +0000
+++ loggerhead/controllers/annotate_ui.py	2008-07-23 21:41:49 +0000
@@ -20,7 +20,7 @@
 import os
 import posixpath
 
-from paste.httpexceptions import HTTPBadRequest, HTTPServerError
+from paste.httpexceptions import HTTPBadRequest
 
 from loggerhead.controllers import TemplatedBranchView
 from loggerhead import util
@@ -32,21 +32,28 @@
     path = posixpath.dirname(path)
     return path
 
-
 class AnnotateUI (TemplatedBranchView):
 
     template_path = 'loggerhead.templates.annotate'
 
-    def get_values(self, history, revid, path, kwargs, headers):
-
-        revid = history.fix_revid(revid)
-        file_id = kwargs.get('file_id', None)
+    def get_values(self, h, args, kw, headers):
+        if len(args) > 0:
+            revid = h.fix_revid(args[0])
+        else:
+            revid = h.last_revid
+
+        path = None
+        if len(args) > 1:
+            path = '/'.join(args[1:])
+            if not path.startswith('/'):
+                path = '/' + path
+
+        file_id = kw.get('file_id', None)
         if (file_id is None) and (path is None):
-            raise HTTPBadRequest('No file_id or filename '
-                                 'provided to annotate')
+            raise HTTPBadRequest('No file_id or filename provided to annotate')
 
         if file_id is None:
-            file_id = history.get_file_id(revid, path)
+            file_id = h.get_file_id(revid, path)
 
         # no navbar for revisions
         navigation = util.Container()
@@ -55,38 +62,13 @@
             path = h.get_path(revid, file_id)
         filename = os.path.basename(path)
 
-        change = history.get_changes([ revid ])[0]
-        # If we're looking at the tip, use head: in the URL instead
-        if revid == history.last_revid:
-            revno_url = 'head:'
-        else:
-            revno_url = history.get_revno(revid)
-
-        # Directory Breadcrumbs
-        directory_breadcrumbs = (
-            util.directory_breadcrumbs(
-                self._branch.friendly_name,
-                self._branch.is_root,
-                'files'))
-
-        # Create breadcrumb trail for the path within the branch
-        try:
-            inv = history.get_inventory(revid)
-        except:
-            self.log.exception('Exception fetching changes')
-            raise HTTPServerError('Could not fetch changes')
-        branch_breadcrumbs = util.branch_breadcrumbs(path, inv, 'files')
-
         return {
             'revid': revid,
-            'revno_url': revno_url,
             'file_id': file_id,
             'path': path,
             'filename': filename,
             'navigation': navigation,
-            'change': change,
-            'contents': list(history.annotate_file(file_id, revid)),
+            'change': h.get_changes([ revid ])[0],
+            'contents': list(h.annotate_file(file_id, revid)),
             'fileview_active': True,
-            'directory_breadcrumbs': directory_breadcrumbs,
-            'branch_breadcrumbs': branch_breadcrumbs,
         }

=== modified file 'loggerhead/controllers/atom_ui.py'
--- loggerhead/controllers/atom_ui.py	2008-10-25 19:19:05 +0000
+++ loggerhead/controllers/atom_ui.py	2008-07-22 00:40:03 +0000
@@ -24,11 +24,11 @@
 
     template_path = 'loggerhead.templates.atom'
 
-    def get_values(self, history, revid, path, kwargs, headers):
+    def get_values(self, h, args, kw, headers):
         pagesize = int(20)#self._branch.config.get('pagesize', '20'))
 
-        revid_list = history.get_file_view(history.last_revid, None)
-        entries = list(history.get_changes(list(revid_list)[:pagesize]))
+        revid_list = h.get_file_view(h.last_revid, None)
+        entries = list(h.get_changes(list(revid_list)[:pagesize]))
 
         headers['Content-Type'] = 'application/atom+xml'
         return {

=== modified file 'loggerhead/controllers/changelog_ui.py'
--- loggerhead/controllers/changelog_ui.py	2008-10-25 19:26:49 +0000
+++ loggerhead/controllers/changelog_ui.py	2008-07-22 00:40:03 +0000
@@ -27,22 +27,23 @@
 
     template_path = 'loggerhead.templates.changelog'
 
-    def get_values(self, history, revid, path, kwargs, headers):
+    def get_values(self, h, args, kw, headers):
+        if args:
+            revid = h.fix_revid(args[0])
+        else:
+            revid = None
 
-        filter_file_id = kwargs.get('filter_file_id', None)
-        query = kwargs.get('q', None)
-        start_revid = history.fix_revid(kwargs.get('start_revid', None))
+        filter_file_id = kw.get('filter_file_id', None)
+        query = kw.get('q', None)
+        start_revid = h.fix_revid(kw.get('start_revid', None))
         orig_start_revid = start_revid
         pagesize = 20#int(config.get('pagesize', '20'))
         search_failed = False
 
-        if filter_file_id is None and path is not None:
-            filter_file_id = history.get_file_id(revid, path)
-
         try:
-            revid, start_revid, revid_list = history.get_view(
+            revid, start_revid, revid_list = h.get_view(
                 revid, start_revid, filter_file_id, query)
-            util.set_context(kwargs)
+            util.set_context(kw)
 
             if (query is not None) and (len(revid_list) == 0):
                 search_failed = True
@@ -56,8 +57,8 @@
                     i = None
                 scan_list = revid_list[i:]
             change_list = scan_list[:pagesize]
-            changes = list(history.get_changes(change_list))
-            history.add_changes(changes)
+            changes = list(h.get_changes(change_list))
+            h.add_changes(changes)
         except:
             self.log.exception('Exception fetching changes')
             raise HTTPServerError('Could not fetch changes')
@@ -65,34 +66,38 @@
         navigation = util.Container(
             pagesize=pagesize, revid=revid, start_revid=start_revid,
             revid_list=revid_list, filter_file_id=filter_file_id,
-            scan_url='/changes', branch=self._branch, feed=True, history=history)
+            scan_url='/changes', branch=self._branch, feed=True, history=h)
         if query is not None:
             navigation.query = query
         util.fill_in_navigation(navigation)
 
         # add parent & merge-point branch-nick info, in case it's useful
-        history.get_branch_nicks(changes)
-
-        # Directory Breadcrumbs
-        directory_breadcrumbs = (
-            util.directory_breadcrumbs(
-                self._branch.friendly_name,
-                self._branch.is_root,
-                'changes'))
+        h.get_branch_nicks(changes)
+
+        # does every change on this page have the same committer?  if so,
+        # tell the template to show committer info in the "details block"
+        # instead of on each line.
+        all_same_author = True
+
+        if changes:
+            author = changes[0].author
+            for e in changes[1:]:
+                if e.author != author:
+                    all_same_author = False
+                    break
 
         return {
             'branch': self._branch,
             'changes': changes,
             'util': util,
-            'history': history,
+            'history': h,
             'revid': revid,
             'navigation': navigation,
             'filter_file_id': filter_file_id,
             'start_revid': start_revid,
-            'viewing_from': (orig_start_revid is not None) and 
-                            (orig_start_revid != history.last_revid),
+            'viewing_from': (orig_start_revid is not None) and (orig_start_revid != h.last_revid),
             'query': query,
             'search_failed': search_failed,
+            'all_same_author': all_same_author,
             'url': self._branch.context_url,
-            'directory_breadcrumbs': directory_breadcrumbs,
         }

=== removed file 'loggerhead/controllers/diff_ui.py'
--- loggerhead/controllers/diff_ui.py	2008-11-07 14:20:51 +0000
+++ loggerhead/controllers/diff_ui.py	1970-01-01 00:00:00 +0000
@@ -1,83 +0,0 @@
-# Copyright (C) 2008  Canonical Ltd.
-#                     (Authored by Martin Albisetti <argentina@gmail.com>)
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-from cStringIO import StringIO
-import logging
-import time
-
-from paste.request import path_info_pop
-
-from bzrlib.diff import show_diff_trees
-
-
-log = logging.getLogger("loggerhead.controllers")
-
-
-class DiffUI(object):
-    """Class to output a diff for a single file or revisions."""
-
-    def __init__(self, branch, history):
-        self._branch = branch
-        self._history = history
-        self.log = history.log
-
-    def __call__(self, environ, start_response):
-        # /diff/<rev_id>/<rev_id>
-        """Default method called from /diff URL."""
-        z = time.time()
-
-        args = []
-        while 1:
-            arg = path_info_pop(environ)
-            if arg is None:
-                break
-            args.append(arg)
-
-        revid_from = args[0]
-        # Convert a revno to a revid if we get a revno
-        revid_from = self._history.fix_revid(revid_from)
-        change = self._history.get_changes([revid_from])[0]
-
-        if len(args) is 2:
-            revid_to = self._history.fix_revid(args[1])
-        else:
-            revid_to = change.parents[0].revid
-
-        repo = self._branch.branch.repository
-        revtree1 = repo.revision_tree(revid_to)
-        revtree2 = repo.revision_tree(revid_from)
-
-        diff_content_stream = StringIO()
-        show_diff_trees(revtree1, revtree2, diff_content_stream,
-                        old_label='', new_label='')
-
-        content = diff_content_stream.getvalue()
-
-        self.log.info('/diff %r:%r in %r secs' % (revid_from, revid_to,
-                                                  time.time() - z))
-
-        revno1 = self._history.get_revno(revid_from)
-        revno2 = self._history.get_revno(revid_to)
-        filename = '%s_%s.diff' % (revno1, revno2)
-        headers = [
-            ('Content-Type', 'application/octet-stream'),
-            ('Content-Length', len(content)),
-            ('Content-Disposition', 'attachment; filename=%s' % filename),
-            ]
-        start_response('200 OK', headers)
-        return [content]

=== modified file 'loggerhead/controllers/directory_ui.py'
--- loggerhead/controllers/directory_ui.py	2008-10-25 19:26:49 +0000
+++ loggerhead/controllers/directory_ui.py	2008-08-04 21:22:16 +0000
@@ -22,25 +22,16 @@
 
 from bzrlib import branch
 
-from loggerhead import util
 from loggerhead.controllers import TemplatedBranchView
 
-
 class DirEntry(object):
-
     def __init__(self, dirname, parity, branch):
         self.dirname = dirname
         self.parity = parity
         self.branch = branch
         if branch is not None:
-            # If a branch is empty, bzr raises an exception when trying this
-            try:
-                self.last_change = datetime.datetime.fromtimestamp(
-                    branch.repository.get_revision(
-                        branch.last_revision()).timestamp)
-            except:
-                self.last_change = None
-
+            self.last_change =  datetime.datetime.fromtimestamp(
+                branch.repository.get_revision(branch.last_revision()).timestamp)
 
 class DirectoryUI(TemplatedBranchView):
     """
@@ -49,13 +40,8 @@
     template_path = 'loggerhead.templates.directory'
 
     def __init__(self, static_url_base, path, name):
-
         class _branch(object):
             context_url = 1
-
-            @staticmethod
-            def static_url(path):
-                return self._static_url_base + path
         self._branch = _branch
         self._history = None
         self._path = path
@@ -63,13 +49,15 @@
         self._static_url_base = static_url_base
         self.log = logging.getLogger('')
 
-    def get_values(self, h, revid, path, kwargs, response):
+    def get_values(self, h, args, kwargs, response):
         listing = [d for d in os.listdir(self._path)
                    if not d.startswith('.')
                    and os.path.isdir(os.path.join(self._path, d))]
         listing.sort(key=lambda x: x.lower())
         dirs = []
         parity = 0
+        def static_url(path):
+            return self._static_url_base + path
         for d in listing:
             p = os.path.join(self._path, d)
             try:
@@ -78,13 +66,8 @@
                 b = None
             dirs.append(DirEntry(d, parity, b))
             parity = 1 - parity
-        # Create breadcrumb trail
-        directory_breadcrumbs = util.directory_breadcrumbs(
-                self._name,
-                False,
-                'directory')
         return {
             'dirs': dirs,
             'name': self._name,
-            'directory_breadcrumbs': directory_breadcrumbs,
+            'static_url': static_url,
             }

=== modified file 'loggerhead/controllers/download_ui.py'
--- loggerhead/controllers/download_ui.py	2008-10-24 02:26:05 +0000
+++ loggerhead/controllers/download_ui.py	2008-07-01 02:38:56 +0000
@@ -48,8 +48,7 @@
             args.append(arg)
 
         if len(args) < 2:
-            raise httpexceptions.HTTPMovedPermanently(self._branch.url(
-                      '../changes'))
+            raise httpexceptions.HTTPMovedPermanently(self._branch.url('../changes'))
 
         revid = h.fix_revid(args[0])
         file_id = args[1]
@@ -58,14 +57,11 @@
         if mime_type is None:
             mime_type = 'application/octet-stream'
 
-        self.log.info('/download %s @ %s (%d bytes)',
-                      path,
-                      h.get_revno(revid),
-                      len(content))
+        self.log.info('/download %s @ %s (%d bytes)', path, h.get_revno(revid), len(content))
         headers = [
             ('Content-Type', mime_type),
             ('Content-Length', len(content)),
-            ('Content-Disposition', 'attachment; filename=%s' % filename),
+            ('Content-Disposition', 'attachment; filename=%s'%(filename,)),
             ]
         start_response('200 OK', headers)
         return [content]

=== removed file 'loggerhead/controllers/error_ui.py'
--- loggerhead/controllers/error_ui.py	2008-10-24 02:26:05 +0000
+++ loggerhead/controllers/error_ui.py	1970-01-01 00:00:00 +0000
@@ -1,49 +0,0 @@
-#
-# Copyright (C) 2008  Guillermo Gonzalez <guillo.gonzo@gmail.com>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-from StringIO import StringIO
-import traceback
-
-from loggerhead.controllers import TemplatedBranchView
-from loggerhead import util
-
-
-class ErrorUI(TemplatedBranchView):
-
-    template_path = 'loggerhead.templates.error'
-
-    def __init__(self, branch, exc_info):
-        super(ErrorUI, self).__init__(branch, None)
-        self.exc_info = exc_info
-
-    def get_values(self, h, args, kw, headers):
-        exc_type, exc_object, exc_tb = self.exc_info
-        description = StringIO()
-        traceback.print_exception(exc_type, exc_object, None, file=description)
-        directory_breadcrumbs = (
-            util.directory_breadcrumbs(
-                self._branch.friendly_name,
-                self._branch.is_root,
-                'changes'))
-        return {
-            'branch': self._branch,
-            'error_title': ('An unexpected error occurred while'
-                            'proccesing the request:'),
-            'error_description': description.getvalue(),
-            'directory_breadcrumbs': directory_breadcrumbs,
-        }

=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2008-10-30 11:59:51 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-07-23 21:41:49 +0000
@@ -1,5 +1,4 @@
 #
-# Copyright (C) 2008  Canonical Ltd.
 # Copyright (C) 2006  Robey Pointer <robey@lag.net>
 # Copyright (C) 2006  Goffredo Baroncelli <kreijack@inwind.it>
 #
@@ -20,24 +19,19 @@
 
 import logging
 import posixpath
-import urllib
 
 from paste.httpexceptions import HTTPServerError
 
-from bzrlib.revision import is_null as is_null_rev
-
 from loggerhead import util
 from loggerhead.controllers import TemplatedBranchView
 
 
 log = logging.getLogger("loggerhead.controllers")
 
-
 def dirname(path):
-    if path is not None:
-        while path.endswith('/'):
-            path = path[:-1]
-        path = urllib.quote(posixpath.dirname(path))
+    while path.endswith('/'):
+        path = path[:-1]
+    path = posixpath.dirname(path)
     return path
 
 
@@ -45,94 +39,56 @@
 
     template_path = 'loggerhead.templates.inventory'
 
-    def get_values(self, history, revid, path, kwargs, headers):
+    def get_values(self, h, args, kw, headers):
+        if len(args) > 0:
+            revid = h.fix_revid(args[0])
+        else:
+            revid = h.last_revid
 
         try:
-            inv = history.get_inventory(revid)
+            inv = h.get_inventory(revid)
         except:
             self.log.exception('Exception fetching changes')
             raise HTTPServerError('Could not fetch changes')
 
-        file_id = kwargs.get('file_id', None)
-        start_revid = kwargs.get('start_revid', None)
-        sort_type = kwargs.get('sort', None)
+        file_id = kw.get('file_id', inv.root.file_id)
+        start_revid = kw.get('start_revid', None)
+        sort_type = kw.get('sort', None)
 
         # no navbar for revisions
         navigation = util.Container()
 
-        change = history.get_changes([ revid ])[0]
+        change = h.get_changes([ revid ])[0]
         # add parent & merge-point branch-nick info, in case it's useful
-        history.get_branch_nicks([ change ])
-
-        if path is not None:
-            if not path.startswith('/'):
-                path = '/' + path
-            file_id = history.get_file_id(revid, path)
-        else:
-            path = inv.id2path(file_id)
-
-        if file_id is None:
-            file_id = inv.root.file_id
-
+        h.get_branch_nicks([ change ])
+
+        path = inv.id2path(file_id)
+        if not path.startswith('/'):
+            path = '/' + path
         idpath = inv.get_idpath(file_id)
         if len(idpath) > 1:
-            updir = dirname(path)[1:]
-        else:
-            updir = None
-
-        # Directory Breadcrumbs
-        directory_breadcrumbs = util.directory_breadcrumbs(
-                self._branch.friendly_name,
-                self._branch.is_root,
-                'files')
-
-        if not is_null_rev(revid):
-            try:
-                inv = history.get_inventory(revid)
-            except:
-                self.log.exception('Exception fetching changes')
-                raise HTTPServerError('Could not fetch changes')
-
-            change = history.get_changes([ revid ])[0]
-            # If we're looking at the tip, use head: in the URL instead
-            if revid == history.last_revid:
-                revno_url = 'head:'
-            else:
-                revno_url = history.get_revno(revid)
-            # add parent & merge-point branch-nick info, in case it's useful
-            history.get_branch_nicks([ change ])
-
-            # Create breadcrumb trail for the path within the branch
-            branch_breadcrumbs = util.branch_breadcrumbs(path, inv, 'files')
-            filelist = history.get_filelist(inv, file_id, sort_type)
-        else:
-            inv = None
-            file_id = None
-            start_revid = None
-            sort_type = None
-            change = None
-            path = "/"
-            idpath = None
-            updir = None
-            branch_breadcrumbs = []
-            filelist = []
+            updir = dirname(path)
+            updir_file_id = idpath[-2]
+        else:
+            updir = None
+            updir_file_id = None
+        if updir == '/':
+            updir_file_id = None
 
         return {
             'branch': self._branch,
             'util': util,
             'revid': revid,
-            'revno_url': revno_url,
             'change': change,
             'file_id': file_id,
             'path': path,
             'updir': updir,
-            'filelist': filelist,
-            'history': history,
+            'updir_file_id': updir_file_id,
+            'filelist': h.get_filelist(inv, file_id, sort_type),
+            'history': h,
             'posixpath': posixpath,
             'navigation': navigation,
             'url': self._branch.context_url,
             'start_revid': start_revid,
             'fileview_active': True,
-            'directory_breadcrumbs': directory_breadcrumbs,
-            'branch_breadcrumbs': branch_breadcrumbs,
         }

=== modified file 'loggerhead/controllers/revision_ui.py'
--- loggerhead/controllers/revision_ui.py	2008-10-25 19:26:49 +0000
+++ loggerhead/controllers/revision_ui.py	2008-07-22 00:40:03 +0000
@@ -30,19 +30,21 @@
 
     template_path = 'loggerhead.templates.revision'
 
-    def get_values(self, h, revid, path, kwargs, headers):
-
-        filter_file_id = kwargs.get('filter_file_id', None)
-        start_revid = h.fix_revid(kwargs.get('start_revid', None))
-        query = kwargs.get('q', None)
-        remember = h.fix_revid(kwargs.get('remember', None))
-        compare_revid = h.fix_revid(kwargs.get('compare_revid', None))
+    def get_values(self, h, args, kw, headers):
+
+        if len(args) > 0:
+            revid = h.fix_revid(args[0])
+        else:
+            revid = None
+
+        filter_file_id = kw.get('filter_file_id', None)
+        start_revid = h.fix_revid(kw.get('start_revid', None))
+        query = kw.get('q', None)
+        remember = h.fix_revid(kw.get('remember', None))
+        compare_revid = h.fix_revid(kw.get('compare_revid', None))
 
         try:
-            revid, start_revid, revid_list = h.get_view(revid,
-                                                        start_revid,
-                                                        filter_file_id,
-                                                        query)
+            revid, start_revid, revid_list = h.get_view(revid, start_revid, filter_file_id, query)
         except:
             self.log.exception('Exception fetching changes')
             raise HTTPServerError('Could not fetch changes')
@@ -57,7 +59,7 @@
 
         change = h.get_change_with_diff(revid, compare_revid)
         # add parent & merge-point branch-nick info, in case it's useful
-        h.get_branch_nicks([change])
+        h.get_branch_nicks([ change ])
 
         line_count_limit = DEFAULT_LINE_COUNT_LIMIT
         line_count = 0
@@ -66,17 +68,9 @@
                 line_count += len(chunk.diff)
 
         # let's make side-by-side diff be the default
-        # FIXME: not currently in use. Should be
-        side_by_side = not kwargs.get('unified', False)
+        side_by_side = not kw.get('unified', False)
         if side_by_side:
-            h.add_side_by_side([change])
-
-        # Directory Breadcrumbs
-        directory_breadcrumbs = (
-            util.directory_breadcrumbs(
-                self._branch.friendly_name,
-                self._branch.is_root,
-                'changes'))
+            h.add_side_by_side([ change ])
 
         return {
             'branch': self._branch,
@@ -95,5 +89,4 @@
             'line_count': line_count,
             'line_count_limit': line_count_limit,
             'show_plain_diffs': line_count > line_count_limit,
-            'directory_breadcrumbs': directory_breadcrumbs,
         }

=== modified file 'loggerhead/controllers/search_ui.py'
--- loggerhead/controllers/search_ui.py	2008-10-25 19:26:49 +0000
+++ loggerhead/controllers/search_ui.py	2008-07-26 17:41:49 +0000
@@ -16,19 +16,22 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
+from paste.httpexceptions import HTTPServerError
+from loggerhead import history
+from loggerhead import util
 from loggerhead.controllers import TemplatedBranchView
 from loggerhead import search
 
 
 class SearchUI(TemplatedBranchView):
     """
-
+    
     Class to output progressive search result terms.
     """
 
     template_path = 'loggerhead.templates.search'
 
-    def get_values(self, history, revid, path, kwargs, response):
+    def get_values(self, h, args, kwargs, response):
         """
         Default method called from the search box as /search URL
 
@@ -38,11 +41,11 @@
         terms = []
         query = kwargs['query']
         if len(query) > 0:
-            terms = search.search_revisions(history._branch, query, True)
+            terms = search.search_revisions(h._branch, query, True)
             if terms is not None:
                 terms = [term[0] for term in terms]
             else:
                 # Should show a 'search is not available' etc box.
                 terms = []
 
-        return {'terms': terms}
+        return {'terms':terms}

=== modified file 'loggerhead/daemon.py'
--- loggerhead/daemon.py	2008-10-24 02:26:05 +0000
+++ loggerhead/daemon.py	2008-07-26 14:52:44 +0000
@@ -25,7 +25,7 @@
         try:
             pid = os.fork()     # Fork a second child.
         except OSError, e:
-            raise Exception("%s [%d]" % (e.strerror, e.errno))
+            raise Exception, "%s [%d]" % (e.strerror, e.errno)
 
         if pid == 0:  # The second child.
             os.chdir(WORKDIR)
@@ -53,8 +53,8 @@
             pass
 
     f = open(pidfile, 'w')
-    f.write('%d\n' % os.getpid())
-    f.write('%s\n' % home)
+    f.write('%d\n' % (os.getpid(),))
+    f.write('%s\n' % (home,))
     f.close()
 
 

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2008-10-27 02:05:58 +0000
+++ loggerhead/history.py	2008-07-26 17:53:10 +0000
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2008  Canonical Ltd.
+# Copyright (C) 2008  Canonical Ltd. 
 #                     (Authored by Martin Albisetti <argentina@gmail.com>)
 # Copyright (C) 2006  Robey Pointer <robey@lag.net>
 # Copyright (C) 2006  Goffredo Baroncelli <kreijack@inwind.it>
@@ -35,7 +35,6 @@
 import textwrap
 import threading
 import time
-import urllib
 from StringIO import StringIO
 
 from loggerhead import search
@@ -54,14 +53,10 @@
 # bzrlib's UIFactory is not thread-safe
 uihack = threading.local()
 
-
 class ThreadSafeUIFactory (bzrlib.ui.SilentUIFactory):
-
     def nested_progress_bar(self):
         if getattr(uihack, '_progress_bar_stack', None) is None:
-            pbs = bzrlib.progress.ProgressBarStack(
-                      klass=bzrlib.progress.DummyProgress)
-            uihack._progress_bar_stack = pbs
+            uihack._progress_bar_stack = bzrlib.progress.ProgressBarStack(klass=bzrlib.progress.DummyProgress)
         return uihack._progress_bar_stack.get_nested()
 
 bzrlib.ui.ui_factory = ThreadSafeUIFactory()
@@ -108,14 +103,14 @@
 
             if line.type == 'context':
                 if len(delete_list) or len(insert_list):
-                    _process_side_by_side_buffers(line_list, delete_list,
+                    _process_side_by_side_buffers(line_list, delete_list, 
                                                   insert_list)
                     delete_list, insert_list = [], []
-                line_list.append(util.Container(old_lineno=line.old_lineno,
+                line_list.append(util.Container(old_lineno=line.old_lineno, 
                                                 new_lineno=line.new_lineno,
-                                                old_line=wrapped_line,
+                                                old_line=wrapped_line, 
                                                 new_line=wrapped_line,
-                                                old_type=line.type,
+                                                old_type=line.type, 
                                                 new_type=line.type))
             elif line.type == 'delete':
                 delete_list.append((line.old_lineno, wrapped_line, line.type))
@@ -169,9 +164,8 @@
     return path
 
 
+
 # from bzrlib
-
-
 class _RevListToTimestamps(object):
     """This takes a list of revisions, and allows you to bisect by date"""
 
@@ -183,8 +177,7 @@
 
     def __getitem__(self, index):
         """Get the date of the index'd item"""
-        return datetime.datetime.fromtimestamp(self.repository.get_revision(
-                   self.revid_list[index]).timestamp)
+        return datetime.datetime.fromtimestamp(self.repository.get_revision(self.revid_list[index]).timestamp)
 
     def __len__(self):
         return len(self.revid_list)
@@ -206,8 +199,7 @@
             "Can only construct a History object with a read-locked branch.")
         self._file_change_cache = None
         self._branch = branch
-        self._inventory_cache = {}
-        self.log = logging.getLogger('loggerhead.%s' % branch.nick)
+        self.log = logging.getLogger('loggerhead.%s' % (branch.nick,))
 
         self.last_revid = branch.last_revision()
 
@@ -217,7 +209,7 @@
             whole_history_data_cache[self.last_revid] = whole_history_data
 
         (self._revision_graph, self._full_history, self._revision_info,
-         self._revno_revid, self._merge_sort, self._where_merged,
+         self._revno_revid, self._merge_sort, self._where_merged
          ) = whole_history_data
 
     def use_file_cache(self, cache):
@@ -234,8 +226,7 @@
         if revid not in self._revision_info:
             # ghost parent?
             return 'unknown'
-        (seq, revid, merge_depth,
-         revno_str, end_of_merge) = self._revision_info[revid]
+        seq, revid, merge_depth, revno_str, end_of_merge = self._revision_info[revid]
         return revno_str
 
     def get_revids_from(self, revid_list, start_revid):
@@ -247,7 +238,6 @@
             revid_list = self._full_history
         revid_set = set(revid_list)
         revid = start_revid
-
         def introduced_revisions(revid):
             r = set([revid])
             seq, revid, md, revno, end_of_merge = self._revision_info[revid]
@@ -267,32 +257,21 @@
             revid = parents[0]
 
     def get_short_revision_history_by_fileid(self, file_id):
+        # wow.  is this really the only way we can get this list?  by
+        # man-handling the weave store directly? :-0
         # FIXME: would be awesome if we could get, for a folder, the list of
-        # revisions where items within that folder changed.i
-        try:
-            # FIXME: Workaround for bzr versions prior to 1.6b3.
-            # Remove me eventually pretty please  :)
-            w = self._branch.repository.weave_store.get_weave(
-                    file_id, self._branch.repository.get_transaction())
-            w_revids = w.versions()
-            revids = [r for r in self._full_history if r in w_revids]
-        except AttributeError:
-            possible_keys = [(file_id, revid) for revid in self._full_history]
-            existing_keys = self._branch.repository.texts.get_parent_map(
-                                possible_keys)
-            revids = [revid for _, revid in existing_keys.iterkeys()]
-        return revids
+        # revisions where items within that folder changed.
+        possible_keys = [(file_id, revid) for revid in self._full_history]
+        existing_keys = self._branch.repository.texts.get_parent_map(possible_keys)
+        return [revid for _, revid in existing_keys.iterkeys()]
 
     def get_revision_history_since(self, revid_list, date):
         # if a user asks for revisions starting at 01-sep, they mean inclusive,
         # so start at midnight on 02-sep.
         date = date + datetime.timedelta(days=1)
-        # our revid list is sorted in REVERSE date order,
-        # so go thru some hoops here...
+        # our revid list is sorted in REVERSE date order, so go thru some hoops here...
         revid_list.reverse()
-        index = bisect.bisect(_RevListToTimestamps(revid_list,
-                                                   self._branch.repository),
-                              date)
+        index = bisect.bisect(_RevListToTimestamps(revid_list, self._branch.repository), date)
         if index == 0:
             return []
         revid_list.reverse()
@@ -304,8 +283,7 @@
         given a "quick-search" query, try a few obvious possible meanings:
 
             - revision id or # ("128.1.3")
-            - date (US style "mm/dd/yy", earth style "dd-mm-yy", or \
-iso style "yyyy-mm-dd")
+            - date (US style "mm/dd/yy", earth style "dd-mm-yy", or iso style "yyyy-mm-dd")
             - comment text as a fallback
 
         and return a revid list that matches.
@@ -314,38 +292,30 @@
         # all the relevant changes (time-consuming) only to return a list of
         # revids which will be used to fetch a set of changes again.
 
-        # if they entered a revid, just jump straight there;
-        # ignore the passed-in revid_list
+        # if they entered a revid, just jump straight there; ignore the passed-in revid_list
         revid = self.fix_revid(query)
         if revid is not None:
             if isinstance(revid, unicode):
                 revid = revid.encode('utf-8')
-            changes = self.get_changes([revid])
+            changes = self.get_changes([ revid ])
             if (changes is not None) and (len(changes) > 0):
-                return [revid]
+                return [ revid ]
 
         date = None
         m = self.us_date_re.match(query)
         if m is not None:
-            date = datetime.datetime(util.fix_year(int(m.group(3))),
-                                     int(m.group(1)),
-                                     int(m.group(2)))
+            date = datetime.datetime(util.fix_year(int(m.group(3))), int(m.group(1)), int(m.group(2)))
         else:
             m = self.earth_date_re.match(query)
             if m is not None:
-                date = datetime.datetime(util.fix_year(int(m.group(3))),
-                                         int(m.group(2)),
-                                         int(m.group(1)))
+                date = datetime.datetime(util.fix_year(int(m.group(3))), int(m.group(2)), int(m.group(1)))
             else:
                 m = self.iso_date_re.match(query)
                 if m is not None:
-                    date = datetime.datetime(util.fix_year(int(m.group(1))),
-                                             int(m.group(2)),
-                                             int(m.group(3)))
+                    date = datetime.datetime(util.fix_year(int(m.group(1))), int(m.group(2)), int(m.group(3)))
         if date is not None:
             if revid_list is None:
-                # if no limit to the query was given,
-                # search only the direct-parent path.
+                # if no limit to the query was given, search only the direct-parent path.
                 revid_list = list(self.get_revids_from(None, self.last_revid))
             return self.get_revision_history_since(revid_list, date)
 
@@ -363,11 +333,8 @@
             return revid
         if revid == 'head:':
             return self.last_revid
-        try:
-            if self.revno_re.match(revid):
-                revid = self._revno_revid[revid]
-        except KeyError:
-            raise bzrlib.errors.NoSuchRevision(self._branch.nick, revid)
+        if self.revno_re.match(revid):
+            revid = self._revno_revid[revid]
         return revid
 
     def get_file_view(self, revid, file_id):
@@ -444,15 +411,12 @@
             return None, None, []
 
     def get_inventory(self, revid):
-        if revid not in self._inventory_cache:
-            self._inventory_cache[revid] = (
-                self._branch.repository.get_revision_inventory(revid))
-        return self._inventory_cache[revid]
+        return self._branch.repository.get_revision_inventory(revid)
 
     def get_path(self, revid, file_id):
         if (file_id is None) or (file_id == ''):
             return ''
-        path = self.get_inventory(revid).id2path(file_id)
+        path = self._branch.repository.get_revision_inventory(revid).id2path(file_id)
         if (len(path) > 0) and not path.startswith('/'):
             path = '/' + path
         return path
@@ -460,7 +424,7 @@
     def get_file_id(self, revid, path):
         if (len(path) > 0) and not path.startswith('/'):
             path = '/' + path
-        return self.get_inventory(revid).path2id(path)
+        return self._branch.repository.get_revision_inventory(revid).path2id(path)
 
     def get_merge_point_list(self, revid):
         """
@@ -500,14 +464,14 @@
             revnol = revno.split(".")
             revnos = ".".join(revnol[:-2])
             revnolast = int(revnol[-1])
-            if revnos in d.keys():
+            if d.has_key(revnos):
                 m = d[revnos][0]
                 if revnolast < m:
-                    d[revnos] = (revnolast, revid)
+                    d[revnos] = ( revnolast, revid )
             else:
-                d[revnos] = (revnolast, revid)
+                d[revnos] = ( revnolast, revid )
 
-        return [d[revnos][1] for revnos in d.keys()]
+        return [ d[revnos][1] for revnos in d.keys() ]
 
     def get_branch_nicks(self, changes):
         """
@@ -547,13 +511,10 @@
         # some data needs to be recalculated each time, because it may
         # change as new revisions are added.
         for change in changes:
-            merge_revids = self.simplify_merge_point_list(
-                               self.get_merge_point_list(change.revid))
-            change.merge_points = [
-                util.Container(revid=r,
-                revno=self.get_revno(r)) for r in merge_revids]
+            merge_revids = self.simplify_merge_point_list(self.get_merge_point_list(change.revid))
+            change.merge_points = [util.Container(revid=r, revno=self.get_revno(r)) for r in merge_revids]
             if len(change.parents) > 0:
-                change.parents = [util.Container(revid=r,
+                change.parents = [util.Container(revid=r, 
                     revno=self.get_revno(r)) for r in change.parents]
             change.revno = self.get_revno(change.revid)
 
@@ -568,8 +529,7 @@
         # FIXME: deprecated method in getting a null revision
         revid_list = filter(lambda revid: not bzrlib.revision.is_null(revid),
                             revid_list)
-        parent_map = self._branch.repository.get_graph().get_parent_map(
-                         revid_list)
+        parent_map = self._branch.repository.get_graph().get_parent_map(revid_list)
         # We need to return the answer in the same order as the input,
         # less any ghosts.
         present_revids = [revid for revid in revid_list
@@ -591,18 +551,21 @@
             required_trees.add(revision.revid)
             required_trees.update([p.revid for p in revision.parents[:1]])
         trees = dict((t.get_revision_id(), t) for
-                     t in self._branch.repository.revision_trees(
-                         required_trees))
+                     t in self._branch.repository.revision_trees(required_trees))
         ret = []
-        for revision in revisions:
-            if not revision.parents:
-                old_tree = self._branch.repository.revision_tree(
-                    bzrlib.revision.NULL_REVISION)
-            else:
-                old_tree = trees[revision.parents[0].revid]
-            tree = trees[revision.revid]
-            ret.append(tree.changes_from(old_tree))
-        return ret
+        self._branch.repository.lock_read()
+        try:
+            for revision in revisions:
+                if not revision.parents:
+                    old_tree = self._branch.repository.revision_tree(
+                        bzrlib.revision.NULL_REVISION)
+                else:
+                    old_tree = trees[revision.parents[0].revid]
+                tree = trees[revision.revid]
+                ret.append(tree.changes_from(old_tree))
+            return ret
+        finally:
+            self._branch.repository.unlock()
 
     def _change_from_revision(self, revision):
         """
@@ -611,8 +574,7 @@
         """
         commit_time = datetime.datetime.fromtimestamp(revision.timestamp)
 
-        parents = [util.Container(revid=r,
-                   revno=self.get_revno(r)) for r in revision.parent_ids]
+        parents = [util.Container(revid=r, revno=self.get_revno(r)) for r in revision.parent_ids]
 
         message, short_message = clean_message(revision.message)
 
@@ -659,9 +621,7 @@
         delta = rev_tree2.changes_from(rev_tree1)
 
         change.changes = self.parse_delta(delta)
-        change.changes.modified = self._parse_diffs(rev_tree1,
-                                                    rev_tree2,
-                                                    delta)
+        change.changes.modified = self._parse_diffs(rev_tree1, rev_tree2, delta)
 
         return change
 
@@ -695,8 +655,7 @@
         process = []
         out = []
 
-        for old_path, new_path, fid, \
-            kind, text_modified, meta_modified in delta.renamed:
+        for old_path, new_path, fid, kind, text_modified, meta_modified in delta.renamed:
             if text_modified:
                 process.append((old_path, new_path, fid, kind))
         for path, fid, kind, text_modified, meta_modified in delta.modified:
@@ -716,11 +675,7 @@
                     diff = buffer.getvalue()
             else:
                 diff = ''
-            out.append(util.Container(
-                          filename=rich_filename(new_path, kind),
-                          file_id=fid,
-                          chunks=self._process_diff(diff),
-                          raw_diff=diff))
+            out.append(util.Container(filename=rich_filename(new_path, kind), file_id=fid, chunks=self._process_diff(diff), raw_diff=diff))
 
         return out
 
@@ -739,31 +694,30 @@
                     chunks.append(chunk)
                 chunk = util.Container()
                 chunk.diff = []
-                split_lines = line.split(' ')[1:3]
-                lines = [int(x.split(',')[0][1:]) for x in split_lines]
+                lines = [int(x.split(',')[0][1:]) for x in line.split(' ')[1:3]]
                 old_lineno = lines[0]
                 new_lineno = lines[1]
             elif line.startswith(' '):
-                chunk.diff.append(util.Container(old_lineno=old_lineno,
+                chunk.diff.append(util.Container(old_lineno=old_lineno, 
                                                  new_lineno=new_lineno,
-                                                 type='context',
+                                                 type='context', 
                                                  line=line[1:]))
                 old_lineno += 1
                 new_lineno += 1
             elif line.startswith('+'):
-                chunk.diff.append(util.Container(old_lineno=None,
+                chunk.diff.append(util.Container(old_lineno=None, 
                                                  new_lineno=new_lineno,
                                                  type='insert', line=line[1:]))
                 new_lineno += 1
             elif line.startswith('-'):
-                chunk.diff.append(util.Container(old_lineno=old_lineno,
+                chunk.diff.append(util.Container(old_lineno=old_lineno, 
                                                  new_lineno=None,
                                                  type='delete', line=line[1:]))
                 old_lineno += 1
             else:
-                chunk.diff.append(util.Container(old_lineno=None,
+                chunk.diff.append(util.Container(old_lineno=None, 
                                                  new_lineno=None,
-                                                 type='unknown',
+                                                 type='unknown', 
                                                  line=repr(line)))
         if chunk is not None:
             chunks.append(chunk)
@@ -790,22 +744,17 @@
             added.append((rich_filename(path, kind), fid))
 
         for path, fid, kind, text_modified, meta_modified in delta.modified:
-            modified.append(util.Container(filename=rich_filename(path, kind),
-                                           file_id=fid))
+            modified.append(util.Container(filename=rich_filename(path, kind), file_id=fid))
 
-        for old_path, new_path, fid, kind, text_modified, meta_modified in \
-delta.renamed:
-            renamed.append((rich_filename(old_path, kind),
-                            rich_filename(new_path, kind), fid))
+        for old_path, new_path, fid, kind, text_modified, meta_modified in delta.renamed:
+            renamed.append((rich_filename(old_path, kind), rich_filename(new_path, kind), fid))
             if meta_modified or text_modified:
-                modified.append(util.Container(
-                    filename=rich_filename(new_path, kind), file_id=fid))
+                modified.append(util.Container(filename=rich_filename(new_path, kind), file_id=fid))
 
         for path, fid, kind in delta.removed:
             removed.append((rich_filename(path, kind), fid))
 
-        return util.Container(added=added, renamed=renamed,
-                              removed=removed, modified=modified)
+        return util.Container(added=added, renamed=renamed, removed=removed, modified=modified)
 
     @staticmethod
     def add_side_by_side(changes):
@@ -837,17 +786,13 @@
             pathname = filename
             if entry.kind == 'directory':
                 pathname += '/'
-            if path == '':
-                absolutepath = pathname
-            else:
-                absolutepath = urllib.quote(path + '/' + pathname)
+
             revid = entry.revision
 
             file = util.Container(
-                filename=filename, executable=entry.executable,
-                kind=entry.kind, pathname=pathname, absolutepath=absolutepath,
-                file_id=entry.file_id, size=entry.text_size, revid=revid,
-                change=change_dict[revid])
+                filename=filename, executable=entry.executable, kind=entry.kind,
+                pathname=pathname, file_id=entry.file_id, size=entry.text_size,
+                revid=revid, change=change_dict[revid])
             file_list.append(file)
 
         if sort_type == 'filename' or sort_type is None:
@@ -856,7 +801,7 @@
             file_list.sort(key=lambda x: x.size)
         elif sort_type == 'date':
             file_list.sort(key=lambda x: x.change.date)
-
+        
         # Always sort by kind to get directories first
         file_list.sort(key=lambda x: x.kind != 'directory')
 
@@ -909,4 +854,4 @@
                                  change=change, text=util.fixed_width(text))
             lineno += 1
 
-        self.log.debug('annotate: %r secs' % (time.time() - z))
+        self.log.debug('annotate: %r secs' % (time.time() - z,))

=== modified file 'loggerhead/lockfile.py'
--- loggerhead/lockfile.py	2008-10-24 02:26:05 +0000
+++ loggerhead/lockfile.py	2008-02-27 03:36:09 +0000
@@ -57,8 +57,7 @@
             self._count += 1
             return True
         try:
-            fd = os.open(self._filename,
-                         os.O_WRONLY | os.O_CREAT | os.O_EXCL, 0600)
+            fd = os.open(self._filename, os.O_WRONLY | os.O_CREAT | os.O_EXCL, 0600)
             os.close(fd)
             self._count += 1
             return True
@@ -66,8 +65,7 @@
             return False
 
     def acquire(self):
-        # try over and over, sleeping on exponential backoff with
-        # an upper limit of about 5 seconds
+        # try over and over, sleeping on exponential backoff with an upper limit of about 5 seconds
         pause = 0.1
         #max_pause = 5.0
         max_pause = 0.1

=== modified file 'loggerhead/lsprof.py'
--- loggerhead/lsprof.py	2008-10-24 02:26:05 +0000
+++ loggerhead/lsprof.py	2008-07-26 14:52:44 +0000
@@ -26,7 +26,7 @@
 
 
 def profile(f, *args, **kwds):
-    """FIXME: docstring"""
+    """XXX docstring"""
     global _g_threadmap
     p = Profiler()
     p.enable(subcalls=True)
@@ -47,16 +47,16 @@
 
 
 class Stats(object):
-    """FIXME: docstring"""
+    """XXX docstring"""
 
     def __init__(self, data, threads):
         self.data = data
         self.threads = threads
 
     def sort(self, crit="inlinetime"):
-        """FIXME: docstring"""
+        """XXX docstring"""
         if crit not in profiler_entry.__dict__:
-            raise ValueError("Can't sort by %s" % crit)
+            raise ValueError, "Can't sort by %s" % crit
         self.data.sort(lambda b, a: cmp(getattr(a, crit),
                                         getattr(b, crit)))
         for e in self.data:
@@ -65,7 +65,7 @@
                                               getattr(b, crit)))
 
     def pprint(self, top=None, file=None):
-        """FIXME: docstring"""
+        """XXX docstring"""
         if file is None:
             file = sys.stdout
         d = self.data
@@ -93,12 +93,12 @@
         for i in range(len(self.data)):
             e = self.data[i]
             if not isinstance(e.code, str):
-                self.data[i] = type(e)((label(e.code)) + e[1:])
+                self.data[i] = type(e)((label(e.code),) + e[1:])
             if e.calls:
                 for j in range(len(e.calls)):
                     se = e.calls[j]
                     if not isinstance(se.code, str):
-                        e.calls[j] = type(se)((label(se.code)) + se[1:])
+                        e.calls[j] = type(se)((label(se.code),) + se[1:])
         for s in self.threads.values():
             s.freeze()
 
@@ -125,15 +125,15 @@
         for entry in self.data:
             totaltime = int(entry.totaltime * 1000)
             max_cost = max(max_cost, totaltime)
-        print >> self.out_file, 'summary: %d' % (max_cost)
+        print >> self.out_file, 'summary: %d' % (max_cost,)
 
     def _entry(self, entry):
         out_file = self.out_file
         code = entry.code
         inlinetime = int(entry.inlinetime * 1000)
         #print >> out_file, 'ob=%s' % (code.co_filename,)
-        print >> out_file, 'fi=%s' % (code.co_filename)
-        print >> out_file, 'fn=%s' % (label(code, True))
+        print >> out_file, 'fi=%s' % (code.co_filename,)
+        print >> out_file, 'fn=%s' % (label(code, True),)
         print >> out_file, '%d %d' % (code.co_firstlineno, inlinetime)
         # recursive calls are counted in entry.calls
         if entry.calls:
@@ -149,8 +149,8 @@
         code = subentry.code
         totaltime = int(subentry.totaltime * 1000)
         #print >> out_file, 'cob=%s' % (code.co_filename,)
-        print >> out_file, 'cfn=%s' % (label(code, True))
-        print >> out_file, 'cfi=%s' % (code.co_filename)
+        print >> out_file, 'cfn=%s' % (label(code, True),)
+        print >> out_file, 'cfi=%s' % (code.co_filename,)
         print >> out_file, 'calls=%d %d' % (
             subentry.callcount, code.co_firstlineno)
         print >> out_file, '%d %d' % (lineno, totaltime)
@@ -158,7 +158,6 @@
 
 _fn2mod = {}
 
-
 def label(code, calltree=False):
     if isinstance(code, str):
         return code

=== removed directory 'loggerhead/middleware'
=== removed file 'loggerhead/middleware/__init__.py'
=== removed file 'loggerhead/middleware/profile.py'
--- loggerhead/middleware/profile.py	2008-11-14 06:48:20 +0000
+++ loggerhead/middleware/profile.py	1970-01-01 00:00:00 +0000
@@ -1,33 +0,0 @@
-'''Profiling middleware for paste.'''
-import cgi
-import threading
-
-from bzrlib.lsprof import profile
-
-class LSProfMiddleware(object):
-    '''Paste middleware for profiling with lsprof.'''
-
-    def __init__(self, app, global_conf=None):
-        self.app = app
-        self.lock = threading.Lock()
-        self.__count = 0
-
-    def __run_app(self, environ, start_response):
-        app_iter = self.app(environ, start_response)
-        try:
-            return list(app_iter)
-        finally:
-            if getattr(app_iter, 'close', None):
-                app_iter.close()
-
-    def __call__(self, environ, start_response):
-        """Run a request."""
-        self.lock.acquire()
-        try:
-            ret, stats = profile(self.__run_app, environ, start_response)
-            self.__count += 1
-            stats.save("%d-stats.callgrind" % self.__count, format="callgrind")
-            return ret
-        finally:
-            self.lock.release()
-

=== modified file 'loggerhead/search.py'
--- loggerhead/search.py	2008-11-05 00:50:06 +0000
+++ loggerhead/search.py	2008-07-26 17:41:49 +0000
@@ -18,6 +18,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 import sets
+import os
 try:
     from bzrlib.plugins.search import errors
     from bzrlib.plugins.search import index as _mod_index
@@ -25,12 +26,11 @@
 except ImportError:
     _mod_index = None
 
-
 def search_revisions(branch, query_list, suggest=False):
     """
     Search using bzr-search plugin to find revisions matching the query.
     This can either suggest query terms, or revision ids.
-
+    
     param branch: branch object to search in
     param query_list: string to search
     param suggest: Optional flag to request suggestions instead of results

=== modified file 'loggerhead/static/css/annotate.css'
--- loggerhead/static/css/annotate.css	2008-08-05 19:44:50 +0000
+++ loggerhead/static/css/annotate.css	2008-07-24 22:00:49 +0000
@@ -1,13 +1,16 @@
 /*table*/
 .annoLineTit, .annoLine, .annoRevTit, .annoRev, .annoComm, .annoCommTit, .annoContTit, .annoCont {
+	padding:4px;
 	width:45px;
 	border:1px solid #d2d2d2;
 }
 .annoLine, .annoRev, .annoComm, .annoCont {
+	padding:5px 0px;
 	border:none;	
 }
 .annoLine {
 	width:37px;
+	padding:5px 4px;
 }
 .annoContTit, .annoCont {
 	width:auto;

=== modified file 'loggerhead/static/css/global.css'
--- loggerhead/static/css/global.css	2008-09-09 22:47:45 +0000
+++ loggerhead/static/css/global.css	2008-08-05 06:17:12 +0000
@@ -120,7 +120,7 @@
 #finderBox {
 	width:300px;
 	float:right;
-	padding: 10px 0px 0px 0px;
+	padding:0px;
 }
 #finderBox label {
 	float:left;
@@ -318,14 +318,4 @@
 }
 #pages a:hover {
 	border:solid 1px #666666;
-}
-.breadcrumb a {
-	color:#889ea9;
-	font-weight:bold;
-	font-size:18px;
-}
-.breadcrumb a:hover{
-	color:#666;
-	font-weight:bold;
-	font-size:18px;
-}
+}		

=== modified file 'loggerhead/static/javascript/custom.js'
--- loggerhead/static/javascript/custom.js	2008-08-14 20:31:07 +0000
+++ loggerhead/static/javascript/custom.js	2008-07-22 00:40:03 +0000
@@ -4,7 +4,6 @@
 window.addEvent('domready', function() 
 {
     var search_box = $('q');
-    search_box.removeEvents();
     search_box.addEvents(
     {
         keyup: function()
@@ -15,10 +14,10 @@
             }
             else
             {
-                if (null != global_timeout_id)
-                {
-                    clearTimeout(global_timeout_id);
-                }
+	            if (null != global_timeout_id)
+	            {
+	                clearTimeout(global_timeout_id);
+	            }
                     global_timeout_id = setTimeout('$("q").fireEvent("search",$("q").value)',200);
             }
         },
@@ -26,25 +25,21 @@
         search: function(query)
         {
             url = global_path + 'search?query=' + query;
-
+	
             if ($defined(global_search_request))
             {
                 global_search_request.cancel();
             }
-            global_search_request = new Request({'url':url,'method':'get','onComplete':function(response)
-              {
-                 cool_search(response,query);
-             }});
-
+            global_search_request = new Request({'url':url,'method':'get','onComplete':cool_search});
             global_search_request.send('');
-            var posicion = search_box.getPosition();
-            var size     = search_box.getSize();
+	        var posicion = search_box.getPosition();
+	        var size     = search_box.getSize();
 
-            $('search_terms').setStyle('position','absolute');
-            $('search_terms').setStyle('left',posicion.x);
-            $('search_terms').setStyle('top',posicion.y + size.y);
-            $('search_terms').setStyle('display','block');
-            $('search_terms').set('html','Loading...');
+	        $('search_terms').setStyle('position','absolute');
+	        $('search_terms').setStyle('left',posicion.x);
+	        $('search_terms').setStyle('top',posicion.y + size.y);
+	        $('search_terms').setStyle('display','block');
+	        $('search_terms').set('html','Loading...');
 
             new Request({'url':url,'method':'get','onComplete':cool_search}).send('');
 
@@ -53,19 +48,15 @@
     });
 });
 
-function cool_search(response, query)
+function cool_search(response)
 {
 	var posicion = $('q').getPosition();
 	var size     = $('q').getSize();
-    var current_query = $('q').get('value');
-    if (current_query == query)
-    {
-	    $('search_terms').set('html',response);
-	    $('search_terms').setStyle('display','block');
-	    $('search_terms').setStyle('position','absolute');
-	    $('search_terms').setStyle('left',posicion.x);
-	    $('search_terms').setStyle('top',posicion.y + size.y);
-    }
+	$('search_terms').set('html',response);
+	$('search_terms').setStyle('display','block');
+	$('search_terms').setStyle('position','absolute');
+	$('search_terms').setStyle('left',posicion.x);
+	$('search_terms').setStyle('top',posicion.y + size.y);
 }
 
 function hide_search()

=== removed directory 'loggerhead/static/javascript/yui'
=== removed directory 'loggerhead/static/javascript/yui/build'
=== removed directory 'loggerhead/static/javascript/yui/build/anim'
=== removed file 'loggerhead/static/javascript/yui/build/anim/README'
--- loggerhead/static/javascript/yui/build/anim/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/README	1970-01-01 00:00:00 +0000
@@ -1,3 +0,0 @@
-**** version 3.0.0 PR1 ***
-
-* initial 3.0 revision

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-base-debug.js'
--- loggerhead/static/javascript/yui/build/anim/anim-base-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-base-debug.js	1970-01-01 00:00:00 +0000
@@ -1,596 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-base', function(Y) {
-
-/**
- * Y.Animation Utility.
- * @module anim
- */
-
-    /**
-     * Handles animation _queueing and threading.
-     * @class Anim
-     * @constructor
-     * @extends Base
-     */
-
-    var RUNNING = 'running',
-        START_TIME = 'startTime',
-        ELAPSED_TIME = 'elapsedTime',
-        /**
-        * @event start
-        * @description fires when an animation begins.
-        * @param {Event} ev The start event.
-        * @type Event.Custom
-        */
-        START = 'start',
-
-        /**
-        * @event tween
-        * @description fires every frame of the animation.
-        * @param {Event} ev The tween event.
-        * @type Event.Custom
-        */
-        TWEEN = 'tween',
-
-        /**
-        * @event end
-        * @description fires after the animation completes.
-        * @param {Event} ev The end event.
-        * @type Event.Custom
-        */
-        END = 'end',
-        NODE = 'node',
-        PAUSED = 'paused',
-        REVERSE = 'reverse', // TODO: cleanup
-        ITERATION_COUNT = 'iterationCount',
-
-        NUM = Number;
-
-    var _running = {},
-        _instances = {},
-        _timer;
-
-    var _setPrivate = function(anim, prop, val) {
-        if (typeof prop == 'string') {
-            anim._conf.add(prop, { value: val });
-        } else {
-            Y.each(prop, function(v, n) {
-                _setPrivate(anim, n, v);
-            });
-        }
-    };
-    Y.Anim = function() {
-        Y.Anim.superclass.constructor.apply(this, arguments);
-        _instances[Y.stamp(this)] = this;
-    };
-
-    Y.Anim.NAME = 'anim';
-
-    /**
-     * Regex of properties that should use the default unit.
-     *
-     * @property RE_DEFAULT_UNIT
-     * @static
-     */
-    Y.Anim.RE_DEFAULT_UNIT = /^width|height|top|right|bottom|left|margin.*|padding.*|border.*$/i;
-
-    /**
-     * The default unit to use with properties that pass the RE_DEFAULT_UNIT test.
-     *
-     * @property DEFAULT_UNIT
-     * @static
-     */
-    Y.Anim.DEFAULT_UNIT = 'px';
-
-
-    /**
-     * Bucket for custom getters and setters
-     *
-     * @property behaviors
-     * @static
-     */
-    Y.Anim.behaviors = {
-        left: {
-            get: function(anim, attr) {
-                return anim._getOffset(attr);
-            }
-        }
-    };
-
-    Y.Anim.behaviors.top = Y.Anim.behaviors.left;
-
-    /**
-     * The default setter to use when setting object properties.
-     *
-     * @property DEFAULT_SETTER
-     * @static
-     */
-    Y.Anim.DEFAULT_SETTER = function(anim, att, from, to, elapsed, duration, fn, unit) {
-        unit = unit || '';
-        anim._node.setStyle(att, fn(elapsed, NUM(from), NUM(to) - NUM(from), duration) + unit);
-    };
-
-    /**
-     * The default getter to use when getting object properties.
-     *
-     * @property DEFAULT_GETTER
-     * @static
-     */
-    Y.Anim.DEFAULT_GETTER = function(anim, prop) {
-        return anim._node.getComputedStyle(prop);
-    };
-
-    Y.Anim.ATTRS = {
-        /**
-         * The object to be animated.
-         * @attribute node
-         * @type Node
-         */
-        node: {
-            set: function(node) {
-                node = Y.Node.get(node);
-                this._node = node;
-                if (!node) {
-                    Y.fail('Y.Anim: invalid node: ' + node);
-                }
-                return node;
-            }
-        },
-
-        /**
-         * The length of the animation.  Defaults to "1" (second).
-         * @attribute duration
-         * @type NUM
-         */
-        duration: {
-            value: 1
-        },
-
-        /**
-         * The method that will provide values to the attribute(s) during the animation. 
-         * Defaults to "Easing.easeNone".
-         * @attribute easing
-         * @type Function
-         */
-        easing: {
-            value: function (t, b, c, d) {
-                return c * t / d + b; // linear easing
-            }
-        },
-
-        /**
-         * The starting values for the animated properties. 
-         * Fields may be strings, numbers, or functions.
-         * If a function is used, the return value becomes the from value.
-         * If no from value is specified, the DEFAULT_GETTER will be used. 
-         * @attribute from
-         * @type Object
-         */
-        from: {},
-
-        /**
-         * The ending values for the animated properties. 
-         * Fields may be strings, numbers, or functions.
-         * @attribute to
-         * @type Object
-         */
-        to: {},
-
-        /**
-         * Date stamp for the first frame of the animation.
-         * @attribute startTime
-         * @type Int
-         * @default 0 
-         * @readOnly
-         */
-        startTime: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * Current time the animation has been running.
-         * @attribute elapsedTime
-         * @type Int
-         * @default 0 
-         * @readOnly
-         */
-        elapsedTime: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * Whether or not the animation is currently running.
-         * @attribute running 
-         * @type Boolean
-         * @default false 
-         * @readOnly
-         */
-        running: {
-            get: function() {
-                return !!_running[Y.stamp(this)];
-            },
-            value: false,
-            readOnly: true
-        },
-
-        /**
-         * The number of times the animation should run 
-         * @attribute iterations
-         * @type Int
-         * @default 1 
-         */
-        iterations: {
-            value: 1
-        },
-
-        /**
-         * The number of iterations that have occurred.
-         * Resets when an animation ends (reaches iteration count or stop() called). 
-         * @attribute iterationCount
-         * @type Int
-         * @default 0
-         * @readOnly
-         */
-        iterationCount: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * How iterations of the animation should behave. 
-         * Possible values are "normal" and "alternate".
-         * Normal will repeat the animation, alternate will reverse on every other pass.
-         *
-         * @attribute direction
-         * @type String
-         * @default "normal"
-         */
-        direction: {
-            value: 'normal' // | alternate (fwd on odd, rev on even per spec)
-        },
-
-        /**
-         * Whether or not the animation is currently paused.
-         * @attribute running 
-         * @type Boolean
-         * @default false 
-         * @readOnly
-         */
-        paused: {
-            readOnly: true,
-            value: false
-        },
-
-        /**
-         * If true, animation begins from last frame
-         * @attribute reverse
-         * @type Boolean
-         * @default false 
-         */
-        reverse: {
-            value: false
-        }
-
-
-    };
-
-    /**
-     * Runs all animation instances.
-     * @method run
-     * @static
-     */    
-    Y.Anim.run = function() {
-        for (var i in _instances) {
-            if (_instances[i].run) {
-                _instances[i].run();
-            }
-        }
-    };
-
-    /**
-     * Pauses all animation instances.
-     * @method pause
-     * @static
-     */    
-    Y.Anim.pause = function() {
-        for (var i in _running) { // stop timer if nothing running
-            if (_running[i].pause) {
-                _running[i].pause();
-            }
-        }
-        Y.Anim._stopTimer();
-    };
-
-    /**
-     * Stops all animation instances.
-     * @method stop
-     * @static
-     */    
-    Y.Anim.stop = function() {
-        for (var i in _running) { // stop timer if nothing running
-            if (_running[i].stop) {
-                _running[i].stop();
-            }
-        }
-        Y.Anim._stopTimer();
-    };
-    
-    Y.Anim._startTimer = function() {
-        if (!_timer) {
-            _timer = setInterval(Y.Anim._runFrame, 1);
-        }
-    };
-
-    Y.Anim._stopTimer = function() {
-        clearInterval(_timer);
-        _timer = 0;
-    };
-
-    /**
-     * Called per Interval to handle each animation frame.
-     * @method _runFrame
-     * @private
-     * @static
-     */    
-    Y.Anim._runFrame = function() {
-        var done = true;
-        for (var anim in _running) {
-            if (_running[anim]._runFrame) {
-                done = false;
-                _running[anim]._runFrame();
-            }
-        }
-
-        if (done) {
-            Y.Anim._stopTimer();
-        }
-    };
-
-    Y.Anim.RE_UNITS = /^(-?\d*\.?\d*){1}(em|ex|px|in|cm|mm|pt|pc|%)*$/;
-
-    var proto = {
-        /**
-         * Starts or resumes an animation.
-         * percent start time marker.
-         * @method run
-         * @chainable
-         */    
-        run: function() {
-            if (!this.get(RUNNING)) {
-                this._start();
-            } else if (this.get(PAUSED)) {
-                this._resume();
-            }
-            return this;
-        },
-
-        /**
-         * Pauses the animation and
-         * freezes it in its current state and time.
-         * Calling run() will continue where it left off.
-         * @method pause
-         * @chainable
-         */    
-        pause: function() {
-            if (this.get(RUNNING)) {
-                this._pause();
-            }
-            return this;
-        },
-
-        /**
-         * Stops the animation and resets its time.
-         * @method stop
-         * @chainable
-         */    
-        stop: function(finish) {
-            if (this.get(RUNNING) || this.get(PAUSED)) {
-                this._end(finish);
-            }
-            return this;
-        },
-
-        _added: false,
-
-        _start: function() {
-            _setPrivate(this, START_TIME, new Date() - this.get(ELAPSED_TIME));
-            this._actualFrames = 0;
-            if (!this.get(PAUSED)) {
-                this._initAttr();
-            }
-            _running[Y.stamp(this)] = this;
-            Y.Anim._startTimer();
-
-            this.fire(START);
-        },
-
-        _pause: function() {
-            _setPrivate(this, START_TIME, null);
-            _setPrivate(this, PAUSED, true);
-            delete _running[Y.stamp(this)];
-
-            /**
-            * @event pause
-            * @description fires when an animation is paused.
-            * @param {Event} ev The pause event.
-            * @type Event.Custom
-            */
-            this.fire('pause');
-        },
-
-        _resume: function() {
-            _setPrivate(this, PAUSED, false);
-            _running[Y.stamp(this)] = this;
-
-            /**
-            * @event resume
-            * @description fires when an animation is resumed (run from pause).
-            * @param {Event} ev The pause event.
-            * @type Event.Custom
-            */
-            this.fire('resume');
-        },
-
-        _end: function(finish) {
-            _setPrivate(this, START_TIME, null);
-            _setPrivate(this, ELAPSED_TIME, 0);
-            _setPrivate(this, PAUSED, false);
-            //_setPrivate(this, REVERSE, false);
-
-            delete _running[Y.stamp(this)];
-            this.fire(END, {elapsed: this.get(ELAPSED_TIME)});
-        },
-
-        _runFrame: function() {
-            var attr = this._runtimeAttr,
-                customAttr = Y.Anim.behaviors,
-                easing = attr.easing,
-                d = attr.duration,
-                t = new Date() - this.get(START_TIME),
-                reversed = this.get(REVERSE),
-                done = (t >= d),
-                lastFrame = d,
-                attribute,
-                setter;
-                
-            if (reversed) {
-                t = d - t;
-                done = (t <= 0);
-                lastFrame = 0;
-            }
-
-            for (var i in attr) {
-                if (attr[i].to) {
-                    attribute = attr[i];
-                    setter = (i in customAttr && 'set' in customAttr[i]) ?
-                            customAttr[i].set : Y.Anim.DEFAULT_SETTER;
-
-                    if (!done) {
-                        setter(this, i, attribute.from, attribute.to, t, d, easing, attribute.unit); 
-                    } else { // ensure final frame value is set
-                       // TODO: handle keyframes 
-                        setter(this, i, attribute.from, attribute.to, lastFrame, d, easing, attribute.unit); 
-                    }
-                }
-            }
-
-            this._actualFrames += 1;
-            _setPrivate(this, ELAPSED_TIME, t);
-
-            this.fire(TWEEN);
-            if (done) {
-                this._lastFrame();
-            }
-        },
-
-        _lastFrame: function() {
-            var iter = this.get('iterations'),
-                iterCount = this.get(ITERATION_COUNT);
-
-            iterCount += 1;
-            if (iter === 'infinite' || iterCount < iter) {
-                if (this.get('direction') === 'alternate') {
-                    this.set(REVERSE, !this.get(REVERSE)); // flip it
-                }
-                /**
-                * @event iteration
-                * @description fires when an animation begins an iteration.
-                * @param {Event} ev The iteration event.
-                * @type Event.Custom
-                */
-                this.fire('iteration');
-            } else {
-                iterCount = 0;
-                this._end();
-            }
-
-            _setPrivate(this, START_TIME, new Date());
-            _setPrivate(this, ITERATION_COUNT, iterCount);
-        },
-
-        _initAttr: function() {
-            var from = this.get('from') || {},
-                to = this.get('to') || {},
-                dur = this.get('duration') * 1000,
-                node = this.get(NODE),
-                easing = this.get('easing') || {},
-                attr = {},
-                customAttr = Y.Anim.behaviors,
-                unit, begin, end;
-
-            Y.each(to, function(val, name) {
-                if (typeof val === 'function') {
-                    val = val.call(this, node);
-                }
-
-                begin = from[name];
-                if (begin === undefined) {
-                    begin = (name in customAttr && 'get' in customAttr[name])  ?
-                            customAttr[name].get(this, name) : Y.Anim.DEFAULT_GETTER(this, name);
-                } else if (typeof begin === 'function') {
-                    begin = begin.call(this, node);
-                }
-
-                var mFrom = Y.Anim.RE_UNITS.exec(begin);
-                var mTo = Y.Anim.RE_UNITS.exec(val);
-
-                begin = mFrom ? mFrom[1] : begin;
-                var end = mTo ? mTo[1] : val,
-                    unit = mTo ? mTo[2] : mFrom ?  mFrom[2] : ''; // one might be zero TODO: mixed units
-
-                if (!unit && Y.Anim.RE_DEFAULT_UNIT.test(name)) {
-                    unit = Y.Anim.DEFAULT_UNIT;
-                }
-
-                if (!begin || !end) {
-                    Y.fail('invalid "from" or "to" for "' + name + '"', 'Anim');
-                    return;
-                }
-
-                attr[name] = {
-                    from: begin,
-                    to: end,
-                    unit: unit
-                };
-
-                attr.duration = dur;
-                attr.easing = easing;
-
-            }, this);
-
-            this._runtimeAttr = attr;
-        },
-
-
-        // TODO: move to computedStyle? (browsers dont agree on default computed offsets)
-        _getOffset: function(attr) {
-            var node = this._node,
-                val = node.getComputedStyle(attr),
-                get = (attr === 'left') ? 'getX': 'getY',
-                set = (attr === 'left') ? 'setX': 'setY';
-
-            if (val === 'auto') {
-                var position = node.getStyle('position');
-                if (position === 'absolute' || position === 'fixed') {
-                    val = node[get]();
-                    node[set](val);
-                } else {
-                    val = 0;
-                }
-            }
-
-            return val;
-        }
-    };
-
-    Y.extend(Y.Anim, Y.Base, proto);
-
-
-}, '3.0.0pr1' ,{requires:['base', 'node']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-base-min.js'
--- loggerhead/static/javascript/yui/build/anim/anim-base-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-base-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("anim-base",function(B){var C="running",N="startTime",L="elapsedTime",J="start",I="tween",M="end",D="node",K="paused",Q="reverse",H="iterationCount",A=Number;var F={},P={},E;var O=function(R,T,S){if(typeof T=="string"){R._conf.add(T,{value:S});}else{B.each(T,function(U,V){O(R,V,U);});}};B.Anim=function(){B.Anim.superclass.constructor.apply(this,arguments);P[B.stamp(this)]=this;};B.Anim.NAME="anim";B.Anim.RE_DEFAULT_UNIT=/^width|height|top|right|bottom|left|margin.*|padding.*|border.*$/i;B.Anim.DEFAULT_UNIT="px";B.Anim.behaviors={left:{get:function(S,R){return S._getOffset(R);}}};B.Anim.behaviors.top=B.Anim.behaviors.left;B.Anim.DEFAULT_SETTER=function(V,S,Y,X,R,W,T,U){U=U||"";V._node.setStyle(S,T(R,A(Y),A(X)-A(Y),W)+U);};B.Anim.DEFAULT_GETTER=function(R,S){return R._node.getComputedStyle(S);};B.Anim.ATTRS={node:{set:function(R){R=B.Node.get(R);this._node=R;if(!R){B.fail("Y.Anim: invalid node: "+R);}return R;}},duration:{value:1},easing:{value:function(S,R,U,T){return U*S/T+R;}},from:{},to:{},startTime:{value:0,readOnly:true},elapsedTime:{value:0,readOnly:true},running:{get:function(){return !!F[B.stamp(this)];},value:false,readOnly:true},iterations:{value:1},iterationCount:{value:0,readOnly:true},direction:{value:"normal"},paused:{readOnly:true,value:false},reverse:{value:false}};B.Anim.run=function(){for(var R in P){if(P[R].run){P[R].run();}}};B.Anim.pause=function(){for(var R in F){if(F[R].pause){F[R].pause();}}B.Anim._stopTimer();};B.Anim.stop=function(){for(var R in F){if(F[R].stop){F[R].stop();}}B.Anim._stopTimer();};B.Anim._startTimer=function(){if(!E){E=setInterval(B.Anim._runFrame,1);}};B.Anim._stopTimer=function(){clearInterval(E);E=0;};B.Anim._runFrame=function(){var R=true;for(var S in F){if(F[S]._runFrame){R=false;F[S]._runFrame();}}if(R){B.Anim._stopTimer();}};B.Anim.RE_UNITS=/^(-?\d*\.?\d*){1}(em|ex|px|in|cm|mm|pt|pc|%)*$/;var G={run:function(){if(!this.get(C)){this._start();}else{if(this.get(K)){this._resume();}}return this;},pause:function(){if(this.get(C)){this._pause();}return this;},stop:function(R){if(this.get(C)||this.get(K)){this._end(R);}return this;},_added:false,_start:function(){O(this,N,new Date()-this.get(L));this._actualFrames=0;if(!this.get(K)){this._initAttr();}F[B.stamp(this)]=this;B.Anim._startTimer();this.fire(J);},_pause:function(){O(this,N,null);O(this,K,true);delete F[B.stamp(this)];this.fire("pause");},_resume:function(){O(this,K,false);F[B.stamp(this)]=this;this.fire("resume");},_end:function(R){O(this,N,null);O(this,L,0);O(this,K,false);delete F[B.stamp(this)];this.fire(M,{elapsed:this.get(L)});},_runFrame:function(){var Y=this._runtimeAttr,T=B.Anim.behaviors,Z=Y.easing,a=Y.duration,b=new Date()-this.get(N),X=this.get(Q),V=(b>=a),R=a,S,U;if(X){b=a-b;V=(b<=0);R=0;}for(var W in Y){if(Y[W].to){S=Y[W];U=(W in T&&"set" in T[W])?T[W].set:B.Anim.DEFAULT_SETTER;if(!V){U(this,W,S.from,S.to,b,a,Z,S.unit);}else{U(this,W,S.from,S.to,R,a,Z,S.unit);}}}this._actualFrames+=1;O(this,L,b);this.fire(I);if(V){this._lastFrame();}},_lastFrame:function(){var R=this.get("iterations"),S=this.get(H);S+=1;if(R==="infinite"||S<R){if(this.get("direction")==="alternate"){this.set(Q,!this.get(Q));}this.fire("iteration");}else{S=0;this._end();}O(this,N,new Date());O(this,H,S);},_initAttr:function(){var Y=this.get("from")||{},Z=this.get("to")||{},R=this.get("duration")*1000,U=this.get(D),X=this.get("easing")||{},W={},S=B.Anim.behaviors,a,T,V;B.each(Z,function(g,d){if(typeof g==="function"){g=g.call(this,U);}T=Y[d];if(T===undefined){T=(d in S&&"get" in S[d])?S[d].get(this,d):B.Anim.DEFAULT_GETTER(this,d);}else{if(typeof T==="function"){T=T.call(this,U);}}var c=B.Anim.RE_UNITS.exec(T);var e=B.Anim.RE_UNITS.exec(g);T=c?c[1]:T;var b=e?e[1]:g,f=e?e[2]:c?c[2]:"";if(!f&&B.Anim.RE_DEFAULT_UNIT.test(d)){f=B.Anim.DEFAULT_UNIT;}if(!T||!b){B.fail('invalid "from" or "to" for "'+d+'"',"Anim");return ;}W[d]={from:T,to:b,unit:f};W.duration=R;W.easing=X;},this);this._runtimeAttr=W;},_getOffset:function(S){var U=this._node,V=U.getComputedStyle(S),T=(S==="left")?"getX":"getY",W=(S==="left")?"setX":"setY";if(V==="auto"){var R=U.getStyle("position");if(R==="absolute"||R==="fixed"){V=U[T]();U[W](V);}else{V=0;}}return V;}};B.extend(B.Anim,B.Base,G);},"3.0.0pr1",{requires:["base","node"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-base.js'
--- loggerhead/static/javascript/yui/build/anim/anim-base.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-base.js	1970-01-01 00:00:00 +0000
@@ -1,596 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-base', function(Y) {
-
-/**
- * Y.Animation Utility.
- * @module anim
- */
-
-    /**
-     * Handles animation _queueing and threading.
-     * @class Anim
-     * @constructor
-     * @extends Base
-     */
-
-    var RUNNING = 'running',
-        START_TIME = 'startTime',
-        ELAPSED_TIME = 'elapsedTime',
-        /**
-        * @event start
-        * @description fires when an animation begins.
-        * @param {Event} ev The start event.
-        * @type Event.Custom
-        */
-        START = 'start',
-
-        /**
-        * @event tween
-        * @description fires every frame of the animation.
-        * @param {Event} ev The tween event.
-        * @type Event.Custom
-        */
-        TWEEN = 'tween',
-
-        /**
-        * @event end
-        * @description fires after the animation completes.
-        * @param {Event} ev The end event.
-        * @type Event.Custom
-        */
-        END = 'end',
-        NODE = 'node',
-        PAUSED = 'paused',
-        REVERSE = 'reverse', // TODO: cleanup
-        ITERATION_COUNT = 'iterationCount',
-
-        NUM = Number;
-
-    var _running = {},
-        _instances = {},
-        _timer;
-
-    var _setPrivate = function(anim, prop, val) {
-        if (typeof prop == 'string') {
-            anim._conf.add(prop, { value: val });
-        } else {
-            Y.each(prop, function(v, n) {
-                _setPrivate(anim, n, v);
-            });
-        }
-    };
-    Y.Anim = function() {
-        Y.Anim.superclass.constructor.apply(this, arguments);
-        _instances[Y.stamp(this)] = this;
-    };
-
-    Y.Anim.NAME = 'anim';
-
-    /**
-     * Regex of properties that should use the default unit.
-     *
-     * @property RE_DEFAULT_UNIT
-     * @static
-     */
-    Y.Anim.RE_DEFAULT_UNIT = /^width|height|top|right|bottom|left|margin.*|padding.*|border.*$/i;
-
-    /**
-     * The default unit to use with properties that pass the RE_DEFAULT_UNIT test.
-     *
-     * @property DEFAULT_UNIT
-     * @static
-     */
-    Y.Anim.DEFAULT_UNIT = 'px';
-
-
-    /**
-     * Bucket for custom getters and setters
-     *
-     * @property behaviors
-     * @static
-     */
-    Y.Anim.behaviors = {
-        left: {
-            get: function(anim, attr) {
-                return anim._getOffset(attr);
-            }
-        }
-    };
-
-    Y.Anim.behaviors.top = Y.Anim.behaviors.left;
-
-    /**
-     * The default setter to use when setting object properties.
-     *
-     * @property DEFAULT_SETTER
-     * @static
-     */
-    Y.Anim.DEFAULT_SETTER = function(anim, att, from, to, elapsed, duration, fn, unit) {
-        unit = unit || '';
-        anim._node.setStyle(att, fn(elapsed, NUM(from), NUM(to) - NUM(from), duration) + unit);
-    };
-
-    /**
-     * The default getter to use when getting object properties.
-     *
-     * @property DEFAULT_GETTER
-     * @static
-     */
-    Y.Anim.DEFAULT_GETTER = function(anim, prop) {
-        return anim._node.getComputedStyle(prop);
-    };
-
-    Y.Anim.ATTRS = {
-        /**
-         * The object to be animated.
-         * @attribute node
-         * @type Node
-         */
-        node: {
-            set: function(node) {
-                node = Y.Node.get(node);
-                this._node = node;
-                if (!node) {
-                    Y.fail('Y.Anim: invalid node: ' + node);
-                }
-                return node;
-            }
-        },
-
-        /**
-         * The length of the animation.  Defaults to "1" (second).
-         * @attribute duration
-         * @type NUM
-         */
-        duration: {
-            value: 1
-        },
-
-        /**
-         * The method that will provide values to the attribute(s) during the animation. 
-         * Defaults to "Easing.easeNone".
-         * @attribute easing
-         * @type Function
-         */
-        easing: {
-            value: function (t, b, c, d) {
-                return c * t / d + b; // linear easing
-            }
-        },
-
-        /**
-         * The starting values for the animated properties. 
-         * Fields may be strings, numbers, or functions.
-         * If a function is used, the return value becomes the from value.
-         * If no from value is specified, the DEFAULT_GETTER will be used. 
-         * @attribute from
-         * @type Object
-         */
-        from: {},
-
-        /**
-         * The ending values for the animated properties. 
-         * Fields may be strings, numbers, or functions.
-         * @attribute to
-         * @type Object
-         */
-        to: {},
-
-        /**
-         * Date stamp for the first frame of the animation.
-         * @attribute startTime
-         * @type Int
-         * @default 0 
-         * @readOnly
-         */
-        startTime: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * Current time the animation has been running.
-         * @attribute elapsedTime
-         * @type Int
-         * @default 0 
-         * @readOnly
-         */
-        elapsedTime: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * Whether or not the animation is currently running.
-         * @attribute running 
-         * @type Boolean
-         * @default false 
-         * @readOnly
-         */
-        running: {
-            get: function() {
-                return !!_running[Y.stamp(this)];
-            },
-            value: false,
-            readOnly: true
-        },
-
-        /**
-         * The number of times the animation should run 
-         * @attribute iterations
-         * @type Int
-         * @default 1 
-         */
-        iterations: {
-            value: 1
-        },
-
-        /**
-         * The number of iterations that have occurred.
-         * Resets when an animation ends (reaches iteration count or stop() called). 
-         * @attribute iterationCount
-         * @type Int
-         * @default 0
-         * @readOnly
-         */
-        iterationCount: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * How iterations of the animation should behave. 
-         * Possible values are "normal" and "alternate".
-         * Normal will repeat the animation, alternate will reverse on every other pass.
-         *
-         * @attribute direction
-         * @type String
-         * @default "normal"
-         */
-        direction: {
-            value: 'normal' // | alternate (fwd on odd, rev on even per spec)
-        },
-
-        /**
-         * Whether or not the animation is currently paused.
-         * @attribute running 
-         * @type Boolean
-         * @default false 
-         * @readOnly
-         */
-        paused: {
-            readOnly: true,
-            value: false
-        },
-
-        /**
-         * If true, animation begins from last frame
-         * @attribute reverse
-         * @type Boolean
-         * @default false 
-         */
-        reverse: {
-            value: false
-        }
-
-
-    };
-
-    /**
-     * Runs all animation instances.
-     * @method run
-     * @static
-     */    
-    Y.Anim.run = function() {
-        for (var i in _instances) {
-            if (_instances[i].run) {
-                _instances[i].run();
-            }
-        }
-    };
-
-    /**
-     * Pauses all animation instances.
-     * @method pause
-     * @static
-     */    
-    Y.Anim.pause = function() {
-        for (var i in _running) { // stop timer if nothing running
-            if (_running[i].pause) {
-                _running[i].pause();
-            }
-        }
-        Y.Anim._stopTimer();
-    };
-
-    /**
-     * Stops all animation instances.
-     * @method stop
-     * @static
-     */    
-    Y.Anim.stop = function() {
-        for (var i in _running) { // stop timer if nothing running
-            if (_running[i].stop) {
-                _running[i].stop();
-            }
-        }
-        Y.Anim._stopTimer();
-    };
-    
-    Y.Anim._startTimer = function() {
-        if (!_timer) {
-            _timer = setInterval(Y.Anim._runFrame, 1);
-        }
-    };
-
-    Y.Anim._stopTimer = function() {
-        clearInterval(_timer);
-        _timer = 0;
-    };
-
-    /**
-     * Called per Interval to handle each animation frame.
-     * @method _runFrame
-     * @private
-     * @static
-     */    
-    Y.Anim._runFrame = function() {
-        var done = true;
-        for (var anim in _running) {
-            if (_running[anim]._runFrame) {
-                done = false;
-                _running[anim]._runFrame();
-            }
-        }
-
-        if (done) {
-            Y.Anim._stopTimer();
-        }
-    };
-
-    Y.Anim.RE_UNITS = /^(-?\d*\.?\d*){1}(em|ex|px|in|cm|mm|pt|pc|%)*$/;
-
-    var proto = {
-        /**
-         * Starts or resumes an animation.
-         * percent start time marker.
-         * @method run
-         * @chainable
-         */    
-        run: function() {
-            if (!this.get(RUNNING)) {
-                this._start();
-            } else if (this.get(PAUSED)) {
-                this._resume();
-            }
-            return this;
-        },
-
-        /**
-         * Pauses the animation and
-         * freezes it in its current state and time.
-         * Calling run() will continue where it left off.
-         * @method pause
-         * @chainable
-         */    
-        pause: function() {
-            if (this.get(RUNNING)) {
-                this._pause();
-            }
-            return this;
-        },
-
-        /**
-         * Stops the animation and resets its time.
-         * @method stop
-         * @chainable
-         */    
-        stop: function(finish) {
-            if (this.get(RUNNING) || this.get(PAUSED)) {
-                this._end(finish);
-            }
-            return this;
-        },
-
-        _added: false,
-
-        _start: function() {
-            _setPrivate(this, START_TIME, new Date() - this.get(ELAPSED_TIME));
-            this._actualFrames = 0;
-            if (!this.get(PAUSED)) {
-                this._initAttr();
-            }
-            _running[Y.stamp(this)] = this;
-            Y.Anim._startTimer();
-
-            this.fire(START);
-        },
-
-        _pause: function() {
-            _setPrivate(this, START_TIME, null);
-            _setPrivate(this, PAUSED, true);
-            delete _running[Y.stamp(this)];
-
-            /**
-            * @event pause
-            * @description fires when an animation is paused.
-            * @param {Event} ev The pause event.
-            * @type Event.Custom
-            */
-            this.fire('pause');
-        },
-
-        _resume: function() {
-            _setPrivate(this, PAUSED, false);
-            _running[Y.stamp(this)] = this;
-
-            /**
-            * @event resume
-            * @description fires when an animation is resumed (run from pause).
-            * @param {Event} ev The pause event.
-            * @type Event.Custom
-            */
-            this.fire('resume');
-        },
-
-        _end: function(finish) {
-            _setPrivate(this, START_TIME, null);
-            _setPrivate(this, ELAPSED_TIME, 0);
-            _setPrivate(this, PAUSED, false);
-            //_setPrivate(this, REVERSE, false);
-
-            delete _running[Y.stamp(this)];
-            this.fire(END, {elapsed: this.get(ELAPSED_TIME)});
-        },
-
-        _runFrame: function() {
-            var attr = this._runtimeAttr,
-                customAttr = Y.Anim.behaviors,
-                easing = attr.easing,
-                d = attr.duration,
-                t = new Date() - this.get(START_TIME),
-                reversed = this.get(REVERSE),
-                done = (t >= d),
-                lastFrame = d,
-                attribute,
-                setter;
-                
-            if (reversed) {
-                t = d - t;
-                done = (t <= 0);
-                lastFrame = 0;
-            }
-
-            for (var i in attr) {
-                if (attr[i].to) {
-                    attribute = attr[i];
-                    setter = (i in customAttr && 'set' in customAttr[i]) ?
-                            customAttr[i].set : Y.Anim.DEFAULT_SETTER;
-
-                    if (!done) {
-                        setter(this, i, attribute.from, attribute.to, t, d, easing, attribute.unit); 
-                    } else { // ensure final frame value is set
-                       // TODO: handle keyframes 
-                        setter(this, i, attribute.from, attribute.to, lastFrame, d, easing, attribute.unit); 
-                    }
-                }
-            }
-
-            this._actualFrames += 1;
-            _setPrivate(this, ELAPSED_TIME, t);
-
-            this.fire(TWEEN);
-            if (done) {
-                this._lastFrame();
-            }
-        },
-
-        _lastFrame: function() {
-            var iter = this.get('iterations'),
-                iterCount = this.get(ITERATION_COUNT);
-
-            iterCount += 1;
-            if (iter === 'infinite' || iterCount < iter) {
-                if (this.get('direction') === 'alternate') {
-                    this.set(REVERSE, !this.get(REVERSE)); // flip it
-                }
-                /**
-                * @event iteration
-                * @description fires when an animation begins an iteration.
-                * @param {Event} ev The iteration event.
-                * @type Event.Custom
-                */
-                this.fire('iteration');
-            } else {
-                iterCount = 0;
-                this._end();
-            }
-
-            _setPrivate(this, START_TIME, new Date());
-            _setPrivate(this, ITERATION_COUNT, iterCount);
-        },
-
-        _initAttr: function() {
-            var from = this.get('from') || {},
-                to = this.get('to') || {},
-                dur = this.get('duration') * 1000,
-                node = this.get(NODE),
-                easing = this.get('easing') || {},
-                attr = {},
-                customAttr = Y.Anim.behaviors,
-                unit, begin, end;
-
-            Y.each(to, function(val, name) {
-                if (typeof val === 'function') {
-                    val = val.call(this, node);
-                }
-
-                begin = from[name];
-                if (begin === undefined) {
-                    begin = (name in customAttr && 'get' in customAttr[name])  ?
-                            customAttr[name].get(this, name) : Y.Anim.DEFAULT_GETTER(this, name);
-                } else if (typeof begin === 'function') {
-                    begin = begin.call(this, node);
-                }
-
-                var mFrom = Y.Anim.RE_UNITS.exec(begin);
-                var mTo = Y.Anim.RE_UNITS.exec(val);
-
-                begin = mFrom ? mFrom[1] : begin;
-                var end = mTo ? mTo[1] : val,
-                    unit = mTo ? mTo[2] : mFrom ?  mFrom[2] : ''; // one might be zero TODO: mixed units
-
-                if (!unit && Y.Anim.RE_DEFAULT_UNIT.test(name)) {
-                    unit = Y.Anim.DEFAULT_UNIT;
-                }
-
-                if (!begin || !end) {
-                    Y.fail('invalid "from" or "to" for "' + name + '"', 'Anim');
-                    return;
-                }
-
-                attr[name] = {
-                    from: begin,
-                    to: end,
-                    unit: unit
-                };
-
-                attr.duration = dur;
-                attr.easing = easing;
-
-            }, this);
-
-            this._runtimeAttr = attr;
-        },
-
-
-        // TODO: move to computedStyle? (browsers dont agree on default computed offsets)
-        _getOffset: function(attr) {
-            var node = this._node,
-                val = node.getComputedStyle(attr),
-                get = (attr === 'left') ? 'getX': 'getY',
-                set = (attr === 'left') ? 'setX': 'setY';
-
-            if (val === 'auto') {
-                var position = node.getStyle('position');
-                if (position === 'absolute' || position === 'fixed') {
-                    val = node[get]();
-                    node[set](val);
-                } else {
-                    val = 0;
-                }
-            }
-
-            return val;
-        }
-    };
-
-    Y.extend(Y.Anim, Y.Base, proto);
-
-
-}, '3.0.0pr1' ,{requires:['base', 'node']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-color-debug.js'
--- loggerhead/static/javascript/yui/build/anim/anim-color-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-color-debug.js	1970-01-01 00:00:00 +0000
@@ -1,55 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-color', function(Y) {
-
-/**
- * Adds support for color properties in <code>to</code>
- * and <code>from</code> attributes.
- * @module anim
- * @submodule anim-color
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.color = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        from = Y.Color.re_RGB.exec(Y.Color.toRGB(from));
-        to = Y.Color.re_RGB.exec(Y.Color.toRGB(to));
-
-        if (!from || from.length < 3 || !to || to.length < 3) {
-            Y.fail('invalid from or to passed to color behavior');
-        }
-
-        anim._node.setStyle(att, 'rgb(' + [
-            Math.floor(fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)),
-            Math.floor(fn(elapsed, NUM(from[2]), NUM(to[2]) - NUM(from[2]), duration)),
-            Math.floor(fn(elapsed, NUM(from[3]), NUM(to[3]) - NUM(from[3]), duration))
-        ].join(', ') + ')');
-    },
-    
-    // TODO: default bgcolor const
-    get: function(anim, att) {
-        var val = anim._node.getComputedStyle(att);
-        val = (val === 'transparent') ? 'rgb(255, 255, 255)' : val;
-        return val;
-    }
-};
-
-Y.each(['backgroundColor',
-        'borderColor',
-        'borderTopColor',
-        'borderRightColor', 
-        'borderBottomColor', 
-        'borderLeftColor'],
-        function(v, i) {
-            Y.Anim.behaviors[v] = Y.Anim.behaviors.color;
-        }
-);
-
-
-}, '3.0.0pr1' ,{requires:['anim-base', 'node-style']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-color-min.js'
--- loggerhead/static/javascript/yui/build/anim/anim-color-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-color-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("anim-color",function(B){var A=Number;B.Anim.behaviors.color={set:function(F,D,I,H,C,G,E){I=B.Color.re_RGB.exec(B.Color.toRGB(I));H=B.Color.re_RGB.exec(B.Color.toRGB(H));if(!I||I.length<3||!H||H.length<3){B.fail("invalid from or to passed to color behavior");}F._node.setStyle(D,"rgb("+[Math.floor(E(C,A(I[1]),A(H[1])-A(I[1]),G)),Math.floor(E(C,A(I[2]),A(H[2])-A(I[2]),G)),Math.floor(E(C,A(I[3]),A(H[3])-A(I[3]),G))].join(", ")+")");},get:function(D,C){var E=D._node.getComputedStyle(C);E=(E==="transparent")?"rgb(255, 255, 255)":E;return E;}};B.each(["backgroundColor","borderColor","borderTopColor","borderRightColor","borderBottomColor","borderLeftColor"],function(C,D){B.Anim.behaviors[C]=B.Anim.behaviors.color;});},"3.0.0pr1",{requires:["anim-base","node-style"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-color.js'
--- loggerhead/static/javascript/yui/build/anim/anim-color.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-color.js	1970-01-01 00:00:00 +0000
@@ -1,55 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-color', function(Y) {
-
-/**
- * Adds support for color properties in <code>to</code>
- * and <code>from</code> attributes.
- * @module anim
- * @submodule anim-color
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.color = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        from = Y.Color.re_RGB.exec(Y.Color.toRGB(from));
-        to = Y.Color.re_RGB.exec(Y.Color.toRGB(to));
-
-        if (!from || from.length < 3 || !to || to.length < 3) {
-            Y.fail('invalid from or to passed to color behavior');
-        }
-
-        anim._node.setStyle(att, 'rgb(' + [
-            Math.floor(fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)),
-            Math.floor(fn(elapsed, NUM(from[2]), NUM(to[2]) - NUM(from[2]), duration)),
-            Math.floor(fn(elapsed, NUM(from[3]), NUM(to[3]) - NUM(from[3]), duration))
-        ].join(', ') + ')');
-    },
-    
-    // TODO: default bgcolor const
-    get: function(anim, att) {
-        var val = anim._node.getComputedStyle(att);
-        val = (val === 'transparent') ? 'rgb(255, 255, 255)' : val;
-        return val;
-    }
-};
-
-Y.each(['backgroundColor',
-        'borderColor',
-        'borderTopColor',
-        'borderRightColor', 
-        'borderBottomColor', 
-        'borderLeftColor'],
-        function(v, i) {
-            Y.Anim.behaviors[v] = Y.Anim.behaviors.color;
-        }
-);
-
-
-}, '3.0.0pr1' ,{requires:['anim-base', 'node-style']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-curve-debug.js'
--- loggerhead/static/javascript/yui/build/anim/anim-curve-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-curve-debug.js	1970-01-01 00:00:00 +0000
@@ -1,63 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-curve', function(Y) {
-
-/**
- * Adds support for the <code>curve</code> property for the <code>to</code> 
- * attribute.  A curve is zero or more control points and an end point.
- * @module anim
- * @submodule anim-curve
- * @for Anim
- */
-
-Y.Anim.behaviors.curve = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        from = from.slice.call(from);
-        to = to.slice.call(to);
-        var t = fn(elapsed, 0, 100, duration) / 100;
-        to.unshift(from);
-        anim._node.setXY(Y.Anim.getBezier(to, t));
-    },
-
-    get: function(anim, att) {
-        return anim._node.getXY();
-    }
-};
-
-/**
- * Get the current position of the animated element based on t.
- * Each point is an array of "x" and "y" values (0 = x, 1 = y)
- * At least 2 points are required (start and end).
- * First point is start. Last point is end.
- * Additional control points are optional.     
- * @method getBezier
- * @static
- * @param {Array} points An array containing Bezier points
- * @param {Number} t A number between 0 and 1 which is the basis for determining current position
- * @return {Array} An array containing int x and y member data
- */
-Y.Anim.getBezier = function(points, t) {  
-    var n = points.length;
-    var tmp = [];
-
-    for (var i = 0; i < n; ++i){
-        tmp[i] = [points[i][0], points[i][1]]; // save input
-    }
-    
-    for (var j = 1; j < n; ++j) {
-        for (i = 0; i < n - j; ++i) {
-            tmp[i][0] = (1 - t) * tmp[i][0] + t * tmp[parseInt(i + 1, 10)][0];
-            tmp[i][1] = (1 - t) * tmp[i][1] + t * tmp[parseInt(i + 1, 10)][1]; 
-        }
-    }
-
-    return [ tmp[0][0], tmp[0][1] ]; 
-
-};
-
-
-}, '3.0.0pr1' ,{requires:['anim-base', 'node-screen']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-curve-min.js'
--- loggerhead/static/javascript/yui/build/anim/anim-curve-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-curve-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("anim-curve",function(A){A.Anim.behaviors.curve={set:function(F,C,I,H,B,G,E){I=I.slice.call(I);H=H.slice.call(H);var D=E(B,0,100,G)/100;H.unshift(I);F._node.setXY(A.Anim.getBezier(H,D));},get:function(C,B){return C._node.getXY();}};A.Anim.getBezier=function(F,E){var G=F.length;var D=[];for(var C=0;C<G;++C){D[C]=[F[C][0],F[C][1]];}for(var B=1;B<G;++B){for(C=0;C<G-B;++C){D[C][0]=(1-E)*D[C][0]+E*D[parseInt(C+1,10)][0];D[C][1]=(1-E)*D[C][1]+E*D[parseInt(C+1,10)][1];}}return[D[0][0],D[0][1]];};},"3.0.0pr1",{requires:["anim-base","node-screen"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-curve.js'
--- loggerhead/static/javascript/yui/build/anim/anim-curve.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-curve.js	1970-01-01 00:00:00 +0000
@@ -1,63 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-curve', function(Y) {
-
-/**
- * Adds support for the <code>curve</code> property for the <code>to</code> 
- * attribute.  A curve is zero or more control points and an end point.
- * @module anim
- * @submodule anim-curve
- * @for Anim
- */
-
-Y.Anim.behaviors.curve = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        from = from.slice.call(from);
-        to = to.slice.call(to);
-        var t = fn(elapsed, 0, 100, duration) / 100;
-        to.unshift(from);
-        anim._node.setXY(Y.Anim.getBezier(to, t));
-    },
-
-    get: function(anim, att) {
-        return anim._node.getXY();
-    }
-};
-
-/**
- * Get the current position of the animated element based on t.
- * Each point is an array of "x" and "y" values (0 = x, 1 = y)
- * At least 2 points are required (start and end).
- * First point is start. Last point is end.
- * Additional control points are optional.     
- * @method getBezier
- * @static
- * @param {Array} points An array containing Bezier points
- * @param {Number} t A number between 0 and 1 which is the basis for determining current position
- * @return {Array} An array containing int x and y member data
- */
-Y.Anim.getBezier = function(points, t) {  
-    var n = points.length;
-    var tmp = [];
-
-    for (var i = 0; i < n; ++i){
-        tmp[i] = [points[i][0], points[i][1]]; // save input
-    }
-    
-    for (var j = 1; j < n; ++j) {
-        for (i = 0; i < n - j; ++i) {
-            tmp[i][0] = (1 - t) * tmp[i][0] + t * tmp[parseInt(i + 1, 10)][0];
-            tmp[i][1] = (1 - t) * tmp[i][1] + t * tmp[parseInt(i + 1, 10)][1]; 
-        }
-    }
-
-    return [ tmp[0][0], tmp[0][1] ]; 
-
-};
-
-
-}, '3.0.0pr1' ,{requires:['anim-base', 'node-screen']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-debug.js'
--- loggerhead/static/javascript/yui/build/anim/anim-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-debug.js	1970-01-01 00:00:00 +0000
@@ -1,1106 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim', function(Y) {
-
-/**
- * Y.Animation Utility.
- * @module anim
- */
-
-    /**
-     * Handles animation _queueing and threading.
-     * @class Anim
-     * @constructor
-     * @extends Base
-     */
-
-    var RUNNING = 'running',
-        START_TIME = 'startTime',
-        ELAPSED_TIME = 'elapsedTime',
-        /**
-        * @event start
-        * @description fires when an animation begins.
-        * @param {Event} ev The start event.
-        * @type Event.Custom
-        */
-        START = 'start',
-
-        /**
-        * @event tween
-        * @description fires every frame of the animation.
-        * @param {Event} ev The tween event.
-        * @type Event.Custom
-        */
-        TWEEN = 'tween',
-
-        /**
-        * @event end
-        * @description fires after the animation completes.
-        * @param {Event} ev The end event.
-        * @type Event.Custom
-        */
-        END = 'end',
-        NODE = 'node',
-        PAUSED = 'paused',
-        REVERSE = 'reverse', // TODO: cleanup
-        ITERATION_COUNT = 'iterationCount',
-
-        NUM = Number;
-
-    var _running = {},
-        _instances = {},
-        _timer;
-
-    var _setPrivate = function(anim, prop, val) {
-        if (typeof prop == 'string') {
-            anim._conf.add(prop, { value: val });
-        } else {
-            Y.each(prop, function(v, n) {
-                _setPrivate(anim, n, v);
-            });
-        }
-    };
-    Y.Anim = function() {
-        Y.Anim.superclass.constructor.apply(this, arguments);
-        _instances[Y.stamp(this)] = this;
-    };
-
-    Y.Anim.NAME = 'anim';
-
-    /**
-     * Regex of properties that should use the default unit.
-     *
-     * @property RE_DEFAULT_UNIT
-     * @static
-     */
-    Y.Anim.RE_DEFAULT_UNIT = /^width|height|top|right|bottom|left|margin.*|padding.*|border.*$/i;
-
-    /**
-     * The default unit to use with properties that pass the RE_DEFAULT_UNIT test.
-     *
-     * @property DEFAULT_UNIT
-     * @static
-     */
-    Y.Anim.DEFAULT_UNIT = 'px';
-
-
-    /**
-     * Bucket for custom getters and setters
-     *
-     * @property behaviors
-     * @static
-     */
-    Y.Anim.behaviors = {
-        left: {
-            get: function(anim, attr) {
-                return anim._getOffset(attr);
-            }
-        }
-    };
-
-    Y.Anim.behaviors.top = Y.Anim.behaviors.left;
-
-    /**
-     * The default setter to use when setting object properties.
-     *
-     * @property DEFAULT_SETTER
-     * @static
-     */
-    Y.Anim.DEFAULT_SETTER = function(anim, att, from, to, elapsed, duration, fn, unit) {
-        unit = unit || '';
-        anim._node.setStyle(att, fn(elapsed, NUM(from), NUM(to) - NUM(from), duration) + unit);
-    };
-
-    /**
-     * The default getter to use when getting object properties.
-     *
-     * @property DEFAULT_GETTER
-     * @static
-     */
-    Y.Anim.DEFAULT_GETTER = function(anim, prop) {
-        return anim._node.getComputedStyle(prop);
-    };
-
-    Y.Anim.ATTRS = {
-        /**
-         * The object to be animated.
-         * @attribute node
-         * @type Node
-         */
-        node: {
-            set: function(node) {
-                node = Y.Node.get(node);
-                this._node = node;
-                if (!node) {
-                    Y.fail('Y.Anim: invalid node: ' + node);
-                }
-                return node;
-            }
-        },
-
-        /**
-         * The length of the animation.  Defaults to "1" (second).
-         * @attribute duration
-         * @type NUM
-         */
-        duration: {
-            value: 1
-        },
-
-        /**
-         * The method that will provide values to the attribute(s) during the animation. 
-         * Defaults to "Easing.easeNone".
-         * @attribute easing
-         * @type Function
-         */
-        easing: {
-            value: function (t, b, c, d) {
-                return c * t / d + b; // linear easing
-            }
-        },
-
-        /**
-         * The starting values for the animated properties. 
-         * Fields may be strings, numbers, or functions.
-         * If a function is used, the return value becomes the from value.
-         * If no from value is specified, the DEFAULT_GETTER will be used. 
-         * @attribute from
-         * @type Object
-         */
-        from: {},
-
-        /**
-         * The ending values for the animated properties. 
-         * Fields may be strings, numbers, or functions.
-         * @attribute to
-         * @type Object
-         */
-        to: {},
-
-        /**
-         * Date stamp for the first frame of the animation.
-         * @attribute startTime
-         * @type Int
-         * @default 0 
-         * @readOnly
-         */
-        startTime: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * Current time the animation has been running.
-         * @attribute elapsedTime
-         * @type Int
-         * @default 0 
-         * @readOnly
-         */
-        elapsedTime: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * Whether or not the animation is currently running.
-         * @attribute running 
-         * @type Boolean
-         * @default false 
-         * @readOnly
-         */
-        running: {
-            get: function() {
-                return !!_running[Y.stamp(this)];
-            },
-            value: false,
-            readOnly: true
-        },
-
-        /**
-         * The number of times the animation should run 
-         * @attribute iterations
-         * @type Int
-         * @default 1 
-         */
-        iterations: {
-            value: 1
-        },
-
-        /**
-         * The number of iterations that have occurred.
-         * Resets when an animation ends (reaches iteration count or stop() called). 
-         * @attribute iterationCount
-         * @type Int
-         * @default 0
-         * @readOnly
-         */
-        iterationCount: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * How iterations of the animation should behave. 
-         * Possible values are "normal" and "alternate".
-         * Normal will repeat the animation, alternate will reverse on every other pass.
-         *
-         * @attribute direction
-         * @type String
-         * @default "normal"
-         */
-        direction: {
-            value: 'normal' // | alternate (fwd on odd, rev on even per spec)
-        },
-
-        /**
-         * Whether or not the animation is currently paused.
-         * @attribute running 
-         * @type Boolean
-         * @default false 
-         * @readOnly
-         */
-        paused: {
-            readOnly: true,
-            value: false
-        },
-
-        /**
-         * If true, animation begins from last frame
-         * @attribute reverse
-         * @type Boolean
-         * @default false 
-         */
-        reverse: {
-            value: false
-        }
-
-
-    };
-
-    /**
-     * Runs all animation instances.
-     * @method run
-     * @static
-     */    
-    Y.Anim.run = function() {
-        for (var i in _instances) {
-            if (_instances[i].run) {
-                _instances[i].run();
-            }
-        }
-    };
-
-    /**
-     * Pauses all animation instances.
-     * @method pause
-     * @static
-     */    
-    Y.Anim.pause = function() {
-        for (var i in _running) { // stop timer if nothing running
-            if (_running[i].pause) {
-                _running[i].pause();
-            }
-        }
-        Y.Anim._stopTimer();
-    };
-
-    /**
-     * Stops all animation instances.
-     * @method stop
-     * @static
-     */    
-    Y.Anim.stop = function() {
-        for (var i in _running) { // stop timer if nothing running
-            if (_running[i].stop) {
-                _running[i].stop();
-            }
-        }
-        Y.Anim._stopTimer();
-    };
-    
-    Y.Anim._startTimer = function() {
-        if (!_timer) {
-            _timer = setInterval(Y.Anim._runFrame, 1);
-        }
-    };
-
-    Y.Anim._stopTimer = function() {
-        clearInterval(_timer);
-        _timer = 0;
-    };
-
-    /**
-     * Called per Interval to handle each animation frame.
-     * @method _runFrame
-     * @private
-     * @static
-     */    
-    Y.Anim._runFrame = function() {
-        var done = true;
-        for (var anim in _running) {
-            if (_running[anim]._runFrame) {
-                done = false;
-                _running[anim]._runFrame();
-            }
-        }
-
-        if (done) {
-            Y.Anim._stopTimer();
-        }
-    };
-
-    Y.Anim.RE_UNITS = /^(-?\d*\.?\d*){1}(em|ex|px|in|cm|mm|pt|pc|%)*$/;
-
-    var proto = {
-        /**
-         * Starts or resumes an animation.
-         * percent start time marker.
-         * @method run
-         * @chainable
-         */    
-        run: function() {
-            if (!this.get(RUNNING)) {
-                this._start();
-            } else if (this.get(PAUSED)) {
-                this._resume();
-            }
-            return this;
-        },
-
-        /**
-         * Pauses the animation and
-         * freezes it in its current state and time.
-         * Calling run() will continue where it left off.
-         * @method pause
-         * @chainable
-         */    
-        pause: function() {
-            if (this.get(RUNNING)) {
-                this._pause();
-            }
-            return this;
-        },
-
-        /**
-         * Stops the animation and resets its time.
-         * @method stop
-         * @chainable
-         */    
-        stop: function(finish) {
-            if (this.get(RUNNING) || this.get(PAUSED)) {
-                this._end(finish);
-            }
-            return this;
-        },
-
-        _added: false,
-
-        _start: function() {
-            _setPrivate(this, START_TIME, new Date() - this.get(ELAPSED_TIME));
-            this._actualFrames = 0;
-            if (!this.get(PAUSED)) {
-                this._initAttr();
-            }
-            _running[Y.stamp(this)] = this;
-            Y.Anim._startTimer();
-
-            this.fire(START);
-        },
-
-        _pause: function() {
-            _setPrivate(this, START_TIME, null);
-            _setPrivate(this, PAUSED, true);
-            delete _running[Y.stamp(this)];
-
-            /**
-            * @event pause
-            * @description fires when an animation is paused.
-            * @param {Event} ev The pause event.
-            * @type Event.Custom
-            */
-            this.fire('pause');
-        },
-
-        _resume: function() {
-            _setPrivate(this, PAUSED, false);
-            _running[Y.stamp(this)] = this;
-
-            /**
-            * @event resume
-            * @description fires when an animation is resumed (run from pause).
-            * @param {Event} ev The pause event.
-            * @type Event.Custom
-            */
-            this.fire('resume');
-        },
-
-        _end: function(finish) {
-            _setPrivate(this, START_TIME, null);
-            _setPrivate(this, ELAPSED_TIME, 0);
-            _setPrivate(this, PAUSED, false);
-            //_setPrivate(this, REVERSE, false);
-
-            delete _running[Y.stamp(this)];
-            this.fire(END, {elapsed: this.get(ELAPSED_TIME)});
-        },
-
-        _runFrame: function() {
-            var attr = this._runtimeAttr,
-                customAttr = Y.Anim.behaviors,
-                easing = attr.easing,
-                d = attr.duration,
-                t = new Date() - this.get(START_TIME),
-                reversed = this.get(REVERSE),
-                done = (t >= d),
-                lastFrame = d,
-                attribute,
-                setter;
-                
-            if (reversed) {
-                t = d - t;
-                done = (t <= 0);
-                lastFrame = 0;
-            }
-
-            for (var i in attr) {
-                if (attr[i].to) {
-                    attribute = attr[i];
-                    setter = (i in customAttr && 'set' in customAttr[i]) ?
-                            customAttr[i].set : Y.Anim.DEFAULT_SETTER;
-
-                    if (!done) {
-                        setter(this, i, attribute.from, attribute.to, t, d, easing, attribute.unit); 
-                    } else { // ensure final frame value is set
-                       // TODO: handle keyframes 
-                        setter(this, i, attribute.from, attribute.to, lastFrame, d, easing, attribute.unit); 
-                    }
-                }
-            }
-
-            this._actualFrames += 1;
-            _setPrivate(this, ELAPSED_TIME, t);
-
-            this.fire(TWEEN);
-            if (done) {
-                this._lastFrame();
-            }
-        },
-
-        _lastFrame: function() {
-            var iter = this.get('iterations'),
-                iterCount = this.get(ITERATION_COUNT);
-
-            iterCount += 1;
-            if (iter === 'infinite' || iterCount < iter) {
-                if (this.get('direction') === 'alternate') {
-                    this.set(REVERSE, !this.get(REVERSE)); // flip it
-                }
-                /**
-                * @event iteration
-                * @description fires when an animation begins an iteration.
-                * @param {Event} ev The iteration event.
-                * @type Event.Custom
-                */
-                this.fire('iteration');
-            } else {
-                iterCount = 0;
-                this._end();
-            }
-
-            _setPrivate(this, START_TIME, new Date());
-            _setPrivate(this, ITERATION_COUNT, iterCount);
-        },
-
-        _initAttr: function() {
-            var from = this.get('from') || {},
-                to = this.get('to') || {},
-                dur = this.get('duration') * 1000,
-                node = this.get(NODE),
-                easing = this.get('easing') || {},
-                attr = {},
-                customAttr = Y.Anim.behaviors,
-                unit, begin, end;
-
-            Y.each(to, function(val, name) {
-                if (typeof val === 'function') {
-                    val = val.call(this, node);
-                }
-
-                begin = from[name];
-                if (begin === undefined) {
-                    begin = (name in customAttr && 'get' in customAttr[name])  ?
-                            customAttr[name].get(this, name) : Y.Anim.DEFAULT_GETTER(this, name);
-                } else if (typeof begin === 'function') {
-                    begin = begin.call(this, node);
-                }
-
-                var mFrom = Y.Anim.RE_UNITS.exec(begin);
-                var mTo = Y.Anim.RE_UNITS.exec(val);
-
-                begin = mFrom ? mFrom[1] : begin;
-                var end = mTo ? mTo[1] : val,
-                    unit = mTo ? mTo[2] : mFrom ?  mFrom[2] : ''; // one might be zero TODO: mixed units
-
-                if (!unit && Y.Anim.RE_DEFAULT_UNIT.test(name)) {
-                    unit = Y.Anim.DEFAULT_UNIT;
-                }
-
-                if (!begin || !end) {
-                    Y.fail('invalid "from" or "to" for "' + name + '"', 'Anim');
-                    return;
-                }
-
-                attr[name] = {
-                    from: begin,
-                    to: end,
-                    unit: unit
-                };
-
-                attr.duration = dur;
-                attr.easing = easing;
-
-            }, this);
-
-            this._runtimeAttr = attr;
-        },
-
-
-        // TODO: move to computedStyle? (browsers dont agree on default computed offsets)
-        _getOffset: function(attr) {
-            var node = this._node,
-                val = node.getComputedStyle(attr),
-                get = (attr === 'left') ? 'getX': 'getY',
-                set = (attr === 'left') ? 'setX': 'setY';
-
-            if (val === 'auto') {
-                var position = node.getStyle('position');
-                if (position === 'absolute' || position === 'fixed') {
-                    val = node[get]();
-                    node[set](val);
-                } else {
-                    val = 0;
-                }
-            }
-
-            return val;
-        }
-    };
-
-    Y.extend(Y.Anim, Y.Base, proto);
-/*
-TERMS OF USE - EASING EQUATIONS
-Open source under the BSD License.
-Copyright 2001 Robert Penner All rights reserved.
-
-Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
-
- * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- * Neither the name of the author nor the names of contributors may be used to endorse or promote products derived from this software without specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-*/
-
-/**
- * The easing module provides methods for customizing
- * how an animation behaves during each run.
- * @class Easing
- * @module anim
- * @submodule anim-easing
- */
-
-Y.Easing = {
-
-    /**
-     * Uniform speed between points.
-     * @method easeNone
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeNone: function (t, b, c, d) {
-        return c*t/d + b;
-    },
-    
-    /**
-     * Begins slowly and accelerates towards end. (quadratic)
-     * @method easeIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeIn: function (t, b, c, d) {
-        return c*(t/=d)*t + b;
-    },
-
-    /**
-     * Begins quickly and decelerates towards end.  (quadratic)
-     * @method easeOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeOut: function (t, b, c, d) {
-        return -c *(t/=d)*(t-2) + b;
-    },
-    
-    /**
-     * Begins slowly and decelerates towards end. (quadratic)
-     * @method easeBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeBoth: function (t, b, c, d) {
-        if ((t/=d/2) < 1) {
-            return c/2*t*t + b;
-        }
-        
-        return -c/2 * ((--t)*(t-2) - 1) + b;
-    },
-    
-    /**
-     * Begins slowly and accelerates towards end. (quartic)
-     * @method easeInStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeInStrong: function (t, b, c, d) {
-        return c*(t/=d)*t*t*t + b;
-    },
-    
-    /**
-     * Begins quickly and decelerates towards end.  (quartic)
-     * @method easeOutStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeOutStrong: function (t, b, c, d) {
-        return -c * ((t=t/d-1)*t*t*t - 1) + b;
-    },
-    
-    /**
-     * Begins slowly and decelerates towards end. (quartic)
-     * @method easeBothStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeBothStrong: function (t, b, c, d) {
-        if ((t/=d/2) < 1) {
-            return c/2*t*t*t*t + b;
-        }
-        
-        return -c/2 * ((t-=2)*t*t*t - 2) + b;
-    },
-
-    /**
-     * Snap in elastic effect.
-     * @method elasticIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-
-    elasticIn: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        if ( (t /= d) === 1 ) {
-            return b+c;
-        }
-        if (!p) {
-            p = d* 0.3;
-        }
-        
-        if (!a || a < Math.abs(c)) {
-            a = c; 
-            s = p/4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        return -(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
-    },
-
-    /**
-     * Snap out elastic effect.
-     * @method elasticOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    elasticOut: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        if ( (t /= d) === 1 ) {
-            return b+c;
-        }
-        if (!p) {
-            p=d * 0.3;
-        }
-        
-        if (!a || a < Math.abs(c)) {
-            a = c;
-            s = p / 4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        return a*Math.pow(2,-10*t) * Math.sin( (t*d-s)*(2*Math.PI)/p ) + c + b;
-    },
-    
-    /**
-     * Snap both elastic effect.
-     * @method elasticBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    elasticBoth: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        
-        if ( (t /= d/2) === 2 ) {
-            return b+c;
-        }
-        
-        if (!p) {
-            p = d*(0.3*1.5);
-        }
-        
-        if ( !a || a < Math.abs(c) ) {
-            a = c; 
-            s = p/4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        if (t < 1) {
-            return -0.5*(a*Math.pow(2,10*(t-=1)) * 
-                    Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
-        }
-        return a*Math.pow(2,-10*(t-=1)) * 
-                Math.sin( (t*d-s)*(2*Math.PI)/p )*0.5 + c + b;
-    },
-
-
-    /**
-     * Backtracks slightly, then reverses direction and moves to end.
-     * @method backIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backIn: function (t, b, c, d, s) {
-        if (s == undefined) {
-            s = 1.70158;
-        }
-        if (t === d) {
-            t -= 0.001;
-        }
-        return c*(t/=d)*t*((s+1)*t - s) + b;
-    },
-
-    /**
-     * Overshoots end, then reverses and comes back to end.
-     * @method backOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backOut: function (t, b, c, d, s) {
-        if (typeof s === 'undefined') {
-            s = 1.70158;
-        }
-        return c*((t=t/d-1)*t*((s+1)*t + s) + 1) + b;
-    },
-    
-    /**
-     * Backtracks slightly, then reverses direction, overshoots end, 
-     * then reverses and comes back to end.
-     * @method backBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backBoth: function (t, b, c, d, s) {
-        if (typeof s === 'undefined') {
-            s = 1.70158; 
-        }
-        
-        if ((t /= d/2 ) < 1) {
-            return c/2*(t*t*(((s*=(1.525))+1)*t - s)) + b;
-        }
-        return c/2*((t-=2)*t*(((s*=(1.525))+1)*t + s) + 2) + b;
-    },
-
-    /**
-     * Bounce off of start.
-     * @method bounceIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceIn: function (t, b, c, d) {
-        return c - Y.Easing.bounceOut(d-t, 0, c, d) + b;
-    },
-    
-    /**
-     * Bounces off end.
-     * @method bounceOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceOut: function (t, b, c, d) {
-        if ((t/=d) < (1/2.75)) {
-                return c*(7.5625*t*t) + b;
-        } else if (t < (2/2.75)) {
-                return c*(7.5625*(t-=(1.5/2.75))*t + 0.75) + b;
-        } else if (t < (2.5/2.75)) {
-                return c*(7.5625*(t-=(2.25/2.75))*t + 0.9375) + b;
-        }
-        return c*(7.5625*(t-=(2.625/2.75))*t + 0.984375) + b;
-    },
-    
-    /**
-     * Bounces off start and end.
-     * @method bounceBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceBoth: function (t, b, c, d) {
-        if (t < d/2) {
-            return Y.Easing.bounceIn(t * 2, 0, c, d) * 0.5 + b;
-        }
-        return Y.Easing.bounceOut(t * 2 - d, 0, c, d) * 0.5 + c * 0.5 + b;
-    }
-};
-/**
- * Adds support for the <code>xy</code> property in <code>from</code> and 
- * <code>to</code> attributes.
- * @module anim
- * @submodule anim-xy
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.xy = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        anim._node.setXY([
-            fn(elapsed, NUM(from[0]), NUM(to[0]) - NUM(from[0]), duration),
-            fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)
-        ]);
-    },
-    get: function(anim) {
-        return anim._node.getXY();
-    }
-};
-
-/**
- * Adds support for color properties in <code>to</code>
- * and <code>from</code> attributes.
- * @module anim
- * @submodule anim-color
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.color = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        from = Y.Color.re_RGB.exec(Y.Color.toRGB(from));
-        to = Y.Color.re_RGB.exec(Y.Color.toRGB(to));
-
-        if (!from || from.length < 3 || !to || to.length < 3) {
-            Y.fail('invalid from or to passed to color behavior');
-        }
-
-        anim._node.setStyle(att, 'rgb(' + [
-            Math.floor(fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)),
-            Math.floor(fn(elapsed, NUM(from[2]), NUM(to[2]) - NUM(from[2]), duration)),
-            Math.floor(fn(elapsed, NUM(from[3]), NUM(to[3]) - NUM(from[3]), duration))
-        ].join(', ') + ')');
-    },
-    
-    // TODO: default bgcolor const
-    get: function(anim, att) {
-        var val = anim._node.getComputedStyle(att);
-        val = (val === 'transparent') ? 'rgb(255, 255, 255)' : val;
-        return val;
-    }
-};
-
-Y.each(['backgroundColor',
-        'borderColor',
-        'borderTopColor',
-        'borderRightColor', 
-        'borderBottomColor', 
-        'borderLeftColor'],
-        function(v, i) {
-            Y.Anim.behaviors[v] = Y.Anim.behaviors.color;
-        }
-);
-/**
- * Adds support for the <code>scroll</code> property in <code>to</code>
- * and <code>from</code> attributes.
- * @module anim
- * @submodule anim-scroll
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.scroll = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        var
-            node = anim._node, 
-            val = ([
-            fn(elapsed, NUM(from[0]), NUM(to[0]) - NUM(from[0]), duration),
-            fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)
-        ]);
-
-        if (val[0]) {
-            node.set('scrollLeft', val[0]);
-        }
-
-        if (val[1]) {
-            node.set('scrollTop', val[1]);
-        }
-    },
-    get: function(anim) {
-        var node = anim._node;
-        return [node.get('scrollLeft'), node.get('scrollTop')];
-    }
-};
-
-/**
- * Adds support for the <code>curve</code> property for the <code>to</code> 
- * attribute.  A curve is zero or more control points and an end point.
- * @module anim
- * @submodule anim-curve
- * @for Anim
- */
-
-Y.Anim.behaviors.curve = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        from = from.slice.call(from);
-        to = to.slice.call(to);
-        var t = fn(elapsed, 0, 100, duration) / 100;
-        to.unshift(from);
-        anim._node.setXY(Y.Anim.getBezier(to, t));
-    },
-
-    get: function(anim, att) {
-        return anim._node.getXY();
-    }
-};
-
-/**
- * Get the current position of the animated element based on t.
- * Each point is an array of "x" and "y" values (0 = x, 1 = y)
- * At least 2 points are required (start and end).
- * First point is start. Last point is end.
- * Additional control points are optional.     
- * @method getBezier
- * @static
- * @param {Array} points An array containing Bezier points
- * @param {Number} t A number between 0 and 1 which is the basis for determining current position
- * @return {Array} An array containing int x and y member data
- */
-Y.Anim.getBezier = function(points, t) {  
-    var n = points.length;
-    var tmp = [];
-
-    for (var i = 0; i < n; ++i){
-        tmp[i] = [points[i][0], points[i][1]]; // save input
-    }
-    
-    for (var j = 1; j < n; ++j) {
-        for (i = 0; i < n - j; ++i) {
-            tmp[i][0] = (1 - t) * tmp[i][0] + t * tmp[parseInt(i + 1, 10)][0];
-            tmp[i][1] = (1 - t) * tmp[i][1] + t * tmp[parseInt(i + 1, 10)][1]; 
-        }
-    }
-
-    return [ tmp[0][0], tmp[0][1] ]; 
-
-};
-/**
- *  Binds an Anim instance to a Node instance
- * @module anim
- * @submodule anim-node-plugin
- */
-
-Y.namespace('Plugin');
-Y.Plugin.NodeFX = function(config) {
-    config.node = config.owner;
-    Y.Plugin.NodeFX.superclass.constructor.apply(this, arguments);
-};
-
-Y.Plugin.NodeFX.NAME = "nodefxplugin";
-Y.Plugin.NodeFX.NS = "fx";
-
-Y.extend(Y.Plugin.NodeFX, Y.Anim);
-
-
-
-}, '3.0.0pr1' ,{requires:['base', 'node']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-easing-debug.js'
--- loggerhead/static/javascript/yui/build/anim/anim-easing-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-easing-debug.js	1970-01-01 00:00:00 +0000
@@ -1,353 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-easing', function(Y) {
-
-/*
-TERMS OF USE - EASING EQUATIONS
-Open source under the BSD License.
-Copyright 2001 Robert Penner All rights reserved.
-
-Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
-
- * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- * Neither the name of the author nor the names of contributors may be used to endorse or promote products derived from this software without specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-*/
-
-/**
- * The easing module provides methods for customizing
- * how an animation behaves during each run.
- * @class Easing
- * @module anim
- * @submodule anim-easing
- */
-
-Y.Easing = {
-
-    /**
-     * Uniform speed between points.
-     * @method easeNone
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeNone: function (t, b, c, d) {
-        return c*t/d + b;
-    },
-    
-    /**
-     * Begins slowly and accelerates towards end. (quadratic)
-     * @method easeIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeIn: function (t, b, c, d) {
-        return c*(t/=d)*t + b;
-    },
-
-    /**
-     * Begins quickly and decelerates towards end.  (quadratic)
-     * @method easeOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeOut: function (t, b, c, d) {
-        return -c *(t/=d)*(t-2) + b;
-    },
-    
-    /**
-     * Begins slowly and decelerates towards end. (quadratic)
-     * @method easeBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeBoth: function (t, b, c, d) {
-        if ((t/=d/2) < 1) {
-            return c/2*t*t + b;
-        }
-        
-        return -c/2 * ((--t)*(t-2) - 1) + b;
-    },
-    
-    /**
-     * Begins slowly and accelerates towards end. (quartic)
-     * @method easeInStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeInStrong: function (t, b, c, d) {
-        return c*(t/=d)*t*t*t + b;
-    },
-    
-    /**
-     * Begins quickly and decelerates towards end.  (quartic)
-     * @method easeOutStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeOutStrong: function (t, b, c, d) {
-        return -c * ((t=t/d-1)*t*t*t - 1) + b;
-    },
-    
-    /**
-     * Begins slowly and decelerates towards end. (quartic)
-     * @method easeBothStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeBothStrong: function (t, b, c, d) {
-        if ((t/=d/2) < 1) {
-            return c/2*t*t*t*t + b;
-        }
-        
-        return -c/2 * ((t-=2)*t*t*t - 2) + b;
-    },
-
-    /**
-     * Snap in elastic effect.
-     * @method elasticIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-
-    elasticIn: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        if ( (t /= d) === 1 ) {
-            return b+c;
-        }
-        if (!p) {
-            p = d* 0.3;
-        }
-        
-        if (!a || a < Math.abs(c)) {
-            a = c; 
-            s = p/4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        return -(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
-    },
-
-    /**
-     * Snap out elastic effect.
-     * @method elasticOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    elasticOut: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        if ( (t /= d) === 1 ) {
-            return b+c;
-        }
-        if (!p) {
-            p=d * 0.3;
-        }
-        
-        if (!a || a < Math.abs(c)) {
-            a = c;
-            s = p / 4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        return a*Math.pow(2,-10*t) * Math.sin( (t*d-s)*(2*Math.PI)/p ) + c + b;
-    },
-    
-    /**
-     * Snap both elastic effect.
-     * @method elasticBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    elasticBoth: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        
-        if ( (t /= d/2) === 2 ) {
-            return b+c;
-        }
-        
-        if (!p) {
-            p = d*(0.3*1.5);
-        }
-        
-        if ( !a || a < Math.abs(c) ) {
-            a = c; 
-            s = p/4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        if (t < 1) {
-            return -0.5*(a*Math.pow(2,10*(t-=1)) * 
-                    Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
-        }
-        return a*Math.pow(2,-10*(t-=1)) * 
-                Math.sin( (t*d-s)*(2*Math.PI)/p )*0.5 + c + b;
-    },
-
-
-    /**
-     * Backtracks slightly, then reverses direction and moves to end.
-     * @method backIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backIn: function (t, b, c, d, s) {
-        if (s == undefined) {
-            s = 1.70158;
-        }
-        if (t === d) {
-            t -= 0.001;
-        }
-        return c*(t/=d)*t*((s+1)*t - s) + b;
-    },
-
-    /**
-     * Overshoots end, then reverses and comes back to end.
-     * @method backOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backOut: function (t, b, c, d, s) {
-        if (typeof s === 'undefined') {
-            s = 1.70158;
-        }
-        return c*((t=t/d-1)*t*((s+1)*t + s) + 1) + b;
-    },
-    
-    /**
-     * Backtracks slightly, then reverses direction, overshoots end, 
-     * then reverses and comes back to end.
-     * @method backBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backBoth: function (t, b, c, d, s) {
-        if (typeof s === 'undefined') {
-            s = 1.70158; 
-        }
-        
-        if ((t /= d/2 ) < 1) {
-            return c/2*(t*t*(((s*=(1.525))+1)*t - s)) + b;
-        }
-        return c/2*((t-=2)*t*(((s*=(1.525))+1)*t + s) + 2) + b;
-    },
-
-    /**
-     * Bounce off of start.
-     * @method bounceIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceIn: function (t, b, c, d) {
-        return c - Y.Easing.bounceOut(d-t, 0, c, d) + b;
-    },
-    
-    /**
-     * Bounces off end.
-     * @method bounceOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceOut: function (t, b, c, d) {
-        if ((t/=d) < (1/2.75)) {
-                return c*(7.5625*t*t) + b;
-        } else if (t < (2/2.75)) {
-                return c*(7.5625*(t-=(1.5/2.75))*t + 0.75) + b;
-        } else if (t < (2.5/2.75)) {
-                return c*(7.5625*(t-=(2.25/2.75))*t + 0.9375) + b;
-        }
-        return c*(7.5625*(t-=(2.625/2.75))*t + 0.984375) + b;
-    },
-    
-    /**
-     * Bounces off start and end.
-     * @method bounceBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceBoth: function (t, b, c, d) {
-        if (t < d/2) {
-            return Y.Easing.bounceIn(t * 2, 0, c, d) * 0.5 + b;
-        }
-        return Y.Easing.bounceOut(t * 2 - d, 0, c, d) * 0.5 + c * 0.5 + b;
-    }
-};
-
-
-}, '3.0.0pr1' ,{requires:['anim-base']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-easing-min.js'
--- loggerhead/static/javascript/yui/build/anim/anim-easing-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-easing-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("anim-easing",function(A){A.Easing={easeNone:function(C,B,E,D){return E*C/D+B;},easeIn:function(C,B,E,D){return E*(C/=D)*C+B;},easeOut:function(C,B,E,D){return -E*(C/=D)*(C-2)+B;},easeBoth:function(C,B,E,D){if((C/=D/2)<1){return E/2*C*C+B;}return -E/2*((--C)*(C-2)-1)+B;},easeInStrong:function(C,B,E,D){return E*(C/=D)*C*C*C+B;},easeOutStrong:function(C,B,E,D){return -E*((C=C/D-1)*C*C*C-1)+B;},easeBothStrong:function(C,B,E,D){if((C/=D/2)<1){return E/2*C*C*C*C+B;}return -E/2*((C-=2)*C*C*C-2)+B;},elasticIn:function(D,B,H,G,C,F){var E;if(D===0){return B;}if((D/=G)===1){return B+H;}if(!F){F=G*0.3;}if(!C||C<Math.abs(H)){C=H;E=F/4;}else{E=F/(2*Math.PI)*Math.asin(H/C);}return -(C*Math.pow(2,10*(D-=1))*Math.sin((D*G-E)*(2*Math.PI)/F))+B;},elasticOut:function(D,B,H,G,C,F){var E;if(D===0){return B;}if((D/=G)===1){return B+H;}if(!F){F=G*0.3;}if(!C||C<Math.abs(H)){C=H;E=F/4;}else{E=F/(2*Math.PI)*Math.asin(H/C);}return C*Math.pow(2,-10*D)*Math.sin((D*G-E)*(2*Math.PI)/F)+H+B;},elasticBoth:function(D,B,H,G,C,F){var E;if(D===0){return B;}if((D/=G/2)===2){return B+H;}if(!F){F=G*(0.3*1.5);}if(!C||C<Math.abs(H)){C=H;E=F/4;}else{E=F/(2*Math.PI)*Math.asin(H/C);}if(D<1){return -0.5*(C*Math.pow(2,10*(D-=1))*Math.sin((D*G-E)*(2*Math.PI)/F))+B;}return C*Math.pow(2,-10*(D-=1))*Math.sin((D*G-E)*(2*Math.PI)/F)*0.5+H+B;},backIn:function(C,B,F,E,D){if(D==undefined){D=1.70158;}if(C===E){C-=0.001;}return F*(C/=E)*C*((D+1)*C-D)+B;},backOut:function(C,B,F,E,D){if(typeof D==="undefined"){D=1.70158;}return F*((C=C/E-1)*C*((D+1)*C+D)+1)+B;},backBoth:function(C,B,F,E,D){if(typeof D==="undefined"){D=1.70158;}if((C/=E/2)<1){return F/2*(C*C*(((D*=(1.525))+1)*C-D))+B;}return F/2*((C-=2)*C*(((D*=(1.525))+1)*C+D)+2)+B;},bounceIn:function(C,B,E,D){return E-A.Easing.bounceOut(D-C,0,E,D)+B;},bounceOut:function(C,B,E,D){if((C/=D)<(1/2.75)){return E*(7.5625*C*C)+B;}else{if(C<(2/2.75)){return E*(7.5625*(C-=(1.5/2.75))*C+0.75)+B;}else{if(C<(2.5/2.75)){return E*(7.5625*(C-=(2.25/2.75))*C+0.9375)+B;}}}return E*(7.5625*(C-=(2.625/2.75))*C+0.984375)+B;},bounceBoth:function(C,B,E,D){if(C<D/2){return A.Easing.bounceIn(C*2,0,E,D)*0.5+B;}return A.Easing.bounceOut(C*2-D,0,E,D)*0.5+E*0.5+B;}};},"3.0.0pr1",{requires:["anim-base"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-easing.js'
--- loggerhead/static/javascript/yui/build/anim/anim-easing.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-easing.js	1970-01-01 00:00:00 +0000
@@ -1,353 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-easing', function(Y) {
-
-/*
-TERMS OF USE - EASING EQUATIONS
-Open source under the BSD License.
-Copyright 2001 Robert Penner All rights reserved.
-
-Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
-
- * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- * Neither the name of the author nor the names of contributors may be used to endorse or promote products derived from this software without specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-*/
-
-/**
- * The easing module provides methods for customizing
- * how an animation behaves during each run.
- * @class Easing
- * @module anim
- * @submodule anim-easing
- */
-
-Y.Easing = {
-
-    /**
-     * Uniform speed between points.
-     * @method easeNone
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeNone: function (t, b, c, d) {
-        return c*t/d + b;
-    },
-    
-    /**
-     * Begins slowly and accelerates towards end. (quadratic)
-     * @method easeIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeIn: function (t, b, c, d) {
-        return c*(t/=d)*t + b;
-    },
-
-    /**
-     * Begins quickly and decelerates towards end.  (quadratic)
-     * @method easeOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeOut: function (t, b, c, d) {
-        return -c *(t/=d)*(t-2) + b;
-    },
-    
-    /**
-     * Begins slowly and decelerates towards end. (quadratic)
-     * @method easeBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeBoth: function (t, b, c, d) {
-        if ((t/=d/2) < 1) {
-            return c/2*t*t + b;
-        }
-        
-        return -c/2 * ((--t)*(t-2) - 1) + b;
-    },
-    
-    /**
-     * Begins slowly and accelerates towards end. (quartic)
-     * @method easeInStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeInStrong: function (t, b, c, d) {
-        return c*(t/=d)*t*t*t + b;
-    },
-    
-    /**
-     * Begins quickly and decelerates towards end.  (quartic)
-     * @method easeOutStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeOutStrong: function (t, b, c, d) {
-        return -c * ((t=t/d-1)*t*t*t - 1) + b;
-    },
-    
-    /**
-     * Begins slowly and decelerates towards end. (quartic)
-     * @method easeBothStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeBothStrong: function (t, b, c, d) {
-        if ((t/=d/2) < 1) {
-            return c/2*t*t*t*t + b;
-        }
-        
-        return -c/2 * ((t-=2)*t*t*t - 2) + b;
-    },
-
-    /**
-     * Snap in elastic effect.
-     * @method elasticIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-
-    elasticIn: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        if ( (t /= d) === 1 ) {
-            return b+c;
-        }
-        if (!p) {
-            p = d* 0.3;
-        }
-        
-        if (!a || a < Math.abs(c)) {
-            a = c; 
-            s = p/4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        return -(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
-    },
-
-    /**
-     * Snap out elastic effect.
-     * @method elasticOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    elasticOut: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        if ( (t /= d) === 1 ) {
-            return b+c;
-        }
-        if (!p) {
-            p=d * 0.3;
-        }
-        
-        if (!a || a < Math.abs(c)) {
-            a = c;
-            s = p / 4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        return a*Math.pow(2,-10*t) * Math.sin( (t*d-s)*(2*Math.PI)/p ) + c + b;
-    },
-    
-    /**
-     * Snap both elastic effect.
-     * @method elasticBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    elasticBoth: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        
-        if ( (t /= d/2) === 2 ) {
-            return b+c;
-        }
-        
-        if (!p) {
-            p = d*(0.3*1.5);
-        }
-        
-        if ( !a || a < Math.abs(c) ) {
-            a = c; 
-            s = p/4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        if (t < 1) {
-            return -0.5*(a*Math.pow(2,10*(t-=1)) * 
-                    Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
-        }
-        return a*Math.pow(2,-10*(t-=1)) * 
-                Math.sin( (t*d-s)*(2*Math.PI)/p )*0.5 + c + b;
-    },
-
-
-    /**
-     * Backtracks slightly, then reverses direction and moves to end.
-     * @method backIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backIn: function (t, b, c, d, s) {
-        if (s == undefined) {
-            s = 1.70158;
-        }
-        if (t === d) {
-            t -= 0.001;
-        }
-        return c*(t/=d)*t*((s+1)*t - s) + b;
-    },
-
-    /**
-     * Overshoots end, then reverses and comes back to end.
-     * @method backOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backOut: function (t, b, c, d, s) {
-        if (typeof s === 'undefined') {
-            s = 1.70158;
-        }
-        return c*((t=t/d-1)*t*((s+1)*t + s) + 1) + b;
-    },
-    
-    /**
-     * Backtracks slightly, then reverses direction, overshoots end, 
-     * then reverses and comes back to end.
-     * @method backBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backBoth: function (t, b, c, d, s) {
-        if (typeof s === 'undefined') {
-            s = 1.70158; 
-        }
-        
-        if ((t /= d/2 ) < 1) {
-            return c/2*(t*t*(((s*=(1.525))+1)*t - s)) + b;
-        }
-        return c/2*((t-=2)*t*(((s*=(1.525))+1)*t + s) + 2) + b;
-    },
-
-    /**
-     * Bounce off of start.
-     * @method bounceIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceIn: function (t, b, c, d) {
-        return c - Y.Easing.bounceOut(d-t, 0, c, d) + b;
-    },
-    
-    /**
-     * Bounces off end.
-     * @method bounceOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceOut: function (t, b, c, d) {
-        if ((t/=d) < (1/2.75)) {
-                return c*(7.5625*t*t) + b;
-        } else if (t < (2/2.75)) {
-                return c*(7.5625*(t-=(1.5/2.75))*t + 0.75) + b;
-        } else if (t < (2.5/2.75)) {
-                return c*(7.5625*(t-=(2.25/2.75))*t + 0.9375) + b;
-        }
-        return c*(7.5625*(t-=(2.625/2.75))*t + 0.984375) + b;
-    },
-    
-    /**
-     * Bounces off start and end.
-     * @method bounceBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceBoth: function (t, b, c, d) {
-        if (t < d/2) {
-            return Y.Easing.bounceIn(t * 2, 0, c, d) * 0.5 + b;
-        }
-        return Y.Easing.bounceOut(t * 2 - d, 0, c, d) * 0.5 + c * 0.5 + b;
-    }
-};
-
-
-}, '3.0.0pr1' ,{requires:['anim-base']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-min.js'
--- loggerhead/static/javascript/yui/build/anim/anim-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-min.js	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("anim",function(B){var C="running",N="startTime",L="elapsedTime",J="start",I="tween",M="end",D="node",K="paused",Q="reverse",H="iterationCount",A=Number;var F={},P={},E;var O=function(R,T,S){if(typeof T=="string"){R._conf.add(T,{value:S});}else{B.each(T,function(U,V){O(R,V,U);});}};B.Anim=function(){B.Anim.superclass.constructor.apply(this,arguments);P[B.stamp(this)]=this;};B.Anim.NAME="anim";B.Anim.RE_DEFAULT_UNIT=/^width|height|top|right|bottom|left|margin.*|padding.*|border.*$/i;B.Anim.DEFAULT_UNIT="px";B.Anim.behaviors={left:{get:function(S,R){return S._getOffset(R);}}};B.Anim.behaviors.top=B.Anim.behaviors.left;B.Anim.DEFAULT_SETTER=function(V,S,Y,X,R,W,T,U){U=U||"";V._node.setStyle(S,T(R,A(Y),A(X)-A(Y),W)+U);};B.Anim.DEFAULT_GETTER=function(R,S){return R._node.getComputedStyle(S);};B.Anim.ATTRS={node:{set:function(R){R=B.Node.get(R);this._node=R;if(!R){B.fail("Y.Anim: invalid node: "+R);}return R;}},duration:{value:1},easing:{value:function(S,R,U,T){return U*S/T+R;}},from:{},to:{},startTime:{value:0,readOnly:true},elapsedTime:{value:0,readOnly:true},running:{get:function(){return !!F[B.stamp(this)];},value:false,readOnly:true},iterations:{value:1},iterationCount:{value:0,readOnly:true},direction:{value:"normal"},paused:{readOnly:true,value:false},reverse:{value:false}};B.Anim.run=function(){for(var R in P){if(P[R].run){P[R].run();}}};B.Anim.pause=function(){for(var R in F){if(F[R].pause){F[R].pause();}}B.Anim._stopTimer();};B.Anim.stop=function(){for(var R in F){if(F[R].stop){F[R].stop();}}B.Anim._stopTimer();};B.Anim._startTimer=function(){if(!E){E=setInterval(B.Anim._runFrame,1);}};B.Anim._stopTimer=function(){clearInterval(E);E=0;};B.Anim._runFrame=function(){var R=true;for(var S in F){if(F[S]._runFrame){R=false;F[S]._runFrame();}}if(R){B.Anim._stopTimer();}};B.Anim.RE_UNITS=/^(-?\d*\.?\d*){1}(em|ex|px|in|cm|mm|pt|pc|%)*$/;var G={run:function(){if(!this.get(C)){this._start();}else{if(this.get(K)){this._resume();}}return this;},pause:function(){if(this.get(C)){this._pause();}return this;},stop:function(R){if(this.get(C)||this.get(K)){this._end(R);}return this;},_added:false,_start:function(){O(this,N,new Date()-this.get(L));this._actualFrames=0;if(!this.get(K)){this._initAttr();}F[B.stamp(this)]=this;B.Anim._startTimer();this.fire(J);},_pause:function(){O(this,N,null);O(this,K,true);delete F[B.stamp(this)];this.fire("pause");},_resume:function(){O(this,K,false);F[B.stamp(this)]=this;this.fire("resume");},_end:function(R){O(this,N,null);O(this,L,0);O(this,K,false);delete F[B.stamp(this)];this.fire(M,{elapsed:this.get(L)});},_runFrame:function(){var Y=this._runtimeAttr,T=B.Anim.behaviors,Z=Y.easing,a=Y.duration,b=new Date()-this.get(N),X=this.get(Q),V=(b>=a),R=a,S,U;if(X){b=a-b;V=(b<=0);R=0;}for(var W in Y){if(Y[W].to){S=Y[W];U=(W in T&&"set" in T[W])?T[W].set:B.Anim.DEFAULT_SETTER;if(!V){U(this,W,S.from,S.to,b,a,Z,S.unit);}else{U(this,W,S.from,S.to,R,a,Z,S.unit);}}}this._actualFrames+=1;O(this,L,b);this.fire(I);if(V){this._lastFrame();}},_lastFrame:function(){var R=this.get("iterations"),S=this.get(H);S+=1;if(R==="infinite"||S<R){if(this.get("direction")==="alternate"){this.set(Q,!this.get(Q));}this.fire("iteration");}else{S=0;this._end();}O(this,N,new Date());O(this,H,S);},_initAttr:function(){var Y=this.get("from")||{},Z=this.get("to")||{},R=this.get("duration")*1000,U=this.get(D),X=this.get("easing")||{},W={},S=B.Anim.behaviors,a,T,V;B.each(Z,function(g,d){if(typeof g==="function"){g=g.call(this,U);}T=Y[d];if(T===undefined){T=(d in S&&"get" in S[d])?S[d].get(this,d):B.Anim.DEFAULT_GETTER(this,d);}else{if(typeof T==="function"){T=T.call(this,U);}}var c=B.Anim.RE_UNITS.exec(T);var e=B.Anim.RE_UNITS.exec(g);T=c?c[1]:T;var b=e?e[1]:g,f=e?e[2]:c?c[2]:"";if(!f&&B.Anim.RE_DEFAULT_UNIT.test(d)){f=B.Anim.DEFAULT_UNIT;}if(!T||!b){B.fail('invalid "from" or "to" for "'+d+'"',"Anim");return ;}W[d]={from:T,to:b,unit:f};W.duration=R;W.easing=X;},this);this._runtimeAttr=W;},_getOffset:function(S){var U=this._node,V=U.getComputedStyle(S),T=(S==="left")?"getX":"getY",W=(S==="left")?"setX":"setY";if(V==="auto"){var R=U.getStyle("position");if(R==="absolute"||R==="fixed"){V=U[T]();U[W](V);}else{V=0;}}return V;}};B.extend(B.Anim,B.Base,G);B.Easing={easeNone:function(S,R,U,T){return U*S/T+R;},easeIn:function(S,R,U,T){return U*(S/=T)*S+R;},easeOut:function(S,R,U,T){return -U*(S/=T)*(S-2)+R;},easeBoth:function(S,R,U,T){if((S/=T/2)<1){return U/2*S*S+R;}return -U/2*((--S)*(S-2)-1)+R;},easeInStrong:function(S,R,U,T){return U*(S/=T)*S*S*S+R;},easeOutStrong:function(S,R,U,T){return -U*((S=S/T-1)*S*S*S-1)+R;},easeBothStrong:function(S,R,U,T){if((S/=T/2)<1){return U/2*S*S*S*S+R;}return -U/2*((S-=2)*S*S*S-2)+R;},elasticIn:function(T,R,X,W,S,V){var U;if(T===0){return R;}if((T/=W)===1){return R+X;}if(!V){V=W*0.3;}if(!S||S<Math.abs(X)){S=X;U=V/4;}else{U=V/(2*Math.PI)*Math.asin(X/S);}return -(S*Math.pow(2,10*(T-=1))*Math.sin((T*W-U)*(2*Math.PI)/V))+R;},elasticOut:function(T,R,X,W,S,V){var U;if(T===0){return R;}if((T/=W)===1){return R+X;}if(!V){V=W*0.3;}if(!S||S<Math.abs(X)){S=X;U=V/4;}else{U=V/(2*Math.PI)*Math.asin(X/S);}return S*Math.pow(2,-10*T)*Math.sin((T*W-U)*(2*Math.PI)/V)+X+R;},elasticBoth:function(T,R,X,W,S,V){var U;if(T===0){return R;}if((T/=W/2)===2){return R+X;}if(!V){V=W*(0.3*1.5);}if(!S||S<Math.abs(X)){S=X;U=V/4;}else{U=V/(2*Math.PI)*Math.asin(X/S);}if(T<1){return -0.5*(S*Math.pow(2,10*(T-=1))*Math.sin((T*W-U)*(2*Math.PI)/V))+R;}return S*Math.pow(2,-10*(T-=1))*Math.sin((T*W-U)*(2*Math.PI)/V)*0.5+X+R;},backIn:function(S,R,V,U,T){if(T==undefined){T=1.70158;}if(S===U){S-=0.001;}return V*(S/=U)*S*((T+1)*S-T)+R;},backOut:function(S,R,V,U,T){if(typeof T==="undefined"){T=1.70158;}return V*((S=S/U-1)*S*((T+1)*S+T)+1)+R;},backBoth:function(S,R,V,U,T){if(typeof T==="undefined"){T=1.70158;}if((S/=U/2)<1){return V/2*(S*S*(((T*=(1.525))+1)*S-T))+R;}return V/2*((S-=2)*S*(((T*=(1.525))+1)*S+T)+2)+R;},bounceIn:function(S,R,U,T){return U-B.Easing.bounceOut(T-S,0,U,T)+R;},bounceOut:function(S,R,U,T){if((S/=T)<(1/2.75)){return U*(7.5625*S*S)+R;
-}else{if(S<(2/2.75)){return U*(7.5625*(S-=(1.5/2.75))*S+0.75)+R;}else{if(S<(2.5/2.75)){return U*(7.5625*(S-=(2.25/2.75))*S+0.9375)+R;}}}return U*(7.5625*(S-=(2.625/2.75))*S+0.984375)+R;},bounceBoth:function(S,R,U,T){if(S<T/2){return B.Easing.bounceIn(S*2,0,U,T)*0.5+R;}return B.Easing.bounceOut(S*2-T,0,U,T)*0.5+U*0.5+R;}};var A=Number;B.Anim.behaviors.xy={set:function(U,S,X,W,R,V,T){U._node.setXY([T(R,A(X[0]),A(W[0])-A(X[0]),V),T(R,A(X[1]),A(W[1])-A(X[1]),V)]);},get:function(R){return R._node.getXY();}};var A=Number;B.Anim.behaviors.color={set:function(U,S,X,W,R,V,T){X=B.Color.re_RGB.exec(B.Color.toRGB(X));W=B.Color.re_RGB.exec(B.Color.toRGB(W));if(!X||X.length<3||!W||W.length<3){B.fail("invalid from or to passed to color behavior");}U._node.setStyle(S,"rgb("+[Math.floor(T(R,A(X[1]),A(W[1])-A(X[1]),V)),Math.floor(T(R,A(X[2]),A(W[2])-A(X[2]),V)),Math.floor(T(R,A(X[3]),A(W[3])-A(X[3]),V))].join(", ")+")");},get:function(S,R){var T=S._node.getComputedStyle(R);T=(T==="transparent")?"rgb(255, 255, 255)":T;return T;}};B.each(["backgroundColor","borderColor","borderTopColor","borderRightColor","borderBottomColor","borderLeftColor"],function(R,S){B.Anim.behaviors[R]=B.Anim.behaviors.color;});var A=Number;B.Anim.behaviors.scroll={set:function(U,V,X,Y,Z,T,W){var S=U._node,R=([W(Z,A(X[0]),A(Y[0])-A(X[0]),T),W(Z,A(X[1]),A(Y[1])-A(X[1]),T)]);if(R[0]){S.set("scrollLeft",R[0]);}if(R[1]){S.set("scrollTop",R[1]);}},get:function(S){var R=S._node;return[R.get("scrollLeft"),R.get("scrollTop")];}};B.Anim.behaviors.curve={set:function(V,S,Y,X,R,W,U){Y=Y.slice.call(Y);X=X.slice.call(X);var T=U(R,0,100,W)/100;X.unshift(Y);V._node.setXY(B.Anim.getBezier(X,T));},get:function(S,R){return S._node.getXY();}};B.Anim.getBezier=function(V,U){var W=V.length;var T=[];for(var S=0;S<W;++S){T[S]=[V[S][0],V[S][1]];}for(var R=1;R<W;++R){for(S=0;S<W-R;++S){T[S][0]=(1-U)*T[S][0]+U*T[parseInt(S+1,10)][0];T[S][1]=(1-U)*T[S][1]+U*T[parseInt(S+1,10)][1];}}return[T[0][0],T[0][1]];};B.namespace("Plugin");B.Plugin.NodeFX=function(R){R.node=R.owner;B.Plugin.NodeFX.superclass.constructor.apply(this,arguments);};B.Plugin.NodeFX.NAME="nodefxplugin";B.Plugin.NodeFX.NS="fx";B.extend(B.Plugin.NodeFX,B.Anim);},"3.0.0pr1",{requires:["base","node"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-node-plugin-debug.js'
--- loggerhead/static/javascript/yui/build/anim/anim-node-plugin-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-node-plugin-debug.js	1970-01-01 00:00:00 +0000
@@ -1,28 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-node-plugin', function(Y) {
-
-/**
- *  Binds an Anim instance to a Node instance
- * @module anim
- * @submodule anim-node-plugin
- */
-
-Y.namespace('Plugin');
-Y.Plugin.NodeFX = function(config) {
-    config.node = config.owner;
-    Y.Plugin.NodeFX.superclass.constructor.apply(this, arguments);
-};
-
-Y.Plugin.NodeFX.NAME = "nodefxplugin";
-Y.Plugin.NodeFX.NS = "fx";
-
-Y.extend(Y.Plugin.NodeFX, Y.Anim);
-
-
-
-}, '3.0.0pr1' ,{requires:['anim-base', 'node-base']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-node-plugin-min.js'
--- loggerhead/static/javascript/yui/build/anim/anim-node-plugin-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-node-plugin-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("anim-node-plugin",function(A){A.namespace("Plugin");A.Plugin.NodeFX=function(B){B.node=B.owner;A.Plugin.NodeFX.superclass.constructor.apply(this,arguments);};A.Plugin.NodeFX.NAME="nodefxplugin";A.Plugin.NodeFX.NS="fx";A.extend(A.Plugin.NodeFX,A.Anim);},"3.0.0pr1",{requires:["anim-base","node-base"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-node-plugin.js'
--- loggerhead/static/javascript/yui/build/anim/anim-node-plugin.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-node-plugin.js	1970-01-01 00:00:00 +0000
@@ -1,28 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-node-plugin', function(Y) {
-
-/**
- *  Binds an Anim instance to a Node instance
- * @module anim
- * @submodule anim-node-plugin
- */
-
-Y.namespace('Plugin');
-Y.Plugin.NodeFX = function(config) {
-    config.node = config.owner;
-    Y.Plugin.NodeFX.superclass.constructor.apply(this, arguments);
-};
-
-Y.Plugin.NodeFX.NAME = "nodefxplugin";
-Y.Plugin.NodeFX.NS = "fx";
-
-Y.extend(Y.Plugin.NodeFX, Y.Anim);
-
-
-
-}, '3.0.0pr1' ,{requires:['anim-base', 'node-base']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-scroll-debug.js'
--- loggerhead/static/javascript/yui/build/anim/anim-scroll-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-scroll-debug.js	1970-01-01 00:00:00 +0000
@@ -1,44 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-scroll', function(Y) {
-
-/**
- * Adds support for the <code>scroll</code> property in <code>to</code>
- * and <code>from</code> attributes.
- * @module anim
- * @submodule anim-scroll
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.scroll = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        var
-            node = anim._node, 
-            val = ([
-            fn(elapsed, NUM(from[0]), NUM(to[0]) - NUM(from[0]), duration),
-            fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)
-        ]);
-
-        if (val[0]) {
-            node.set('scrollLeft', val[0]);
-        }
-
-        if (val[1]) {
-            node.set('scrollTop', val[1]);
-        }
-    },
-    get: function(anim) {
-        var node = anim._node;
-        return [node.get('scrollLeft'), node.get('scrollTop')];
-    }
-};
-
-
-
-}, '3.0.0pr1' ,{requires:['anim-base', 'node-base']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-scroll-min.js'
--- loggerhead/static/javascript/yui/build/anim/anim-scroll-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-scroll-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("anim-scroll",function(B){var A=Number;B.Anim.behaviors.scroll={set:function(F,G,I,J,K,E,H){var D=F._node,C=([H(K,A(I[0]),A(J[0])-A(I[0]),E),H(K,A(I[1]),A(J[1])-A(I[1]),E)]);if(C[0]){D.set("scrollLeft",C[0]);}if(C[1]){D.set("scrollTop",C[1]);}},get:function(D){var C=D._node;return[C.get("scrollLeft"),C.get("scrollTop")];}};},"3.0.0pr1",{requires:["anim-base","node-base"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-scroll.js'
--- loggerhead/static/javascript/yui/build/anim/anim-scroll.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-scroll.js	1970-01-01 00:00:00 +0000
@@ -1,44 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-scroll', function(Y) {
-
-/**
- * Adds support for the <code>scroll</code> property in <code>to</code>
- * and <code>from</code> attributes.
- * @module anim
- * @submodule anim-scroll
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.scroll = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        var
-            node = anim._node, 
-            val = ([
-            fn(elapsed, NUM(from[0]), NUM(to[0]) - NUM(from[0]), duration),
-            fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)
-        ]);
-
-        if (val[0]) {
-            node.set('scrollLeft', val[0]);
-        }
-
-        if (val[1]) {
-            node.set('scrollTop', val[1]);
-        }
-    },
-    get: function(anim) {
-        var node = anim._node;
-        return [node.get('scrollLeft'), node.get('scrollTop')];
-    }
-};
-
-
-
-}, '3.0.0pr1' ,{requires:['anim-base', 'node-base']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-xy-debug.js'
--- loggerhead/static/javascript/yui/build/anim/anim-xy-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-xy-debug.js	1970-01-01 00:00:00 +0000
@@ -1,33 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-xy', function(Y) {
-
-/**
- * Adds support for the <code>xy</code> property in <code>from</code> and 
- * <code>to</code> attributes.
- * @module anim
- * @submodule anim-xy
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.xy = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        anim._node.setXY([
-            fn(elapsed, NUM(from[0]), NUM(to[0]) - NUM(from[0]), duration),
-            fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)
-        ]);
-    },
-    get: function(anim) {
-        return anim._node.getXY();
-    }
-};
-
-
-
-}, '3.0.0pr1' ,{requires:['anim-base', 'node-screen']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-xy-min.js'
--- loggerhead/static/javascript/yui/build/anim/anim-xy-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-xy-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("anim-xy",function(B){var A=Number;B.Anim.behaviors.xy={set:function(F,D,I,H,C,G,E){F._node.setXY([E(C,A(I[0]),A(H[0])-A(I[0]),G),E(C,A(I[1]),A(H[1])-A(I[1]),G)]);},get:function(C){return C._node.getXY();}};},"3.0.0pr1",{requires:["anim-base","node-screen"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim-xy.js'
--- loggerhead/static/javascript/yui/build/anim/anim-xy.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim-xy.js	1970-01-01 00:00:00 +0000
@@ -1,33 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim-xy', function(Y) {
-
-/**
- * Adds support for the <code>xy</code> property in <code>from</code> and 
- * <code>to</code> attributes.
- * @module anim
- * @submodule anim-xy
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.xy = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        anim._node.setXY([
-            fn(elapsed, NUM(from[0]), NUM(to[0]) - NUM(from[0]), duration),
-            fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)
-        ]);
-    },
-    get: function(anim) {
-        return anim._node.getXY();
-    }
-};
-
-
-
-}, '3.0.0pr1' ,{requires:['anim-base', 'node-screen']});

=== removed file 'loggerhead/static/javascript/yui/build/anim/anim.js'
--- loggerhead/static/javascript/yui/build/anim/anim.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/anim/anim.js	1970-01-01 00:00:00 +0000
@@ -1,1106 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('anim', function(Y) {
-
-/**
- * Y.Animation Utility.
- * @module anim
- */
-
-    /**
-     * Handles animation _queueing and threading.
-     * @class Anim
-     * @constructor
-     * @extends Base
-     */
-
-    var RUNNING = 'running',
-        START_TIME = 'startTime',
-        ELAPSED_TIME = 'elapsedTime',
-        /**
-        * @event start
-        * @description fires when an animation begins.
-        * @param {Event} ev The start event.
-        * @type Event.Custom
-        */
-        START = 'start',
-
-        /**
-        * @event tween
-        * @description fires every frame of the animation.
-        * @param {Event} ev The tween event.
-        * @type Event.Custom
-        */
-        TWEEN = 'tween',
-
-        /**
-        * @event end
-        * @description fires after the animation completes.
-        * @param {Event} ev The end event.
-        * @type Event.Custom
-        */
-        END = 'end',
-        NODE = 'node',
-        PAUSED = 'paused',
-        REVERSE = 'reverse', // TODO: cleanup
-        ITERATION_COUNT = 'iterationCount',
-
-        NUM = Number;
-
-    var _running = {},
-        _instances = {},
-        _timer;
-
-    var _setPrivate = function(anim, prop, val) {
-        if (typeof prop == 'string') {
-            anim._conf.add(prop, { value: val });
-        } else {
-            Y.each(prop, function(v, n) {
-                _setPrivate(anim, n, v);
-            });
-        }
-    };
-    Y.Anim = function() {
-        Y.Anim.superclass.constructor.apply(this, arguments);
-        _instances[Y.stamp(this)] = this;
-    };
-
-    Y.Anim.NAME = 'anim';
-
-    /**
-     * Regex of properties that should use the default unit.
-     *
-     * @property RE_DEFAULT_UNIT
-     * @static
-     */
-    Y.Anim.RE_DEFAULT_UNIT = /^width|height|top|right|bottom|left|margin.*|padding.*|border.*$/i;
-
-    /**
-     * The default unit to use with properties that pass the RE_DEFAULT_UNIT test.
-     *
-     * @property DEFAULT_UNIT
-     * @static
-     */
-    Y.Anim.DEFAULT_UNIT = 'px';
-
-
-    /**
-     * Bucket for custom getters and setters
-     *
-     * @property behaviors
-     * @static
-     */
-    Y.Anim.behaviors = {
-        left: {
-            get: function(anim, attr) {
-                return anim._getOffset(attr);
-            }
-        }
-    };
-
-    Y.Anim.behaviors.top = Y.Anim.behaviors.left;
-
-    /**
-     * The default setter to use when setting object properties.
-     *
-     * @property DEFAULT_SETTER
-     * @static
-     */
-    Y.Anim.DEFAULT_SETTER = function(anim, att, from, to, elapsed, duration, fn, unit) {
-        unit = unit || '';
-        anim._node.setStyle(att, fn(elapsed, NUM(from), NUM(to) - NUM(from), duration) + unit);
-    };
-
-    /**
-     * The default getter to use when getting object properties.
-     *
-     * @property DEFAULT_GETTER
-     * @static
-     */
-    Y.Anim.DEFAULT_GETTER = function(anim, prop) {
-        return anim._node.getComputedStyle(prop);
-    };
-
-    Y.Anim.ATTRS = {
-        /**
-         * The object to be animated.
-         * @attribute node
-         * @type Node
-         */
-        node: {
-            set: function(node) {
-                node = Y.Node.get(node);
-                this._node = node;
-                if (!node) {
-                    Y.fail('Y.Anim: invalid node: ' + node);
-                }
-                return node;
-            }
-        },
-
-        /**
-         * The length of the animation.  Defaults to "1" (second).
-         * @attribute duration
-         * @type NUM
-         */
-        duration: {
-            value: 1
-        },
-
-        /**
-         * The method that will provide values to the attribute(s) during the animation. 
-         * Defaults to "Easing.easeNone".
-         * @attribute easing
-         * @type Function
-         */
-        easing: {
-            value: function (t, b, c, d) {
-                return c * t / d + b; // linear easing
-            }
-        },
-
-        /**
-         * The starting values for the animated properties. 
-         * Fields may be strings, numbers, or functions.
-         * If a function is used, the return value becomes the from value.
-         * If no from value is specified, the DEFAULT_GETTER will be used. 
-         * @attribute from
-         * @type Object
-         */
-        from: {},
-
-        /**
-         * The ending values for the animated properties. 
-         * Fields may be strings, numbers, or functions.
-         * @attribute to
-         * @type Object
-         */
-        to: {},
-
-        /**
-         * Date stamp for the first frame of the animation.
-         * @attribute startTime
-         * @type Int
-         * @default 0 
-         * @readOnly
-         */
-        startTime: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * Current time the animation has been running.
-         * @attribute elapsedTime
-         * @type Int
-         * @default 0 
-         * @readOnly
-         */
-        elapsedTime: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * Whether or not the animation is currently running.
-         * @attribute running 
-         * @type Boolean
-         * @default false 
-         * @readOnly
-         */
-        running: {
-            get: function() {
-                return !!_running[Y.stamp(this)];
-            },
-            value: false,
-            readOnly: true
-        },
-
-        /**
-         * The number of times the animation should run 
-         * @attribute iterations
-         * @type Int
-         * @default 1 
-         */
-        iterations: {
-            value: 1
-        },
-
-        /**
-         * The number of iterations that have occurred.
-         * Resets when an animation ends (reaches iteration count or stop() called). 
-         * @attribute iterationCount
-         * @type Int
-         * @default 0
-         * @readOnly
-         */
-        iterationCount: {
-            value: 0,
-            readOnly: true
-        },
-
-        /**
-         * How iterations of the animation should behave. 
-         * Possible values are "normal" and "alternate".
-         * Normal will repeat the animation, alternate will reverse on every other pass.
-         *
-         * @attribute direction
-         * @type String
-         * @default "normal"
-         */
-        direction: {
-            value: 'normal' // | alternate (fwd on odd, rev on even per spec)
-        },
-
-        /**
-         * Whether or not the animation is currently paused.
-         * @attribute running 
-         * @type Boolean
-         * @default false 
-         * @readOnly
-         */
-        paused: {
-            readOnly: true,
-            value: false
-        },
-
-        /**
-         * If true, animation begins from last frame
-         * @attribute reverse
-         * @type Boolean
-         * @default false 
-         */
-        reverse: {
-            value: false
-        }
-
-
-    };
-
-    /**
-     * Runs all animation instances.
-     * @method run
-     * @static
-     */    
-    Y.Anim.run = function() {
-        for (var i in _instances) {
-            if (_instances[i].run) {
-                _instances[i].run();
-            }
-        }
-    };
-
-    /**
-     * Pauses all animation instances.
-     * @method pause
-     * @static
-     */    
-    Y.Anim.pause = function() {
-        for (var i in _running) { // stop timer if nothing running
-            if (_running[i].pause) {
-                _running[i].pause();
-            }
-        }
-        Y.Anim._stopTimer();
-    };
-
-    /**
-     * Stops all animation instances.
-     * @method stop
-     * @static
-     */    
-    Y.Anim.stop = function() {
-        for (var i in _running) { // stop timer if nothing running
-            if (_running[i].stop) {
-                _running[i].stop();
-            }
-        }
-        Y.Anim._stopTimer();
-    };
-    
-    Y.Anim._startTimer = function() {
-        if (!_timer) {
-            _timer = setInterval(Y.Anim._runFrame, 1);
-        }
-    };
-
-    Y.Anim._stopTimer = function() {
-        clearInterval(_timer);
-        _timer = 0;
-    };
-
-    /**
-     * Called per Interval to handle each animation frame.
-     * @method _runFrame
-     * @private
-     * @static
-     */    
-    Y.Anim._runFrame = function() {
-        var done = true;
-        for (var anim in _running) {
-            if (_running[anim]._runFrame) {
-                done = false;
-                _running[anim]._runFrame();
-            }
-        }
-
-        if (done) {
-            Y.Anim._stopTimer();
-        }
-    };
-
-    Y.Anim.RE_UNITS = /^(-?\d*\.?\d*){1}(em|ex|px|in|cm|mm|pt|pc|%)*$/;
-
-    var proto = {
-        /**
-         * Starts or resumes an animation.
-         * percent start time marker.
-         * @method run
-         * @chainable
-         */    
-        run: function() {
-            if (!this.get(RUNNING)) {
-                this._start();
-            } else if (this.get(PAUSED)) {
-                this._resume();
-            }
-            return this;
-        },
-
-        /**
-         * Pauses the animation and
-         * freezes it in its current state and time.
-         * Calling run() will continue where it left off.
-         * @method pause
-         * @chainable
-         */    
-        pause: function() {
-            if (this.get(RUNNING)) {
-                this._pause();
-            }
-            return this;
-        },
-
-        /**
-         * Stops the animation and resets its time.
-         * @method stop
-         * @chainable
-         */    
-        stop: function(finish) {
-            if (this.get(RUNNING) || this.get(PAUSED)) {
-                this._end(finish);
-            }
-            return this;
-        },
-
-        _added: false,
-
-        _start: function() {
-            _setPrivate(this, START_TIME, new Date() - this.get(ELAPSED_TIME));
-            this._actualFrames = 0;
-            if (!this.get(PAUSED)) {
-                this._initAttr();
-            }
-            _running[Y.stamp(this)] = this;
-            Y.Anim._startTimer();
-
-            this.fire(START);
-        },
-
-        _pause: function() {
-            _setPrivate(this, START_TIME, null);
-            _setPrivate(this, PAUSED, true);
-            delete _running[Y.stamp(this)];
-
-            /**
-            * @event pause
-            * @description fires when an animation is paused.
-            * @param {Event} ev The pause event.
-            * @type Event.Custom
-            */
-            this.fire('pause');
-        },
-
-        _resume: function() {
-            _setPrivate(this, PAUSED, false);
-            _running[Y.stamp(this)] = this;
-
-            /**
-            * @event resume
-            * @description fires when an animation is resumed (run from pause).
-            * @param {Event} ev The pause event.
-            * @type Event.Custom
-            */
-            this.fire('resume');
-        },
-
-        _end: function(finish) {
-            _setPrivate(this, START_TIME, null);
-            _setPrivate(this, ELAPSED_TIME, 0);
-            _setPrivate(this, PAUSED, false);
-            //_setPrivate(this, REVERSE, false);
-
-            delete _running[Y.stamp(this)];
-            this.fire(END, {elapsed: this.get(ELAPSED_TIME)});
-        },
-
-        _runFrame: function() {
-            var attr = this._runtimeAttr,
-                customAttr = Y.Anim.behaviors,
-                easing = attr.easing,
-                d = attr.duration,
-                t = new Date() - this.get(START_TIME),
-                reversed = this.get(REVERSE),
-                done = (t >= d),
-                lastFrame = d,
-                attribute,
-                setter;
-                
-            if (reversed) {
-                t = d - t;
-                done = (t <= 0);
-                lastFrame = 0;
-            }
-
-            for (var i in attr) {
-                if (attr[i].to) {
-                    attribute = attr[i];
-                    setter = (i in customAttr && 'set' in customAttr[i]) ?
-                            customAttr[i].set : Y.Anim.DEFAULT_SETTER;
-
-                    if (!done) {
-                        setter(this, i, attribute.from, attribute.to, t, d, easing, attribute.unit); 
-                    } else { // ensure final frame value is set
-                       // TODO: handle keyframes 
-                        setter(this, i, attribute.from, attribute.to, lastFrame, d, easing, attribute.unit); 
-                    }
-                }
-            }
-
-            this._actualFrames += 1;
-            _setPrivate(this, ELAPSED_TIME, t);
-
-            this.fire(TWEEN);
-            if (done) {
-                this._lastFrame();
-            }
-        },
-
-        _lastFrame: function() {
-            var iter = this.get('iterations'),
-                iterCount = this.get(ITERATION_COUNT);
-
-            iterCount += 1;
-            if (iter === 'infinite' || iterCount < iter) {
-                if (this.get('direction') === 'alternate') {
-                    this.set(REVERSE, !this.get(REVERSE)); // flip it
-                }
-                /**
-                * @event iteration
-                * @description fires when an animation begins an iteration.
-                * @param {Event} ev The iteration event.
-                * @type Event.Custom
-                */
-                this.fire('iteration');
-            } else {
-                iterCount = 0;
-                this._end();
-            }
-
-            _setPrivate(this, START_TIME, new Date());
-            _setPrivate(this, ITERATION_COUNT, iterCount);
-        },
-
-        _initAttr: function() {
-            var from = this.get('from') || {},
-                to = this.get('to') || {},
-                dur = this.get('duration') * 1000,
-                node = this.get(NODE),
-                easing = this.get('easing') || {},
-                attr = {},
-                customAttr = Y.Anim.behaviors,
-                unit, begin, end;
-
-            Y.each(to, function(val, name) {
-                if (typeof val === 'function') {
-                    val = val.call(this, node);
-                }
-
-                begin = from[name];
-                if (begin === undefined) {
-                    begin = (name in customAttr && 'get' in customAttr[name])  ?
-                            customAttr[name].get(this, name) : Y.Anim.DEFAULT_GETTER(this, name);
-                } else if (typeof begin === 'function') {
-                    begin = begin.call(this, node);
-                }
-
-                var mFrom = Y.Anim.RE_UNITS.exec(begin);
-                var mTo = Y.Anim.RE_UNITS.exec(val);
-
-                begin = mFrom ? mFrom[1] : begin;
-                var end = mTo ? mTo[1] : val,
-                    unit = mTo ? mTo[2] : mFrom ?  mFrom[2] : ''; // one might be zero TODO: mixed units
-
-                if (!unit && Y.Anim.RE_DEFAULT_UNIT.test(name)) {
-                    unit = Y.Anim.DEFAULT_UNIT;
-                }
-
-                if (!begin || !end) {
-                    Y.fail('invalid "from" or "to" for "' + name + '"', 'Anim');
-                    return;
-                }
-
-                attr[name] = {
-                    from: begin,
-                    to: end,
-                    unit: unit
-                };
-
-                attr.duration = dur;
-                attr.easing = easing;
-
-            }, this);
-
-            this._runtimeAttr = attr;
-        },
-
-
-        // TODO: move to computedStyle? (browsers dont agree on default computed offsets)
-        _getOffset: function(attr) {
-            var node = this._node,
-                val = node.getComputedStyle(attr),
-                get = (attr === 'left') ? 'getX': 'getY',
-                set = (attr === 'left') ? 'setX': 'setY';
-
-            if (val === 'auto') {
-                var position = node.getStyle('position');
-                if (position === 'absolute' || position === 'fixed') {
-                    val = node[get]();
-                    node[set](val);
-                } else {
-                    val = 0;
-                }
-            }
-
-            return val;
-        }
-    };
-
-    Y.extend(Y.Anim, Y.Base, proto);
-/*
-TERMS OF USE - EASING EQUATIONS
-Open source under the BSD License.
-Copyright 2001 Robert Penner All rights reserved.
-
-Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
-
- * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- * Neither the name of the author nor the names of contributors may be used to endorse or promote products derived from this software without specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-*/
-
-/**
- * The easing module provides methods for customizing
- * how an animation behaves during each run.
- * @class Easing
- * @module anim
- * @submodule anim-easing
- */
-
-Y.Easing = {
-
-    /**
-     * Uniform speed between points.
-     * @method easeNone
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeNone: function (t, b, c, d) {
-        return c*t/d + b;
-    },
-    
-    /**
-     * Begins slowly and accelerates towards end. (quadratic)
-     * @method easeIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeIn: function (t, b, c, d) {
-        return c*(t/=d)*t + b;
-    },
-
-    /**
-     * Begins quickly and decelerates towards end.  (quadratic)
-     * @method easeOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeOut: function (t, b, c, d) {
-        return -c *(t/=d)*(t-2) + b;
-    },
-    
-    /**
-     * Begins slowly and decelerates towards end. (quadratic)
-     * @method easeBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeBoth: function (t, b, c, d) {
-        if ((t/=d/2) < 1) {
-            return c/2*t*t + b;
-        }
-        
-        return -c/2 * ((--t)*(t-2) - 1) + b;
-    },
-    
-    /**
-     * Begins slowly and accelerates towards end. (quartic)
-     * @method easeInStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeInStrong: function (t, b, c, d) {
-        return c*(t/=d)*t*t*t + b;
-    },
-    
-    /**
-     * Begins quickly and decelerates towards end.  (quartic)
-     * @method easeOutStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeOutStrong: function (t, b, c, d) {
-        return -c * ((t=t/d-1)*t*t*t - 1) + b;
-    },
-    
-    /**
-     * Begins slowly and decelerates towards end. (quartic)
-     * @method easeBothStrong
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    easeBothStrong: function (t, b, c, d) {
-        if ((t/=d/2) < 1) {
-            return c/2*t*t*t*t + b;
-        }
-        
-        return -c/2 * ((t-=2)*t*t*t - 2) + b;
-    },
-
-    /**
-     * Snap in elastic effect.
-     * @method elasticIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-
-    elasticIn: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        if ( (t /= d) === 1 ) {
-            return b+c;
-        }
-        if (!p) {
-            p = d* 0.3;
-        }
-        
-        if (!a || a < Math.abs(c)) {
-            a = c; 
-            s = p/4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        return -(a*Math.pow(2,10*(t-=1)) * Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
-    },
-
-    /**
-     * Snap out elastic effect.
-     * @method elasticOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    elasticOut: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        if ( (t /= d) === 1 ) {
-            return b+c;
-        }
-        if (!p) {
-            p=d * 0.3;
-        }
-        
-        if (!a || a < Math.abs(c)) {
-            a = c;
-            s = p / 4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        return a*Math.pow(2,-10*t) * Math.sin( (t*d-s)*(2*Math.PI)/p ) + c + b;
-    },
-    
-    /**
-     * Snap both elastic effect.
-     * @method elasticBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} a Amplitude (optional)
-     * @param {Number} p Period (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    elasticBoth: function (t, b, c, d, a, p) {
-        var s;
-        if (t === 0) {
-            return b;
-        }
-        
-        if ( (t /= d/2) === 2 ) {
-            return b+c;
-        }
-        
-        if (!p) {
-            p = d*(0.3*1.5);
-        }
-        
-        if ( !a || a < Math.abs(c) ) {
-            a = c; 
-            s = p/4;
-        }
-        else {
-            s = p/(2*Math.PI) * Math.asin (c/a);
-        }
-        
-        if (t < 1) {
-            return -0.5*(a*Math.pow(2,10*(t-=1)) * 
-                    Math.sin( (t*d-s)*(2*Math.PI)/p )) + b;
-        }
-        return a*Math.pow(2,-10*(t-=1)) * 
-                Math.sin( (t*d-s)*(2*Math.PI)/p )*0.5 + c + b;
-    },
-
-
-    /**
-     * Backtracks slightly, then reverses direction and moves to end.
-     * @method backIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backIn: function (t, b, c, d, s) {
-        if (s == undefined) {
-            s = 1.70158;
-        }
-        if (t === d) {
-            t -= 0.001;
-        }
-        return c*(t/=d)*t*((s+1)*t - s) + b;
-    },
-
-    /**
-     * Overshoots end, then reverses and comes back to end.
-     * @method backOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backOut: function (t, b, c, d, s) {
-        if (typeof s === 'undefined') {
-            s = 1.70158;
-        }
-        return c*((t=t/d-1)*t*((s+1)*t + s) + 1) + b;
-    },
-    
-    /**
-     * Backtracks slightly, then reverses direction, overshoots end, 
-     * then reverses and comes back to end.
-     * @method backBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @param {Number} s Overshoot (optional)
-     * @return {Number} The computed value for the current animation frame
-     */
-    backBoth: function (t, b, c, d, s) {
-        if (typeof s === 'undefined') {
-            s = 1.70158; 
-        }
-        
-        if ((t /= d/2 ) < 1) {
-            return c/2*(t*t*(((s*=(1.525))+1)*t - s)) + b;
-        }
-        return c/2*((t-=2)*t*(((s*=(1.525))+1)*t + s) + 2) + b;
-    },
-
-    /**
-     * Bounce off of start.
-     * @method bounceIn
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceIn: function (t, b, c, d) {
-        return c - Y.Easing.bounceOut(d-t, 0, c, d) + b;
-    },
-    
-    /**
-     * Bounces off end.
-     * @method bounceOut
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceOut: function (t, b, c, d) {
-        if ((t/=d) < (1/2.75)) {
-                return c*(7.5625*t*t) + b;
-        } else if (t < (2/2.75)) {
-                return c*(7.5625*(t-=(1.5/2.75))*t + 0.75) + b;
-        } else if (t < (2.5/2.75)) {
-                return c*(7.5625*(t-=(2.25/2.75))*t + 0.9375) + b;
-        }
-        return c*(7.5625*(t-=(2.625/2.75))*t + 0.984375) + b;
-    },
-    
-    /**
-     * Bounces off start and end.
-     * @method bounceBoth
-     * @param {Number} t Time value used to compute current value
-     * @param {Number} b Starting value
-     * @param {Number} c Delta between start and end values
-     * @param {Number} d Total length of animation
-     * @return {Number} The computed value for the current animation frame
-     */
-    bounceBoth: function (t, b, c, d) {
-        if (t < d/2) {
-            return Y.Easing.bounceIn(t * 2, 0, c, d) * 0.5 + b;
-        }
-        return Y.Easing.bounceOut(t * 2 - d, 0, c, d) * 0.5 + c * 0.5 + b;
-    }
-};
-/**
- * Adds support for the <code>xy</code> property in <code>from</code> and 
- * <code>to</code> attributes.
- * @module anim
- * @submodule anim-xy
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.xy = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        anim._node.setXY([
-            fn(elapsed, NUM(from[0]), NUM(to[0]) - NUM(from[0]), duration),
-            fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)
-        ]);
-    },
-    get: function(anim) {
-        return anim._node.getXY();
-    }
-};
-
-/**
- * Adds support for color properties in <code>to</code>
- * and <code>from</code> attributes.
- * @module anim
- * @submodule anim-color
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.color = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        from = Y.Color.re_RGB.exec(Y.Color.toRGB(from));
-        to = Y.Color.re_RGB.exec(Y.Color.toRGB(to));
-
-        if (!from || from.length < 3 || !to || to.length < 3) {
-            Y.fail('invalid from or to passed to color behavior');
-        }
-
-        anim._node.setStyle(att, 'rgb(' + [
-            Math.floor(fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)),
-            Math.floor(fn(elapsed, NUM(from[2]), NUM(to[2]) - NUM(from[2]), duration)),
-            Math.floor(fn(elapsed, NUM(from[3]), NUM(to[3]) - NUM(from[3]), duration))
-        ].join(', ') + ')');
-    },
-    
-    // TODO: default bgcolor const
-    get: function(anim, att) {
-        var val = anim._node.getComputedStyle(att);
-        val = (val === 'transparent') ? 'rgb(255, 255, 255)' : val;
-        return val;
-    }
-};
-
-Y.each(['backgroundColor',
-        'borderColor',
-        'borderTopColor',
-        'borderRightColor', 
-        'borderBottomColor', 
-        'borderLeftColor'],
-        function(v, i) {
-            Y.Anim.behaviors[v] = Y.Anim.behaviors.color;
-        }
-);
-/**
- * Adds support for the <code>scroll</code> property in <code>to</code>
- * and <code>from</code> attributes.
- * @module anim
- * @submodule anim-scroll
- * @for Anim
- */
-
-var NUM = Number;
-
-Y.Anim.behaviors.scroll = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        var
-            node = anim._node, 
-            val = ([
-            fn(elapsed, NUM(from[0]), NUM(to[0]) - NUM(from[0]), duration),
-            fn(elapsed, NUM(from[1]), NUM(to[1]) - NUM(from[1]), duration)
-        ]);
-
-        if (val[0]) {
-            node.set('scrollLeft', val[0]);
-        }
-
-        if (val[1]) {
-            node.set('scrollTop', val[1]);
-        }
-    },
-    get: function(anim) {
-        var node = anim._node;
-        return [node.get('scrollLeft'), node.get('scrollTop')];
-    }
-};
-
-/**
- * Adds support for the <code>curve</code> property for the <code>to</code> 
- * attribute.  A curve is zero or more control points and an end point.
- * @module anim
- * @submodule anim-curve
- * @for Anim
- */
-
-Y.Anim.behaviors.curve = {
-    set: function(anim, att, from, to, elapsed, duration, fn) {
-        from = from.slice.call(from);
-        to = to.slice.call(to);
-        var t = fn(elapsed, 0, 100, duration) / 100;
-        to.unshift(from);
-        anim._node.setXY(Y.Anim.getBezier(to, t));
-    },
-
-    get: function(anim, att) {
-        return anim._node.getXY();
-    }
-};
-
-/**
- * Get the current position of the animated element based on t.
- * Each point is an array of "x" and "y" values (0 = x, 1 = y)
- * At least 2 points are required (start and end).
- * First point is start. Last point is end.
- * Additional control points are optional.     
- * @method getBezier
- * @static
- * @param {Array} points An array containing Bezier points
- * @param {Number} t A number between 0 and 1 which is the basis for determining current position
- * @return {Array} An array containing int x and y member data
- */
-Y.Anim.getBezier = function(points, t) {  
-    var n = points.length;
-    var tmp = [];
-
-    for (var i = 0; i < n; ++i){
-        tmp[i] = [points[i][0], points[i][1]]; // save input
-    }
-    
-    for (var j = 1; j < n; ++j) {
-        for (i = 0; i < n - j; ++i) {
-            tmp[i][0] = (1 - t) * tmp[i][0] + t * tmp[parseInt(i + 1, 10)][0];
-            tmp[i][1] = (1 - t) * tmp[i][1] + t * tmp[parseInt(i + 1, 10)][1]; 
-        }
-    }
-
-    return [ tmp[0][0], tmp[0][1] ]; 
-
-};
-/**
- *  Binds an Anim instance to a Node instance
- * @module anim
- * @submodule anim-node-plugin
- */
-
-Y.namespace('Plugin');
-Y.Plugin.NodeFX = function(config) {
-    config.node = config.owner;
-    Y.Plugin.NodeFX.superclass.constructor.apply(this, arguments);
-};
-
-Y.Plugin.NodeFX.NAME = "nodefxplugin";
-Y.Plugin.NodeFX.NS = "fx";
-
-Y.extend(Y.Plugin.NodeFX, Y.Anim);
-
-
-
-}, '3.0.0pr1' ,{requires:['base', 'node']});

=== removed directory 'loggerhead/static/javascript/yui/build/attribute'
=== removed file 'loggerhead/static/javascript/yui/build/attribute/README'
--- loggerhead/static/javascript/yui/build/attribute/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/attribute/README	1970-01-01 00:00:00 +0000
@@ -1,10 +0,0 @@
-3.0.0PR1 - Initial release
-
-Module Name: "attribute"
-Documentation: http://developer.yahoo.com/yui/3/attribute
-
-The Attribute utility allows you to add attributes to any class 
-through an augmentable Attribute interface. The interface adds 
-get and set methods to your class for attribute access, in 
-addition to supporting change events allowing you to listen 
-for changes in attribute values.

=== removed file 'loggerhead/static/javascript/yui/build/attribute/attribute-debug.js'
--- loggerhead/static/javascript/yui/build/attribute/attribute-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/attribute/attribute-debug.js	1970-01-01 00:00:00 +0000
@@ -1,768 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('attribute', function(Y) {
-
-    /**
-     * Managed Attribute Provider
-     * @module attribute
-     */
-
-    /**
-     * Maintain state for a collection of items.  Individual properties 
-     * are stored in hash tables.  This is instead of having state objects 
-     * for each item in the collection.  For large collections, especially 
-     * changing ones, this approach may perform better.
-     * 
-     * @constructor
-     * @class State
-     */
-    Y.State = function() { 
-
-        /**
-         * Hash of attributes
-         * @property data
-         */
-        this.data = {};
-    };
-
-    Y.State.prototype = {
-
-        /**
-         * Add an item with all of the properties in the supplied object.
-         * @method add
-         * @param name {string} identifier for this attribute
-         * @param o hash of attributes
-         */
-        add: function(name, o) {
-            Y.each(o, function(v, k) {
-                if (!this.data[k]) {
-                    this.data[k] = {};
-                }
-
-                this.data[k][name] = v;
-            }, this);
-        },
-
-        /**
-         * Remove entire item, or optionally specified fields
-         * @method remove
-         * @param name {string} name of attribute
-         * @param o {string|object|array} single key or collection of keys to delete
-         */
-        remove: function(name, o) {
-            var d = this.data, 
-                del = function(key) {
-                    if (d[key] && (name in d[key])) {
-                        delete d[key][name];
-                    }
-                };
-
-            if (Y.Lang.isString(o)) {
-                del(o);
-            } else {
-                Y.each(o || d, function(v, k) {
-                    if(Y.Lang.isString(k)) {
-                        del(k);
-                    } else {
-                        del(v);
-                    }
-                }, this);
-
-            }
-        },
-
-        /**
-         * For a given item, gets an attribute.  If key is not
-         * supplied, a disposable object with all attributes is 
-         * returned.  Use of the latter option makes sense when
-         * working with single items, but not if object explosion
-         * might cause gc problems.
-         * @method get
-         * @param name {string} name of attribute
-         * @param key {string} optional attribute to get
-         * @return either the value of the supplied key or an object with
-         * all data.
-         */
-        // get: function(name, key, val) {
-        get: function(name, key) {
-            var d = this.data;
-
-            if (key) {
-                return (d[key] && name in d[key]) ?  d[key][name] : undefined;
-            } else {
-                var o = {};
-
-                Y.each(d, function(v, k) {
-                    if (name in d[k]) {
-                        o[k] = v[name];
-                    }
-                }, this);
-
-                return o;
-
-            }
-        }
-
-        // figure out what kind of functionality we may need here
-        // get whole list
-        // get a list of items and values for a given key
-        // get a list of items where a key has the supplied value
-        /*
-        list: function(key, val) {
-            var o = {}, d = this.data, test = !L.isUndefined(val);
-
-            Y.each(this, function(v, k) {
-
-                // verify key
-                if (key && k !== key) {
-                    return;
-                // verify value.  note, v will be the item names, so this
-                // isn't working ... need to iterate v items
-                } else if (test && v !== val) {
-                    return;
-                }
-
-                o[k] = v;
-
-            }, this);
-
-            return o;
-        }
-        */
-    };
-
-    /**
-     * Managed Attribute Provider
-     * @module attribute
-     */
-
-    var O = Y.Object,
-
-        DOT = ".",
-        CHANGE = "Change",
-        GET = "get",
-        SET = "set",
-        VALUE = "value",
-        CLONE = "clone",
-        READ_ONLY = "readOnly",
-        WRITE_ONCE = "writeOnce",
-        VALIDATOR = "validator",
-
-        CLONE_ENUM;
-
-    /**
-     * <p>
-     * Attribute provides managed attribute support. 
-     * </p>
-     * <p>
-     * The class is designed to be augmented onto a host class, 
-     * and allows the host to support get/set methods for attributes,
-     * initial configuration support and attribute change events.
-     * </p>
-     * <p>Attributes added to the host can:</p>
-     * <ul>
-     *     <li>Be defined as read-only.</li>
-     *     <li>Be defined as write-once.</li>
-     *     <li>Be defined with a set function, used to manipulate
-     *     values passed to Attribute's set method, before they are stored.</li>
-     *     <li>Be defined with a validator function, to validate values before they are stored.</li>
-     *     <li>Be defined with a get function, which can be used to manipulate stored values,
-     *     before they are returned by Attribute's get method.</li>
-     *     <li>Specify if and how they should be cloned on 'get' (see <a href="#property_CLONE">Attribute.CLONE</a> for supported clone modes).</li>
-     * </ul>
-     *
-     * <p>See the <a href="#method_addAtt">addAtt</a> method, for details about how to add attributes with
-     * a specific configuration</p>
-     *
-     * @class Attribute
-     * @uses Event.Target
-     */
-    function Attribute() {
-        Y.Event.Target.call(this, {emitFacade:true});
-        this._conf = this._conf || new Y.State();
-        Y.log('att constructor called', 'info', 'attribute');
-    }
-
-    /**
-     * <p>
-     * Constants for clone formats supported by Attribute.
-     * </p>
-     * <p>
-     * By default attribute values returned by the get method
-     * are not cloned. However setting the attribute's "clone"
-     * property to:
-     * </p>
-     * <dl>
-     *     <dt>Attribute.CLONE.DEEP</dt>
-     *     <dd>Will result in a deep cloned value being returned
-     *        (using YUI's clone method). This can be expensive for complex
-     *        objects.
-     *     </dd>
-     *     <dt>Attribute.CLONE.SHALLOW</dt>
-     *     <dd>Will result in a shallow cloned value being returned
-     *        (using YUI's merge method).
-     *     </dd>
-     *     <dt>Attribute.CLONE.IMMUTABLE</dt>
-     *     <dd>Will result in a deep cloned value being returned
-     *         when using the get method. Additionally users will
-     *         not be able to set sub values of the attribute 
-     *         using the complex attribute notation (obj.set("x.y.z, 5)).
-     *         However the value of the attribute can be changed, making
-     *         it different from a READONLY attribute.
-     *     </dd>
-     *     <dt>Attribute.CLONE.NONE</dt>
-     *     <dd>
-     *         The value will not be cloned, resulting in a reference
-     *         to the stored value being passed back, if the value is an object.
-     *         This is the default behavior.
-     *     </dd>
-     * </dl>
-     * 
-     * @property CLONE
-     * @static
-     * @final
-     * @type Object
-     */
-    Attribute.CLONE = {
-        NONE : 0,
-        DEEP : 1,
-        SHALLOW : 2,
-        IMMUTABLE: 3
-    };
-
-    CLONE_ENUM = Attribute.CLONE;
-
-    Attribute.prototype = {
-        /**
-         * <p>
-         * Adds an attribute, with the provided configuration to the host object. Intended
-         * to be used by the host object to setup it's set of available attributes.
-         * </p>
-         * <p>
-         * The config argument object literal supports the following optional properties:
-         * </p>
-         * <dl>
-         *    <dt>value &#60;Any&#62;</dt>
-         *    <dd>The initial value to set on the attribute</dd>
-         *    <dt>readOnly &#60;Boolean&#62;</dt>
-         *    <dd>Whether or not the attribute is read only. Attributes having readOnly set to true
-         *        cannot be set by invoking the set method.</dd>
-         *    <dt>writeOnce &#60;Boolean&#62;</dt>
-         *    <dd>Whether or not the attribute is "write once". Attributes having writeOnce set to true, 
-         *        can only have their values set once, be it through the default configuration, 
-         *        constructor configuration arguments, or by invoking set.</dd>
-         *    <dt>set &#60;Function&#62;</dt>
-         *    <dd>The setter function to be invoked (within the context of the host object) before 
-         *        the attribute is stored by a call to the set method. The value returned by the 
-         *        set function will be the finally stored value.</dd>
-         *    <dt>get &#60;Function&#62;</dt>
-         *    <dd>The getter function to be invoked (within the context of the host object) before
-         *    the stored values is returned to a user invoking the get method for the attribute.
-         *    The value returned by the get function is the final value which will be returned to the 
-         *    user when they invoke get.</dd>
-         *    <dt>validator &#60;Function&#62;</dt>
-         *    <dd>The validator function which is invoked prior to setting the stored value. Returning
-         *    false from the validator function will prevent the value from being stored</dd>
-         *    <dt>clone &#60;int&#62;</dt>
-         *    <dd>If and how the value returned by a call to the get method, should be de-referenced from
-         *    the stored value. By default values are not cloned, and hence a call to get will return
-         *    a reference to the stored value. See Attribute.CLONE for more details about the clone 
-         *    options available</dd>
-         * </dl>
-         *
-         * @method addAtt
-         * 
-         * @param {String} name The attribute key
-         * @param {Object} config (optional) An object literal specifying the configuration for the attribute.
-         * <strong>NOTE:</strong> The config object is modified when adding an attribute, 
-         * so if you need to protect the original values, you will need to merge or clone the object.
-         * 
-         */
-        addAtt: function(name, config) {
-            Y.log('adding attribute: ' + name, 'info', 'attribute');
-            var value, hasValue = (VALUE in config);
-
-            if (config[READ_ONLY] && !hasValue) { Y.log('readOnly attribute: ' + name + ', added without an initial value. Value will be set on intial call to set', 'warn', 'attribute');}
-
-            if(hasValue) {
-                value = config.value;
-                delete config.value;
-            }
-
-            this._conf.add(name, config);
-
-            if (hasValue) {
-                this.set(name, value);
-            }
-        },
-
-        /**
-         * Removes an attribute.
-         *
-         * @method removeAtt
-         * @param {String} name The attribute key
-         */
-        removeAtt: function(name) {
-            this._conf.remove(name);
-        },
-
-        /**
-         * Returns the current value of the attribute. If the attribute
-         * has been configured with a 'get' handler, this method will delegate
-         * to the 'get' handler to obtain the value of the attribute.
-         * The 'get' handler will be passed the current value of the attribute 
-         * as the only argument.
-         *
-         * @method get
-         *
-         * @param {String} key The attribute whose value will be returned. If
-         * the value of the attribute is an Object, dot notation can be used to
-         * obtain the value of a property of the object (e.g. <code>get("x.y.z")</code>)
-         * 
-         * @return {Any} The current value of the attribute
-         */
-        get: function(name) {
-
-            var conf = this._conf,
-                path,
-                getFn,
-                clone,
-                val;
-
-            if (name.indexOf(DOT) !== -1) {
-                path = name.split(DOT);
-                name = path.shift();
-            }
-
-            val = conf.get(name, VALUE);
-            getFn = conf.get(name, GET);
-            clone = conf.get(name, CLONE);
-
-            val = (clone) ? this._cloneAttVal(val, clone) : val;
-            val = (getFn) ? getFn.call(this, val) : val;
-            val = (path) ? this._getSubAttVal(path, val) : val;
-
-            return val;
-        },
-
-        /**
-         * Sets the value of an attribute.
-         *
-         * @method set
-         * @chainable
-         * 
-         * @param {String} name The name of the attribute. Note, if the 
-         * value of the attribute is an Object, dot notation can be used
-         * to set the value of a property within the object 
-         * (e.g. <code>set("x.y.z", 5)</code>), if the attribute has not
-         * been declared as an immutable attribute (see <a href="#property_CLONE">Attribute.CLONE</a>).
-         * 
-         * @param {Any} value The value to apply to the attribute
-         * 
-         * @param {Object} opts Optional event data. This object will be mixed into
-         * the event facade passed as the first argument to subscribers 
-         * of attribute change events
-         * 
-         * @return {Object} Reference to the host object
-         */
-        set: function(name, val, opts) {
-
-            var conf = this._conf,
-                data = conf.data,
-                strPath,
-                path,
-                currVal,
-                initialSet = (!data.value || !(name in data.value));
-
-            if (name.indexOf(DOT) !== -1) {
-                strPath = name;
-                path = name.split(DOT);
-                name = path.shift();
-            }
-
-            if (path && conf.get(name, CLONE) === CLONE_ENUM.IMMUTABLE) {
-                Y.log('set ' + name + ' failed; Attribute is IMMUTABLE. Setting a sub value is not permitted', 'info', 'attribute');
-                return this;
-            }
-
-            if (!initialSet) {
-                if (conf.get(name, WRITE_ONCE)) {
-                    Y.log('set ' + name + ' failed; Attribute is writeOnce', 'info', 'attribute');
-                    return this;
-                }
-                if (conf.get(name, READ_ONLY)) {
-                    Y.log('set ' + name + ' failed; Attribute is readOnly', 'info', 'attribute');
-                    return this;
-                }
-            }
-
-            if (!conf.get(name)) {
-                Y.log('Set called with unconfigured attribute. Adding a new attribute: ' + name, 'info', 'attribute');
-            }
-
-            currVal = this.get(name);
-
-            if (path) {
-               val = this._setSubAttVal(path, Y.clone(currVal), val);
-               if (val === undefined) {
-                   // Path not valid, don't set anything.
-                   Y.log('set ' + strPath + 'failed; attribute sub path is invalid', 'error', 'attribute');
-                   return this;
-               }
-            }
-
-            this._fireAttChange(name, currVal, val, name, strPath, opts);
-
-            return this;
-        },
-
-        /**
-         * <p>
-         * Alias for the Event.Target <a href="Event.Target.html#method_subscribe">subscribe</a> method.
-         * </p>
-         * 
-         * <p>Subscribers using this method to listen for attribute change events will be notified just
-         * <strong>before</strong> the state of the attribute has been modified, and before the default handler has been
-         * invoked.</p>
-         * 
-         * <p>The <a href="Event.Target.html#method_after">after</a> method, inherited from Event Target, can be used by subscribers
-         * who wish to be notified <strong>after</strong> the attribute's value has changed.</p>
-         * 
-         * @param {String} type The event type. For attribute change events, the event type is "[Attribute Name]Change", e.g.
-         * for the attribute "enabled", the event type will be "enabledChange".
-         * @param {Function} fn The subscribed function to invoke
-         * @param {Object} context Optional execution context
-         * @param {Any*} args* 0..n additional arguments to append to supply to the subscribed function when the event fires.
-         * @method on
-         * @return {Event.Handle} The handle object for unsubscribing the subscriber from the event.
-         */
-        on : function() {
-            return this.subscribe.apply(this, arguments);
-        },
-
-        /**
-         * Default handler implementation for set events
-         *
-         * @private
-         * @method _defAttSet
-         * @param {Event.Facade} e The event object for the custom event
-         */
-        _defAttSet : function(e) {
-            var conf = this._conf,
-                name = e.attrName,
-                val = e.newVal,
-                retVal,
-                valFn  = conf.get(name, VALIDATOR),
-                setFn = conf.get(name, SET);
-
-            if (setFn) {
-                retVal = setFn.call(this, val);
-                if (retVal !== undefined) {
-                    Y.log('attribute: ' + name + ' modified by setter', 'info', 'attribute');
-                    val = retVal; // setter can change value
-                }
-            }
-
-            if (!valFn || valFn.call(this, val)) {
-                conf.add(name, { value: val });
-                e.newVal = conf.get(name, VALUE);
-            } else {
-                // Prevent "after" listeners from being 
-                // invoked since nothing changed.
-                e.stopImmediatePropagation();
-            }
-        },
-
-        /**
-         * Retrieves the sub value at the provided path,
-         * from the value object provided.
-         *
-         * @method _getSubAttVal
-         * @private
-         *
-         * @param {Array} path  A path array, specifying the object traversal path
-         *                      from which to obtain the sub value.
-         * @param {Object} val  The object from which to extract the property value
-         * @return {Any} The value stored in the path or undefined if not found.
-         */
-        _getSubAttVal: function (path, val) {
-            var pl = path.length,
-                i;
-
-            if (pl > 0) {
-                for (i = 0; val !== undefined && i < pl; ++i) {
-                    val = val[path[i]];
-                }
-            }
-
-            return val;
-        },
-
-        /**
-         * Sets the sub value at the provided path on the value object.
-         * Returns the modified value object, or undefined if the path is invalid.
-         *
-         * @method _setSubAttVal
-         * @private
-         * 
-         * @param {Array} path  A path array, specifying the object traversal path
-         *                      at which to set the sub value.
-         * @param {Object} val  The object on which to set the sub value.
-         * @param {Any} subval  The sub value to set.
-         * @return {Object}     The modified object, with the new sub value set, or 
-         *                      undefined, if the path was invalid.
-         */
-        _setSubAttVal: function(path, val, subval) {
-
-            var leafIdx = path.length-1,
-                i,
-                o;
-
-            if (leafIdx >= 0) {
-                o = val;
-
-                for (i = 0; o !== undefined && i < leafIdx; ++i) {
-                    o = o[path[i]];
-                }
-
-                // Not preventing new properties from being added
-                if (o !== undefined /* && o[path[i]] !== undefined */) {
-                    o[path[i]] = subval;
-                } else {
-                    val = undefined;
-                }
-            }
-
-            return val;
-        },
-
-        /**
-         * Sets multiple attribute values.
-         * 
-         * @method setAtts
-         * @param {Object} atts  A hash of attributes: name/value pairs
-         */
-        setAtts: function(atts) {
-            for (var att in atts) {
-                if ( O.owns(atts, att) ) {
-                    this.set(att, atts[att]);
-                }
-            }
-        },
-
-        /**
-         * Gets multiple attribute values.
-         *
-         * @method getAtts
-         * @return {Object} A hash of attributes: name/value pairs
-         */
-        getAtts: function(atts) {
-            var o = {};
-            if (atts) {
-                o = Y.clone(atts);
-            } else {
-                Y.each(this._conf.get(VALUE), function(val, att) {
-                    o[att] = val; 
-                });
-            }
-            return o;
-        },
-
-        /**
-         * Configures attributes, and sets initial values
-         *
-         * @method _initAtts
-         * @protected
-         * 
-         * @param {Object} cfg Attribute configuration object literal
-         * @param {Object} initValues Name/value hash of initial values to apply
-         */
-        _initAtts : function(cfg, initValues) {
-            if (cfg) {
-                var att,
-                    attCfg,
-                    values,
-                    value,
-                    atts = cfg;
-
-                values = this._splitAttVals(initValues);
-
-                for (att in atts) {
-                    if (O.owns(atts, att)) {
-                        attCfg = Y.merge(atts[att]);
-                        value = this._initAttVal(att, attCfg, values);
-                        if (value !== undefined) {
-                            attCfg.value = value;
-                        }
-                        this.addAtt(att, attCfg);
-                    }
-                }
-            }
-        },
-
-        /**
-         * Utility to split out regular attribute values
-         * from complex attribute values, so that complex
-         * attributes can be keyed by top level attribute name.
-         *
-         * @method _splitAttrValues
-         * @param {Object} valueHash Name/value hash of initial values
-         *
-         * @return {Object} Object literal with 2 properties - "simple" and "complex",
-         * containing simple and complex attribute values respectively keyed 
-         * by attribute the top level attribute name.
-         * @private
-         */
-        _splitAttVals: function(valueHash) {
-            var vals = {},
-                subvals = {},
-                path,
-                attr,
-                v;
-
-            for (var k in valueHash) {
-                if (O.owns(valueHash, k)) {
-                    if (k.indexOf(DOT) !== -1) {
-                        path = k.split(DOT);
-                        attr = path.shift();
-                        v = subvals[attr] = subvals[attr] || [];
-                        v[v.length] = {
-                            path : path, 
-                            value: valueHash[k]
-                        };
-                    } else {
-                        vals[k] = valueHash[k];
-                    }
-                }
-            }
-            return { simple:vals, complex:subvals };
-        },
-
-        /**
-         * Returns the initial value of the given attribute from
-         * either the default configuration provided, or the 
-         * over-ridden value if it exists in the initValues 
-         * hash provided.
-         *
-         * @param {String} att Attribute name
-         * @param {Object} cfg Default attribute configuration
-         * object literal
-         * @param {Object} initVales Initial attribute values, provided 
-         * for the instance
-         *
-         * @return {Any} Initial value of the attribute.
-         *
-         * @method _initAttVal
-         * @private
-         */
-        _initAttVal : function(att, cfg, initValues) {
-
-            var hasVal = (VALUE in cfg),
-                val = cfg.value,
-                simple,
-                complex,
-                i,
-                l,
-                path,
-                subval,
-                subvals;
-
-            if (!cfg[READ_ONLY] && initValues) {
-                // Simple Attributes
-                simple = initValues.simple;
-                if (simple && O.owns(simple, att)) {
-                    hasVal = true;
-                    val = simple[att];
-                }
-
-                // Complex Attributes
-                complex = initValues.complex;
-                if (complex && O.owns(complex, att)) {
-                    hasVal = true;
-                    subvals = complex[att];
-                    for (i = 0, l = subvals.length; i < l; ++i) {
-                        path = subvals[i].path;
-                        subval = subvals[i].value;
-                        val = this._setSubAttVal(path, val, subval);
-                    }
-                }
-            }
-
-            return val;
-        },
-
-        /**
-         * <p>
-         * Clone utility method, which will 
-         * clone the provided value using YUI's 
-         * merge, or clone utilities based
-         * on the clone type provided. See <a href="#property_CLONE">Attribute.CLONE</a>
-         * </p>
-         * 
-         * @method _cloneAttVal
-         * @private 
-         * @param {Any} val Value to clone
-         * @param {int} type Clone type to use, See the CLONE property
-         * @return {Any} The cloned copy of the object, based on the provided type.
-         */
-        _cloneAttVal : function(val, type) {
-            switch(type) {
-                case CLONE_ENUM.SHALLOW:
-                    val = Y.merge(val);
-                    break;
-                case CLONE_ENUM.DEEP:
-                case CLONE_ENUM.IMMUTABLE:
-                    val = Y.clone(val);
-                    break;
-            }
-            return val;
-        },
-
-        /**
-         * Utility method to help setup the event payload and 
-         * fire the attribute change event.
-         * 
-         * @method _fireAttChange
-         * @private
-         * @param {String} type The event name
-         * @param {Any} currVal The current value of the attribute
-         * @param {Any} newVal The new value of the attribute
-         * @param {String} attrName The name of the attribute
-         * @param {String} strFullPath The full path of the property being changed, 
-         * if this is a sub-attribute value being change
-         * @param {Function} defaultFn The default handler for the change event
-         * @param {Object} opts Any additional event data to mix into the attribute change event's event facade.
-         */
-        _fireAttChange: function(type, currVal, newVal, attrName, strFullPath, defaultFn, opts) {
-            type = type + CHANGE;
-
-            // TODO: Publishing temporarily, while we address event bubbling/queuing
-            this.publish(type, {queuable:false, defaultFn:this._defAttSet});
-
-            var eData = {
-                type: type,
-                prevVal: currVal,
-                newVal: newVal,
-                attrName: attrName,
-                subAttrName: strFullPath
-            };
-
-            if (opts) {
-                Y.mix(eData, opts);
-            }
-
-            this.fire(eData);
-        }
-    };
-
-    Y.mix(Attribute, Y.Event.Target, false, null, 1);
-
-    Y.Attribute = Attribute;
-
-
-
-}, '3.0.0pr1' ,{requires:['event']});

=== removed file 'loggerhead/static/javascript/yui/build/attribute/attribute-min.js'
--- loggerhead/static/javascript/yui/build/attribute/attribute-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/attribute/attribute-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("attribute",function(B){B.State=function(){this.data={};};B.State.prototype={add:function(N,O){B.each(O,function(Q,P){if(!this.data[P]){this.data[P]={};}this.data[P][N]=Q;},this);},remove:function(O,Q){var P=this.data,N=function(R){if(P[R]&&(O in P[R])){delete P[R][O];}};if(B.Lang.isString(Q)){N(Q);}else{B.each(Q||P,function(S,R){if(B.Lang.isString(R)){N(R);}else{N(S);}},this);}},get:function(N,O){var Q=this.data;if(O){return(Q[O]&&N in Q[O])?Q[O][N]:undefined;}else{var P={};B.each(Q,function(S,R){if(N in Q[R]){P[R]=S[N];}},this);return P;}}};var J=B.Object,K=".",F="Change",L="get",E="set",I="value",D="clone",M="readOnly",G="writeOnce",C="validator",H;function A(){B.Event.Target.call(this,{emitFacade:true});this._conf=this._conf||new B.State();}A.CLONE={NONE:0,DEEP:1,SHALLOW:2,IMMUTABLE:3};H=A.CLONE;A.prototype={addAtt:function(O,N){var Q,P=(I in N);if(P){Q=N.value;delete N.value;}this._conf.add(O,N);if(P){this.set(O,Q);}},removeAtt:function(N){this._conf.remove(N);},get:function(P){var O=this._conf,Q,N,S,R;if(P.indexOf(K)!==-1){Q=P.split(K);P=Q.shift();}R=O.get(P,I);N=O.get(P,L);S=O.get(P,D);R=(S)?this._cloneAttVal(R,S):R;R=(N)?N.call(this,R):R;R=(Q)?this._getSubAttVal(Q,R):R;return R;},set:function(O,P,N){var U=this._conf,S=U.data,T,V,Q,R=(!S.value||!(O in S.value));if(O.indexOf(K)!==-1){T=O;V=O.split(K);O=V.shift();}if(V&&U.get(O,D)===H.IMMUTABLE){return this;}if(!R){if(U.get(O,G)){return this;}if(U.get(O,M)){return this;}}if(!U.get(O)){}Q=this.get(O);if(V){P=this._setSubAttVal(V,B.clone(Q),P);if(P===undefined){return this;}}this._fireAttChange(O,Q,P,O,T,N);return this;},on:function(){return this.subscribe.apply(this,arguments);},_defAttSet:function(S){var P=this._conf,O=S.attrName,T=S.newVal,R,N=P.get(O,C),Q=P.get(O,E);if(Q){R=Q.call(this,T);if(R!==undefined){T=R;}}if(!N||N.call(this,T)){P.add(O,{value:T});S.newVal=P.get(O,I);}else{S.stopImmediatePropagation();}},_getSubAttVal:function(P,Q){var O=P.length,N;if(O>0){for(N=0;Q!==undefined&&N<O;++N){Q=Q[P[N]];}}return Q;},_setSubAttVal:function(Q,S,P){var O=Q.length-1,N,R;if(O>=0){R=S;for(N=0;R!==undefined&&N<O;++N){R=R[Q[N]];}if(R!==undefined){R[Q[N]]=P;}else{S=undefined;}}return S;},setAtts:function(O){for(var N in O){if(J.owns(O,N)){this.set(N,O[N]);}}},getAtts:function(O){var N={};if(O){N=B.clone(O);}else{B.each(this._conf.get(I),function(Q,P){N[P]=Q;});}return N;},_initAtts:function(N,Q){if(N){var P,S,O,R,T=N;O=this._splitAttVals(Q);for(P in T){if(J.owns(T,P)){S=B.merge(T[P]);R=this._initAttVal(P,S,O);if(R!==undefined){S.value=R;}this.addAtt(P,S);}}}},_splitAttVals:function(Q){var S={},R={},T,N,P;for(var O in Q){if(J.owns(Q,O)){if(O.indexOf(K)!==-1){T=O.split(K);N=T.shift();P=R[N]=R[N]||[];P[P.length]={path:T,value:Q[O]};}else{S[O]=Q[O];}}}return{simple:S,complex:R};},_initAttVal:function(U,S,X){var W=(I in S),O=S.value,N,P,R,Q,Y,V,T;if(!S[M]&&X){N=X.simple;if(N&&J.owns(N,U)){W=true;O=N[U];}P=X.complex;if(P&&J.owns(P,U)){W=true;T=P[U];for(R=0,Q=T.length;R<Q;++R){Y=T[R].path;V=T[R].value;O=this._setSubAttVal(Y,O,V);}}}return O;},_cloneAttVal:function(O,N){switch(N){case H.SHALLOW:O=B.merge(O);break;case H.DEEP:case H.IMMUTABLE:O=B.clone(O);break;}return O;},_fireAttChange:function(Q,S,N,O,T,U,R){Q=Q+F;this.publish(Q,{queuable:false,defaultFn:this._defAttSet});var P={type:Q,prevVal:S,newVal:N,attrName:O,subAttrName:T};if(R){B.mix(P,R);}this.fire(P);}};B.mix(A,B.Event.Target,false,null,1);B.Attribute=A;},"3.0.0pr1",{requires:["event"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/attribute/attribute.js'
--- loggerhead/static/javascript/yui/build/attribute/attribute.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/attribute/attribute.js	1970-01-01 00:00:00 +0000
@@ -1,759 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('attribute', function(Y) {
-
-    /**
-     * Managed Attribute Provider
-     * @module attribute
-     */
-
-    /**
-     * Maintain state for a collection of items.  Individual properties 
-     * are stored in hash tables.  This is instead of having state objects 
-     * for each item in the collection.  For large collections, especially 
-     * changing ones, this approach may perform better.
-     * 
-     * @constructor
-     * @class State
-     */
-    Y.State = function() { 
-
-        /**
-         * Hash of attributes
-         * @property data
-         */
-        this.data = {};
-    };
-
-    Y.State.prototype = {
-
-        /**
-         * Add an item with all of the properties in the supplied object.
-         * @method add
-         * @param name {string} identifier for this attribute
-         * @param o hash of attributes
-         */
-        add: function(name, o) {
-            Y.each(o, function(v, k) {
-                if (!this.data[k]) {
-                    this.data[k] = {};
-                }
-
-                this.data[k][name] = v;
-            }, this);
-        },
-
-        /**
-         * Remove entire item, or optionally specified fields
-         * @method remove
-         * @param name {string} name of attribute
-         * @param o {string|object|array} single key or collection of keys to delete
-         */
-        remove: function(name, o) {
-            var d = this.data, 
-                del = function(key) {
-                    if (d[key] && (name in d[key])) {
-                        delete d[key][name];
-                    }
-                };
-
-            if (Y.Lang.isString(o)) {
-                del(o);
-            } else {
-                Y.each(o || d, function(v, k) {
-                    if(Y.Lang.isString(k)) {
-                        del(k);
-                    } else {
-                        del(v);
-                    }
-                }, this);
-
-            }
-        },
-
-        /**
-         * For a given item, gets an attribute.  If key is not
-         * supplied, a disposable object with all attributes is 
-         * returned.  Use of the latter option makes sense when
-         * working with single items, but not if object explosion
-         * might cause gc problems.
-         * @method get
-         * @param name {string} name of attribute
-         * @param key {string} optional attribute to get
-         * @return either the value of the supplied key or an object with
-         * all data.
-         */
-        // get: function(name, key, val) {
-        get: function(name, key) {
-            var d = this.data;
-
-            if (key) {
-                return (d[key] && name in d[key]) ?  d[key][name] : undefined;
-            } else {
-                var o = {};
-
-                Y.each(d, function(v, k) {
-                    if (name in d[k]) {
-                        o[k] = v[name];
-                    }
-                }, this);
-
-                return o;
-
-            }
-        }
-
-        // figure out what kind of functionality we may need here
-        // get whole list
-        // get a list of items and values for a given key
-        // get a list of items where a key has the supplied value
-        /*
-        list: function(key, val) {
-            var o = {}, d = this.data, test = !L.isUndefined(val);
-
-            Y.each(this, function(v, k) {
-
-                // verify key
-                if (key && k !== key) {
-                    return;
-                // verify value.  note, v will be the item names, so this
-                // isn't working ... need to iterate v items
-                } else if (test && v !== val) {
-                    return;
-                }
-
-                o[k] = v;
-
-            }, this);
-
-            return o;
-        }
-        */
-    };
-
-    /**
-     * Managed Attribute Provider
-     * @module attribute
-     */
-
-    var O = Y.Object,
-
-        DOT = ".",
-        CHANGE = "Change",
-        GET = "get",
-        SET = "set",
-        VALUE = "value",
-        CLONE = "clone",
-        READ_ONLY = "readOnly",
-        WRITE_ONCE = "writeOnce",
-        VALIDATOR = "validator",
-
-        CLONE_ENUM;
-
-    /**
-     * <p>
-     * Attribute provides managed attribute support. 
-     * </p>
-     * <p>
-     * The class is designed to be augmented onto a host class, 
-     * and allows the host to support get/set methods for attributes,
-     * initial configuration support and attribute change events.
-     * </p>
-     * <p>Attributes added to the host can:</p>
-     * <ul>
-     *     <li>Be defined as read-only.</li>
-     *     <li>Be defined as write-once.</li>
-     *     <li>Be defined with a set function, used to manipulate
-     *     values passed to Attribute's set method, before they are stored.</li>
-     *     <li>Be defined with a validator function, to validate values before they are stored.</li>
-     *     <li>Be defined with a get function, which can be used to manipulate stored values,
-     *     before they are returned by Attribute's get method.</li>
-     *     <li>Specify if and how they should be cloned on 'get' (see <a href="#property_CLONE">Attribute.CLONE</a> for supported clone modes).</li>
-     * </ul>
-     *
-     * <p>See the <a href="#method_addAtt">addAtt</a> method, for details about how to add attributes with
-     * a specific configuration</p>
-     *
-     * @class Attribute
-     * @uses Event.Target
-     */
-    function Attribute() {
-        Y.Event.Target.call(this, {emitFacade:true});
-        this._conf = this._conf || new Y.State();
-    }
-
-    /**
-     * <p>
-     * Constants for clone formats supported by Attribute.
-     * </p>
-     * <p>
-     * By default attribute values returned by the get method
-     * are not cloned. However setting the attribute's "clone"
-     * property to:
-     * </p>
-     * <dl>
-     *     <dt>Attribute.CLONE.DEEP</dt>
-     *     <dd>Will result in a deep cloned value being returned
-     *        (using YUI's clone method). This can be expensive for complex
-     *        objects.
-     *     </dd>
-     *     <dt>Attribute.CLONE.SHALLOW</dt>
-     *     <dd>Will result in a shallow cloned value being returned
-     *        (using YUI's merge method).
-     *     </dd>
-     *     <dt>Attribute.CLONE.IMMUTABLE</dt>
-     *     <dd>Will result in a deep cloned value being returned
-     *         when using the get method. Additionally users will
-     *         not be able to set sub values of the attribute 
-     *         using the complex attribute notation (obj.set("x.y.z, 5)).
-     *         However the value of the attribute can be changed, making
-     *         it different from a READONLY attribute.
-     *     </dd>
-     *     <dt>Attribute.CLONE.NONE</dt>
-     *     <dd>
-     *         The value will not be cloned, resulting in a reference
-     *         to the stored value being passed back, if the value is an object.
-     *         This is the default behavior.
-     *     </dd>
-     * </dl>
-     * 
-     * @property CLONE
-     * @static
-     * @final
-     * @type Object
-     */
-    Attribute.CLONE = {
-        NONE : 0,
-        DEEP : 1,
-        SHALLOW : 2,
-        IMMUTABLE: 3
-    };
-
-    CLONE_ENUM = Attribute.CLONE;
-
-    Attribute.prototype = {
-        /**
-         * <p>
-         * Adds an attribute, with the provided configuration to the host object. Intended
-         * to be used by the host object to setup it's set of available attributes.
-         * </p>
-         * <p>
-         * The config argument object literal supports the following optional properties:
-         * </p>
-         * <dl>
-         *    <dt>value &#60;Any&#62;</dt>
-         *    <dd>The initial value to set on the attribute</dd>
-         *    <dt>readOnly &#60;Boolean&#62;</dt>
-         *    <dd>Whether or not the attribute is read only. Attributes having readOnly set to true
-         *        cannot be set by invoking the set method.</dd>
-         *    <dt>writeOnce &#60;Boolean&#62;</dt>
-         *    <dd>Whether or not the attribute is "write once". Attributes having writeOnce set to true, 
-         *        can only have their values set once, be it through the default configuration, 
-         *        constructor configuration arguments, or by invoking set.</dd>
-         *    <dt>set &#60;Function&#62;</dt>
-         *    <dd>The setter function to be invoked (within the context of the host object) before 
-         *        the attribute is stored by a call to the set method. The value returned by the 
-         *        set function will be the finally stored value.</dd>
-         *    <dt>get &#60;Function&#62;</dt>
-         *    <dd>The getter function to be invoked (within the context of the host object) before
-         *    the stored values is returned to a user invoking the get method for the attribute.
-         *    The value returned by the get function is the final value which will be returned to the 
-         *    user when they invoke get.</dd>
-         *    <dt>validator &#60;Function&#62;</dt>
-         *    <dd>The validator function which is invoked prior to setting the stored value. Returning
-         *    false from the validator function will prevent the value from being stored</dd>
-         *    <dt>clone &#60;int&#62;</dt>
-         *    <dd>If and how the value returned by a call to the get method, should be de-referenced from
-         *    the stored value. By default values are not cloned, and hence a call to get will return
-         *    a reference to the stored value. See Attribute.CLONE for more details about the clone 
-         *    options available</dd>
-         * </dl>
-         *
-         * @method addAtt
-         * 
-         * @param {String} name The attribute key
-         * @param {Object} config (optional) An object literal specifying the configuration for the attribute.
-         * <strong>NOTE:</strong> The config object is modified when adding an attribute, 
-         * so if you need to protect the original values, you will need to merge or clone the object.
-         * 
-         */
-        addAtt: function(name, config) {
-            var value, hasValue = (VALUE in config);
-
-
-            if(hasValue) {
-                value = config.value;
-                delete config.value;
-            }
-
-            this._conf.add(name, config);
-
-            if (hasValue) {
-                this.set(name, value);
-            }
-        },
-
-        /**
-         * Removes an attribute.
-         *
-         * @method removeAtt
-         * @param {String} name The attribute key
-         */
-        removeAtt: function(name) {
-            this._conf.remove(name);
-        },
-
-        /**
-         * Returns the current value of the attribute. If the attribute
-         * has been configured with a 'get' handler, this method will delegate
-         * to the 'get' handler to obtain the value of the attribute.
-         * The 'get' handler will be passed the current value of the attribute 
-         * as the only argument.
-         *
-         * @method get
-         *
-         * @param {String} key The attribute whose value will be returned. If
-         * the value of the attribute is an Object, dot notation can be used to
-         * obtain the value of a property of the object (e.g. <code>get("x.y.z")</code>)
-         * 
-         * @return {Any} The current value of the attribute
-         */
-        get: function(name) {
-
-            var conf = this._conf,
-                path,
-                getFn,
-                clone,
-                val;
-
-            if (name.indexOf(DOT) !== -1) {
-                path = name.split(DOT);
-                name = path.shift();
-            }
-
-            val = conf.get(name, VALUE);
-            getFn = conf.get(name, GET);
-            clone = conf.get(name, CLONE);
-
-            val = (clone) ? this._cloneAttVal(val, clone) : val;
-            val = (getFn) ? getFn.call(this, val) : val;
-            val = (path) ? this._getSubAttVal(path, val) : val;
-
-            return val;
-        },
-
-        /**
-         * Sets the value of an attribute.
-         *
-         * @method set
-         * @chainable
-         * 
-         * @param {String} name The name of the attribute. Note, if the 
-         * value of the attribute is an Object, dot notation can be used
-         * to set the value of a property within the object 
-         * (e.g. <code>set("x.y.z", 5)</code>), if the attribute has not
-         * been declared as an immutable attribute (see <a href="#property_CLONE">Attribute.CLONE</a>).
-         * 
-         * @param {Any} value The value to apply to the attribute
-         * 
-         * @param {Object} opts Optional event data. This object will be mixed into
-         * the event facade passed as the first argument to subscribers 
-         * of attribute change events
-         * 
-         * @return {Object} Reference to the host object
-         */
-        set: function(name, val, opts) {
-
-            var conf = this._conf,
-                data = conf.data,
-                strPath,
-                path,
-                currVal,
-                initialSet = (!data.value || !(name in data.value));
-
-            if (name.indexOf(DOT) !== -1) {
-                strPath = name;
-                path = name.split(DOT);
-                name = path.shift();
-            }
-
-            if (path && conf.get(name, CLONE) === CLONE_ENUM.IMMUTABLE) {
-                return this;
-            }
-
-            if (!initialSet) {
-                if (conf.get(name, WRITE_ONCE)) {
-                    return this;
-                }
-                if (conf.get(name, READ_ONLY)) {
-                    return this;
-                }
-            }
-
-            if (!conf.get(name)) {
-            }
-
-            currVal = this.get(name);
-
-            if (path) {
-               val = this._setSubAttVal(path, Y.clone(currVal), val);
-               if (val === undefined) {
-                   // Path not valid, don't set anything.
-                   return this;
-               }
-            }
-
-            this._fireAttChange(name, currVal, val, name, strPath, opts);
-
-            return this;
-        },
-
-        /**
-         * <p>
-         * Alias for the Event.Target <a href="Event.Target.html#method_subscribe">subscribe</a> method.
-         * </p>
-         * 
-         * <p>Subscribers using this method to listen for attribute change events will be notified just
-         * <strong>before</strong> the state of the attribute has been modified, and before the default handler has been
-         * invoked.</p>
-         * 
-         * <p>The <a href="Event.Target.html#method_after">after</a> method, inherited from Event Target, can be used by subscribers
-         * who wish to be notified <strong>after</strong> the attribute's value has changed.</p>
-         * 
-         * @param {String} type The event type. For attribute change events, the event type is "[Attribute Name]Change", e.g.
-         * for the attribute "enabled", the event type will be "enabledChange".
-         * @param {Function} fn The subscribed function to invoke
-         * @param {Object} context Optional execution context
-         * @param {Any*} args* 0..n additional arguments to append to supply to the subscribed function when the event fires.
-         * @method on
-         * @return {Event.Handle} The handle object for unsubscribing the subscriber from the event.
-         */
-        on : function() {
-            return this.subscribe.apply(this, arguments);
-        },
-
-        /**
-         * Default handler implementation for set events
-         *
-         * @private
-         * @method _defAttSet
-         * @param {Event.Facade} e The event object for the custom event
-         */
-        _defAttSet : function(e) {
-            var conf = this._conf,
-                name = e.attrName,
-                val = e.newVal,
-                retVal,
-                valFn  = conf.get(name, VALIDATOR),
-                setFn = conf.get(name, SET);
-
-            if (setFn) {
-                retVal = setFn.call(this, val);
-                if (retVal !== undefined) {
-                    val = retVal; // setter can change value
-                }
-            }
-
-            if (!valFn || valFn.call(this, val)) {
-                conf.add(name, { value: val });
-                e.newVal = conf.get(name, VALUE);
-            } else {
-                // Prevent "after" listeners from being 
-                // invoked since nothing changed.
-                e.stopImmediatePropagation();
-            }
-        },
-
-        /**
-         * Retrieves the sub value at the provided path,
-         * from the value object provided.
-         *
-         * @method _getSubAttVal
-         * @private
-         *
-         * @param {Array} path  A path array, specifying the object traversal path
-         *                      from which to obtain the sub value.
-         * @param {Object} val  The object from which to extract the property value
-         * @return {Any} The value stored in the path or undefined if not found.
-         */
-        _getSubAttVal: function (path, val) {
-            var pl = path.length,
-                i;
-
-            if (pl > 0) {
-                for (i = 0; val !== undefined && i < pl; ++i) {
-                    val = val[path[i]];
-                }
-            }
-
-            return val;
-        },
-
-        /**
-         * Sets the sub value at the provided path on the value object.
-         * Returns the modified value object, or undefined if the path is invalid.
-         *
-         * @method _setSubAttVal
-         * @private
-         * 
-         * @param {Array} path  A path array, specifying the object traversal path
-         *                      at which to set the sub value.
-         * @param {Object} val  The object on which to set the sub value.
-         * @param {Any} subval  The sub value to set.
-         * @return {Object}     The modified object, with the new sub value set, or 
-         *                      undefined, if the path was invalid.
-         */
-        _setSubAttVal: function(path, val, subval) {
-
-            var leafIdx = path.length-1,
-                i,
-                o;
-
-            if (leafIdx >= 0) {
-                o = val;
-
-                for (i = 0; o !== undefined && i < leafIdx; ++i) {
-                    o = o[path[i]];
-                }
-
-                // Not preventing new properties from being added
-                if (o !== undefined /* && o[path[i]] !== undefined */) {
-                    o[path[i]] = subval;
-                } else {
-                    val = undefined;
-                }
-            }
-
-            return val;
-        },
-
-        /**
-         * Sets multiple attribute values.
-         * 
-         * @method setAtts
-         * @param {Object} atts  A hash of attributes: name/value pairs
-         */
-        setAtts: function(atts) {
-            for (var att in atts) {
-                if ( O.owns(atts, att) ) {
-                    this.set(att, atts[att]);
-                }
-            }
-        },
-
-        /**
-         * Gets multiple attribute values.
-         *
-         * @method getAtts
-         * @return {Object} A hash of attributes: name/value pairs
-         */
-        getAtts: function(atts) {
-            var o = {};
-            if (atts) {
-                o = Y.clone(atts);
-            } else {
-                Y.each(this._conf.get(VALUE), function(val, att) {
-                    o[att] = val; 
-                });
-            }
-            return o;
-        },
-
-        /**
-         * Configures attributes, and sets initial values
-         *
-         * @method _initAtts
-         * @protected
-         * 
-         * @param {Object} cfg Attribute configuration object literal
-         * @param {Object} initValues Name/value hash of initial values to apply
-         */
-        _initAtts : function(cfg, initValues) {
-            if (cfg) {
-                var att,
-                    attCfg,
-                    values,
-                    value,
-                    atts = cfg;
-
-                values = this._splitAttVals(initValues);
-
-                for (att in atts) {
-                    if (O.owns(atts, att)) {
-                        attCfg = Y.merge(atts[att]);
-                        value = this._initAttVal(att, attCfg, values);
-                        if (value !== undefined) {
-                            attCfg.value = value;
-                        }
-                        this.addAtt(att, attCfg);
-                    }
-                }
-            }
-        },
-
-        /**
-         * Utility to split out regular attribute values
-         * from complex attribute values, so that complex
-         * attributes can be keyed by top level attribute name.
-         *
-         * @method _splitAttrValues
-         * @param {Object} valueHash Name/value hash of initial values
-         *
-         * @return {Object} Object literal with 2 properties - "simple" and "complex",
-         * containing simple and complex attribute values respectively keyed 
-         * by attribute the top level attribute name.
-         * @private
-         */
-        _splitAttVals: function(valueHash) {
-            var vals = {},
-                subvals = {},
-                path,
-                attr,
-                v;
-
-            for (var k in valueHash) {
-                if (O.owns(valueHash, k)) {
-                    if (k.indexOf(DOT) !== -1) {
-                        path = k.split(DOT);
-                        attr = path.shift();
-                        v = subvals[attr] = subvals[attr] || [];
-                        v[v.length] = {
-                            path : path, 
-                            value: valueHash[k]
-                        };
-                    } else {
-                        vals[k] = valueHash[k];
-                    }
-                }
-            }
-            return { simple:vals, complex:subvals };
-        },
-
-        /**
-         * Returns the initial value of the given attribute from
-         * either the default configuration provided, or the 
-         * over-ridden value if it exists in the initValues 
-         * hash provided.
-         *
-         * @param {String} att Attribute name
-         * @param {Object} cfg Default attribute configuration
-         * object literal
-         * @param {Object} initVales Initial attribute values, provided 
-         * for the instance
-         *
-         * @return {Any} Initial value of the attribute.
-         *
-         * @method _initAttVal
-         * @private
-         */
-        _initAttVal : function(att, cfg, initValues) {
-
-            var hasVal = (VALUE in cfg),
-                val = cfg.value,
-                simple,
-                complex,
-                i,
-                l,
-                path,
-                subval,
-                subvals;
-
-            if (!cfg[READ_ONLY] && initValues) {
-                // Simple Attributes
-                simple = initValues.simple;
-                if (simple && O.owns(simple, att)) {
-                    hasVal = true;
-                    val = simple[att];
-                }
-
-                // Complex Attributes
-                complex = initValues.complex;
-                if (complex && O.owns(complex, att)) {
-                    hasVal = true;
-                    subvals = complex[att];
-                    for (i = 0, l = subvals.length; i < l; ++i) {
-                        path = subvals[i].path;
-                        subval = subvals[i].value;
-                        val = this._setSubAttVal(path, val, subval);
-                    }
-                }
-            }
-
-            return val;
-        },
-
-        /**
-         * <p>
-         * Clone utility method, which will 
-         * clone the provided value using YUI's 
-         * merge, or clone utilities based
-         * on the clone type provided. See <a href="#property_CLONE">Attribute.CLONE</a>
-         * </p>
-         * 
-         * @method _cloneAttVal
-         * @private 
-         * @param {Any} val Value to clone
-         * @param {int} type Clone type to use, See the CLONE property
-         * @return {Any} The cloned copy of the object, based on the provided type.
-         */
-        _cloneAttVal : function(val, type) {
-            switch(type) {
-                case CLONE_ENUM.SHALLOW:
-                    val = Y.merge(val);
-                    break;
-                case CLONE_ENUM.DEEP:
-                case CLONE_ENUM.IMMUTABLE:
-                    val = Y.clone(val);
-                    break;
-            }
-            return val;
-        },
-
-        /**
-         * Utility method to help setup the event payload and 
-         * fire the attribute change event.
-         * 
-         * @method _fireAttChange
-         * @private
-         * @param {String} type The event name
-         * @param {Any} currVal The current value of the attribute
-         * @param {Any} newVal The new value of the attribute
-         * @param {String} attrName The name of the attribute
-         * @param {String} strFullPath The full path of the property being changed, 
-         * if this is a sub-attribute value being change
-         * @param {Function} defaultFn The default handler for the change event
-         * @param {Object} opts Any additional event data to mix into the attribute change event's event facade.
-         */
-        _fireAttChange: function(type, currVal, newVal, attrName, strFullPath, defaultFn, opts) {
-            type = type + CHANGE;
-
-            // TODO: Publishing temporarily, while we address event bubbling/queuing
-            this.publish(type, {queuable:false, defaultFn:this._defAttSet});
-
-            var eData = {
-                type: type,
-                prevVal: currVal,
-                newVal: newVal,
-                attrName: attrName,
-                subAttrName: strFullPath
-            };
-
-            if (opts) {
-                Y.mix(eData, opts);
-            }
-
-            this.fire(eData);
-        }
-    };
-
-    Y.mix(Attribute, Y.Event.Target, false, null, 1);
-
-    Y.Attribute = Attribute;
-
-
-
-}, '3.0.0pr1' ,{requires:['event']});

=== removed directory 'loggerhead/static/javascript/yui/build/base'
=== removed file 'loggerhead/static/javascript/yui/build/base/README'
--- loggerhead/static/javascript/yui/build/base/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/base/README	1970-01-01 00:00:00 +0000
@@ -1,11 +0,0 @@
-3.0.0PR1 - Initial release
-
-Module Name: "base"
-Documentation: http://developer.yahoo.com/yui/3/base
-
-Base is designed to be a low level class from which other attribute 
-and event target based classes in the YUI library can be derived. 
-It provides a standard template for creating attribute based objects 
-across the library and provides a consistent init() and destroy() 
-sequence, by chaining initialization (initializer) and destruction 
-(destructor) methods for the class hierarcy.

=== removed file 'loggerhead/static/javascript/yui/build/base/base-debug.js'
--- loggerhead/static/javascript/yui/build/base/base-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/base/base-debug.js	1970-01-01 00:00:00 +0000
@@ -1,669 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('base', function(Y) {
-
-    /**
-     * Base class support for objects requiring
-     * managed attributes and acting as event targets
-     *
-     * @module base
-     */
-
-    var L = Y.Lang,
-        O = Y.Object,
-        SEP = ":",
-        DESTROY = "destroy",
-        INIT = "init",
-        VALUE = "value",
-        INITIALIZED = "initialized",
-        DESTROYED = "destroyed",
-        INITIALIZER = "initializer",
-        DESTRUCTOR = "destructor";
-
-    var ETP = Y.Event.Target.prototype;
-
-    /**
-     * <p>
-     * Provides a base class for managed attribute based
-     * objects, which handles the chaining of initializer and destructor methods
-     * across the hierarchy during init and destroy lifecycle methods and 
-     * handles automatic configuration of registered Attributes, through 
-     * the static <a href="#property_ATTRS">ATTRS</a> property.
-     * </p>
-     *
-     * <p>The Base class also handles prefixing of event types with the static <a href="#property_NAME">NAME</a> 
-     * property for all events fired from instances of classes derived from Base.</p>
-     *
-     * @constructor
-     * @class Base
-     * @uses Attribute
-     *
-     * @param {Object} config Object literal of configuration property name/value pairs
-     */
-    var Base = function() {
-        Y.log('constructor called', 'life', 'base');
-        Y.Attribute.call(this);
-        this.init.apply(this, arguments);
-    };
-
-    /**
-     * <p>
-     * Name string to be used to identify instances of 
-     * this class, for example in prefixing events.
-     * </p>
-     * <p>
-     * Classes extending Base, should define their own
-     * static NAME property.
-     * </p>
-     * @property NAME
-     * @type String
-     * @static
-     */
-    Base.NAME = 'base';
-
-    /**
-     * Object literal defining the set of attributes which
-     * will be available for instances of this class, and 
-     * how they are configured. See Attributes addAtt method
-     * for a description of configuration options available 
-     * for each attribute.
-     *
-     * @property ATTRS
-     * @type Object
-     * @static
-     */
-    Base.ATTRS = {
-        /**
-         * Flag indicating whether or not this object
-         * has been through the init lifecycle phase.
-         *
-         * @attribute initialized
-         * @readOnly
-         * @default false
-         * @type boolean
-         */
-        intialized: {
-            readOnly:true,
-            value:false
-        },
-
-        /**
-         * Flag indicating whether or not this object
-         * has been through the destroy lifecycle phase.
-         *
-         * @attribute destroyed
-         * @readOnly
-         * @default false
-         * @type boolean
-         */
-        destroyed: {
-            readOnly:true,
-            value:false
-        }
-    };
-
-    var _instances = {};
-
-    /**
-     * <p>
-     * Builds a constructor function (class) from the
-     * main function, and array of extension functions (classes)
-     * provided.
-     * </p>
-     * <p>
-     * The cfg object literal supports the following properties
-     * </p>
-     * <dl>
-     *    <dt>dynamic &#60;boolean&#62;</dt>
-     *    <dd>
-     *    <p>If true, a completely new class
-     *    is created which extends the main class, and acts as the 
-     *    host on which the extension classes are augmented.</p>
-     *    <p>If false, the extensions classes are augmented directly to
-     *    the main class, modifying the main classes prototype.</p>
-     *    </dd>
-     *    <dt>aggregates &#60;String[]&#62;</dt>
-     *    <dd>An array of static property names, which will get aggregated
-     *    on to the built class in addition to the default properties build 
-     *    will always aggregate - "ATTRS" and "PLUGINS", as defined by 
-     *    Base.build.AGGREGATES</dd>
-     * </dl>
-     *
-     * @method build
-     * @static
-     * @param {Function} main The main class on which to base the built class
-     * @param {Function[]} extensions The set of extension classes which will be
-     * augmented/aggregated to the built class.
-     * @param {Object} cfg
-     * @return {Function} A custom class, created from the provided main and extension classes
-     */
-    Base.build = function(main, extensions, cfg) {
-
-        var build = Base.build,
-            builtClass,
-            extClass,
-            aggregates,
-            dynamic,
-            key = main.NAME;
-
-        if (cfg) {
-            aggregates = cfg.aggregates;
-            dynamic = cfg.dynamic;
-        }
-
-        // Create dynamic class or just modify main class
-        builtClass = (dynamic) ? build._template(main) : main;
-
-        builtClass._yuibuild = {
-            id: null,
-            exts : [],
-            dynamic : dynamic
-        };
-
-        aggregates = (aggregates) ? build.AGGREGATES.concat(aggregates) : build.AGGREGATES;
-
-        var el = extensions.length,
-            al = aggregates.length,
-            i;
-
-        // Shallow isolate aggregates
-        if (dynamic && aggregates) {
-            for (i = 0; i < al; i++) {
-                var val = aggregates[i];
-                if (O.owns(main, val)) {
-                    builtClass[val] = L.isArray(main[val]) ? [] : {};
-                }
-            }
-            Y.aggregate(builtClass, main, true, aggregates);
-        }
-
-        // Augment/Aggregate
-        for (i = 0; i < el; i++) {
-            extClass = extensions[i];
-
-            if (aggregates) {
-                Y.aggregate(builtClass, extClass, true, aggregates);
-            }
-
-            // Old augment
-            Y.mix(builtClass, extClass, true, null, 1);
-
-            builtClass._yuibuild.exts.push(extClass);
-            key = key + ":" + Y.stamp(extClass);
-        }
-
-        builtClass._yuibuild.id = key;
-        builtClass.prototype.hasImpl = build._hasImpl;
-
-        if (dynamic) {
-            builtClass.NAME = main.NAME;
-            builtClass.prototype.constructor = builtClass;
-        }
-
-        return builtClass;
-    };
-
-    Y.mix(Base.build, {
-
-        AGGREGATES : ["ATTRS", "PLUGINS"],
-
-        _template: function(main) {
-
-            function BuiltClass() {
-                BuiltClass.superclass.constructor.apply(this, arguments);
-
-                var f = BuiltClass._yuibuild.exts, 
-                    l = f.length;
-
-                for (var i = 0; i < l; i++) {
-                    f[i].apply(this, arguments);
-                }
-                return this;
-            }
-
-            Y.extend(BuiltClass, main);
-
-            return BuiltClass;
-        },
-
-        _hasImpl : function(extClass) {
-            if (this.constructor._yuibuild) {
-                var f = this.constructor._yuibuild.exts,
-                    l = f.length,
-                    i;
-
-                for (i = 0; i < l; i++) {
-                    if (f[i] === extClass) {
-                        return true;
-                    }
-                }
-            }
-
-            return false;
-        }
-    });
-
-    /**
-     * <p>
-     * Creates a new object instance, based on a dynamically created custom class.
-     * The custom class is created from the main class passed in as the first parameter 
-     * along with the list of extension classes passed in
-     * as the second parameter using <a href="#method_build">Base.build</a> 
-     * with "dynamic" set to true. See the documentation for this method 
-     * to see how the main class and extension classes are used.
-     * </p>
-     * 
-     * <p>Any arguments following the 2nd argument are passed as arguments to the 
-     * constructor of the newly created class used to create the instance.</p>
-     * 
-     * @method create
-     * @static
-     *
-     * @param {Function} main The main class on which the instance it to be 
-     * based. This class will be extended to create the class for the custom instance
-     * @param {Array} extensions The list of extension classes used to augment the
-     * main class with.
-     * @param {Any*} args* 0..n arguments to pass to the constructor of the 
-     * newly created class, when creating the instance.
-     * @return {Object} An instance of the custom class
-     */
-    Base.create = function(main, extensions, args) {
-        var c = Base.build(main, extensions, {dynamic:true}),
-            cArgs = Y.Array(arguments, 2, true);
-
-        function F(){}
-        F.prototype = c.prototype;
-
-        return c.apply(new F(), cArgs);
-    };
-
-    Base.prototype = {
-
-        /**
-         * Init lifecycle method, invoked during construction.
-         * Fires the init event prior to invoking initializers on
-         * the class hierarchy.
-         * 
-         * @method init
-         * @final
-         * @chainable
-         * @param {Object} config Object literal of configuration property name/value pairs
-         * @return {Base} A reference to this object
-         */
-        init: function(config) {
-            Y.log('init called', 'life', 'base');
-
-            /**
-             * The name string to be used to identify 
-             * this instance of object. 
-             * @property name
-             * @type String
-             */
-            this.name = this.constructor.NAME;
-
-            /**
-             * <p>
-             * Init event, fired prior to initialization. Invoking
-             * the preventDefault method on the event object provided 
-             * to subscribers will prevent initialization from occuring.
-             * </p>
-             * <p>
-             * Subscribers to the "after" momemt of this event, will be notified
-             * after initialization of the object is complete (and therefore
-             * cannot prevent initialization).
-             * </p>
-             *
-             * @event init
-             * @preventable _defInitFn
-             * @param {Event.Facade} e Event object
-             * @param config Object literal of configuration name/value pairs
-             */
-            this.publish(INIT, {
-                queuable:false,
-                defaultFn:this._defInitFn
-            });
-            this.fire(INIT, config);
-
-            return this;
-        },
-
-        /**
-         * <p>
-         * Destroy lifecycle method. Fires the destroy
-         * event, prior to invoking destructors for the
-         * class hierarchy.
-         * </p>
-         * <p>
-         * Subscribers to the destroy
-         * event can invoke preventDefault on the event object, to prevent destruction
-         * from proceeding.
-         * </p>
-         * @method destroy
-         * @return {Base} A reference to this object
-         * @final
-         * @chainable
-         */
-        destroy: function() {
-            Y.log('destroy called', 'life', 'base');
-
-            /**
-             * <p>
-             * Destroy event, fired prior to destruction. Invoking
-             * the preventDefault method on the event object provided 
-             * to subscribers will prevent destruction from proceeding.
-             * </p>
-             * <p>
-             * Subscribers to the "after" moment of this event, will be notified
-             * after destruction is complete (and as a result cannot prevent
-             * destruction).
-             * </p>
-             * @event destroy
-             * @preventable _defDestroyFn
-             * @param {Event.Facade} e Event object
-             */
-            this.publish(DESTROY, {
-                queuable:false,
-                defaultFn: this._defDestroyFn
-            });
-            this.fire(DESTROY);
-            return this;
-        },
-
-        /**
-         * Default init event handler
-         *
-         * @method _defInitFn
-         * @param {Object} config Object literal of configuration property name/value pairs
-         * @protected
-         */
-        _defInitFn : function(config) {
-            _instances[Y.stamp(this)] = this;
-            this._initHierarchy(config);
-
-            this._conf.remove(INITIALIZED, VALUE);
-            this.set(INITIALIZED, true);
-        },
-
-        /**
-         * Default destroy event handler
-         *
-         * @method _defDestroyFn
-         * @protected
-         */
-        _defDestroyFn : function() {
-            this._destroyHierarchy();
-            delete _instances[this._yuid];
-
-            this._conf.remove(DESTROYED, VALUE);
-            this.set(DESTROYED, true);
-        },
-
-        /**
-         * Returns the top down class hierarchy for this object,
-         * with Base being the first class in the array.
-         *
-         * @protected
-         * @return {Function[]} An Array of classes (constructor functions), making up the class heirarchy for this object
-         */
-        _getClasses : function() {
-            if (!this._classes) {
-                var c = this.constructor, 
-                    classes = [];
-
-                while (c && c.prototype) {
-                    classes.unshift(c);
-                    c = c.superclass ? c.superclass.constructor : null;
-                }
-                this._classes = classes;
-            }
-            return this._classes.concat();
-        },
-
-        /**
-         * Initializes the class hierarchy rooted at this base class,
-         * which includes initializing attributes for each class defined 
-         * in the class's static <a href="#property_ATTRS">ATTRS</a> property and invoking the initializer 
-         * method on the prototype of each class in the hierarchy.
-         * 
-         * @method _initHierarchy
-         * @param {Object} userConf Object literal containing attribute name/value pairs
-         * @private
-         */
-        _initHierarchy : function(userConf) {
-            var constr,
-                classes = this._getClasses();
-
-            for (var ci = 0, cl = classes.length; ci < cl; ci++) {
-                constr = classes[ci];
-
-                if (constr._yuibuild && constr._yuibuild.exts && !constr._yuibuild.dynamic) {
-                    for (var ei = 0, el = constr._yuibuild.exts.length; ei < el; ei++) {
-                        constr._yuibuild.exts[ei].apply(this, arguments);
-                    }
-                }
-
-                this._initAtts(constr.ATTRS, userConf);
-
-                if (O.owns(constr.prototype, INITIALIZER)) {
-                    constr.prototype[INITIALIZER].apply(this, arguments);
-                }
-            }
-        },
-
-        /**
-         * Destroys the class hierarchy rooted at this base class by invoking
-         * the descructor method on the prototype of each class in the hierarchy.
-         *
-         * @method _destroyHierarchy
-         * @private
-         */
-        _destroyHierarchy : function() {
-            var constr,
-                classes = this._getClasses();
-
-            for (var ci = classes.length-1; ci >= 0; ci--) {
-                constr = classes[ci];
-                if (O.owns(constr.prototype, DESTRUCTOR)) {
-                    constr.prototype[DESTRUCTOR].apply(this, arguments);
-                }
-            }
-        },
-
-        /**
-         * Default toString implementation. Provides the constructor NAME
-         * and the instance ID.
-         * 
-         * @method toString
-         * @return {String} String representation for this object
-         */
-        toString: function() {
-            return this.constructor.NAME + "[" + Y.stamp(this) + "]";
-        },
-
-        /**
-         * <p>
-         * Subscribe to a custom event hosted by this object.
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_subscribe">subscribe</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         * 
-         * @method subscribe
-         * @param {String} type The type of event to subscribe to. If 
-         * the type string does not contain a prefix ("prefix:eventType"), 
-         * the name property of the instance will be used as the default prefix.
-         * @param {Function} fn The subscribed callback function, invoked when the event is fired.
-         * @param {Object} context Optional execution context for the callback.
-         * @param {Any*} args* 0..n params to supply to the callback
-         * 
-         * @return {Event.Handle} An event handle which can be used to unsubscribe the subscribed callback.
-         */
-        subscribe : function() {
-            var a = arguments;
-            a[0] = this._prefixEvtType(a[0]);
-            return ETP.subscribe.apply(this, a);
-        },
-
-        /**
-         * <p>
-         * Fire a custom event by name.  The callback functions will be executed
-         * from the context specified when the event was created, and with the 
-         * following parameters.
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_fire">fire</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         * 
-         * @method fire
-         * @param {String|Object} type The type of the event, or an object that contains
-         * a 'type' property. If the type does not contain a prefix ("prefix:eventType"),
-         * the name property of the instance will be used as the default prefix.
-         * @param {Any*} args* 0..n Additional arguments to pass to subscribers.
-         * @return {boolean} The return value from Event Target's <a href="Event.Target.html#method_fire">fire</a> method.
-         *
-         */
-        fire : function() {
-            var a = arguments;
-            if (L.isString(a[0])) {
-                a[0] = this._prefixEvtType(a[0]);
-            } else if (a[0].type){
-                a[0].type = this._prefixEvtType(a[0].type);
-            }
-            return ETP.fire.apply(this, a);
-        },
-
-        /**
-         * <p>
-         * Creates a new custom event of the specified type.  If a custom event
-         * by that name already exists, it will not be re-created.  In either
-         * case the custom event is returned. 
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_publish">publish</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         *
-         * @method publish
-         * @param {String} type  The type, or name of the event. If the type does not 
-         * contain a prefix ("prefix:eventType"), the name property of the instance will 
-         * be used as the default prefix.
-         * @param {Object} opts Optional config params (see Event.Target <a href="Event.Target.html#method_publish">publish</a> for details)
-         * @return {Event.Custom} The published custom event object
-         */
-        publish : function() {
-            var a = arguments;
-            a[0] = this._prefixEvtType(a[0]);
-            return ETP.publish.apply(this, a);
-        },
-
-        /**
-         * <p>
-         * Subscribe to a custom event hosted by this object.  The
-         * supplied callback will execute <em>after</em> any listeners added
-         * via the subscribe method, and after the default function,
-         * if configured for the event, has executed.
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_after">after</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         * @method after
-         * @param {String} type The type of event to subscribe to. If 
-         * the type string does not contain a prefix ("prefix:eventType"), 
-         * the name property of the instance will be used as the default prefix.
-         * @param {Function} fn  The subscribed callback function
-         * @param {Object} context Optional execution context for the callback
-         * @param {Any*} args* 0..n params to supply to the callback
-         * @return {Event.Handle} Event handle which can be used to unsubscribe the subscribed callback.
-         */
-        after : function() {
-            var a = arguments;
-            a[0] = this._prefixEvtType(a[0]);
-            return ETP.after.apply(this, a);
-        },
-
-        /**
-         * <p>
-         * Unsubscribes one or more listeners the from the specified event.
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_unsubscribe">unsubscribe</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         * @method unsubscribe
-         * @param {String|Object} type Either the handle to the subscriber or the 
-         *                        type of event.  If the type
-         *                        is not specified, it will attempt to remove
-         *                        the listener from all hosted events. If 
-         *                        the type string does not contain a prefix 
-         *                        ("prefix:eventType"), the name property of the 
-         *                        instance will be used as the default prefix.
-         * @param {Function} fn The subscribed function to unsubscribe, if not
-         *                          supplied, all subscribers will be removed.
-         * @param {Object} context The custom object passed to subscribe.  This is
-         *                        optional, but if supplied will be used to
-         *                        disambiguate multiple listeners that are the same
-         *                        (e.g., you subscribe many object using a function
-         *                        that lives on the prototype)
-         * @return {boolean} true if the subscriber was found and detached.
-         */
-        unsubscribe: function(type, fn, context) {
-            var a = arguments;
-            if (L.isString(a[0])) {
-                a[0] = this._prefixEvtType(a[0]);
-            }
-            return ETP.unsubscribe.apply(this, a);
-        },
-
-        /**
-         * <p>
-         * Removes all listeners from the specified event.  If the event type
-         * is not specified, all listeners from all hosted custom events will
-         * be removed.
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_unsubscribeAll">unsubscribeAll</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         * @method unsubscribeAll
-         * @param {String} type The type, or name of the event. If 
-         * the type string does not contain a prefix ("prefix:eventType"), 
-         * the name property of the instance will be used as the default prefix
-         * @return {int} The number of listeners unsubscribed
-         */
-        unsubscribeAll: function(type) {
-            var a = arguments;
-            a[0] = this._prefixEvtType(a[0]);
-            return ETP.unsubscribeAll.apply(this, a);
-        },
-
-        /**
-         * Utility method to prefix the event name with the
-         * name property of the instance, if absent
-         *
-         * @method _prefixEvtType
-         * @private
-         * @param {String} type The event name
-         * @return {String} The prefixed event name
-         */
-        _prefixEvtType: function(type) {
-            if (type.indexOf(SEP) === -1 && this.name) {
-               type = this.name + ":" + type;
-            }
-            return type;
-        }
-    };
-
-    Y.mix(Base, Y.Attribute, false, null, 1);
-
-    Y.Base = Base;
-
-
-
-}, '3.0.0pr1' ,{requires:['attribute']});

=== removed file 'loggerhead/static/javascript/yui/build/base/base-min.js'
--- loggerhead/static/javascript/yui/build/base/base-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/base/base-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("base",function(A){var J=A.Lang,H=A.Object,I=":",E="destroy",N="init",G="value",M="initialized",F="destroyed",B="initializer",K="destructor";var C=A.Event.Target.prototype;var D=function(){A.Attribute.call(this);this.init.apply(this,arguments);};D.NAME="base";D.ATTRS={intialized:{readOnly:true,value:false},destroyed:{readOnly:true,value:false}};var P={};D.build=function(S,X,W){var a=D.build,O,Y,V,R,Z=S.NAME;if(W){V=W.aggregates;R=W.dynamic;}O=(R)?a._template(S):S;O._yuibuild={id:null,exts:[],dynamic:R};V=(V)?a.AGGREGATES.concat(V):a.AGGREGATES;var L=X.length,U=V.length,T;if(R&&V){for(T=0;T<U;T++){var Q=V[T];if(H.owns(S,Q)){O[Q]=J.isArray(S[Q])?[]:{};}}A.aggregate(O,S,true,V);}for(T=0;T<L;T++){Y=X[T];if(V){A.aggregate(O,Y,true,V);}A.mix(O,Y,true,null,1);O._yuibuild.exts.push(Y);Z=Z+":"+A.stamp(Y);}O._yuibuild.id=Z;O.prototype.hasImpl=a._hasImpl;if(R){O.NAME=S.NAME;O.prototype.constructor=O;}return O;};A.mix(D.build,{AGGREGATES:["ATTRS","PLUGINS"],_template:function(L){function O(){O.superclass.constructor.apply(this,arguments);var S=O._yuibuild.exts,Q=S.length;for(var R=0;R<Q;R++){S[R].apply(this,arguments);}return this;}A.extend(O,L);return O;},_hasImpl:function(O){if(this.constructor._yuibuild){var R=this.constructor._yuibuild.exts,L=R.length,Q;for(Q=0;Q<L;Q++){if(R[Q]===O){return true;}}}return false;}});D.create=function(O,R,Q){var T=D.build(O,R,{dynamic:true}),L=A.Array(arguments,2,true);function S(){}S.prototype=T.prototype;return T.apply(new S(),L);};D.prototype={init:function(L){this.name=this.constructor.NAME;this.publish(N,{queuable:false,defaultFn:this._defInitFn});this.fire(N,L);return this;},destroy:function(){this.publish(E,{queuable:false,defaultFn:this._defDestroyFn});this.fire(E);return this;},_defInitFn:function(L){P[A.stamp(this)]=this;this._initHierarchy(L);this._conf.remove(M,G);this.set(M,true);},_defDestroyFn:function(){this._destroyHierarchy();delete P[this._yuid];this._conf.remove(F,G);this.set(F,true);},_getClasses:function(){if(!this._classes){var O=this.constructor,L=[];while(O&&O.prototype){L.unshift(O);O=O.superclass?O.superclass.constructor:null;}this._classes=L;}return this._classes.concat();},_initHierarchy:function(T){var S,Q=this._getClasses();for(var O=0,L=Q.length;O<L;O++){S=Q[O];if(S._yuibuild&&S._yuibuild.exts&&!S._yuibuild.dynamic){for(var U=0,R=S._yuibuild.exts.length;U<R;U++){S._yuibuild.exts[U].apply(this,arguments);}}this._initAtts(S.ATTRS,T);if(H.owns(S.prototype,B)){S.prototype[B].apply(this,arguments);}}},_destroyHierarchy:function(){var Q,O=this._getClasses();for(var L=O.length-1;L>=0;L--){Q=O[L];if(H.owns(Q.prototype,K)){Q.prototype[K].apply(this,arguments);}}},toString:function(){return this.constructor.NAME+"["+A.stamp(this)+"]";},subscribe:function(){var L=arguments;L[0]=this._prefixEvtType(L[0]);return C.subscribe.apply(this,L);},fire:function(){var L=arguments;if(J.isString(L[0])){L[0]=this._prefixEvtType(L[0]);}else{if(L[0].type){L[0].type=this._prefixEvtType(L[0].type);}}return C.fire.apply(this,L);},publish:function(){var L=arguments;L[0]=this._prefixEvtType(L[0]);return C.publish.apply(this,L);},after:function(){var L=arguments;L[0]=this._prefixEvtType(L[0]);return C.after.apply(this,L);},unsubscribe:function(R,Q,O){var L=arguments;if(J.isString(L[0])){L[0]=this._prefixEvtType(L[0]);}return C.unsubscribe.apply(this,L);},unsubscribeAll:function(O){var L=arguments;L[0]=this._prefixEvtType(L[0]);return C.unsubscribeAll.apply(this,L);},_prefixEvtType:function(L){if(L.indexOf(I)===-1&&this.name){L=this.name+":"+L;}return L;}};A.mix(D,A.Attribute,false,null,1);A.Base=D;},"3.0.0pr1",{requires:["attribute"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/base/base.js'
--- loggerhead/static/javascript/yui/build/base/base.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/base/base.js	1970-01-01 00:00:00 +0000
@@ -1,666 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('base', function(Y) {
-
-    /**
-     * Base class support for objects requiring
-     * managed attributes and acting as event targets
-     *
-     * @module base
-     */
-
-    var L = Y.Lang,
-        O = Y.Object,
-        SEP = ":",
-        DESTROY = "destroy",
-        INIT = "init",
-        VALUE = "value",
-        INITIALIZED = "initialized",
-        DESTROYED = "destroyed",
-        INITIALIZER = "initializer",
-        DESTRUCTOR = "destructor";
-
-    var ETP = Y.Event.Target.prototype;
-
-    /**
-     * <p>
-     * Provides a base class for managed attribute based
-     * objects, which handles the chaining of initializer and destructor methods
-     * across the hierarchy during init and destroy lifecycle methods and 
-     * handles automatic configuration of registered Attributes, through 
-     * the static <a href="#property_ATTRS">ATTRS</a> property.
-     * </p>
-     *
-     * <p>The Base class also handles prefixing of event types with the static <a href="#property_NAME">NAME</a> 
-     * property for all events fired from instances of classes derived from Base.</p>
-     *
-     * @constructor
-     * @class Base
-     * @uses Attribute
-     *
-     * @param {Object} config Object literal of configuration property name/value pairs
-     */
-    var Base = function() {
-        Y.Attribute.call(this);
-        this.init.apply(this, arguments);
-    };
-
-    /**
-     * <p>
-     * Name string to be used to identify instances of 
-     * this class, for example in prefixing events.
-     * </p>
-     * <p>
-     * Classes extending Base, should define their own
-     * static NAME property.
-     * </p>
-     * @property NAME
-     * @type String
-     * @static
-     */
-    Base.NAME = 'base';
-
-    /**
-     * Object literal defining the set of attributes which
-     * will be available for instances of this class, and 
-     * how they are configured. See Attributes addAtt method
-     * for a description of configuration options available 
-     * for each attribute.
-     *
-     * @property ATTRS
-     * @type Object
-     * @static
-     */
-    Base.ATTRS = {
-        /**
-         * Flag indicating whether or not this object
-         * has been through the init lifecycle phase.
-         *
-         * @attribute initialized
-         * @readOnly
-         * @default false
-         * @type boolean
-         */
-        intialized: {
-            readOnly:true,
-            value:false
-        },
-
-        /**
-         * Flag indicating whether or not this object
-         * has been through the destroy lifecycle phase.
-         *
-         * @attribute destroyed
-         * @readOnly
-         * @default false
-         * @type boolean
-         */
-        destroyed: {
-            readOnly:true,
-            value:false
-        }
-    };
-
-    var _instances = {};
-
-    /**
-     * <p>
-     * Builds a constructor function (class) from the
-     * main function, and array of extension functions (classes)
-     * provided.
-     * </p>
-     * <p>
-     * The cfg object literal supports the following properties
-     * </p>
-     * <dl>
-     *    <dt>dynamic &#60;boolean&#62;</dt>
-     *    <dd>
-     *    <p>If true, a completely new class
-     *    is created which extends the main class, and acts as the 
-     *    host on which the extension classes are augmented.</p>
-     *    <p>If false, the extensions classes are augmented directly to
-     *    the main class, modifying the main classes prototype.</p>
-     *    </dd>
-     *    <dt>aggregates &#60;String[]&#62;</dt>
-     *    <dd>An array of static property names, which will get aggregated
-     *    on to the built class in addition to the default properties build 
-     *    will always aggregate - "ATTRS" and "PLUGINS", as defined by 
-     *    Base.build.AGGREGATES</dd>
-     * </dl>
-     *
-     * @method build
-     * @static
-     * @param {Function} main The main class on which to base the built class
-     * @param {Function[]} extensions The set of extension classes which will be
-     * augmented/aggregated to the built class.
-     * @param {Object} cfg
-     * @return {Function} A custom class, created from the provided main and extension classes
-     */
-    Base.build = function(main, extensions, cfg) {
-
-        var build = Base.build,
-            builtClass,
-            extClass,
-            aggregates,
-            dynamic,
-            key = main.NAME;
-
-        if (cfg) {
-            aggregates = cfg.aggregates;
-            dynamic = cfg.dynamic;
-        }
-
-        // Create dynamic class or just modify main class
-        builtClass = (dynamic) ? build._template(main) : main;
-
-        builtClass._yuibuild = {
-            id: null,
-            exts : [],
-            dynamic : dynamic
-        };
-
-        aggregates = (aggregates) ? build.AGGREGATES.concat(aggregates) : build.AGGREGATES;
-
-        var el = extensions.length,
-            al = aggregates.length,
-            i;
-
-        // Shallow isolate aggregates
-        if (dynamic && aggregates) {
-            for (i = 0; i < al; i++) {
-                var val = aggregates[i];
-                if (O.owns(main, val)) {
-                    builtClass[val] = L.isArray(main[val]) ? [] : {};
-                }
-            }
-            Y.aggregate(builtClass, main, true, aggregates);
-        }
-
-        // Augment/Aggregate
-        for (i = 0; i < el; i++) {
-            extClass = extensions[i];
-
-            if (aggregates) {
-                Y.aggregate(builtClass, extClass, true, aggregates);
-            }
-
-            // Old augment
-            Y.mix(builtClass, extClass, true, null, 1);
-
-            builtClass._yuibuild.exts.push(extClass);
-            key = key + ":" + Y.stamp(extClass);
-        }
-
-        builtClass._yuibuild.id = key;
-        builtClass.prototype.hasImpl = build._hasImpl;
-
-        if (dynamic) {
-            builtClass.NAME = main.NAME;
-            builtClass.prototype.constructor = builtClass;
-        }
-
-        return builtClass;
-    };
-
-    Y.mix(Base.build, {
-
-        AGGREGATES : ["ATTRS", "PLUGINS"],
-
-        _template: function(main) {
-
-            function BuiltClass() {
-                BuiltClass.superclass.constructor.apply(this, arguments);
-
-                var f = BuiltClass._yuibuild.exts, 
-                    l = f.length;
-
-                for (var i = 0; i < l; i++) {
-                    f[i].apply(this, arguments);
-                }
-                return this;
-            }
-
-            Y.extend(BuiltClass, main);
-
-            return BuiltClass;
-        },
-
-        _hasImpl : function(extClass) {
-            if (this.constructor._yuibuild) {
-                var f = this.constructor._yuibuild.exts,
-                    l = f.length,
-                    i;
-
-                for (i = 0; i < l; i++) {
-                    if (f[i] === extClass) {
-                        return true;
-                    }
-                }
-            }
-
-            return false;
-        }
-    });
-
-    /**
-     * <p>
-     * Creates a new object instance, based on a dynamically created custom class.
-     * The custom class is created from the main class passed in as the first parameter 
-     * along with the list of extension classes passed in
-     * as the second parameter using <a href="#method_build">Base.build</a> 
-     * with "dynamic" set to true. See the documentation for this method 
-     * to see how the main class and extension classes are used.
-     * </p>
-     * 
-     * <p>Any arguments following the 2nd argument are passed as arguments to the 
-     * constructor of the newly created class used to create the instance.</p>
-     * 
-     * @method create
-     * @static
-     *
-     * @param {Function} main The main class on which the instance it to be 
-     * based. This class will be extended to create the class for the custom instance
-     * @param {Array} extensions The list of extension classes used to augment the
-     * main class with.
-     * @param {Any*} args* 0..n arguments to pass to the constructor of the 
-     * newly created class, when creating the instance.
-     * @return {Object} An instance of the custom class
-     */
-    Base.create = function(main, extensions, args) {
-        var c = Base.build(main, extensions, {dynamic:true}),
-            cArgs = Y.Array(arguments, 2, true);
-
-        function F(){}
-        F.prototype = c.prototype;
-
-        return c.apply(new F(), cArgs);
-    };
-
-    Base.prototype = {
-
-        /**
-         * Init lifecycle method, invoked during construction.
-         * Fires the init event prior to invoking initializers on
-         * the class hierarchy.
-         * 
-         * @method init
-         * @final
-         * @chainable
-         * @param {Object} config Object literal of configuration property name/value pairs
-         * @return {Base} A reference to this object
-         */
-        init: function(config) {
-
-            /**
-             * The name string to be used to identify 
-             * this instance of object. 
-             * @property name
-             * @type String
-             */
-            this.name = this.constructor.NAME;
-
-            /**
-             * <p>
-             * Init event, fired prior to initialization. Invoking
-             * the preventDefault method on the event object provided 
-             * to subscribers will prevent initialization from occuring.
-             * </p>
-             * <p>
-             * Subscribers to the "after" momemt of this event, will be notified
-             * after initialization of the object is complete (and therefore
-             * cannot prevent initialization).
-             * </p>
-             *
-             * @event init
-             * @preventable _defInitFn
-             * @param {Event.Facade} e Event object
-             * @param config Object literal of configuration name/value pairs
-             */
-            this.publish(INIT, {
-                queuable:false,
-                defaultFn:this._defInitFn
-            });
-            this.fire(INIT, config);
-
-            return this;
-        },
-
-        /**
-         * <p>
-         * Destroy lifecycle method. Fires the destroy
-         * event, prior to invoking destructors for the
-         * class hierarchy.
-         * </p>
-         * <p>
-         * Subscribers to the destroy
-         * event can invoke preventDefault on the event object, to prevent destruction
-         * from proceeding.
-         * </p>
-         * @method destroy
-         * @return {Base} A reference to this object
-         * @final
-         * @chainable
-         */
-        destroy: function() {
-
-            /**
-             * <p>
-             * Destroy event, fired prior to destruction. Invoking
-             * the preventDefault method on the event object provided 
-             * to subscribers will prevent destruction from proceeding.
-             * </p>
-             * <p>
-             * Subscribers to the "after" moment of this event, will be notified
-             * after destruction is complete (and as a result cannot prevent
-             * destruction).
-             * </p>
-             * @event destroy
-             * @preventable _defDestroyFn
-             * @param {Event.Facade} e Event object
-             */
-            this.publish(DESTROY, {
-                queuable:false,
-                defaultFn: this._defDestroyFn
-            });
-            this.fire(DESTROY);
-            return this;
-        },
-
-        /**
-         * Default init event handler
-         *
-         * @method _defInitFn
-         * @param {Object} config Object literal of configuration property name/value pairs
-         * @protected
-         */
-        _defInitFn : function(config) {
-            _instances[Y.stamp(this)] = this;
-            this._initHierarchy(config);
-
-            this._conf.remove(INITIALIZED, VALUE);
-            this.set(INITIALIZED, true);
-        },
-
-        /**
-         * Default destroy event handler
-         *
-         * @method _defDestroyFn
-         * @protected
-         */
-        _defDestroyFn : function() {
-            this._destroyHierarchy();
-            delete _instances[this._yuid];
-
-            this._conf.remove(DESTROYED, VALUE);
-            this.set(DESTROYED, true);
-        },
-
-        /**
-         * Returns the top down class hierarchy for this object,
-         * with Base being the first class in the array.
-         *
-         * @protected
-         * @return {Function[]} An Array of classes (constructor functions), making up the class heirarchy for this object
-         */
-        _getClasses : function() {
-            if (!this._classes) {
-                var c = this.constructor, 
-                    classes = [];
-
-                while (c && c.prototype) {
-                    classes.unshift(c);
-                    c = c.superclass ? c.superclass.constructor : null;
-                }
-                this._classes = classes;
-            }
-            return this._classes.concat();
-        },
-
-        /**
-         * Initializes the class hierarchy rooted at this base class,
-         * which includes initializing attributes for each class defined 
-         * in the class's static <a href="#property_ATTRS">ATTRS</a> property and invoking the initializer 
-         * method on the prototype of each class in the hierarchy.
-         * 
-         * @method _initHierarchy
-         * @param {Object} userConf Object literal containing attribute name/value pairs
-         * @private
-         */
-        _initHierarchy : function(userConf) {
-            var constr,
-                classes = this._getClasses();
-
-            for (var ci = 0, cl = classes.length; ci < cl; ci++) {
-                constr = classes[ci];
-
-                if (constr._yuibuild && constr._yuibuild.exts && !constr._yuibuild.dynamic) {
-                    for (var ei = 0, el = constr._yuibuild.exts.length; ei < el; ei++) {
-                        constr._yuibuild.exts[ei].apply(this, arguments);
-                    }
-                }
-
-                this._initAtts(constr.ATTRS, userConf);
-
-                if (O.owns(constr.prototype, INITIALIZER)) {
-                    constr.prototype[INITIALIZER].apply(this, arguments);
-                }
-            }
-        },
-
-        /**
-         * Destroys the class hierarchy rooted at this base class by invoking
-         * the descructor method on the prototype of each class in the hierarchy.
-         *
-         * @method _destroyHierarchy
-         * @private
-         */
-        _destroyHierarchy : function() {
-            var constr,
-                classes = this._getClasses();
-
-            for (var ci = classes.length-1; ci >= 0; ci--) {
-                constr = classes[ci];
-                if (O.owns(constr.prototype, DESTRUCTOR)) {
-                    constr.prototype[DESTRUCTOR].apply(this, arguments);
-                }
-            }
-        },
-
-        /**
-         * Default toString implementation. Provides the constructor NAME
-         * and the instance ID.
-         * 
-         * @method toString
-         * @return {String} String representation for this object
-         */
-        toString: function() {
-            return this.constructor.NAME + "[" + Y.stamp(this) + "]";
-        },
-
-        /**
-         * <p>
-         * Subscribe to a custom event hosted by this object.
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_subscribe">subscribe</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         * 
-         * @method subscribe
-         * @param {String} type The type of event to subscribe to. If 
-         * the type string does not contain a prefix ("prefix:eventType"), 
-         * the name property of the instance will be used as the default prefix.
-         * @param {Function} fn The subscribed callback function, invoked when the event is fired.
-         * @param {Object} context Optional execution context for the callback.
-         * @param {Any*} args* 0..n params to supply to the callback
-         * 
-         * @return {Event.Handle} An event handle which can be used to unsubscribe the subscribed callback.
-         */
-        subscribe : function() {
-            var a = arguments;
-            a[0] = this._prefixEvtType(a[0]);
-            return ETP.subscribe.apply(this, a);
-        },
-
-        /**
-         * <p>
-         * Fire a custom event by name.  The callback functions will be executed
-         * from the context specified when the event was created, and with the 
-         * following parameters.
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_fire">fire</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         * 
-         * @method fire
-         * @param {String|Object} type The type of the event, or an object that contains
-         * a 'type' property. If the type does not contain a prefix ("prefix:eventType"),
-         * the name property of the instance will be used as the default prefix.
-         * @param {Any*} args* 0..n Additional arguments to pass to subscribers.
-         * @return {boolean} The return value from Event Target's <a href="Event.Target.html#method_fire">fire</a> method.
-         *
-         */
-        fire : function() {
-            var a = arguments;
-            if (L.isString(a[0])) {
-                a[0] = this._prefixEvtType(a[0]);
-            } else if (a[0].type){
-                a[0].type = this._prefixEvtType(a[0].type);
-            }
-            return ETP.fire.apply(this, a);
-        },
-
-        /**
-         * <p>
-         * Creates a new custom event of the specified type.  If a custom event
-         * by that name already exists, it will not be re-created.  In either
-         * case the custom event is returned. 
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_publish">publish</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         *
-         * @method publish
-         * @param {String} type  The type, or name of the event. If the type does not 
-         * contain a prefix ("prefix:eventType"), the name property of the instance will 
-         * be used as the default prefix.
-         * @param {Object} opts Optional config params (see Event.Target <a href="Event.Target.html#method_publish">publish</a> for details)
-         * @return {Event.Custom} The published custom event object
-         */
-        publish : function() {
-            var a = arguments;
-            a[0] = this._prefixEvtType(a[0]);
-            return ETP.publish.apply(this, a);
-        },
-
-        /**
-         * <p>
-         * Subscribe to a custom event hosted by this object.  The
-         * supplied callback will execute <em>after</em> any listeners added
-         * via the subscribe method, and after the default function,
-         * if configured for the event, has executed.
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_after">after</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         * @method after
-         * @param {String} type The type of event to subscribe to. If 
-         * the type string does not contain a prefix ("prefix:eventType"), 
-         * the name property of the instance will be used as the default prefix.
-         * @param {Function} fn  The subscribed callback function
-         * @param {Object} context Optional execution context for the callback
-         * @param {Any*} args* 0..n params to supply to the callback
-         * @return {Event.Handle} Event handle which can be used to unsubscribe the subscribed callback.
-         */
-        after : function() {
-            var a = arguments;
-            a[0] = this._prefixEvtType(a[0]);
-            return ETP.after.apply(this, a);
-        },
-
-        /**
-         * <p>
-         * Unsubscribes one or more listeners the from the specified event.
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_unsubscribe">unsubscribe</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         * @method unsubscribe
-         * @param {String|Object} type Either the handle to the subscriber or the 
-         *                        type of event.  If the type
-         *                        is not specified, it will attempt to remove
-         *                        the listener from all hosted events. If 
-         *                        the type string does not contain a prefix 
-         *                        ("prefix:eventType"), the name property of the 
-         *                        instance will be used as the default prefix.
-         * @param {Function} fn The subscribed function to unsubscribe, if not
-         *                          supplied, all subscribers will be removed.
-         * @param {Object} context The custom object passed to subscribe.  This is
-         *                        optional, but if supplied will be used to
-         *                        disambiguate multiple listeners that are the same
-         *                        (e.g., you subscribe many object using a function
-         *                        that lives on the prototype)
-         * @return {boolean} true if the subscriber was found and detached.
-         */
-        unsubscribe: function(type, fn, context) {
-            var a = arguments;
-            if (L.isString(a[0])) {
-                a[0] = this._prefixEvtType(a[0]);
-            }
-            return ETP.unsubscribe.apply(this, a);
-        },
-
-        /**
-         * <p>
-         * Removes all listeners from the specified event.  If the event type
-         * is not specified, all listeners from all hosted custom events will
-         * be removed.
-         * </p>
-         * <p>
-         * Overrides Event.Target's <a href="Event.Target.html#method_unsubscribeAll">unsubscribeAll</a> method, to add the name prefix 
-         * of the instance to the event type, if absent.
-         * </p>
-         * @method unsubscribeAll
-         * @param {String} type The type, or name of the event. If 
-         * the type string does not contain a prefix ("prefix:eventType"), 
-         * the name property of the instance will be used as the default prefix
-         * @return {int} The number of listeners unsubscribed
-         */
-        unsubscribeAll: function(type) {
-            var a = arguments;
-            a[0] = this._prefixEvtType(a[0]);
-            return ETP.unsubscribeAll.apply(this, a);
-        },
-
-        /**
-         * Utility method to prefix the event name with the
-         * name property of the instance, if absent
-         *
-         * @method _prefixEvtType
-         * @private
-         * @param {String} type The event name
-         * @return {String} The prefixed event name
-         */
-        _prefixEvtType: function(type) {
-            if (type.indexOf(SEP) === -1 && this.name) {
-               type = this.name + ":" + type;
-            }
-            return type;
-        }
-    };
-
-    Y.mix(Base, Y.Attribute, false, null, 1);
-
-    Y.Base = Base;
-
-
-
-}, '3.0.0pr1' ,{requires:['attribute']});

=== removed directory 'loggerhead/static/javascript/yui/build/cookie'
=== removed file 'loggerhead/static/javascript/yui/build/cookie/cookie-debug.js'
--- loggerhead/static/javascript/yui/build/cookie/cookie-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cookie/cookie-debug.js	1970-01-01 00:00:00 +0000
@@ -1,429 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * Utilities for cookie management
- * @module cookie
- * @beta
- */
-
-YUI.add("cookie", function(Y){ 
-
-    //shortcuts
-    var L       = Y.Lang,
-        O       = Y.Object,
-        NULL    = null,
-        
-        //shortcuts to functions
-        isString    = L.isString,
-        isObject    = L.isObject,
-        isUndefined = L.isUndefined,
-        isFunction  = L.isFunction,
-        encode      = encodeURIComponent,
-        decode      = decodeURIComponent;
-        
-    /*
-     * Throws an error message.
-     */
-    function error(message){
-        throw new TypeError(message);
-    }        
-    
-    /**
-     * Cookie utility.
-     * @class Cookie
-     * @static
-     */
-    Y.Cookie = {
-                    
-        //-------------------------------------------------------------------------
-        // Private Methods
-        //-------------------------------------------------------------------------
-        
-        /**
-         * Creates a cookie string that can be assigned into document.cookie.
-         * @param {String} name The name of the cookie.
-         * @param {String} value The value of the cookie.
-         * @param {encodeValue} encodeValue True to encode the value, false to leave as-is.
-         * @param {Object} options (Optional) Options for the cookie.
-         * @return {String} The formatted cookie string.
-         * @method _createCookieString
-         * @private
-         * @static
-         */
-        _createCookieString : function (name /*:String*/, value /*:Variant*/, encodeValue /*:Boolean*/, options /*:Object*/) /*:String*/ {
-        
-            var text /*:String*/ = encode(name) + "=" + (encodeValue ? encode(value) : value);
-            
-        
-            if (isObject(options)){
-                //expiration date
-                if (options.expires instanceof Date){
-                    text += "; expires=" + options.expires.toGMTString();
-                }
-            
-                //path
-                if (isString(options.path) && options.path !== ""){
-                    text += "; path=" + options.path;
-                }
-        
-                //domain
-                if (isString(options.domain) && options.domain !== ""){
-                    text += "; domain=" + options.domain;
-                }
-                
-                //secure
-                if (options.secure === true){
-                    text += "; secure";
-                }
-            }
-            
-            return text;
-        },
-        
-        /**
-         * Formats a cookie value for an object containing multiple values.
-         * @param {Object} hash An object of key-value pairs to create a string for.
-         * @return {String} A string suitable for use as a cookie value.
-         * @method _createCookieHashString
-         * @private
-         * @static
-         */
-        _createCookieHashString : function (hash /*:Object*/) /*:String*/ {
-            if (!isObject(hash)){
-                error("Cookie._createCookieHashString(): Argument must be an object.");
-            }
-            
-            var text /*:Array*/ = [];
-            
-            O.each(hash, function(value, key){
-                if (!isFunction(value) && !isUndefined(value)){
-                    text.push(encode(key) + "=" + encode(String(value)));
-                }            
-            });
-            
-            return text.join("&");
-        },
-        
-        /**
-         * Parses a cookie hash string into an object.
-         * @param {String} text The cookie hash string to parse (format: n1=v1&n2=v2).
-         * @return {Object} An object containing entries for each cookie value.
-         * @method _parseCookieHash
-         * @private
-         * @static
-         */
-        _parseCookieHash : function (text /*:String*/) /*:Object*/ {
-        
-            var hashParts /*:Array*/ = text.split("&"),
-                hashPart /*:Array*/ = NULL,
-                hash /*:Object*/ = {};
-            
-            for (var i=0, len=hashParts.length; i < len; i++){
-                hashPart = hashParts[i].split("=");
-                hash[decode(hashPart[0])] = decode(hashPart[1]);
-            }
-            
-            return hash;
-        },    
-        
-        /**
-         * Parses a cookie string into an object representing all accessible cookies.
-         * @param {String} text The cookie string to parse.
-         * @param {Boolean} shouldDecode (Optional) Indicates if the cookie values should be decoded or not. Default is true.
-         * @return {Object} An object containing entries for each accessible cookie.
-         * @method _parseCookieString
-         * @private
-         * @static
-         */
-        _parseCookieString : function (text /*:String*/, shouldDecode /*:Boolean*/) /*:Object*/ {
-        
-            var cookies /*:Object*/ = {};        
-            
-            if (isString(text) && text.length > 0) {
-            
-                var decodeValue = (shouldDecode === false ? function(s){return s;} : decode);
-            
-                if (/[^=]+=[^=;]?(?:; [^=]+=[^=]?)?/.test(text)){            
-                    var cookieParts /*:Array*/ = text.split(/;\s/g),
-                        cookieName /*:String*/ = NULL,
-                        cookieValue /*:String*/ = NULL,
-                        cookieNameValue /*:Array*/ = NULL;
-                    
-                    for (var i=0, len=cookieParts.length; i < len; i++){
-                    
-                        //check for normally-formatted cookie (name-value)
-                        cookieNameValue = cookieParts[i].match(/([^=]+)=/i);
-                        if (cookieNameValue instanceof Array){
-                            cookieName = decode(cookieNameValue[1]);
-                            cookieValue = decodeValue(cookieParts[i].substring(cookieNameValue[1].length+1));
-                        } else {
-                            //means the cookie does not have an "=", so treat it as a boolean flag
-                            cookieName = decode(cookieParts[i]);
-                            cookieValue = cookieName;
-                        }
-                        cookies[cookieName] = cookieValue;
-                    }
-                }
-            }
-            
-            return cookies;
-        },    
-        
-        //-------------------------------------------------------------------------
-        // Public Methods
-        //-------------------------------------------------------------------------
-    
-        /**
-         * Returns the cookie value for the given name.
-         * @param {String} name The name of the cookie to retrieve.
-         * @param {Function} converter (Optional) A function to run on the value before returning
-         *      it. The function is not used if the cookie doesn't exist.
-         * @return {Variant} If no converter is specified, returns a string or null if
-         *      the cookie doesn't exist. If the converter is specified, returns the value
-         *      returned from the converter or null if the cookie doesn't exist.
-         * @method get
-         * @static
-         */
-        get : function (name /*:String*/, converter /*:Function*/) /*:Variant*/{
-            
-            var cookies /*:Object*/ = this._parseCookieString(document.cookie);        
-            
-            if (!isString(name) || name === ""){
-                error("Cookie.get(): Cookie name must be a non-empty string.");
-            }
-            
-            if (isUndefined(cookies[name])) {
-                return NULL;
-            }
-            
-            if (!isFunction(converter)){
-                return cookies[name];
-            } else {
-                return converter(cookies[name]);
-            }
-        },
-        
-        /**
-         * Returns the value of a subcookie.
-         * @param {String} name The name of the cookie to retrieve.
-         * @param {String} subName The name of the subcookie to retrieve.
-         * @param {Function} converter (Optional) A function to run on the value before returning
-         *      it. The function is not used if the cookie doesn't exist.
-         * @return {Variant} If the cookie doesn't exist, null is returned. If the subcookie
-         *      doesn't exist, null if also returned. If no converter is specified and the
-         *      subcookie exists, a string is returned. If a converter is specified and the
-         *      subcookie exists, the value returned from the converter is returned.
-         * @method getSub
-         * @static
-         */
-        getSub : function (name /*:String*/, subName /*:String*/, converter /*:Function*/) /*:Variant*/ {
-          
-            var hash /*:Variant*/ = this.getSubs(name);  
-    
-            if (hash !== NULL) {
-                
-                if (!isString(subName) || subName === ""){
-                    error("Cookie.getSub(): Subcookie name must be a non-empty string.");
-                }
-                
-                if (isUndefined(hash[subName])){
-                    return NULL;
-                }            
-            
-                if (!isFunction(converter)){
-                    return hash[subName];
-                } else {
-                    return converter(hash[subName]);
-                }
-            } else {
-                return NULL;
-            }
-        
-        },
-        
-        /**
-         * Returns an object containing name-value pairs stored in the cookie with the given name.
-         * @param {String} name The name of the cookie to retrieve.
-         * @return {Object} An object of name-value pairs if the cookie with the given name
-         *      exists, null if it does not.
-         * @method getSubs
-         * @static
-         */
-        getSubs : function (name /*:String*/) /*:Object*/ {
-            
-            //check cookie name
-            if (!isString(name) || name === ""){
-                error("Cookie.getSubs(): Cookie name must be a non-empty string.");
-            }
-            
-            var cookies = this._parseCookieString(document.cookie, false);
-            if (isString(cookies[name])){
-                return this._parseCookieHash(cookies[name]);
-            }
-            return NULL;
-        },
-        
-        /**
-         * Removes a cookie from the machine by setting its expiration date to
-         * sometime in the past.
-         * @param {String} name The name of the cookie to remove.
-         * @param {Object} options (Optional) An object containing one or more
-         *      cookie options: path (a string), domain (a string), 
-         *      and secure (true/false). The expires option will be overwritten
-         *      by the method.
-         * @return {String} The created cookie string.
-         * @method remove
-         * @static
-         */
-        remove : function (name /*:String*/, options /*:Object*/) /*:String*/ {
-            
-            //check cookie name
-            if (!isString(name) || name === ""){
-                error("Cookie.remove(): Cookie name must be a non-empty string.");
-            }
-            
-            //set options
-            options = options || {};
-            options.expires = new Date(0);
-            
-            //set cookie
-            return this.set(name, "", options);
-        },
-    
-        /**
-         * Removes a sub cookie with a given name.
-         * @param {String} name The name of the cookie in which the subcookie exists.
-         * @param {String} subName The name of the subcookie to remove.
-         * @param {Object} options (Optional) An object containing one or more
-         *      cookie options: path (a string), domain (a string), expires (a Date object),
-         *      and secure (true/false). This must be the same settings as the original
-         *      subcookie.
-         * @return {String} The created cookie string.
-         * @method removeSub
-         * @static
-         */
-        removeSub : function(name /*:String*/, subName /*:String*/, options /*:Object*/) /*:String*/ {
-        
-            //check cookie name
-            if (!isString(name) || name === ""){
-                error("Cookie.removeSub(): Cookie name must be a non-empty string.");
-            }
-            
-            //check subcookie name
-            if (!isString(subName) || subName === ""){
-                error("Cookie.removeSub(): Subcookie name must be a non-empty string.");
-            }
-            
-            //get all subcookies for this cookie
-            var subs = this.getSubs(name);
-            
-            //delete the indicated subcookie
-            if (isObject(subs) && O.owns(subs, subName)){
-                delete subs[subName];
-                
-                //reset the cookie
-                return this.setSubs(name, subs, options);
-            } else {
-                return "";
-            }
-            
-        },
-    
-        /**
-         * Sets a cookie with a given name and value.
-         * @param {String} name The name of the cookie to set.
-         * @param {Variant} value The value to set for the cookie.
-         * @param {Object} options (Optional) An object containing one or more
-         *      cookie options: path (a string), domain (a string), expires (a Date object),
-         *      and secure (true/false).
-         * @return {String} The created cookie string.
-         * @method set
-         * @static
-         */
-        set : function (name /*:String*/, value /*:Variant*/, options /*:Object*/) /*:String*/ {
-        
-            if (!isString(name)){
-                error("Cookie.set(): Cookie name must be a string.");
-            }
-            
-            if (isUndefined(value)){
-                error("Cookie.set(): Value cannot be undefined.");
-            }
-            
-        
-            var text /*:String*/ = this._createCookieString(name, value, true, options);
-            document.cookie = text;
-            return text;
-        },
-            
-        /**
-         * Sets a sub cookie with a given name to a particular value.
-         * @param {String} name The name of the cookie to set.
-         * @param {String} subName The name of the subcookie to set.
-         * @param {Variant} value The value to set.
-         * @param {Object} options (Optional) An object containing one or more
-         *      cookie options: path (a string), domain (a string), expires (a Date object),
-         *      and secure (true/false).
-         * @return {String} The created cookie string.
-         * @method setSub
-         * @static
-         */
-        setSub : function (name /*:String*/, subName /*:String*/, value /*:Variant*/, options /*:Object*/) /*:String*/ {
-
-            if (!isString(name) || name === ""){
-                error("Cookie.setSub(): Cookie name must be a non-empty string.");
-            }
-    
-            if (!isString(subName) || subName === ""){
-                error("Cookie.setSub(): Subcookie name must be a non-empty string.");
-            }
-            
-            if (isUndefined(value)){
-                error("Cookie.setSub(): Subcookie value cannot be undefined.");
-            }
-    
-            var hash /*:Object*/ = this.getSubs(name);
-            
-            if (!isObject(hash)){
-                hash = {};
-            }
-            
-            hash[subName] = value;        
-            
-            return this.setSubs(name, hash, options);
-            
-        },
-        
-        /**
-         * Sets a cookie with a given name to contain a hash of name-value pairs.
-         * @param {String} name The name of the cookie to set.
-         * @param {Object} value An object containing name-value pairs.
-         * @param {Object} options (Optional) An object containing one or more
-         *      cookie options: path (a string), domain (a string), expires (a Date object),
-         *      and secure (true/false).
-         * @return {String} The created cookie string.
-         * @method setSubs
-         * @static
-         */
-        setSubs : function (name /*:String*/, value /*:Object*/, options /*:Object*/) /*:String*/ {
-            
-            if (!isString(name)){
-                error("Cookie.setSubs(): Cookie name must be a string.");
-            }
-            
-            if (!isObject(value)){
-                error("Cookie.setSubs(): Cookie value must be an object.");
-            }
-        
-            var text /*:String*/ = this._createCookieString(name, this._createCookieHashString(value), false, options);
-            document.cookie = text;
-            return text;        
-        }     
-    
-    };
-}, "3.0.0");
-

=== removed file 'loggerhead/static/javascript/yui/build/cookie/cookie-min.js'
--- loggerhead/static/javascript/yui/build/cookie/cookie-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cookie/cookie-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("cookie",function(B){var J=B.Lang,H=B.Object,F=null,C=J.isString,K=J.isObject,E=J.isUndefined,D=J.isFunction,G=encodeURIComponent,A=decodeURIComponent;function I(L){throw new TypeError(L);}B.Cookie={_createCookieString:function(M,O,N,L){var P=G(M)+"="+(N?G(O):O);if(K(L)){if(L.expires instanceof Date){P+="; expires="+L.expires.toGMTString();}if(C(L.path)&&L.path!==""){P+="; path="+L.path;}if(C(L.domain)&&L.domain!==""){P+="; domain="+L.domain;}if(L.secure===true){P+="; secure";}}return P;},_createCookieHashString:function(L){if(!K(L)){I("Cookie._createCookieHashString(): Argument must be an object.");}var M=[];H.each(L,function(O,N){if(!D(O)&&!E(O)){M.push(G(N)+"="+G(String(O)));}});return M.join("&");},_parseCookieHash:function(P){var O=P.split("&"),Q=F,N={};for(var M=0,L=O.length;M<L;M++){Q=O[M].split("=");N[A(Q[0])]=A(Q[1]);}return N;},_parseCookieString:function(S,U){var T={};if(C(S)&&S.length>0){var L=(U===false?function(V){return V;}:A);if(/[^=]+=[^=;]?(?:; [^=]+=[^=]?)?/.test(S)){var Q=S.split(/;\s/g),R=F,M=F,O=F;for(var N=0,P=Q.length;N<P;N++){O=Q[N].match(/([^=]+)=/i);if(O instanceof Array){R=A(O[1]);M=L(Q[N].substring(O[1].length+1));}else{R=A(Q[N]);M=R;}T[R]=M;}}}return T;},get:function(L,M){var N=this._parseCookieString(document.cookie);if(!C(L)||L===""){I("Cookie.get(): Cookie name must be a non-empty string.");}if(E(N[L])){return F;}if(!D(M)){return N[L];}else{return M(N[L]);}},getSub:function(L,N,M){var O=this.getSubs(L);if(O!==F){if(!C(N)||N===""){I("Cookie.getSub(): Subcookie name must be a non-empty string.");}if(E(O[N])){return F;}if(!D(M)){return O[N];}else{return M(O[N]);}}else{return F;}},getSubs:function(L){if(!C(L)||L===""){I("Cookie.getSubs(): Cookie name must be a non-empty string.");}var M=this._parseCookieString(document.cookie,false);if(C(M[L])){return this._parseCookieHash(M[L]);}return F;},remove:function(M,L){if(!C(M)||M===""){I("Cookie.remove(): Cookie name must be a non-empty string.");}L=L||{};L.expires=new Date(0);return this.set(M,"",L);},removeSub:function(M,O,L){if(!C(M)||M===""){I("Cookie.removeSub(): Cookie name must be a non-empty string.");}if(!C(O)||O===""){I("Cookie.removeSub(): Subcookie name must be a non-empty string.");}var N=this.getSubs(M);if(K(N)&&H.owns(N,O)){delete N[O];return this.setSubs(M,N,L);}else{return"";}},set:function(M,N,L){if(!C(M)){I("Cookie.set(): Cookie name must be a string.");}if(E(N)){I("Cookie.set(): Value cannot be undefined.");}var O=this._createCookieString(M,N,true,L);document.cookie=O;return O;},setSub:function(M,O,N,L){if(!C(M)||M===""){I("Cookie.setSub(): Cookie name must be a non-empty string.");}if(!C(O)||O===""){I("Cookie.setSub(): Subcookie name must be a non-empty string.");}if(E(N)){I("Cookie.setSub(): Subcookie value cannot be undefined.");}var P=this.getSubs(M);if(!K(P)){P={};}P[O]=N;return this.setSubs(M,P,L);},setSubs:function(M,N,L){if(!C(M)){I("Cookie.setSubs(): Cookie name must be a string.");}if(!K(N)){I("Cookie.setSubs(): Cookie value must be an object.");}var O=this._createCookieString(M,this._createCookieHashString(N),false,L);document.cookie=O;return O;}};},"3.0.0");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/cookie/cookie.js'
--- loggerhead/static/javascript/yui/build/cookie/cookie.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cookie/cookie.js	1970-01-01 00:00:00 +0000
@@ -1,429 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * Utilities for cookie management
- * @module cookie
- * @beta
- */
-
-YUI.add("cookie", function(Y){ 
-
-    //shortcuts
-    var L       = Y.Lang,
-        O       = Y.Object,
-        NULL    = null,
-        
-        //shortcuts to functions
-        isString    = L.isString,
-        isObject    = L.isObject,
-        isUndefined = L.isUndefined,
-        isFunction  = L.isFunction,
-        encode      = encodeURIComponent,
-        decode      = decodeURIComponent;
-        
-    /*
-     * Throws an error message.
-     */
-    function error(message){
-        throw new TypeError(message);
-    }        
-    
-    /**
-     * Cookie utility.
-     * @class Cookie
-     * @static
-     */
-    Y.Cookie = {
-                    
-        //-------------------------------------------------------------------------
-        // Private Methods
-        //-------------------------------------------------------------------------
-        
-        /**
-         * Creates a cookie string that can be assigned into document.cookie.
-         * @param {String} name The name of the cookie.
-         * @param {String} value The value of the cookie.
-         * @param {encodeValue} encodeValue True to encode the value, false to leave as-is.
-         * @param {Object} options (Optional) Options for the cookie.
-         * @return {String} The formatted cookie string.
-         * @method _createCookieString
-         * @private
-         * @static
-         */
-        _createCookieString : function (name /*:String*/, value /*:Variant*/, encodeValue /*:Boolean*/, options /*:Object*/) /*:String*/ {
-        
-            var text /*:String*/ = encode(name) + "=" + (encodeValue ? encode(value) : value);
-            
-        
-            if (isObject(options)){
-                //expiration date
-                if (options.expires instanceof Date){
-                    text += "; expires=" + options.expires.toGMTString();
-                }
-            
-                //path
-                if (isString(options.path) && options.path !== ""){
-                    text += "; path=" + options.path;
-                }
-        
-                //domain
-                if (isString(options.domain) && options.domain !== ""){
-                    text += "; domain=" + options.domain;
-                }
-                
-                //secure
-                if (options.secure === true){
-                    text += "; secure";
-                }
-            }
-            
-            return text;
-        },
-        
-        /**
-         * Formats a cookie value for an object containing multiple values.
-         * @param {Object} hash An object of key-value pairs to create a string for.
-         * @return {String} A string suitable for use as a cookie value.
-         * @method _createCookieHashString
-         * @private
-         * @static
-         */
-        _createCookieHashString : function (hash /*:Object*/) /*:String*/ {
-            if (!isObject(hash)){
-                error("Cookie._createCookieHashString(): Argument must be an object.");
-            }
-            
-            var text /*:Array*/ = [];
-            
-            O.each(hash, function(value, key){
-                if (!isFunction(value) && !isUndefined(value)){
-                    text.push(encode(key) + "=" + encode(String(value)));
-                }            
-            });
-            
-            return text.join("&");
-        },
-        
-        /**
-         * Parses a cookie hash string into an object.
-         * @param {String} text The cookie hash string to parse (format: n1=v1&n2=v2).
-         * @return {Object} An object containing entries for each cookie value.
-         * @method _parseCookieHash
-         * @private
-         * @static
-         */
-        _parseCookieHash : function (text /*:String*/) /*:Object*/ {
-        
-            var hashParts /*:Array*/ = text.split("&"),
-                hashPart /*:Array*/ = NULL,
-                hash /*:Object*/ = {};
-            
-            for (var i=0, len=hashParts.length; i < len; i++){
-                hashPart = hashParts[i].split("=");
-                hash[decode(hashPart[0])] = decode(hashPart[1]);
-            }
-            
-            return hash;
-        },    
-        
-        /**
-         * Parses a cookie string into an object representing all accessible cookies.
-         * @param {String} text The cookie string to parse.
-         * @param {Boolean} shouldDecode (Optional) Indicates if the cookie values should be decoded or not. Default is true.
-         * @return {Object} An object containing entries for each accessible cookie.
-         * @method _parseCookieString
-         * @private
-         * @static
-         */
-        _parseCookieString : function (text /*:String*/, shouldDecode /*:Boolean*/) /*:Object*/ {
-        
-            var cookies /*:Object*/ = {};        
-            
-            if (isString(text) && text.length > 0) {
-            
-                var decodeValue = (shouldDecode === false ? function(s){return s;} : decode);
-            
-                if (/[^=]+=[^=;]?(?:; [^=]+=[^=]?)?/.test(text)){            
-                    var cookieParts /*:Array*/ = text.split(/;\s/g),
-                        cookieName /*:String*/ = NULL,
-                        cookieValue /*:String*/ = NULL,
-                        cookieNameValue /*:Array*/ = NULL;
-                    
-                    for (var i=0, len=cookieParts.length; i < len; i++){
-                    
-                        //check for normally-formatted cookie (name-value)
-                        cookieNameValue = cookieParts[i].match(/([^=]+)=/i);
-                        if (cookieNameValue instanceof Array){
-                            cookieName = decode(cookieNameValue[1]);
-                            cookieValue = decodeValue(cookieParts[i].substring(cookieNameValue[1].length+1));
-                        } else {
-                            //means the cookie does not have an "=", so treat it as a boolean flag
-                            cookieName = decode(cookieParts[i]);
-                            cookieValue = cookieName;
-                        }
-                        cookies[cookieName] = cookieValue;
-                    }
-                }
-            }
-            
-            return cookies;
-        },    
-        
-        //-------------------------------------------------------------------------
-        // Public Methods
-        //-------------------------------------------------------------------------
-    
-        /**
-         * Returns the cookie value for the given name.
-         * @param {String} name The name of the cookie to retrieve.
-         * @param {Function} converter (Optional) A function to run on the value before returning
-         *      it. The function is not used if the cookie doesn't exist.
-         * @return {Variant} If no converter is specified, returns a string or null if
-         *      the cookie doesn't exist. If the converter is specified, returns the value
-         *      returned from the converter or null if the cookie doesn't exist.
-         * @method get
-         * @static
-         */
-        get : function (name /*:String*/, converter /*:Function*/) /*:Variant*/{
-            
-            var cookies /*:Object*/ = this._parseCookieString(document.cookie);        
-            
-            if (!isString(name) || name === ""){
-                error("Cookie.get(): Cookie name must be a non-empty string.");
-            }
-            
-            if (isUndefined(cookies[name])) {
-                return NULL;
-            }
-            
-            if (!isFunction(converter)){
-                return cookies[name];
-            } else {
-                return converter(cookies[name]);
-            }
-        },
-        
-        /**
-         * Returns the value of a subcookie.
-         * @param {String} name The name of the cookie to retrieve.
-         * @param {String} subName The name of the subcookie to retrieve.
-         * @param {Function} converter (Optional) A function to run on the value before returning
-         *      it. The function is not used if the cookie doesn't exist.
-         * @return {Variant} If the cookie doesn't exist, null is returned. If the subcookie
-         *      doesn't exist, null if also returned. If no converter is specified and the
-         *      subcookie exists, a string is returned. If a converter is specified and the
-         *      subcookie exists, the value returned from the converter is returned.
-         * @method getSub
-         * @static
-         */
-        getSub : function (name /*:String*/, subName /*:String*/, converter /*:Function*/) /*:Variant*/ {
-          
-            var hash /*:Variant*/ = this.getSubs(name);  
-    
-            if (hash !== NULL) {
-                
-                if (!isString(subName) || subName === ""){
-                    error("Cookie.getSub(): Subcookie name must be a non-empty string.");
-                }
-                
-                if (isUndefined(hash[subName])){
-                    return NULL;
-                }            
-            
-                if (!isFunction(converter)){
-                    return hash[subName];
-                } else {
-                    return converter(hash[subName]);
-                }
-            } else {
-                return NULL;
-            }
-        
-        },
-        
-        /**
-         * Returns an object containing name-value pairs stored in the cookie with the given name.
-         * @param {String} name The name of the cookie to retrieve.
-         * @return {Object} An object of name-value pairs if the cookie with the given name
-         *      exists, null if it does not.
-         * @method getSubs
-         * @static
-         */
-        getSubs : function (name /*:String*/) /*:Object*/ {
-            
-            //check cookie name
-            if (!isString(name) || name === ""){
-                error("Cookie.getSubs(): Cookie name must be a non-empty string.");
-            }
-            
-            var cookies = this._parseCookieString(document.cookie, false);
-            if (isString(cookies[name])){
-                return this._parseCookieHash(cookies[name]);
-            }
-            return NULL;
-        },
-        
-        /**
-         * Removes a cookie from the machine by setting its expiration date to
-         * sometime in the past.
-         * @param {String} name The name of the cookie to remove.
-         * @param {Object} options (Optional) An object containing one or more
-         *      cookie options: path (a string), domain (a string), 
-         *      and secure (true/false). The expires option will be overwritten
-         *      by the method.
-         * @return {String} The created cookie string.
-         * @method remove
-         * @static
-         */
-        remove : function (name /*:String*/, options /*:Object*/) /*:String*/ {
-            
-            //check cookie name
-            if (!isString(name) || name === ""){
-                error("Cookie.remove(): Cookie name must be a non-empty string.");
-            }
-            
-            //set options
-            options = options || {};
-            options.expires = new Date(0);
-            
-            //set cookie
-            return this.set(name, "", options);
-        },
-    
-        /**
-         * Removes a sub cookie with a given name.
-         * @param {String} name The name of the cookie in which the subcookie exists.
-         * @param {String} subName The name of the subcookie to remove.
-         * @param {Object} options (Optional) An object containing one or more
-         *      cookie options: path (a string), domain (a string), expires (a Date object),
-         *      and secure (true/false). This must be the same settings as the original
-         *      subcookie.
-         * @return {String} The created cookie string.
-         * @method removeSub
-         * @static
-         */
-        removeSub : function(name /*:String*/, subName /*:String*/, options /*:Object*/) /*:String*/ {
-        
-            //check cookie name
-            if (!isString(name) || name === ""){
-                error("Cookie.removeSub(): Cookie name must be a non-empty string.");
-            }
-            
-            //check subcookie name
-            if (!isString(subName) || subName === ""){
-                error("Cookie.removeSub(): Subcookie name must be a non-empty string.");
-            }
-            
-            //get all subcookies for this cookie
-            var subs = this.getSubs(name);
-            
-            //delete the indicated subcookie
-            if (isObject(subs) && O.owns(subs, subName)){
-                delete subs[subName];
-                
-                //reset the cookie
-                return this.setSubs(name, subs, options);
-            } else {
-                return "";
-            }
-            
-        },
-    
-        /**
-         * Sets a cookie with a given name and value.
-         * @param {String} name The name of the cookie to set.
-         * @param {Variant} value The value to set for the cookie.
-         * @param {Object} options (Optional) An object containing one or more
-         *      cookie options: path (a string), domain (a string), expires (a Date object),
-         *      and secure (true/false).
-         * @return {String} The created cookie string.
-         * @method set
-         * @static
-         */
-        set : function (name /*:String*/, value /*:Variant*/, options /*:Object*/) /*:String*/ {
-        
-            if (!isString(name)){
-                error("Cookie.set(): Cookie name must be a string.");
-            }
-            
-            if (isUndefined(value)){
-                error("Cookie.set(): Value cannot be undefined.");
-            }
-            
-        
-            var text /*:String*/ = this._createCookieString(name, value, true, options);
-            document.cookie = text;
-            return text;
-        },
-            
-        /**
-         * Sets a sub cookie with a given name to a particular value.
-         * @param {String} name The name of the cookie to set.
-         * @param {String} subName The name of the subcookie to set.
-         * @param {Variant} value The value to set.
-         * @param {Object} options (Optional) An object containing one or more
-         *      cookie options: path (a string), domain (a string), expires (a Date object),
-         *      and secure (true/false).
-         * @return {String} The created cookie string.
-         * @method setSub
-         * @static
-         */
-        setSub : function (name /*:String*/, subName /*:String*/, value /*:Variant*/, options /*:Object*/) /*:String*/ {
-
-            if (!isString(name) || name === ""){
-                error("Cookie.setSub(): Cookie name must be a non-empty string.");
-            }
-    
-            if (!isString(subName) || subName === ""){
-                error("Cookie.setSub(): Subcookie name must be a non-empty string.");
-            }
-            
-            if (isUndefined(value)){
-                error("Cookie.setSub(): Subcookie value cannot be undefined.");
-            }
-    
-            var hash /*:Object*/ = this.getSubs(name);
-            
-            if (!isObject(hash)){
-                hash = {};
-            }
-            
-            hash[subName] = value;        
-            
-            return this.setSubs(name, hash, options);
-            
-        },
-        
-        /**
-         * Sets a cookie with a given name to contain a hash of name-value pairs.
-         * @param {String} name The name of the cookie to set.
-         * @param {Object} value An object containing name-value pairs.
-         * @param {Object} options (Optional) An object containing one or more
-         *      cookie options: path (a string), domain (a string), expires (a Date object),
-         *      and secure (true/false).
-         * @return {String} The created cookie string.
-         * @method setSubs
-         * @static
-         */
-        setSubs : function (name /*:String*/, value /*:Object*/, options /*:Object*/) /*:String*/ {
-            
-            if (!isString(name)){
-                error("Cookie.setSubs(): Cookie name must be a string.");
-            }
-            
-            if (!isObject(value)){
-                error("Cookie.setSubs(): Cookie value must be an object.");
-            }
-        
-            var text /*:String*/ = this._createCookieString(name, this._createCookieHashString(value), false, options);
-            document.cookie = text;
-            return text;        
-        }     
-    
-    };
-}, "3.0.0");
-

=== removed directory 'loggerhead/static/javascript/yui/build/cssbase'
=== removed file 'loggerhead/static/javascript/yui/build/cssbase/README'
--- loggerhead/static/javascript/yui/build/cssbase/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssbase/README	1970-01-01 00:00:00 +0000
@@ -1,12 +0,0 @@
-3.0.0PR1 - Initial release
-
-Module Name: "cssbase"
-Documentation: http://developer.yahoo.com/yui/3/cssbase
-
-CSS Base is an optional CSS file that complements YUI's 
-core CSS foundation (CSS Reset, CSS Fonts, and CSS Grids). 
-CSS Base applies a style foundation for HTML elements 
-that is consistent for A-grade browsers.
-
-CSS Base may also be useful as a template for your own 
-base file, or a snippets library for styling HTML elements.

=== removed file 'loggerhead/static/javascript/yui/build/cssbase/base-context-min.css'
--- loggerhead/static/javascript/yui/build/cssbase/base-context-min.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssbase/base-context-min.css	1970-01-01 00:00:00 +0000
@@ -1,79 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/* base.css, part of YUI's CSS Foundation */
-.yui-cssbase h1 {
-	/*18px via YUI Fonts CSS foundation*/
-	font-size:138.5%;  
-}
-.yui-cssbase h2 {
-	/*16px via YUI Fonts CSS foundation*/
-	font-size:123.1%; 
-}
-.yui-cssbase h3 {
-	/*14px via YUI Fonts CSS foundation*/
-	font-size:108%;  
-}
-.yui-cssbase h1,.yui-cssbase h2,.yui-cssbase h3 {
-	/* top & bottom margin based on font size */
-	margin:1em 0;
-}
-.yui-cssbase h1,.yui-cssbase h2,.yui-cssbase h3,.yui-cssbase h4,.yui-cssbase h5,.yui-cssbase h6,.yui-cssbase strong {
-	/*bringing boldness back to headers and the strong element*/
-	font-weight:bold; 
-}
-.yui-cssbase abbr,.yui-cssbase acronym {
-	/*indicating to users that more info is available */
-	border-bottom:1px dotted #000;
-	cursor:help;
-} 
-.yui-cssbase em {
-	/*bringing italics back to the em element*/
-	font-style:italic;
-}
-.yui-cssbase blockquote,.yui-cssbase ul,.yui-cssbase ol,.yui-cssbase dl {
-	/*giving blockquotes and lists room to breath*/
-	margin:1em;
-}
-.yui-cssbase ol,.yui-cssbase ul,.yui-cssbase dl {
-	/*bringing lists on to the page with breathing room */
-	margin-left:2em;
-}
-.yui-cssbase ol li {
-	/*giving OL's LIs generated numbers*/
-	list-style: decimal outside;	
-}
-.yui-cssbase ul li {
-	/*giving UL's LIs generated disc markers*/
-	list-style: disc outside;
-}
-.yui-cssbase dl dd {
-	/*giving UL's LIs generated numbers*/
-	margin-left:1em;
-}
-.yui-cssbase th,.yui-cssbase td {
-	/*borders and padding to make the table readable*/
-	border:1px solid #000;
-	padding:.5em;
-}
-.yui-cssbase th {
-	/*distinguishing table headers from data cells*/
-	font-weight:bold;
-	text-align:center;
-}
-.yui-cssbase caption {
-	/*coordinated margin to match cell's padding*/
-	margin-bottom:.5em;
-	/*centered so it doesn't blend in to other content*/
-	text-align:center;
-}
-.yui-cssbase p,.yui-cssbase fieldset,.yui-cssbase table,.yui-cssbase pre {
-	/*so things don't run into each other*/
-	margin-bottom:1em;
-}
-/* setting a consistent width, 160px; 
-   control of type=file still not possible */
-.yui-cssbase input[type=text],.yui-cssbase input[type=password],.yui-cssbase textarea{width:12.25em;*width:11.9em;}

=== removed file 'loggerhead/static/javascript/yui/build/cssbase/base-context.css'
--- loggerhead/static/javascript/yui/build/cssbase/base-context.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssbase/base-context.css	1970-01-01 00:00:00 +0000
@@ -1,79 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/* base.css, part of YUI's CSS Foundation */
-.yui-cssbase h1 {
-	/*18px via YUI Fonts CSS foundation*/
-	font-size:138.5%;  
-}
-.yui-cssbase h2 {
-	/*16px via YUI Fonts CSS foundation*/
-	font-size:123.1%; 
-}
-.yui-cssbase h3 {
-	/*14px via YUI Fonts CSS foundation*/
-	font-size:108%;  
-}
-.yui-cssbase h1,.yui-cssbase h2,.yui-cssbase h3 {
-	/* top & bottom margin based on font size */
-	margin:1em 0;
-}
-.yui-cssbase h1,.yui-cssbase h2,.yui-cssbase h3,.yui-cssbase h4,.yui-cssbase h5,.yui-cssbase h6,.yui-cssbase strong {
-	/*bringing boldness back to headers and the strong element*/
-	font-weight:bold; 
-}
-.yui-cssbase abbr,.yui-cssbase acronym {
-	/*indicating to users that more info is available */
-	border-bottom:1px dotted #000;
-	cursor:help;
-} 
-.yui-cssbase em {
-	/*bringing italics back to the em element*/
-	font-style:italic;
-}
-.yui-cssbase blockquote,.yui-cssbase ul,.yui-cssbase ol,.yui-cssbase dl {
-	/*giving blockquotes and lists room to breath*/
-	margin:1em;
-}
-.yui-cssbase ol,.yui-cssbase ul,.yui-cssbase dl {
-	/*bringing lists on to the page with breathing room */
-	margin-left:2em;
-}
-.yui-cssbase ol li {
-	/*giving OL's LIs generated numbers*/
-	list-style: decimal outside;	
-}
-.yui-cssbase ul li {
-	/*giving UL's LIs generated disc markers*/
-	list-style: disc outside;
-}
-.yui-cssbase dl dd {
-	/*giving UL's LIs generated numbers*/
-	margin-left:1em;
-}
-.yui-cssbase th,.yui-cssbase td {
-	/*borders and padding to make the table readable*/
-	border:1px solid #000;
-	padding:.5em;
-}
-.yui-cssbase th {
-	/*distinguishing table headers from data cells*/
-	font-weight:bold;
-	text-align:center;
-}
-.yui-cssbase caption {
-	/*coordinated margin to match cell's padding*/
-	margin-bottom:.5em;
-	/*centered so it doesn't blend in to other content*/
-	text-align:center;
-}
-.yui-cssbase p,.yui-cssbase fieldset,.yui-cssbase table,.yui-cssbase pre {
-	/*so things don't run into each other*/
-	margin-bottom:1em;
-}
-/* setting a consistent width, 160px; 
-   control of type=file still not possible */
-.yui-cssbase input[type=text],.yui-cssbase input[type=password],.yui-cssbase textarea{width:12.25em;*width:11.9em;}

=== removed file 'loggerhead/static/javascript/yui/build/cssbase/base-min.css'
--- loggerhead/static/javascript/yui/build/cssbase/base-min.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssbase/base-min.css	1970-01-01 00:00:00 +0000
@@ -1,79 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/* base.css, part of YUI's CSS Foundation */
-h1 {
-	/*18px via YUI Fonts CSS foundation*/
-	font-size:138.5%;  
-}
-h2 {
-	/*16px via YUI Fonts CSS foundation*/
-	font-size:123.1%; 
-}
-h3 {
-	/*14px via YUI Fonts CSS foundation*/
-	font-size:108%;  
-}
-h1,h2,h3 {
-	/* top & bottom margin based on font size */
-	margin:1em 0;
-}
-h1,h2,h3,h4,h5,h6,strong {
-	/*bringing boldness back to headers and the strong element*/
-	font-weight:bold; 
-}
-abbr,acronym {
-	/*indicating to users that more info is available */
-	border-bottom:1px dotted #000;
-	cursor:help;
-} 
-em {
-	/*bringing italics back to the em element*/
-	font-style:italic;
-}
-blockquote,ul,ol,dl {
-	/*giving blockquotes and lists room to breath*/
-	margin:1em;
-}
-ol,ul,dl {
-	/*bringing lists on to the page with breathing room */
-	margin-left:2em;
-}
-ol li {
-	/*giving OL's LIs generated numbers*/
-	list-style: decimal outside;	
-}
-ul li {
-	/*giving UL's LIs generated disc markers*/
-	list-style: disc outside;
-}
-dl dd {
-	/*giving UL's LIs generated numbers*/
-	margin-left:1em;
-}
-th,td {
-	/*borders and padding to make the table readable*/
-	border:1px solid #000;
-	padding:.5em;
-}
-th {
-	/*distinguishing table headers from data cells*/
-	font-weight:bold;
-	text-align:center;
-}
-caption {
-	/*coordinated margin to match cell's padding*/
-	margin-bottom:.5em;
-	/*centered so it doesn't blend in to other content*/
-	text-align:center;
-}
-p,fieldset,table,pre {
-	/*so things don't run into each other*/
-	margin-bottom:1em;
-}
-/* setting a consistent width, 160px; 
-   control of type=file still not possible */
-input[type=text],input[type=password],textarea{width:12.25em;*width:11.9em;}

=== removed file 'loggerhead/static/javascript/yui/build/cssbase/base.css'
--- loggerhead/static/javascript/yui/build/cssbase/base.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssbase/base.css	1970-01-01 00:00:00 +0000
@@ -1,79 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/* base.css, part of YUI's CSS Foundation */
-h1 {
-	/*18px via YUI Fonts CSS foundation*/
-	font-size:138.5%;  
-}
-h2 {
-	/*16px via YUI Fonts CSS foundation*/
-	font-size:123.1%; 
-}
-h3 {
-	/*14px via YUI Fonts CSS foundation*/
-	font-size:108%;  
-}
-h1,h2,h3 {
-	/* top & bottom margin based on font size */
-	margin:1em 0;
-}
-h1,h2,h3,h4,h5,h6,strong {
-	/*bringing boldness back to headers and the strong element*/
-	font-weight:bold; 
-}
-abbr,acronym {
-	/*indicating to users that more info is available */
-	border-bottom:1px dotted #000;
-	cursor:help;
-} 
-em {
-	/*bringing italics back to the em element*/
-	font-style:italic;
-}
-blockquote,ul,ol,dl {
-	/*giving blockquotes and lists room to breath*/
-	margin:1em;
-}
-ol,ul,dl {
-	/*bringing lists on to the page with breathing room */
-	margin-left:2em;
-}
-ol li {
-	/*giving OL's LIs generated numbers*/
-	list-style: decimal outside;	
-}
-ul li {
-	/*giving UL's LIs generated disc markers*/
-	list-style: disc outside;
-}
-dl dd {
-	/*giving UL's LIs generated numbers*/
-	margin-left:1em;
-}
-th,td {
-	/*borders and padding to make the table readable*/
-	border:1px solid #000;
-	padding:.5em;
-}
-th {
-	/*distinguishing table headers from data cells*/
-	font-weight:bold;
-	text-align:center;
-}
-caption {
-	/*coordinated margin to match cell's padding*/
-	margin-bottom:.5em;
-	/*centered so it doesn't blend in to other content*/
-	text-align:center;
-}
-p,fieldset,table,pre {
-	/*so things don't run into each other*/
-	margin-bottom:1em;
-}
-/* setting a consistent width, 160px; 
-   control of type=file still not possible */
-input[type=text],input[type=password],textarea{width:12.25em;*width:11.9em;}

=== removed directory 'loggerhead/static/javascript/yui/build/cssfonts'
=== removed file 'loggerhead/static/javascript/yui/build/cssfonts/README'
--- loggerhead/static/javascript/yui/build/cssfonts/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssfonts/README	1970-01-01 00:00:00 +0000
@@ -1,9 +0,0 @@
-3.0.0PR1 - Initial release
-
-Module Name: "cssfonts"
-Documentation: http://developer.yahoo.com/yui/3/cssfonts
-
-The foundational CSS Fonts provides cross-browser 
-typographical normalization and control while still 
-allowing users to choose and adjust their font size. 
-Both Standards and Quirks modes are supported in A-grade browsers.

=== removed file 'loggerhead/static/javascript/yui/build/cssfonts/fonts-context-min.css'
--- loggerhead/static/javascript/yui/build/cssfonts/fonts-context-min.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssfonts/fonts-context-min.css	1970-01-01 00:00:00 +0000
@@ -1,46 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * Percents could work for IE, but for backCompat purposes, we are using keywords.
- * x-small is for IE6/7 quirks mode.
- */
-.yui-cssfonts body {
-	font:13px/1.231 arial,helvetica,clean,sans-serif;
-	*font-size:small; /* for IE */
-	*font:x-small; /* for IE in quirks mode */
-}
-
-/**
- * Nudge down to get to 13px equivalent for these form elements
- */ 
-.yui-cssfonts select,
-.yui-cssfonts input,
-.yui-cssfonts button,
-.yui-cssfonts textarea {
-	font:99% arial,helvetica,clean,sans-serif;
-}
-
-/**
- * To help tables remember to inherit
- */
-.yui-cssfonts table {
-	font-size:inherit;
-	font:100%;
-}
-
-/**
- * Bump up IE to get to 13px equivalent for these fixed-width elements
- */
-.yui-cssfonts pre,
-.yui-cssfonts code,
-.yui-cssfonts kbd,
-.yui-cssfonts samp,
-.yui-cssfonts tt {
-	font-family:monospace;
-	*font-size:108%;
-	line-height:100%;
-}
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/cssfonts/fonts-context.css'
--- loggerhead/static/javascript/yui/build/cssfonts/fonts-context.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssfonts/fonts-context.css	1970-01-01 00:00:00 +0000
@@ -1,46 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * Percents could work for IE, but for backCompat purposes, we are using keywords.
- * x-small is for IE6/7 quirks mode.
- */
-.yui-cssfonts body, .yui-cssfonts {
-	font:13px/1.231 arial,helvetica,clean,sans-serif;
-	*font-size:small; /* for IE */
-	*font:x-small; /* for IE in quirks mode */
-}
-
-/**
- * Nudge down to get to 13px equivalent for these form elements
- */ 
-.yui-cssfonts select,
-.yui-cssfonts input,
-.yui-cssfonts button,
-.yui-cssfonts textarea {
-	font:99% arial,helvetica,clean,sans-serif;
-}
-
-/**
- * To help tables remember to inherit
- */
-.yui-cssfonts table {
-	font-size:inherit;
-	font:100%;
-}
-
-/**
- * Bump up IE to get to 13px equivalent for these fixed-width elements
- */
-.yui-cssfonts pre,
-.yui-cssfonts code,
-.yui-cssfonts kbd,
-.yui-cssfonts samp,
-.yui-cssfonts tt {
-	font-family:monospace;
-	*font-size:108%;
-	line-height:100%;
-}
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/cssfonts/fonts-min.css'
--- loggerhead/static/javascript/yui/build/cssfonts/fonts-min.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssfonts/fonts-min.css	1970-01-01 00:00:00 +0000
@@ -1,46 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * Percents could work for IE, but for backCompat purposes, we are using keywords.
- * x-small is for IE6/7 quirks mode.
- */
-body {
-	font:13px/1.231 arial,helvetica,clean,sans-serif;
-	*font-size:small; /* for IE */
-	*font:x-small; /* for IE in quirks mode */
-}
-
-/**
- * Nudge down to get to 13px equivalent for these form elements
- */ 
-select,
-input,
-button,
-textarea {
-	font:99% arial,helvetica,clean,sans-serif;
-}
-
-/**
- * To help tables remember to inherit
- */
-table {
-	font-size:inherit;
-	font:100%;
-}
-
-/**
- * Bump up IE to get to 13px equivalent for these fixed-width elements
- */
-pre,
-code,
-kbd,
-samp,
-tt {
-	font-family:monospace;
-	*font-size:108%;
-	line-height:100%;
-}
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/cssfonts/fonts.css'
--- loggerhead/static/javascript/yui/build/cssfonts/fonts.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssfonts/fonts.css	1970-01-01 00:00:00 +0000
@@ -1,46 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * Percents could work for IE, but for backCompat purposes, we are using keywords.
- * x-small is for IE6/7 quirks mode.
- */
-body {
-	font:13px/1.231 arial,helvetica,clean,sans-serif;
-	*font-size:small; /* for IE */
-	*font:x-small; /* for IE in quirks mode */
-}
-
-/**
- * Nudge down to get to 13px equivalent for these form elements
- */ 
-select,
-input,
-button,
-textarea {
-	font:99% arial,helvetica,clean,sans-serif;
-}
-
-/**
- * To help tables remember to inherit
- */
-table {
-	font-size:inherit;
-	font:100%;
-}
-
-/**
- * Bump up IE to get to 13px equivalent for these fixed-width elements
- */
-pre,
-code,
-kbd,
-samp,
-tt {
-	font-family:monospace;
-	*font-size:108%;
-	line-height:100%;
-}
\ No newline at end of file

=== removed directory 'loggerhead/static/javascript/yui/build/cssgrids'
=== removed file 'loggerhead/static/javascript/yui/build/cssgrids/README'
--- loggerhead/static/javascript/yui/build/cssgrids/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssgrids/README	1970-01-01 00:00:00 +0000
@@ -1,25 +0,0 @@
-3.0.0PR1 - Initial release
-
-Module Name: "cssgrids"
-Documentation: http://developer.yahoo.com/yui/3/cssgrids
-
-The foundational CSS Grids offers four preset page widths, 
-six preset two-column source-order-independent content 
-templates, and the ability to stack and nest subdivided 
-regions of two, three, or four columns. The file provides 
-over 1000 page layout combinations. Other features include:
-
-    * Supports fluid 100-percent layouts, fluid- and 
-      fixed-width layouts at 750px, 950px, and 974px 
-      centered, and the ability to easily customize the 
-      width.
-    * Flexible in response to user initiated font-size 
-      adjustments.
-    * Template columns are source-order independent; put
-      your most important content earlier in your markup
-      for improved accessibility and SEO.
-    * Self-clearing footer. No matter which column is
-      longer, the footer stays below the longest.
-    * Accommodates IAB's Ad Unit Guidelines for common 
-      ad dimensions.
-

=== removed file 'loggerhead/static/javascript/yui/build/cssgrids/grids-context-min.css'
--- loggerhead/static/javascript/yui/build/cssgrids/grids-context-min.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssgrids/grids-context-min.css	1970-01-01 00:00:00 +0000
@@ -1,323 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/*
-	TODO README: removed yui-t7
-*/
-
-/**
- *
- * The YUI CSS Foundation uses the *property and _property CSS filter 
- * techniques to shield a value from A-grade browsers [1] other than 
- * IE6 & IE7 (*property) and IE6 (_property)
- *
-/
-
-/**
- * Center's the page
-/
-
-	Section: General Rules
-*/
-/*
-	TODO Maybe remove 
-*/
-	.yui-grids body {
-		text-align:center;
-		margin-left:auto;margin-right:auto;
-	}
-	
-/*	
-	TODO - not sure I need this if the BD is already clearing.
-	#ft {
-		clear:both;
-	}
-*/
-/*
-	Section: Page Width Rules (#doc, #doc2, #doc3, #doc4)
-*/
-
-	/* 
-		Subsection: General 
-	*/ 	
-
-	.yui-grids .yui-d0, /* 100% */
-	.yui-grids .yui-d1, /* 750px */
-	.yui-grids .yui-d2, /* 950px */
-	.yui-grids .yui-d3, /* 974px */
-	.yui-t1,
-	.yui-t2,
-	.yui-t3,
-	.yui-t4,
-	.yui-t5,
-	.yui-t6 /* the Ts are here to collect margin and text-alignment rules */{
-		margin:auto;
-		text-align:left;
-		width:57.69em;*width:56.25em; /* doc1*/
-		min-width:750px;
-	}
-	
-	.yui-t1,
-	.yui-t2,
-	.yui-t3,
-	.yui-t4,
-	.yui-t5,
-	.yui-t6 {width:100%;}
-
-	/* 
-		Subsection: 100% (doc) 
-	*/
-	.yui-grids .yui-d0 {
-		/* Left and Right margins are not a structural part of Grids. Without them Grids
-		   works fine, but content bleeds to the very edge of the document, which often
-		   impairs readability and usability. They are 
-		   provided because they prevent the content from "bleeding" into the browser's chrome.*/
-		margin:auto 10px; 
-		width:auto;
-	}
-
-
-	.yui-grids .yui-d0f {width:100%;}
-	/* 
-		Subsection: 950 Centered (doc2) 
-	*/
-	.yui-grids .yui-d2 {width:73.076em;*width:71.25em;}
-	.yui-grids .yui-d2f {width:950px;}
-
-
-	
-	/* 
-		Subsection: 974 Centered (doc3) 
-	*/
-	.yui-grids .yui-d3 {width:74.923em;*width:73.05em;}	
-	.yui-grids .yui-d3f {width:974px;}
-	
-/*
-	Section: Preset Template Rules (.yui-t[1-6])
-*/
-	
-	/* 
-		Subsection: General
-	*/
-
-	/* to preserve source-order independence for Gecko without breaking */
-	.yui-b{position:relative;}
-	.yui-b{_position:static;}
-	.yui-main .yui-b{position:static;}
-
-	.yui-main {width:100%;}
-		
-	.yui-t1 .yui-main,
-	.yui-t2 .yui-main,
-	.yui-t3 .yui-main{float:right;margin-left:-25em;/* IE: preserve layout at narrow widths */}
-
-	.yui-t4 .yui-main,
-	.yui-t5 .yui-main,
-	.yui-t6 .yui-main{float:left;margin-right:-25em;/* IE: preserve layout at narrow widths */}
-
-	/* 
-		Subsection: For Specific Template Presets
-	*/
-
-	/**
-	 * Nudge down to get to 13px equivalent for these form elements
-	 */
-	
-	/*
-		TODO 	Create t1-6's that are based on fixed widths
-	*/
-	.yui-t1 .yui-b {float:left;width:12.30769em;*width:12.00em;}
-	.yui-t1 .yui-main .yui-b{margin-left:13.30769em;*margin-left:12.975em;}
-
-	.yui-t2 .yui-b {float:left;width:13.84615em;*width:13.50em;}
-	.yui-t2 .yui-main .yui-b {margin-left:14.84615em;*margin-left:14.475em;}
-
-	.yui-t3 .yui-b {float:left;width:23.0769em;*width:22.50em;}
-	.yui-t3 .yui-main .yui-b {margin-left:24.0769em;*margin-left:23.475em;}
-
-	.yui-t4 .yui-b {float:right;width:13.8456em;*width:13.50em;}
-	.yui-t4 .yui-main .yui-b {margin-right:14.8456em;*margin-right:14.475em;}
-
-	.yui-t5 .yui-b {float:right;width:18.4615em;*width:18.00em;}
-	.yui-t5 .yui-main .yui-b {margin-right:19.4615em;*margin-right:18.975em;}
-
-	.yui-t6 .yui-b {float:right;width:23.0769em;*width:22.50em;}
-	.yui-t6 .yui-main .yui-b {margin-right:24.0769em;*margin-right:23.475em;}
-
-	.yui-t7 .yui-main .yui-b {display:block;margin:0 0 1em 0;}
-	
-	.yui-main .yui-b {float:none;width:auto;}
-
-/*
-	Section: Grids and Nesting Grids
-*/
-
-	/*
-		Subsection: Children generally take half the available space
-	*/
-
-	.yui-gb .yui-u,
-	.yui-g .yui-gb .yui-u,
-	.yui-gb .yui-g,
-	.yui-gb .yui-gb,
-	.yui-gb .yui-gc,
-	.yui-gb .yui-gd,
-	.yui-gb .yui-ge,
-	.yui-gb .yui-gf,
-	.yui-gc .yui-u, 
-	.yui-gc .yui-g,
-	.yui-gd .yui-u {float:right;}
-
-	/*Float units (and sub grids) to the right */
-	.yui-g .yui-u,
-	.yui-g .yui-g,
-	.yui-g .yui-gb, 
-	.yui-g .yui-gc, 
-	.yui-g .yui-gd, 
-	.yui-g .yui-ge, 
-	.yui-g .yui-gf, 
-	.yui-gc .yui-u, 
-	.yui-gd .yui-g,
-	.yui-g .yui-gc .yui-u,
-	.yui-ge .yui-u, 
-	.yui-ge .yui-g, 
-	.yui-gf .yui-g,
-	.yui-gf .yui-u{float:right;}
-
-	/*Float units (and sub grids) to the left */
-	.yui-g div.first, 
-	.yui-gb div.first,
-	.yui-gc div.first,
-	.yui-gd div.first, 
-	.yui-ge div.first, 
-	.yui-gf div.first,
-	.yui-g .yui-gc div.first,
-	.yui-g .yui-ge div.first,
-	.yui-gc div.first div.first {float:left;}
-
-	.yui-g .yui-u,
-	.yui-g .yui-g,
-	.yui-g .yui-gb,
-	.yui-g .yui-gc,
-	.yui-g .yui-gd,
-	.yui-g .yui-ge,
-	.yui-g .yui-gf {width:49.1%;}
-
-	.yui-gb .yui-u,
-	.yui-g .yui-gb .yui-u,
-	.yui-gb .yui-g,
-	.yui-gb .yui-gb,
-	.yui-gb .yui-gc,
-	.yui-gb .yui-gd,
-	.yui-gb .yui-ge,
-	.yui-gb .yui-gf,
-	.yui-gc .yui-u, 
-	.yui-gc .yui-g,
-	.yui-gd .yui-u {width:32%;margin-left:2.0%;}
-
-		/* Give IE some extra breathing room for 1/3-based rounding issues */
-		.yui-gb .yui-u {*width:31.8%;*margin-left:1.9%;}
-
-	.yui-gc div.first, 
-	.yui-gd .yui-u {width:66%;_width:65.7%;}
-	.yui-gd div.first {width:32%;_width:31.5%;}
-
-	.yui-ge div.first, 
-	.yui-gf .yui-u{width:74.2%;_width:74%;}
-
-	.yui-ge .yui-u,
-	.yui-gf div.first {width:24%;_width:23.8%;}
-
-	.yui-g .yui-gb div.first,
-	.yui-gb div.first, 
-	.yui-gc div.first, 
-	.yui-gd div.first {margin-left:0;}
-	   
-	/*
-		Section: Deep Nesting 
-	*/
-	.yui-g .yui-g .yui-u,
-	.yui-gb .yui-g .yui-u,
-	.yui-gc .yui-g .yui-u,
-	.yui-gd .yui-g .yui-u,
-	.yui-ge .yui-g .yui-u,
-	.yui-gf .yui-g .yui-u {width:49%;*width:48.1%;*margin-left:0;}
-
-	.yui-g .yui-gb div.first,
-	.yui-gb .yui-gb div.first {*margin-right:0;*width:32%;_width:31.7%;}
-
-	.yui-g .yui-gc div.first, 
-	.yui-gd .yui-g  {width:66%;}
-
-	.yui-gb .yui-g div.first {*margin-right:4%;_margin-right:1.3%;}
-
-	.yui-gb .yui-gc div.first, 
-	.yui-gb .yui-gd div.first  {*margin-right:0;}
-
-	.yui-gb .yui-gb .yui-u,
-	.yui-gb .yui-gc .yui-u {*margin-left:1.8%;_margin-left:4%;}
-
-	.yui-g .yui-gb .yui-u {_margin-left:1.0%;}
-
-	.yui-gb .yui-gd .yui-u {*width:66%;_width:61.2%;} 
-	.yui-gb .yui-gd div.first {*width:31%;_width:29.5%;}
-
-	.yui-g .yui-gc .yui-u, 
-	.yui-gb .yui-gc .yui-u {width:32%;_float:right;margin-right:0;_margin-left:0;}
-	.yui-gb .yui-gc div.first {width:66%;*float:left;*margin-left:0;}
-
-	.yui-gb .yui-ge .yui-u, 
-	.yui-gb .yui-gf .yui-u {margin:0;}
-
-	.yui-gb .yui-gb .yui-u {_margin-left:.7%;}
-
-	.yui-gb .yui-g div.first, 
-	.yui-gb .yui-gb div.first {*margin-left:0;}
-
-	.yui-gc .yui-g .yui-u,
-	.yui-gd .yui-g .yui-u {*width:48.1%;*margin-left:0;}
-
-	.yui-gb .yui-gd div.first {width:32%;}
-	.yui-g .yui-gd div.first {_width:29.9%;}
-
-	.yui-ge .yui-g {width:24%;}
-	.yui-gf .yui-g {width:74.2%;}
-
-	.yui-gb .yui-ge div.yui-u,
-	.yui-gb .yui-gf div.yui-u {float:right;}
-	.yui-gb .yui-ge div.first,
-	.yui-gb .yui-gf div.first  {float:left;}
-
-	/* Width Accommodation for Nested Contexts */
-	.yui-gb .yui-ge .yui-u,
-	.yui-gb .yui-gf div.first {*width:24%;_width:20%;}
-
-	/* Width Accommodation for Nested Contexts */
-	.yui-gb .yui-ge div.first, 
-	.yui-gb .yui-gf .yui-u{*width:73.5%;_width:65.5%;}
-
-	/* Patch for GD within GE */
-	.yui-ge div.first .yui-gd .yui-u {width:65%;}
-	.yui-ge div.first .yui-gd div.first {width:32%;}
-
-/*
-	Section: Clearing 
-*/
-
-#bd:after,
-.yui-g:after, 
-.yui-gb:after, 
-.yui-gc:after, 
-.yui-gd:after, 
-.yui-ge:after, 
-.yui-gf:after{content:".";display:block;height:0;clear:both;visibility:hidden;}
-#bd,
-.yui-g, 
-.yui-gb, 
-.yui-gc, 
-.yui-gd, 
-.yui-ge, 
-.yui-gf{zoom:1;}

=== removed file 'loggerhead/static/javascript/yui/build/cssgrids/grids-context.css'
--- loggerhead/static/javascript/yui/build/cssgrids/grids-context.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssgrids/grids-context.css	1970-01-01 00:00:00 +0000
@@ -1,326 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/*
-	TODO README: removed yui-t7
-*/
-
-/**
- *
- * The YUI CSS Foundation uses the *property and _property CSS filter 
- * techniques to shield a value from A-grade browsers [1] other than 
- * IE6 & IE7 (*property) and IE6 (_property)
- *
-/
-
-/**
- * Center's the page
-/
-
-	Section: General Rules
-*/
-/*
-	TODO Maybe remove 
-*/
-	.yui-grids body {
-		text-align:center;
-		margin-left:auto;margin-right:auto;
-	}
-	
-/*	
-	TODO - not sure I need this if the BD is already clearing.
-	#ft {
-		clear:both;
-	}
-*/
-/*
-	Section: Page Width Rules (#doc, #doc2, #doc3, #doc4)
-*/
-
-	/* 
-		Subsection: General 
-	*/ 	
-
-	.yui-grids .yui-d0, /* 100% */
-	.yui-grids .yui-d1, /* 750px */
-	.yui-grids .yui-d1f, /* 750px fixed */
-	.yui-grids .yui-d2, /* 950px */
-	.yui-grids .yui-d2f, /* 950px fixed */
-	.yui-grids .yui-d3, /* 974px */
-	.yui-grids .yui-d3f, /* 974px fixed */
-	.yui-t1,
-	.yui-t2,
-	.yui-t3,
-	.yui-t4,
-	.yui-t5,
-	.yui-t6 /* the Ts are here to collect margin and text-alignment rules */{
-		margin:auto;
-		text-align:left;
-		width:57.69em;*width:56.25em; /* doc1*/
-		min-width:750px;
-	}
-	
-	.yui-t1,
-	.yui-t2,
-	.yui-t3,
-	.yui-t4,
-	.yui-t5,
-	.yui-t6 {width:100%;}
-
-	/* 
-		Subsection: 100% (doc) 
-	*/
-	.yui-grids .yui-d0 {
-		/* Left and Right margins are not a structural part of Grids. Without them Grids
-		   works fine, but content bleeds to the very edge of the document, which often
-		   impairs readability and usability. They are 
-		   provided because they prevent the content from "bleeding" into the browser's chrome.*/
-		margin:auto 10px; 
-		width:auto;
-	}
-
-
-	.yui-grids .yui-d0f {width:100%;}
-	/* 
-		Subsection: 950 Centered (doc2) 
-	*/
-	.yui-grids .yui-d2 {width:73.076em;*width:71.25em;}
-	.yui-grids .yui-d2f {width:950px;}
-
-
-	
-	/* 
-		Subsection: 974 Centered (doc3) 
-	*/
-	.yui-grids .yui-d3 {width:74.923em;*width:73.05em;}	
-	.yui-grids .yui-d3f {width:974px;}
-	
-/*
-	Section: Preset Template Rules (.yui-t[1-6])
-*/
-	
-	/* 
-		Subsection: General
-	*/
-
-	/* to preserve source-order independence for Gecko without breaking */
-	.yui-b{position:relative;}
-	.yui-b{_position:static;}
-	.yui-main .yui-b{position:static;}
-
-	.yui-main {width:100%;}
-		
-	.yui-t1 .yui-main,
-	.yui-t2 .yui-main,
-	.yui-t3 .yui-main{float:right;margin-left:-25em;/* IE: preserve layout at narrow widths */}
-
-	.yui-t4 .yui-main,
-	.yui-t5 .yui-main,
-	.yui-t6 .yui-main{float:left;margin-right:-25em;/* IE: preserve layout at narrow widths */}
-
-	/* 
-		Subsection: For Specific Template Presets
-	*/
-
-	/**
-	 * Nudge down to get to 13px equivalent for these form elements
-	 */
-	
-	/*
-		TODO 	Create t1-6's that are based on fixed widths
-	*/
-	.yui-t1 .yui-b {float:left;width:12.30769em;*width:12.00em;}
-	.yui-t1 .yui-main .yui-b{margin-left:13.30769em;*margin-left:12.975em;}
-
-	.yui-t2 .yui-b {float:left;width:13.84615em;*width:13.50em;}
-	.yui-t2 .yui-main .yui-b {margin-left:14.84615em;*margin-left:14.475em;}
-
-	.yui-t3 .yui-b {float:left;width:23.0769em;*width:22.50em;}
-	.yui-t3 .yui-main .yui-b {margin-left:24.0769em;*margin-left:23.475em;}
-
-	.yui-t4 .yui-b {float:right;width:13.8456em;*width:13.50em;}
-	.yui-t4 .yui-main .yui-b {margin-right:14.8456em;*margin-right:14.475em;}
-
-	.yui-t5 .yui-b {float:right;width:18.4615em;*width:18.00em;}
-	.yui-t5 .yui-main .yui-b {margin-right:19.4615em;*margin-right:18.975em;}
-
-	.yui-t6 .yui-b {float:right;width:23.0769em;*width:22.50em;}
-	.yui-t6 .yui-main .yui-b {margin-right:24.0769em;*margin-right:23.475em;}
-
-	.yui-t7 .yui-main .yui-b {display:block;margin:0 0 1em 0;}
-	
-	.yui-main .yui-b {float:none;width:auto;}
-
-/*
-	Section: Grids and Nesting Grids
-*/
-
-	/*
-		Subsection: Children generally take half the available space
-	*/
-
-	.yui-gb .yui-u,
-	.yui-g .yui-gb .yui-u,
-	.yui-gb .yui-g,
-	.yui-gb .yui-gb,
-	.yui-gb .yui-gc,
-	.yui-gb .yui-gd,
-	.yui-gb .yui-ge,
-	.yui-gb .yui-gf,
-	.yui-gc .yui-u, 
-	.yui-gc .yui-g,
-	.yui-gd .yui-u {float:right;}
-
-	/*Float units (and sub grids) to the right */
-	.yui-g .yui-u,
-	.yui-g .yui-g,
-	.yui-g .yui-gb, 
-	.yui-g .yui-gc, 
-	.yui-g .yui-gd, 
-	.yui-g .yui-ge, 
-	.yui-g .yui-gf, 
-	.yui-gc .yui-u, 
-	.yui-gd .yui-g,
-	.yui-g .yui-gc .yui-u,
-	.yui-ge .yui-u, 
-	.yui-ge .yui-g, 
-	.yui-gf .yui-g,
-	.yui-gf .yui-u{float:right;}
-
-	/*Float units (and sub grids) to the left */
-	.yui-g div.first, 
-	.yui-gb div.first,
-	.yui-gc div.first,
-	.yui-gd div.first, 
-	.yui-ge div.first, 
-	.yui-gf div.first,
-	.yui-g .yui-gc div.first,
-	.yui-g .yui-ge div.first,
-	.yui-gc div.first div.first {float:left;}
-
-	.yui-g .yui-u,
-	.yui-g .yui-g,
-	.yui-g .yui-gb,
-	.yui-g .yui-gc,
-	.yui-g .yui-gd,
-	.yui-g .yui-ge,
-	.yui-g .yui-gf {width:49.1%;}
-
-	.yui-gb .yui-u,
-	.yui-g .yui-gb .yui-u,
-	.yui-gb .yui-g,
-	.yui-gb .yui-gb,
-	.yui-gb .yui-gc,
-	.yui-gb .yui-gd,
-	.yui-gb .yui-ge,
-	.yui-gb .yui-gf,
-	.yui-gc .yui-u, 
-	.yui-gc .yui-g,
-	.yui-gd .yui-u {width:32%;margin-left:2.0%;}
-
-		/* Give IE some extra breathing room for 1/3-based rounding issues */
-		.yui-gb .yui-u {*width:31.8%;*margin-left:1.9%;}
-
-	.yui-gc div.first, 
-	.yui-gd .yui-u {width:66%;_width:65.7%;}
-	.yui-gd div.first {width:32%;_width:31.5%;}
-
-	.yui-ge div.first, 
-	.yui-gf .yui-u{width:74.2%;_width:74%;}
-
-	.yui-ge .yui-u,
-	.yui-gf div.first {width:24%;_width:23.8%;}
-
-	.yui-g .yui-gb div.first,
-	.yui-gb div.first, 
-	.yui-gc div.first, 
-	.yui-gd div.first {margin-left:0;}
-	   
-	/*
-		Section: Deep Nesting 
-	*/
-	.yui-g .yui-g .yui-u,
-	.yui-gb .yui-g .yui-u,
-	.yui-gc .yui-g .yui-u,
-	.yui-gd .yui-g .yui-u,
-	.yui-ge .yui-g .yui-u,
-	.yui-gf .yui-g .yui-u {width:49%;*width:48.1%;*margin-left:0;}
-
-	.yui-g .yui-gb div.first,
-	.yui-gb .yui-gb div.first {*margin-right:0;*width:32%;_width:31.7%;}
-
-	.yui-g .yui-gc div.first, 
-	.yui-gd .yui-g  {width:66%;}
-
-	.yui-gb .yui-g div.first {*margin-right:4%;_margin-right:1.3%;}
-
-	.yui-gb .yui-gc div.first, 
-	.yui-gb .yui-gd div.first  {*margin-right:0;}
-
-	.yui-gb .yui-gb .yui-u,
-	.yui-gb .yui-gc .yui-u {*margin-left:1.8%;_margin-left:4%;}
-
-	.yui-g .yui-gb .yui-u {_margin-left:1.0%;}
-
-	.yui-gb .yui-gd .yui-u {*width:66%;_width:61.2%;} 
-	.yui-gb .yui-gd div.first {*width:31%;_width:29.5%;}
-
-	.yui-g .yui-gc .yui-u, 
-	.yui-gb .yui-gc .yui-u {width:32%;_float:right;margin-right:0;_margin-left:0;}
-	.yui-gb .yui-gc div.first {width:66%;*float:left;*margin-left:0;}
-
-	.yui-gb .yui-ge .yui-u, 
-	.yui-gb .yui-gf .yui-u {margin:0;}
-
-	.yui-gb .yui-gb .yui-u {_margin-left:.7%;}
-
-	.yui-gb .yui-g div.first, 
-	.yui-gb .yui-gb div.first {*margin-left:0;}
-
-	.yui-gc .yui-g .yui-u,
-	.yui-gd .yui-g .yui-u {*width:48.1%;*margin-left:0;}
-
-	.yui-gb .yui-gd div.first {width:32%;}
-	.yui-g .yui-gd div.first {_width:29.9%;}
-
-	.yui-ge .yui-g {width:24%;}
-	.yui-gf .yui-g {width:74.2%;}
-
-	.yui-gb .yui-ge div.yui-u,
-	.yui-gb .yui-gf div.yui-u {float:right;}
-	.yui-gb .yui-ge div.first,
-	.yui-gb .yui-gf div.first  {float:left;}
-
-	/* Width Accommodation for Nested Contexts */
-	.yui-gb .yui-ge .yui-u,
-	.yui-gb .yui-gf div.first {*width:24%;_width:20%;}
-
-	/* Width Accommodation for Nested Contexts */
-	.yui-gb .yui-ge div.first, 
-	.yui-gb .yui-gf .yui-u{*width:73.5%;_width:65.5%;}
-
-	/* Patch for GD within GE */
-	.yui-ge div.first .yui-gd .yui-u {width:65%;}
-	.yui-ge div.first .yui-gd div.first {width:32%;}
-
-/*
-	Section: Clearing 
-*/
-
-#bd:after,
-.yui-g:after, 
-.yui-gb:after, 
-.yui-gc:after, 
-.yui-gd:after, 
-.yui-ge:after, 
-.yui-gf:after{content:".";display:block;height:0;clear:both;visibility:hidden;}
-#bd,
-.yui-g, 
-.yui-gb, 
-.yui-gc, 
-.yui-gd, 
-.yui-ge, 
-.yui-gf{zoom:1;}

=== removed file 'loggerhead/static/javascript/yui/build/cssgrids/grids-min.css'
--- loggerhead/static/javascript/yui/build/cssgrids/grids-min.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssgrids/grids-min.css	1970-01-01 00:00:00 +0000
@@ -1,326 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/*
-	TODO README: removed yui-t7
-*/
-
-/**
- *
- * The YUI CSS Foundation uses the *property and _property CSS filter 
- * techniques to shield a value from A-grade browsers [1] other than 
- * IE6 & IE7 (*property) and IE6 (_property)
- *
-/
-
-/**
- * Center's the page
-/
-
-	Section: General Rules
-*/
-/*
-	TODO Maybe remove 
-*/
-	body {
-		text-align:center;
-		margin-left:auto;margin-right:auto;
-	}
-	
-/*	
-	TODO - not sure I need this if the BD is already clearing.
-	#ft {
-		clear:both;
-	}
-*/
-/*
-	Section: Page Width Rules (#doc, #doc2, #doc3, #doc4)
-*/
-
-	/* 
-		Subsection: General 
-	*/ 	
-
-	.yui-d0, /* 100% */
-	.yui-d1, /* 750px */
-	.yui-d1f, /* 750px fixed */
-	.yui-d2, /* 950px */
-	.yui-d2f, /* 950px fixed */
-	.yui-d3, /* 974px */
-	.yui-d3f, /* 974px fixed */
-	.yui-t1,
-	.yui-t2,
-	.yui-t3,
-	.yui-t4,
-	.yui-t5,
-	.yui-t6 /* the Ts are here to collect margin and text-alignment rules */{
-		margin:auto;
-		text-align:left;
-		width:57.69em;*width:56.25em; /* doc1*/
-		min-width:750px;
-	}
-	
-	.yui-t1,
-	.yui-t2,
-	.yui-t3,
-	.yui-t4,
-	.yui-t5,
-	.yui-t6 {width:100%;}
-
-	/* 
-		Subsection: 100% (doc) 
-	*/
-	.yui-d0 {
-		/* Left and Right margins are not a structural part of Grids. Without them Grids
-		   works fine, but content bleeds to the very edge of the document, which often
-		   impairs readability and usability. They are 
-		   provided because they prevent the content from "bleeding" into the browser's chrome.*/
-		margin:auto 10px; 
-		width:auto;
-	}
-
-
-	.yui-d0f {width:100%;}
-	/* 
-		Subsection: 950 Centered (doc2) 
-	*/
-	.yui-d2 {width:73.076em;*width:71.25em;}
-	.yui-d2f {width:950px;}
-
-
-	
-	/* 
-		Subsection: 974 Centered (doc3) 
-	*/
-	.yui-d3 {width:74.923em;*width:73.05em;}	
-	.yui-d3f {width:974px;}
-	
-/*
-	Section: Preset Template Rules (.yui-t[1-6])
-*/
-	
-	/* 
-		Subsection: General
-	*/
-
-	/* to preserve source-order independence for Gecko without breaking */
-	.yui-b{position:relative;}
-	.yui-b{_position:static;}
-	.yui-main .yui-b{position:static;}
-
-	.yui-main {width:100%;}
-		
-	.yui-t1 .yui-main,
-	.yui-t2 .yui-main,
-	.yui-t3 .yui-main{float:right;margin-left:-25em;/* IE: preserve layout at narrow widths */}
-
-	.yui-t4 .yui-main,
-	.yui-t5 .yui-main,
-	.yui-t6 .yui-main{float:left;margin-right:-25em;/* IE: preserve layout at narrow widths */}
-
-	/* 
-		Subsection: For Specific Template Presets
-	*/
-
-	/**
-	 * Nudge down to get to 13px equivalent for these form elements
-	 */
-	
-	/*
-		TODO 	Create t1-6's that are based on fixed widths
-	*/
-	.yui-t1 .yui-b {float:left;width:12.30769em;*width:12.00em;}
-	.yui-t1 .yui-main .yui-b{margin-left:13.30769em;*margin-left:12.975em;}
-
-	.yui-t2 .yui-b {float:left;width:13.84615em;*width:13.50em;}
-	.yui-t2 .yui-main .yui-b {margin-left:14.84615em;*margin-left:14.475em;}
-
-	.yui-t3 .yui-b {float:left;width:23.0769em;*width:22.50em;}
-	.yui-t3 .yui-main .yui-b {margin-left:24.0769em;*margin-left:23.475em;}
-
-	.yui-t4 .yui-b {float:right;width:13.8456em;*width:13.50em;}
-	.yui-t4 .yui-main .yui-b {margin-right:14.8456em;*margin-right:14.475em;}
-
-	.yui-t5 .yui-b {float:right;width:18.4615em;*width:18.00em;}
-	.yui-t5 .yui-main .yui-b {margin-right:19.4615em;*margin-right:18.975em;}
-
-	.yui-t6 .yui-b {float:right;width:23.0769em;*width:22.50em;}
-	.yui-t6 .yui-main .yui-b {margin-right:24.0769em;*margin-right:23.475em;}
-
-	.yui-t7 .yui-main .yui-b {display:block;margin:0 0 1em 0;}
-	
-	.yui-main .yui-b {float:none;width:auto;}
-
-/*
-	Section: Grids and Nesting Grids
-*/
-
-	/*
-		Subsection: Children generally take half the available space
-	*/
-
-	.yui-gb .yui-u,
-	.yui-g .yui-gb .yui-u,
-	.yui-gb .yui-g,
-	.yui-gb .yui-gb,
-	.yui-gb .yui-gc,
-	.yui-gb .yui-gd,
-	.yui-gb .yui-ge,
-	.yui-gb .yui-gf,
-	.yui-gc .yui-u, 
-	.yui-gc .yui-g,
-	.yui-gd .yui-u {float:right;}
-
-	/*Float units (and sub grids) to the right */
-	.yui-g .yui-u,
-	.yui-g .yui-g,
-	.yui-g .yui-gb, 
-	.yui-g .yui-gc, 
-	.yui-g .yui-gd, 
-	.yui-g .yui-ge, 
-	.yui-g .yui-gf, 
-	.yui-gc .yui-u, 
-	.yui-gd .yui-g,
-	.yui-g .yui-gc .yui-u,
-	.yui-ge .yui-u, 
-	.yui-ge .yui-g, 
-	.yui-gf .yui-g,
-	.yui-gf .yui-u{float:right;}
-
-	/*Float units (and sub grids) to the left */
-	.yui-g div.first, 
-	.yui-gb div.first,
-	.yui-gc div.first,
-	.yui-gd div.first, 
-	.yui-ge div.first, 
-	.yui-gf div.first,
-	.yui-g .yui-gc div.first,
-	.yui-g .yui-ge div.first,
-	.yui-gc div.first div.first {float:left;}
-
-	.yui-g .yui-u,
-	.yui-g .yui-g,
-	.yui-g .yui-gb,
-	.yui-g .yui-gc,
-	.yui-g .yui-gd,
-	.yui-g .yui-ge,
-	.yui-g .yui-gf {width:49.1%;}
-
-	.yui-gb .yui-u,
-	.yui-g .yui-gb .yui-u,
-	.yui-gb .yui-g,
-	.yui-gb .yui-gb,
-	.yui-gb .yui-gc,
-	.yui-gb .yui-gd,
-	.yui-gb .yui-ge,
-	.yui-gb .yui-gf,
-	.yui-gc .yui-u, 
-	.yui-gc .yui-g,
-	.yui-gd .yui-u {width:32%;margin-left:2.0%;}
-
-		/* Give IE some extra breathing room for 1/3-based rounding issues */
-		.yui-gb .yui-u {*width:31.8%;*margin-left:1.9%;}
-
-	.yui-gc div.first, 
-	.yui-gd .yui-u {width:66%;_width:65.7%;}
-	.yui-gd div.first {width:32%;_width:31.5%;}
-
-	.yui-ge div.first, 
-	.yui-gf .yui-u{width:74.2%;_width:74%;}
-
-	.yui-ge .yui-u,
-	.yui-gf div.first {width:24%;_width:23.8%;}
-
-	.yui-g .yui-gb div.first,
-	.yui-gb div.first, 
-	.yui-gc div.first, 
-	.yui-gd div.first {margin-left:0;}
-	   
-	/*
-		Section: Deep Nesting 
-	*/
-	.yui-g .yui-g .yui-u,
-	.yui-gb .yui-g .yui-u,
-	.yui-gc .yui-g .yui-u,
-	.yui-gd .yui-g .yui-u,
-	.yui-ge .yui-g .yui-u,
-	.yui-gf .yui-g .yui-u {width:49%;*width:48.1%;*margin-left:0;}
-
-	.yui-g .yui-gb div.first,
-	.yui-gb .yui-gb div.first {*margin-right:0;*width:32%;_width:31.7%;}
-
-	.yui-g .yui-gc div.first, 
-	.yui-gd .yui-g  {width:66%;}
-
-	.yui-gb .yui-g div.first {*margin-right:4%;_margin-right:1.3%;}
-
-	.yui-gb .yui-gc div.first, 
-	.yui-gb .yui-gd div.first  {*margin-right:0;}
-
-	.yui-gb .yui-gb .yui-u,
-	.yui-gb .yui-gc .yui-u {*margin-left:1.8%;_margin-left:4%;}
-
-	.yui-g .yui-gb .yui-u {_margin-left:1.0%;}
-
-	.yui-gb .yui-gd .yui-u {*width:66%;_width:61.2%;} 
-	.yui-gb .yui-gd div.first {*width:31%;_width:29.5%;}
-
-	.yui-g .yui-gc .yui-u, 
-	.yui-gb .yui-gc .yui-u {width:32%;_float:right;margin-right:0;_margin-left:0;}
-	.yui-gb .yui-gc div.first {width:66%;*float:left;*margin-left:0;}
-
-	.yui-gb .yui-ge .yui-u, 
-	.yui-gb .yui-gf .yui-u {margin:0;}
-
-	.yui-gb .yui-gb .yui-u {_margin-left:.7%;}
-
-	.yui-gb .yui-g div.first, 
-	.yui-gb .yui-gb div.first {*margin-left:0;}
-
-	.yui-gc .yui-g .yui-u,
-	.yui-gd .yui-g .yui-u {*width:48.1%;*margin-left:0;}
-
-	.yui-gb .yui-gd div.first {width:32%;}
-	.yui-g .yui-gd div.first {_width:29.9%;}
-
-	.yui-ge .yui-g {width:24%;}
-	.yui-gf .yui-g {width:74.2%;}
-
-	.yui-gb .yui-ge div.yui-u,
-	.yui-gb .yui-gf div.yui-u {float:right;}
-	.yui-gb .yui-ge div.first,
-	.yui-gb .yui-gf div.first  {float:left;}
-
-	/* Width Accommodation for Nested Contexts */
-	.yui-gb .yui-ge .yui-u,
-	.yui-gb .yui-gf div.first {*width:24%;_width:20%;}
-
-	/* Width Accommodation for Nested Contexts */
-	.yui-gb .yui-ge div.first, 
-	.yui-gb .yui-gf .yui-u{*width:73.5%;_width:65.5%;}
-
-	/* Patch for GD within GE */
-	.yui-ge div.first .yui-gd .yui-u {width:65%;}
-	.yui-ge div.first .yui-gd div.first {width:32%;}
-
-/*
-	Section: Clearing 
-*/
-
-#bd:after,
-.yui-g:after, 
-.yui-gb:after, 
-.yui-gc:after, 
-.yui-gd:after, 
-.yui-ge:after, 
-.yui-gf:after{content:".";display:block;height:0;clear:both;visibility:hidden;}
-#bd,
-.yui-g, 
-.yui-gb, 
-.yui-gc, 
-.yui-gd, 
-.yui-ge, 
-.yui-gf{zoom:1;}

=== removed file 'loggerhead/static/javascript/yui/build/cssgrids/grids.css'
--- loggerhead/static/javascript/yui/build/cssgrids/grids.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssgrids/grids.css	1970-01-01 00:00:00 +0000
@@ -1,326 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/*
-	TODO README: removed yui-t7
-*/
-
-/**
- *
- * The YUI CSS Foundation uses the *property and _property CSS filter 
- * techniques to shield a value from A-grade browsers [1] other than 
- * IE6 & IE7 (*property) and IE6 (_property)
- *
-/
-
-/**
- * Center's the page
-/
-
-	Section: General Rules
-*/
-/*
-	TODO Maybe remove 
-*/
-	body {
-		text-align:center;
-		margin-left:auto;margin-right:auto;
-	}
-	
-/*	
-	TODO - not sure I need this if the BD is already clearing.
-	#ft {
-		clear:both;
-	}
-*/
-/*
-	Section: Page Width Rules (#doc, #doc2, #doc3, #doc4)
-*/
-
-	/* 
-		Subsection: General 
-	*/ 	
-
-	.yui-d0, /* 100% */
-	.yui-d1, /* 750px */
-	.yui-d1f, /* 750px fixed */
-	.yui-d2, /* 950px */
-	.yui-d2f, /* 950px fixed */
-	.yui-d3, /* 974px */
-	.yui-d3f, /* 974px fixed */
-	.yui-t1,
-	.yui-t2,
-	.yui-t3,
-	.yui-t4,
-	.yui-t5,
-	.yui-t6 /* the Ts are here to collect margin and text-alignment rules */{
-		margin:auto;
-		text-align:left;
-		width:57.69em;*width:56.25em; /* doc1*/
-		min-width:750px;
-	}
-	
-	.yui-t1,
-	.yui-t2,
-	.yui-t3,
-	.yui-t4,
-	.yui-t5,
-	.yui-t6 {width:100%;}
-
-	/* 
-		Subsection: 100% (doc) 
-	*/
-	.yui-d0 {
-		/* Left and Right margins are not a structural part of Grids. Without them Grids
-		   works fine, but content bleeds to the very edge of the document, which often
-		   impairs readability and usability. They are 
-		   provided because they prevent the content from "bleeding" into the browser's chrome.*/
-		margin:auto 10px; 
-		width:auto;
-	}
-
-
-	.yui-d0f {width:100%;}
-	/* 
-		Subsection: 950 Centered (doc2) 
-	*/
-	.yui-d2 {width:73.076em;*width:71.25em;}
-	.yui-d2f {width:950px;}
-
-
-	
-	/* 
-		Subsection: 974 Centered (doc3) 
-	*/
-	.yui-d3 {width:74.923em;*width:73.05em;}	
-	.yui-d3f {width:974px;}
-	
-/*
-	Section: Preset Template Rules (.yui-t[1-6])
-*/
-	
-	/* 
-		Subsection: General
-	*/
-
-	/* to preserve source-order independence for Gecko without breaking */
-	.yui-b{position:relative;}
-	.yui-b{_position:static;}
-	.yui-main .yui-b{position:static;}
-
-	.yui-main {width:100%;}
-		
-	.yui-t1 .yui-main,
-	.yui-t2 .yui-main,
-	.yui-t3 .yui-main{float:right;margin-left:-25em;/* IE: preserve layout at narrow widths */}
-
-	.yui-t4 .yui-main,
-	.yui-t5 .yui-main,
-	.yui-t6 .yui-main{float:left;margin-right:-25em;/* IE: preserve layout at narrow widths */}
-
-	/* 
-		Subsection: For Specific Template Presets
-	*/
-
-	/**
-	 * Nudge down to get to 13px equivalent for these form elements
-	 */
-	
-	/*
-		TODO 	Create t1-6's that are based on fixed widths
-	*/
-	.yui-t1 .yui-b {float:left;width:12.30769em;*width:12.00em;}
-	.yui-t1 .yui-main .yui-b{margin-left:13.30769em;*margin-left:12.975em;}
-
-	.yui-t2 .yui-b {float:left;width:13.84615em;*width:13.50em;}
-	.yui-t2 .yui-main .yui-b {margin-left:14.84615em;*margin-left:14.475em;}
-
-	.yui-t3 .yui-b {float:left;width:23.0769em;*width:22.50em;}
-	.yui-t3 .yui-main .yui-b {margin-left:24.0769em;*margin-left:23.475em;}
-
-	.yui-t4 .yui-b {float:right;width:13.8456em;*width:13.50em;}
-	.yui-t4 .yui-main .yui-b {margin-right:14.8456em;*margin-right:14.475em;}
-
-	.yui-t5 .yui-b {float:right;width:18.4615em;*width:18.00em;}
-	.yui-t5 .yui-main .yui-b {margin-right:19.4615em;*margin-right:18.975em;}
-
-	.yui-t6 .yui-b {float:right;width:23.0769em;*width:22.50em;}
-	.yui-t6 .yui-main .yui-b {margin-right:24.0769em;*margin-right:23.475em;}
-
-	.yui-t7 .yui-main .yui-b {display:block;margin:0 0 1em 0;}
-	
-	.yui-main .yui-b {float:none;width:auto;}
-
-/*
-	Section: Grids and Nesting Grids
-*/
-
-	/*
-		Subsection: Children generally take half the available space
-	*/
-
-	.yui-gb .yui-u,
-	.yui-g .yui-gb .yui-u,
-	.yui-gb .yui-g,
-	.yui-gb .yui-gb,
-	.yui-gb .yui-gc,
-	.yui-gb .yui-gd,
-	.yui-gb .yui-ge,
-	.yui-gb .yui-gf,
-	.yui-gc .yui-u, 
-	.yui-gc .yui-g,
-	.yui-gd .yui-u {float:right;}
-
-	/*Float units (and sub grids) to the right */
-	.yui-g .yui-u,
-	.yui-g .yui-g,
-	.yui-g .yui-gb, 
-	.yui-g .yui-gc, 
-	.yui-g .yui-gd, 
-	.yui-g .yui-ge, 
-	.yui-g .yui-gf, 
-	.yui-gc .yui-u, 
-	.yui-gd .yui-g,
-	.yui-g .yui-gc .yui-u,
-	.yui-ge .yui-u, 
-	.yui-ge .yui-g, 
-	.yui-gf .yui-g,
-	.yui-gf .yui-u{float:right;}
-
-	/*Float units (and sub grids) to the left */
-	.yui-g div.first, 
-	.yui-gb div.first,
-	.yui-gc div.first,
-	.yui-gd div.first, 
-	.yui-ge div.first, 
-	.yui-gf div.first,
-	.yui-g .yui-gc div.first,
-	.yui-g .yui-ge div.first,
-	.yui-gc div.first div.first {float:left;}
-
-	.yui-g .yui-u,
-	.yui-g .yui-g,
-	.yui-g .yui-gb,
-	.yui-g .yui-gc,
-	.yui-g .yui-gd,
-	.yui-g .yui-ge,
-	.yui-g .yui-gf {width:49.1%;}
-
-	.yui-gb .yui-u,
-	.yui-g .yui-gb .yui-u,
-	.yui-gb .yui-g,
-	.yui-gb .yui-gb,
-	.yui-gb .yui-gc,
-	.yui-gb .yui-gd,
-	.yui-gb .yui-ge,
-	.yui-gb .yui-gf,
-	.yui-gc .yui-u, 
-	.yui-gc .yui-g,
-	.yui-gd .yui-u {width:32%;margin-left:2.0%;}
-
-		/* Give IE some extra breathing room for 1/3-based rounding issues */
-		.yui-gb .yui-u {*width:31.8%;*margin-left:1.9%;}
-
-	.yui-gc div.first, 
-	.yui-gd .yui-u {width:66%;_width:65.7%;}
-	.yui-gd div.first {width:32%;_width:31.5%;}
-
-	.yui-ge div.first, 
-	.yui-gf .yui-u{width:74.2%;_width:74%;}
-
-	.yui-ge .yui-u,
-	.yui-gf div.first {width:24%;_width:23.8%;}
-
-	.yui-g .yui-gb div.first,
-	.yui-gb div.first, 
-	.yui-gc div.first, 
-	.yui-gd div.first {margin-left:0;}
-	   
-	/*
-		Section: Deep Nesting 
-	*/
-	.yui-g .yui-g .yui-u,
-	.yui-gb .yui-g .yui-u,
-	.yui-gc .yui-g .yui-u,
-	.yui-gd .yui-g .yui-u,
-	.yui-ge .yui-g .yui-u,
-	.yui-gf .yui-g .yui-u {width:49%;*width:48.1%;*margin-left:0;}
-
-	.yui-g .yui-gb div.first,
-	.yui-gb .yui-gb div.first {*margin-right:0;*width:32%;_width:31.7%;}
-
-	.yui-g .yui-gc div.first, 
-	.yui-gd .yui-g  {width:66%;}
-
-	.yui-gb .yui-g div.first {*margin-right:4%;_margin-right:1.3%;}
-
-	.yui-gb .yui-gc div.first, 
-	.yui-gb .yui-gd div.first  {*margin-right:0;}
-
-	.yui-gb .yui-gb .yui-u,
-	.yui-gb .yui-gc .yui-u {*margin-left:1.8%;_margin-left:4%;}
-
-	.yui-g .yui-gb .yui-u {_margin-left:1.0%;}
-
-	.yui-gb .yui-gd .yui-u {*width:66%;_width:61.2%;} 
-	.yui-gb .yui-gd div.first {*width:31%;_width:29.5%;}
-
-	.yui-g .yui-gc .yui-u, 
-	.yui-gb .yui-gc .yui-u {width:32%;_float:right;margin-right:0;_margin-left:0;}
-	.yui-gb .yui-gc div.first {width:66%;*float:left;*margin-left:0;}
-
-	.yui-gb .yui-ge .yui-u, 
-	.yui-gb .yui-gf .yui-u {margin:0;}
-
-	.yui-gb .yui-gb .yui-u {_margin-left:.7%;}
-
-	.yui-gb .yui-g div.first, 
-	.yui-gb .yui-gb div.first {*margin-left:0;}
-
-	.yui-gc .yui-g .yui-u,
-	.yui-gd .yui-g .yui-u {*width:48.1%;*margin-left:0;}
-
-	.yui-gb .yui-gd div.first {width:32%;}
-	.yui-g .yui-gd div.first {_width:29.9%;}
-
-	.yui-ge .yui-g {width:24%;}
-	.yui-gf .yui-g {width:74.2%;}
-
-	.yui-gb .yui-ge div.yui-u,
-	.yui-gb .yui-gf div.yui-u {float:right;}
-	.yui-gb .yui-ge div.first,
-	.yui-gb .yui-gf div.first  {float:left;}
-
-	/* Width Accommodation for Nested Contexts */
-	.yui-gb .yui-ge .yui-u,
-	.yui-gb .yui-gf div.first {*width:24%;_width:20%;}
-
-	/* Width Accommodation for Nested Contexts */
-	.yui-gb .yui-ge div.first, 
-	.yui-gb .yui-gf .yui-u{*width:73.5%;_width:65.5%;}
-
-	/* Patch for GD within GE */
-	.yui-ge div.first .yui-gd .yui-u {width:65%;}
-	.yui-ge div.first .yui-gd div.first {width:32%;}
-
-/*
-	Section: Clearing 
-*/
-
-#bd:after,
-.yui-g:after, 
-.yui-gb:after, 
-.yui-gc:after, 
-.yui-gd:after, 
-.yui-ge:after, 
-.yui-gf:after{content:".";display:block;height:0;clear:both;visibility:hidden;}
-#bd,
-.yui-g, 
-.yui-gb, 
-.yui-gc, 
-.yui-gd, 
-.yui-ge, 
-.yui-gf{zoom:1;}

=== removed directory 'loggerhead/static/javascript/yui/build/cssreset'
=== removed file 'loggerhead/static/javascript/yui/build/cssreset/README'
--- loggerhead/static/javascript/yui/build/cssreset/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssreset/README	1970-01-01 00:00:00 +0000
@@ -1,9 +0,0 @@
-3.0.0PR1 - Initial release
-
-Module Name: "cssreset"
-Documentation: http://developer.yahoo.com/yui/3/cssreset
-
-The foundational CSS Reset removes the inconsistent styling
-of HTML elements provided by browsers. This creates a 
-dependably flat foundation to built upon. With CSS Reset 
-loaded, begin writing the explicit CSS your project needs.
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/cssreset/reset-context-min.css'
--- loggerhead/static/javascript/yui/build/cssreset/reset-context-min.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssreset/reset-context-min.css	1970-01-01 00:00:00 +0000
@@ -1,125 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/*
-	TODO will need to remove settings on HTML since we can't namespace it.
-	TODO with the prefix, should I group by selector or property for weight savings?
-*/
-.yui-cssreset html{
-	color:#000;
-	background:#FFF;
-}
-/*
-	TODO remove settings on BODY since we can't namespace it.
-*/
-/*
-	TODO test putting a class on HEAD.
-		- Fails on FF. 
-*/
-.yui-cssreset body,
-.yui-cssreset div,
-.yui-cssreset dl,
-.yui-cssreset dt,
-.yui-cssreset dd,
-.yui-cssreset ul,
-.yui-cssreset ol,
-.yui-cssreset li,
-.yui-cssreset h1,
-.yui-cssreset h2,
-.yui-cssreset h3,
-.yui-cssreset h4,
-.yui-cssreset h5,
-.yui-cssreset h6,
-.yui-cssreset pre,
-.yui-cssreset code,
-.yui-cssreset form,
-.yui-cssreset fieldset,
-.yui-cssreset legend,
-.yui-cssreset input,
-.yui-cssreset textarea,
-.yui-cssreset p,
-.yui-cssreset blockquote,
-.yui-cssreset th,
-.yui-cssreset td {
-	margin:0;
-	padding:0;
-}
-.yui-cssreset table {
-	border-collapse:collapse;
-	border-spacing:0;
-}
-.yui-cssreset fieldset,
-.yui-cssreset img {
-	border:0;
-}
-/*
-	TODO think about hanlding inheritence differently, maybe letting IE6 fail a bit...
-*/
-.yui-cssreset address,
-.yui-cssreset caption,
-.yui-cssreset cite,
-.yui-cssreset code,
-.yui-cssreset dfn,
-.yui-cssreset em,
-.yui-cssreset strong,
-.yui-cssreset th,
-.yui-cssreset var {
-	font-style:normal;
-	font-weight:normal;
-}
-/*
-	TODO Figure out where this list-style rule is best set. Hedger has a request to investigate.
-*/
-.yui-cssreset li {
-	list-style:none;
-}
-
-.yui-cssreset caption,
-.yui-cssreset th {
-	text-align:left;
-}
-.yui-cssreset h1,
-.yui-cssreset h2,
-.yui-cssreset h3,
-.yui-cssreset h4,
-.yui-cssreset h5,
-.yui-cssreset h6 {
-	font-size:100%;
-	font-weight:normal;
-}
-.yui-cssreset q:before,
-.yui-cssreset q:after {
-	content:'';
-}
-.yui-cssreset abbr,
-.yui-cssreset acronym {
-	border:0;
-	font-variant:normal;
-}
-/* to preserve line-height and selector appearance */
-.yui-cssreset sup {
-	vertical-align:text-top;
-}
-.yui-cssreset sub {
-	vertical-align:text-bottom;
-}
-.yui-cssreset input,
-.yui-cssreset textarea,
-.yui-cssreset select {
-	font-family:inherit;
-	font-size:inherit;
-	font-weight:inherit;
-}
-/*to enable resizing for IE*/
-.yui-cssreset input,
-.yui-cssreset textarea,
-.yui-cssreset select {
-	*font-size:100%;
-}
-/*because legend doesn't inherit in IE */
-.yui-cssreset legend {
-	color:#000;
-}
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/cssreset/reset-context.css'
--- loggerhead/static/javascript/yui/build/cssreset/reset-context.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssreset/reset-context.css	1970-01-01 00:00:00 +0000
@@ -1,125 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/*
-	TODO will need to remove settings on HTML since we can't namespace it.
-	TODO with the prefix, should I group by selector or property for weight savings?
-*/
-.yui-cssreset html{
-	color:#000;
-	background:#FFF;
-}
-/*
-	TODO remove settings on BODY since we can't namespace it.
-*/
-/*
-	TODO test putting a class on HEAD.
-		- Fails on FF. 
-*/
-.yui-cssreset body,
-.yui-cssreset div,
-.yui-cssreset dl,
-.yui-cssreset dt,
-.yui-cssreset dd,
-.yui-cssreset ul,
-.yui-cssreset ol,
-.yui-cssreset li,
-.yui-cssreset h1,
-.yui-cssreset h2,
-.yui-cssreset h3,
-.yui-cssreset h4,
-.yui-cssreset h5,
-.yui-cssreset h6,
-.yui-cssreset pre,
-.yui-cssreset code,
-.yui-cssreset form,
-.yui-cssreset fieldset,
-.yui-cssreset legend,
-.yui-cssreset input,
-.yui-cssreset textarea,
-.yui-cssreset p,
-.yui-cssreset blockquote,
-.yui-cssreset th,
-.yui-cssreset td {
-	margin:0;
-	padding:0;
-}
-.yui-cssreset table {
-	border-collapse:collapse;
-	border-spacing:0;
-}
-.yui-cssreset fieldset,
-.yui-cssreset img {
-	border:0;
-}
-/*
-	TODO think about hanlding inheritence differently, maybe letting IE6 fail a bit...
-*/
-.yui-cssreset address,
-.yui-cssreset caption,
-.yui-cssreset cite,
-.yui-cssreset code,
-.yui-cssreset dfn,
-.yui-cssreset em,
-.yui-cssreset strong,
-.yui-cssreset th,
-.yui-cssreset var {
-	font-style:normal;
-	font-weight:normal;
-}
-/*
-	TODO Figure out where this list-style rule is best set. Hedger has a request to investigate.
-*/
-.yui-cssreset li {
-	list-style:none;
-}
-
-.yui-cssreset caption,
-.yui-cssreset th {
-	text-align:left;
-}
-.yui-cssreset h1,
-.yui-cssreset h2,
-.yui-cssreset h3,
-.yui-cssreset h4,
-.yui-cssreset h5,
-.yui-cssreset h6 {
-	font-size:100%;
-	font-weight:normal;
-}
-.yui-cssreset q:before,
-.yui-cssreset q:after {
-	content:'';
-}
-.yui-cssreset abbr,
-.yui-cssreset acronym {
-	border:0;
-	font-variant:normal;
-}
-/* to preserve line-height and selector appearance */
-.yui-cssreset sup {
-	vertical-align:text-top;
-}
-.yui-cssreset sub {
-	vertical-align:text-bottom;
-}
-.yui-cssreset input,
-.yui-cssreset textarea,
-.yui-cssreset select {
-	font-family:inherit;
-	font-size:inherit;
-	font-weight:inherit;
-}
-/*to enable resizing for IE*/
-.yui-cssreset input,
-.yui-cssreset textarea,
-.yui-cssreset select {
-	*font-size:100%;
-}
-/*because legend doesn't inherit in IE */
-.yui-cssreset legend {
-	color:#000;
-}
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/cssreset/reset-min.css'
--- loggerhead/static/javascript/yui/build/cssreset/reset-min.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssreset/reset-min.css	1970-01-01 00:00:00 +0000
@@ -1,125 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/*
-	TODO will need to remove settings on HTML since we can't namespace it.
-	TODO with the prefix, should I group by selector or property for weight savings?
-*/
-html{
-	color:#000;
-	background:#FFF;
-}
-/*
-	TODO remove settings on BODY since we can't namespace it.
-*/
-/*
-	TODO test putting a class on HEAD.
-		- Fails on FF. 
-*/
-body,
-div,
-dl,
-dt,
-dd,
-ul,
-ol,
-li,
-h1,
-h2,
-h3,
-h4,
-h5,
-h6,
-pre,
-code,
-form,
-fieldset,
-legend,
-input,
-textarea,
-p,
-blockquote,
-th,
-td {
-	margin:0;
-	padding:0;
-}
-table {
-	border-collapse:collapse;
-	border-spacing:0;
-}
-fieldset,
-img {
-	border:0;
-}
-/*
-	TODO think about hanlding inheritence differently, maybe letting IE6 fail a bit...
-*/
-address,
-caption,
-cite,
-code,
-dfn,
-em,
-strong,
-th,
-var {
-	font-style:normal;
-	font-weight:normal;
-}
-/*
-	TODO Figure out where this list-style rule is best set. Hedger has a request to investigate.
-*/
-li {
-	list-style:none;
-}
-
-caption,
-th {
-	text-align:left;
-}
-h1,
-h2,
-h3,
-h4,
-h5,
-h6 {
-	font-size:100%;
-	font-weight:normal;
-}
-q:before,
-q:after {
-	content:'';
-}
-abbr,
-acronym {
-	border:0;
-	font-variant:normal;
-}
-/* to preserve line-height and selector appearance */
-sup {
-	vertical-align:text-top;
-}
-sub {
-	vertical-align:text-bottom;
-}
-input,
-textarea,
-select {
-	font-family:inherit;
-	font-size:inherit;
-	font-weight:inherit;
-}
-/*to enable resizing for IE*/
-input,
-textarea,
-select {
-	*font-size:100%;
-}
-/*because legend doesn't inherit in IE */
-legend {
-	color:#000;
-}
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/cssreset/reset.css'
--- loggerhead/static/javascript/yui/build/cssreset/reset.css	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/cssreset/reset.css	1970-01-01 00:00:00 +0000
@@ -1,125 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/*
-	TODO will need to remove settings on HTML since we can't namespace it.
-	TODO with the prefix, should I group by selector or property for weight savings?
-*/
-html{
-	color:#000;
-	background:#FFF;
-}
-/*
-	TODO remove settings on BODY since we can't namespace it.
-*/
-/*
-	TODO test putting a class on HEAD.
-		- Fails on FF. 
-*/
-body,
-div,
-dl,
-dt,
-dd,
-ul,
-ol,
-li,
-h1,
-h2,
-h3,
-h4,
-h5,
-h6,
-pre,
-code,
-form,
-fieldset,
-legend,
-input,
-textarea,
-p,
-blockquote,
-th,
-td {
-	margin:0;
-	padding:0;
-}
-table {
-	border-collapse:collapse;
-	border-spacing:0;
-}
-fieldset,
-img {
-	border:0;
-}
-/*
-	TODO think about hanlding inheritence differently, maybe letting IE6 fail a bit...
-*/
-address,
-caption,
-cite,
-code,
-dfn,
-em,
-strong,
-th,
-var {
-	font-style:normal;
-	font-weight:normal;
-}
-/*
-	TODO Figure out where this list-style rule is best set. Hedger has a request to investigate.
-*/
-li {
-	list-style:none;
-}
-
-caption,
-th {
-	text-align:left;
-}
-h1,
-h2,
-h3,
-h4,
-h5,
-h6 {
-	font-size:100%;
-	font-weight:normal;
-}
-q:before,
-q:after {
-	content:'';
-}
-abbr,
-acronym {
-	border:0;
-	font-variant:normal;
-}
-/* to preserve line-height and selector appearance */
-sup {
-	vertical-align:text-top;
-}
-sub {
-	vertical-align:text-bottom;
-}
-input,
-textarea,
-select {
-	font-family:inherit;
-	font-size:inherit;
-	font-weight:inherit;
-}
-/*to enable resizing for IE*/
-input,
-textarea,
-select {
-	*font-size:100%;
-}
-/*because legend doesn't inherit in IE */
-legend {
-	color:#000;
-}
\ No newline at end of file

=== removed directory 'loggerhead/static/javascript/yui/build/dd'
=== removed file 'loggerhead/static/javascript/yui/build/dd/README'
--- loggerhead/static/javascript/yui/build/dd/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/README	1970-01-01 00:00:00 +0000
@@ -1,54 +0,0 @@
-**** version 3.0.0 PR1 ***
-
-Known Issues:
-
-    Firefox 2.x:
-        Proxy Drags with handles inside an element with overflow: hidden will not target properly.
-
-    All:
-        Scrolling Module not available as of this release.
-
-
-
-**** File Structure and Module Info ***
-
-
-Source Files:
-    ddm-base.js         ==> Base DragDrop Manager
-    ddm.js              ==> Adds shim support
-    ddm-drop.js         ==> Adds Drop support
-    drag.js             ==> Main drag class
-    proxy.js            ==> Adds proxy support to Drag
-    constrain.js        ==> Adds constrain support to drag
-    drop.js             ==> Drop Support
-    dd-plugin.js        ==> Node plugin for Drag
-    dd-drop-plugin.js   ==> Node plugin for Drop
-
-
-Module Names:
-    dd-ddm-base         ==> Base DragDrop Manager
-    dd-ddm              ==> Adds shim support
-    dd-ddm-drop         ==> Adds Drop support
-    dd-drag             ==> Main drag class
-    dd-proxy            ==> Adds proxy support to Drag
-    dd-constrain        ==> Adds constrain support to drag
-    dd-drop             ==> Drop Support
-    dd-plugin           ==> Node plugin for Drag
-    dd-drop-plugin      ==> Node plugin for Drop
-    dd                  ==> All Drag & Drop related code
-
-Build Files:
-    dd-ddm-base.js      ==> Base DragDrop Manager
-    dd-ddm.js           ==> Adds shim support
-    dd-ddm-drop.js      ==> Adds Drop support
-    dd-drag.js          ==> Main drag class
-    dd-proxy.js         ==> Adds proxy support to Drag
-    dd-constrain.js     ==> Adds constrain support to drag
-    dd-drop.js          ==> Drop Support
-    dd-plugin.js        ==> Node plugin for Drag
-    dd-drop-plugin.js   ==> Node plugin for Drop
-
-
-Rollup File:
-    dd.js  ==> dd-ddm-base, dd-ddm, dd-ddm-drop, dd-drag, dd-proxy, dd-constrain, dd-drop, dd-plugin, dd-drop-plugin
-

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-constrain-debug.js'
--- loggerhead/static/javascript/yui/build/dd/dd-constrain-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-constrain-debug.js	1970-01-01 00:00:00 +0000
@@ -1,388 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-constrain', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-constrain
-     */
-    /**
-     * This class extends the dd-drag module to add the constraining methods to it. It supports constraining to a region, node or viewport. It also
-     * supports tick based moves and XY axis constraints.
-     * @class DragConstained
-     * @extends Drag
-     * @constructor
-     */
-
-    var DRAG_NODE = 'dragNode',
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth';
-
-
-    var C = function() {
-        C.superclass.constructor.apply(this, arguments);
-
-    };
-    
-    C.NAME = 'DragConstrained';
-
-    C.ATTRS = {
-        /**
-        * @attribute stickX
-        * @description Stick the drag movement to the X-Axis. Default: false
-        * @type Boolean
-        */        
-        stickX: {
-            value: false
-        },
-        /**
-        * @attribute stickY
-        * @description Stick the drag movement to the Y-Axis
-        * @type Boolean
-        */        
-        stickY: {
-            value: false
-        },
-        /**
-        * @attribute tickX
-        * @description The X tick offset the drag node should snap to on each drag move. False for no ticks. Default: false
-        * @type Number/false
-        */        
-        tickX: {
-            value: false
-        },
-        /**
-        * @attribute tickY
-        * @description The Y tick offset the drag node should snap to on each drag move. False for no ticks. Default: false
-        * @type Number/false
-        */        
-        tickY: {
-            value: false
-        },
-        /**
-        * @attribute tickXArray
-        * @description An array of page coordinates to use as X ticks for drag movement.
-        * @type Array
-        */
-        tickXArray: {
-            value: false
-        },
-        /**
-        * @attribute tickYArray
-        * @description An array of page coordinates to use as Y ticks for drag movement.
-        * @type Array
-        */
-        tickYArray: {
-            value: false
-        },
-        /**
-        * @attribute constrain2region
-        * @description An Object Literal containing a valid region (top, right, bottom, left) of page positions to constrain the drag node to.
-        * @type Object
-        */
-        constrain2region: {
-            value: false,
-            get: function(r) {
-                if (Y.Lang.isObject(r)) {
-                    var o = {};
-                    Y.mix(o, r);
-                    return o;
-                } else {
-                    return false;
-                }
-            },
-            set: function (r) {
-                if (Y.Lang.isObject(r)) {
-                    if (r.top && r.right && r.left && r.bottom) {
-                        var o = {};
-                        Y.mix(o, r);
-                        return o;
-                    } else {
-                        Y.log('constrain2region expecting a valid object with (top, right, bottom, left properties)', 'error', 'DragConstrain');
-                        return false;
-                    }
-                } else if (r !== false) {
-                    Y.log('constrain2region expecting an object', 'error', 'DragConstrain');
-                    return false;
-                }
-            }
-        },
-        /**
-        * @attribute gutter
-        * @description CSS style string for the gutter of a region (supports negative values): '5 0' (sets top and bottom to 5px, left and right to 0px), '1 2 3 4' (top 1px, right 2px, bottom 3px, left 4px)        
-        * @type String
-        */
-        gutter: {
-            value: '0',
-            set: function(gutter) {
-                return Y.DD.DDM.cssSizestoObject(gutter);
-            }
-        },
-        /**
-        * @attribute constrain2node
-        * @description Will attempt to constrain the drag node to the bounderies of this node.
-        * @type Object
-        */
-        constrain2node: {
-            value: false,
-            set: function(n) {
-                if (!this.get('constrain2region')) {
-                    var node = Y.Node.get(n);
-                    if (node) {
-                        return node;
-                    }
-                } else if (this.get('constrain2region') !== false) {
-                    Y.log('constrain2region found, can not have both. Node ignored', 'warn', 'DragConstrain');
-                }
-                return false;
-            }
-        },
-        /**
-        * @attribute constrain2view
-        * @description Will attempt to constrain the drag node to the bounderies of the viewport region.
-        * @type Object
-        */
-        constrain2view: {
-            value: false
-        }
-    };
-
-    var proto = {
-        start: function() {
-            C.superclass.start.apply(this, arguments);
-            this._regionCache = null;
-        },
-        /**
-        * @private
-        * @property _regionCache
-        * @description Store a cache of the region that we are constraining to
-        * @type Object
-        */
-        _regionCache: null,
-        /**
-        * @private
-        * @method _cacheRegion
-        * @description Get's the region and caches it, called from window.resize and when the cache is null
-        */
-        _cacheRegion: function() {
-            this._regionCache = this.get('constrain2node').get('region');
-        },
-        /**
-        * @method getRegion
-        * @description Get the active region: viewport, node, custom region
-        * @param {Boolean} inc Include the node's height and width
-        * @return {Object}
-        */
-        getRegion: function(inc) {
-            var r = {};
-            if (this.get('constrain2node')) {
-                if (!this._regionCache) {
-                    Y.Event.addListener('window', 'resize', this._cacheRegion, this);
-                    this._cacheRegion();
-                }
-                r = Y.clone(this._regionCache);
-            } else if (this.get('constrain2region')) {
-                r = this.get('constrain2region');
-            } else if (this.get('constrain2view')) {
-                r = this.get('node').get('viewportRegion');
-            } else {
-                return false;
-            }
-            var g = this.get('gutter');
-            Y.each(g, function(i, n) {
-                if ((n == 'right') || (n == 'bottom')) {
-                    r[n] -= i;
-                } else {
-                    r[n] += i;
-                }
-            });
-            if (inc) {
-                var oh = this.get(DRAG_NODE).get(OFFSET_HEIGHT),
-                    ow = this.get(DRAG_NODE).get(OFFSET_WIDTH);
-                r.right = r.right - ow;
-                r.bottom = r.bottom - oh;
-            }
-            return r;
-        },
-        /**
-        * @private
-        * @method _checkRegion
-        * @description
-        * @param {Array} _xy The XY to check if it's in the current region, if it isn't inside the region, it will reset the xy array to be inside the region.
-        * @return {Array} The new XY that is inside the region
-        */
-        _checkRegion: function(_xy) {
-            var oxy = _xy,
-                r = this.getRegion(),
-                oh = this.get(DRAG_NODE).get(OFFSET_HEIGHT),
-                ow = this.get(DRAG_NODE).get(OFFSET_WIDTH);
-
-            if (r.top > oxy[1]) {
-                oxy[1] = r.top;
-
-            }
-            if (oxy[1] > (r.bottom - oh)) {
-                oxy[1] = (r.bottom - oh);
-            }
-            if (r.left > oxy[0]) {
-                oxy[0] = r.left;
-            }
-            if (oxy[0] > (r.right - ow)) {
-                oxy[0] = (r.right - ow);
-            }
-
-            return oxy;
-        },
-        /**
-        * @method inRegion
-        * @description Checks if the XY passed or the dragNode is inside the active region.
-        * @param {Array} xy Optional XY to check, if not supplied this.get('dragNode').getXY() is used.
-        * @return {Boolean} True if the XY is inside the region, false otherwise.
-        */
-        inRegion: function(xy) {
-            xy = xy || this.get(DRAG_NODE).getXY();
-
-            var _xy = this._checkRegion([xy[0], xy[1]]),
-                inside = false;
-                if ((xy[0] === _xy[0]) && (xy[1] === _xy[1])) {
-                    inside = true;
-                }
-            return inside;
-        },
-        /**
-        * @private
-        * @method _align
-        * @description Override of Drag _align to account for region checking and tick checking
-        * @param {Array} xy The XY to check for ticks and region
-        * @return {Array} The modified XY coords.
-        */
-        _align: function(xy) {
-            var _xy = C.superclass._align.apply(this, arguments),
-                r = this.getRegion(true);
-            if (this.get('stickX')) {
-                _xy[1] = (this.startXY[1] - this.deltaXY[1]);
-            }
-            if (this.get('stickY')) {
-                _xy[0] = (this.startXY[0] - this.deltaXY[0]);
-            }
-
-
-            if (r) {
-                _xy = this._checkRegion(_xy);
-            }
-                
-            _xy = this._checkTicks(_xy, r);
-            return _xy;
-        },
-        /**
-        * @private
-        * @method _calcTicks
-        * @description Helper method to calculate the tick offsets for a given position
-        * @param {Number} pos The current X or Y position
-        * @param {Number} start The start X or Y position
-        * @param {Number} tick The X or Y tick increment
-        * @param {Number} off1 The min offset that we can't pass (region)
-        * @param {Number} off2 The max offset that we can't pass (region)
-        * @return {Number} The new position based on the tick calculation
-        */
-        _calcTicks: function(pos, start, tick, off1, off2) {
-            var ix = ((pos - start) / tick),
-                min = Math.floor(ix),
-                max = Math.ceil(ix);
-                if ((min !== 0) || (max !== 0)) {
-                    if ((ix >= min) && (ix <= max)) {
-                        pos = (start + (tick * min));
-                        if (off1 && off2) {
-                            if (pos < off1) {
-                                pos = (start + (tick * (min + 1)));
-                            }
-                            if (pos > off2) {
-                                pos = (start + (tick * (min - 1)));
-                            }
-                        }
-                    }
-                }
-                return pos;
-        },
-        /**
-        * @private
-        * @method _calcTickArray
-        * @description This method is used with the tickXArray and tickYArray config options
-        * @param {Number} pos The current X or Y position
-        * @param {Number} ticks The array containing our custom tick positions.
-        * @param {Number} off1 The min offset that we can't pass (region)
-        * @param {Number} off2 The max offset that we can't pass (region)
-        * @return The tick position
-        */
-        _calcTickArray: function(pos, ticks, off1, off2) {
-            var i = 0, len = ticks.length, next = 0;
-
-            if (!ticks || (ticks.length === 0)) {
-                return pos;
-            } else if (ticks[0] >= pos) {
-                return ticks[0];
-            } else {
-                for (i = 0; i < len; i++) {
-                    next = (i + 1);
-                    if (ticks[next] && ticks[next] >= pos) {
-                        var diff1 = pos - ticks[i],
-                            diff2 = ticks[next] - pos;
-                        var ret = (diff2 > diff1) ? ticks[i] : ticks[next];
-                        if (off1 && off2) {
-                            if (ret > off2) {
-                                if (ticks[i]) {
-                                    ret = ticks[i];
-                                } else {
-                                    ret = ticks[len - 1];
-                                }
-                            }
-                        }
-                        return ret;
-                    }
-                    
-                }
-                return ticks[ticks.length - 1];
-            }
-        },
-        /**
-        * @private
-        * @method _checkTicks
-        * @description This method delegates the proper helper method for tick calculations
-        * @param {Array} xy The XY coords for the Drag
-        * @param {Object} r The optional region that we are bound to.
-        * @return {Array} The calced XY coords
-        */
-        _checkTicks: function(xy, r) {
-            var lx = (this.startXY[0] - this.deltaXY[0]),
-                ly = (this.startXY[1] - this.deltaXY[1]),
-                xt = this.get('tickX'),
-                yt = this.get('tickY');
-                if (xt && !this.get('tickXArray')) {
-                    xy[0] = this._calcTicks(xy[0], lx, xt, r.left, r.right);
-                }
-                if (yt && !this.get('tickYArray')) {
-                    xy[1] = this._calcTicks(xy[1], ly, yt, r.top, r.bottom);
-                }
-                if (this.get('tickXArray')) {
-                    xy[0] = this._calcTickArray(xy[0], this.get('tickXArray'), r.left, r.right);
-                }
-                if (this.get('tickYArray')) {
-                    xy[1] = this._calcTickArray(xy[1], this.get('tickYArray'), r.top, r.bottom);
-                }
-
-            return xy;
-        }
-    };
-    //Extend DD.Drag
-    Y.extend(C, Y.DD.Drag, proto);
-    //Set this to DD.Drag for other extensions
-    Y.DD.Drag = C;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drag', 'dd-proxy'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-constrain-min.js'
--- loggerhead/static/javascript/yui/build/dd/dd-constrain-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-constrain-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dd-constrain",function(E){var A="dragNode",G="offsetHeight",F="offsetWidth";var D=function(){D.superclass.constructor.apply(this,arguments);};D.NAME="DragConstrained";D.ATTRS={stickX:{value:false},stickY:{value:false},tickX:{value:false},tickY:{value:false},tickXArray:{value:false},tickYArray:{value:false},constrain2region:{value:false,get:function(C){if(E.Lang.isObject(C)){var H={};E.mix(H,C);return H;}else{return false;}},set:function(C){if(E.Lang.isObject(C)){if(C.top&&C.right&&C.left&&C.bottom){var H={};E.mix(H,C);return H;}else{return false;}}else{if(C!==false){return false;}}}},gutter:{value:"0",set:function(C){return E.DD.DDM.cssSizestoObject(C);}},constrain2node:{value:false,set:function(H){if(!this.get("constrain2region")){var C=E.Node.get(H);if(C){return C;}}else{if(this.get("constrain2region")!==false){}}return false;}},constrain2view:{value:false}};var B={start:function(){D.superclass.start.apply(this,arguments);this._regionCache=null;},_regionCache:null,_cacheRegion:function(){this._regionCache=this.get("constrain2node").get("region");},getRegion:function(K){var I={};if(this.get("constrain2node")){if(!this._regionCache){E.Event.addListener("window","resize",this._cacheRegion,this);this._cacheRegion();}I=E.clone(this._regionCache);}else{if(this.get("constrain2region")){I=this.get("constrain2region");}else{if(this.get("constrain2view")){I=this.get("node").get("viewportRegion");}else{return false;}}}var H=this.get("gutter");E.each(H,function(L,M){if((M=="right")||(M=="bottom")){I[M]-=L;}else{I[M]+=L;}});if(K){var J=this.get(A).get(G),C=this.get(A).get(F);I.right=I.right-C;I.bottom=I.bottom-J;}return I;},_checkRegion:function(C){var I=C,J=this.getRegion(),K=this.get(A).get(G),H=this.get(A).get(F);if(J.top>I[1]){I[1]=J.top;}if(I[1]>(J.bottom-K)){I[1]=(J.bottom-K);}if(J.left>I[0]){I[0]=J.left;}if(I[0]>(J.right-H)){I[0]=(J.right-H);}return I;},inRegion:function(I){I=I||this.get(A).getXY();var H=this._checkRegion([I[0],I[1]]),C=false;if((I[0]===H[0])&&(I[1]===H[1])){C=true;}return C;},_align:function(I){var C=D.superclass._align.apply(this,arguments),H=this.getRegion(true);if(this.get("stickX")){C[1]=(this.startXY[1]-this.deltaXY[1]);}if(this.get("stickY")){C[0]=(this.startXY[0]-this.deltaXY[0]);}if(H){C=this._checkRegion(C);}C=this._checkTicks(C,H);return C;},_calcTicks:function(N,M,J,L,K){var H=((N-M)/J),I=Math.floor(H),C=Math.ceil(H);if((I!==0)||(C!==0)){if((H>=I)&&(H<=C)){N=(M+(J*I));if(L&&K){if(N<L){N=(M+(J*(I+1)));}if(N>K){N=(M+(J*(I-1)));}}}}return N;},_calcTickArray:function(O,P,N,K){var H=0,L=P.length,J=0;if(!P||(P.length===0)){return O;}else{if(P[0]>=O){return P[0];}else{for(H=0;H<L;H++){J=(H+1);if(P[J]&&P[J]>=O){var I=O-P[H],C=P[J]-O;var M=(C>I)?P[H]:P[J];if(N&&K){if(M>K){if(P[H]){M=P[H];}else{M=P[L-1];}}}return M;}}return P[P.length-1];}}},_checkTicks:function(L,J){var K=(this.startXY[0]-this.deltaXY[0]),I=(this.startXY[1]-this.deltaXY[1]),C=this.get("tickX"),H=this.get("tickY");if(C&&!this.get("tickXArray")){L[0]=this._calcTicks(L[0],K,C,J.left,J.right);}if(H&&!this.get("tickYArray")){L[1]=this._calcTicks(L[1],I,H,J.top,J.bottom);}if(this.get("tickXArray")){L[0]=this._calcTickArray(L[0],this.get("tickXArray"),J.left,J.right);}if(this.get("tickYArray")){L[1]=this._calcTickArray(L[1],this.get("tickYArray"),J.top,J.bottom);}return L;}};E.extend(D,E.DD.Drag,B);E.DD.Drag=D;},"3.0.0pr1",{requires:["dd-drag","dd-proxy"],skinnable:false});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-constrain.js'
--- loggerhead/static/javascript/yui/build/dd/dd-constrain.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-constrain.js	1970-01-01 00:00:00 +0000
@@ -1,385 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-constrain', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-constrain
-     */
-    /**
-     * This class extends the dd-drag module to add the constraining methods to it. It supports constraining to a region, node or viewport. It also
-     * supports tick based moves and XY axis constraints.
-     * @class DragConstained
-     * @extends Drag
-     * @constructor
-     */
-
-    var DRAG_NODE = 'dragNode',
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth';
-
-
-    var C = function() {
-        C.superclass.constructor.apply(this, arguments);
-
-    };
-    
-    C.NAME = 'DragConstrained';
-
-    C.ATTRS = {
-        /**
-        * @attribute stickX
-        * @description Stick the drag movement to the X-Axis. Default: false
-        * @type Boolean
-        */        
-        stickX: {
-            value: false
-        },
-        /**
-        * @attribute stickY
-        * @description Stick the drag movement to the Y-Axis
-        * @type Boolean
-        */        
-        stickY: {
-            value: false
-        },
-        /**
-        * @attribute tickX
-        * @description The X tick offset the drag node should snap to on each drag move. False for no ticks. Default: false
-        * @type Number/false
-        */        
-        tickX: {
-            value: false
-        },
-        /**
-        * @attribute tickY
-        * @description The Y tick offset the drag node should snap to on each drag move. False for no ticks. Default: false
-        * @type Number/false
-        */        
-        tickY: {
-            value: false
-        },
-        /**
-        * @attribute tickXArray
-        * @description An array of page coordinates to use as X ticks for drag movement.
-        * @type Array
-        */
-        tickXArray: {
-            value: false
-        },
-        /**
-        * @attribute tickYArray
-        * @description An array of page coordinates to use as Y ticks for drag movement.
-        * @type Array
-        */
-        tickYArray: {
-            value: false
-        },
-        /**
-        * @attribute constrain2region
-        * @description An Object Literal containing a valid region (top, right, bottom, left) of page positions to constrain the drag node to.
-        * @type Object
-        */
-        constrain2region: {
-            value: false,
-            get: function(r) {
-                if (Y.Lang.isObject(r)) {
-                    var o = {};
-                    Y.mix(o, r);
-                    return o;
-                } else {
-                    return false;
-                }
-            },
-            set: function (r) {
-                if (Y.Lang.isObject(r)) {
-                    if (r.top && r.right && r.left && r.bottom) {
-                        var o = {};
-                        Y.mix(o, r);
-                        return o;
-                    } else {
-                        return false;
-                    }
-                } else if (r !== false) {
-                    return false;
-                }
-            }
-        },
-        /**
-        * @attribute gutter
-        * @description CSS style string for the gutter of a region (supports negative values): '5 0' (sets top and bottom to 5px, left and right to 0px), '1 2 3 4' (top 1px, right 2px, bottom 3px, left 4px)        
-        * @type String
-        */
-        gutter: {
-            value: '0',
-            set: function(gutter) {
-                return Y.DD.DDM.cssSizestoObject(gutter);
-            }
-        },
-        /**
-        * @attribute constrain2node
-        * @description Will attempt to constrain the drag node to the bounderies of this node.
-        * @type Object
-        */
-        constrain2node: {
-            value: false,
-            set: function(n) {
-                if (!this.get('constrain2region')) {
-                    var node = Y.Node.get(n);
-                    if (node) {
-                        return node;
-                    }
-                } else if (this.get('constrain2region') !== false) {
-                }
-                return false;
-            }
-        },
-        /**
-        * @attribute constrain2view
-        * @description Will attempt to constrain the drag node to the bounderies of the viewport region.
-        * @type Object
-        */
-        constrain2view: {
-            value: false
-        }
-    };
-
-    var proto = {
-        start: function() {
-            C.superclass.start.apply(this, arguments);
-            this._regionCache = null;
-        },
-        /**
-        * @private
-        * @property _regionCache
-        * @description Store a cache of the region that we are constraining to
-        * @type Object
-        */
-        _regionCache: null,
-        /**
-        * @private
-        * @method _cacheRegion
-        * @description Get's the region and caches it, called from window.resize and when the cache is null
-        */
-        _cacheRegion: function() {
-            this._regionCache = this.get('constrain2node').get('region');
-        },
-        /**
-        * @method getRegion
-        * @description Get the active region: viewport, node, custom region
-        * @param {Boolean} inc Include the node's height and width
-        * @return {Object}
-        */
-        getRegion: function(inc) {
-            var r = {};
-            if (this.get('constrain2node')) {
-                if (!this._regionCache) {
-                    Y.Event.addListener('window', 'resize', this._cacheRegion, this);
-                    this._cacheRegion();
-                }
-                r = Y.clone(this._regionCache);
-            } else if (this.get('constrain2region')) {
-                r = this.get('constrain2region');
-            } else if (this.get('constrain2view')) {
-                r = this.get('node').get('viewportRegion');
-            } else {
-                return false;
-            }
-            var g = this.get('gutter');
-            Y.each(g, function(i, n) {
-                if ((n == 'right') || (n == 'bottom')) {
-                    r[n] -= i;
-                } else {
-                    r[n] += i;
-                }
-            });
-            if (inc) {
-                var oh = this.get(DRAG_NODE).get(OFFSET_HEIGHT),
-                    ow = this.get(DRAG_NODE).get(OFFSET_WIDTH);
-                r.right = r.right - ow;
-                r.bottom = r.bottom - oh;
-            }
-            return r;
-        },
-        /**
-        * @private
-        * @method _checkRegion
-        * @description
-        * @param {Array} _xy The XY to check if it's in the current region, if it isn't inside the region, it will reset the xy array to be inside the region.
-        * @return {Array} The new XY that is inside the region
-        */
-        _checkRegion: function(_xy) {
-            var oxy = _xy,
-                r = this.getRegion(),
-                oh = this.get(DRAG_NODE).get(OFFSET_HEIGHT),
-                ow = this.get(DRAG_NODE).get(OFFSET_WIDTH);
-
-            if (r.top > oxy[1]) {
-                oxy[1] = r.top;
-
-            }
-            if (oxy[1] > (r.bottom - oh)) {
-                oxy[1] = (r.bottom - oh);
-            }
-            if (r.left > oxy[0]) {
-                oxy[0] = r.left;
-            }
-            if (oxy[0] > (r.right - ow)) {
-                oxy[0] = (r.right - ow);
-            }
-
-            return oxy;
-        },
-        /**
-        * @method inRegion
-        * @description Checks if the XY passed or the dragNode is inside the active region.
-        * @param {Array} xy Optional XY to check, if not supplied this.get('dragNode').getXY() is used.
-        * @return {Boolean} True if the XY is inside the region, false otherwise.
-        */
-        inRegion: function(xy) {
-            xy = xy || this.get(DRAG_NODE).getXY();
-
-            var _xy = this._checkRegion([xy[0], xy[1]]),
-                inside = false;
-                if ((xy[0] === _xy[0]) && (xy[1] === _xy[1])) {
-                    inside = true;
-                }
-            return inside;
-        },
-        /**
-        * @private
-        * @method _align
-        * @description Override of Drag _align to account for region checking and tick checking
-        * @param {Array} xy The XY to check for ticks and region
-        * @return {Array} The modified XY coords.
-        */
-        _align: function(xy) {
-            var _xy = C.superclass._align.apply(this, arguments),
-                r = this.getRegion(true);
-            if (this.get('stickX')) {
-                _xy[1] = (this.startXY[1] - this.deltaXY[1]);
-            }
-            if (this.get('stickY')) {
-                _xy[0] = (this.startXY[0] - this.deltaXY[0]);
-            }
-
-
-            if (r) {
-                _xy = this._checkRegion(_xy);
-            }
-                
-            _xy = this._checkTicks(_xy, r);
-            return _xy;
-        },
-        /**
-        * @private
-        * @method _calcTicks
-        * @description Helper method to calculate the tick offsets for a given position
-        * @param {Number} pos The current X or Y position
-        * @param {Number} start The start X or Y position
-        * @param {Number} tick The X or Y tick increment
-        * @param {Number} off1 The min offset that we can't pass (region)
-        * @param {Number} off2 The max offset that we can't pass (region)
-        * @return {Number} The new position based on the tick calculation
-        */
-        _calcTicks: function(pos, start, tick, off1, off2) {
-            var ix = ((pos - start) / tick),
-                min = Math.floor(ix),
-                max = Math.ceil(ix);
-                if ((min !== 0) || (max !== 0)) {
-                    if ((ix >= min) && (ix <= max)) {
-                        pos = (start + (tick * min));
-                        if (off1 && off2) {
-                            if (pos < off1) {
-                                pos = (start + (tick * (min + 1)));
-                            }
-                            if (pos > off2) {
-                                pos = (start + (tick * (min - 1)));
-                            }
-                        }
-                    }
-                }
-                return pos;
-        },
-        /**
-        * @private
-        * @method _calcTickArray
-        * @description This method is used with the tickXArray and tickYArray config options
-        * @param {Number} pos The current X or Y position
-        * @param {Number} ticks The array containing our custom tick positions.
-        * @param {Number} off1 The min offset that we can't pass (region)
-        * @param {Number} off2 The max offset that we can't pass (region)
-        * @return The tick position
-        */
-        _calcTickArray: function(pos, ticks, off1, off2) {
-            var i = 0, len = ticks.length, next = 0;
-
-            if (!ticks || (ticks.length === 0)) {
-                return pos;
-            } else if (ticks[0] >= pos) {
-                return ticks[0];
-            } else {
-                for (i = 0; i < len; i++) {
-                    next = (i + 1);
-                    if (ticks[next] && ticks[next] >= pos) {
-                        var diff1 = pos - ticks[i],
-                            diff2 = ticks[next] - pos;
-                        var ret = (diff2 > diff1) ? ticks[i] : ticks[next];
-                        if (off1 && off2) {
-                            if (ret > off2) {
-                                if (ticks[i]) {
-                                    ret = ticks[i];
-                                } else {
-                                    ret = ticks[len - 1];
-                                }
-                            }
-                        }
-                        return ret;
-                    }
-                    
-                }
-                return ticks[ticks.length - 1];
-            }
-        },
-        /**
-        * @private
-        * @method _checkTicks
-        * @description This method delegates the proper helper method for tick calculations
-        * @param {Array} xy The XY coords for the Drag
-        * @param {Object} r The optional region that we are bound to.
-        * @return {Array} The calced XY coords
-        */
-        _checkTicks: function(xy, r) {
-            var lx = (this.startXY[0] - this.deltaXY[0]),
-                ly = (this.startXY[1] - this.deltaXY[1]),
-                xt = this.get('tickX'),
-                yt = this.get('tickY');
-                if (xt && !this.get('tickXArray')) {
-                    xy[0] = this._calcTicks(xy[0], lx, xt, r.left, r.right);
-                }
-                if (yt && !this.get('tickYArray')) {
-                    xy[1] = this._calcTicks(xy[1], ly, yt, r.top, r.bottom);
-                }
-                if (this.get('tickXArray')) {
-                    xy[0] = this._calcTickArray(xy[0], this.get('tickXArray'), r.left, r.right);
-                }
-                if (this.get('tickYArray')) {
-                    xy[1] = this._calcTickArray(xy[1], this.get('tickYArray'), r.top, r.bottom);
-                }
-
-            return xy;
-        }
-    };
-    //Extend DD.Drag
-    Y.extend(C, Y.DD.Drag, proto);
-    //Set this to DD.Drag for other extensions
-    Y.DD.Drag = C;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drag', 'dd-proxy'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-ddm-base-debug.js'
--- loggerhead/static/javascript/yui/build/dd/dd-ddm-base-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-ddm-base-debug.js	1970-01-01 00:00:00 +0000
@@ -1,291 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-ddm-base', function(Y) {
-
-    /**
-     * Provides the base Drag Drop Manger required for making a Node draggable.
-     * @module dd
-     * @submodule dd-ddm-base
-     */     
-     /**
-     * Provides the base Drag Drop Manger required for making a Node draggable.
-     * @class DDM
-     * @extends Base
-     * @constructor
-     */
-    
-    var DDMBase = function() {
-        //debugger;
-        DDMBase.superclass.constructor.apply(this, arguments);
-    };
-
-    DDMBase.NAME = 'DragDropMgr';
-
-    DDMBase.ATTRS = {
-        /**
-        * @attribute clickPixelThresh
-        * @description The number of pixels to move to start a drag operation, default is 3.
-        * @type Number
-        */
-        clickPixelThresh: {
-            value: 3
-        },
-        /**
-        * @attribute clickTimeThresh
-        * @description The number of milliseconds a mousedown has to pass to start a drag operation, default is 1000.
-        * @type Number
-        */        
-        clickTimeThresh: {
-            value: 1000
-        },
-        /**
-        * @attribute dragMode
-        * @description This attribute only works if the dd-drop module is active. It will set the dragMode (point, intersect, strict) of all future Drag instances. 
-        * @type String
-        */        
-        dragMode: {
-            value: 'point',
-            set: function(mode) {
-                this._setDragMode(mode);
-            }           
-        }
-
-    };
-
-    Y.extend(DDMBase, Y.Base, {
-        /**
-        * @private
-        * @method _setDragMode
-        * @description Handler for dragMode attribute setter.
-        * @param String/Number The Number value or the String for the DragMode to default all future drag instances to.
-        * @return Number The Mode to be set
-        */
-        _setDragMode: function(mode) {
-            if (mode === null) {
-                mode = Y.DD.DDM.get('dragMode');
-            }
-            switch (mode) {
-                case 1:
-                case 'intersect':
-                    return 1;
-                case 2:
-                case 'strict':
-                    return 2;
-                case 0:
-                case 'point':
-                    return 0;
-            }
-            return 0;       
-        },
-        /**
-        * @property CSS_PREFIX
-        * @description The PREFIX to attach to all DD CSS class names
-        * @type {String}
-        */
-        CSS_PREFIX: 'yui-dd',
-        _activateTargets: function() {},        
-        /**
-        * @private
-        * @property _drags
-        * @description Holder for all registered drag elements.
-        * @type {Array}
-        */
-        _drags: [],
-        /**
-        * @property activeDrag
-        * @description A reference to the currently active draggable object.
-        * @type {Drag}
-        */
-        activeDrag: false,
-        /**
-        * @private
-        * @method _regDrag
-        * @description Adds a reference to the drag object to the DDM._drags array, called in the constructor of Drag.
-        * @param {Drag} d The Drag object
-        */
-        _regDrag: function(d) {
-            this._drags[this._drags.length] = d;
-        },
-        /**
-        * @private
-        * @method _unregDrag
-        * @description Remove this drag object from the DDM._drags array.
-        * @param {Drag} d The drag object.
-        */
-        _unregDrag: function(d) {
-            var tmp = [];
-            Y.each(this._drags, function(n, i) {
-                if (n !== d) {
-                    tmp[tmp.length] = n;
-                }
-            });
-            this._drags = tmp;
-        },
-        /**
-        * @private
-        * @method _init
-        * @description DDM's init method
-        */
-        initializer: function() {
-            Y.Node.get('document').on('mousemove', this._move, this, true);
-            Y.Node.get('document').on('mouseup', this._end, this, true);
-            //Y.Event.Target.apply(this);
-        },
-        /**
-        * @private
-        * @method _start
-        * @description Internal method used by Drag to signal the start of a drag operation
-        * @param {Number} x The x position of the drag element
-        * @param {Number} y The y position of the drag element
-        * @param {Number} w The width of the drag element
-        * @param {Number} h The height of the drag element
-        */
-        _start: function(x, y, w, h) {
-            this._startDrag.apply(this, arguments);
-        },
-        /**
-        * @private
-        * @method _startDrag
-        * @description Factory method to be overwritten by other DDM's
-        * @param {Number} x The x position of the drag element
-        * @param {Number} y The y position of the drag element
-        * @param {Number} w The width of the drag element
-        * @param {Number} h The height of the drag element
-        */
-        _startDrag: function() {},
-        /**
-        * @private
-        * @method _endDrag
-        * @description Factory method to be overwritten by other DDM's
-        */
-        _endDrag: function() {},
-        _dropMove: function() {},
-        /**
-        * @private
-        * @method _end
-        * @description Internal method used by Drag to signal the end of a drag operation
-        */
-        _end: function() {
-            //@TODO - Here we can get a (click - drag - click - release) interaction instead of a (mousedown - drag - mouseup - release) interaction
-            //Add as a config option??
-            if (this.activeDrag) {
-                this._endDrag();
-                this.activeDrag.end.call(this.activeDrag);
-                this.activeDrag = null;
-            }
-        },
-        /**
-        * @method stopDrag
-        * @description Method will forcefully stop a drag operation. For example calling this from inside an ESC keypress handler will stop this drag.
-        * @return {Self}
-        * @chainable
-        */       
-        stopDrag: function() {
-            if (this.activeDrag) {
-                this._end();
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method _move
-        * @description Internal listener for the mousemove DOM event to pass to the Drag's move method.
-        * @param {Event} ev The Dom mousemove Event
-        */
-        _move: function(ev) {
-            if (this.activeDrag) {
-                this.activeDrag._move.apply(this.activeDrag, arguments);
-                this._dropMove();
-            }
-        },
-        /**
-        * @method setXY
-        * @description A simple method to set the top and left position from offsets instead of page coordinates
-        * @param {Object} node The node to set the position of 
-        * @param {Array} xy The Array of left/top position to be set.
-        */
-        setXY: function(node, xy) {
-            var t = parseInt(node.getStyle('top'), 10),
-            l = parseInt(node.getStyle('left'), 10),
-            pos = node.getStyle('position');
-
-            if (pos === 'static') {
-                node.setStyle('position', 'relative');
-            }
-
-            // in case of 'auto'
-            if (isNaN(t)) { t = 0; }
-            if (isNaN(l)) { l = 0; }
-            
-            node.setStyle('top', (xy[1] + t) + 'px');
-            node.setStyle('left', (xy[0] + l) + 'px');
-            
-        },
-        /**
-        * //TODO Private, rename??...
-        * @private
-        * @method cssSizestoObject
-        * @description Helper method to use to set the gutter from the attribute setter.
-        * @param {String} gutter CSS style string for gutter: '5 0' (sets top and bottom to 5px, left and right to 0px), '1 2 3 4' (top 1px, right 2px, bottom 3px, left 4px)
-        * @return {Object} The gutter Object Literal.
-        */
-        cssSizestoObject: function(gutter) {
-            var p = gutter.split(' '),
-            g = {
-                top: 0,
-                bottom: 0,
-                right: 0,
-                left: 0
-            };
-            if (p.length) {
-                g.top = parseInt(p[0], 10);
-                if (p[1]) {
-                    g.right = parseInt(p[1], 10);
-                } else {
-                    g.right = g.top;
-                }
-                if (p[2]) {
-                    g.bottom = parseInt(p[2], 10);
-                } else {
-                    g.bottom = g.top;
-                }
-                if (p[3]) {
-                    g.left = parseInt(p[3], 10);
-                } else if (p[1]) {
-                    g.left = g.right;
-                } else {
-                    g.left = g.top;
-                }
-            }
-            return g;
-        },
-        /**
-        * @method getDrag
-        * @description Get a valid Drag instance back from a Node or a selector string, false otherwise
-        * @param {String/Object} node The Node instance or Selector string to check for a valid Drag Object
-        * @return {Object}
-        */
-        getDrag: function(node) {
-            var drag = false,
-                n = Y.Node.get(node);
-            if (n instanceof Y.Node) {
-                Y.each(this._drags, function(v, k) {
-                    if (n.compareTo(v.get('node'))) {
-                        drag = v;
-                    }
-                });
-            }
-            return drag;
-        }
-    });
-
-    Y.namespace('DD');
-    Y.DD.DDM = new DDMBase();
-
-
-
-}, '3.0.0pr1' ,{requires:['node', 'base'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-ddm-base-min.js'
--- loggerhead/static/javascript/yui/build/dd/dd-ddm-base-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-ddm-base-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dd-ddm-base",function(B){var A=function(){A.superclass.constructor.apply(this,arguments);};A.NAME="DragDropMgr";A.ATTRS={clickPixelThresh:{value:3},clickTimeThresh:{value:1000},dragMode:{value:"point",set:function(C){this._setDragMode(C);}}};B.extend(A,B.Base,{_setDragMode:function(C){if(C===null){C=B.DD.DDM.get("dragMode");}switch(C){case 1:case"intersect":return 1;case 2:case"strict":return 2;case 0:case"point":return 0;}return 0;},CSS_PREFIX:"yui-dd",_activateTargets:function(){},_drags:[],activeDrag:false,_regDrag:function(C){this._drags[this._drags.length]=C;},_unregDrag:function(D){var C=[];B.each(this._drags,function(F,E){if(F!==D){C[C.length]=F;}});this._drags=C;},initializer:function(){B.Node.get("document").on("mousemove",this._move,this,true);B.Node.get("document").on("mouseup",this._end,this,true);},_start:function(C,F,D,E){this._startDrag.apply(this,arguments);},_startDrag:function(){},_endDrag:function(){},_dropMove:function(){},_end:function(){if(this.activeDrag){this._endDrag();this.activeDrag.end.call(this.activeDrag);this.activeDrag=null;}},stopDrag:function(){if(this.activeDrag){this._end();}return this;},_move:function(C){if(this.activeDrag){this.activeDrag._move.apply(this.activeDrag,arguments);this._dropMove();}},setXY:function(E,F){var D=parseInt(E.getStyle("top"),10),C=parseInt(E.getStyle("left"),10),G=E.getStyle("position");if(G==="static"){E.setStyle("position","relative");}if(isNaN(D)){D=0;}if(isNaN(C)){C=0;}E.setStyle("top",(F[1]+D)+"px");E.setStyle("left",(F[0]+C)+"px");},cssSizestoObject:function(E){var D=E.split(" "),C={top:0,bottom:0,right:0,left:0};if(D.length){C.top=parseInt(D[0],10);if(D[1]){C.right=parseInt(D[1],10);}else{C.right=C.top;}if(D[2]){C.bottom=parseInt(D[2],10);}else{C.bottom=C.top;}if(D[3]){C.left=parseInt(D[3],10);}else{if(D[1]){C.left=C.right;}else{C.left=C.top;}}}return C;},getDrag:function(D){var C=false,E=B.Node.get(D);if(E instanceof B.Node){B.each(this._drags,function(G,F){if(E.compareTo(G.get("node"))){C=G;}});}return C;}});B.namespace("DD");B.DD.DDM=new A();},"3.0.0pr1",{requires:["node","base"],skinnable:false});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-ddm-base.js'
--- loggerhead/static/javascript/yui/build/dd/dd-ddm-base.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-ddm-base.js	1970-01-01 00:00:00 +0000
@@ -1,291 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-ddm-base', function(Y) {
-
-    /**
-     * Provides the base Drag Drop Manger required for making a Node draggable.
-     * @module dd
-     * @submodule dd-ddm-base
-     */     
-     /**
-     * Provides the base Drag Drop Manger required for making a Node draggable.
-     * @class DDM
-     * @extends Base
-     * @constructor
-     */
-    
-    var DDMBase = function() {
-        //debugger;
-        DDMBase.superclass.constructor.apply(this, arguments);
-    };
-
-    DDMBase.NAME = 'DragDropMgr';
-
-    DDMBase.ATTRS = {
-        /**
-        * @attribute clickPixelThresh
-        * @description The number of pixels to move to start a drag operation, default is 3.
-        * @type Number
-        */
-        clickPixelThresh: {
-            value: 3
-        },
-        /**
-        * @attribute clickTimeThresh
-        * @description The number of milliseconds a mousedown has to pass to start a drag operation, default is 1000.
-        * @type Number
-        */        
-        clickTimeThresh: {
-            value: 1000
-        },
-        /**
-        * @attribute dragMode
-        * @description This attribute only works if the dd-drop module is active. It will set the dragMode (point, intersect, strict) of all future Drag instances. 
-        * @type String
-        */        
-        dragMode: {
-            value: 'point',
-            set: function(mode) {
-                this._setDragMode(mode);
-            }           
-        }
-
-    };
-
-    Y.extend(DDMBase, Y.Base, {
-        /**
-        * @private
-        * @method _setDragMode
-        * @description Handler for dragMode attribute setter.
-        * @param String/Number The Number value or the String for the DragMode to default all future drag instances to.
-        * @return Number The Mode to be set
-        */
-        _setDragMode: function(mode) {
-            if (mode === null) {
-                mode = Y.DD.DDM.get('dragMode');
-            }
-            switch (mode) {
-                case 1:
-                case 'intersect':
-                    return 1;
-                case 2:
-                case 'strict':
-                    return 2;
-                case 0:
-                case 'point':
-                    return 0;
-            }
-            return 0;       
-        },
-        /**
-        * @property CSS_PREFIX
-        * @description The PREFIX to attach to all DD CSS class names
-        * @type {String}
-        */
-        CSS_PREFIX: 'yui-dd',
-        _activateTargets: function() {},        
-        /**
-        * @private
-        * @property _drags
-        * @description Holder for all registered drag elements.
-        * @type {Array}
-        */
-        _drags: [],
-        /**
-        * @property activeDrag
-        * @description A reference to the currently active draggable object.
-        * @type {Drag}
-        */
-        activeDrag: false,
-        /**
-        * @private
-        * @method _regDrag
-        * @description Adds a reference to the drag object to the DDM._drags array, called in the constructor of Drag.
-        * @param {Drag} d The Drag object
-        */
-        _regDrag: function(d) {
-            this._drags[this._drags.length] = d;
-        },
-        /**
-        * @private
-        * @method _unregDrag
-        * @description Remove this drag object from the DDM._drags array.
-        * @param {Drag} d The drag object.
-        */
-        _unregDrag: function(d) {
-            var tmp = [];
-            Y.each(this._drags, function(n, i) {
-                if (n !== d) {
-                    tmp[tmp.length] = n;
-                }
-            });
-            this._drags = tmp;
-        },
-        /**
-        * @private
-        * @method _init
-        * @description DDM's init method
-        */
-        initializer: function() {
-            Y.Node.get('document').on('mousemove', this._move, this, true);
-            Y.Node.get('document').on('mouseup', this._end, this, true);
-            //Y.Event.Target.apply(this);
-        },
-        /**
-        * @private
-        * @method _start
-        * @description Internal method used by Drag to signal the start of a drag operation
-        * @param {Number} x The x position of the drag element
-        * @param {Number} y The y position of the drag element
-        * @param {Number} w The width of the drag element
-        * @param {Number} h The height of the drag element
-        */
-        _start: function(x, y, w, h) {
-            this._startDrag.apply(this, arguments);
-        },
-        /**
-        * @private
-        * @method _startDrag
-        * @description Factory method to be overwritten by other DDM's
-        * @param {Number} x The x position of the drag element
-        * @param {Number} y The y position of the drag element
-        * @param {Number} w The width of the drag element
-        * @param {Number} h The height of the drag element
-        */
-        _startDrag: function() {},
-        /**
-        * @private
-        * @method _endDrag
-        * @description Factory method to be overwritten by other DDM's
-        */
-        _endDrag: function() {},
-        _dropMove: function() {},
-        /**
-        * @private
-        * @method _end
-        * @description Internal method used by Drag to signal the end of a drag operation
-        */
-        _end: function() {
-            //@TODO - Here we can get a (click - drag - click - release) interaction instead of a (mousedown - drag - mouseup - release) interaction
-            //Add as a config option??
-            if (this.activeDrag) {
-                this._endDrag();
-                this.activeDrag.end.call(this.activeDrag);
-                this.activeDrag = null;
-            }
-        },
-        /**
-        * @method stopDrag
-        * @description Method will forcefully stop a drag operation. For example calling this from inside an ESC keypress handler will stop this drag.
-        * @return {Self}
-        * @chainable
-        */       
-        stopDrag: function() {
-            if (this.activeDrag) {
-                this._end();
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method _move
-        * @description Internal listener for the mousemove DOM event to pass to the Drag's move method.
-        * @param {Event} ev The Dom mousemove Event
-        */
-        _move: function(ev) {
-            if (this.activeDrag) {
-                this.activeDrag._move.apply(this.activeDrag, arguments);
-                this._dropMove();
-            }
-        },
-        /**
-        * @method setXY
-        * @description A simple method to set the top and left position from offsets instead of page coordinates
-        * @param {Object} node The node to set the position of 
-        * @param {Array} xy The Array of left/top position to be set.
-        */
-        setXY: function(node, xy) {
-            var t = parseInt(node.getStyle('top'), 10),
-            l = parseInt(node.getStyle('left'), 10),
-            pos = node.getStyle('position');
-
-            if (pos === 'static') {
-                node.setStyle('position', 'relative');
-            }
-
-            // in case of 'auto'
-            if (isNaN(t)) { t = 0; }
-            if (isNaN(l)) { l = 0; }
-            
-            node.setStyle('top', (xy[1] + t) + 'px');
-            node.setStyle('left', (xy[0] + l) + 'px');
-            
-        },
-        /**
-        * //TODO Private, rename??...
-        * @private
-        * @method cssSizestoObject
-        * @description Helper method to use to set the gutter from the attribute setter.
-        * @param {String} gutter CSS style string for gutter: '5 0' (sets top and bottom to 5px, left and right to 0px), '1 2 3 4' (top 1px, right 2px, bottom 3px, left 4px)
-        * @return {Object} The gutter Object Literal.
-        */
-        cssSizestoObject: function(gutter) {
-            var p = gutter.split(' '),
-            g = {
-                top: 0,
-                bottom: 0,
-                right: 0,
-                left: 0
-            };
-            if (p.length) {
-                g.top = parseInt(p[0], 10);
-                if (p[1]) {
-                    g.right = parseInt(p[1], 10);
-                } else {
-                    g.right = g.top;
-                }
-                if (p[2]) {
-                    g.bottom = parseInt(p[2], 10);
-                } else {
-                    g.bottom = g.top;
-                }
-                if (p[3]) {
-                    g.left = parseInt(p[3], 10);
-                } else if (p[1]) {
-                    g.left = g.right;
-                } else {
-                    g.left = g.top;
-                }
-            }
-            return g;
-        },
-        /**
-        * @method getDrag
-        * @description Get a valid Drag instance back from a Node or a selector string, false otherwise
-        * @param {String/Object} node The Node instance or Selector string to check for a valid Drag Object
-        * @return {Object}
-        */
-        getDrag: function(node) {
-            var drag = false,
-                n = Y.Node.get(node);
-            if (n instanceof Y.Node) {
-                Y.each(this._drags, function(v, k) {
-                    if (n.compareTo(v.get('node'))) {
-                        drag = v;
-                    }
-                });
-            }
-            return drag;
-        }
-    });
-
-    Y.namespace('DD');
-    Y.DD.DDM = new DDMBase();
-
-
-
-}, '3.0.0pr1' ,{requires:['node', 'base'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-ddm-debug.js'
--- loggerhead/static/javascript/yui/build/dd/dd-ddm-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-ddm-debug.js	1970-01-01 00:00:00 +0000
@@ -1,122 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-ddm', function(Y) {
-
-    /**
-     * Extends the dd-ddm-base Class to add support for the viewport shim to allow a draggable node to drag to be dragged over an iframe or any other node that traps mousemove events.
-     * It is also required to have Drop Targets enabled, as the viewport shim will contain the shims for the Drop Targets.
-     * @module dd
-     * @submodule dd-ddm
-     * @for DDM
-     */
-    Y.mix(Y.DD.DDM, {
-        /**
-        * @private
-        * @property _pg
-        * @description The shim placed over the screen to track the mousemove event.
-        * @type {Node}
-        */
-        _pg: null,
-        /**
-        * @private
-        * @property _debugShim
-        * @description Set this to true to set the shims opacity to .5 for debugging it, default: false.
-        * @type {Boolean}
-        */
-        _debugShim: false,
-        _activateTargets: function() {},
-        _deactivateTargets: function() {},
-        _startDrag: function() {
-            if (this.activeDrag.get('useShim')) {
-                this._pg_activate();
-                this._activateTargets();
-            }
-        },
-        _endDrag: function() {
-            this._pg_deactivate();
-            this._deactivateTargets();
-        },
-        /**
-        * @private
-        * @method _pg_deactivate
-        * @description Deactivates the shim
-        */
-        _pg_deactivate: function() {
-            this._pg.setStyle('display', 'none');
-        },
-        /**
-        * @private
-        * @method _pg_activate
-        * @description Activates the shim
-        */
-        _pg_activate: function() {
-            this._pg_size();
-            this._pg.setStyles({
-                top: 0,
-                left: 0,
-                display: 'block',
-                opacity: ((this._debugShim) ? '.5' : '0')
-            });
-        },
-        /**
-        * @private
-        * @method _pg_size
-        * @description Sizes the shim on: activatation, window:scroll, window:resize
-        */
-        _pg_size: function() {
-            if (this.activeDrag) {
-                var b = Y.Node.get('body'),
-                h = b.get('docHeight'),
-                w = b.get('docWidth');
-                this._pg.setStyles({
-                    height: h + 'px',
-                    width: w + 'px'
-                });
-            }
-        },
-        /**
-        * @private
-        * @method _createPG
-        * @description Creates the shim and adds it's listeners to it.
-        */
-        _createPG: function() {
-            //var pg = Y.Node.create(['div']),
-            var pg = Y.Node.create('<div></div>'),
-            bd = Y.Node.get('body');
-            pg.setStyles({
-                top: '0',
-                left: '0',
-                position: 'absolute',
-                zIndex: '9999',
-                overflow: 'hidden',
-                //opacity: '0',
-                backgroundColor: 'red',
-                display: 'none',
-                height: '5px',
-                width: '5px'
-            });
-            if (bd.get('firstChild')) {
-                bd.insertBefore(pg, bd.get('firstChild'));
-            } else {
-                bd.appendChild(pg);
-            }
-            this._pg = pg;
-            this._pg.on('mouseup', this._end, this, true);
-            this._pg.on('mousemove', this._move, this, true);
-            
-            
-            //TODO
-            Y.Event.addListener(window, 'resize', this._pg_size, this, true);
-            Y.Event.addListener(window, 'scroll', this._pg_size, this, true);
-        }   
-    }, true);
-
-    Y.DD.DDM._createPG();    
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-base'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-ddm-drop-debug.js'
--- loggerhead/static/javascript/yui/build/dd/dd-ddm-drop-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-ddm-drop-debug.js	1970-01-01 00:00:00 +0000
@@ -1,401 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-ddm-drop', function(Y) {
-
-    /**
-     * Extends the dd-ddm Class to add support for the placement of Drop Target shims inside the viewport shim. It also handles all Drop Target related events and interactions.
-     * @module dd
-     * @submodule dd-ddm-drop
-     * @for DDM
-     */
-
-    //TODO CSS class name for the bestMatch..
-    Y.mix(Y.DD.DDM, {
-        /**
-        * @private
-        * @property _noShim
-        * @description This flag turns off the use of the mouseover/mouseout shim. It should not be used unless you know what you are doing.
-        * @type {Boolean}
-        */
-        _noShim: false,
-        /**
-        * @private
-        * @property _activeShims
-        * @description Placeholder for all active shims on the page
-        * @type {Array}
-        */
-        _activeShims: [],
-        /**
-        * @private
-        * @method _hasActiveShim
-        * @description This method checks the _activeShims Object to see if there is a shim active.
-        * @return {Boolean}
-        */
-        _hasActiveShim: function() {
-            if (this._noShim) {
-                return true;
-            }
-            return this._activeShims.length;
-        },
-        /**
-        * @private
-        * @method _addActiveShim 
-        * @description Adds a Drop Target to the list of active shims
-        * @param {Object} d The Drop instance to add to the list.
-        */
-        _addActiveShim: function(d) {
-            this._activeShims[this._activeShims.length] = d;
-        },
-        /**
-        * @private
-        * @method _removeActiveShim 
-        * @description Removes a Drop Target to the list of active shims
-        * @param {Object} d The Drop instance to remove from the list.
-        */
-        _removeActiveShim: function(d) {
-            var s = [];
-            Y.each(this._activeShims, function(v, k) {
-                if (v._yuid !== d._yuid) {
-                    s[s.length] = v;
-                }
-                
-            });
-            this._activeShims = s;
-        },
-        /**
-        * @method syncActiveShims
-        * @description This method will sync the position of the shims on the Drop Targets that are currently active.
-        * @param {Boolean} force Resize/sync all Targets.
-        * @return {Array} drops The list of Drop Targets that was just synced.
-        */
-        syncActiveShims: function(force) {
-            var drops = ((force) ? this.targets : this._lookup());
-            Y.each(drops, function(v, k) {
-                v.sizeShim.call(v);
-            }, this);
-
-            return drops;
-        },
-        /**
-        * @private
-        * @property mode
-        * @description The mode that the drag operations will run in 0 for Point, 1 for Intersect, 2 for Strict
-        * @type Number
-        */
-        mode: 0,
-        /**
-        * @private
-        * @property POINT
-        * @description In point mode, a Drop is targeted by the cursor being over the Target
-        * @type Number
-        */
-        POINT: 0,
-        /**
-        * @private
-        * @property INTERSECT
-        * @description In intersect mode, a Drop is targeted by "part" of the drag node being over the Target
-        * @type Number
-        */
-        INTERSECT: 1,
-        /**
-        * @private
-        * @property STRICT
-        * @description In strict mode, a Drop is targeted by the "entire" drag node being over the Target
-        * @type Number
-        */
-        STRICT: 2,
-        /**
-        * @property useHash
-        * @description Should we only check targets that are in the viewport on drags (for performance), default: true
-        * @type {Boolean}
-        */
-        useHash: true,
-        /**
-        * @property activeDrop
-        * @description A reference to the active Drop Target
-        * @type {Object}
-        */
-        activeDrop: null,
-        /**
-        * @property validDrops
-        * @description An array of the valid Drop Targets for this interaction.
-        * @type {Array}
-        */
-        //TODO Change array/object literals to be in sync..
-        validDrops: [],
-        /**
-        * @property otherDrops
-        * @description An object literal of Other Drop Targets that we encountered during this interaction (in the case of overlapping Drop Targets)
-        * @type {Object}
-        */
-        otherDrops: {},
-        /**
-        * @property targets
-        * @description All of the Targets
-        * @type {Array}
-        */
-        targets: [],
-        /**
-        * @private 
-        * @method _addValid
-        * @description Add a Drop Target to the list of Valid Targets. This list get's regenerated on each new drag operation.
-        * @param {Object} drop
-        * @return {Self}
-        * @chainable
-        */
-        _addValid: function(drop) {
-            this.validDrops[this.validDrops.length] = drop;
-            return this;
-        },
-        /**
-        * @private 
-        * @method _removeValid
-        * @description Removes a Drop Target from the list of Valid Targets. This list get's regenerated on each new drag operation.
-        * @param {Object} drop
-        * @return {Self}
-        * @chainable
-        */
-        _removeValid: function(drop) {
-            var drops = [];
-            Y.each(this.validDrops, function(v, k) {
-                if (v !== drop) {
-                    drops[drops.length] = v
-                }
-            });
-
-            this.validDrops = drops;
-            return this;
-        },
-        /**
-        * @method isOverTarget
-        * @description Check to see if the Drag element is over the target, method varies on current mode
-        * @param {Object} drop The drop to check against
-        * @return {Boolean}
-        */
-        isOverTarget: function(drop) {
-            //if (Y.Lang.isObject(this.activeDrag) && drop) { //TODO, check this check..
-            if (this.activeDrag && drop) {
-                var xy = this.activeDrag.mouseXY;
-                if (xy) {
-                    if (this.activeDrag.get('dragMode') == this.STRICT) {
-                        return this.activeDrag.get('dragNode').inRegion(drop.region, true, this.activeDrag.region);
-                    } else {
-                        if (drop && drop.shim) {
-                            return drop.shim.intersect({
-                                top: xy[1],
-                                bottom: xy[1],
-                                left: xy[0], 
-                                right: xy[0]
-                            }, drop.region).inRegion;
-                        } else {
-                            return false;
-                        }
-                    }
-                } else {
-                    return false;
-                }
-            } else {
-                return false;
-            }
-        },
-        /**
-        * @method clearCache
-        * @description Clears the cache data used for this interaction.
-        */
-        clearCache: function() {
-            this.validDrops = [];
-            this.otherDrops = {};
-            this._activeShims = [];
-        },
-        /**
-        * @private
-        * @method _activateTargets
-        * @description Clear the cache and activate the shims of all the targets
-        */
-        _activateTargets: function() {
-            this.clearCache();
-            Y.each(this.targets, function(v, k) {
-                v._activateShim.apply(v, []);
-            }, this);
-            this._handleTargetOver();
-            
-        },
-        /**
-        * @method getBestMatch
-        * @description This method will gather the area for all potential targets and see which has the hightest covered area and return it.
-        * @param {Array} drops An Array of drops to scan for the best match.
-        * @param {Boolean} all If present, it returns an Array. First item is best match, second is an Array of the other items in the original Array.
-        * @return {Object or Array} 
-        */
-        getBestMatch: function(drops, all) {
-            var biggest = null, area = 0;
-
-            Y.each(drops, function(v, k) {
-                var inter = this.activeDrag.get('dragNode').intersect(v.get('node'));
-                v.region.area = inter.area;
-
-                if (inter.inRegion) {
-                    if (inter.area > area) {
-                        area = inter.area;
-                        biggest = v;
-                    }
-                }
-            }, this);
-            if (all) {
-                var out = [];
-                //TODO Sort the others in numeric order by area covered..
-                Y.each(drops, function(v, k) {
-                    if (v !== biggest) {
-                        out[out.length] = v;
-                    }
-                }, this);
-                return [biggest, out];
-            } else {
-                return biggest;
-            }
-        },
-        /**
-        * @private
-        * @method _deactivateTargets
-        * @description This method fires the drop:hit, drag:drophit, drag:dropmiss methods and deactivates the shims..
-        */
-        _deactivateTargets: function() {
-            var other = [],
-                activeDrag = this.activeDrag;
-            
-            //TODO why is this check so hard??
-            if (activeDrag && !Y.Lang.isNull(this.activeDrop) && this.otherDrops[this.activeDrop]) {
-                if (!activeDrag.get('dragMode')) {
-                    //TODO otherDrops -- private..
-                    other = this.otherDrops;
-                    delete other[this.activeDrop];
-                } else {
-                    var tmp = this.getBestMatch(this.otherDrops, true);
-                    this.activeDrop = tmp[0];
-                    other = tmp[1];
-                }
-                activeDrag.get('node').removeClass(this.CSS_PREFIX + '-drag-over')
-                this.activeDrop.fire('drop:hit', { drag: activeDrag, drop: this.activeDrop, others: other });
-                activeDrag.fire('drag:drophit', { drag: activeDrag,  drop: this.activeDrop, others: other });
-            } else if (this.activeDrag) {
-                activeDrag.get('node').removeClass(this.CSS_PREFIX + '-drag-over')
-                activeDrag.fire('drag:dropmiss', { pageX: activeDrag.lastXY[0], pageY: activeDrag.lastXY[1] });
-            } else {
-                Y.log('No Active Drag', 'warn', 'dd-ddm');
-            }
-            
-            this.activeDrop = null;
-
-            Y.each(this.targets, function(v, k) {
-                v._deactivateShim.apply(v, []);
-            }, this);
-        },
-        /**
-        * @private
-        * @method _dropMove
-        * @description This method is called when the move method is called on the Drag Object.
-        */
-        _dropMove: function() {
-            if (this._hasActiveShim()) {
-                //Y.log('We have an active shim, check targets', 'info', 'dd-ddm');
-                this._handleTargetOver();
-            } else {
-                Y.each(this.otherDrops, function(v, k) {
-                    v._handleOut.apply(v, []);
-                });
-            }
-        },
-        /**
-        * @private
-        * @method _lookup
-        * @description Filters the list of Drops down to those in the viewport.
-        * @return {Array} The valid Drop Targets that are in the viewport.
-        */
-        _lookup: function() {
-            if (!this.useHash) {
-                return this.validDrops;
-            }
-            var drops = [];
-            //Only scan drop shims that are in the Viewport
-            Y.each(this.validDrops, function(v, k) {
-                if (v.shim && v.shim.inViewportRegion(false, v.region)) {
-                    drops[drops.length] = v;
-                }
-            });
-            return drops;
-                
-        },
-        /**
-        * @private
-        * @method _handleTargetOver
-        * @description This method execs _handleTargetOver on all valid Drop Targets
-        * @param {Boolean} force Force it to run the first time.
-        */
-        _handleTargetOver: function() {
-            var drops = this._lookup();
-            Y.each(drops, function(v, k) {
-                v._handleTargetOver.call(v);
-            }, this);
-        },
-        /**
-        * @private
-        * @method _regTarget
-        * @description Add the passed in Target to the targets collection
-        * @param {Object} t The Target to add to the targets collection
-        */
-        _regTarget: function(t) {
-            this.targets[this.targets.length] = t;
-        },
-        /**
-        * @private
-        * @method _unregTarget
-        * @description Remove the passed in Target from the targets collection
-        * @param {Object} drop The Target to remove from the targets collection
-        */
-        _unregTarget: function(drop) {
-            var targets = [];
-            Y.each(this.targets, function(v, k) {
-                if (v != drop) {
-                    targets[targets.length] = v;
-                }
-            }, this);
-            this.targets = targets;
-
-            var vdrops = [];
-            Y.each(this.validDrops, function(v, k) {
-                if (v !== drop) {
-                    vdrops[vdrops.length] = v
-                }
-            });
-
-            this.validDrops = vdrops;
-        },
-        /**
-        * @method getDrop
-        * @description Get a valid Drop instance back from a Node or a selector string, false otherwise
-        * @param {String/Object} node The Node instance or Selector string to check for a valid Drop Object
-        * @return {Object}
-        */
-        getDrop: function(node) {
-            var drop = false,
-                n = Y.Node.get(node);
-            if (n instanceof Y.Node) {
-                Y.each(this.targets, function(v, k) {
-                    if (n.compareTo(v.get('node'))) {
-                        drop = v;
-                    }
-                });
-            }
-            return drop;
-        }
-    }, true);
-    
-
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-ddm-drop-min.js'
--- loggerhead/static/javascript/yui/build/dd/dd-ddm-drop-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-ddm-drop-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dd-ddm-drop",function(A){A.mix(A.DD.DDM,{_noShim:false,_activeShims:[],_hasActiveShim:function(){if(this._noShim){return true;}return this._activeShims.length;},_addActiveShim:function(B){this._activeShims[this._activeShims.length]=B;},_removeActiveShim:function(C){var B=[];A.each(this._activeShims,function(E,D){if(E._yuid!==C._yuid){B[B.length]=E;}});this._activeShims=B;},syncActiveShims:function(B){var C=((B)?this.targets:this._lookup());A.each(C,function(E,D){E.sizeShim.call(E);},this);return C;},mode:0,POINT:0,INTERSECT:1,STRICT:2,useHash:true,activeDrop:null,validDrops:[],otherDrops:{},targets:[],_addValid:function(B){this.validDrops[this.validDrops.length]=B;return this;},_removeValid:function(B){var C=[];A.each(this.validDrops,function(E,D){if(E!==B){C[C.length]=E;}});this.validDrops=C;return this;},isOverTarget:function(B){if(this.activeDrag&&B){var C=this.activeDrag.mouseXY;if(C){if(this.activeDrag.get("dragMode")==this.STRICT){return this.activeDrag.get("dragNode").inRegion(B.region,true,this.activeDrag.region);}else{if(B&&B.shim){return B.shim.intersect({top:C[1],bottom:C[1],left:C[0],right:C[0]},B.region).inRegion;}else{return false;}}}else{return false;}}else{return false;}},clearCache:function(){this.validDrops=[];this.otherDrops={};this._activeShims=[];},_activateTargets:function(){this.clearCache();A.each(this.targets,function(C,B){C._activateShim.apply(C,[]);},this);this._handleTargetOver();},getBestMatch:function(F,D){var C=null,E=0;A.each(F,function(I,H){var G=this.activeDrag.get("dragNode").intersect(I.get("node"));I.region.area=G.area;if(G.inRegion){if(G.area>E){E=G.area;C=I;}}},this);if(D){var B=[];A.each(F,function(H,G){if(H!==C){B[B.length]=H;}},this);return[C,B];}else{return C;}},_deactivateTargets:function(){var B=[],D=this.activeDrag;if(D&&!A.Lang.isNull(this.activeDrop)&&this.otherDrops[this.activeDrop]){if(!D.get("dragMode")){B=this.otherDrops;delete B[this.activeDrop];}else{var C=this.getBestMatch(this.otherDrops,true);this.activeDrop=C[0];B=C[1];}D.get("node").removeClass(this.CSS_PREFIX+"-drag-over");this.activeDrop.fire("drop:hit",{drag:D,drop:this.activeDrop,others:B});D.fire("drag:drophit",{drag:D,drop:this.activeDrop,others:B});}else{if(this.activeDrag){D.get("node").removeClass(this.CSS_PREFIX+"-drag-over");D.fire("drag:dropmiss",{pageX:D.lastXY[0],pageY:D.lastXY[1]});}else{}}this.activeDrop=null;A.each(this.targets,function(F,E){F._deactivateShim.apply(F,[]);},this);},_dropMove:function(){if(this._hasActiveShim()){this._handleTargetOver();}else{A.each(this.otherDrops,function(C,B){C._handleOut.apply(C,[]);});}},_lookup:function(){if(!this.useHash){return this.validDrops;}var B=[];A.each(this.validDrops,function(D,C){if(D.shim&&D.shim.inViewportRegion(false,D.region)){B[B.length]=D;}});return B;},_handleTargetOver:function(){var B=this._lookup();A.each(B,function(D,C){D._handleTargetOver.call(D);},this);},_regTarget:function(B){this.targets[this.targets.length]=B;},_unregTarget:function(C){var B=[];A.each(this.targets,function(F,E){if(F!=C){B[B.length]=F;}},this);this.targets=B;var D=[];A.each(this.validDrops,function(F,E){if(F!==C){D[D.length]=F;}});this.validDrops=D;},getDrop:function(C){var B=false,D=A.Node.get(C);if(D instanceof A.Node){A.each(this.targets,function(F,E){if(D.compareTo(F.get("node"))){B=F;}});}return B;}},true);},"3.0.0pr1",{requires:["dd-ddm"],skinnable:false});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-ddm-drop.js'
--- loggerhead/static/javascript/yui/build/dd/dd-ddm-drop.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-ddm-drop.js	1970-01-01 00:00:00 +0000
@@ -1,399 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-ddm-drop', function(Y) {
-
-    /**
-     * Extends the dd-ddm Class to add support for the placement of Drop Target shims inside the viewport shim. It also handles all Drop Target related events and interactions.
-     * @module dd
-     * @submodule dd-ddm-drop
-     * @for DDM
-     */
-
-    //TODO CSS class name for the bestMatch..
-    Y.mix(Y.DD.DDM, {
-        /**
-        * @private
-        * @property _noShim
-        * @description This flag turns off the use of the mouseover/mouseout shim. It should not be used unless you know what you are doing.
-        * @type {Boolean}
-        */
-        _noShim: false,
-        /**
-        * @private
-        * @property _activeShims
-        * @description Placeholder for all active shims on the page
-        * @type {Array}
-        */
-        _activeShims: [],
-        /**
-        * @private
-        * @method _hasActiveShim
-        * @description This method checks the _activeShims Object to see if there is a shim active.
-        * @return {Boolean}
-        */
-        _hasActiveShim: function() {
-            if (this._noShim) {
-                return true;
-            }
-            return this._activeShims.length;
-        },
-        /**
-        * @private
-        * @method _addActiveShim 
-        * @description Adds a Drop Target to the list of active shims
-        * @param {Object} d The Drop instance to add to the list.
-        */
-        _addActiveShim: function(d) {
-            this._activeShims[this._activeShims.length] = d;
-        },
-        /**
-        * @private
-        * @method _removeActiveShim 
-        * @description Removes a Drop Target to the list of active shims
-        * @param {Object} d The Drop instance to remove from the list.
-        */
-        _removeActiveShim: function(d) {
-            var s = [];
-            Y.each(this._activeShims, function(v, k) {
-                if (v._yuid !== d._yuid) {
-                    s[s.length] = v;
-                }
-                
-            });
-            this._activeShims = s;
-        },
-        /**
-        * @method syncActiveShims
-        * @description This method will sync the position of the shims on the Drop Targets that are currently active.
-        * @param {Boolean} force Resize/sync all Targets.
-        * @return {Array} drops The list of Drop Targets that was just synced.
-        */
-        syncActiveShims: function(force) {
-            var drops = ((force) ? this.targets : this._lookup());
-            Y.each(drops, function(v, k) {
-                v.sizeShim.call(v);
-            }, this);
-
-            return drops;
-        },
-        /**
-        * @private
-        * @property mode
-        * @description The mode that the drag operations will run in 0 for Point, 1 for Intersect, 2 for Strict
-        * @type Number
-        */
-        mode: 0,
-        /**
-        * @private
-        * @property POINT
-        * @description In point mode, a Drop is targeted by the cursor being over the Target
-        * @type Number
-        */
-        POINT: 0,
-        /**
-        * @private
-        * @property INTERSECT
-        * @description In intersect mode, a Drop is targeted by "part" of the drag node being over the Target
-        * @type Number
-        */
-        INTERSECT: 1,
-        /**
-        * @private
-        * @property STRICT
-        * @description In strict mode, a Drop is targeted by the "entire" drag node being over the Target
-        * @type Number
-        */
-        STRICT: 2,
-        /**
-        * @property useHash
-        * @description Should we only check targets that are in the viewport on drags (for performance), default: true
-        * @type {Boolean}
-        */
-        useHash: true,
-        /**
-        * @property activeDrop
-        * @description A reference to the active Drop Target
-        * @type {Object}
-        */
-        activeDrop: null,
-        /**
-        * @property validDrops
-        * @description An array of the valid Drop Targets for this interaction.
-        * @type {Array}
-        */
-        //TODO Change array/object literals to be in sync..
-        validDrops: [],
-        /**
-        * @property otherDrops
-        * @description An object literal of Other Drop Targets that we encountered during this interaction (in the case of overlapping Drop Targets)
-        * @type {Object}
-        */
-        otherDrops: {},
-        /**
-        * @property targets
-        * @description All of the Targets
-        * @type {Array}
-        */
-        targets: [],
-        /**
-        * @private 
-        * @method _addValid
-        * @description Add a Drop Target to the list of Valid Targets. This list get's regenerated on each new drag operation.
-        * @param {Object} drop
-        * @return {Self}
-        * @chainable
-        */
-        _addValid: function(drop) {
-            this.validDrops[this.validDrops.length] = drop;
-            return this;
-        },
-        /**
-        * @private 
-        * @method _removeValid
-        * @description Removes a Drop Target from the list of Valid Targets. This list get's regenerated on each new drag operation.
-        * @param {Object} drop
-        * @return {Self}
-        * @chainable
-        */
-        _removeValid: function(drop) {
-            var drops = [];
-            Y.each(this.validDrops, function(v, k) {
-                if (v !== drop) {
-                    drops[drops.length] = v
-                }
-            });
-
-            this.validDrops = drops;
-            return this;
-        },
-        /**
-        * @method isOverTarget
-        * @description Check to see if the Drag element is over the target, method varies on current mode
-        * @param {Object} drop The drop to check against
-        * @return {Boolean}
-        */
-        isOverTarget: function(drop) {
-            //if (Y.Lang.isObject(this.activeDrag) && drop) { //TODO, check this check..
-            if (this.activeDrag && drop) {
-                var xy = this.activeDrag.mouseXY;
-                if (xy) {
-                    if (this.activeDrag.get('dragMode') == this.STRICT) {
-                        return this.activeDrag.get('dragNode').inRegion(drop.region, true, this.activeDrag.region);
-                    } else {
-                        if (drop && drop.shim) {
-                            return drop.shim.intersect({
-                                top: xy[1],
-                                bottom: xy[1],
-                                left: xy[0], 
-                                right: xy[0]
-                            }, drop.region).inRegion;
-                        } else {
-                            return false;
-                        }
-                    }
-                } else {
-                    return false;
-                }
-            } else {
-                return false;
-            }
-        },
-        /**
-        * @method clearCache
-        * @description Clears the cache data used for this interaction.
-        */
-        clearCache: function() {
-            this.validDrops = [];
-            this.otherDrops = {};
-            this._activeShims = [];
-        },
-        /**
-        * @private
-        * @method _activateTargets
-        * @description Clear the cache and activate the shims of all the targets
-        */
-        _activateTargets: function() {
-            this.clearCache();
-            Y.each(this.targets, function(v, k) {
-                v._activateShim.apply(v, []);
-            }, this);
-            this._handleTargetOver();
-            
-        },
-        /**
-        * @method getBestMatch
-        * @description This method will gather the area for all potential targets and see which has the hightest covered area and return it.
-        * @param {Array} drops An Array of drops to scan for the best match.
-        * @param {Boolean} all If present, it returns an Array. First item is best match, second is an Array of the other items in the original Array.
-        * @return {Object or Array} 
-        */
-        getBestMatch: function(drops, all) {
-            var biggest = null, area = 0;
-
-            Y.each(drops, function(v, k) {
-                var inter = this.activeDrag.get('dragNode').intersect(v.get('node'));
-                v.region.area = inter.area;
-
-                if (inter.inRegion) {
-                    if (inter.area > area) {
-                        area = inter.area;
-                        biggest = v;
-                    }
-                }
-            }, this);
-            if (all) {
-                var out = [];
-                //TODO Sort the others in numeric order by area covered..
-                Y.each(drops, function(v, k) {
-                    if (v !== biggest) {
-                        out[out.length] = v;
-                    }
-                }, this);
-                return [biggest, out];
-            } else {
-                return biggest;
-            }
-        },
-        /**
-        * @private
-        * @method _deactivateTargets
-        * @description This method fires the drop:hit, drag:drophit, drag:dropmiss methods and deactivates the shims..
-        */
-        _deactivateTargets: function() {
-            var other = [],
-                activeDrag = this.activeDrag;
-            
-            //TODO why is this check so hard??
-            if (activeDrag && !Y.Lang.isNull(this.activeDrop) && this.otherDrops[this.activeDrop]) {
-                if (!activeDrag.get('dragMode')) {
-                    //TODO otherDrops -- private..
-                    other = this.otherDrops;
-                    delete other[this.activeDrop];
-                } else {
-                    var tmp = this.getBestMatch(this.otherDrops, true);
-                    this.activeDrop = tmp[0];
-                    other = tmp[1];
-                }
-                activeDrag.get('node').removeClass(this.CSS_PREFIX + '-drag-over')
-                this.activeDrop.fire('drop:hit', { drag: activeDrag, drop: this.activeDrop, others: other });
-                activeDrag.fire('drag:drophit', { drag: activeDrag,  drop: this.activeDrop, others: other });
-            } else if (this.activeDrag) {
-                activeDrag.get('node').removeClass(this.CSS_PREFIX + '-drag-over')
-                activeDrag.fire('drag:dropmiss', { pageX: activeDrag.lastXY[0], pageY: activeDrag.lastXY[1] });
-            } else {
-            }
-            
-            this.activeDrop = null;
-
-            Y.each(this.targets, function(v, k) {
-                v._deactivateShim.apply(v, []);
-            }, this);
-        },
-        /**
-        * @private
-        * @method _dropMove
-        * @description This method is called when the move method is called on the Drag Object.
-        */
-        _dropMove: function() {
-            if (this._hasActiveShim()) {
-                this._handleTargetOver();
-            } else {
-                Y.each(this.otherDrops, function(v, k) {
-                    v._handleOut.apply(v, []);
-                });
-            }
-        },
-        /**
-        * @private
-        * @method _lookup
-        * @description Filters the list of Drops down to those in the viewport.
-        * @return {Array} The valid Drop Targets that are in the viewport.
-        */
-        _lookup: function() {
-            if (!this.useHash) {
-                return this.validDrops;
-            }
-            var drops = [];
-            //Only scan drop shims that are in the Viewport
-            Y.each(this.validDrops, function(v, k) {
-                if (v.shim && v.shim.inViewportRegion(false, v.region)) {
-                    drops[drops.length] = v;
-                }
-            });
-            return drops;
-                
-        },
-        /**
-        * @private
-        * @method _handleTargetOver
-        * @description This method execs _handleTargetOver on all valid Drop Targets
-        * @param {Boolean} force Force it to run the first time.
-        */
-        _handleTargetOver: function() {
-            var drops = this._lookup();
-            Y.each(drops, function(v, k) {
-                v._handleTargetOver.call(v);
-            }, this);
-        },
-        /**
-        * @private
-        * @method _regTarget
-        * @description Add the passed in Target to the targets collection
-        * @param {Object} t The Target to add to the targets collection
-        */
-        _regTarget: function(t) {
-            this.targets[this.targets.length] = t;
-        },
-        /**
-        * @private
-        * @method _unregTarget
-        * @description Remove the passed in Target from the targets collection
-        * @param {Object} drop The Target to remove from the targets collection
-        */
-        _unregTarget: function(drop) {
-            var targets = [];
-            Y.each(this.targets, function(v, k) {
-                if (v != drop) {
-                    targets[targets.length] = v;
-                }
-            }, this);
-            this.targets = targets;
-
-            var vdrops = [];
-            Y.each(this.validDrops, function(v, k) {
-                if (v !== drop) {
-                    vdrops[vdrops.length] = v
-                }
-            });
-
-            this.validDrops = vdrops;
-        },
-        /**
-        * @method getDrop
-        * @description Get a valid Drop instance back from a Node or a selector string, false otherwise
-        * @param {String/Object} node The Node instance or Selector string to check for a valid Drop Object
-        * @return {Object}
-        */
-        getDrop: function(node) {
-            var drop = false,
-                n = Y.Node.get(node);
-            if (n instanceof Y.Node) {
-                Y.each(this.targets, function(v, k) {
-                    if (n.compareTo(v.get('node'))) {
-                        drop = v;
-                    }
-                });
-            }
-            return drop;
-        }
-    }, true);
-    
-
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-ddm-min.js'
--- loggerhead/static/javascript/yui/build/dd/dd-ddm-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-ddm-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dd-ddm",function(A){A.mix(A.DD.DDM,{_pg:null,_debugShim:false,_activateTargets:function(){},_deactivateTargets:function(){},_startDrag:function(){if(this.activeDrag.get("useShim")){this._pg_activate();this._activateTargets();}},_endDrag:function(){this._pg_deactivate();this._deactivateTargets();},_pg_deactivate:function(){this._pg.setStyle("display","none");},_pg_activate:function(){this._pg_size();this._pg.setStyles({top:0,left:0,display:"block",opacity:((this._debugShim)?".5":"0")});},_pg_size:function(){if(this.activeDrag){var B=A.Node.get("body"),D=B.get("docHeight"),C=B.get("docWidth");this._pg.setStyles({height:D+"px",width:C+"px"});}},_createPG:function(){var C=A.Node.create("<div></div>"),B=A.Node.get("body");C.setStyles({top:"0",left:"0",position:"absolute",zIndex:"9999",overflow:"hidden",backgroundColor:"red",display:"none",height:"5px",width:"5px"});if(B.get("firstChild")){B.insertBefore(C,B.get("firstChild"));}else{B.appendChild(C);}this._pg=C;this._pg.on("mouseup",this._end,this,true);this._pg.on("mousemove",this._move,this,true);A.Event.addListener(window,"resize",this._pg_size,this,true);A.Event.addListener(window,"scroll",this._pg_size,this,true);}},true);A.DD.DDM._createPG();},"3.0.0pr1",{requires:["dd-ddm-base"],skinnable:false});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-ddm.js'
--- loggerhead/static/javascript/yui/build/dd/dd-ddm.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-ddm.js	1970-01-01 00:00:00 +0000
@@ -1,122 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-ddm', function(Y) {
-
-    /**
-     * Extends the dd-ddm-base Class to add support for the viewport shim to allow a draggable node to drag to be dragged over an iframe or any other node that traps mousemove events.
-     * It is also required to have Drop Targets enabled, as the viewport shim will contain the shims for the Drop Targets.
-     * @module dd
-     * @submodule dd-ddm
-     * @for DDM
-     */
-    Y.mix(Y.DD.DDM, {
-        /**
-        * @private
-        * @property _pg
-        * @description The shim placed over the screen to track the mousemove event.
-        * @type {Node}
-        */
-        _pg: null,
-        /**
-        * @private
-        * @property _debugShim
-        * @description Set this to true to set the shims opacity to .5 for debugging it, default: false.
-        * @type {Boolean}
-        */
-        _debugShim: false,
-        _activateTargets: function() {},
-        _deactivateTargets: function() {},
-        _startDrag: function() {
-            if (this.activeDrag.get('useShim')) {
-                this._pg_activate();
-                this._activateTargets();
-            }
-        },
-        _endDrag: function() {
-            this._pg_deactivate();
-            this._deactivateTargets();
-        },
-        /**
-        * @private
-        * @method _pg_deactivate
-        * @description Deactivates the shim
-        */
-        _pg_deactivate: function() {
-            this._pg.setStyle('display', 'none');
-        },
-        /**
-        * @private
-        * @method _pg_activate
-        * @description Activates the shim
-        */
-        _pg_activate: function() {
-            this._pg_size();
-            this._pg.setStyles({
-                top: 0,
-                left: 0,
-                display: 'block',
-                opacity: ((this._debugShim) ? '.5' : '0')
-            });
-        },
-        /**
-        * @private
-        * @method _pg_size
-        * @description Sizes the shim on: activatation, window:scroll, window:resize
-        */
-        _pg_size: function() {
-            if (this.activeDrag) {
-                var b = Y.Node.get('body'),
-                h = b.get('docHeight'),
-                w = b.get('docWidth');
-                this._pg.setStyles({
-                    height: h + 'px',
-                    width: w + 'px'
-                });
-            }
-        },
-        /**
-        * @private
-        * @method _createPG
-        * @description Creates the shim and adds it's listeners to it.
-        */
-        _createPG: function() {
-            //var pg = Y.Node.create(['div']),
-            var pg = Y.Node.create('<div></div>'),
-            bd = Y.Node.get('body');
-            pg.setStyles({
-                top: '0',
-                left: '0',
-                position: 'absolute',
-                zIndex: '9999',
-                overflow: 'hidden',
-                //opacity: '0',
-                backgroundColor: 'red',
-                display: 'none',
-                height: '5px',
-                width: '5px'
-            });
-            if (bd.get('firstChild')) {
-                bd.insertBefore(pg, bd.get('firstChild'));
-            } else {
-                bd.appendChild(pg);
-            }
-            this._pg = pg;
-            this._pg.on('mouseup', this._end, this, true);
-            this._pg.on('mousemove', this._move, this, true);
-            
-            
-            //TODO
-            Y.Event.addListener(window, 'resize', this._pg_size, this, true);
-            Y.Event.addListener(window, 'scroll', this._pg_size, this, true);
-        }   
-    }, true);
-
-    Y.DD.DDM._createPG();    
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-base'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-debug.js'
--- loggerhead/static/javascript/yui/build/dd/dd-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-debug.js	1970-01-01 00:00:00 +0000
@@ -1,2839 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-ddm-base', function(Y) {
-
-    /**
-     * Provides the base Drag Drop Manger required for making a Node draggable.
-     * @module dd
-     * @submodule dd-ddm-base
-     */     
-     /**
-     * Provides the base Drag Drop Manger required for making a Node draggable.
-     * @class DDM
-     * @extends Base
-     * @constructor
-     */
-    
-    var DDMBase = function() {
-        //debugger;
-        DDMBase.superclass.constructor.apply(this, arguments);
-    };
-
-    DDMBase.NAME = 'DragDropMgr';
-
-    DDMBase.ATTRS = {
-        /**
-        * @attribute clickPixelThresh
-        * @description The number of pixels to move to start a drag operation, default is 3.
-        * @type Number
-        */
-        clickPixelThresh: {
-            value: 3
-        },
-        /**
-        * @attribute clickTimeThresh
-        * @description The number of milliseconds a mousedown has to pass to start a drag operation, default is 1000.
-        * @type Number
-        */        
-        clickTimeThresh: {
-            value: 1000
-        },
-        /**
-        * @attribute dragMode
-        * @description This attribute only works if the dd-drop module is active. It will set the dragMode (point, intersect, strict) of all future Drag instances. 
-        * @type String
-        */        
-        dragMode: {
-            value: 'point',
-            set: function(mode) {
-                this._setDragMode(mode);
-            }           
-        }
-
-    };
-
-    Y.extend(DDMBase, Y.Base, {
-        /**
-        * @private
-        * @method _setDragMode
-        * @description Handler for dragMode attribute setter.
-        * @param String/Number The Number value or the String for the DragMode to default all future drag instances to.
-        * @return Number The Mode to be set
-        */
-        _setDragMode: function(mode) {
-            if (mode === null) {
-                mode = Y.DD.DDM.get('dragMode');
-            }
-            switch (mode) {
-                case 1:
-                case 'intersect':
-                    return 1;
-                case 2:
-                case 'strict':
-                    return 2;
-                case 0:
-                case 'point':
-                    return 0;
-            }
-            return 0;       
-        },
-        /**
-        * @property CSS_PREFIX
-        * @description The PREFIX to attach to all DD CSS class names
-        * @type {String}
-        */
-        CSS_PREFIX: 'yui-dd',
-        _activateTargets: function() {},        
-        /**
-        * @private
-        * @property _drags
-        * @description Holder for all registered drag elements.
-        * @type {Array}
-        */
-        _drags: [],
-        /**
-        * @property activeDrag
-        * @description A reference to the currently active draggable object.
-        * @type {Drag}
-        */
-        activeDrag: false,
-        /**
-        * @private
-        * @method _regDrag
-        * @description Adds a reference to the drag object to the DDM._drags array, called in the constructor of Drag.
-        * @param {Drag} d The Drag object
-        */
-        _regDrag: function(d) {
-            this._drags[this._drags.length] = d;
-        },
-        /**
-        * @private
-        * @method _unregDrag
-        * @description Remove this drag object from the DDM._drags array.
-        * @param {Drag} d The drag object.
-        */
-        _unregDrag: function(d) {
-            var tmp = [];
-            Y.each(this._drags, function(n, i) {
-                if (n !== d) {
-                    tmp[tmp.length] = n;
-                }
-            });
-            this._drags = tmp;
-        },
-        /**
-        * @private
-        * @method _init
-        * @description DDM's init method
-        */
-        initializer: function() {
-            Y.Node.get('document').on('mousemove', this._move, this, true);
-            Y.Node.get('document').on('mouseup', this._end, this, true);
-            //Y.Event.Target.apply(this);
-        },
-        /**
-        * @private
-        * @method _start
-        * @description Internal method used by Drag to signal the start of a drag operation
-        * @param {Number} x The x position of the drag element
-        * @param {Number} y The y position of the drag element
-        * @param {Number} w The width of the drag element
-        * @param {Number} h The height of the drag element
-        */
-        _start: function(x, y, w, h) {
-            this._startDrag.apply(this, arguments);
-        },
-        /**
-        * @private
-        * @method _startDrag
-        * @description Factory method to be overwritten by other DDM's
-        * @param {Number} x The x position of the drag element
-        * @param {Number} y The y position of the drag element
-        * @param {Number} w The width of the drag element
-        * @param {Number} h The height of the drag element
-        */
-        _startDrag: function() {},
-        /**
-        * @private
-        * @method _endDrag
-        * @description Factory method to be overwritten by other DDM's
-        */
-        _endDrag: function() {},
-        _dropMove: function() {},
-        /**
-        * @private
-        * @method _end
-        * @description Internal method used by Drag to signal the end of a drag operation
-        */
-        _end: function() {
-            //@TODO - Here we can get a (click - drag - click - release) interaction instead of a (mousedown - drag - mouseup - release) interaction
-            //Add as a config option??
-            if (this.activeDrag) {
-                this._endDrag();
-                this.activeDrag.end.call(this.activeDrag);
-                this.activeDrag = null;
-            }
-        },
-        /**
-        * @method stopDrag
-        * @description Method will forcefully stop a drag operation. For example calling this from inside an ESC keypress handler will stop this drag.
-        * @return {Self}
-        * @chainable
-        */       
-        stopDrag: function() {
-            if (this.activeDrag) {
-                this._end();
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method _move
-        * @description Internal listener for the mousemove DOM event to pass to the Drag's move method.
-        * @param {Event} ev The Dom mousemove Event
-        */
-        _move: function(ev) {
-            if (this.activeDrag) {
-                this.activeDrag._move.apply(this.activeDrag, arguments);
-                this._dropMove();
-            }
-        },
-        /**
-        * @method setXY
-        * @description A simple method to set the top and left position from offsets instead of page coordinates
-        * @param {Object} node The node to set the position of 
-        * @param {Array} xy The Array of left/top position to be set.
-        */
-        setXY: function(node, xy) {
-            var t = parseInt(node.getStyle('top'), 10),
-            l = parseInt(node.getStyle('left'), 10),
-            pos = node.getStyle('position');
-
-            if (pos === 'static') {
-                node.setStyle('position', 'relative');
-            }
-
-            // in case of 'auto'
-            if (isNaN(t)) { t = 0; }
-            if (isNaN(l)) { l = 0; }
-            
-            node.setStyle('top', (xy[1] + t) + 'px');
-            node.setStyle('left', (xy[0] + l) + 'px');
-            
-        },
-        /**
-        * //TODO Private, rename??...
-        * @private
-        * @method cssSizestoObject
-        * @description Helper method to use to set the gutter from the attribute setter.
-        * @param {String} gutter CSS style string for gutter: '5 0' (sets top and bottom to 5px, left and right to 0px), '1 2 3 4' (top 1px, right 2px, bottom 3px, left 4px)
-        * @return {Object} The gutter Object Literal.
-        */
-        cssSizestoObject: function(gutter) {
-            var p = gutter.split(' '),
-            g = {
-                top: 0,
-                bottom: 0,
-                right: 0,
-                left: 0
-            };
-            if (p.length) {
-                g.top = parseInt(p[0], 10);
-                if (p[1]) {
-                    g.right = parseInt(p[1], 10);
-                } else {
-                    g.right = g.top;
-                }
-                if (p[2]) {
-                    g.bottom = parseInt(p[2], 10);
-                } else {
-                    g.bottom = g.top;
-                }
-                if (p[3]) {
-                    g.left = parseInt(p[3], 10);
-                } else if (p[1]) {
-                    g.left = g.right;
-                } else {
-                    g.left = g.top;
-                }
-            }
-            return g;
-        },
-        /**
-        * @method getDrag
-        * @description Get a valid Drag instance back from a Node or a selector string, false otherwise
-        * @param {String/Object} node The Node instance or Selector string to check for a valid Drag Object
-        * @return {Object}
-        */
-        getDrag: function(node) {
-            var drag = false,
-                n = Y.Node.get(node);
-            if (n instanceof Y.Node) {
-                Y.each(this._drags, function(v, k) {
-                    if (n.compareTo(v.get('node'))) {
-                        drag = v;
-                    }
-                });
-            }
-            return drag;
-        }
-    });
-
-    Y.namespace('DD');
-    Y.DD.DDM = new DDMBase();
-
-
-
-}, '3.0.0pr1' ,{requires:['node', 'base'], skinnable:false});
-YUI.add('dd-ddm', function(Y) {
-
-    /**
-     * Extends the dd-ddm-base Class to add support for the viewport shim to allow a draggable node to drag to be dragged over an iframe or any other node that traps mousemove events.
-     * It is also required to have Drop Targets enabled, as the viewport shim will contain the shims for the Drop Targets.
-     * @module dd
-     * @submodule dd-ddm
-     * @for DDM
-     */
-    Y.mix(Y.DD.DDM, {
-        /**
-        * @private
-        * @property _pg
-        * @description The shim placed over the screen to track the mousemove event.
-        * @type {Node}
-        */
-        _pg: null,
-        /**
-        * @private
-        * @property _debugShim
-        * @description Set this to true to set the shims opacity to .5 for debugging it, default: false.
-        * @type {Boolean}
-        */
-        _debugShim: false,
-        _activateTargets: function() {},
-        _deactivateTargets: function() {},
-        _startDrag: function() {
-            if (this.activeDrag.get('useShim')) {
-                this._pg_activate();
-                this._activateTargets();
-            }
-        },
-        _endDrag: function() {
-            this._pg_deactivate();
-            this._deactivateTargets();
-        },
-        /**
-        * @private
-        * @method _pg_deactivate
-        * @description Deactivates the shim
-        */
-        _pg_deactivate: function() {
-            this._pg.setStyle('display', 'none');
-        },
-        /**
-        * @private
-        * @method _pg_activate
-        * @description Activates the shim
-        */
-        _pg_activate: function() {
-            this._pg_size();
-            this._pg.setStyles({
-                top: 0,
-                left: 0,
-                display: 'block',
-                opacity: ((this._debugShim) ? '.5' : '0')
-            });
-        },
-        /**
-        * @private
-        * @method _pg_size
-        * @description Sizes the shim on: activatation, window:scroll, window:resize
-        */
-        _pg_size: function() {
-            if (this.activeDrag) {
-                var b = Y.Node.get('body'),
-                h = b.get('docHeight'),
-                w = b.get('docWidth');
-                this._pg.setStyles({
-                    height: h + 'px',
-                    width: w + 'px'
-                });
-            }
-        },
-        /**
-        * @private
-        * @method _createPG
-        * @description Creates the shim and adds it's listeners to it.
-        */
-        _createPG: function() {
-            //var pg = Y.Node.create(['div']),
-            var pg = Y.Node.create('<div></div>'),
-            bd = Y.Node.get('body');
-            pg.setStyles({
-                top: '0',
-                left: '0',
-                position: 'absolute',
-                zIndex: '9999',
-                overflow: 'hidden',
-                //opacity: '0',
-                backgroundColor: 'red',
-                display: 'none',
-                height: '5px',
-                width: '5px'
-            });
-            if (bd.get('firstChild')) {
-                bd.insertBefore(pg, bd.get('firstChild'));
-            } else {
-                bd.appendChild(pg);
-            }
-            this._pg = pg;
-            this._pg.on('mouseup', this._end, this, true);
-            this._pg.on('mousemove', this._move, this, true);
-            
-            
-            //TODO
-            Y.Event.addListener(window, 'resize', this._pg_size, this, true);
-            Y.Event.addListener(window, 'scroll', this._pg_size, this, true);
-        }   
-    }, true);
-
-    Y.DD.DDM._createPG();    
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-base'], skinnable:false});
-YUI.add('dd-ddm-drop', function(Y) {
-
-    /**
-     * Extends the dd-ddm Class to add support for the placement of Drop Target shims inside the viewport shim. It also handles all Drop Target related events and interactions.
-     * @module dd
-     * @submodule dd-ddm-drop
-     * @for DDM
-     */
-
-    //TODO CSS class name for the bestMatch..
-    Y.mix(Y.DD.DDM, {
-        /**
-        * @private
-        * @property _noShim
-        * @description This flag turns off the use of the mouseover/mouseout shim. It should not be used unless you know what you are doing.
-        * @type {Boolean}
-        */
-        _noShim: false,
-        /**
-        * @private
-        * @property _activeShims
-        * @description Placeholder for all active shims on the page
-        * @type {Array}
-        */
-        _activeShims: [],
-        /**
-        * @private
-        * @method _hasActiveShim
-        * @description This method checks the _activeShims Object to see if there is a shim active.
-        * @return {Boolean}
-        */
-        _hasActiveShim: function() {
-            if (this._noShim) {
-                return true;
-            }
-            return this._activeShims.length;
-        },
-        /**
-        * @private
-        * @method _addActiveShim 
-        * @description Adds a Drop Target to the list of active shims
-        * @param {Object} d The Drop instance to add to the list.
-        */
-        _addActiveShim: function(d) {
-            this._activeShims[this._activeShims.length] = d;
-        },
-        /**
-        * @private
-        * @method _removeActiveShim 
-        * @description Removes a Drop Target to the list of active shims
-        * @param {Object} d The Drop instance to remove from the list.
-        */
-        _removeActiveShim: function(d) {
-            var s = [];
-            Y.each(this._activeShims, function(v, k) {
-                if (v._yuid !== d._yuid) {
-                    s[s.length] = v;
-                }
-                
-            });
-            this._activeShims = s;
-        },
-        /**
-        * @method syncActiveShims
-        * @description This method will sync the position of the shims on the Drop Targets that are currently active.
-        * @param {Boolean} force Resize/sync all Targets.
-        * @return {Array} drops The list of Drop Targets that was just synced.
-        */
-        syncActiveShims: function(force) {
-            var drops = ((force) ? this.targets : this._lookup());
-            Y.each(drops, function(v, k) {
-                v.sizeShim.call(v);
-            }, this);
-
-            return drops;
-        },
-        /**
-        * @private
-        * @property mode
-        * @description The mode that the drag operations will run in 0 for Point, 1 for Intersect, 2 for Strict
-        * @type Number
-        */
-        mode: 0,
-        /**
-        * @private
-        * @property POINT
-        * @description In point mode, a Drop is targeted by the cursor being over the Target
-        * @type Number
-        */
-        POINT: 0,
-        /**
-        * @private
-        * @property INTERSECT
-        * @description In intersect mode, a Drop is targeted by "part" of the drag node being over the Target
-        * @type Number
-        */
-        INTERSECT: 1,
-        /**
-        * @private
-        * @property STRICT
-        * @description In strict mode, a Drop is targeted by the "entire" drag node being over the Target
-        * @type Number
-        */
-        STRICT: 2,
-        /**
-        * @property useHash
-        * @description Should we only check targets that are in the viewport on drags (for performance), default: true
-        * @type {Boolean}
-        */
-        useHash: true,
-        /**
-        * @property activeDrop
-        * @description A reference to the active Drop Target
-        * @type {Object}
-        */
-        activeDrop: null,
-        /**
-        * @property validDrops
-        * @description An array of the valid Drop Targets for this interaction.
-        * @type {Array}
-        */
-        //TODO Change array/object literals to be in sync..
-        validDrops: [],
-        /**
-        * @property otherDrops
-        * @description An object literal of Other Drop Targets that we encountered during this interaction (in the case of overlapping Drop Targets)
-        * @type {Object}
-        */
-        otherDrops: {},
-        /**
-        * @property targets
-        * @description All of the Targets
-        * @type {Array}
-        */
-        targets: [],
-        /**
-        * @private 
-        * @method _addValid
-        * @description Add a Drop Target to the list of Valid Targets. This list get's regenerated on each new drag operation.
-        * @param {Object} drop
-        * @return {Self}
-        * @chainable
-        */
-        _addValid: function(drop) {
-            this.validDrops[this.validDrops.length] = drop;
-            return this;
-        },
-        /**
-        * @private 
-        * @method _removeValid
-        * @description Removes a Drop Target from the list of Valid Targets. This list get's regenerated on each new drag operation.
-        * @param {Object} drop
-        * @return {Self}
-        * @chainable
-        */
-        _removeValid: function(drop) {
-            var drops = [];
-            Y.each(this.validDrops, function(v, k) {
-                if (v !== drop) {
-                    drops[drops.length] = v
-                }
-            });
-
-            this.validDrops = drops;
-            return this;
-        },
-        /**
-        * @method isOverTarget
-        * @description Check to see if the Drag element is over the target, method varies on current mode
-        * @param {Object} drop The drop to check against
-        * @return {Boolean}
-        */
-        isOverTarget: function(drop) {
-            //if (Y.Lang.isObject(this.activeDrag) && drop) { //TODO, check this check..
-            if (this.activeDrag && drop) {
-                var xy = this.activeDrag.mouseXY;
-                if (xy) {
-                    if (this.activeDrag.get('dragMode') == this.STRICT) {
-                        return this.activeDrag.get('dragNode').inRegion(drop.region, true, this.activeDrag.region);
-                    } else {
-                        if (drop && drop.shim) {
-                            return drop.shim.intersect({
-                                top: xy[1],
-                                bottom: xy[1],
-                                left: xy[0], 
-                                right: xy[0]
-                            }, drop.region).inRegion;
-                        } else {
-                            return false;
-                        }
-                    }
-                } else {
-                    return false;
-                }
-            } else {
-                return false;
-            }
-        },
-        /**
-        * @method clearCache
-        * @description Clears the cache data used for this interaction.
-        */
-        clearCache: function() {
-            this.validDrops = [];
-            this.otherDrops = {};
-            this._activeShims = [];
-        },
-        /**
-        * @private
-        * @method _activateTargets
-        * @description Clear the cache and activate the shims of all the targets
-        */
-        _activateTargets: function() {
-            this.clearCache();
-            Y.each(this.targets, function(v, k) {
-                v._activateShim.apply(v, []);
-            }, this);
-            this._handleTargetOver();
-            
-        },
-        /**
-        * @method getBestMatch
-        * @description This method will gather the area for all potential targets and see which has the hightest covered area and return it.
-        * @param {Array} drops An Array of drops to scan for the best match.
-        * @param {Boolean} all If present, it returns an Array. First item is best match, second is an Array of the other items in the original Array.
-        * @return {Object or Array} 
-        */
-        getBestMatch: function(drops, all) {
-            var biggest = null, area = 0;
-
-            Y.each(drops, function(v, k) {
-                var inter = this.activeDrag.get('dragNode').intersect(v.get('node'));
-                v.region.area = inter.area;
-
-                if (inter.inRegion) {
-                    if (inter.area > area) {
-                        area = inter.area;
-                        biggest = v;
-                    }
-                }
-            }, this);
-            if (all) {
-                var out = [];
-                //TODO Sort the others in numeric order by area covered..
-                Y.each(drops, function(v, k) {
-                    if (v !== biggest) {
-                        out[out.length] = v;
-                    }
-                }, this);
-                return [biggest, out];
-            } else {
-                return biggest;
-            }
-        },
-        /**
-        * @private
-        * @method _deactivateTargets
-        * @description This method fires the drop:hit, drag:drophit, drag:dropmiss methods and deactivates the shims..
-        */
-        _deactivateTargets: function() {
-            var other = [],
-                activeDrag = this.activeDrag;
-            
-            //TODO why is this check so hard??
-            if (activeDrag && !Y.Lang.isNull(this.activeDrop) && this.otherDrops[this.activeDrop]) {
-                if (!activeDrag.get('dragMode')) {
-                    //TODO otherDrops -- private..
-                    other = this.otherDrops;
-                    delete other[this.activeDrop];
-                } else {
-                    var tmp = this.getBestMatch(this.otherDrops, true);
-                    this.activeDrop = tmp[0];
-                    other = tmp[1];
-                }
-                activeDrag.get('node').removeClass(this.CSS_PREFIX + '-drag-over')
-                this.activeDrop.fire('drop:hit', { drag: activeDrag, drop: this.activeDrop, others: other });
-                activeDrag.fire('drag:drophit', { drag: activeDrag,  drop: this.activeDrop, others: other });
-            } else if (this.activeDrag) {
-                activeDrag.get('node').removeClass(this.CSS_PREFIX + '-drag-over')
-                activeDrag.fire('drag:dropmiss', { pageX: activeDrag.lastXY[0], pageY: activeDrag.lastXY[1] });
-            } else {
-                Y.log('No Active Drag', 'warn', 'dd-ddm');
-            }
-            
-            this.activeDrop = null;
-
-            Y.each(this.targets, function(v, k) {
-                v._deactivateShim.apply(v, []);
-            }, this);
-        },
-        /**
-        * @private
-        * @method _dropMove
-        * @description This method is called when the move method is called on the Drag Object.
-        */
-        _dropMove: function() {
-            if (this._hasActiveShim()) {
-                //Y.log('We have an active shim, check targets', 'info', 'dd-ddm');
-                this._handleTargetOver();
-            } else {
-                Y.each(this.otherDrops, function(v, k) {
-                    v._handleOut.apply(v, []);
-                });
-            }
-        },
-        /**
-        * @private
-        * @method _lookup
-        * @description Filters the list of Drops down to those in the viewport.
-        * @return {Array} The valid Drop Targets that are in the viewport.
-        */
-        _lookup: function() {
-            if (!this.useHash) {
-                return this.validDrops;
-            }
-            var drops = [];
-            //Only scan drop shims that are in the Viewport
-            Y.each(this.validDrops, function(v, k) {
-                if (v.shim && v.shim.inViewportRegion(false, v.region)) {
-                    drops[drops.length] = v;
-                }
-            });
-            return drops;
-                
-        },
-        /**
-        * @private
-        * @method _handleTargetOver
-        * @description This method execs _handleTargetOver on all valid Drop Targets
-        * @param {Boolean} force Force it to run the first time.
-        */
-        _handleTargetOver: function() {
-            var drops = this._lookup();
-            Y.each(drops, function(v, k) {
-                v._handleTargetOver.call(v);
-            }, this);
-        },
-        /**
-        * @private
-        * @method _regTarget
-        * @description Add the passed in Target to the targets collection
-        * @param {Object} t The Target to add to the targets collection
-        */
-        _regTarget: function(t) {
-            this.targets[this.targets.length] = t;
-        },
-        /**
-        * @private
-        * @method _unregTarget
-        * @description Remove the passed in Target from the targets collection
-        * @param {Object} drop The Target to remove from the targets collection
-        */
-        _unregTarget: function(drop) {
-            var targets = [];
-            Y.each(this.targets, function(v, k) {
-                if (v != drop) {
-                    targets[targets.length] = v;
-                }
-            }, this);
-            this.targets = targets;
-
-            var vdrops = [];
-            Y.each(this.validDrops, function(v, k) {
-                if (v !== drop) {
-                    vdrops[vdrops.length] = v
-                }
-            });
-
-            this.validDrops = vdrops;
-        },
-        /**
-        * @method getDrop
-        * @description Get a valid Drop instance back from a Node or a selector string, false otherwise
-        * @param {String/Object} node The Node instance or Selector string to check for a valid Drop Object
-        * @return {Object}
-        */
-        getDrop: function(node) {
-            var drop = false,
-                n = Y.Node.get(node);
-            if (n instanceof Y.Node) {
-                Y.each(this.targets, function(v, k) {
-                    if (n.compareTo(v.get('node'))) {
-                        drop = v;
-                    }
-                });
-            }
-            return drop;
-        }
-    }, true);
-    
-
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm'], skinnable:false});
-YUI.add('dd-drag', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-drag
-     */     
-    /**
-     * This class provides the ability to drag a Node.
-     * @class Drag
-     * @extends Base
-     * @constructor
-     */
-
-    var DDM = Y.DD.DDM,
-        NODE = 'node',
-        DRAG_NODE = 'dragNode',
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth',        
-        MOUSE_UP = 'mouseup',
-        MOUSE_DOWN = 'mousedown',
-        /**
-        * @event drag:mouseDown
-        * @description Handles the mousedown DOM event, checks to see if you have a valid handle then starts the drag timers.
-        * @preventable _handleMouseDown
-        * @param {Event} ev The mousedown event.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_MOUSE_DOWN = 'drag:mouseDown',
-        /**
-        * @event drag:afterMouseDown
-        * @description Fires after the mousedown event has been cleared.
-        * @param {Event} ev The mousedown event.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_AFTER_MOUSE_DOWN = 'drag:afterMouseDown',
-        /**
-        * @event drag:removeHandle
-        * @description Fires after a handle is removed.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_REMOVE_HANDLE = 'drag:removeHandle',
-        /**
-        * @event drag:addHandle
-        * @description Fires after a handle is added.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_ADD_HANDLE = 'drag:addHandle',
-        /**
-        * @event drag:removeInvalid
-        * @description Fires after an invalid selector is removed.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_REMOVE_INVALID = 'drag:removeInvalid',
-        /**
-        * @event drag:addInvalid
-        * @description Fires after an invalid selector is added.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_ADD_INVALID = 'drag:addInvalid',
-        /**
-        * @event drag:start
-        * @description Fires at the start of a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_START = 'drag:start',
-        /**
-        * @event drag:end
-        * @description Fires at the end of a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_END = 'drag:end',
-        /**
-        * @event drag:drag
-        * @description Fires every mousemove during a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DRAG = 'drag:drag';
-
-
-        /**
-        * @event drag:over
-        * @description Fires when this node is over a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:enter
-        * @description Fires when this node enters a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:exit
-        * @description Fires when this node exits a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:drophit
-        * @description Fires when this node is dropped on a valid Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:dropmiss
-        * @description Fires when this node is dropped on an invalid Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-    
-    var Drag = function() {
-        Drag.superclass.constructor.apply(this, arguments);
-
-        DDM._regDrag(this);
-    };
-    Drag.NAME = 'drag';
-
-    Drag.ATTRS = {
-        /**
-        * @attribute node
-        * @description Y.Node instanace to use as the element to initiate a drag operation
-        * @type Node
-        */
-        node: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drag: Invalid Node Given: ' + node);
-                }
-                return n;
-            }
-        },
-        /**
-        * @attribute dragNode
-        * @description Y.Node instanace to use as the draggable element, defaults to node
-        * @type Node
-        */
-        dragNode: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drag: Invalid dragNode Given: ' + node);
-                }
-                return n;
-            }
-        },
-        /**
-        * @attribute offsetNode
-        * @description Offset the drag element by the difference in cursor position: default true
-        * @type Boolean
-        */
-        offsetNode: {
-            value: true
-        },
-        /**
-        * @attribute clickPixelThresh
-        * @description The number of pixels to move to start a drag operation, default is 3.
-        * @type Number
-        */
-        clickPixelThresh: {
-            value: DDM.get('clickPixelThresh')
-        },
-        /**
-        * @attribute clickTimeThresh
-        * @description The number of milliseconds a mousedown has to pass to start a drag operation, default is 1000.
-        * @type Number
-        */
-        clickTimeThresh: {
-            value: DDM.get('clickTimeThresh')
-        },
-        /**
-        * @attribute lock
-        * @description Set to lock this drag element so that it can't be dragged: default false.
-        * @type Boolean
-        */
-        lock: {
-            value: false,
-            set: function(lock) {
-                if (lock) {
-                    this.get(NODE).addClass(DDM.CSS_PREFIX + '-locked');
-                } else {
-                    this.get(NODE).removeClass(DDM.CSS_PREFIX + '-locked');
-                }
-            }
-        },
-        /**
-        * @attribute data
-        * @description A payload holder to store arbitrary data about this drag object, can be used to store any value.
-        * @type Mixed
-        */
-        data: {
-            value: false
-        },
-        /**
-        * @attribute move
-        * @description If this is false, the drag element will not move with the cursor: default true. Can be used to "resize" the element.
-        * @type Boolean
-        */
-        move: {
-            value: true
-        },
-        /**
-        * @attribute useShim
-        * @description Use the protective shim on all drag operations: default true. Only works with dd-ddm, not dd-ddm-base.
-        * @type Boolean
-        */
-        useShim: {
-            value: true
-        },
-        /**
-        * @attribute activeHandle
-        * @description This config option is set by Drag to inform you of which handle fired the drag event (in the case that there are several handles): default false.
-        * @type Node
-        */
-        activeHandle: {
-            value: false
-        },
-        /**
-        * @attribute primaryButtonOnly
-        * @description By default a drag operation will only begin if the mousedown occurred with the primary mouse button. Setting this to false will allow for all mousedown events to trigger a drag.
-        * @type Boolean
-        */
-        primaryButtonOnly: {
-            value: true
-        },
-        /**
-        * @attribute dragging
-        * @description This attribute is not meant to be used by the implementor, it is meant to be used as an Event tracker so you can listen for it to change.
-        * @type Boolean
-        */
-        dragging: {
-            value: false
-        },
-        /**
-        * @attribute target
-        * @description This attribute only works if the dd-drop module has been loaded. It will make this node a drop target as well as draggable.
-        * @type Boolean
-        */
-        target: {
-            value: false,
-            set: function(config) {
-                this._handleTarget(config);
-            }
-        },
-        /**
-        * @attribute dragMode
-        * @description This attribute only works if the dd-drop module is active. It will set the dragMode (point, intersect, strict) of this Drag instance.
-        * @type String
-        */
-        dragMode: {
-            value: null,
-            set: function(mode) {
-                return DDM._setDragMode(mode);
-            }
-        },
-        /**
-        * @attribute groups
-        * @description Array of groups to add this drag into.
-        * @type Array
-        */
-        groups: {
-            value: ['default'],
-            get: function() {
-                if (!this._groups) {
-                    this._groups = {};
-                }
-                var ret = [];
-                Y.each(this._groups, function(v, k) {
-                    ret[ret.length] = k;
-                });
-                return ret;
-            },
-            set: function(g) {
-                this._groups = {};
-                Y.each(g, function(v, k) {
-                    this._groups[v] = true;
-                }, this);
-            }
-        },
-        /**
-        * @attribute handles
-        * @description Array of valid handles to add. Adding something here will set all handles, even if previously added with addHandle
-        * @type Array
-        */
-        handles: {
-            value: null,
-            set: function(g) {
-                if (g) {
-                    this._handles = {};
-                    Y.each(g, function(v, k) {
-                        this._handles[v] = true;
-                    }, this);
-                } else {
-                    this._handles = null;
-                }
-                return g;
-            }
-        }
-    };
-
-    Y.extend(Drag, Y.Base, {
-        /**
-        * @method addToGroup
-        * @description Add this Drag instance to a group, this should be used for on-the-fly group additions.
-        * @param {String} g The group to add this Drag Instance to.
-        * @return {Self}
-        * @chainable
-        */
-        addToGroup: function(g) {
-            this._groups[g] = true;
-            DDM._activateTargets();
-            return this;
-        },
-        /**
-        * @method removeFromGroup
-        * @description Remove this Drag instance from a group, this should be used for on-the-fly group removals.
-        * @param {String} g The group to remove this Drag Instance from.
-        * @return {Self}
-        * @chainable
-        */
-        removeFromGroup: function(g) {
-            delete this._groups[g];
-            DDM._activateTargets();
-            return this;
-        },
-        /**
-        * @property target
-        * @description This will be a reference to the Drop instance associated with this drag if the target: true config attribute is set..
-        * @type {Object}
-        */
-        target: null,
-        /**
-        * @private
-        * @method _handleTarget
-        * @description Attribute handler for the target config attribute.
-        * @param {Boolean/Object}
-        * @return {Boolean/Object}
-        */
-        _handleTarget: function(config) {
-            if (Y.DD.Drop) {
-                if (config === false) {
-                    if (this.target) {
-                        DDM._unregTarget(this.target);
-                        this.target = null;
-                    }
-                    return false;
-                } else {
-                    if (!Y.Lang.isObject(config)) {
-                        config = {};
-                    }
-                    config.node = this.get(NODE);
-                    this.target = new Y.DD.Drop(config);
-                }
-            } else {
-                return false;
-            }
-        },
-        /**
-        * @private
-        * @property _groups
-        * @description Storage Array for the groups this drag belongs to.
-        * @type {Array}
-        */
-        _groups: null,
-        /**
-        * @private
-        * @method _createEvents
-        * @description This method creates all the events for this Event Target and publishes them so we get Event Bubbling.
-        */
-        _createEvents: function() {
-            
-            this.publish(EV_MOUSE_DOWN, {
-                defaultFn: this._handleMouseDown,
-                queuable: true,
-                emitFacade: true,
-                bubbles: true
-            });
-            
-            var ev = [
-                EV_AFTER_MOUSE_DOWN,
-                EV_REMOVE_HANDLE,
-                EV_ADD_HANDLE,
-                EV_REMOVE_INVALID,
-                EV_ADD_INVALID,
-                EV_START,
-                EV_END,
-                EV_DRAG,
-                'drag:drophit',
-                'drag:dropmiss',
-                'drag:over',
-                'drag:enter',
-                'drag:exit'
-            ];
-            
-            Y.each(ev, function(v, k) {
-                this.publish(v, {
-                    type: v,
-                    emitFacade: true,
-                    bubbles: true,
-                    preventable: false,
-                    queuable: true
-                });
-            }, this);
-            this.addTarget(DDM);
-            
-           
-        },
-        /**
-        * @private
-        * @property _ev_md
-        * @description A private reference to the mousedown DOM event
-        * @type {Event}
-        */
-        _ev_md: null,
-        /**
-        * @private
-        * @property _startTime
-        * @description The getTime of the mousedown event. Not used, just here in case someone wants/needs to use it.
-        * @type Date
-        */
-        _startTime: null,
-        /**
-        * @private
-        * @property _endTime
-        * @description The getTime of the mouseup event. Not used, just here in case someone wants/needs to use it.
-        * @type Date
-        */
-        _endTime: null,
-        /**
-        * @private
-        * @property _handles
-        * @description A private hash of the valid drag handles
-        * @type {Object}
-        */
-        _handles: null,
-        /**
-        * @private
-        * @property _invalids
-        * @description A private hash of the invalid selector strings
-        * @type {Object}
-        */
-        _invalids: null,
-        /**
-        * @private
-        * @property _invalidsDefault
-        * @description A private hash of the default invalid selector strings: {'textarea': true, 'input': true, 'a': true, 'button': true}
-        * @type {Object}
-        */
-        _invalidsDefault: {'textarea': true, 'input': true, 'a': true, 'button': true},
-        /**
-        * @private
-        * @property _dragThreshMet
-        * @description Private flag to see if the drag threshhold was met
-        * @type {Boolean}
-        */
-        _dragThreshMet: null,
-        /**
-        * @private
-        * @property _fromTimeout
-        * @description Flag to determine if the drag operation came from a timeout
-        * @type {Boolean}
-        */
-        _fromTimeout: null,
-        /**
-        * @private
-        * @property _clickTimeout
-        * @description Holder for the setTimeout call
-        * @type {Boolean}
-        */
-        _clickTimeout: null,
-        /**
-        * @property deltaXY
-        * @description The offset of the mouse position to the element's position
-        * @type {Array}
-        */
-        deltaXY: null,
-        /**
-        * @property startXY
-        * @description The initial mouse position
-        * @type {Array}
-        */
-        startXY: null,
-        /**
-        * @property nodeXY
-        * @description The initial element position
-        * @type {Array}
-        */
-        nodeXY: null,
-        /**
-        * @property lastXY
-        * @description The position of the element as it's moving (for offset calculations)
-        * @type {Array}
-        */
-        lastXY: null,
-        /**
-        * @property mouseXY
-        * @description The XY coords of the mousemove
-        * @type {Array}
-        */
-        mouseXY: null,
-        /**
-        * @property region
-        * @description A region object associated with this drag, used for checking regions while dragging.
-        * @type Object
-        */
-        region: null,       
-        /**
-        * @private
-        * @method _handleMouseUp
-        * @description Handler for the mouseup DOM event
-        * @param {Event}
-        */
-        _handleMouseUp: function(ev) {
-            this._fixIEMouseUp();
-            if (DDM.activeDrag) {
-                DDM._end();
-            }
-        },
-        /** 
-        * @private
-        * @method _ieSelectFix
-        * @description The function we use as the onselectstart handler when we start a drag in Internet Explorer
-        */
-        _ieSelectFix: function() {
-            return false;
-        },
-        /** 
-        * @private
-        * @property _ieSelectBack
-        * @description We will hold a copy of the current "onselectstart" method on this property, and reset it after we are done using it.
-        */
-        _ieSelectBack: null,
-        /**
-        * @private
-        * @method _fixIEMouseDown
-        * @description This method copies the onselectstart listner on the document to the _ieSelectFix property
-        */
-        _fixIEMouseDown: function() {
-            if (Y.UA.ie) {
-                this._ieSelectBack = Y.config.doc.body.onselectstart;
-                Y.config.doc.body.onselectstart = this._ieSelectFix;
-            }           
-        },
-        /**
-        * @private
-        * @method _fixIEMouseUp
-        * @description This method copies the _ieSelectFix property back to the onselectstart listner on the document.
-        */
-        _fixIEMouseUp: function() {
-            if (Y.UA.ie) {
-                Y.config.doc.body.onselectstart = this._ieSelectBack;
-            }           
-        },
-        /**
-        * @private
-        * @method _handleMouseDownEvent
-        * @description Handler for the mousedown DOM event
-        * @param {Event}
-        */
-        _handleMouseDownEvent: function(ev) {
-            this.fire(EV_MOUSE_DOWN, { ev: ev });
-        },
-        /**
-        * @private
-        * @method _handleMouseDown
-        * @description Handler for the mousedown DOM event
-        * @param {Event}
-        */
-        _handleMouseDown: function(e) {
-            var ev = e.ev;
-            Y.log('_handleMouseDown', 'info', 'dd-drag');
-            this._dragThreshMet = false;
-            this._ev_md = ev;
-            
-            if (this.get('primaryButtonOnly') && ev.button > 1) {
-                Y.log('Mousedown was not produced by the primary button', 'warn', 'dd-drag');
-                return false;
-            }
-            if (this.validClick(ev)) {
-                this._fixIEMouseDown();
-                ev.halt();
-                this._setStartPosition([ev.pageX, ev.pageY]);
-
-                DDM.activeDrag = this;
-
-                var self = this;
-                this._clickTimeout = setTimeout(function() {
-                    self._timeoutCheck.call(self);
-                }, this.get('clickTimeThresh'));
-            }
-            this.fire(EV_AFTER_MOUSE_DOWN, { ev: ev });
-        },
-        /**
-        * @method validClick
-        * @description Method first checks to see if we have handles, if so it validates the click against the handle. Then if it finds a valid handle, it checks it against the invalid handles list. Returns true if a good handle was used, false otherwise.
-        * @param {Event}
-        * @return {Boolean}
-        */
-        validClick: function(ev) {
-            var r = false,
-            tar = ev.target,
-            hTest = null;
-            if (this._handles) {
-                Y.log('validClick: We have handles', 'info', 'dd-drag');
-                Y.each(this._handles, function(i, n) {
-                    if (Y.Lang.isString(n)) {
-                        //Am I this or am I inside this
-                        if (tar.test(n + ', ' + n + ' *')) {
-                            Y.log('Valid Selector found: ' + n, 'info', 'dd-drag');
-                            hTest = n;
-                            r = true;
-                        }
-                    }
-                });
-            } else {
-                if (this.get(NODE).contains(tar) || this.get(NODE).compareTo(tar)) {
-                    Y.log('validClick: We have a valid click', 'info', 'dd-drag');
-                    r = true;
-                }
-            }
-            if (r) {
-                Y.log('validClick: Check invalid selectors', 'info', 'dd-drag');
-                if (this._invalids) {
-                    Y.each(this._invalids, function(i, n) {
-                        if (Y.Lang.isString(n)) {
-                            //Am I this or am I inside this
-                            if (tar.test(n + ', ' + n + ' *')) {
-                                Y.log('Invalid Selector found: (' + (n + ', ' + n + ' *') + ')', 'warn', 'dd-drag');
-                                r = false;
-                            }
-                        }
-                    });
-                }
-            }
-            if (r) {
-                if (hTest) {
-                    var els = ev.currentTarget.queryAll(hTest);
-                    els.each(function(n, i) {
-                        if (n.contains(tar) || n.compareTo(tar)) {
-                            this.set('activeHandle', els.item(i));
-                        }
-                    }, this);
-                } else {
-                    this.set('activeHandle', this.get(NODE));
-                }
-            }
-            return r;
-        },
-        /**
-        * @private
-        * @method _setStartPosition
-        * @description Sets the current position of the Element and calculates the offset
-        * @param {Array} xy The XY coords to set the position to.
-        */
-        _setStartPosition: function(xy) {
-            this.startXY = xy;
-            
-            this.nodeXY = this.get(NODE).getXY();
-            this.lastXY = this.nodeXY;
-
-            if (this.get('offsetNode')) {
-                this.deltaXY = [(this.startXY[0] - this.nodeXY[0]), (this.startXY[1] - this.nodeXY[1])];
-            } else {
-                this.deltaXY = [0, 0];
-            }
-        },
-        /**
-        * @private
-        * @method _timeoutCheck
-        * @description The method passed to setTimeout to determine if the clickTimeThreshold was met.
-        */
-        _timeoutCheck: function() {
-            if (!this.get('lock')) {
-                Y.log("timeout threshold met", "info", "dd-drag");
-                this._fromTimeout = true;
-                this._dragThreshMet = true;
-                this.start();
-                this._moveNode([this._ev_md.pageX, this._ev_md.pageY], true);
-            }
-        },
-        /**
-        * @method removeHandle
-        * @description Remove a Selector added by addHandle
-        * @param {String} str The selector for the handle to be removed. 
-        * @return {Self}
-        * @chainable
-        */
-        removeHandle: function(str) {
-            if (this._handles[str]) {
-                delete this._handles[str];
-                this.fire(EV_REMOVE_HANDLE, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method addHandle
-        * @description Add a handle to a drag element. Drag only initiates when a mousedown happens on this element.
-        * @param {String} str The selector to test for a valid handle. Must be a child of the element.
-        * @return {Self}
-        * @chainable
-        */
-        addHandle: function(str) {
-            if (!this._handles) {
-                this._handles = {};
-            }
-            if (Y.Lang.isString(str)) {
-                this._handles[str] = true;
-                this.fire(EV_ADD_HANDLE, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method removeInvalid
-        * @description Remove an invalid handle added by addInvalid
-        * @param {String} str The invalid handle to remove from the internal list.
-        * @return {Self}
-        * @chainable
-        */
-        removeInvalid: function(str) {
-            if (this._invalids[str]) {
-                delete this._handles[str];
-                this.fire(EV_REMOVE_INVALID, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method addInvalid
-        * @description Add a selector string to test the handle against. If the test passes the drag operation will not continue.
-        * @param {String} str The selector to test against to determine if this is an invalid drag handle.
-        * @return {Self}
-        * @chainable
-        */
-        addInvalid: function(str) {
-            if (Y.Lang.isString(str)) {
-                this._invalids[str] = true;
-                this.fire(EV_ADD_INVALID, { handle: str });
-            } else {
-                Y.log('Selector needs to be a string..', 'warn', 'dd-drag');
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Internal init handler
-        */
-        initializer: function() {
-            //TODO give the node instance a copy of this object
-            //Not supported in PR1 due to Y.Node.get calling a new under the hood.
-            //this.get(NODE).dd = this;
-
-            if (!this.get(NODE).get('id')) {
-                var id = Y.stamp(this.get(NODE));
-                this.get(NODE).set('id', id);
-            }
-            
-
-            this._invalids = this._invalidsDefault;
-
-            this._createEvents();
-            
-            if (!this.get(DRAG_NODE)) {
-                this.set(DRAG_NODE, this.get(NODE));
-            }
-            this._prep();
-            this._dragThreshMet = false;
-        },
-        /**
-        * @private
-        * @method _prep
-        * @description Attach event listners and add classname
-        */
-        _prep: function() {
-            var node = this.get(NODE);
-            node.addClass(DDM.CSS_PREFIX + '-draggable');
-            node.on(MOUSE_DOWN, this._handleMouseDownEvent, this, true);
-            node.on(MOUSE_UP, this._handleMouseUp, this, true);
-        },
-        /**
-        * @private
-        * @method _unprep
-        * @description Detach event listners and remove classname
-        */
-        _unprep: function() {
-            var node = this.get(NODE);
-            node.removeClass(DDM.CSS_PREFIX + '-draggable');
-            node.detach(MOUSE_DOWN, this._handleMouseDownEvent, this, true);
-            node.detach(MOUSE_UP, this._handleMouseUp, this, true);
-        },
-        /**
-        * @method start
-        * @description Starts the drag operation
-        * @return {Self}
-        * @chainable
-        */
-        start: function() {
-            if (!this.get('lock') && !this.get('dragging')) {
-                this.set('dragging', true);
-                DDM._start(this.deltaXY, [this.get(NODE).get(OFFSET_HEIGHT), this.get(NODE).get(OFFSET_WIDTH)]);
-                Y.log('startDrag', 'info', 'dd-drag');
-                this.get(NODE).addClass(DDM.CSS_PREFIX + '-dragging');
-                this.fire(EV_START, { pageX: this.nodeXY[0], pageY: this.nodeXY[1] });
-                this.get(DRAG_NODE).on(MOUSE_UP, this._handleMouseUp, this, true);
-                var xy = this.nodeXY;
-
-                this._startTime = (new Date()).getTime();
-                
-                this.region = {
-                    '0': xy[0], 
-                    '1': xy[1],
-                    area: 0,
-                    top: xy[1],
-                    right: xy[0] + this.get(NODE).get(OFFSET_WIDTH),
-                    bottom: xy[1] + this.get(NODE).get(OFFSET_HEIGHT),
-                    left: xy[0]
-                };
-                
-            }
-            return this;
-        },
-        /**
-        * @method end
-        * @description Ends the drag operation
-        * @return {Self}
-        * @chainable
-        */
-        end: function() {
-            this._endTime = (new Date()).getTime();
-            clearTimeout(this._clickTimeout);
-            this._dragThreshMet = false;
-            this._fromTimeout = false;
-            if (!this.get('lock') && this.get('dragging')) {
-                Y.log('endDrag', 'info', 'dd-drag');
-                this.fire(EV_END, { pageX: this.lastXY[0], pageY: this.lastXY[1] });
-            }
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-dragging');
-            this.set('dragging', false);
-            this.deltaXY = [0, 0];
-            this.get(DRAG_NODE).detach(MOUSE_UP, this._handleMouseUp, this, true);
-
-            return this;
-        },
-        /**
-        * @private
-        * @method _align
-        * @description Calculates the offsets and set's the XY that the element will move to.
-        * @param {Array} xy The xy coords to align with.
-        * @return Array
-        * @type {Array}
-        */
-        _align: function(xy) {
-            return [xy[0] - this.deltaXY[0], xy[1] - this.deltaXY[1]];
-        },
-        /**
-        * @private
-        * @method _moveNode
-        * @description This method performs the actual element move.
-        * @param {Array} eXY The XY to move the element to, usually comes from the mousemove DOM event.
-        * @param {Boolean} noFire If true, the drag:drag event will not fire.
-        */
-        _moveNode: function(eXY, noFire) {
-            var xy = this._align(eXY), diffXY = [], diffXY2 = [];
-
-            diffXY[0] = (xy[0] - this.lastXY[0]);
-            diffXY[1] = (xy[1] - this.lastXY[1]);
-
-            diffXY2[0] = (xy[0] - this.nodeXY[0]);
-            diffXY2[1] = (xy[1] - this.nodeXY[1]);
-
-            if (this.get('move')) {
-                if (Y.UA.opera) {
-                    this.get(DRAG_NODE).setXY(xy);
-                } else {
-                    DDM.setXY(this.get(DRAG_NODE), diffXY);
-                }
-            }
-
-            this.region = {
-                '0': xy[0], 
-                '1': xy[1],
-                area: 0,
-                top: xy[1],
-                right: xy[0] + this.get(NODE).get(OFFSET_WIDTH),
-                bottom: xy[1] + this.get(NODE).get(OFFSET_HEIGHT),
-                left: xy[0]
-            };
-
-            var startXY = this.nodeXY;
-            if (!noFire) {
-                this.fire(EV_DRAG, {
-                    pageX: xy[0],
-                    pageY: xy[1],
-                    info: {
-                        start: startXY,
-                        xy: xy,
-                        delta: diffXY,
-                        offset: diffXY2
-                    } 
-                });
-            }
-            
-            this.lastXY = xy;
-        },
-        /**
-        * @private
-        * @method _move
-        * @description Fired from DragDropMgr (DDM) on mousemove.
-        * @param {Event} ev The mousemove DOM event
-        */
-        _move: function(ev) {
-            if (this.get('lock')) {
-                Y.log('Drag Locked', 'warn', 'dd-drag');
-                return false;
-            } else {
-                this.mouseXY = [ev.pageX, ev.pageY];
-                if (!this._dragThreshMet) {
-                    var diffX = Math.abs(this.startXY[0] - ev.pageX);
-                    var diffY = Math.abs(this.startXY[1] - ev.pageY);
-                    Y.log("diffX: " + diffX + ", diffY: " + diffY, 'info', 'dd-drag');
-                    if (diffX > this.get('clickPixelThresh') || diffY > this.get('clickPixelThresh')) {
-                        Y.log("pixel threshold met", "info", "dd-drag");
-                        this._dragThreshMet = true;
-                        this.start();
-                        this._moveNode([ev.pageX, ev.pageY]);
-                    }
-                
-                } else {
-                    clearTimeout(this._clickTimeout);
-                    this._moveNode([ev.pageX, ev.pageY]);
-                }
-            }
-        },
-        /**
-        * @method stopDrag
-        * @description Method will forcefully stop a drag operation. For example calling this from inside an ESC keypress handler will stop this drag.
-        * @return {Self}
-        * @chainable
-        */
-        stopDrag: function() {
-            if (this.get('dragging')) {
-                Y.log('stopDrag called', 'warn', 'dd-drag');
-                DDM._end();
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method destructor
-        * @description Lifecycle destructor, unreg the drag from the DDM and remove listeners
-        */
-        destructor: function() {
-            DDM._unregDrag(this);
-
-            this._unprep();
-            if (this.target) {
-                this.target.destroy();
-            }
-        }
-    });
-    Y.namespace('DD');    
-    Y.DD.Drag = Drag;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-base'], skinnable:false});
-YUI.add('dd-proxy', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-proxy
-     */
-    /**
-     * This class extends dd-drag to allow for creating a proxy drag node, instead of dragging the original node.
-     * @class Proxy
-     * @extends Drag
-     * @constructor
-     */
-    var DDM = Y.DD.DDM,
-        NODE = 'node',
-        DRAG_NODE = 'dragNode',
-        PROXY = 'proxy';
-     
-
-    var Proxy = function() {
-        Proxy.superclass.constructor.apply(this, arguments);
-
-    };
-
-    Proxy.NAME = 'dragProxy';
-
-    Proxy.ATTRS = {
-        /**
-        * @attribute moveOnEnd
-        * @description Move the original node at the end of the drag. Default: true
-        * @type Boolean
-        */
-        moveOnEnd: {
-            value: true
-        },
-        /**
-        * @attribute resizeFrame
-        * @description Make the Proxy node assume the size of the original node. Default: true
-        * @type Boolean
-        */
-        resizeFrame: {
-            value: true
-        },
-        /**
-        * @attribute proxy
-        * @description Make this Draggable instance a Proxy instance. Default: false
-        * @type Boolean
-        */
-        proxy: {
-            writeOnce: true,
-            value: false
-        },        
-        /**
-        * @attribute positionProxy
-        * @description Make the Proxy node appear in the same place as the original node. Default: true
-        * @type Boolean
-        */
-        positionProxy: {
-            value: true
-        },
-        /**
-        * @attribute borderStyle
-        * @description The default border style for the border of the proxy. Default: 1px solid #808080
-        * @type Boolean
-        */
-        borderStyle: {
-            value: '1px solid #808080'
-        }
-    };
-
-    var proto = {
-        /**
-        * @private
-        * @method _createFrame
-        * @description Create the proxy element if it doesn't already exist and set the DD.DDM._proxy value
-        */
-        _createFrame: function() {
-            if (!DDM._proxy) {
-                DDM._proxy = true;
-                var p = Y.Node.create('<div></div>');
-
-                p.setStyles({
-                    position: 'absolute',
-                    display: 'none',
-                    zIndex: '999',
-                    top: '-999px',
-                    left: '-999px',
-                    border: this.get('borderStyle')
-                });
-
-                var b = Y.Node.get('body');
-                b.insertBefore(p, b.get('firstChild'));
-                p.set('id', Y.stamp(p));
-                p.addClass(DDM.CSS_PREFIX + '-proxy');
-                DDM._proxy = p;
-            }
-        },
-        /**
-        * @private
-        * @method _setFrame
-        * @description If resizeProxy is set to true (default) it will resize the proxy element to match the size of the Drag Element.
-        * If positionProxy is set to true (default) it will position the proxy element in the same location as the Drag Element.
-        */
-        _setFrame: function() {
-            var n = this.get(NODE);
-            if (this.get('resizeFrame')) {
-                DDM._proxy.setStyles({
-                    height: n.get('offsetHeight') + 'px',
-                    width: n.get('offsetWidth') + 'px'
-                });
-            }
-            this.get(DRAG_NODE).setStyles({
-                visibility: 'hidden',
-                display: 'block',
-                border: this.get('borderStyle')
-            });
-
-            if (this.get('positionProxy')) {
-                this.get(DRAG_NODE).setXY(this.nodeXY);
-            }
-            this.get(DRAG_NODE).setStyle('visibility', 'visible');
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Lifecycle method
-        */
-        initializer: function() {
-            if (this.get(PROXY)) {
-                this._createFrame();
-            }
-        },
-        /**
-        * @method start
-        * @description Starts the drag operation and sets the dragNode config option.
-        */       
-        start: function() {
-            if (!this.get('lock')) {
-                if (this.get(PROXY)) {
-                    if (this.get(DRAG_NODE).compareTo(this.get(NODE))) {
-                        this.set(DRAG_NODE, DDM._proxy);
-                    }
-                }
-            }
-            Proxy.superclass.start.apply(this);
-            if (this.get(PROXY)) {
-                this._setFrame();
-            }
-        },
-        /**
-        * @method end
-        * @description Ends the drag operation, if moveOnEnd is set it will position the Drag Element to the new location of the proxy.
-        */        
-        end: function() {
-            if (this.get(PROXY) && this.get('dragging')) {
-                if (this.get('moveOnEnd')) {
-                    this.get(NODE).setXY(this.lastXY);
-                }
-                this.get(DRAG_NODE).setStyle('display', 'none');
-            }
-            Proxy.superclass.end.apply(this);
-        }
-    };
-    //Extend DD.Drag
-    Y.extend(Proxy, Y.DD.Drag, proto);
-    //Set this new class as DD.Drag for other extensions
-    Y.DD.Drag = Proxy;    
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm', 'dd-drag'], skinnable:false});
-YUI.add('dd-constrain', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-constrain
-     */
-    /**
-     * This class extends the dd-drag module to add the constraining methods to it. It supports constraining to a region, node or viewport. It also
-     * supports tick based moves and XY axis constraints.
-     * @class DragConstained
-     * @extends Drag
-     * @constructor
-     */
-
-    var DRAG_NODE = 'dragNode',
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth';
-
-
-    var C = function() {
-        C.superclass.constructor.apply(this, arguments);
-
-    };
-    
-    C.NAME = 'DragConstrained';
-
-    C.ATTRS = {
-        /**
-        * @attribute stickX
-        * @description Stick the drag movement to the X-Axis. Default: false
-        * @type Boolean
-        */        
-        stickX: {
-            value: false
-        },
-        /**
-        * @attribute stickY
-        * @description Stick the drag movement to the Y-Axis
-        * @type Boolean
-        */        
-        stickY: {
-            value: false
-        },
-        /**
-        * @attribute tickX
-        * @description The X tick offset the drag node should snap to on each drag move. False for no ticks. Default: false
-        * @type Number/false
-        */        
-        tickX: {
-            value: false
-        },
-        /**
-        * @attribute tickY
-        * @description The Y tick offset the drag node should snap to on each drag move. False for no ticks. Default: false
-        * @type Number/false
-        */        
-        tickY: {
-            value: false
-        },
-        /**
-        * @attribute tickXArray
-        * @description An array of page coordinates to use as X ticks for drag movement.
-        * @type Array
-        */
-        tickXArray: {
-            value: false
-        },
-        /**
-        * @attribute tickYArray
-        * @description An array of page coordinates to use as Y ticks for drag movement.
-        * @type Array
-        */
-        tickYArray: {
-            value: false
-        },
-        /**
-        * @attribute constrain2region
-        * @description An Object Literal containing a valid region (top, right, bottom, left) of page positions to constrain the drag node to.
-        * @type Object
-        */
-        constrain2region: {
-            value: false,
-            get: function(r) {
-                if (Y.Lang.isObject(r)) {
-                    var o = {};
-                    Y.mix(o, r);
-                    return o;
-                } else {
-                    return false;
-                }
-            },
-            set: function (r) {
-                if (Y.Lang.isObject(r)) {
-                    if (r.top && r.right && r.left && r.bottom) {
-                        var o = {};
-                        Y.mix(o, r);
-                        return o;
-                    } else {
-                        Y.log('constrain2region expecting a valid object with (top, right, bottom, left properties)', 'error', 'DragConstrain');
-                        return false;
-                    }
-                } else if (r !== false) {
-                    Y.log('constrain2region expecting an object', 'error', 'DragConstrain');
-                    return false;
-                }
-            }
-        },
-        /**
-        * @attribute gutter
-        * @description CSS style string for the gutter of a region (supports negative values): '5 0' (sets top and bottom to 5px, left and right to 0px), '1 2 3 4' (top 1px, right 2px, bottom 3px, left 4px)        
-        * @type String
-        */
-        gutter: {
-            value: '0',
-            set: function(gutter) {
-                return Y.DD.DDM.cssSizestoObject(gutter);
-            }
-        },
-        /**
-        * @attribute constrain2node
-        * @description Will attempt to constrain the drag node to the bounderies of this node.
-        * @type Object
-        */
-        constrain2node: {
-            value: false,
-            set: function(n) {
-                if (!this.get('constrain2region')) {
-                    var node = Y.Node.get(n);
-                    if (node) {
-                        return node;
-                    }
-                } else if (this.get('constrain2region') !== false) {
-                    Y.log('constrain2region found, can not have both. Node ignored', 'warn', 'DragConstrain');
-                }
-                return false;
-            }
-        },
-        /**
-        * @attribute constrain2view
-        * @description Will attempt to constrain the drag node to the bounderies of the viewport region.
-        * @type Object
-        */
-        constrain2view: {
-            value: false
-        }
-    };
-
-    var proto = {
-        start: function() {
-            C.superclass.start.apply(this, arguments);
-            this._regionCache = null;
-        },
-        /**
-        * @private
-        * @property _regionCache
-        * @description Store a cache of the region that we are constraining to
-        * @type Object
-        */
-        _regionCache: null,
-        /**
-        * @private
-        * @method _cacheRegion
-        * @description Get's the region and caches it, called from window.resize and when the cache is null
-        */
-        _cacheRegion: function() {
-            this._regionCache = this.get('constrain2node').get('region');
-        },
-        /**
-        * @method getRegion
-        * @description Get the active region: viewport, node, custom region
-        * @param {Boolean} inc Include the node's height and width
-        * @return {Object}
-        */
-        getRegion: function(inc) {
-            var r = {};
-            if (this.get('constrain2node')) {
-                if (!this._regionCache) {
-                    Y.Event.addListener('window', 'resize', this._cacheRegion, this);
-                    this._cacheRegion();
-                }
-                r = Y.clone(this._regionCache);
-            } else if (this.get('constrain2region')) {
-                r = this.get('constrain2region');
-            } else if (this.get('constrain2view')) {
-                r = this.get('node').get('viewportRegion');
-            } else {
-                return false;
-            }
-            var g = this.get('gutter');
-            Y.each(g, function(i, n) {
-                if ((n == 'right') || (n == 'bottom')) {
-                    r[n] -= i;
-                } else {
-                    r[n] += i;
-                }
-            });
-            if (inc) {
-                var oh = this.get(DRAG_NODE).get(OFFSET_HEIGHT),
-                    ow = this.get(DRAG_NODE).get(OFFSET_WIDTH);
-                r.right = r.right - ow;
-                r.bottom = r.bottom - oh;
-            }
-            return r;
-        },
-        /**
-        * @private
-        * @method _checkRegion
-        * @description
-        * @param {Array} _xy The XY to check if it's in the current region, if it isn't inside the region, it will reset the xy array to be inside the region.
-        * @return {Array} The new XY that is inside the region
-        */
-        _checkRegion: function(_xy) {
-            var oxy = _xy,
-                r = this.getRegion(),
-                oh = this.get(DRAG_NODE).get(OFFSET_HEIGHT),
-                ow = this.get(DRAG_NODE).get(OFFSET_WIDTH);
-
-            if (r.top > oxy[1]) {
-                oxy[1] = r.top;
-
-            }
-            if (oxy[1] > (r.bottom - oh)) {
-                oxy[1] = (r.bottom - oh);
-            }
-            if (r.left > oxy[0]) {
-                oxy[0] = r.left;
-            }
-            if (oxy[0] > (r.right - ow)) {
-                oxy[0] = (r.right - ow);
-            }
-
-            return oxy;
-        },
-        /**
-        * @method inRegion
-        * @description Checks if the XY passed or the dragNode is inside the active region.
-        * @param {Array} xy Optional XY to check, if not supplied this.get('dragNode').getXY() is used.
-        * @return {Boolean} True if the XY is inside the region, false otherwise.
-        */
-        inRegion: function(xy) {
-            xy = xy || this.get(DRAG_NODE).getXY();
-
-            var _xy = this._checkRegion([xy[0], xy[1]]),
-                inside = false;
-                if ((xy[0] === _xy[0]) && (xy[1] === _xy[1])) {
-                    inside = true;
-                }
-            return inside;
-        },
-        /**
-        * @private
-        * @method _align
-        * @description Override of Drag _align to account for region checking and tick checking
-        * @param {Array} xy The XY to check for ticks and region
-        * @return {Array} The modified XY coords.
-        */
-        _align: function(xy) {
-            var _xy = C.superclass._align.apply(this, arguments),
-                r = this.getRegion(true);
-            if (this.get('stickX')) {
-                _xy[1] = (this.startXY[1] - this.deltaXY[1]);
-            }
-            if (this.get('stickY')) {
-                _xy[0] = (this.startXY[0] - this.deltaXY[0]);
-            }
-
-
-            if (r) {
-                _xy = this._checkRegion(_xy);
-            }
-                
-            _xy = this._checkTicks(_xy, r);
-            return _xy;
-        },
-        /**
-        * @private
-        * @method _calcTicks
-        * @description Helper method to calculate the tick offsets for a given position
-        * @param {Number} pos The current X or Y position
-        * @param {Number} start The start X or Y position
-        * @param {Number} tick The X or Y tick increment
-        * @param {Number} off1 The min offset that we can't pass (region)
-        * @param {Number} off2 The max offset that we can't pass (region)
-        * @return {Number} The new position based on the tick calculation
-        */
-        _calcTicks: function(pos, start, tick, off1, off2) {
-            var ix = ((pos - start) / tick),
-                min = Math.floor(ix),
-                max = Math.ceil(ix);
-                if ((min !== 0) || (max !== 0)) {
-                    if ((ix >= min) && (ix <= max)) {
-                        pos = (start + (tick * min));
-                        if (off1 && off2) {
-                            if (pos < off1) {
-                                pos = (start + (tick * (min + 1)));
-                            }
-                            if (pos > off2) {
-                                pos = (start + (tick * (min - 1)));
-                            }
-                        }
-                    }
-                }
-                return pos;
-        },
-        /**
-        * @private
-        * @method _calcTickArray
-        * @description This method is used with the tickXArray and tickYArray config options
-        * @param {Number} pos The current X or Y position
-        * @param {Number} ticks The array containing our custom tick positions.
-        * @param {Number} off1 The min offset that we can't pass (region)
-        * @param {Number} off2 The max offset that we can't pass (region)
-        * @return The tick position
-        */
-        _calcTickArray: function(pos, ticks, off1, off2) {
-            var i = 0, len = ticks.length, next = 0;
-
-            if (!ticks || (ticks.length === 0)) {
-                return pos;
-            } else if (ticks[0] >= pos) {
-                return ticks[0];
-            } else {
-                for (i = 0; i < len; i++) {
-                    next = (i + 1);
-                    if (ticks[next] && ticks[next] >= pos) {
-                        var diff1 = pos - ticks[i],
-                            diff2 = ticks[next] - pos;
-                        var ret = (diff2 > diff1) ? ticks[i] : ticks[next];
-                        if (off1 && off2) {
-                            if (ret > off2) {
-                                if (ticks[i]) {
-                                    ret = ticks[i];
-                                } else {
-                                    ret = ticks[len - 1];
-                                }
-                            }
-                        }
-                        return ret;
-                    }
-                    
-                }
-                return ticks[ticks.length - 1];
-            }
-        },
-        /**
-        * @private
-        * @method _checkTicks
-        * @description This method delegates the proper helper method for tick calculations
-        * @param {Array} xy The XY coords for the Drag
-        * @param {Object} r The optional region that we are bound to.
-        * @return {Array} The calced XY coords
-        */
-        _checkTicks: function(xy, r) {
-            var lx = (this.startXY[0] - this.deltaXY[0]),
-                ly = (this.startXY[1] - this.deltaXY[1]),
-                xt = this.get('tickX'),
-                yt = this.get('tickY');
-                if (xt && !this.get('tickXArray')) {
-                    xy[0] = this._calcTicks(xy[0], lx, xt, r.left, r.right);
-                }
-                if (yt && !this.get('tickYArray')) {
-                    xy[1] = this._calcTicks(xy[1], ly, yt, r.top, r.bottom);
-                }
-                if (this.get('tickXArray')) {
-                    xy[0] = this._calcTickArray(xy[0], this.get('tickXArray'), r.left, r.right);
-                }
-                if (this.get('tickYArray')) {
-                    xy[1] = this._calcTickArray(xy[1], this.get('tickYArray'), r.top, r.bottom);
-                }
-
-            return xy;
-        }
-    };
-    //Extend DD.Drag
-    Y.extend(C, Y.DD.Drag, proto);
-    //Set this to DD.Drag for other extensions
-    Y.DD.Drag = C;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drag', 'dd-proxy'], skinnable:false});
-YUI.add('dd-plugin', function(Y) {
-
-       /**
-        * This is a simple Drag plugin that can be attached to a Node via the plug method.
-        * @module dd-plugin
-        * @submodule dd-plugin
-        */
-       /**
-        * This is a simple Drag plugin that can be attached to a Node via the plug method.
-        * @class DragPlugin
-        * @extends Drag
-        * @constructor
-        */
-
-        Y.Plugin = Y.Plugin || {};
-
-        var Drag = function(config) {
-            config.node = config.owner;
-            Drag.superclass.constructor.apply(this, arguments);
-        };
-        
-        /**
-        * @property NAME
-        * @description dd-plugin
-        * @type {String}
-        */
-        Drag.NAME = "dd-plugin";
-        /**
-        * @property NS
-        * @description The Drag instance will be placed on the Node instance under the dd namespace. It can be accessed via Node.dd;
-        * @type {String}
-        */
-        Drag.NS = "dd";
-
-
-        Y.extend(Drag, Y.DD.Drag);
-        Y.Plugin.Drag = Drag;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drag'], skinnable:false, optional:['dd-constrain', 'dd-proxy']});
-YUI.add('dd-drop', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-drop
-     */     
-    /**
-     * This class provides the ability to create a Drop Target.
-     * @class Drop
-     * @extends Base
-     * @constructor
-     */
-
-    var NODE = 'node',
-        DDM = Y.DD.DDM,
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth',
-        /**
-        * @event drop:over
-        * @description Fires when a drag element is over this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_OVER = 'drop:over',
-        /**
-        * @event drop:enter
-        * @description Fires when a drag element enters this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_ENTER = 'drop:enter',
-        /**
-        * @event drop:exit
-        * @description Fires when a drag element exits this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_EXIT = 'drop:exit';
-
-        /**
-        * @event drop:hit
-        * @description Fires when a draggable node is dropped on this Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        
-
-    var Drop = function() {
-        Drop.superclass.constructor.apply(this, arguments);
-
-        this._createShim();
-        DDM._regTarget(this);
-        /* TODO
-        if (Dom.getStyle(this.el, 'position') == 'fixed') {
-            Event.on(window, 'scroll', function() {
-                this.activateShim();
-            }, this, true);
-        }
-        */
-    };
-
-    Drop.NAME = 'drop';
-
-    Drop.ATTRS = {
-        /**
-        * @attribute node
-        * @description Y.Node instanace to use as the element to make a Drop Target
-        * @type Node
-        */        
-        node: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drop: Invalid Node Given: ' + node);
-                }
-                return n;               
-            }
-        },
-        /**
-        * @attribute groups
-        * @description Array of groups to add this drop into.
-        * @type Array
-        */        
-        groups: {
-            value: ['default'],
-            set: function(g) {
-                this._groups = {};
-                Y.each(g, function(v, k) {
-                    this._groups[v] = true;
-                }, this);
-            }
-        },   
-        /**
-        * @attribute padding
-        * @description CSS style padding to make the Drop Target bigger than the node.
-        * @type String
-        */
-        padding: {
-            value: '0',
-            set: function(p) {
-                return DDM.cssSizestoObject(p);
-            }
-        },
-        /**
-        * @attribute lock
-        * @description Set to lock this drop element.
-        * @type Boolean
-        */        
-        lock: {
-            value: false,
-            set: function(lock) {
-                if (lock) {
-                    this.get(NODE).addClass(DDM.CSS_PREFIX + '-drop-locked');
-                } else {
-                    this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-locked');
-                }
-            }
-        }
-    };
-
-    Y.extend(Drop, Y.Base, {
-        /**
-        * @private
-        * @method _createEvents
-        * @description This method creates all the events for this Event Target and publishes them so we get Event Bubbling.
-        */
-        _createEvents: function() {
-            
-            var ev = [
-                EV_DROP_OVER,
-                EV_DROP_ENTER,
-                EV_DROP_EXIT,
-                'drop:hit'
-            ];
-
-            Y.each(ev, function(v, k) {
-                this.publish(v, {
-                    type: v,
-                    emitFacade: true,
-                    preventable: false,
-                    bubbles: true,
-                    queuable: true
-                });
-            }, this);
-
-            this.addTarget(DDM);
-            
-        },
-        /**
-        * @private
-        * @property _valid
-        * @description Flag for determining if the target is valid in this operation.
-        * @type Boolean
-        */
-        _valid: null,
-        /**
-        * @private
-        * @property _groups
-        * @description The groups this target belongs to.
-        * @type Array
-        */
-        _groups: null,
-        /**
-        * @property shim
-        * @description Node reference to the targets shim
-        * @type {Object}
-        */
-        shim: null,
-        /**
-        * @property region
-        * @description A region object associated with this target, used for checking regions while dragging.
-        * @type Object
-        */
-        region: null,
-        /**
-        * @property overTarget
-        * @description This flag is tripped when a drag element is over this target.
-        * @type Boolean
-        */
-        overTarget: null,
-        /**
-        * @method inGroup
-        * @description Check if this target is in one of the supplied groups.
-        * @param {Array} groups The groups to check against
-        * @return Boolean
-        */
-        inGroup: function(groups) {
-            this._valid = false;
-            var ret = false;
-            Y.each(groups, function(v, k) {
-                if (this._groups[v]) {
-                    ret = true;
-                    this._valid = true;
-                }
-            }, this);
-            return ret;
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Private lifecycle method
-        */
-        initializer: function() {
-            this._createEvents();
-            var node = this.get(NODE);
-            if (!node.get('id')) {
-                var id = Y.stamp(node);
-                node.set('id', id);
-            }
-            node.addClass(DDM.CSS_PREFIX + '-drop');
-        },
-        /**
-        * @private
-        * @method destructor
-        * @description Lifecycle destructor, unreg the drag from the DDM and remove listeners
-        */
-        destructor: function() {
-            DDM._unregTarget(this);
-            if (this.shim) {
-                this.shim.get('parentNode').removeChild(this.shim);
-                this.shim = null;
-            }
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop');
-        },        
-        /**
-        * @private
-        * @method _deactivateShim
-        * @description Removes classes from the target, resets some flags and sets the shims deactive position [-999, -999]
-        */
-        _deactivateShim: function() {
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-active-valid');
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-over');
-            this.shim.setStyles({
-                top: '-999px',
-                left: '-999px'
-            });
-            this.overTarget = false;
-        },
-        /**
-        * @private
-        * @method _activateShim
-        * @description Activates the shim and adds some interaction CSS classes
-        */
-        _activateShim: function() {
-            if (!DDM.activeDrag) {
-                return false; //Nothing is dragging, no reason to activate.
-            }
-            if (this.get(NODE) === DDM.activeDrag.get(NODE)) {
-                return false;
-            }
-            if (this.get('lock')) {
-                return false;
-            }
-            var node = this.get(NODE);
-            //TODO Visibility Check..
-            //if (this.inGroup(DDM.activeDrag.get('groups')) && this.get(NODE).isVisible()) {
-            if (this.inGroup(DDM.activeDrag.get('groups'))) {
-                node.removeClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-                node.addClass(DDM.CSS_PREFIX + '-drop-active-valid');
-                DDM._addValid(this);
-                this.overTarget = false;
-                this.sizeShim();
-            } else {
-                DDM._removeValid(this);
-                node.removeClass(DDM.CSS_PREFIX + '-drop-active-valid');
-                node.addClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-            }
-        },
-        /**
-        * @method sizeShim
-        * @description Positions and sizes the shim with the raw data from the node, this can be used to programatically adjust the Targets shim for Animation..
-        */
-        sizeShim: function() {
-            if (!DDM.activeDrag) {
-                return false; //Nothing is dragging, no reason to activate.
-            }
-            if (this.get(NODE) === DDM.activeDrag.get(NODE)) {
-                return false;
-            }
-            if (this.get('lock')) {
-                return false;
-            }
-            var node = this.get(NODE),
-                nh = node.get(OFFSET_HEIGHT),
-                nw = node.get(OFFSET_WIDTH),
-                xy = node.getXY(),
-                p = this.get('padding');
-
-
-            //Apply padding
-            nw = nw + p.left + p.right;
-            nh = nh + p.top + p.bottom;
-            xy[0] = xy[0] - p.left;
-            xy[1] = xy[1] - p.top;
-            
-
-            if (DDM.activeDrag.get('dragMode') === DDM.INTERSECT) {
-                //Intersect Mode, make the shim bigger
-                var dd = DDM.activeDrag,
-                    dH = dd.get(NODE).get(OFFSET_HEIGHT),
-                    dW = dd.get(NODE).get(OFFSET_WIDTH);
-                
-                nh = (nh + dH);
-                nw = (nw + dW);
-                xy[0] = xy[0] - (dW - dd.deltaXY[0]);
-                xy[1] = xy[1] - (dH - dd.deltaXY[1]);
-
-            }
-            
-            //Set the style on the shim
-            this.shim.setStyles({
-                height: nh + 'px',
-                width: nw + 'px',
-                top: xy[1] + 'px',
-                left: xy[0] + 'px'
-            });
-            
-            //Create the region to be used by intersect when a drag node is over us.
-            this.region = {
-                '0': xy[0], 
-                '1': xy[1],
-                area: 0,
-                top: xy[1],
-                right: xy[0] + nw,
-                bottom: xy[1] + nh,
-                left: xy[0]
-            };
-        },
-        /**
-        * @private
-        * @method _createShim
-        * @description Creates the Target shim and adds it to the DDM's playground..
-        */
-        _createShim: function() {
-            //var s = Y.Node.create(['div', { id: this.get(NODE).get('id') + '_shim' }]);
-            var s = Y.Node.create('<div id="' + this.get(NODE).get('id') + '_shim"></div>');
-            s.setStyles({
-                height: this.get(NODE).get(OFFSET_HEIGHT) + 'px',
-                width: this.get(NODE).get(OFFSET_WIDTH) + 'px',
-                backgroundColor: 'yellow',
-                opacity: '.5',
-                zIndex: 999,
-                overflow: 'hidden',
-                top: '-900px',
-                left: '-900px',
-                position:  'absolute'
-            });
-            DDM._pg.appendChild(s);
-            this.shim = s;
-
-            s.on('mouseover', this._handleOverEvent, this, true);
-            s.on('mouseout', this._handleOutEvent, this, true);
-        },
-        /**
-        * @private
-        * @method _handleOverTarget
-        * @description This handles the over target call made from this object or from the DDM
-        */
-        _handleTargetOver: function() {
-            if (DDM.isOverTarget(this)) {
-                this.get(NODE).addClass(DDM.CSS_PREFIX + '-drop-over');
-                DDM.activeDrop = this;
-                DDM.otherDrops[this] = this;
-                if (this.overTarget) {
-                    DDM.activeDrag.fire('drag:over', { drop: this, drag: DDM.activeDrag });
-                    this.fire(EV_DROP_OVER, { drop: this, drag: DDM.activeDrag });
-                } else {
-                    this.overTarget = true;
-                    this.fire(EV_DROP_ENTER, { drop: this, drag: DDM.activeDrag });
-                    DDM.activeDrag.fire('drag:enter', { drop: this, drag: DDM.activeDrag });
-                    DDM.activeDrag.get(NODE).addClass(DDM.CSS_PREFIX + '-drag-over');
-                    DDM._handleTargetOver();
-                }
-            } else {
-                this._handleOut();
-            }
-            
-        },
-        /**
-        * @private
-        * @method _handleOverEvent
-        * @description Handles the mouseover DOM event on the Target Shim
-        */
-        _handleOverEvent: function() {
-            DDM._addActiveShim(this);
-        },
-        /**
-        * @private
-        * @method _handleOut
-        * @description Handles the mouseout DOM event on the Target Shim
-        */
-        _handleOutEvent: function() {
-            DDM._removeActiveShim(this);
-        },
-        /**
-        * @private
-        * @method _handleOut
-        * @description Handles out of target calls/checks
-        */
-        _handleOut: function() {
-            if (!DDM.isOverTarget(this)) {
-                if (this.overTarget) {
-                    this.overTarget = false;
-                    DDM._removeActiveShim(this);
-                    if (DDM.activeDrag) {
-                        this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-over');
-                        DDM.activeDrag.get(NODE).removeClass(DDM.CSS_PREFIX + '-drag-over');
-                        this.fire(EV_DROP_EXIT);
-                        DDM.activeDrag.fire('drag:exit', { drop: this });
-                        delete DDM.otherDrops[this];
-                    }
-                }
-            }
-        }
-    });
-
-    Y.DD.Drop = Drop;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-drop', 'dd-drag'], skinnable:false});
-YUI.add('dd-drop-plugin', function(Y) {
-
-       /**
-        * This is a simple Drop plugin that can be attached to a Node via the plug method.
-        * @module dd-plugin
-        * @submodule dd-drop-plugin
-        */
-       /**
-        * This is a simple Drop plugin that can be attached to a Node via the plug method.
-        * @class DropPlugin
-        * @extends Drop
-        * @constructor
-        */
-
-        Y.Plugin = Y.Plugin || {};
-
-        var Drop = function(config) {
-            config.node = config.owner;
-            Drop.superclass.constructor.apply(this, arguments);
-        };
-        
-        /**
-        * @property NAME
-        * @description dd-drop-plugin
-        * @type {String}
-        */
-        Drop.NAME = "dd-drop-plugin";
-        /**
-        * @property NS
-        * @description The Drop instance will be placed on the Node instance under the drop namespace. It can be accessed via Node.drop;
-        * @type {String}
-        */
-        Drop.NS = "drop";
-
-
-        Y.extend(Drop, Y.DD.Drop);
-        Y.Plugin.Drop = Drop;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drop'], skinnable:false});
-
-
-YUI.add('dd', function(Y){}, '3.0.0pr1' ,{use:['dd-ddm-base', 'dd-ddm', 'dd-ddm-drop', 'dd-drag', 'dd-proxy', 'dd-constrain', 'dd-plugin', 'dd-drop', 'dd-drop-plugin'], skinnable:false});
-

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-drag-debug.js'
--- loggerhead/static/javascript/yui/build/dd/dd-drag-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-drag-debug.js	1970-01-01 00:00:00 +0000
@@ -1,981 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-drag', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-drag
-     */     
-    /**
-     * This class provides the ability to drag a Node.
-     * @class Drag
-     * @extends Base
-     * @constructor
-     */
-
-    var DDM = Y.DD.DDM,
-        NODE = 'node',
-        DRAG_NODE = 'dragNode',
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth',        
-        MOUSE_UP = 'mouseup',
-        MOUSE_DOWN = 'mousedown',
-        /**
-        * @event drag:mouseDown
-        * @description Handles the mousedown DOM event, checks to see if you have a valid handle then starts the drag timers.
-        * @preventable _handleMouseDown
-        * @param {Event} ev The mousedown event.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_MOUSE_DOWN = 'drag:mouseDown',
-        /**
-        * @event drag:afterMouseDown
-        * @description Fires after the mousedown event has been cleared.
-        * @param {Event} ev The mousedown event.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_AFTER_MOUSE_DOWN = 'drag:afterMouseDown',
-        /**
-        * @event drag:removeHandle
-        * @description Fires after a handle is removed.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_REMOVE_HANDLE = 'drag:removeHandle',
-        /**
-        * @event drag:addHandle
-        * @description Fires after a handle is added.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_ADD_HANDLE = 'drag:addHandle',
-        /**
-        * @event drag:removeInvalid
-        * @description Fires after an invalid selector is removed.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_REMOVE_INVALID = 'drag:removeInvalid',
-        /**
-        * @event drag:addInvalid
-        * @description Fires after an invalid selector is added.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_ADD_INVALID = 'drag:addInvalid',
-        /**
-        * @event drag:start
-        * @description Fires at the start of a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_START = 'drag:start',
-        /**
-        * @event drag:end
-        * @description Fires at the end of a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_END = 'drag:end',
-        /**
-        * @event drag:drag
-        * @description Fires every mousemove during a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DRAG = 'drag:drag';
-
-
-        /**
-        * @event drag:over
-        * @description Fires when this node is over a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:enter
-        * @description Fires when this node enters a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:exit
-        * @description Fires when this node exits a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:drophit
-        * @description Fires when this node is dropped on a valid Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:dropmiss
-        * @description Fires when this node is dropped on an invalid Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-    
-    var Drag = function() {
-        Drag.superclass.constructor.apply(this, arguments);
-
-        DDM._regDrag(this);
-    };
-    Drag.NAME = 'drag';
-
-    Drag.ATTRS = {
-        /**
-        * @attribute node
-        * @description Y.Node instanace to use as the element to initiate a drag operation
-        * @type Node
-        */
-        node: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drag: Invalid Node Given: ' + node);
-                }
-                return n;
-            }
-        },
-        /**
-        * @attribute dragNode
-        * @description Y.Node instanace to use as the draggable element, defaults to node
-        * @type Node
-        */
-        dragNode: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drag: Invalid dragNode Given: ' + node);
-                }
-                return n;
-            }
-        },
-        /**
-        * @attribute offsetNode
-        * @description Offset the drag element by the difference in cursor position: default true
-        * @type Boolean
-        */
-        offsetNode: {
-            value: true
-        },
-        /**
-        * @attribute clickPixelThresh
-        * @description The number of pixels to move to start a drag operation, default is 3.
-        * @type Number
-        */
-        clickPixelThresh: {
-            value: DDM.get('clickPixelThresh')
-        },
-        /**
-        * @attribute clickTimeThresh
-        * @description The number of milliseconds a mousedown has to pass to start a drag operation, default is 1000.
-        * @type Number
-        */
-        clickTimeThresh: {
-            value: DDM.get('clickTimeThresh')
-        },
-        /**
-        * @attribute lock
-        * @description Set to lock this drag element so that it can't be dragged: default false.
-        * @type Boolean
-        */
-        lock: {
-            value: false,
-            set: function(lock) {
-                if (lock) {
-                    this.get(NODE).addClass(DDM.CSS_PREFIX + '-locked');
-                } else {
-                    this.get(NODE).removeClass(DDM.CSS_PREFIX + '-locked');
-                }
-            }
-        },
-        /**
-        * @attribute data
-        * @description A payload holder to store arbitrary data about this drag object, can be used to store any value.
-        * @type Mixed
-        */
-        data: {
-            value: false
-        },
-        /**
-        * @attribute move
-        * @description If this is false, the drag element will not move with the cursor: default true. Can be used to "resize" the element.
-        * @type Boolean
-        */
-        move: {
-            value: true
-        },
-        /**
-        * @attribute useShim
-        * @description Use the protective shim on all drag operations: default true. Only works with dd-ddm, not dd-ddm-base.
-        * @type Boolean
-        */
-        useShim: {
-            value: true
-        },
-        /**
-        * @attribute activeHandle
-        * @description This config option is set by Drag to inform you of which handle fired the drag event (in the case that there are several handles): default false.
-        * @type Node
-        */
-        activeHandle: {
-            value: false
-        },
-        /**
-        * @attribute primaryButtonOnly
-        * @description By default a drag operation will only begin if the mousedown occurred with the primary mouse button. Setting this to false will allow for all mousedown events to trigger a drag.
-        * @type Boolean
-        */
-        primaryButtonOnly: {
-            value: true
-        },
-        /**
-        * @attribute dragging
-        * @description This attribute is not meant to be used by the implementor, it is meant to be used as an Event tracker so you can listen for it to change.
-        * @type Boolean
-        */
-        dragging: {
-            value: false
-        },
-        /**
-        * @attribute target
-        * @description This attribute only works if the dd-drop module has been loaded. It will make this node a drop target as well as draggable.
-        * @type Boolean
-        */
-        target: {
-            value: false,
-            set: function(config) {
-                this._handleTarget(config);
-            }
-        },
-        /**
-        * @attribute dragMode
-        * @description This attribute only works if the dd-drop module is active. It will set the dragMode (point, intersect, strict) of this Drag instance.
-        * @type String
-        */
-        dragMode: {
-            value: null,
-            set: function(mode) {
-                return DDM._setDragMode(mode);
-            }
-        },
-        /**
-        * @attribute groups
-        * @description Array of groups to add this drag into.
-        * @type Array
-        */
-        groups: {
-            value: ['default'],
-            get: function() {
-                if (!this._groups) {
-                    this._groups = {};
-                }
-                var ret = [];
-                Y.each(this._groups, function(v, k) {
-                    ret[ret.length] = k;
-                });
-                return ret;
-            },
-            set: function(g) {
-                this._groups = {};
-                Y.each(g, function(v, k) {
-                    this._groups[v] = true;
-                }, this);
-            }
-        },
-        /**
-        * @attribute handles
-        * @description Array of valid handles to add. Adding something here will set all handles, even if previously added with addHandle
-        * @type Array
-        */
-        handles: {
-            value: null,
-            set: function(g) {
-                if (g) {
-                    this._handles = {};
-                    Y.each(g, function(v, k) {
-                        this._handles[v] = true;
-                    }, this);
-                } else {
-                    this._handles = null;
-                }
-                return g;
-            }
-        }
-    };
-
-    Y.extend(Drag, Y.Base, {
-        /**
-        * @method addToGroup
-        * @description Add this Drag instance to a group, this should be used for on-the-fly group additions.
-        * @param {String} g The group to add this Drag Instance to.
-        * @return {Self}
-        * @chainable
-        */
-        addToGroup: function(g) {
-            this._groups[g] = true;
-            DDM._activateTargets();
-            return this;
-        },
-        /**
-        * @method removeFromGroup
-        * @description Remove this Drag instance from a group, this should be used for on-the-fly group removals.
-        * @param {String} g The group to remove this Drag Instance from.
-        * @return {Self}
-        * @chainable
-        */
-        removeFromGroup: function(g) {
-            delete this._groups[g];
-            DDM._activateTargets();
-            return this;
-        },
-        /**
-        * @property target
-        * @description This will be a reference to the Drop instance associated with this drag if the target: true config attribute is set..
-        * @type {Object}
-        */
-        target: null,
-        /**
-        * @private
-        * @method _handleTarget
-        * @description Attribute handler for the target config attribute.
-        * @param {Boolean/Object}
-        * @return {Boolean/Object}
-        */
-        _handleTarget: function(config) {
-            if (Y.DD.Drop) {
-                if (config === false) {
-                    if (this.target) {
-                        DDM._unregTarget(this.target);
-                        this.target = null;
-                    }
-                    return false;
-                } else {
-                    if (!Y.Lang.isObject(config)) {
-                        config = {};
-                    }
-                    config.node = this.get(NODE);
-                    this.target = new Y.DD.Drop(config);
-                }
-            } else {
-                return false;
-            }
-        },
-        /**
-        * @private
-        * @property _groups
-        * @description Storage Array for the groups this drag belongs to.
-        * @type {Array}
-        */
-        _groups: null,
-        /**
-        * @private
-        * @method _createEvents
-        * @description This method creates all the events for this Event Target and publishes them so we get Event Bubbling.
-        */
-        _createEvents: function() {
-            
-            this.publish(EV_MOUSE_DOWN, {
-                defaultFn: this._handleMouseDown,
-                queuable: true,
-                emitFacade: true,
-                bubbles: true
-            });
-            
-            var ev = [
-                EV_AFTER_MOUSE_DOWN,
-                EV_REMOVE_HANDLE,
-                EV_ADD_HANDLE,
-                EV_REMOVE_INVALID,
-                EV_ADD_INVALID,
-                EV_START,
-                EV_END,
-                EV_DRAG,
-                'drag:drophit',
-                'drag:dropmiss',
-                'drag:over',
-                'drag:enter',
-                'drag:exit'
-            ];
-            
-            Y.each(ev, function(v, k) {
-                this.publish(v, {
-                    type: v,
-                    emitFacade: true,
-                    bubbles: true,
-                    preventable: false,
-                    queuable: true
-                });
-            }, this);
-            this.addTarget(DDM);
-            
-           
-        },
-        /**
-        * @private
-        * @property _ev_md
-        * @description A private reference to the mousedown DOM event
-        * @type {Event}
-        */
-        _ev_md: null,
-        /**
-        * @private
-        * @property _startTime
-        * @description The getTime of the mousedown event. Not used, just here in case someone wants/needs to use it.
-        * @type Date
-        */
-        _startTime: null,
-        /**
-        * @private
-        * @property _endTime
-        * @description The getTime of the mouseup event. Not used, just here in case someone wants/needs to use it.
-        * @type Date
-        */
-        _endTime: null,
-        /**
-        * @private
-        * @property _handles
-        * @description A private hash of the valid drag handles
-        * @type {Object}
-        */
-        _handles: null,
-        /**
-        * @private
-        * @property _invalids
-        * @description A private hash of the invalid selector strings
-        * @type {Object}
-        */
-        _invalids: null,
-        /**
-        * @private
-        * @property _invalidsDefault
-        * @description A private hash of the default invalid selector strings: {'textarea': true, 'input': true, 'a': true, 'button': true}
-        * @type {Object}
-        */
-        _invalidsDefault: {'textarea': true, 'input': true, 'a': true, 'button': true},
-        /**
-        * @private
-        * @property _dragThreshMet
-        * @description Private flag to see if the drag threshhold was met
-        * @type {Boolean}
-        */
-        _dragThreshMet: null,
-        /**
-        * @private
-        * @property _fromTimeout
-        * @description Flag to determine if the drag operation came from a timeout
-        * @type {Boolean}
-        */
-        _fromTimeout: null,
-        /**
-        * @private
-        * @property _clickTimeout
-        * @description Holder for the setTimeout call
-        * @type {Boolean}
-        */
-        _clickTimeout: null,
-        /**
-        * @property deltaXY
-        * @description The offset of the mouse position to the element's position
-        * @type {Array}
-        */
-        deltaXY: null,
-        /**
-        * @property startXY
-        * @description The initial mouse position
-        * @type {Array}
-        */
-        startXY: null,
-        /**
-        * @property nodeXY
-        * @description The initial element position
-        * @type {Array}
-        */
-        nodeXY: null,
-        /**
-        * @property lastXY
-        * @description The position of the element as it's moving (for offset calculations)
-        * @type {Array}
-        */
-        lastXY: null,
-        /**
-        * @property mouseXY
-        * @description The XY coords of the mousemove
-        * @type {Array}
-        */
-        mouseXY: null,
-        /**
-        * @property region
-        * @description A region object associated with this drag, used for checking regions while dragging.
-        * @type Object
-        */
-        region: null,       
-        /**
-        * @private
-        * @method _handleMouseUp
-        * @description Handler for the mouseup DOM event
-        * @param {Event}
-        */
-        _handleMouseUp: function(ev) {
-            this._fixIEMouseUp();
-            if (DDM.activeDrag) {
-                DDM._end();
-            }
-        },
-        /** 
-        * @private
-        * @method _ieSelectFix
-        * @description The function we use as the onselectstart handler when we start a drag in Internet Explorer
-        */
-        _ieSelectFix: function() {
-            return false;
-        },
-        /** 
-        * @private
-        * @property _ieSelectBack
-        * @description We will hold a copy of the current "onselectstart" method on this property, and reset it after we are done using it.
-        */
-        _ieSelectBack: null,
-        /**
-        * @private
-        * @method _fixIEMouseDown
-        * @description This method copies the onselectstart listner on the document to the _ieSelectFix property
-        */
-        _fixIEMouseDown: function() {
-            if (Y.UA.ie) {
-                this._ieSelectBack = Y.config.doc.body.onselectstart;
-                Y.config.doc.body.onselectstart = this._ieSelectFix;
-            }           
-        },
-        /**
-        * @private
-        * @method _fixIEMouseUp
-        * @description This method copies the _ieSelectFix property back to the onselectstart listner on the document.
-        */
-        _fixIEMouseUp: function() {
-            if (Y.UA.ie) {
-                Y.config.doc.body.onselectstart = this._ieSelectBack;
-            }           
-        },
-        /**
-        * @private
-        * @method _handleMouseDownEvent
-        * @description Handler for the mousedown DOM event
-        * @param {Event}
-        */
-        _handleMouseDownEvent: function(ev) {
-            this.fire(EV_MOUSE_DOWN, { ev: ev });
-        },
-        /**
-        * @private
-        * @method _handleMouseDown
-        * @description Handler for the mousedown DOM event
-        * @param {Event}
-        */
-        _handleMouseDown: function(e) {
-            var ev = e.ev;
-            Y.log('_handleMouseDown', 'info', 'dd-drag');
-            this._dragThreshMet = false;
-            this._ev_md = ev;
-            
-            if (this.get('primaryButtonOnly') && ev.button > 1) {
-                Y.log('Mousedown was not produced by the primary button', 'warn', 'dd-drag');
-                return false;
-            }
-            if (this.validClick(ev)) {
-                this._fixIEMouseDown();
-                ev.halt();
-                this._setStartPosition([ev.pageX, ev.pageY]);
-
-                DDM.activeDrag = this;
-
-                var self = this;
-                this._clickTimeout = setTimeout(function() {
-                    self._timeoutCheck.call(self);
-                }, this.get('clickTimeThresh'));
-            }
-            this.fire(EV_AFTER_MOUSE_DOWN, { ev: ev });
-        },
-        /**
-        * @method validClick
-        * @description Method first checks to see if we have handles, if so it validates the click against the handle. Then if it finds a valid handle, it checks it against the invalid handles list. Returns true if a good handle was used, false otherwise.
-        * @param {Event}
-        * @return {Boolean}
-        */
-        validClick: function(ev) {
-            var r = false,
-            tar = ev.target,
-            hTest = null;
-            if (this._handles) {
-                Y.log('validClick: We have handles', 'info', 'dd-drag');
-                Y.each(this._handles, function(i, n) {
-                    if (Y.Lang.isString(n)) {
-                        //Am I this or am I inside this
-                        if (tar.test(n + ', ' + n + ' *')) {
-                            Y.log('Valid Selector found: ' + n, 'info', 'dd-drag');
-                            hTest = n;
-                            r = true;
-                        }
-                    }
-                });
-            } else {
-                if (this.get(NODE).contains(tar) || this.get(NODE).compareTo(tar)) {
-                    Y.log('validClick: We have a valid click', 'info', 'dd-drag');
-                    r = true;
-                }
-            }
-            if (r) {
-                Y.log('validClick: Check invalid selectors', 'info', 'dd-drag');
-                if (this._invalids) {
-                    Y.each(this._invalids, function(i, n) {
-                        if (Y.Lang.isString(n)) {
-                            //Am I this or am I inside this
-                            if (tar.test(n + ', ' + n + ' *')) {
-                                Y.log('Invalid Selector found: (' + (n + ', ' + n + ' *') + ')', 'warn', 'dd-drag');
-                                r = false;
-                            }
-                        }
-                    });
-                }
-            }
-            if (r) {
-                if (hTest) {
-                    var els = ev.currentTarget.queryAll(hTest);
-                    els.each(function(n, i) {
-                        if (n.contains(tar) || n.compareTo(tar)) {
-                            this.set('activeHandle', els.item(i));
-                        }
-                    }, this);
-                } else {
-                    this.set('activeHandle', this.get(NODE));
-                }
-            }
-            return r;
-        },
-        /**
-        * @private
-        * @method _setStartPosition
-        * @description Sets the current position of the Element and calculates the offset
-        * @param {Array} xy The XY coords to set the position to.
-        */
-        _setStartPosition: function(xy) {
-            this.startXY = xy;
-            
-            this.nodeXY = this.get(NODE).getXY();
-            this.lastXY = this.nodeXY;
-
-            if (this.get('offsetNode')) {
-                this.deltaXY = [(this.startXY[0] - this.nodeXY[0]), (this.startXY[1] - this.nodeXY[1])];
-            } else {
-                this.deltaXY = [0, 0];
-            }
-        },
-        /**
-        * @private
-        * @method _timeoutCheck
-        * @description The method passed to setTimeout to determine if the clickTimeThreshold was met.
-        */
-        _timeoutCheck: function() {
-            if (!this.get('lock')) {
-                Y.log("timeout threshold met", "info", "dd-drag");
-                this._fromTimeout = true;
-                this._dragThreshMet = true;
-                this.start();
-                this._moveNode([this._ev_md.pageX, this._ev_md.pageY], true);
-            }
-        },
-        /**
-        * @method removeHandle
-        * @description Remove a Selector added by addHandle
-        * @param {String} str The selector for the handle to be removed. 
-        * @return {Self}
-        * @chainable
-        */
-        removeHandle: function(str) {
-            if (this._handles[str]) {
-                delete this._handles[str];
-                this.fire(EV_REMOVE_HANDLE, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method addHandle
-        * @description Add a handle to a drag element. Drag only initiates when a mousedown happens on this element.
-        * @param {String} str The selector to test for a valid handle. Must be a child of the element.
-        * @return {Self}
-        * @chainable
-        */
-        addHandle: function(str) {
-            if (!this._handles) {
-                this._handles = {};
-            }
-            if (Y.Lang.isString(str)) {
-                this._handles[str] = true;
-                this.fire(EV_ADD_HANDLE, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method removeInvalid
-        * @description Remove an invalid handle added by addInvalid
-        * @param {String} str The invalid handle to remove from the internal list.
-        * @return {Self}
-        * @chainable
-        */
-        removeInvalid: function(str) {
-            if (this._invalids[str]) {
-                delete this._handles[str];
-                this.fire(EV_REMOVE_INVALID, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method addInvalid
-        * @description Add a selector string to test the handle against. If the test passes the drag operation will not continue.
-        * @param {String} str The selector to test against to determine if this is an invalid drag handle.
-        * @return {Self}
-        * @chainable
-        */
-        addInvalid: function(str) {
-            if (Y.Lang.isString(str)) {
-                this._invalids[str] = true;
-                this.fire(EV_ADD_INVALID, { handle: str });
-            } else {
-                Y.log('Selector needs to be a string..', 'warn', 'dd-drag');
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Internal init handler
-        */
-        initializer: function() {
-            //TODO give the node instance a copy of this object
-            //Not supported in PR1 due to Y.Node.get calling a new under the hood.
-            //this.get(NODE).dd = this;
-
-            if (!this.get(NODE).get('id')) {
-                var id = Y.stamp(this.get(NODE));
-                this.get(NODE).set('id', id);
-            }
-            
-
-            this._invalids = this._invalidsDefault;
-
-            this._createEvents();
-            
-            if (!this.get(DRAG_NODE)) {
-                this.set(DRAG_NODE, this.get(NODE));
-            }
-            this._prep();
-            this._dragThreshMet = false;
-        },
-        /**
-        * @private
-        * @method _prep
-        * @description Attach event listners and add classname
-        */
-        _prep: function() {
-            var node = this.get(NODE);
-            node.addClass(DDM.CSS_PREFIX + '-draggable');
-            node.on(MOUSE_DOWN, this._handleMouseDownEvent, this, true);
-            node.on(MOUSE_UP, this._handleMouseUp, this, true);
-        },
-        /**
-        * @private
-        * @method _unprep
-        * @description Detach event listners and remove classname
-        */
-        _unprep: function() {
-            var node = this.get(NODE);
-            node.removeClass(DDM.CSS_PREFIX + '-draggable');
-            node.detach(MOUSE_DOWN, this._handleMouseDownEvent, this, true);
-            node.detach(MOUSE_UP, this._handleMouseUp, this, true);
-        },
-        /**
-        * @method start
-        * @description Starts the drag operation
-        * @return {Self}
-        * @chainable
-        */
-        start: function() {
-            if (!this.get('lock') && !this.get('dragging')) {
-                this.set('dragging', true);
-                DDM._start(this.deltaXY, [this.get(NODE).get(OFFSET_HEIGHT), this.get(NODE).get(OFFSET_WIDTH)]);
-                Y.log('startDrag', 'info', 'dd-drag');
-                this.get(NODE).addClass(DDM.CSS_PREFIX + '-dragging');
-                this.fire(EV_START, { pageX: this.nodeXY[0], pageY: this.nodeXY[1] });
-                this.get(DRAG_NODE).on(MOUSE_UP, this._handleMouseUp, this, true);
-                var xy = this.nodeXY;
-
-                this._startTime = (new Date()).getTime();
-                
-                this.region = {
-                    '0': xy[0], 
-                    '1': xy[1],
-                    area: 0,
-                    top: xy[1],
-                    right: xy[0] + this.get(NODE).get(OFFSET_WIDTH),
-                    bottom: xy[1] + this.get(NODE).get(OFFSET_HEIGHT),
-                    left: xy[0]
-                };
-                
-            }
-            return this;
-        },
-        /**
-        * @method end
-        * @description Ends the drag operation
-        * @return {Self}
-        * @chainable
-        */
-        end: function() {
-            this._endTime = (new Date()).getTime();
-            clearTimeout(this._clickTimeout);
-            this._dragThreshMet = false;
-            this._fromTimeout = false;
-            if (!this.get('lock') && this.get('dragging')) {
-                Y.log('endDrag', 'info', 'dd-drag');
-                this.fire(EV_END, { pageX: this.lastXY[0], pageY: this.lastXY[1] });
-            }
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-dragging');
-            this.set('dragging', false);
-            this.deltaXY = [0, 0];
-            this.get(DRAG_NODE).detach(MOUSE_UP, this._handleMouseUp, this, true);
-
-            return this;
-        },
-        /**
-        * @private
-        * @method _align
-        * @description Calculates the offsets and set's the XY that the element will move to.
-        * @param {Array} xy The xy coords to align with.
-        * @return Array
-        * @type {Array}
-        */
-        _align: function(xy) {
-            return [xy[0] - this.deltaXY[0], xy[1] - this.deltaXY[1]];
-        },
-        /**
-        * @private
-        * @method _moveNode
-        * @description This method performs the actual element move.
-        * @param {Array} eXY The XY to move the element to, usually comes from the mousemove DOM event.
-        * @param {Boolean} noFire If true, the drag:drag event will not fire.
-        */
-        _moveNode: function(eXY, noFire) {
-            var xy = this._align(eXY), diffXY = [], diffXY2 = [];
-
-            diffXY[0] = (xy[0] - this.lastXY[0]);
-            diffXY[1] = (xy[1] - this.lastXY[1]);
-
-            diffXY2[0] = (xy[0] - this.nodeXY[0]);
-            diffXY2[1] = (xy[1] - this.nodeXY[1]);
-
-            if (this.get('move')) {
-                if (Y.UA.opera) {
-                    this.get(DRAG_NODE).setXY(xy);
-                } else {
-                    DDM.setXY(this.get(DRAG_NODE), diffXY);
-                }
-            }
-
-            this.region = {
-                '0': xy[0], 
-                '1': xy[1],
-                area: 0,
-                top: xy[1],
-                right: xy[0] + this.get(NODE).get(OFFSET_WIDTH),
-                bottom: xy[1] + this.get(NODE).get(OFFSET_HEIGHT),
-                left: xy[0]
-            };
-
-            var startXY = this.nodeXY;
-            if (!noFire) {
-                this.fire(EV_DRAG, {
-                    pageX: xy[0],
-                    pageY: xy[1],
-                    info: {
-                        start: startXY,
-                        xy: xy,
-                        delta: diffXY,
-                        offset: diffXY2
-                    } 
-                });
-            }
-            
-            this.lastXY = xy;
-        },
-        /**
-        * @private
-        * @method _move
-        * @description Fired from DragDropMgr (DDM) on mousemove.
-        * @param {Event} ev The mousemove DOM event
-        */
-        _move: function(ev) {
-            if (this.get('lock')) {
-                Y.log('Drag Locked', 'warn', 'dd-drag');
-                return false;
-            } else {
-                this.mouseXY = [ev.pageX, ev.pageY];
-                if (!this._dragThreshMet) {
-                    var diffX = Math.abs(this.startXY[0] - ev.pageX);
-                    var diffY = Math.abs(this.startXY[1] - ev.pageY);
-                    Y.log("diffX: " + diffX + ", diffY: " + diffY, 'info', 'dd-drag');
-                    if (diffX > this.get('clickPixelThresh') || diffY > this.get('clickPixelThresh')) {
-                        Y.log("pixel threshold met", "info", "dd-drag");
-                        this._dragThreshMet = true;
-                        this.start();
-                        this._moveNode([ev.pageX, ev.pageY]);
-                    }
-                
-                } else {
-                    clearTimeout(this._clickTimeout);
-                    this._moveNode([ev.pageX, ev.pageY]);
-                }
-            }
-        },
-        /**
-        * @method stopDrag
-        * @description Method will forcefully stop a drag operation. For example calling this from inside an ESC keypress handler will stop this drag.
-        * @return {Self}
-        * @chainable
-        */
-        stopDrag: function() {
-            if (this.get('dragging')) {
-                Y.log('stopDrag called', 'warn', 'dd-drag');
-                DDM._end();
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method destructor
-        * @description Lifecycle destructor, unreg the drag from the DDM and remove listeners
-        */
-        destructor: function() {
-            DDM._unregDrag(this);
-
-            this._unprep();
-            if (this.target) {
-                this.target.destroy();
-            }
-        }
-    });
-    Y.namespace('DD');    
-    Y.DD.Drag = Drag;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-base'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-drag-min.js'
--- loggerhead/static/javascript/yui/build/dd/dd-drag-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-drag-min.js	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dd-drag",function(D){var E=D.DD.DDM,R="node",L="dragNode",C="offsetHeight",J="offsetWidth",P="mouseup",N="mousedown",G="drag:mouseDown",B="drag:afterMouseDown",F="drag:removeHandle",K="drag:addHandle",O="drag:removeInvalid",Q="drag:addInvalid",I="drag:start",H="drag:end",M="drag:drag";var A=function(){A.superclass.constructor.apply(this,arguments);E._regDrag(this);};A.NAME="drag";A.ATTRS={node:{set:function(S){var T=D.Node.get(S);if(!T){D.fail("DD.Drag: Invalid Node Given: "+S);}return T;}},dragNode:{set:function(S){var T=D.Node.get(S);if(!T){D.fail("DD.Drag: Invalid dragNode Given: "+S);}return T;}},offsetNode:{value:true},clickPixelThresh:{value:E.get("clickPixelThresh")},clickTimeThresh:{value:E.get("clickTimeThresh")},lock:{value:false,set:function(S){if(S){this.get(R).addClass(E.CSS_PREFIX+"-locked");}else{this.get(R).removeClass(E.CSS_PREFIX+"-locked");}}},data:{value:false},move:{value:true},useShim:{value:true},activeHandle:{value:false},primaryButtonOnly:{value:true},dragging:{value:false},target:{value:false,set:function(S){this._handleTarget(S);}},dragMode:{value:null,set:function(S){return E._setDragMode(S);}},groups:{value:["default"],get:function(){if(!this._groups){this._groups={};}var S=[];D.each(this._groups,function(U,T){S[S.length]=T;});return S;},set:function(S){this._groups={};D.each(S,function(U,T){this._groups[U]=true;},this);}},handles:{value:null,set:function(S){if(S){this._handles={};D.each(S,function(U,T){this._handles[U]=true;},this);}else{this._handles=null;}return S;}}};D.extend(A,D.Base,{addToGroup:function(S){this._groups[S]=true;E._activateTargets();return this;},removeFromGroup:function(S){delete this._groups[S];E._activateTargets();return this;},target:null,_handleTarget:function(S){if(D.DD.Drop){if(S===false){if(this.target){E._unregTarget(this.target);this.target=null;}return false;}else{if(!D.Lang.isObject(S)){S={};}S.node=this.get(R);this.target=new D.DD.Drop(S);}}else{return false;}},_groups:null,_createEvents:function(){this.publish(G,{defaultFn:this._handleMouseDown,queuable:true,emitFacade:true,bubbles:true});var S=[B,F,K,O,Q,I,H,M,"drag:drophit","drag:dropmiss","drag:over","drag:enter","drag:exit"];D.each(S,function(U,T){this.publish(U,{type:U,emitFacade:true,bubbles:true,preventable:false,queuable:true});},this);this.addTarget(E);},_ev_md:null,_startTime:null,_endTime:null,_handles:null,_invalids:null,_invalidsDefault:{"textarea":true,"input":true,"a":true,"button":true},_dragThreshMet:null,_fromTimeout:null,_clickTimeout:null,deltaXY:null,startXY:null,nodeXY:null,lastXY:null,mouseXY:null,region:null,_handleMouseUp:function(S){this._fixIEMouseUp();if(E.activeDrag){E._end();}},_ieSelectFix:function(){return false;},_ieSelectBack:null,_fixIEMouseDown:function(){if(D.UA.ie){this._ieSelectBack=D.config.doc.body.onselectstart;D.config.doc.body.onselectstart=this._ieSelectFix;}},_fixIEMouseUp:function(){if(D.UA.ie){D.config.doc.body.onselectstart=this._ieSelectBack;}},_handleMouseDownEvent:function(S){this.fire(G,{ev:S});},_handleMouseDown:function(U){var T=U.ev;this._dragThreshMet=false;this._ev_md=T;if(this.get("primaryButtonOnly")&&T.button>1){return false;}if(this.validClick(T)){this._fixIEMouseDown();T.halt();this._setStartPosition([T.pageX,T.pageY]);E.activeDrag=this;var S=this;this._clickTimeout=setTimeout(function(){S._timeoutCheck.call(S);},this.get("clickTimeThresh"));}this.fire(B,{ev:T});},validClick:function(W){var V=false,S=W.target,U=null;if(this._handles){D.each(this._handles,function(X,Y){if(D.Lang.isString(Y)){if(S.test(Y+", "+Y+" *")){U=Y;V=true;}}});}else{if(this.get(R).contains(S)||this.get(R).compareTo(S)){V=true;}}if(V){if(this._invalids){D.each(this._invalids,function(X,Y){if(D.Lang.isString(Y)){if(S.test(Y+", "+Y+" *")){V=false;}}});}}if(V){if(U){var T=W.currentTarget.queryAll(U);T.each(function(Y,X){if(Y.contains(S)||Y.compareTo(S)){this.set("activeHandle",T.item(X));}},this);}else{this.set("activeHandle",this.get(R));}}return V;},_setStartPosition:function(S){this.startXY=S;this.nodeXY=this.get(R).getXY();this.lastXY=this.nodeXY;if(this.get("offsetNode")){this.deltaXY=[(this.startXY[0]-this.nodeXY[0]),(this.startXY[1]-this.nodeXY[1])];}else{this.deltaXY=[0,0];}},_timeoutCheck:function(){if(!this.get("lock")){this._fromTimeout=true;this._dragThreshMet=true;this.start();this._moveNode([this._ev_md.pageX,this._ev_md.pageY],true);}},removeHandle:function(S){if(this._handles[S]){delete this._handles[S];this.fire(F,{handle:S});}return this;},addHandle:function(S){if(!this._handles){this._handles={};}if(D.Lang.isString(S)){this._handles[S]=true;this.fire(K,{handle:S});}return this;},removeInvalid:function(S){if(this._invalids[S]){delete this._handles[S];this.fire(O,{handle:S});}return this;},addInvalid:function(S){if(D.Lang.isString(S)){this._invalids[S]=true;this.fire(Q,{handle:S});}else{}return this;},initializer:function(){if(!this.get(R).get("id")){var S=D.stamp(this.get(R));this.get(R).set("id",S);}this._invalids=this._invalidsDefault;this._createEvents();if(!this.get(L)){this.set(L,this.get(R));}this._prep();this._dragThreshMet=false;},_prep:function(){var S=this.get(R);S.addClass(E.CSS_PREFIX+"-draggable");S.on(N,this._handleMouseDownEvent,this,true);S.on(P,this._handleMouseUp,this,true);},_unprep:function(){var S=this.get(R);S.removeClass(E.CSS_PREFIX+"-draggable");S.detach(N,this._handleMouseDownEvent,this,true);S.detach(P,this._handleMouseUp,this,true);},start:function(){if(!this.get("lock")&&!this.get("dragging")){this.set("dragging",true);E._start(this.deltaXY,[this.get(R).get(C),this.get(R).get(J)]);this.get(R).addClass(E.CSS_PREFIX+"-dragging");this.fire(I,{pageX:this.nodeXY[0],pageY:this.nodeXY[1]});this.get(L).on(P,this._handleMouseUp,this,true);var S=this.nodeXY;this._startTime=(new Date()).getTime();this.region={"0":S[0],"1":S[1],area:0,top:S[1],right:S[0]+this.get(R).get(J),bottom:S[1]+this.get(R).get(C),left:S[0]};}return this;},end:function(){this._endTime=(new Date()).getTime();clearTimeout(this._clickTimeout);
-this._dragThreshMet=false;this._fromTimeout=false;if(!this.get("lock")&&this.get("dragging")){this.fire(H,{pageX:this.lastXY[0],pageY:this.lastXY[1]});}this.get(R).removeClass(E.CSS_PREFIX+"-dragging");this.set("dragging",false);this.deltaXY=[0,0];this.get(L).detach(P,this._handleMouseUp,this,true);return this;},_align:function(S){return[S[0]-this.deltaXY[0],S[1]-this.deltaXY[1]];},_moveNode:function(S,X){var W=this._align(S),T=[],U=[];T[0]=(W[0]-this.lastXY[0]);T[1]=(W[1]-this.lastXY[1]);U[0]=(W[0]-this.nodeXY[0]);U[1]=(W[1]-this.nodeXY[1]);if(this.get("move")){if(D.UA.opera){this.get(L).setXY(W);}else{E.setXY(this.get(L),T);}}this.region={"0":W[0],"1":W[1],area:0,top:W[1],right:W[0]+this.get(R).get(J),bottom:W[1]+this.get(R).get(C),left:W[0]};var V=this.nodeXY;if(!X){this.fire(M,{pageX:W[0],pageY:W[1],info:{start:V,xy:W,delta:T,offset:U}});}this.lastXY=W;},_move:function(U){if(this.get("lock")){return false;}else{this.mouseXY=[U.pageX,U.pageY];if(!this._dragThreshMet){var T=Math.abs(this.startXY[0]-U.pageX);var S=Math.abs(this.startXY[1]-U.pageY);if(T>this.get("clickPixelThresh")||S>this.get("clickPixelThresh")){this._dragThreshMet=true;this.start();this._moveNode([U.pageX,U.pageY]);}}else{clearTimeout(this._clickTimeout);this._moveNode([U.pageX,U.pageY]);}}},stopDrag:function(){if(this.get("dragging")){E._end();}return this;},destructor:function(){E._unregDrag(this);this._unprep();if(this.target){this.target.destroy();}}});D.namespace("DD");D.DD.Drag=A;},"3.0.0pr1",{requires:["dd-ddm-base"],skinnable:false});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-drag.js'
--- loggerhead/static/javascript/yui/build/dd/dd-drag.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-drag.js	1970-01-01 00:00:00 +0000
@@ -1,966 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-drag', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-drag
-     */     
-    /**
-     * This class provides the ability to drag a Node.
-     * @class Drag
-     * @extends Base
-     * @constructor
-     */
-
-    var DDM = Y.DD.DDM,
-        NODE = 'node',
-        DRAG_NODE = 'dragNode',
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth',        
-        MOUSE_UP = 'mouseup',
-        MOUSE_DOWN = 'mousedown',
-        /**
-        * @event drag:mouseDown
-        * @description Handles the mousedown DOM event, checks to see if you have a valid handle then starts the drag timers.
-        * @preventable _handleMouseDown
-        * @param {Event} ev The mousedown event.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_MOUSE_DOWN = 'drag:mouseDown',
-        /**
-        * @event drag:afterMouseDown
-        * @description Fires after the mousedown event has been cleared.
-        * @param {Event} ev The mousedown event.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_AFTER_MOUSE_DOWN = 'drag:afterMouseDown',
-        /**
-        * @event drag:removeHandle
-        * @description Fires after a handle is removed.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_REMOVE_HANDLE = 'drag:removeHandle',
-        /**
-        * @event drag:addHandle
-        * @description Fires after a handle is added.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_ADD_HANDLE = 'drag:addHandle',
-        /**
-        * @event drag:removeInvalid
-        * @description Fires after an invalid selector is removed.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_REMOVE_INVALID = 'drag:removeInvalid',
-        /**
-        * @event drag:addInvalid
-        * @description Fires after an invalid selector is added.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_ADD_INVALID = 'drag:addInvalid',
-        /**
-        * @event drag:start
-        * @description Fires at the start of a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_START = 'drag:start',
-        /**
-        * @event drag:end
-        * @description Fires at the end of a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_END = 'drag:end',
-        /**
-        * @event drag:drag
-        * @description Fires every mousemove during a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DRAG = 'drag:drag';
-
-
-        /**
-        * @event drag:over
-        * @description Fires when this node is over a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:enter
-        * @description Fires when this node enters a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:exit
-        * @description Fires when this node exits a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:drophit
-        * @description Fires when this node is dropped on a valid Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:dropmiss
-        * @description Fires when this node is dropped on an invalid Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-    
-    var Drag = function() {
-        Drag.superclass.constructor.apply(this, arguments);
-
-        DDM._regDrag(this);
-    };
-    Drag.NAME = 'drag';
-
-    Drag.ATTRS = {
-        /**
-        * @attribute node
-        * @description Y.Node instanace to use as the element to initiate a drag operation
-        * @type Node
-        */
-        node: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drag: Invalid Node Given: ' + node);
-                }
-                return n;
-            }
-        },
-        /**
-        * @attribute dragNode
-        * @description Y.Node instanace to use as the draggable element, defaults to node
-        * @type Node
-        */
-        dragNode: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drag: Invalid dragNode Given: ' + node);
-                }
-                return n;
-            }
-        },
-        /**
-        * @attribute offsetNode
-        * @description Offset the drag element by the difference in cursor position: default true
-        * @type Boolean
-        */
-        offsetNode: {
-            value: true
-        },
-        /**
-        * @attribute clickPixelThresh
-        * @description The number of pixels to move to start a drag operation, default is 3.
-        * @type Number
-        */
-        clickPixelThresh: {
-            value: DDM.get('clickPixelThresh')
-        },
-        /**
-        * @attribute clickTimeThresh
-        * @description The number of milliseconds a mousedown has to pass to start a drag operation, default is 1000.
-        * @type Number
-        */
-        clickTimeThresh: {
-            value: DDM.get('clickTimeThresh')
-        },
-        /**
-        * @attribute lock
-        * @description Set to lock this drag element so that it can't be dragged: default false.
-        * @type Boolean
-        */
-        lock: {
-            value: false,
-            set: function(lock) {
-                if (lock) {
-                    this.get(NODE).addClass(DDM.CSS_PREFIX + '-locked');
-                } else {
-                    this.get(NODE).removeClass(DDM.CSS_PREFIX + '-locked');
-                }
-            }
-        },
-        /**
-        * @attribute data
-        * @description A payload holder to store arbitrary data about this drag object, can be used to store any value.
-        * @type Mixed
-        */
-        data: {
-            value: false
-        },
-        /**
-        * @attribute move
-        * @description If this is false, the drag element will not move with the cursor: default true. Can be used to "resize" the element.
-        * @type Boolean
-        */
-        move: {
-            value: true
-        },
-        /**
-        * @attribute useShim
-        * @description Use the protective shim on all drag operations: default true. Only works with dd-ddm, not dd-ddm-base.
-        * @type Boolean
-        */
-        useShim: {
-            value: true
-        },
-        /**
-        * @attribute activeHandle
-        * @description This config option is set by Drag to inform you of which handle fired the drag event (in the case that there are several handles): default false.
-        * @type Node
-        */
-        activeHandle: {
-            value: false
-        },
-        /**
-        * @attribute primaryButtonOnly
-        * @description By default a drag operation will only begin if the mousedown occurred with the primary mouse button. Setting this to false will allow for all mousedown events to trigger a drag.
-        * @type Boolean
-        */
-        primaryButtonOnly: {
-            value: true
-        },
-        /**
-        * @attribute dragging
-        * @description This attribute is not meant to be used by the implementor, it is meant to be used as an Event tracker so you can listen for it to change.
-        * @type Boolean
-        */
-        dragging: {
-            value: false
-        },
-        /**
-        * @attribute target
-        * @description This attribute only works if the dd-drop module has been loaded. It will make this node a drop target as well as draggable.
-        * @type Boolean
-        */
-        target: {
-            value: false,
-            set: function(config) {
-                this._handleTarget(config);
-            }
-        },
-        /**
-        * @attribute dragMode
-        * @description This attribute only works if the dd-drop module is active. It will set the dragMode (point, intersect, strict) of this Drag instance.
-        * @type String
-        */
-        dragMode: {
-            value: null,
-            set: function(mode) {
-                return DDM._setDragMode(mode);
-            }
-        },
-        /**
-        * @attribute groups
-        * @description Array of groups to add this drag into.
-        * @type Array
-        */
-        groups: {
-            value: ['default'],
-            get: function() {
-                if (!this._groups) {
-                    this._groups = {};
-                }
-                var ret = [];
-                Y.each(this._groups, function(v, k) {
-                    ret[ret.length] = k;
-                });
-                return ret;
-            },
-            set: function(g) {
-                this._groups = {};
-                Y.each(g, function(v, k) {
-                    this._groups[v] = true;
-                }, this);
-            }
-        },
-        /**
-        * @attribute handles
-        * @description Array of valid handles to add. Adding something here will set all handles, even if previously added with addHandle
-        * @type Array
-        */
-        handles: {
-            value: null,
-            set: function(g) {
-                if (g) {
-                    this._handles = {};
-                    Y.each(g, function(v, k) {
-                        this._handles[v] = true;
-                    }, this);
-                } else {
-                    this._handles = null;
-                }
-                return g;
-            }
-        }
-    };
-
-    Y.extend(Drag, Y.Base, {
-        /**
-        * @method addToGroup
-        * @description Add this Drag instance to a group, this should be used for on-the-fly group additions.
-        * @param {String} g The group to add this Drag Instance to.
-        * @return {Self}
-        * @chainable
-        */
-        addToGroup: function(g) {
-            this._groups[g] = true;
-            DDM._activateTargets();
-            return this;
-        },
-        /**
-        * @method removeFromGroup
-        * @description Remove this Drag instance from a group, this should be used for on-the-fly group removals.
-        * @param {String} g The group to remove this Drag Instance from.
-        * @return {Self}
-        * @chainable
-        */
-        removeFromGroup: function(g) {
-            delete this._groups[g];
-            DDM._activateTargets();
-            return this;
-        },
-        /**
-        * @property target
-        * @description This will be a reference to the Drop instance associated with this drag if the target: true config attribute is set..
-        * @type {Object}
-        */
-        target: null,
-        /**
-        * @private
-        * @method _handleTarget
-        * @description Attribute handler for the target config attribute.
-        * @param {Boolean/Object}
-        * @return {Boolean/Object}
-        */
-        _handleTarget: function(config) {
-            if (Y.DD.Drop) {
-                if (config === false) {
-                    if (this.target) {
-                        DDM._unregTarget(this.target);
-                        this.target = null;
-                    }
-                    return false;
-                } else {
-                    if (!Y.Lang.isObject(config)) {
-                        config = {};
-                    }
-                    config.node = this.get(NODE);
-                    this.target = new Y.DD.Drop(config);
-                }
-            } else {
-                return false;
-            }
-        },
-        /**
-        * @private
-        * @property _groups
-        * @description Storage Array for the groups this drag belongs to.
-        * @type {Array}
-        */
-        _groups: null,
-        /**
-        * @private
-        * @method _createEvents
-        * @description This method creates all the events for this Event Target and publishes them so we get Event Bubbling.
-        */
-        _createEvents: function() {
-            
-            this.publish(EV_MOUSE_DOWN, {
-                defaultFn: this._handleMouseDown,
-                queuable: true,
-                emitFacade: true,
-                bubbles: true
-            });
-            
-            var ev = [
-                EV_AFTER_MOUSE_DOWN,
-                EV_REMOVE_HANDLE,
-                EV_ADD_HANDLE,
-                EV_REMOVE_INVALID,
-                EV_ADD_INVALID,
-                EV_START,
-                EV_END,
-                EV_DRAG,
-                'drag:drophit',
-                'drag:dropmiss',
-                'drag:over',
-                'drag:enter',
-                'drag:exit'
-            ];
-            
-            Y.each(ev, function(v, k) {
-                this.publish(v, {
-                    type: v,
-                    emitFacade: true,
-                    bubbles: true,
-                    preventable: false,
-                    queuable: true
-                });
-            }, this);
-            this.addTarget(DDM);
-            
-           
-        },
-        /**
-        * @private
-        * @property _ev_md
-        * @description A private reference to the mousedown DOM event
-        * @type {Event}
-        */
-        _ev_md: null,
-        /**
-        * @private
-        * @property _startTime
-        * @description The getTime of the mousedown event. Not used, just here in case someone wants/needs to use it.
-        * @type Date
-        */
-        _startTime: null,
-        /**
-        * @private
-        * @property _endTime
-        * @description The getTime of the mouseup event. Not used, just here in case someone wants/needs to use it.
-        * @type Date
-        */
-        _endTime: null,
-        /**
-        * @private
-        * @property _handles
-        * @description A private hash of the valid drag handles
-        * @type {Object}
-        */
-        _handles: null,
-        /**
-        * @private
-        * @property _invalids
-        * @description A private hash of the invalid selector strings
-        * @type {Object}
-        */
-        _invalids: null,
-        /**
-        * @private
-        * @property _invalidsDefault
-        * @description A private hash of the default invalid selector strings: {'textarea': true, 'input': true, 'a': true, 'button': true}
-        * @type {Object}
-        */
-        _invalidsDefault: {'textarea': true, 'input': true, 'a': true, 'button': true},
-        /**
-        * @private
-        * @property _dragThreshMet
-        * @description Private flag to see if the drag threshhold was met
-        * @type {Boolean}
-        */
-        _dragThreshMet: null,
-        /**
-        * @private
-        * @property _fromTimeout
-        * @description Flag to determine if the drag operation came from a timeout
-        * @type {Boolean}
-        */
-        _fromTimeout: null,
-        /**
-        * @private
-        * @property _clickTimeout
-        * @description Holder for the setTimeout call
-        * @type {Boolean}
-        */
-        _clickTimeout: null,
-        /**
-        * @property deltaXY
-        * @description The offset of the mouse position to the element's position
-        * @type {Array}
-        */
-        deltaXY: null,
-        /**
-        * @property startXY
-        * @description The initial mouse position
-        * @type {Array}
-        */
-        startXY: null,
-        /**
-        * @property nodeXY
-        * @description The initial element position
-        * @type {Array}
-        */
-        nodeXY: null,
-        /**
-        * @property lastXY
-        * @description The position of the element as it's moving (for offset calculations)
-        * @type {Array}
-        */
-        lastXY: null,
-        /**
-        * @property mouseXY
-        * @description The XY coords of the mousemove
-        * @type {Array}
-        */
-        mouseXY: null,
-        /**
-        * @property region
-        * @description A region object associated with this drag, used for checking regions while dragging.
-        * @type Object
-        */
-        region: null,       
-        /**
-        * @private
-        * @method _handleMouseUp
-        * @description Handler for the mouseup DOM event
-        * @param {Event}
-        */
-        _handleMouseUp: function(ev) {
-            this._fixIEMouseUp();
-            if (DDM.activeDrag) {
-                DDM._end();
-            }
-        },
-        /** 
-        * @private
-        * @method _ieSelectFix
-        * @description The function we use as the onselectstart handler when we start a drag in Internet Explorer
-        */
-        _ieSelectFix: function() {
-            return false;
-        },
-        /** 
-        * @private
-        * @property _ieSelectBack
-        * @description We will hold a copy of the current "onselectstart" method on this property, and reset it after we are done using it.
-        */
-        _ieSelectBack: null,
-        /**
-        * @private
-        * @method _fixIEMouseDown
-        * @description This method copies the onselectstart listner on the document to the _ieSelectFix property
-        */
-        _fixIEMouseDown: function() {
-            if (Y.UA.ie) {
-                this._ieSelectBack = Y.config.doc.body.onselectstart;
-                Y.config.doc.body.onselectstart = this._ieSelectFix;
-            }           
-        },
-        /**
-        * @private
-        * @method _fixIEMouseUp
-        * @description This method copies the _ieSelectFix property back to the onselectstart listner on the document.
-        */
-        _fixIEMouseUp: function() {
-            if (Y.UA.ie) {
-                Y.config.doc.body.onselectstart = this._ieSelectBack;
-            }           
-        },
-        /**
-        * @private
-        * @method _handleMouseDownEvent
-        * @description Handler for the mousedown DOM event
-        * @param {Event}
-        */
-        _handleMouseDownEvent: function(ev) {
-            this.fire(EV_MOUSE_DOWN, { ev: ev });
-        },
-        /**
-        * @private
-        * @method _handleMouseDown
-        * @description Handler for the mousedown DOM event
-        * @param {Event}
-        */
-        _handleMouseDown: function(e) {
-            var ev = e.ev;
-            this._dragThreshMet = false;
-            this._ev_md = ev;
-            
-            if (this.get('primaryButtonOnly') && ev.button > 1) {
-                return false;
-            }
-            if (this.validClick(ev)) {
-                this._fixIEMouseDown();
-                ev.halt();
-                this._setStartPosition([ev.pageX, ev.pageY]);
-
-                DDM.activeDrag = this;
-
-                var self = this;
-                this._clickTimeout = setTimeout(function() {
-                    self._timeoutCheck.call(self);
-                }, this.get('clickTimeThresh'));
-            }
-            this.fire(EV_AFTER_MOUSE_DOWN, { ev: ev });
-        },
-        /**
-        * @method validClick
-        * @description Method first checks to see if we have handles, if so it validates the click against the handle. Then if it finds a valid handle, it checks it against the invalid handles list. Returns true if a good handle was used, false otherwise.
-        * @param {Event}
-        * @return {Boolean}
-        */
-        validClick: function(ev) {
-            var r = false,
-            tar = ev.target,
-            hTest = null;
-            if (this._handles) {
-                Y.each(this._handles, function(i, n) {
-                    if (Y.Lang.isString(n)) {
-                        //Am I this or am I inside this
-                        if (tar.test(n + ', ' + n + ' *')) {
-                            hTest = n;
-                            r = true;
-                        }
-                    }
-                });
-            } else {
-                if (this.get(NODE).contains(tar) || this.get(NODE).compareTo(tar)) {
-                    r = true;
-                }
-            }
-            if (r) {
-                if (this._invalids) {
-                    Y.each(this._invalids, function(i, n) {
-                        if (Y.Lang.isString(n)) {
-                            //Am I this or am I inside this
-                            if (tar.test(n + ', ' + n + ' *')) {
-                                r = false;
-                            }
-                        }
-                    });
-                }
-            }
-            if (r) {
-                if (hTest) {
-                    var els = ev.currentTarget.queryAll(hTest);
-                    els.each(function(n, i) {
-                        if (n.contains(tar) || n.compareTo(tar)) {
-                            this.set('activeHandle', els.item(i));
-                        }
-                    }, this);
-                } else {
-                    this.set('activeHandle', this.get(NODE));
-                }
-            }
-            return r;
-        },
-        /**
-        * @private
-        * @method _setStartPosition
-        * @description Sets the current position of the Element and calculates the offset
-        * @param {Array} xy The XY coords to set the position to.
-        */
-        _setStartPosition: function(xy) {
-            this.startXY = xy;
-            
-            this.nodeXY = this.get(NODE).getXY();
-            this.lastXY = this.nodeXY;
-
-            if (this.get('offsetNode')) {
-                this.deltaXY = [(this.startXY[0] - this.nodeXY[0]), (this.startXY[1] - this.nodeXY[1])];
-            } else {
-                this.deltaXY = [0, 0];
-            }
-        },
-        /**
-        * @private
-        * @method _timeoutCheck
-        * @description The method passed to setTimeout to determine if the clickTimeThreshold was met.
-        */
-        _timeoutCheck: function() {
-            if (!this.get('lock')) {
-                this._fromTimeout = true;
-                this._dragThreshMet = true;
-                this.start();
-                this._moveNode([this._ev_md.pageX, this._ev_md.pageY], true);
-            }
-        },
-        /**
-        * @method removeHandle
-        * @description Remove a Selector added by addHandle
-        * @param {String} str The selector for the handle to be removed. 
-        * @return {Self}
-        * @chainable
-        */
-        removeHandle: function(str) {
-            if (this._handles[str]) {
-                delete this._handles[str];
-                this.fire(EV_REMOVE_HANDLE, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method addHandle
-        * @description Add a handle to a drag element. Drag only initiates when a mousedown happens on this element.
-        * @param {String} str The selector to test for a valid handle. Must be a child of the element.
-        * @return {Self}
-        * @chainable
-        */
-        addHandle: function(str) {
-            if (!this._handles) {
-                this._handles = {};
-            }
-            if (Y.Lang.isString(str)) {
-                this._handles[str] = true;
-                this.fire(EV_ADD_HANDLE, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method removeInvalid
-        * @description Remove an invalid handle added by addInvalid
-        * @param {String} str The invalid handle to remove from the internal list.
-        * @return {Self}
-        * @chainable
-        */
-        removeInvalid: function(str) {
-            if (this._invalids[str]) {
-                delete this._handles[str];
-                this.fire(EV_REMOVE_INVALID, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method addInvalid
-        * @description Add a selector string to test the handle against. If the test passes the drag operation will not continue.
-        * @param {String} str The selector to test against to determine if this is an invalid drag handle.
-        * @return {Self}
-        * @chainable
-        */
-        addInvalid: function(str) {
-            if (Y.Lang.isString(str)) {
-                this._invalids[str] = true;
-                this.fire(EV_ADD_INVALID, { handle: str });
-            } else {
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Internal init handler
-        */
-        initializer: function() {
-            //TODO give the node instance a copy of this object
-            //Not supported in PR1 due to Y.Node.get calling a new under the hood.
-            //this.get(NODE).dd = this;
-
-            if (!this.get(NODE).get('id')) {
-                var id = Y.stamp(this.get(NODE));
-                this.get(NODE).set('id', id);
-            }
-            
-
-            this._invalids = this._invalidsDefault;
-
-            this._createEvents();
-            
-            if (!this.get(DRAG_NODE)) {
-                this.set(DRAG_NODE, this.get(NODE));
-            }
-            this._prep();
-            this._dragThreshMet = false;
-        },
-        /**
-        * @private
-        * @method _prep
-        * @description Attach event listners and add classname
-        */
-        _prep: function() {
-            var node = this.get(NODE);
-            node.addClass(DDM.CSS_PREFIX + '-draggable');
-            node.on(MOUSE_DOWN, this._handleMouseDownEvent, this, true);
-            node.on(MOUSE_UP, this._handleMouseUp, this, true);
-        },
-        /**
-        * @private
-        * @method _unprep
-        * @description Detach event listners and remove classname
-        */
-        _unprep: function() {
-            var node = this.get(NODE);
-            node.removeClass(DDM.CSS_PREFIX + '-draggable');
-            node.detach(MOUSE_DOWN, this._handleMouseDownEvent, this, true);
-            node.detach(MOUSE_UP, this._handleMouseUp, this, true);
-        },
-        /**
-        * @method start
-        * @description Starts the drag operation
-        * @return {Self}
-        * @chainable
-        */
-        start: function() {
-            if (!this.get('lock') && !this.get('dragging')) {
-                this.set('dragging', true);
-                DDM._start(this.deltaXY, [this.get(NODE).get(OFFSET_HEIGHT), this.get(NODE).get(OFFSET_WIDTH)]);
-                this.get(NODE).addClass(DDM.CSS_PREFIX + '-dragging');
-                this.fire(EV_START, { pageX: this.nodeXY[0], pageY: this.nodeXY[1] });
-                this.get(DRAG_NODE).on(MOUSE_UP, this._handleMouseUp, this, true);
-                var xy = this.nodeXY;
-
-                this._startTime = (new Date()).getTime();
-                
-                this.region = {
-                    '0': xy[0], 
-                    '1': xy[1],
-                    area: 0,
-                    top: xy[1],
-                    right: xy[0] + this.get(NODE).get(OFFSET_WIDTH),
-                    bottom: xy[1] + this.get(NODE).get(OFFSET_HEIGHT),
-                    left: xy[0]
-                };
-                
-            }
-            return this;
-        },
-        /**
-        * @method end
-        * @description Ends the drag operation
-        * @return {Self}
-        * @chainable
-        */
-        end: function() {
-            this._endTime = (new Date()).getTime();
-            clearTimeout(this._clickTimeout);
-            this._dragThreshMet = false;
-            this._fromTimeout = false;
-            if (!this.get('lock') && this.get('dragging')) {
-                this.fire(EV_END, { pageX: this.lastXY[0], pageY: this.lastXY[1] });
-            }
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-dragging');
-            this.set('dragging', false);
-            this.deltaXY = [0, 0];
-            this.get(DRAG_NODE).detach(MOUSE_UP, this._handleMouseUp, this, true);
-
-            return this;
-        },
-        /**
-        * @private
-        * @method _align
-        * @description Calculates the offsets and set's the XY that the element will move to.
-        * @param {Array} xy The xy coords to align with.
-        * @return Array
-        * @type {Array}
-        */
-        _align: function(xy) {
-            return [xy[0] - this.deltaXY[0], xy[1] - this.deltaXY[1]];
-        },
-        /**
-        * @private
-        * @method _moveNode
-        * @description This method performs the actual element move.
-        * @param {Array} eXY The XY to move the element to, usually comes from the mousemove DOM event.
-        * @param {Boolean} noFire If true, the drag:drag event will not fire.
-        */
-        _moveNode: function(eXY, noFire) {
-            var xy = this._align(eXY), diffXY = [], diffXY2 = [];
-
-            diffXY[0] = (xy[0] - this.lastXY[0]);
-            diffXY[1] = (xy[1] - this.lastXY[1]);
-
-            diffXY2[0] = (xy[0] - this.nodeXY[0]);
-            diffXY2[1] = (xy[1] - this.nodeXY[1]);
-
-            if (this.get('move')) {
-                if (Y.UA.opera) {
-                    this.get(DRAG_NODE).setXY(xy);
-                } else {
-                    DDM.setXY(this.get(DRAG_NODE), diffXY);
-                }
-            }
-
-            this.region = {
-                '0': xy[0], 
-                '1': xy[1],
-                area: 0,
-                top: xy[1],
-                right: xy[0] + this.get(NODE).get(OFFSET_WIDTH),
-                bottom: xy[1] + this.get(NODE).get(OFFSET_HEIGHT),
-                left: xy[0]
-            };
-
-            var startXY = this.nodeXY;
-            if (!noFire) {
-                this.fire(EV_DRAG, {
-                    pageX: xy[0],
-                    pageY: xy[1],
-                    info: {
-                        start: startXY,
-                        xy: xy,
-                        delta: diffXY,
-                        offset: diffXY2
-                    } 
-                });
-            }
-            
-            this.lastXY = xy;
-        },
-        /**
-        * @private
-        * @method _move
-        * @description Fired from DragDropMgr (DDM) on mousemove.
-        * @param {Event} ev The mousemove DOM event
-        */
-        _move: function(ev) {
-            if (this.get('lock')) {
-                return false;
-            } else {
-                this.mouseXY = [ev.pageX, ev.pageY];
-                if (!this._dragThreshMet) {
-                    var diffX = Math.abs(this.startXY[0] - ev.pageX);
-                    var diffY = Math.abs(this.startXY[1] - ev.pageY);
-                    if (diffX > this.get('clickPixelThresh') || diffY > this.get('clickPixelThresh')) {
-                        this._dragThreshMet = true;
-                        this.start();
-                        this._moveNode([ev.pageX, ev.pageY]);
-                    }
-                
-                } else {
-                    clearTimeout(this._clickTimeout);
-                    this._moveNode([ev.pageX, ev.pageY]);
-                }
-            }
-        },
-        /**
-        * @method stopDrag
-        * @description Method will forcefully stop a drag operation. For example calling this from inside an ESC keypress handler will stop this drag.
-        * @return {Self}
-        * @chainable
-        */
-        stopDrag: function() {
-            if (this.get('dragging')) {
-                DDM._end();
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method destructor
-        * @description Lifecycle destructor, unreg the drag from the DDM and remove listeners
-        */
-        destructor: function() {
-            DDM._unregDrag(this);
-
-            this._unprep();
-            if (this.target) {
-                this.target.destroy();
-            }
-        }
-    });
-    Y.namespace('DD');    
-    Y.DD.Drag = Drag;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-base'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-drop-debug.js'
--- loggerhead/static/javascript/yui/build/dd/dd-drop-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-drop-debug.js	1970-01-01 00:00:00 +0000
@@ -1,429 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-drop', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-drop
-     */     
-    /**
-     * This class provides the ability to create a Drop Target.
-     * @class Drop
-     * @extends Base
-     * @constructor
-     */
-
-    var NODE = 'node',
-        DDM = Y.DD.DDM,
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth',
-        /**
-        * @event drop:over
-        * @description Fires when a drag element is over this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_OVER = 'drop:over',
-        /**
-        * @event drop:enter
-        * @description Fires when a drag element enters this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_ENTER = 'drop:enter',
-        /**
-        * @event drop:exit
-        * @description Fires when a drag element exits this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_EXIT = 'drop:exit';
-
-        /**
-        * @event drop:hit
-        * @description Fires when a draggable node is dropped on this Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        
-
-    var Drop = function() {
-        Drop.superclass.constructor.apply(this, arguments);
-
-        this._createShim();
-        DDM._regTarget(this);
-        /* TODO
-        if (Dom.getStyle(this.el, 'position') == 'fixed') {
-            Event.on(window, 'scroll', function() {
-                this.activateShim();
-            }, this, true);
-        }
-        */
-    };
-
-    Drop.NAME = 'drop';
-
-    Drop.ATTRS = {
-        /**
-        * @attribute node
-        * @description Y.Node instanace to use as the element to make a Drop Target
-        * @type Node
-        */        
-        node: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drop: Invalid Node Given: ' + node);
-                }
-                return n;               
-            }
-        },
-        /**
-        * @attribute groups
-        * @description Array of groups to add this drop into.
-        * @type Array
-        */        
-        groups: {
-            value: ['default'],
-            set: function(g) {
-                this._groups = {};
-                Y.each(g, function(v, k) {
-                    this._groups[v] = true;
-                }, this);
-            }
-        },   
-        /**
-        * @attribute padding
-        * @description CSS style padding to make the Drop Target bigger than the node.
-        * @type String
-        */
-        padding: {
-            value: '0',
-            set: function(p) {
-                return DDM.cssSizestoObject(p);
-            }
-        },
-        /**
-        * @attribute lock
-        * @description Set to lock this drop element.
-        * @type Boolean
-        */        
-        lock: {
-            value: false,
-            set: function(lock) {
-                if (lock) {
-                    this.get(NODE).addClass(DDM.CSS_PREFIX + '-drop-locked');
-                } else {
-                    this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-locked');
-                }
-            }
-        }
-    };
-
-    Y.extend(Drop, Y.Base, {
-        /**
-        * @private
-        * @method _createEvents
-        * @description This method creates all the events for this Event Target and publishes them so we get Event Bubbling.
-        */
-        _createEvents: function() {
-            
-            var ev = [
-                EV_DROP_OVER,
-                EV_DROP_ENTER,
-                EV_DROP_EXIT,
-                'drop:hit'
-            ];
-
-            Y.each(ev, function(v, k) {
-                this.publish(v, {
-                    type: v,
-                    emitFacade: true,
-                    preventable: false,
-                    bubbles: true,
-                    queuable: true
-                });
-            }, this);
-
-            this.addTarget(DDM);
-            
-        },
-        /**
-        * @private
-        * @property _valid
-        * @description Flag for determining if the target is valid in this operation.
-        * @type Boolean
-        */
-        _valid: null,
-        /**
-        * @private
-        * @property _groups
-        * @description The groups this target belongs to.
-        * @type Array
-        */
-        _groups: null,
-        /**
-        * @property shim
-        * @description Node reference to the targets shim
-        * @type {Object}
-        */
-        shim: null,
-        /**
-        * @property region
-        * @description A region object associated with this target, used for checking regions while dragging.
-        * @type Object
-        */
-        region: null,
-        /**
-        * @property overTarget
-        * @description This flag is tripped when a drag element is over this target.
-        * @type Boolean
-        */
-        overTarget: null,
-        /**
-        * @method inGroup
-        * @description Check if this target is in one of the supplied groups.
-        * @param {Array} groups The groups to check against
-        * @return Boolean
-        */
-        inGroup: function(groups) {
-            this._valid = false;
-            var ret = false;
-            Y.each(groups, function(v, k) {
-                if (this._groups[v]) {
-                    ret = true;
-                    this._valid = true;
-                }
-            }, this);
-            return ret;
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Private lifecycle method
-        */
-        initializer: function() {
-            this._createEvents();
-            var node = this.get(NODE);
-            if (!node.get('id')) {
-                var id = Y.stamp(node);
-                node.set('id', id);
-            }
-            node.addClass(DDM.CSS_PREFIX + '-drop');
-        },
-        /**
-        * @private
-        * @method destructor
-        * @description Lifecycle destructor, unreg the drag from the DDM and remove listeners
-        */
-        destructor: function() {
-            DDM._unregTarget(this);
-            if (this.shim) {
-                this.shim.get('parentNode').removeChild(this.shim);
-                this.shim = null;
-            }
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop');
-        },        
-        /**
-        * @private
-        * @method _deactivateShim
-        * @description Removes classes from the target, resets some flags and sets the shims deactive position [-999, -999]
-        */
-        _deactivateShim: function() {
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-active-valid');
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-over');
-            this.shim.setStyles({
-                top: '-999px',
-                left: '-999px'
-            });
-            this.overTarget = false;
-        },
-        /**
-        * @private
-        * @method _activateShim
-        * @description Activates the shim and adds some interaction CSS classes
-        */
-        _activateShim: function() {
-            if (!DDM.activeDrag) {
-                return false; //Nothing is dragging, no reason to activate.
-            }
-            if (this.get(NODE) === DDM.activeDrag.get(NODE)) {
-                return false;
-            }
-            if (this.get('lock')) {
-                return false;
-            }
-            var node = this.get(NODE);
-            //TODO Visibility Check..
-            //if (this.inGroup(DDM.activeDrag.get('groups')) && this.get(NODE).isVisible()) {
-            if (this.inGroup(DDM.activeDrag.get('groups'))) {
-                node.removeClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-                node.addClass(DDM.CSS_PREFIX + '-drop-active-valid');
-                DDM._addValid(this);
-                this.overTarget = false;
-                this.sizeShim();
-            } else {
-                DDM._removeValid(this);
-                node.removeClass(DDM.CSS_PREFIX + '-drop-active-valid');
-                node.addClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-            }
-        },
-        /**
-        * @method sizeShim
-        * @description Positions and sizes the shim with the raw data from the node, this can be used to programatically adjust the Targets shim for Animation..
-        */
-        sizeShim: function() {
-            if (!DDM.activeDrag) {
-                return false; //Nothing is dragging, no reason to activate.
-            }
-            if (this.get(NODE) === DDM.activeDrag.get(NODE)) {
-                return false;
-            }
-            if (this.get('lock')) {
-                return false;
-            }
-            var node = this.get(NODE),
-                nh = node.get(OFFSET_HEIGHT),
-                nw = node.get(OFFSET_WIDTH),
-                xy = node.getXY(),
-                p = this.get('padding');
-
-
-            //Apply padding
-            nw = nw + p.left + p.right;
-            nh = nh + p.top + p.bottom;
-            xy[0] = xy[0] - p.left;
-            xy[1] = xy[1] - p.top;
-            
-
-            if (DDM.activeDrag.get('dragMode') === DDM.INTERSECT) {
-                //Intersect Mode, make the shim bigger
-                var dd = DDM.activeDrag,
-                    dH = dd.get(NODE).get(OFFSET_HEIGHT),
-                    dW = dd.get(NODE).get(OFFSET_WIDTH);
-                
-                nh = (nh + dH);
-                nw = (nw + dW);
-                xy[0] = xy[0] - (dW - dd.deltaXY[0]);
-                xy[1] = xy[1] - (dH - dd.deltaXY[1]);
-
-            }
-            
-            //Set the style on the shim
-            this.shim.setStyles({
-                height: nh + 'px',
-                width: nw + 'px',
-                top: xy[1] + 'px',
-                left: xy[0] + 'px'
-            });
-            
-            //Create the region to be used by intersect when a drag node is over us.
-            this.region = {
-                '0': xy[0], 
-                '1': xy[1],
-                area: 0,
-                top: xy[1],
-                right: xy[0] + nw,
-                bottom: xy[1] + nh,
-                left: xy[0]
-            };
-        },
-        /**
-        * @private
-        * @method _createShim
-        * @description Creates the Target shim and adds it to the DDM's playground..
-        */
-        _createShim: function() {
-            //var s = Y.Node.create(['div', { id: this.get(NODE).get('id') + '_shim' }]);
-            var s = Y.Node.create('<div id="' + this.get(NODE).get('id') + '_shim"></div>');
-            s.setStyles({
-                height: this.get(NODE).get(OFFSET_HEIGHT) + 'px',
-                width: this.get(NODE).get(OFFSET_WIDTH) + 'px',
-                backgroundColor: 'yellow',
-                opacity: '.5',
-                zIndex: 999,
-                overflow: 'hidden',
-                top: '-900px',
-                left: '-900px',
-                position:  'absolute'
-            });
-            DDM._pg.appendChild(s);
-            this.shim = s;
-
-            s.on('mouseover', this._handleOverEvent, this, true);
-            s.on('mouseout', this._handleOutEvent, this, true);
-        },
-        /**
-        * @private
-        * @method _handleOverTarget
-        * @description This handles the over target call made from this object or from the DDM
-        */
-        _handleTargetOver: function() {
-            if (DDM.isOverTarget(this)) {
-                this.get(NODE).addClass(DDM.CSS_PREFIX + '-drop-over');
-                DDM.activeDrop = this;
-                DDM.otherDrops[this] = this;
-                if (this.overTarget) {
-                    DDM.activeDrag.fire('drag:over', { drop: this, drag: DDM.activeDrag });
-                    this.fire(EV_DROP_OVER, { drop: this, drag: DDM.activeDrag });
-                } else {
-                    this.overTarget = true;
-                    this.fire(EV_DROP_ENTER, { drop: this, drag: DDM.activeDrag });
-                    DDM.activeDrag.fire('drag:enter', { drop: this, drag: DDM.activeDrag });
-                    DDM.activeDrag.get(NODE).addClass(DDM.CSS_PREFIX + '-drag-over');
-                    DDM._handleTargetOver();
-                }
-            } else {
-                this._handleOut();
-            }
-            
-        },
-        /**
-        * @private
-        * @method _handleOverEvent
-        * @description Handles the mouseover DOM event on the Target Shim
-        */
-        _handleOverEvent: function() {
-            DDM._addActiveShim(this);
-        },
-        /**
-        * @private
-        * @method _handleOut
-        * @description Handles the mouseout DOM event on the Target Shim
-        */
-        _handleOutEvent: function() {
-            DDM._removeActiveShim(this);
-        },
-        /**
-        * @private
-        * @method _handleOut
-        * @description Handles out of target calls/checks
-        */
-        _handleOut: function() {
-            if (!DDM.isOverTarget(this)) {
-                if (this.overTarget) {
-                    this.overTarget = false;
-                    DDM._removeActiveShim(this);
-                    if (DDM.activeDrag) {
-                        this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-over');
-                        DDM.activeDrag.get(NODE).removeClass(DDM.CSS_PREFIX + '-drag-over');
-                        this.fire(EV_DROP_EXIT);
-                        DDM.activeDrag.fire('drag:exit', { drop: this });
-                        delete DDM.otherDrops[this];
-                    }
-                }
-            }
-        }
-    });
-
-    Y.DD.Drop = Drop;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-drop', 'dd-drag'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-drop-min.js'
--- loggerhead/static/javascript/yui/build/dd/dd-drop-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-drop-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dd-drop",function(A){var B="node",G=A.DD.DDM,F="offsetHeight",C="offsetWidth",I="drop:over",H="drop:enter",D="drop:exit";var E=function(){E.superclass.constructor.apply(this,arguments);this._createShim();G._regTarget(this);};E.NAME="drop";E.ATTRS={node:{set:function(J){var K=A.Node.get(J);if(!K){A.fail("DD.Drop: Invalid Node Given: "+J);}return K;}},groups:{value:["default"],set:function(J){this._groups={};A.each(J,function(L,K){this._groups[L]=true;},this);}},padding:{value:"0",set:function(J){return G.cssSizestoObject(J);}},lock:{value:false,set:function(J){if(J){this.get(B).addClass(G.CSS_PREFIX+"-drop-locked");}else{this.get(B).removeClass(G.CSS_PREFIX+"-drop-locked");}}}};A.extend(E,A.Base,{_createEvents:function(){var J=[I,H,D,"drop:hit"];A.each(J,function(L,K){this.publish(L,{type:L,emitFacade:true,preventable:false,bubbles:true,queuable:true});},this);this.addTarget(G);},_valid:null,_groups:null,shim:null,region:null,overTarget:null,inGroup:function(J){this._valid=false;var K=false;A.each(J,function(M,L){if(this._groups[M]){K=true;this._valid=true;}},this);return K;},initializer:function(){this._createEvents();var J=this.get(B);if(!J.get("id")){var K=A.stamp(J);J.set("id",K);}J.addClass(G.CSS_PREFIX+"-drop");},destructor:function(){G._unregTarget(this);if(this.shim){this.shim.get("parentNode").removeChild(this.shim);this.shim=null;}this.get(B).removeClass(G.CSS_PREFIX+"-drop");},_deactivateShim:function(){this.get(B).removeClass(G.CSS_PREFIX+"-drop-active-valid");this.get(B).removeClass(G.CSS_PREFIX+"-drop-active-invalid");this.get(B).removeClass(G.CSS_PREFIX+"-drop-over");this.shim.setStyles({top:"-999px",left:"-999px"});this.overTarget=false;},_activateShim:function(){if(!G.activeDrag){return false;}if(this.get(B)===G.activeDrag.get(B)){return false;}if(this.get("lock")){return false;}var J=this.get(B);if(this.inGroup(G.activeDrag.get("groups"))){J.removeClass(G.CSS_PREFIX+"-drop-active-invalid");J.addClass(G.CSS_PREFIX+"-drop-active-valid");G._addValid(this);this.overTarget=false;this.sizeShim();}else{G._removeValid(this);J.removeClass(G.CSS_PREFIX+"-drop-active-valid");J.addClass(G.CSS_PREFIX+"-drop-active-invalid");}},sizeShim:function(){if(!G.activeDrag){return false;}if(this.get(B)===G.activeDrag.get(B)){return false;}if(this.get("lock")){return false;}var O=this.get(B),M=O.get(F),K=O.get(C),Q=O.getXY(),P=this.get("padding");K=K+P.left+P.right;M=M+P.top+P.bottom;Q[0]=Q[0]-P.left;Q[1]=Q[1]-P.top;if(G.activeDrag.get("dragMode")===G.INTERSECT){var J=G.activeDrag,N=J.get(B).get(F),L=J.get(B).get(C);M=(M+N);K=(K+L);Q[0]=Q[0]-(L-J.deltaXY[0]);Q[1]=Q[1]-(N-J.deltaXY[1]);}this.shim.setStyles({height:M+"px",width:K+"px",top:Q[1]+"px",left:Q[0]+"px"});this.region={"0":Q[0],"1":Q[1],area:0,top:Q[1],right:Q[0]+K,bottom:Q[1]+M,left:Q[0]};},_createShim:function(){var J=A.Node.create('<div id="'+this.get(B).get("id")+'_shim"></div>');J.setStyles({height:this.get(B).get(F)+"px",width:this.get(B).get(C)+"px",backgroundColor:"yellow",opacity:".5",zIndex:999,overflow:"hidden",top:"-900px",left:"-900px",position:"absolute"});G._pg.appendChild(J);this.shim=J;J.on("mouseover",this._handleOverEvent,this,true);J.on("mouseout",this._handleOutEvent,this,true);},_handleTargetOver:function(){if(G.isOverTarget(this)){this.get(B).addClass(G.CSS_PREFIX+"-drop-over");G.activeDrop=this;G.otherDrops[this]=this;if(this.overTarget){G.activeDrag.fire("drag:over",{drop:this,drag:G.activeDrag});this.fire(I,{drop:this,drag:G.activeDrag});}else{this.overTarget=true;this.fire(H,{drop:this,drag:G.activeDrag});G.activeDrag.fire("drag:enter",{drop:this,drag:G.activeDrag});G.activeDrag.get(B).addClass(G.CSS_PREFIX+"-drag-over");G._handleTargetOver();}}else{this._handleOut();}},_handleOverEvent:function(){G._addActiveShim(this);},_handleOutEvent:function(){G._removeActiveShim(this);},_handleOut:function(){if(!G.isOverTarget(this)){if(this.overTarget){this.overTarget=false;G._removeActiveShim(this);if(G.activeDrag){this.get(B).removeClass(G.CSS_PREFIX+"-drop-over");G.activeDrag.get(B).removeClass(G.CSS_PREFIX+"-drag-over");this.fire(D);G.activeDrag.fire("drag:exit",{drop:this});delete G.otherDrops[this];}}}}});A.DD.Drop=E;},"3.0.0pr1",{requires:["dd-ddm-drop","dd-drag"],skinnable:false});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-drop-plugin-debug.js'
--- loggerhead/static/javascript/yui/build/dd/dd-drop-plugin-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-drop-plugin-debug.js	1970-01-01 00:00:00 +0000
@@ -1,47 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-drop-plugin', function(Y) {
-
-       /**
-        * This is a simple Drop plugin that can be attached to a Node via the plug method.
-        * @module dd-plugin
-        * @submodule dd-drop-plugin
-        */
-       /**
-        * This is a simple Drop plugin that can be attached to a Node via the plug method.
-        * @class DropPlugin
-        * @extends Drop
-        * @constructor
-        */
-
-        Y.Plugin = Y.Plugin || {};
-
-        var Drop = function(config) {
-            config.node = config.owner;
-            Drop.superclass.constructor.apply(this, arguments);
-        };
-        
-        /**
-        * @property NAME
-        * @description dd-drop-plugin
-        * @type {String}
-        */
-        Drop.NAME = "dd-drop-plugin";
-        /**
-        * @property NS
-        * @description The Drop instance will be placed on the Node instance under the drop namespace. It can be accessed via Node.drop;
-        * @type {String}
-        */
-        Drop.NS = "drop";
-
-
-        Y.extend(Drop, Y.DD.Drop);
-        Y.Plugin.Drop = Drop;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drop'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-drop-plugin-min.js'
--- loggerhead/static/javascript/yui/build/dd/dd-drop-plugin-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-drop-plugin-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dd-drop-plugin",function(A){A.Plugin=A.Plugin||{};var B=function(C){C.node=C.owner;B.superclass.constructor.apply(this,arguments);};B.NAME="dd-drop-plugin";B.NS="drop";A.extend(B,A.DD.Drop);A.Plugin.Drop=B;},"3.0.0pr1",{requires:["dd-drop"],skinnable:false});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-drop-plugin.js'
--- loggerhead/static/javascript/yui/build/dd/dd-drop-plugin.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-drop-plugin.js	1970-01-01 00:00:00 +0000
@@ -1,47 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-drop-plugin', function(Y) {
-
-       /**
-        * This is a simple Drop plugin that can be attached to a Node via the plug method.
-        * @module dd-plugin
-        * @submodule dd-drop-plugin
-        */
-       /**
-        * This is a simple Drop plugin that can be attached to a Node via the plug method.
-        * @class DropPlugin
-        * @extends Drop
-        * @constructor
-        */
-
-        Y.Plugin = Y.Plugin || {};
-
-        var Drop = function(config) {
-            config.node = config.owner;
-            Drop.superclass.constructor.apply(this, arguments);
-        };
-        
-        /**
-        * @property NAME
-        * @description dd-drop-plugin
-        * @type {String}
-        */
-        Drop.NAME = "dd-drop-plugin";
-        /**
-        * @property NS
-        * @description The Drop instance will be placed on the Node instance under the drop namespace. It can be accessed via Node.drop;
-        * @type {String}
-        */
-        Drop.NS = "drop";
-
-
-        Y.extend(Drop, Y.DD.Drop);
-        Y.Plugin.Drop = Drop;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drop'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-drop.js'
--- loggerhead/static/javascript/yui/build/dd/dd-drop.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-drop.js	1970-01-01 00:00:00 +0000
@@ -1,429 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-drop', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-drop
-     */     
-    /**
-     * This class provides the ability to create a Drop Target.
-     * @class Drop
-     * @extends Base
-     * @constructor
-     */
-
-    var NODE = 'node',
-        DDM = Y.DD.DDM,
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth',
-        /**
-        * @event drop:over
-        * @description Fires when a drag element is over this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_OVER = 'drop:over',
-        /**
-        * @event drop:enter
-        * @description Fires when a drag element enters this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_ENTER = 'drop:enter',
-        /**
-        * @event drop:exit
-        * @description Fires when a drag element exits this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_EXIT = 'drop:exit';
-
-        /**
-        * @event drop:hit
-        * @description Fires when a draggable node is dropped on this Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        
-
-    var Drop = function() {
-        Drop.superclass.constructor.apply(this, arguments);
-
-        this._createShim();
-        DDM._regTarget(this);
-        /* TODO
-        if (Dom.getStyle(this.el, 'position') == 'fixed') {
-            Event.on(window, 'scroll', function() {
-                this.activateShim();
-            }, this, true);
-        }
-        */
-    };
-
-    Drop.NAME = 'drop';
-
-    Drop.ATTRS = {
-        /**
-        * @attribute node
-        * @description Y.Node instanace to use as the element to make a Drop Target
-        * @type Node
-        */        
-        node: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drop: Invalid Node Given: ' + node);
-                }
-                return n;               
-            }
-        },
-        /**
-        * @attribute groups
-        * @description Array of groups to add this drop into.
-        * @type Array
-        */        
-        groups: {
-            value: ['default'],
-            set: function(g) {
-                this._groups = {};
-                Y.each(g, function(v, k) {
-                    this._groups[v] = true;
-                }, this);
-            }
-        },   
-        /**
-        * @attribute padding
-        * @description CSS style padding to make the Drop Target bigger than the node.
-        * @type String
-        */
-        padding: {
-            value: '0',
-            set: function(p) {
-                return DDM.cssSizestoObject(p);
-            }
-        },
-        /**
-        * @attribute lock
-        * @description Set to lock this drop element.
-        * @type Boolean
-        */        
-        lock: {
-            value: false,
-            set: function(lock) {
-                if (lock) {
-                    this.get(NODE).addClass(DDM.CSS_PREFIX + '-drop-locked');
-                } else {
-                    this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-locked');
-                }
-            }
-        }
-    };
-
-    Y.extend(Drop, Y.Base, {
-        /**
-        * @private
-        * @method _createEvents
-        * @description This method creates all the events for this Event Target and publishes them so we get Event Bubbling.
-        */
-        _createEvents: function() {
-            
-            var ev = [
-                EV_DROP_OVER,
-                EV_DROP_ENTER,
-                EV_DROP_EXIT,
-                'drop:hit'
-            ];
-
-            Y.each(ev, function(v, k) {
-                this.publish(v, {
-                    type: v,
-                    emitFacade: true,
-                    preventable: false,
-                    bubbles: true,
-                    queuable: true
-                });
-            }, this);
-
-            this.addTarget(DDM);
-            
-        },
-        /**
-        * @private
-        * @property _valid
-        * @description Flag for determining if the target is valid in this operation.
-        * @type Boolean
-        */
-        _valid: null,
-        /**
-        * @private
-        * @property _groups
-        * @description The groups this target belongs to.
-        * @type Array
-        */
-        _groups: null,
-        /**
-        * @property shim
-        * @description Node reference to the targets shim
-        * @type {Object}
-        */
-        shim: null,
-        /**
-        * @property region
-        * @description A region object associated with this target, used for checking regions while dragging.
-        * @type Object
-        */
-        region: null,
-        /**
-        * @property overTarget
-        * @description This flag is tripped when a drag element is over this target.
-        * @type Boolean
-        */
-        overTarget: null,
-        /**
-        * @method inGroup
-        * @description Check if this target is in one of the supplied groups.
-        * @param {Array} groups The groups to check against
-        * @return Boolean
-        */
-        inGroup: function(groups) {
-            this._valid = false;
-            var ret = false;
-            Y.each(groups, function(v, k) {
-                if (this._groups[v]) {
-                    ret = true;
-                    this._valid = true;
-                }
-            }, this);
-            return ret;
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Private lifecycle method
-        */
-        initializer: function() {
-            this._createEvents();
-            var node = this.get(NODE);
-            if (!node.get('id')) {
-                var id = Y.stamp(node);
-                node.set('id', id);
-            }
-            node.addClass(DDM.CSS_PREFIX + '-drop');
-        },
-        /**
-        * @private
-        * @method destructor
-        * @description Lifecycle destructor, unreg the drag from the DDM and remove listeners
-        */
-        destructor: function() {
-            DDM._unregTarget(this);
-            if (this.shim) {
-                this.shim.get('parentNode').removeChild(this.shim);
-                this.shim = null;
-            }
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop');
-        },        
-        /**
-        * @private
-        * @method _deactivateShim
-        * @description Removes classes from the target, resets some flags and sets the shims deactive position [-999, -999]
-        */
-        _deactivateShim: function() {
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-active-valid');
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-over');
-            this.shim.setStyles({
-                top: '-999px',
-                left: '-999px'
-            });
-            this.overTarget = false;
-        },
-        /**
-        * @private
-        * @method _activateShim
-        * @description Activates the shim and adds some interaction CSS classes
-        */
-        _activateShim: function() {
-            if (!DDM.activeDrag) {
-                return false; //Nothing is dragging, no reason to activate.
-            }
-            if (this.get(NODE) === DDM.activeDrag.get(NODE)) {
-                return false;
-            }
-            if (this.get('lock')) {
-                return false;
-            }
-            var node = this.get(NODE);
-            //TODO Visibility Check..
-            //if (this.inGroup(DDM.activeDrag.get('groups')) && this.get(NODE).isVisible()) {
-            if (this.inGroup(DDM.activeDrag.get('groups'))) {
-                node.removeClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-                node.addClass(DDM.CSS_PREFIX + '-drop-active-valid');
-                DDM._addValid(this);
-                this.overTarget = false;
-                this.sizeShim();
-            } else {
-                DDM._removeValid(this);
-                node.removeClass(DDM.CSS_PREFIX + '-drop-active-valid');
-                node.addClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-            }
-        },
-        /**
-        * @method sizeShim
-        * @description Positions and sizes the shim with the raw data from the node, this can be used to programatically adjust the Targets shim for Animation..
-        */
-        sizeShim: function() {
-            if (!DDM.activeDrag) {
-                return false; //Nothing is dragging, no reason to activate.
-            }
-            if (this.get(NODE) === DDM.activeDrag.get(NODE)) {
-                return false;
-            }
-            if (this.get('lock')) {
-                return false;
-            }
-            var node = this.get(NODE),
-                nh = node.get(OFFSET_HEIGHT),
-                nw = node.get(OFFSET_WIDTH),
-                xy = node.getXY(),
-                p = this.get('padding');
-
-
-            //Apply padding
-            nw = nw + p.left + p.right;
-            nh = nh + p.top + p.bottom;
-            xy[0] = xy[0] - p.left;
-            xy[1] = xy[1] - p.top;
-            
-
-            if (DDM.activeDrag.get('dragMode') === DDM.INTERSECT) {
-                //Intersect Mode, make the shim bigger
-                var dd = DDM.activeDrag,
-                    dH = dd.get(NODE).get(OFFSET_HEIGHT),
-                    dW = dd.get(NODE).get(OFFSET_WIDTH);
-                
-                nh = (nh + dH);
-                nw = (nw + dW);
-                xy[0] = xy[0] - (dW - dd.deltaXY[0]);
-                xy[1] = xy[1] - (dH - dd.deltaXY[1]);
-
-            }
-            
-            //Set the style on the shim
-            this.shim.setStyles({
-                height: nh + 'px',
-                width: nw + 'px',
-                top: xy[1] + 'px',
-                left: xy[0] + 'px'
-            });
-            
-            //Create the region to be used by intersect when a drag node is over us.
-            this.region = {
-                '0': xy[0], 
-                '1': xy[1],
-                area: 0,
-                top: xy[1],
-                right: xy[0] + nw,
-                bottom: xy[1] + nh,
-                left: xy[0]
-            };
-        },
-        /**
-        * @private
-        * @method _createShim
-        * @description Creates the Target shim and adds it to the DDM's playground..
-        */
-        _createShim: function() {
-            //var s = Y.Node.create(['div', { id: this.get(NODE).get('id') + '_shim' }]);
-            var s = Y.Node.create('<div id="' + this.get(NODE).get('id') + '_shim"></div>');
-            s.setStyles({
-                height: this.get(NODE).get(OFFSET_HEIGHT) + 'px',
-                width: this.get(NODE).get(OFFSET_WIDTH) + 'px',
-                backgroundColor: 'yellow',
-                opacity: '.5',
-                zIndex: 999,
-                overflow: 'hidden',
-                top: '-900px',
-                left: '-900px',
-                position:  'absolute'
-            });
-            DDM._pg.appendChild(s);
-            this.shim = s;
-
-            s.on('mouseover', this._handleOverEvent, this, true);
-            s.on('mouseout', this._handleOutEvent, this, true);
-        },
-        /**
-        * @private
-        * @method _handleOverTarget
-        * @description This handles the over target call made from this object or from the DDM
-        */
-        _handleTargetOver: function() {
-            if (DDM.isOverTarget(this)) {
-                this.get(NODE).addClass(DDM.CSS_PREFIX + '-drop-over');
-                DDM.activeDrop = this;
-                DDM.otherDrops[this] = this;
-                if (this.overTarget) {
-                    DDM.activeDrag.fire('drag:over', { drop: this, drag: DDM.activeDrag });
-                    this.fire(EV_DROP_OVER, { drop: this, drag: DDM.activeDrag });
-                } else {
-                    this.overTarget = true;
-                    this.fire(EV_DROP_ENTER, { drop: this, drag: DDM.activeDrag });
-                    DDM.activeDrag.fire('drag:enter', { drop: this, drag: DDM.activeDrag });
-                    DDM.activeDrag.get(NODE).addClass(DDM.CSS_PREFIX + '-drag-over');
-                    DDM._handleTargetOver();
-                }
-            } else {
-                this._handleOut();
-            }
-            
-        },
-        /**
-        * @private
-        * @method _handleOverEvent
-        * @description Handles the mouseover DOM event on the Target Shim
-        */
-        _handleOverEvent: function() {
-            DDM._addActiveShim(this);
-        },
-        /**
-        * @private
-        * @method _handleOut
-        * @description Handles the mouseout DOM event on the Target Shim
-        */
-        _handleOutEvent: function() {
-            DDM._removeActiveShim(this);
-        },
-        /**
-        * @private
-        * @method _handleOut
-        * @description Handles out of target calls/checks
-        */
-        _handleOut: function() {
-            if (!DDM.isOverTarget(this)) {
-                if (this.overTarget) {
-                    this.overTarget = false;
-                    DDM._removeActiveShim(this);
-                    if (DDM.activeDrag) {
-                        this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-over');
-                        DDM.activeDrag.get(NODE).removeClass(DDM.CSS_PREFIX + '-drag-over');
-                        this.fire(EV_DROP_EXIT);
-                        DDM.activeDrag.fire('drag:exit', { drop: this });
-                        delete DDM.otherDrops[this];
-                    }
-                }
-            }
-        }
-    });
-
-    Y.DD.Drop = Drop;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-drop', 'dd-drag'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-min.js'
--- loggerhead/static/javascript/yui/build/dd/dd-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-min.js	1970-01-01 00:00:00 +0000
@@ -1,10 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dd-ddm-base",function(B){var A=function(){A.superclass.constructor.apply(this,arguments);};A.NAME="DragDropMgr";A.ATTRS={clickPixelThresh:{value:3},clickTimeThresh:{value:1000},dragMode:{value:"point",set:function(C){this._setDragMode(C);}}};B.extend(A,B.Base,{_setDragMode:function(C){if(C===null){C=B.DD.DDM.get("dragMode");}switch(C){case 1:case"intersect":return 1;case 2:case"strict":return 2;case 0:case"point":return 0;}return 0;},CSS_PREFIX:"yui-dd",_activateTargets:function(){},_drags:[],activeDrag:false,_regDrag:function(C){this._drags[this._drags.length]=C;},_unregDrag:function(D){var C=[];B.each(this._drags,function(F,E){if(F!==D){C[C.length]=F;}});this._drags=C;},initializer:function(){B.Node.get("document").on("mousemove",this._move,this,true);B.Node.get("document").on("mouseup",this._end,this,true);},_start:function(C,F,D,E){this._startDrag.apply(this,arguments);},_startDrag:function(){},_endDrag:function(){},_dropMove:function(){},_end:function(){if(this.activeDrag){this._endDrag();this.activeDrag.end.call(this.activeDrag);this.activeDrag=null;}},stopDrag:function(){if(this.activeDrag){this._end();}return this;},_move:function(C){if(this.activeDrag){this.activeDrag._move.apply(this.activeDrag,arguments);this._dropMove();}},setXY:function(E,F){var D=parseInt(E.getStyle("top"),10),C=parseInt(E.getStyle("left"),10),G=E.getStyle("position");if(G==="static"){E.setStyle("position","relative");}if(isNaN(D)){D=0;}if(isNaN(C)){C=0;}E.setStyle("top",(F[1]+D)+"px");E.setStyle("left",(F[0]+C)+"px");},cssSizestoObject:function(E){var D=E.split(" "),C={top:0,bottom:0,right:0,left:0};if(D.length){C.top=parseInt(D[0],10);if(D[1]){C.right=parseInt(D[1],10);}else{C.right=C.top;}if(D[2]){C.bottom=parseInt(D[2],10);}else{C.bottom=C.top;}if(D[3]){C.left=parseInt(D[3],10);}else{if(D[1]){C.left=C.right;}else{C.left=C.top;}}}return C;},getDrag:function(D){var C=false,E=B.Node.get(D);if(E instanceof B.Node){B.each(this._drags,function(G,F){if(E.compareTo(G.get("node"))){C=G;}});}return C;}});B.namespace("DD");B.DD.DDM=new A();},"3.0.0pr1",{requires:["node","base"],skinnable:false});YUI.add("dd-ddm",function(A){A.mix(A.DD.DDM,{_pg:null,_debugShim:false,_activateTargets:function(){},_deactivateTargets:function(){},_startDrag:function(){if(this.activeDrag.get("useShim")){this._pg_activate();this._activateTargets();}},_endDrag:function(){this._pg_deactivate();this._deactivateTargets();},_pg_deactivate:function(){this._pg.setStyle("display","none");},_pg_activate:function(){this._pg_size();this._pg.setStyles({top:0,left:0,display:"block",opacity:((this._debugShim)?".5":"0")});},_pg_size:function(){if(this.activeDrag){var B=A.Node.get("body"),D=B.get("docHeight"),C=B.get("docWidth");this._pg.setStyles({height:D+"px",width:C+"px"});}},_createPG:function(){var C=A.Node.create("<div></div>"),B=A.Node.get("body");C.setStyles({top:"0",left:"0",position:"absolute",zIndex:"9999",overflow:"hidden",backgroundColor:"red",display:"none",height:"5px",width:"5px"});if(B.get("firstChild")){B.insertBefore(C,B.get("firstChild"));}else{B.appendChild(C);}this._pg=C;this._pg.on("mouseup",this._end,this,true);this._pg.on("mousemove",this._move,this,true);A.Event.addListener(window,"resize",this._pg_size,this,true);A.Event.addListener(window,"scroll",this._pg_size,this,true);}},true);A.DD.DDM._createPG();},"3.0.0pr1",{requires:["dd-ddm-base"],skinnable:false});YUI.add("dd-ddm-drop",function(A){A.mix(A.DD.DDM,{_noShim:false,_activeShims:[],_hasActiveShim:function(){if(this._noShim){return true;}return this._activeShims.length;},_addActiveShim:function(B){this._activeShims[this._activeShims.length]=B;},_removeActiveShim:function(C){var B=[];A.each(this._activeShims,function(E,D){if(E._yuid!==C._yuid){B[B.length]=E;}});this._activeShims=B;},syncActiveShims:function(B){var C=((B)?this.targets:this._lookup());A.each(C,function(E,D){E.sizeShim.call(E);},this);return C;},mode:0,POINT:0,INTERSECT:1,STRICT:2,useHash:true,activeDrop:null,validDrops:[],otherDrops:{},targets:[],_addValid:function(B){this.validDrops[this.validDrops.length]=B;return this;},_removeValid:function(B){var C=[];A.each(this.validDrops,function(E,D){if(E!==B){C[C.length]=E;}});this.validDrops=C;return this;},isOverTarget:function(B){if(this.activeDrag&&B){var C=this.activeDrag.mouseXY;if(C){if(this.activeDrag.get("dragMode")==this.STRICT){return this.activeDrag.get("dragNode").inRegion(B.region,true,this.activeDrag.region);}else{if(B&&B.shim){return B.shim.intersect({top:C[1],bottom:C[1],left:C[0],right:C[0]},B.region).inRegion;}else{return false;}}}else{return false;}}else{return false;}},clearCache:function(){this.validDrops=[];this.otherDrops={};this._activeShims=[];},_activateTargets:function(){this.clearCache();A.each(this.targets,function(C,B){C._activateShim.apply(C,[]);},this);this._handleTargetOver();},getBestMatch:function(F,D){var C=null,E=0;A.each(F,function(I,H){var G=this.activeDrag.get("dragNode").intersect(I.get("node"));I.region.area=G.area;if(G.inRegion){if(G.area>E){E=G.area;C=I;}}},this);if(D){var B=[];A.each(F,function(H,G){if(H!==C){B[B.length]=H;}},this);return[C,B];}else{return C;}},_deactivateTargets:function(){var B=[],D=this.activeDrag;if(D&&!A.Lang.isNull(this.activeDrop)&&this.otherDrops[this.activeDrop]){if(!D.get("dragMode")){B=this.otherDrops;delete B[this.activeDrop];}else{var C=this.getBestMatch(this.otherDrops,true);this.activeDrop=C[0];B=C[1];}D.get("node").removeClass(this.CSS_PREFIX+"-drag-over");this.activeDrop.fire("drop:hit",{drag:D,drop:this.activeDrop,others:B});D.fire("drag:drophit",{drag:D,drop:this.activeDrop,others:B});}else{if(this.activeDrag){D.get("node").removeClass(this.CSS_PREFIX+"-drag-over");D.fire("drag:dropmiss",{pageX:D.lastXY[0],pageY:D.lastXY[1]});}else{}}this.activeDrop=null;A.each(this.targets,function(F,E){F._deactivateShim.apply(F,[]);},this);},_dropMove:function(){if(this._hasActiveShim()){this._handleTargetOver();}else{A.each(this.otherDrops,function(C,B){C._handleOut.apply(C,[]);});}},_lookup:function(){if(!this.useHash){return this.validDrops;
-}var B=[];A.each(this.validDrops,function(D,C){if(D.shim&&D.shim.inViewportRegion(false,D.region)){B[B.length]=D;}});return B;},_handleTargetOver:function(){var B=this._lookup();A.each(B,function(D,C){D._handleTargetOver.call(D);},this);},_regTarget:function(B){this.targets[this.targets.length]=B;},_unregTarget:function(C){var B=[];A.each(this.targets,function(F,E){if(F!=C){B[B.length]=F;}},this);this.targets=B;var D=[];A.each(this.validDrops,function(F,E){if(F!==C){D[D.length]=F;}});this.validDrops=D;},getDrop:function(C){var B=false,D=A.Node.get(C);if(D instanceof A.Node){A.each(this.targets,function(F,E){if(D.compareTo(F.get("node"))){B=F;}});}return B;}},true);},"3.0.0pr1",{requires:["dd-ddm"],skinnable:false});YUI.add("dd-drag",function(D){var E=D.DD.DDM,R="node",L="dragNode",C="offsetHeight",J="offsetWidth",P="mouseup",N="mousedown",G="drag:mouseDown",B="drag:afterMouseDown",F="drag:removeHandle",K="drag:addHandle",O="drag:removeInvalid",Q="drag:addInvalid",I="drag:start",H="drag:end",M="drag:drag";var A=function(){A.superclass.constructor.apply(this,arguments);E._regDrag(this);};A.NAME="drag";A.ATTRS={node:{set:function(S){var T=D.Node.get(S);if(!T){D.fail("DD.Drag: Invalid Node Given: "+S);}return T;}},dragNode:{set:function(S){var T=D.Node.get(S);if(!T){D.fail("DD.Drag: Invalid dragNode Given: "+S);}return T;}},offsetNode:{value:true},clickPixelThresh:{value:E.get("clickPixelThresh")},clickTimeThresh:{value:E.get("clickTimeThresh")},lock:{value:false,set:function(S){if(S){this.get(R).addClass(E.CSS_PREFIX+"-locked");}else{this.get(R).removeClass(E.CSS_PREFIX+"-locked");}}},data:{value:false},move:{value:true},useShim:{value:true},activeHandle:{value:false},primaryButtonOnly:{value:true},dragging:{value:false},target:{value:false,set:function(S){this._handleTarget(S);}},dragMode:{value:null,set:function(S){return E._setDragMode(S);}},groups:{value:["default"],get:function(){if(!this._groups){this._groups={};}var S=[];D.each(this._groups,function(U,T){S[S.length]=T;});return S;},set:function(S){this._groups={};D.each(S,function(U,T){this._groups[U]=true;},this);}},handles:{value:null,set:function(S){if(S){this._handles={};D.each(S,function(U,T){this._handles[U]=true;},this);}else{this._handles=null;}return S;}}};D.extend(A,D.Base,{addToGroup:function(S){this._groups[S]=true;E._activateTargets();return this;},removeFromGroup:function(S){delete this._groups[S];E._activateTargets();return this;},target:null,_handleTarget:function(S){if(D.DD.Drop){if(S===false){if(this.target){E._unregTarget(this.target);this.target=null;}return false;}else{if(!D.Lang.isObject(S)){S={};}S.node=this.get(R);this.target=new D.DD.Drop(S);}}else{return false;}},_groups:null,_createEvents:function(){this.publish(G,{defaultFn:this._handleMouseDown,queuable:true,emitFacade:true,bubbles:true});var S=[B,F,K,O,Q,I,H,M,"drag:drophit","drag:dropmiss","drag:over","drag:enter","drag:exit"];D.each(S,function(U,T){this.publish(U,{type:U,emitFacade:true,bubbles:true,preventable:false,queuable:true});},this);this.addTarget(E);},_ev_md:null,_startTime:null,_endTime:null,_handles:null,_invalids:null,_invalidsDefault:{"textarea":true,"input":true,"a":true,"button":true},_dragThreshMet:null,_fromTimeout:null,_clickTimeout:null,deltaXY:null,startXY:null,nodeXY:null,lastXY:null,mouseXY:null,region:null,_handleMouseUp:function(S){this._fixIEMouseUp();if(E.activeDrag){E._end();}},_ieSelectFix:function(){return false;},_ieSelectBack:null,_fixIEMouseDown:function(){if(D.UA.ie){this._ieSelectBack=D.config.doc.body.onselectstart;D.config.doc.body.onselectstart=this._ieSelectFix;}},_fixIEMouseUp:function(){if(D.UA.ie){D.config.doc.body.onselectstart=this._ieSelectBack;}},_handleMouseDownEvent:function(S){this.fire(G,{ev:S});},_handleMouseDown:function(U){var T=U.ev;this._dragThreshMet=false;this._ev_md=T;if(this.get("primaryButtonOnly")&&T.button>1){return false;}if(this.validClick(T)){this._fixIEMouseDown();T.halt();this._setStartPosition([T.pageX,T.pageY]);E.activeDrag=this;var S=this;this._clickTimeout=setTimeout(function(){S._timeoutCheck.call(S);},this.get("clickTimeThresh"));}this.fire(B,{ev:T});},validClick:function(W){var V=false,S=W.target,U=null;if(this._handles){D.each(this._handles,function(X,Y){if(D.Lang.isString(Y)){if(S.test(Y+", "+Y+" *")){U=Y;V=true;}}});}else{if(this.get(R).contains(S)||this.get(R).compareTo(S)){V=true;}}if(V){if(this._invalids){D.each(this._invalids,function(X,Y){if(D.Lang.isString(Y)){if(S.test(Y+", "+Y+" *")){V=false;}}});}}if(V){if(U){var T=W.currentTarget.queryAll(U);T.each(function(Y,X){if(Y.contains(S)||Y.compareTo(S)){this.set("activeHandle",T.item(X));}},this);}else{this.set("activeHandle",this.get(R));}}return V;},_setStartPosition:function(S){this.startXY=S;this.nodeXY=this.get(R).getXY();this.lastXY=this.nodeXY;if(this.get("offsetNode")){this.deltaXY=[(this.startXY[0]-this.nodeXY[0]),(this.startXY[1]-this.nodeXY[1])];}else{this.deltaXY=[0,0];}},_timeoutCheck:function(){if(!this.get("lock")){this._fromTimeout=true;this._dragThreshMet=true;this.start();this._moveNode([this._ev_md.pageX,this._ev_md.pageY],true);}},removeHandle:function(S){if(this._handles[S]){delete this._handles[S];this.fire(F,{handle:S});}return this;},addHandle:function(S){if(!this._handles){this._handles={};}if(D.Lang.isString(S)){this._handles[S]=true;this.fire(K,{handle:S});}return this;},removeInvalid:function(S){if(this._invalids[S]){delete this._handles[S];this.fire(O,{handle:S});}return this;},addInvalid:function(S){if(D.Lang.isString(S)){this._invalids[S]=true;this.fire(Q,{handle:S});}else{}return this;},initializer:function(){if(!this.get(R).get("id")){var S=D.stamp(this.get(R));this.get(R).set("id",S);}this._invalids=this._invalidsDefault;this._createEvents();if(!this.get(L)){this.set(L,this.get(R));}this._prep();this._dragThreshMet=false;},_prep:function(){var S=this.get(R);S.addClass(E.CSS_PREFIX+"-draggable");S.on(N,this._handleMouseDownEvent,this,true);S.on(P,this._handleMouseUp,this,true);},_unprep:function(){var S=this.get(R);
-S.removeClass(E.CSS_PREFIX+"-draggable");S.detach(N,this._handleMouseDownEvent,this,true);S.detach(P,this._handleMouseUp,this,true);},start:function(){if(!this.get("lock")&&!this.get("dragging")){this.set("dragging",true);E._start(this.deltaXY,[this.get(R).get(C),this.get(R).get(J)]);this.get(R).addClass(E.CSS_PREFIX+"-dragging");this.fire(I,{pageX:this.nodeXY[0],pageY:this.nodeXY[1]});this.get(L).on(P,this._handleMouseUp,this,true);var S=this.nodeXY;this._startTime=(new Date()).getTime();this.region={"0":S[0],"1":S[1],area:0,top:S[1],right:S[0]+this.get(R).get(J),bottom:S[1]+this.get(R).get(C),left:S[0]};}return this;},end:function(){this._endTime=(new Date()).getTime();clearTimeout(this._clickTimeout);this._dragThreshMet=false;this._fromTimeout=false;if(!this.get("lock")&&this.get("dragging")){this.fire(H,{pageX:this.lastXY[0],pageY:this.lastXY[1]});}this.get(R).removeClass(E.CSS_PREFIX+"-dragging");this.set("dragging",false);this.deltaXY=[0,0];this.get(L).detach(P,this._handleMouseUp,this,true);return this;},_align:function(S){return[S[0]-this.deltaXY[0],S[1]-this.deltaXY[1]];},_moveNode:function(S,X){var W=this._align(S),T=[],U=[];T[0]=(W[0]-this.lastXY[0]);T[1]=(W[1]-this.lastXY[1]);U[0]=(W[0]-this.nodeXY[0]);U[1]=(W[1]-this.nodeXY[1]);if(this.get("move")){if(D.UA.opera){this.get(L).setXY(W);}else{E.setXY(this.get(L),T);}}this.region={"0":W[0],"1":W[1],area:0,top:W[1],right:W[0]+this.get(R).get(J),bottom:W[1]+this.get(R).get(C),left:W[0]};var V=this.nodeXY;if(!X){this.fire(M,{pageX:W[0],pageY:W[1],info:{start:V,xy:W,delta:T,offset:U}});}this.lastXY=W;},_move:function(U){if(this.get("lock")){return false;}else{this.mouseXY=[U.pageX,U.pageY];if(!this._dragThreshMet){var T=Math.abs(this.startXY[0]-U.pageX);var S=Math.abs(this.startXY[1]-U.pageY);if(T>this.get("clickPixelThresh")||S>this.get("clickPixelThresh")){this._dragThreshMet=true;this.start();this._moveNode([U.pageX,U.pageY]);}}else{clearTimeout(this._clickTimeout);this._moveNode([U.pageX,U.pageY]);}}},stopDrag:function(){if(this.get("dragging")){E._end();}return this;},destructor:function(){E._unregDrag(this);this._unprep();if(this.target){this.target.destroy();}}});D.namespace("DD");D.DD.Drag=A;},"3.0.0pr1",{requires:["dd-ddm-base"],skinnable:false});YUI.add("dd-proxy",function(F){var E=F.DD.DDM,A="node",B="dragNode",C="proxy";var G=function(){G.superclass.constructor.apply(this,arguments);};G.NAME="dragProxy";G.ATTRS={moveOnEnd:{value:true},resizeFrame:{value:true},proxy:{writeOnce:true,value:false},positionProxy:{value:true},borderStyle:{value:"1px solid #808080"}};var D={_createFrame:function(){if(!E._proxy){E._proxy=true;var I=F.Node.create("<div></div>");I.setStyles({position:"absolute",display:"none",zIndex:"999",top:"-999px",left:"-999px",border:this.get("borderStyle")});var H=F.Node.get("body");H.insertBefore(I,H.get("firstChild"));I.set("id",F.stamp(I));I.addClass(E.CSS_PREFIX+"-proxy");E._proxy=I;}},_setFrame:function(){var H=this.get(A);if(this.get("resizeFrame")){E._proxy.setStyles({height:H.get("offsetHeight")+"px",width:H.get("offsetWidth")+"px"});}this.get(B).setStyles({visibility:"hidden",display:"block",border:this.get("borderStyle")});if(this.get("positionProxy")){this.get(B).setXY(this.nodeXY);}this.get(B).setStyle("visibility","visible");},initializer:function(){if(this.get(C)){this._createFrame();}},start:function(){if(!this.get("lock")){if(this.get(C)){if(this.get(B).compareTo(this.get(A))){this.set(B,E._proxy);}}}G.superclass.start.apply(this);if(this.get(C)){this._setFrame();}},end:function(){if(this.get(C)&&this.get("dragging")){if(this.get("moveOnEnd")){this.get(A).setXY(this.lastXY);}this.get(B).setStyle("display","none");}G.superclass.end.apply(this);}};F.extend(G,F.DD.Drag,D);F.DD.Drag=G;},"3.0.0pr1",{requires:["dd-ddm","dd-drag"],skinnable:false});YUI.add("dd-constrain",function(E){var A="dragNode",G="offsetHeight",F="offsetWidth";var D=function(){D.superclass.constructor.apply(this,arguments);};D.NAME="DragConstrained";D.ATTRS={stickX:{value:false},stickY:{value:false},tickX:{value:false},tickY:{value:false},tickXArray:{value:false},tickYArray:{value:false},constrain2region:{value:false,get:function(C){if(E.Lang.isObject(C)){var H={};E.mix(H,C);return H;}else{return false;}},set:function(C){if(E.Lang.isObject(C)){if(C.top&&C.right&&C.left&&C.bottom){var H={};E.mix(H,C);return H;}else{return false;}}else{if(C!==false){return false;}}}},gutter:{value:"0",set:function(C){return E.DD.DDM.cssSizestoObject(C);}},constrain2node:{value:false,set:function(H){if(!this.get("constrain2region")){var C=E.Node.get(H);if(C){return C;}}else{if(this.get("constrain2region")!==false){}}return false;}},constrain2view:{value:false}};var B={start:function(){D.superclass.start.apply(this,arguments);this._regionCache=null;},_regionCache:null,_cacheRegion:function(){this._regionCache=this.get("constrain2node").get("region");},getRegion:function(K){var I={};if(this.get("constrain2node")){if(!this._regionCache){E.Event.addListener("window","resize",this._cacheRegion,this);this._cacheRegion();}I=E.clone(this._regionCache);}else{if(this.get("constrain2region")){I=this.get("constrain2region");}else{if(this.get("constrain2view")){I=this.get("node").get("viewportRegion");}else{return false;}}}var H=this.get("gutter");E.each(H,function(L,M){if((M=="right")||(M=="bottom")){I[M]-=L;}else{I[M]+=L;}});if(K){var J=this.get(A).get(G),C=this.get(A).get(F);I.right=I.right-C;I.bottom=I.bottom-J;}return I;},_checkRegion:function(C){var I=C,J=this.getRegion(),K=this.get(A).get(G),H=this.get(A).get(F);if(J.top>I[1]){I[1]=J.top;}if(I[1]>(J.bottom-K)){I[1]=(J.bottom-K);}if(J.left>I[0]){I[0]=J.left;}if(I[0]>(J.right-H)){I[0]=(J.right-H);}return I;},inRegion:function(I){I=I||this.get(A).getXY();var H=this._checkRegion([I[0],I[1]]),C=false;if((I[0]===H[0])&&(I[1]===H[1])){C=true;}return C;},_align:function(I){var C=D.superclass._align.apply(this,arguments),H=this.getRegion(true);if(this.get("stickX")){C[1]=(this.startXY[1]-this.deltaXY[1]);}if(this.get("stickY")){C[0]=(this.startXY[0]-this.deltaXY[0]);
-}if(H){C=this._checkRegion(C);}C=this._checkTicks(C,H);return C;},_calcTicks:function(N,M,J,L,K){var H=((N-M)/J),I=Math.floor(H),C=Math.ceil(H);if((I!==0)||(C!==0)){if((H>=I)&&(H<=C)){N=(M+(J*I));if(L&&K){if(N<L){N=(M+(J*(I+1)));}if(N>K){N=(M+(J*(I-1)));}}}}return N;},_calcTickArray:function(O,P,N,K){var H=0,L=P.length,J=0;if(!P||(P.length===0)){return O;}else{if(P[0]>=O){return P[0];}else{for(H=0;H<L;H++){J=(H+1);if(P[J]&&P[J]>=O){var I=O-P[H],C=P[J]-O;var M=(C>I)?P[H]:P[J];if(N&&K){if(M>K){if(P[H]){M=P[H];}else{M=P[L-1];}}}return M;}}return P[P.length-1];}}},_checkTicks:function(L,J){var K=(this.startXY[0]-this.deltaXY[0]),I=(this.startXY[1]-this.deltaXY[1]),C=this.get("tickX"),H=this.get("tickY");if(C&&!this.get("tickXArray")){L[0]=this._calcTicks(L[0],K,C,J.left,J.right);}if(H&&!this.get("tickYArray")){L[1]=this._calcTicks(L[1],I,H,J.top,J.bottom);}if(this.get("tickXArray")){L[0]=this._calcTickArray(L[0],this.get("tickXArray"),J.left,J.right);}if(this.get("tickYArray")){L[1]=this._calcTickArray(L[1],this.get("tickYArray"),J.top,J.bottom);}return L;}};E.extend(D,E.DD.Drag,B);E.DD.Drag=D;},"3.0.0pr1",{requires:["dd-drag","dd-proxy"],skinnable:false});YUI.add("dd-plugin",function(B){B.Plugin=B.Plugin||{};var A=function(C){C.node=C.owner;A.superclass.constructor.apply(this,arguments);};A.NAME="dd-plugin";A.NS="dd";B.extend(A,B.DD.Drag);B.Plugin.Drag=A;},"3.0.0pr1",{requires:["dd-drag"],skinnable:false,optional:["dd-constrain","dd-proxy"]});YUI.add("dd-drop",function(A){var B="node",G=A.DD.DDM,F="offsetHeight",C="offsetWidth",I="drop:over",H="drop:enter",D="drop:exit";var E=function(){E.superclass.constructor.apply(this,arguments);this._createShim();G._regTarget(this);};E.NAME="drop";E.ATTRS={node:{set:function(J){var K=A.Node.get(J);if(!K){A.fail("DD.Drop: Invalid Node Given: "+J);}return K;}},groups:{value:["default"],set:function(J){this._groups={};A.each(J,function(L,K){this._groups[L]=true;},this);}},padding:{value:"0",set:function(J){return G.cssSizestoObject(J);}},lock:{value:false,set:function(J){if(J){this.get(B).addClass(G.CSS_PREFIX+"-drop-locked");}else{this.get(B).removeClass(G.CSS_PREFIX+"-drop-locked");}}}};A.extend(E,A.Base,{_createEvents:function(){var J=[I,H,D,"drop:hit"];A.each(J,function(L,K){this.publish(L,{type:L,emitFacade:true,preventable:false,bubbles:true,queuable:true});},this);this.addTarget(G);},_valid:null,_groups:null,shim:null,region:null,overTarget:null,inGroup:function(J){this._valid=false;var K=false;A.each(J,function(M,L){if(this._groups[M]){K=true;this._valid=true;}},this);return K;},initializer:function(){this._createEvents();var J=this.get(B);if(!J.get("id")){var K=A.stamp(J);J.set("id",K);}J.addClass(G.CSS_PREFIX+"-drop");},destructor:function(){G._unregTarget(this);if(this.shim){this.shim.get("parentNode").removeChild(this.shim);this.shim=null;}this.get(B).removeClass(G.CSS_PREFIX+"-drop");},_deactivateShim:function(){this.get(B).removeClass(G.CSS_PREFIX+"-drop-active-valid");this.get(B).removeClass(G.CSS_PREFIX+"-drop-active-invalid");this.get(B).removeClass(G.CSS_PREFIX+"-drop-over");this.shim.setStyles({top:"-999px",left:"-999px"});this.overTarget=false;},_activateShim:function(){if(!G.activeDrag){return false;}if(this.get(B)===G.activeDrag.get(B)){return false;}if(this.get("lock")){return false;}var J=this.get(B);if(this.inGroup(G.activeDrag.get("groups"))){J.removeClass(G.CSS_PREFIX+"-drop-active-invalid");J.addClass(G.CSS_PREFIX+"-drop-active-valid");G._addValid(this);this.overTarget=false;this.sizeShim();}else{G._removeValid(this);J.removeClass(G.CSS_PREFIX+"-drop-active-valid");J.addClass(G.CSS_PREFIX+"-drop-active-invalid");}},sizeShim:function(){if(!G.activeDrag){return false;}if(this.get(B)===G.activeDrag.get(B)){return false;}if(this.get("lock")){return false;}var O=this.get(B),M=O.get(F),K=O.get(C),Q=O.getXY(),P=this.get("padding");K=K+P.left+P.right;M=M+P.top+P.bottom;Q[0]=Q[0]-P.left;Q[1]=Q[1]-P.top;if(G.activeDrag.get("dragMode")===G.INTERSECT){var J=G.activeDrag,N=J.get(B).get(F),L=J.get(B).get(C);M=(M+N);K=(K+L);Q[0]=Q[0]-(L-J.deltaXY[0]);Q[1]=Q[1]-(N-J.deltaXY[1]);}this.shim.setStyles({height:M+"px",width:K+"px",top:Q[1]+"px",left:Q[0]+"px"});this.region={"0":Q[0],"1":Q[1],area:0,top:Q[1],right:Q[0]+K,bottom:Q[1]+M,left:Q[0]};},_createShim:function(){var J=A.Node.create('<div id="'+this.get(B).get("id")+'_shim"></div>');J.setStyles({height:this.get(B).get(F)+"px",width:this.get(B).get(C)+"px",backgroundColor:"yellow",opacity:".5",zIndex:999,overflow:"hidden",top:"-900px",left:"-900px",position:"absolute"});G._pg.appendChild(J);this.shim=J;J.on("mouseover",this._handleOverEvent,this,true);J.on("mouseout",this._handleOutEvent,this,true);},_handleTargetOver:function(){if(G.isOverTarget(this)){this.get(B).addClass(G.CSS_PREFIX+"-drop-over");G.activeDrop=this;G.otherDrops[this]=this;if(this.overTarget){G.activeDrag.fire("drag:over",{drop:this,drag:G.activeDrag});this.fire(I,{drop:this,drag:G.activeDrag});}else{this.overTarget=true;this.fire(H,{drop:this,drag:G.activeDrag});G.activeDrag.fire("drag:enter",{drop:this,drag:G.activeDrag});G.activeDrag.get(B).addClass(G.CSS_PREFIX+"-drag-over");G._handleTargetOver();}}else{this._handleOut();}},_handleOverEvent:function(){G._addActiveShim(this);},_handleOutEvent:function(){G._removeActiveShim(this);},_handleOut:function(){if(!G.isOverTarget(this)){if(this.overTarget){this.overTarget=false;G._removeActiveShim(this);if(G.activeDrag){this.get(B).removeClass(G.CSS_PREFIX+"-drop-over");G.activeDrag.get(B).removeClass(G.CSS_PREFIX+"-drag-over");this.fire(D);G.activeDrag.fire("drag:exit",{drop:this});delete G.otherDrops[this];}}}}});A.DD.Drop=E;},"3.0.0pr1",{requires:["dd-ddm-drop","dd-drag"],skinnable:false});YUI.add("dd-drop-plugin",function(A){A.Plugin=A.Plugin||{};var B=function(C){C.node=C.owner;B.superclass.constructor.apply(this,arguments);};B.NAME="dd-drop-plugin";B.NS="drop";A.extend(B,A.DD.Drop);A.Plugin.Drop=B;},"3.0.0pr1",{requires:["dd-drop"],skinnable:false});YUI.add("dd",function(A){},"3.0.0pr1",{use:["dd-ddm-base","dd-ddm","dd-ddm-drop","dd-drag","dd-proxy","dd-constrain","dd-plugin","dd-drop","dd-drop-plugin"],skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-plugin-debug.js'
--- loggerhead/static/javascript/yui/build/dd/dd-plugin-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-plugin-debug.js	1970-01-01 00:00:00 +0000
@@ -1,47 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-plugin', function(Y) {
-
-       /**
-        * This is a simple Drag plugin that can be attached to a Node via the plug method.
-        * @module dd-plugin
-        * @submodule dd-plugin
-        */
-       /**
-        * This is a simple Drag plugin that can be attached to a Node via the plug method.
-        * @class DragPlugin
-        * @extends Drag
-        * @constructor
-        */
-
-        Y.Plugin = Y.Plugin || {};
-
-        var Drag = function(config) {
-            config.node = config.owner;
-            Drag.superclass.constructor.apply(this, arguments);
-        };
-        
-        /**
-        * @property NAME
-        * @description dd-plugin
-        * @type {String}
-        */
-        Drag.NAME = "dd-plugin";
-        /**
-        * @property NS
-        * @description The Drag instance will be placed on the Node instance under the dd namespace. It can be accessed via Node.dd;
-        * @type {String}
-        */
-        Drag.NS = "dd";
-
-
-        Y.extend(Drag, Y.DD.Drag);
-        Y.Plugin.Drag = Drag;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drag'], skinnable:false, optional:['dd-constrain', 'dd-proxy']});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-plugin-min.js'
--- loggerhead/static/javascript/yui/build/dd/dd-plugin-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-plugin-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dd-plugin",function(B){B.Plugin=B.Plugin||{};var A=function(C){C.node=C.owner;A.superclass.constructor.apply(this,arguments);};A.NAME="dd-plugin";A.NS="dd";B.extend(A,B.DD.Drag);B.Plugin.Drag=A;},"3.0.0pr1",{requires:["dd-drag"],skinnable:false,optional:["dd-constrain","dd-proxy"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-plugin.js'
--- loggerhead/static/javascript/yui/build/dd/dd-plugin.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-plugin.js	1970-01-01 00:00:00 +0000
@@ -1,47 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-plugin', function(Y) {
-
-       /**
-        * This is a simple Drag plugin that can be attached to a Node via the plug method.
-        * @module dd-plugin
-        * @submodule dd-plugin
-        */
-       /**
-        * This is a simple Drag plugin that can be attached to a Node via the plug method.
-        * @class DragPlugin
-        * @extends Drag
-        * @constructor
-        */
-
-        Y.Plugin = Y.Plugin || {};
-
-        var Drag = function(config) {
-            config.node = config.owner;
-            Drag.superclass.constructor.apply(this, arguments);
-        };
-        
-        /**
-        * @property NAME
-        * @description dd-plugin
-        * @type {String}
-        */
-        Drag.NAME = "dd-plugin";
-        /**
-        * @property NS
-        * @description The Drag instance will be placed on the Node instance under the dd namespace. It can be accessed via Node.dd;
-        * @type {String}
-        */
-        Drag.NS = "dd";
-
-
-        Y.extend(Drag, Y.DD.Drag);
-        Y.Plugin.Drag = Drag;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drag'], skinnable:false, optional:['dd-constrain', 'dd-proxy']});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-proxy-debug.js'
--- loggerhead/static/javascript/yui/build/dd/dd-proxy-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-proxy-debug.js	1970-01-01 00:00:00 +0000
@@ -1,177 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-proxy', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-proxy
-     */
-    /**
-     * This class extends dd-drag to allow for creating a proxy drag node, instead of dragging the original node.
-     * @class Proxy
-     * @extends Drag
-     * @constructor
-     */
-    var DDM = Y.DD.DDM,
-        NODE = 'node',
-        DRAG_NODE = 'dragNode',
-        PROXY = 'proxy';
-     
-
-    var Proxy = function() {
-        Proxy.superclass.constructor.apply(this, arguments);
-
-    };
-
-    Proxy.NAME = 'dragProxy';
-
-    Proxy.ATTRS = {
-        /**
-        * @attribute moveOnEnd
-        * @description Move the original node at the end of the drag. Default: true
-        * @type Boolean
-        */
-        moveOnEnd: {
-            value: true
-        },
-        /**
-        * @attribute resizeFrame
-        * @description Make the Proxy node assume the size of the original node. Default: true
-        * @type Boolean
-        */
-        resizeFrame: {
-            value: true
-        },
-        /**
-        * @attribute proxy
-        * @description Make this Draggable instance a Proxy instance. Default: false
-        * @type Boolean
-        */
-        proxy: {
-            writeOnce: true,
-            value: false
-        },        
-        /**
-        * @attribute positionProxy
-        * @description Make the Proxy node appear in the same place as the original node. Default: true
-        * @type Boolean
-        */
-        positionProxy: {
-            value: true
-        },
-        /**
-        * @attribute borderStyle
-        * @description The default border style for the border of the proxy. Default: 1px solid #808080
-        * @type Boolean
-        */
-        borderStyle: {
-            value: '1px solid #808080'
-        }
-    };
-
-    var proto = {
-        /**
-        * @private
-        * @method _createFrame
-        * @description Create the proxy element if it doesn't already exist and set the DD.DDM._proxy value
-        */
-        _createFrame: function() {
-            if (!DDM._proxy) {
-                DDM._proxy = true;
-                var p = Y.Node.create('<div></div>');
-
-                p.setStyles({
-                    position: 'absolute',
-                    display: 'none',
-                    zIndex: '999',
-                    top: '-999px',
-                    left: '-999px',
-                    border: this.get('borderStyle')
-                });
-
-                var b = Y.Node.get('body');
-                b.insertBefore(p, b.get('firstChild'));
-                p.set('id', Y.stamp(p));
-                p.addClass(DDM.CSS_PREFIX + '-proxy');
-                DDM._proxy = p;
-            }
-        },
-        /**
-        * @private
-        * @method _setFrame
-        * @description If resizeProxy is set to true (default) it will resize the proxy element to match the size of the Drag Element.
-        * If positionProxy is set to true (default) it will position the proxy element in the same location as the Drag Element.
-        */
-        _setFrame: function() {
-            var n = this.get(NODE);
-            if (this.get('resizeFrame')) {
-                DDM._proxy.setStyles({
-                    height: n.get('offsetHeight') + 'px',
-                    width: n.get('offsetWidth') + 'px'
-                });
-            }
-            this.get(DRAG_NODE).setStyles({
-                visibility: 'hidden',
-                display: 'block',
-                border: this.get('borderStyle')
-            });
-
-            if (this.get('positionProxy')) {
-                this.get(DRAG_NODE).setXY(this.nodeXY);
-            }
-            this.get(DRAG_NODE).setStyle('visibility', 'visible');
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Lifecycle method
-        */
-        initializer: function() {
-            if (this.get(PROXY)) {
-                this._createFrame();
-            }
-        },
-        /**
-        * @method start
-        * @description Starts the drag operation and sets the dragNode config option.
-        */       
-        start: function() {
-            if (!this.get('lock')) {
-                if (this.get(PROXY)) {
-                    if (this.get(DRAG_NODE).compareTo(this.get(NODE))) {
-                        this.set(DRAG_NODE, DDM._proxy);
-                    }
-                }
-            }
-            Proxy.superclass.start.apply(this);
-            if (this.get(PROXY)) {
-                this._setFrame();
-            }
-        },
-        /**
-        * @method end
-        * @description Ends the drag operation, if moveOnEnd is set it will position the Drag Element to the new location of the proxy.
-        */        
-        end: function() {
-            if (this.get(PROXY) && this.get('dragging')) {
-                if (this.get('moveOnEnd')) {
-                    this.get(NODE).setXY(this.lastXY);
-                }
-                this.get(DRAG_NODE).setStyle('display', 'none');
-            }
-            Proxy.superclass.end.apply(this);
-        }
-    };
-    //Extend DD.Drag
-    Y.extend(Proxy, Y.DD.Drag, proto);
-    //Set this new class as DD.Drag for other extensions
-    Y.DD.Drag = Proxy;    
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm', 'dd-drag'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-proxy-min.js'
--- loggerhead/static/javascript/yui/build/dd/dd-proxy-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-proxy-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dd-proxy",function(F){var E=F.DD.DDM,A="node",B="dragNode",C="proxy";var G=function(){G.superclass.constructor.apply(this,arguments);};G.NAME="dragProxy";G.ATTRS={moveOnEnd:{value:true},resizeFrame:{value:true},proxy:{writeOnce:true,value:false},positionProxy:{value:true},borderStyle:{value:"1px solid #808080"}};var D={_createFrame:function(){if(!E._proxy){E._proxy=true;var I=F.Node.create("<div></div>");I.setStyles({position:"absolute",display:"none",zIndex:"999",top:"-999px",left:"-999px",border:this.get("borderStyle")});var H=F.Node.get("body");H.insertBefore(I,H.get("firstChild"));I.set("id",F.stamp(I));I.addClass(E.CSS_PREFIX+"-proxy");E._proxy=I;}},_setFrame:function(){var H=this.get(A);if(this.get("resizeFrame")){E._proxy.setStyles({height:H.get("offsetHeight")+"px",width:H.get("offsetWidth")+"px"});}this.get(B).setStyles({visibility:"hidden",display:"block",border:this.get("borderStyle")});if(this.get("positionProxy")){this.get(B).setXY(this.nodeXY);}this.get(B).setStyle("visibility","visible");},initializer:function(){if(this.get(C)){this._createFrame();}},start:function(){if(!this.get("lock")){if(this.get(C)){if(this.get(B).compareTo(this.get(A))){this.set(B,E._proxy);}}}G.superclass.start.apply(this);if(this.get(C)){this._setFrame();}},end:function(){if(this.get(C)&&this.get("dragging")){if(this.get("moveOnEnd")){this.get(A).setXY(this.lastXY);}this.get(B).setStyle("display","none");}G.superclass.end.apply(this);}};F.extend(G,F.DD.Drag,D);F.DD.Drag=G;},"3.0.0pr1",{requires:["dd-ddm","dd-drag"],skinnable:false});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd-proxy.js'
--- loggerhead/static/javascript/yui/build/dd/dd-proxy.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd-proxy.js	1970-01-01 00:00:00 +0000
@@ -1,177 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-proxy', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-proxy
-     */
-    /**
-     * This class extends dd-drag to allow for creating a proxy drag node, instead of dragging the original node.
-     * @class Proxy
-     * @extends Drag
-     * @constructor
-     */
-    var DDM = Y.DD.DDM,
-        NODE = 'node',
-        DRAG_NODE = 'dragNode',
-        PROXY = 'proxy';
-     
-
-    var Proxy = function() {
-        Proxy.superclass.constructor.apply(this, arguments);
-
-    };
-
-    Proxy.NAME = 'dragProxy';
-
-    Proxy.ATTRS = {
-        /**
-        * @attribute moveOnEnd
-        * @description Move the original node at the end of the drag. Default: true
-        * @type Boolean
-        */
-        moveOnEnd: {
-            value: true
-        },
-        /**
-        * @attribute resizeFrame
-        * @description Make the Proxy node assume the size of the original node. Default: true
-        * @type Boolean
-        */
-        resizeFrame: {
-            value: true
-        },
-        /**
-        * @attribute proxy
-        * @description Make this Draggable instance a Proxy instance. Default: false
-        * @type Boolean
-        */
-        proxy: {
-            writeOnce: true,
-            value: false
-        },        
-        /**
-        * @attribute positionProxy
-        * @description Make the Proxy node appear in the same place as the original node. Default: true
-        * @type Boolean
-        */
-        positionProxy: {
-            value: true
-        },
-        /**
-        * @attribute borderStyle
-        * @description The default border style for the border of the proxy. Default: 1px solid #808080
-        * @type Boolean
-        */
-        borderStyle: {
-            value: '1px solid #808080'
-        }
-    };
-
-    var proto = {
-        /**
-        * @private
-        * @method _createFrame
-        * @description Create the proxy element if it doesn't already exist and set the DD.DDM._proxy value
-        */
-        _createFrame: function() {
-            if (!DDM._proxy) {
-                DDM._proxy = true;
-                var p = Y.Node.create('<div></div>');
-
-                p.setStyles({
-                    position: 'absolute',
-                    display: 'none',
-                    zIndex: '999',
-                    top: '-999px',
-                    left: '-999px',
-                    border: this.get('borderStyle')
-                });
-
-                var b = Y.Node.get('body');
-                b.insertBefore(p, b.get('firstChild'));
-                p.set('id', Y.stamp(p));
-                p.addClass(DDM.CSS_PREFIX + '-proxy');
-                DDM._proxy = p;
-            }
-        },
-        /**
-        * @private
-        * @method _setFrame
-        * @description If resizeProxy is set to true (default) it will resize the proxy element to match the size of the Drag Element.
-        * If positionProxy is set to true (default) it will position the proxy element in the same location as the Drag Element.
-        */
-        _setFrame: function() {
-            var n = this.get(NODE);
-            if (this.get('resizeFrame')) {
-                DDM._proxy.setStyles({
-                    height: n.get('offsetHeight') + 'px',
-                    width: n.get('offsetWidth') + 'px'
-                });
-            }
-            this.get(DRAG_NODE).setStyles({
-                visibility: 'hidden',
-                display: 'block',
-                border: this.get('borderStyle')
-            });
-
-            if (this.get('positionProxy')) {
-                this.get(DRAG_NODE).setXY(this.nodeXY);
-            }
-            this.get(DRAG_NODE).setStyle('visibility', 'visible');
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Lifecycle method
-        */
-        initializer: function() {
-            if (this.get(PROXY)) {
-                this._createFrame();
-            }
-        },
-        /**
-        * @method start
-        * @description Starts the drag operation and sets the dragNode config option.
-        */       
-        start: function() {
-            if (!this.get('lock')) {
-                if (this.get(PROXY)) {
-                    if (this.get(DRAG_NODE).compareTo(this.get(NODE))) {
-                        this.set(DRAG_NODE, DDM._proxy);
-                    }
-                }
-            }
-            Proxy.superclass.start.apply(this);
-            if (this.get(PROXY)) {
-                this._setFrame();
-            }
-        },
-        /**
-        * @method end
-        * @description Ends the drag operation, if moveOnEnd is set it will position the Drag Element to the new location of the proxy.
-        */        
-        end: function() {
-            if (this.get(PROXY) && this.get('dragging')) {
-                if (this.get('moveOnEnd')) {
-                    this.get(NODE).setXY(this.lastXY);
-                }
-                this.get(DRAG_NODE).setStyle('display', 'none');
-            }
-            Proxy.superclass.end.apply(this);
-        }
-    };
-    //Extend DD.Drag
-    Y.extend(Proxy, Y.DD.Drag, proto);
-    //Set this new class as DD.Drag for other extensions
-    Y.DD.Drag = Proxy;    
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm', 'dd-drag'], skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dd/dd.js'
--- loggerhead/static/javascript/yui/build/dd/dd.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dd/dd.js	1970-01-01 00:00:00 +0000
@@ -1,2819 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dd-ddm-base', function(Y) {
-
-    /**
-     * Provides the base Drag Drop Manger required for making a Node draggable.
-     * @module dd
-     * @submodule dd-ddm-base
-     */     
-     /**
-     * Provides the base Drag Drop Manger required for making a Node draggable.
-     * @class DDM
-     * @extends Base
-     * @constructor
-     */
-    
-    var DDMBase = function() {
-        //debugger;
-        DDMBase.superclass.constructor.apply(this, arguments);
-    };
-
-    DDMBase.NAME = 'DragDropMgr';
-
-    DDMBase.ATTRS = {
-        /**
-        * @attribute clickPixelThresh
-        * @description The number of pixels to move to start a drag operation, default is 3.
-        * @type Number
-        */
-        clickPixelThresh: {
-            value: 3
-        },
-        /**
-        * @attribute clickTimeThresh
-        * @description The number of milliseconds a mousedown has to pass to start a drag operation, default is 1000.
-        * @type Number
-        */        
-        clickTimeThresh: {
-            value: 1000
-        },
-        /**
-        * @attribute dragMode
-        * @description This attribute only works if the dd-drop module is active. It will set the dragMode (point, intersect, strict) of all future Drag instances. 
-        * @type String
-        */        
-        dragMode: {
-            value: 'point',
-            set: function(mode) {
-                this._setDragMode(mode);
-            }           
-        }
-
-    };
-
-    Y.extend(DDMBase, Y.Base, {
-        /**
-        * @private
-        * @method _setDragMode
-        * @description Handler for dragMode attribute setter.
-        * @param String/Number The Number value or the String for the DragMode to default all future drag instances to.
-        * @return Number The Mode to be set
-        */
-        _setDragMode: function(mode) {
-            if (mode === null) {
-                mode = Y.DD.DDM.get('dragMode');
-            }
-            switch (mode) {
-                case 1:
-                case 'intersect':
-                    return 1;
-                case 2:
-                case 'strict':
-                    return 2;
-                case 0:
-                case 'point':
-                    return 0;
-            }
-            return 0;       
-        },
-        /**
-        * @property CSS_PREFIX
-        * @description The PREFIX to attach to all DD CSS class names
-        * @type {String}
-        */
-        CSS_PREFIX: 'yui-dd',
-        _activateTargets: function() {},        
-        /**
-        * @private
-        * @property _drags
-        * @description Holder for all registered drag elements.
-        * @type {Array}
-        */
-        _drags: [],
-        /**
-        * @property activeDrag
-        * @description A reference to the currently active draggable object.
-        * @type {Drag}
-        */
-        activeDrag: false,
-        /**
-        * @private
-        * @method _regDrag
-        * @description Adds a reference to the drag object to the DDM._drags array, called in the constructor of Drag.
-        * @param {Drag} d The Drag object
-        */
-        _regDrag: function(d) {
-            this._drags[this._drags.length] = d;
-        },
-        /**
-        * @private
-        * @method _unregDrag
-        * @description Remove this drag object from the DDM._drags array.
-        * @param {Drag} d The drag object.
-        */
-        _unregDrag: function(d) {
-            var tmp = [];
-            Y.each(this._drags, function(n, i) {
-                if (n !== d) {
-                    tmp[tmp.length] = n;
-                }
-            });
-            this._drags = tmp;
-        },
-        /**
-        * @private
-        * @method _init
-        * @description DDM's init method
-        */
-        initializer: function() {
-            Y.Node.get('document').on('mousemove', this._move, this, true);
-            Y.Node.get('document').on('mouseup', this._end, this, true);
-            //Y.Event.Target.apply(this);
-        },
-        /**
-        * @private
-        * @method _start
-        * @description Internal method used by Drag to signal the start of a drag operation
-        * @param {Number} x The x position of the drag element
-        * @param {Number} y The y position of the drag element
-        * @param {Number} w The width of the drag element
-        * @param {Number} h The height of the drag element
-        */
-        _start: function(x, y, w, h) {
-            this._startDrag.apply(this, arguments);
-        },
-        /**
-        * @private
-        * @method _startDrag
-        * @description Factory method to be overwritten by other DDM's
-        * @param {Number} x The x position of the drag element
-        * @param {Number} y The y position of the drag element
-        * @param {Number} w The width of the drag element
-        * @param {Number} h The height of the drag element
-        */
-        _startDrag: function() {},
-        /**
-        * @private
-        * @method _endDrag
-        * @description Factory method to be overwritten by other DDM's
-        */
-        _endDrag: function() {},
-        _dropMove: function() {},
-        /**
-        * @private
-        * @method _end
-        * @description Internal method used by Drag to signal the end of a drag operation
-        */
-        _end: function() {
-            //@TODO - Here we can get a (click - drag - click - release) interaction instead of a (mousedown - drag - mouseup - release) interaction
-            //Add as a config option??
-            if (this.activeDrag) {
-                this._endDrag();
-                this.activeDrag.end.call(this.activeDrag);
-                this.activeDrag = null;
-            }
-        },
-        /**
-        * @method stopDrag
-        * @description Method will forcefully stop a drag operation. For example calling this from inside an ESC keypress handler will stop this drag.
-        * @return {Self}
-        * @chainable
-        */       
-        stopDrag: function() {
-            if (this.activeDrag) {
-                this._end();
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method _move
-        * @description Internal listener for the mousemove DOM event to pass to the Drag's move method.
-        * @param {Event} ev The Dom mousemove Event
-        */
-        _move: function(ev) {
-            if (this.activeDrag) {
-                this.activeDrag._move.apply(this.activeDrag, arguments);
-                this._dropMove();
-            }
-        },
-        /**
-        * @method setXY
-        * @description A simple method to set the top and left position from offsets instead of page coordinates
-        * @param {Object} node The node to set the position of 
-        * @param {Array} xy The Array of left/top position to be set.
-        */
-        setXY: function(node, xy) {
-            var t = parseInt(node.getStyle('top'), 10),
-            l = parseInt(node.getStyle('left'), 10),
-            pos = node.getStyle('position');
-
-            if (pos === 'static') {
-                node.setStyle('position', 'relative');
-            }
-
-            // in case of 'auto'
-            if (isNaN(t)) { t = 0; }
-            if (isNaN(l)) { l = 0; }
-            
-            node.setStyle('top', (xy[1] + t) + 'px');
-            node.setStyle('left', (xy[0] + l) + 'px');
-            
-        },
-        /**
-        * //TODO Private, rename??...
-        * @private
-        * @method cssSizestoObject
-        * @description Helper method to use to set the gutter from the attribute setter.
-        * @param {String} gutter CSS style string for gutter: '5 0' (sets top and bottom to 5px, left and right to 0px), '1 2 3 4' (top 1px, right 2px, bottom 3px, left 4px)
-        * @return {Object} The gutter Object Literal.
-        */
-        cssSizestoObject: function(gutter) {
-            var p = gutter.split(' '),
-            g = {
-                top: 0,
-                bottom: 0,
-                right: 0,
-                left: 0
-            };
-            if (p.length) {
-                g.top = parseInt(p[0], 10);
-                if (p[1]) {
-                    g.right = parseInt(p[1], 10);
-                } else {
-                    g.right = g.top;
-                }
-                if (p[2]) {
-                    g.bottom = parseInt(p[2], 10);
-                } else {
-                    g.bottom = g.top;
-                }
-                if (p[3]) {
-                    g.left = parseInt(p[3], 10);
-                } else if (p[1]) {
-                    g.left = g.right;
-                } else {
-                    g.left = g.top;
-                }
-            }
-            return g;
-        },
-        /**
-        * @method getDrag
-        * @description Get a valid Drag instance back from a Node or a selector string, false otherwise
-        * @param {String/Object} node The Node instance or Selector string to check for a valid Drag Object
-        * @return {Object}
-        */
-        getDrag: function(node) {
-            var drag = false,
-                n = Y.Node.get(node);
-            if (n instanceof Y.Node) {
-                Y.each(this._drags, function(v, k) {
-                    if (n.compareTo(v.get('node'))) {
-                        drag = v;
-                    }
-                });
-            }
-            return drag;
-        }
-    });
-
-    Y.namespace('DD');
-    Y.DD.DDM = new DDMBase();
-
-
-
-}, '3.0.0pr1' ,{requires:['node', 'base'], skinnable:false});
-YUI.add('dd-ddm', function(Y) {
-
-    /**
-     * Extends the dd-ddm-base Class to add support for the viewport shim to allow a draggable node to drag to be dragged over an iframe or any other node that traps mousemove events.
-     * It is also required to have Drop Targets enabled, as the viewport shim will contain the shims for the Drop Targets.
-     * @module dd
-     * @submodule dd-ddm
-     * @for DDM
-     */
-    Y.mix(Y.DD.DDM, {
-        /**
-        * @private
-        * @property _pg
-        * @description The shim placed over the screen to track the mousemove event.
-        * @type {Node}
-        */
-        _pg: null,
-        /**
-        * @private
-        * @property _debugShim
-        * @description Set this to true to set the shims opacity to .5 for debugging it, default: false.
-        * @type {Boolean}
-        */
-        _debugShim: false,
-        _activateTargets: function() {},
-        _deactivateTargets: function() {},
-        _startDrag: function() {
-            if (this.activeDrag.get('useShim')) {
-                this._pg_activate();
-                this._activateTargets();
-            }
-        },
-        _endDrag: function() {
-            this._pg_deactivate();
-            this._deactivateTargets();
-        },
-        /**
-        * @private
-        * @method _pg_deactivate
-        * @description Deactivates the shim
-        */
-        _pg_deactivate: function() {
-            this._pg.setStyle('display', 'none');
-        },
-        /**
-        * @private
-        * @method _pg_activate
-        * @description Activates the shim
-        */
-        _pg_activate: function() {
-            this._pg_size();
-            this._pg.setStyles({
-                top: 0,
-                left: 0,
-                display: 'block',
-                opacity: ((this._debugShim) ? '.5' : '0')
-            });
-        },
-        /**
-        * @private
-        * @method _pg_size
-        * @description Sizes the shim on: activatation, window:scroll, window:resize
-        */
-        _pg_size: function() {
-            if (this.activeDrag) {
-                var b = Y.Node.get('body'),
-                h = b.get('docHeight'),
-                w = b.get('docWidth');
-                this._pg.setStyles({
-                    height: h + 'px',
-                    width: w + 'px'
-                });
-            }
-        },
-        /**
-        * @private
-        * @method _createPG
-        * @description Creates the shim and adds it's listeners to it.
-        */
-        _createPG: function() {
-            //var pg = Y.Node.create(['div']),
-            var pg = Y.Node.create('<div></div>'),
-            bd = Y.Node.get('body');
-            pg.setStyles({
-                top: '0',
-                left: '0',
-                position: 'absolute',
-                zIndex: '9999',
-                overflow: 'hidden',
-                //opacity: '0',
-                backgroundColor: 'red',
-                display: 'none',
-                height: '5px',
-                width: '5px'
-            });
-            if (bd.get('firstChild')) {
-                bd.insertBefore(pg, bd.get('firstChild'));
-            } else {
-                bd.appendChild(pg);
-            }
-            this._pg = pg;
-            this._pg.on('mouseup', this._end, this, true);
-            this._pg.on('mousemove', this._move, this, true);
-            
-            
-            //TODO
-            Y.Event.addListener(window, 'resize', this._pg_size, this, true);
-            Y.Event.addListener(window, 'scroll', this._pg_size, this, true);
-        }   
-    }, true);
-
-    Y.DD.DDM._createPG();    
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-base'], skinnable:false});
-YUI.add('dd-ddm-drop', function(Y) {
-
-    /**
-     * Extends the dd-ddm Class to add support for the placement of Drop Target shims inside the viewport shim. It also handles all Drop Target related events and interactions.
-     * @module dd
-     * @submodule dd-ddm-drop
-     * @for DDM
-     */
-
-    //TODO CSS class name for the bestMatch..
-    Y.mix(Y.DD.DDM, {
-        /**
-        * @private
-        * @property _noShim
-        * @description This flag turns off the use of the mouseover/mouseout shim. It should not be used unless you know what you are doing.
-        * @type {Boolean}
-        */
-        _noShim: false,
-        /**
-        * @private
-        * @property _activeShims
-        * @description Placeholder for all active shims on the page
-        * @type {Array}
-        */
-        _activeShims: [],
-        /**
-        * @private
-        * @method _hasActiveShim
-        * @description This method checks the _activeShims Object to see if there is a shim active.
-        * @return {Boolean}
-        */
-        _hasActiveShim: function() {
-            if (this._noShim) {
-                return true;
-            }
-            return this._activeShims.length;
-        },
-        /**
-        * @private
-        * @method _addActiveShim 
-        * @description Adds a Drop Target to the list of active shims
-        * @param {Object} d The Drop instance to add to the list.
-        */
-        _addActiveShim: function(d) {
-            this._activeShims[this._activeShims.length] = d;
-        },
-        /**
-        * @private
-        * @method _removeActiveShim 
-        * @description Removes a Drop Target to the list of active shims
-        * @param {Object} d The Drop instance to remove from the list.
-        */
-        _removeActiveShim: function(d) {
-            var s = [];
-            Y.each(this._activeShims, function(v, k) {
-                if (v._yuid !== d._yuid) {
-                    s[s.length] = v;
-                }
-                
-            });
-            this._activeShims = s;
-        },
-        /**
-        * @method syncActiveShims
-        * @description This method will sync the position of the shims on the Drop Targets that are currently active.
-        * @param {Boolean} force Resize/sync all Targets.
-        * @return {Array} drops The list of Drop Targets that was just synced.
-        */
-        syncActiveShims: function(force) {
-            var drops = ((force) ? this.targets : this._lookup());
-            Y.each(drops, function(v, k) {
-                v.sizeShim.call(v);
-            }, this);
-
-            return drops;
-        },
-        /**
-        * @private
-        * @property mode
-        * @description The mode that the drag operations will run in 0 for Point, 1 for Intersect, 2 for Strict
-        * @type Number
-        */
-        mode: 0,
-        /**
-        * @private
-        * @property POINT
-        * @description In point mode, a Drop is targeted by the cursor being over the Target
-        * @type Number
-        */
-        POINT: 0,
-        /**
-        * @private
-        * @property INTERSECT
-        * @description In intersect mode, a Drop is targeted by "part" of the drag node being over the Target
-        * @type Number
-        */
-        INTERSECT: 1,
-        /**
-        * @private
-        * @property STRICT
-        * @description In strict mode, a Drop is targeted by the "entire" drag node being over the Target
-        * @type Number
-        */
-        STRICT: 2,
-        /**
-        * @property useHash
-        * @description Should we only check targets that are in the viewport on drags (for performance), default: true
-        * @type {Boolean}
-        */
-        useHash: true,
-        /**
-        * @property activeDrop
-        * @description A reference to the active Drop Target
-        * @type {Object}
-        */
-        activeDrop: null,
-        /**
-        * @property validDrops
-        * @description An array of the valid Drop Targets for this interaction.
-        * @type {Array}
-        */
-        //TODO Change array/object literals to be in sync..
-        validDrops: [],
-        /**
-        * @property otherDrops
-        * @description An object literal of Other Drop Targets that we encountered during this interaction (in the case of overlapping Drop Targets)
-        * @type {Object}
-        */
-        otherDrops: {},
-        /**
-        * @property targets
-        * @description All of the Targets
-        * @type {Array}
-        */
-        targets: [],
-        /**
-        * @private 
-        * @method _addValid
-        * @description Add a Drop Target to the list of Valid Targets. This list get's regenerated on each new drag operation.
-        * @param {Object} drop
-        * @return {Self}
-        * @chainable
-        */
-        _addValid: function(drop) {
-            this.validDrops[this.validDrops.length] = drop;
-            return this;
-        },
-        /**
-        * @private 
-        * @method _removeValid
-        * @description Removes a Drop Target from the list of Valid Targets. This list get's regenerated on each new drag operation.
-        * @param {Object} drop
-        * @return {Self}
-        * @chainable
-        */
-        _removeValid: function(drop) {
-            var drops = [];
-            Y.each(this.validDrops, function(v, k) {
-                if (v !== drop) {
-                    drops[drops.length] = v
-                }
-            });
-
-            this.validDrops = drops;
-            return this;
-        },
-        /**
-        * @method isOverTarget
-        * @description Check to see if the Drag element is over the target, method varies on current mode
-        * @param {Object} drop The drop to check against
-        * @return {Boolean}
-        */
-        isOverTarget: function(drop) {
-            //if (Y.Lang.isObject(this.activeDrag) && drop) { //TODO, check this check..
-            if (this.activeDrag && drop) {
-                var xy = this.activeDrag.mouseXY;
-                if (xy) {
-                    if (this.activeDrag.get('dragMode') == this.STRICT) {
-                        return this.activeDrag.get('dragNode').inRegion(drop.region, true, this.activeDrag.region);
-                    } else {
-                        if (drop && drop.shim) {
-                            return drop.shim.intersect({
-                                top: xy[1],
-                                bottom: xy[1],
-                                left: xy[0], 
-                                right: xy[0]
-                            }, drop.region).inRegion;
-                        } else {
-                            return false;
-                        }
-                    }
-                } else {
-                    return false;
-                }
-            } else {
-                return false;
-            }
-        },
-        /**
-        * @method clearCache
-        * @description Clears the cache data used for this interaction.
-        */
-        clearCache: function() {
-            this.validDrops = [];
-            this.otherDrops = {};
-            this._activeShims = [];
-        },
-        /**
-        * @private
-        * @method _activateTargets
-        * @description Clear the cache and activate the shims of all the targets
-        */
-        _activateTargets: function() {
-            this.clearCache();
-            Y.each(this.targets, function(v, k) {
-                v._activateShim.apply(v, []);
-            }, this);
-            this._handleTargetOver();
-            
-        },
-        /**
-        * @method getBestMatch
-        * @description This method will gather the area for all potential targets and see which has the hightest covered area and return it.
-        * @param {Array} drops An Array of drops to scan for the best match.
-        * @param {Boolean} all If present, it returns an Array. First item is best match, second is an Array of the other items in the original Array.
-        * @return {Object or Array} 
-        */
-        getBestMatch: function(drops, all) {
-            var biggest = null, area = 0;
-
-            Y.each(drops, function(v, k) {
-                var inter = this.activeDrag.get('dragNode').intersect(v.get('node'));
-                v.region.area = inter.area;
-
-                if (inter.inRegion) {
-                    if (inter.area > area) {
-                        area = inter.area;
-                        biggest = v;
-                    }
-                }
-            }, this);
-            if (all) {
-                var out = [];
-                //TODO Sort the others in numeric order by area covered..
-                Y.each(drops, function(v, k) {
-                    if (v !== biggest) {
-                        out[out.length] = v;
-                    }
-                }, this);
-                return [biggest, out];
-            } else {
-                return biggest;
-            }
-        },
-        /**
-        * @private
-        * @method _deactivateTargets
-        * @description This method fires the drop:hit, drag:drophit, drag:dropmiss methods and deactivates the shims..
-        */
-        _deactivateTargets: function() {
-            var other = [],
-                activeDrag = this.activeDrag;
-            
-            //TODO why is this check so hard??
-            if (activeDrag && !Y.Lang.isNull(this.activeDrop) && this.otherDrops[this.activeDrop]) {
-                if (!activeDrag.get('dragMode')) {
-                    //TODO otherDrops -- private..
-                    other = this.otherDrops;
-                    delete other[this.activeDrop];
-                } else {
-                    var tmp = this.getBestMatch(this.otherDrops, true);
-                    this.activeDrop = tmp[0];
-                    other = tmp[1];
-                }
-                activeDrag.get('node').removeClass(this.CSS_PREFIX + '-drag-over')
-                this.activeDrop.fire('drop:hit', { drag: activeDrag, drop: this.activeDrop, others: other });
-                activeDrag.fire('drag:drophit', { drag: activeDrag,  drop: this.activeDrop, others: other });
-            } else if (this.activeDrag) {
-                activeDrag.get('node').removeClass(this.CSS_PREFIX + '-drag-over')
-                activeDrag.fire('drag:dropmiss', { pageX: activeDrag.lastXY[0], pageY: activeDrag.lastXY[1] });
-            } else {
-            }
-            
-            this.activeDrop = null;
-
-            Y.each(this.targets, function(v, k) {
-                v._deactivateShim.apply(v, []);
-            }, this);
-        },
-        /**
-        * @private
-        * @method _dropMove
-        * @description This method is called when the move method is called on the Drag Object.
-        */
-        _dropMove: function() {
-            if (this._hasActiveShim()) {
-                this._handleTargetOver();
-            } else {
-                Y.each(this.otherDrops, function(v, k) {
-                    v._handleOut.apply(v, []);
-                });
-            }
-        },
-        /**
-        * @private
-        * @method _lookup
-        * @description Filters the list of Drops down to those in the viewport.
-        * @return {Array} The valid Drop Targets that are in the viewport.
-        */
-        _lookup: function() {
-            if (!this.useHash) {
-                return this.validDrops;
-            }
-            var drops = [];
-            //Only scan drop shims that are in the Viewport
-            Y.each(this.validDrops, function(v, k) {
-                if (v.shim && v.shim.inViewportRegion(false, v.region)) {
-                    drops[drops.length] = v;
-                }
-            });
-            return drops;
-                
-        },
-        /**
-        * @private
-        * @method _handleTargetOver
-        * @description This method execs _handleTargetOver on all valid Drop Targets
-        * @param {Boolean} force Force it to run the first time.
-        */
-        _handleTargetOver: function() {
-            var drops = this._lookup();
-            Y.each(drops, function(v, k) {
-                v._handleTargetOver.call(v);
-            }, this);
-        },
-        /**
-        * @private
-        * @method _regTarget
-        * @description Add the passed in Target to the targets collection
-        * @param {Object} t The Target to add to the targets collection
-        */
-        _regTarget: function(t) {
-            this.targets[this.targets.length] = t;
-        },
-        /**
-        * @private
-        * @method _unregTarget
-        * @description Remove the passed in Target from the targets collection
-        * @param {Object} drop The Target to remove from the targets collection
-        */
-        _unregTarget: function(drop) {
-            var targets = [];
-            Y.each(this.targets, function(v, k) {
-                if (v != drop) {
-                    targets[targets.length] = v;
-                }
-            }, this);
-            this.targets = targets;
-
-            var vdrops = [];
-            Y.each(this.validDrops, function(v, k) {
-                if (v !== drop) {
-                    vdrops[vdrops.length] = v
-                }
-            });
-
-            this.validDrops = vdrops;
-        },
-        /**
-        * @method getDrop
-        * @description Get a valid Drop instance back from a Node or a selector string, false otherwise
-        * @param {String/Object} node The Node instance or Selector string to check for a valid Drop Object
-        * @return {Object}
-        */
-        getDrop: function(node) {
-            var drop = false,
-                n = Y.Node.get(node);
-            if (n instanceof Y.Node) {
-                Y.each(this.targets, function(v, k) {
-                    if (n.compareTo(v.get('node'))) {
-                        drop = v;
-                    }
-                });
-            }
-            return drop;
-        }
-    }, true);
-    
-
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm'], skinnable:false});
-YUI.add('dd-drag', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-drag
-     */     
-    /**
-     * This class provides the ability to drag a Node.
-     * @class Drag
-     * @extends Base
-     * @constructor
-     */
-
-    var DDM = Y.DD.DDM,
-        NODE = 'node',
-        DRAG_NODE = 'dragNode',
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth',        
-        MOUSE_UP = 'mouseup',
-        MOUSE_DOWN = 'mousedown',
-        /**
-        * @event drag:mouseDown
-        * @description Handles the mousedown DOM event, checks to see if you have a valid handle then starts the drag timers.
-        * @preventable _handleMouseDown
-        * @param {Event} ev The mousedown event.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_MOUSE_DOWN = 'drag:mouseDown',
-        /**
-        * @event drag:afterMouseDown
-        * @description Fires after the mousedown event has been cleared.
-        * @param {Event} ev The mousedown event.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_AFTER_MOUSE_DOWN = 'drag:afterMouseDown',
-        /**
-        * @event drag:removeHandle
-        * @description Fires after a handle is removed.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_REMOVE_HANDLE = 'drag:removeHandle',
-        /**
-        * @event drag:addHandle
-        * @description Fires after a handle is added.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_ADD_HANDLE = 'drag:addHandle',
-        /**
-        * @event drag:removeInvalid
-        * @description Fires after an invalid selector is removed.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_REMOVE_INVALID = 'drag:removeInvalid',
-        /**
-        * @event drag:addInvalid
-        * @description Fires after an invalid selector is added.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_ADD_INVALID = 'drag:addInvalid',
-        /**
-        * @event drag:start
-        * @description Fires at the start of a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_START = 'drag:start',
-        /**
-        * @event drag:end
-        * @description Fires at the end of a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_END = 'drag:end',
-        /**
-        * @event drag:drag
-        * @description Fires every mousemove during a drag operation.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DRAG = 'drag:drag';
-
-
-        /**
-        * @event drag:over
-        * @description Fires when this node is over a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:enter
-        * @description Fires when this node enters a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:exit
-        * @description Fires when this node exits a Drop Target. (Fired from dd-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:drophit
-        * @description Fires when this node is dropped on a valid Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        /**
-        * @event drag:dropmiss
-        * @description Fires when this node is dropped on an invalid Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-    
-    var Drag = function() {
-        Drag.superclass.constructor.apply(this, arguments);
-
-        DDM._regDrag(this);
-    };
-    Drag.NAME = 'drag';
-
-    Drag.ATTRS = {
-        /**
-        * @attribute node
-        * @description Y.Node instanace to use as the element to initiate a drag operation
-        * @type Node
-        */
-        node: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drag: Invalid Node Given: ' + node);
-                }
-                return n;
-            }
-        },
-        /**
-        * @attribute dragNode
-        * @description Y.Node instanace to use as the draggable element, defaults to node
-        * @type Node
-        */
-        dragNode: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drag: Invalid dragNode Given: ' + node);
-                }
-                return n;
-            }
-        },
-        /**
-        * @attribute offsetNode
-        * @description Offset the drag element by the difference in cursor position: default true
-        * @type Boolean
-        */
-        offsetNode: {
-            value: true
-        },
-        /**
-        * @attribute clickPixelThresh
-        * @description The number of pixels to move to start a drag operation, default is 3.
-        * @type Number
-        */
-        clickPixelThresh: {
-            value: DDM.get('clickPixelThresh')
-        },
-        /**
-        * @attribute clickTimeThresh
-        * @description The number of milliseconds a mousedown has to pass to start a drag operation, default is 1000.
-        * @type Number
-        */
-        clickTimeThresh: {
-            value: DDM.get('clickTimeThresh')
-        },
-        /**
-        * @attribute lock
-        * @description Set to lock this drag element so that it can't be dragged: default false.
-        * @type Boolean
-        */
-        lock: {
-            value: false,
-            set: function(lock) {
-                if (lock) {
-                    this.get(NODE).addClass(DDM.CSS_PREFIX + '-locked');
-                } else {
-                    this.get(NODE).removeClass(DDM.CSS_PREFIX + '-locked');
-                }
-            }
-        },
-        /**
-        * @attribute data
-        * @description A payload holder to store arbitrary data about this drag object, can be used to store any value.
-        * @type Mixed
-        */
-        data: {
-            value: false
-        },
-        /**
-        * @attribute move
-        * @description If this is false, the drag element will not move with the cursor: default true. Can be used to "resize" the element.
-        * @type Boolean
-        */
-        move: {
-            value: true
-        },
-        /**
-        * @attribute useShim
-        * @description Use the protective shim on all drag operations: default true. Only works with dd-ddm, not dd-ddm-base.
-        * @type Boolean
-        */
-        useShim: {
-            value: true
-        },
-        /**
-        * @attribute activeHandle
-        * @description This config option is set by Drag to inform you of which handle fired the drag event (in the case that there are several handles): default false.
-        * @type Node
-        */
-        activeHandle: {
-            value: false
-        },
-        /**
-        * @attribute primaryButtonOnly
-        * @description By default a drag operation will only begin if the mousedown occurred with the primary mouse button. Setting this to false will allow for all mousedown events to trigger a drag.
-        * @type Boolean
-        */
-        primaryButtonOnly: {
-            value: true
-        },
-        /**
-        * @attribute dragging
-        * @description This attribute is not meant to be used by the implementor, it is meant to be used as an Event tracker so you can listen for it to change.
-        * @type Boolean
-        */
-        dragging: {
-            value: false
-        },
-        /**
-        * @attribute target
-        * @description This attribute only works if the dd-drop module has been loaded. It will make this node a drop target as well as draggable.
-        * @type Boolean
-        */
-        target: {
-            value: false,
-            set: function(config) {
-                this._handleTarget(config);
-            }
-        },
-        /**
-        * @attribute dragMode
-        * @description This attribute only works if the dd-drop module is active. It will set the dragMode (point, intersect, strict) of this Drag instance.
-        * @type String
-        */
-        dragMode: {
-            value: null,
-            set: function(mode) {
-                return DDM._setDragMode(mode);
-            }
-        },
-        /**
-        * @attribute groups
-        * @description Array of groups to add this drag into.
-        * @type Array
-        */
-        groups: {
-            value: ['default'],
-            get: function() {
-                if (!this._groups) {
-                    this._groups = {};
-                }
-                var ret = [];
-                Y.each(this._groups, function(v, k) {
-                    ret[ret.length] = k;
-                });
-                return ret;
-            },
-            set: function(g) {
-                this._groups = {};
-                Y.each(g, function(v, k) {
-                    this._groups[v] = true;
-                }, this);
-            }
-        },
-        /**
-        * @attribute handles
-        * @description Array of valid handles to add. Adding something here will set all handles, even if previously added with addHandle
-        * @type Array
-        */
-        handles: {
-            value: null,
-            set: function(g) {
-                if (g) {
-                    this._handles = {};
-                    Y.each(g, function(v, k) {
-                        this._handles[v] = true;
-                    }, this);
-                } else {
-                    this._handles = null;
-                }
-                return g;
-            }
-        }
-    };
-
-    Y.extend(Drag, Y.Base, {
-        /**
-        * @method addToGroup
-        * @description Add this Drag instance to a group, this should be used for on-the-fly group additions.
-        * @param {String} g The group to add this Drag Instance to.
-        * @return {Self}
-        * @chainable
-        */
-        addToGroup: function(g) {
-            this._groups[g] = true;
-            DDM._activateTargets();
-            return this;
-        },
-        /**
-        * @method removeFromGroup
-        * @description Remove this Drag instance from a group, this should be used for on-the-fly group removals.
-        * @param {String} g The group to remove this Drag Instance from.
-        * @return {Self}
-        * @chainable
-        */
-        removeFromGroup: function(g) {
-            delete this._groups[g];
-            DDM._activateTargets();
-            return this;
-        },
-        /**
-        * @property target
-        * @description This will be a reference to the Drop instance associated with this drag if the target: true config attribute is set..
-        * @type {Object}
-        */
-        target: null,
-        /**
-        * @private
-        * @method _handleTarget
-        * @description Attribute handler for the target config attribute.
-        * @param {Boolean/Object}
-        * @return {Boolean/Object}
-        */
-        _handleTarget: function(config) {
-            if (Y.DD.Drop) {
-                if (config === false) {
-                    if (this.target) {
-                        DDM._unregTarget(this.target);
-                        this.target = null;
-                    }
-                    return false;
-                } else {
-                    if (!Y.Lang.isObject(config)) {
-                        config = {};
-                    }
-                    config.node = this.get(NODE);
-                    this.target = new Y.DD.Drop(config);
-                }
-            } else {
-                return false;
-            }
-        },
-        /**
-        * @private
-        * @property _groups
-        * @description Storage Array for the groups this drag belongs to.
-        * @type {Array}
-        */
-        _groups: null,
-        /**
-        * @private
-        * @method _createEvents
-        * @description This method creates all the events for this Event Target and publishes them so we get Event Bubbling.
-        */
-        _createEvents: function() {
-            
-            this.publish(EV_MOUSE_DOWN, {
-                defaultFn: this._handleMouseDown,
-                queuable: true,
-                emitFacade: true,
-                bubbles: true
-            });
-            
-            var ev = [
-                EV_AFTER_MOUSE_DOWN,
-                EV_REMOVE_HANDLE,
-                EV_ADD_HANDLE,
-                EV_REMOVE_INVALID,
-                EV_ADD_INVALID,
-                EV_START,
-                EV_END,
-                EV_DRAG,
-                'drag:drophit',
-                'drag:dropmiss',
-                'drag:over',
-                'drag:enter',
-                'drag:exit'
-            ];
-            
-            Y.each(ev, function(v, k) {
-                this.publish(v, {
-                    type: v,
-                    emitFacade: true,
-                    bubbles: true,
-                    preventable: false,
-                    queuable: true
-                });
-            }, this);
-            this.addTarget(DDM);
-            
-           
-        },
-        /**
-        * @private
-        * @property _ev_md
-        * @description A private reference to the mousedown DOM event
-        * @type {Event}
-        */
-        _ev_md: null,
-        /**
-        * @private
-        * @property _startTime
-        * @description The getTime of the mousedown event. Not used, just here in case someone wants/needs to use it.
-        * @type Date
-        */
-        _startTime: null,
-        /**
-        * @private
-        * @property _endTime
-        * @description The getTime of the mouseup event. Not used, just here in case someone wants/needs to use it.
-        * @type Date
-        */
-        _endTime: null,
-        /**
-        * @private
-        * @property _handles
-        * @description A private hash of the valid drag handles
-        * @type {Object}
-        */
-        _handles: null,
-        /**
-        * @private
-        * @property _invalids
-        * @description A private hash of the invalid selector strings
-        * @type {Object}
-        */
-        _invalids: null,
-        /**
-        * @private
-        * @property _invalidsDefault
-        * @description A private hash of the default invalid selector strings: {'textarea': true, 'input': true, 'a': true, 'button': true}
-        * @type {Object}
-        */
-        _invalidsDefault: {'textarea': true, 'input': true, 'a': true, 'button': true},
-        /**
-        * @private
-        * @property _dragThreshMet
-        * @description Private flag to see if the drag threshhold was met
-        * @type {Boolean}
-        */
-        _dragThreshMet: null,
-        /**
-        * @private
-        * @property _fromTimeout
-        * @description Flag to determine if the drag operation came from a timeout
-        * @type {Boolean}
-        */
-        _fromTimeout: null,
-        /**
-        * @private
-        * @property _clickTimeout
-        * @description Holder for the setTimeout call
-        * @type {Boolean}
-        */
-        _clickTimeout: null,
-        /**
-        * @property deltaXY
-        * @description The offset of the mouse position to the element's position
-        * @type {Array}
-        */
-        deltaXY: null,
-        /**
-        * @property startXY
-        * @description The initial mouse position
-        * @type {Array}
-        */
-        startXY: null,
-        /**
-        * @property nodeXY
-        * @description The initial element position
-        * @type {Array}
-        */
-        nodeXY: null,
-        /**
-        * @property lastXY
-        * @description The position of the element as it's moving (for offset calculations)
-        * @type {Array}
-        */
-        lastXY: null,
-        /**
-        * @property mouseXY
-        * @description The XY coords of the mousemove
-        * @type {Array}
-        */
-        mouseXY: null,
-        /**
-        * @property region
-        * @description A region object associated with this drag, used for checking regions while dragging.
-        * @type Object
-        */
-        region: null,       
-        /**
-        * @private
-        * @method _handleMouseUp
-        * @description Handler for the mouseup DOM event
-        * @param {Event}
-        */
-        _handleMouseUp: function(ev) {
-            this._fixIEMouseUp();
-            if (DDM.activeDrag) {
-                DDM._end();
-            }
-        },
-        /** 
-        * @private
-        * @method _ieSelectFix
-        * @description The function we use as the onselectstart handler when we start a drag in Internet Explorer
-        */
-        _ieSelectFix: function() {
-            return false;
-        },
-        /** 
-        * @private
-        * @property _ieSelectBack
-        * @description We will hold a copy of the current "onselectstart" method on this property, and reset it after we are done using it.
-        */
-        _ieSelectBack: null,
-        /**
-        * @private
-        * @method _fixIEMouseDown
-        * @description This method copies the onselectstart listner on the document to the _ieSelectFix property
-        */
-        _fixIEMouseDown: function() {
-            if (Y.UA.ie) {
-                this._ieSelectBack = Y.config.doc.body.onselectstart;
-                Y.config.doc.body.onselectstart = this._ieSelectFix;
-            }           
-        },
-        /**
-        * @private
-        * @method _fixIEMouseUp
-        * @description This method copies the _ieSelectFix property back to the onselectstart listner on the document.
-        */
-        _fixIEMouseUp: function() {
-            if (Y.UA.ie) {
-                Y.config.doc.body.onselectstart = this._ieSelectBack;
-            }           
-        },
-        /**
-        * @private
-        * @method _handleMouseDownEvent
-        * @description Handler for the mousedown DOM event
-        * @param {Event}
-        */
-        _handleMouseDownEvent: function(ev) {
-            this.fire(EV_MOUSE_DOWN, { ev: ev });
-        },
-        /**
-        * @private
-        * @method _handleMouseDown
-        * @description Handler for the mousedown DOM event
-        * @param {Event}
-        */
-        _handleMouseDown: function(e) {
-            var ev = e.ev;
-            this._dragThreshMet = false;
-            this._ev_md = ev;
-            
-            if (this.get('primaryButtonOnly') && ev.button > 1) {
-                return false;
-            }
-            if (this.validClick(ev)) {
-                this._fixIEMouseDown();
-                ev.halt();
-                this._setStartPosition([ev.pageX, ev.pageY]);
-
-                DDM.activeDrag = this;
-
-                var self = this;
-                this._clickTimeout = setTimeout(function() {
-                    self._timeoutCheck.call(self);
-                }, this.get('clickTimeThresh'));
-            }
-            this.fire(EV_AFTER_MOUSE_DOWN, { ev: ev });
-        },
-        /**
-        * @method validClick
-        * @description Method first checks to see if we have handles, if so it validates the click against the handle. Then if it finds a valid handle, it checks it against the invalid handles list. Returns true if a good handle was used, false otherwise.
-        * @param {Event}
-        * @return {Boolean}
-        */
-        validClick: function(ev) {
-            var r = false,
-            tar = ev.target,
-            hTest = null;
-            if (this._handles) {
-                Y.each(this._handles, function(i, n) {
-                    if (Y.Lang.isString(n)) {
-                        //Am I this or am I inside this
-                        if (tar.test(n + ', ' + n + ' *')) {
-                            hTest = n;
-                            r = true;
-                        }
-                    }
-                });
-            } else {
-                if (this.get(NODE).contains(tar) || this.get(NODE).compareTo(tar)) {
-                    r = true;
-                }
-            }
-            if (r) {
-                if (this._invalids) {
-                    Y.each(this._invalids, function(i, n) {
-                        if (Y.Lang.isString(n)) {
-                            //Am I this or am I inside this
-                            if (tar.test(n + ', ' + n + ' *')) {
-                                r = false;
-                            }
-                        }
-                    });
-                }
-            }
-            if (r) {
-                if (hTest) {
-                    var els = ev.currentTarget.queryAll(hTest);
-                    els.each(function(n, i) {
-                        if (n.contains(tar) || n.compareTo(tar)) {
-                            this.set('activeHandle', els.item(i));
-                        }
-                    }, this);
-                } else {
-                    this.set('activeHandle', this.get(NODE));
-                }
-            }
-            return r;
-        },
-        /**
-        * @private
-        * @method _setStartPosition
-        * @description Sets the current position of the Element and calculates the offset
-        * @param {Array} xy The XY coords to set the position to.
-        */
-        _setStartPosition: function(xy) {
-            this.startXY = xy;
-            
-            this.nodeXY = this.get(NODE).getXY();
-            this.lastXY = this.nodeXY;
-
-            if (this.get('offsetNode')) {
-                this.deltaXY = [(this.startXY[0] - this.nodeXY[0]), (this.startXY[1] - this.nodeXY[1])];
-            } else {
-                this.deltaXY = [0, 0];
-            }
-        },
-        /**
-        * @private
-        * @method _timeoutCheck
-        * @description The method passed to setTimeout to determine if the clickTimeThreshold was met.
-        */
-        _timeoutCheck: function() {
-            if (!this.get('lock')) {
-                this._fromTimeout = true;
-                this._dragThreshMet = true;
-                this.start();
-                this._moveNode([this._ev_md.pageX, this._ev_md.pageY], true);
-            }
-        },
-        /**
-        * @method removeHandle
-        * @description Remove a Selector added by addHandle
-        * @param {String} str The selector for the handle to be removed. 
-        * @return {Self}
-        * @chainable
-        */
-        removeHandle: function(str) {
-            if (this._handles[str]) {
-                delete this._handles[str];
-                this.fire(EV_REMOVE_HANDLE, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method addHandle
-        * @description Add a handle to a drag element. Drag only initiates when a mousedown happens on this element.
-        * @param {String} str The selector to test for a valid handle. Must be a child of the element.
-        * @return {Self}
-        * @chainable
-        */
-        addHandle: function(str) {
-            if (!this._handles) {
-                this._handles = {};
-            }
-            if (Y.Lang.isString(str)) {
-                this._handles[str] = true;
-                this.fire(EV_ADD_HANDLE, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method removeInvalid
-        * @description Remove an invalid handle added by addInvalid
-        * @param {String} str The invalid handle to remove from the internal list.
-        * @return {Self}
-        * @chainable
-        */
-        removeInvalid: function(str) {
-            if (this._invalids[str]) {
-                delete this._handles[str];
-                this.fire(EV_REMOVE_INVALID, { handle: str });
-            }
-            return this;
-        },
-        /**
-        * @method addInvalid
-        * @description Add a selector string to test the handle against. If the test passes the drag operation will not continue.
-        * @param {String} str The selector to test against to determine if this is an invalid drag handle.
-        * @return {Self}
-        * @chainable
-        */
-        addInvalid: function(str) {
-            if (Y.Lang.isString(str)) {
-                this._invalids[str] = true;
-                this.fire(EV_ADD_INVALID, { handle: str });
-            } else {
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Internal init handler
-        */
-        initializer: function() {
-            //TODO give the node instance a copy of this object
-            //Not supported in PR1 due to Y.Node.get calling a new under the hood.
-            //this.get(NODE).dd = this;
-
-            if (!this.get(NODE).get('id')) {
-                var id = Y.stamp(this.get(NODE));
-                this.get(NODE).set('id', id);
-            }
-            
-
-            this._invalids = this._invalidsDefault;
-
-            this._createEvents();
-            
-            if (!this.get(DRAG_NODE)) {
-                this.set(DRAG_NODE, this.get(NODE));
-            }
-            this._prep();
-            this._dragThreshMet = false;
-        },
-        /**
-        * @private
-        * @method _prep
-        * @description Attach event listners and add classname
-        */
-        _prep: function() {
-            var node = this.get(NODE);
-            node.addClass(DDM.CSS_PREFIX + '-draggable');
-            node.on(MOUSE_DOWN, this._handleMouseDownEvent, this, true);
-            node.on(MOUSE_UP, this._handleMouseUp, this, true);
-        },
-        /**
-        * @private
-        * @method _unprep
-        * @description Detach event listners and remove classname
-        */
-        _unprep: function() {
-            var node = this.get(NODE);
-            node.removeClass(DDM.CSS_PREFIX + '-draggable');
-            node.detach(MOUSE_DOWN, this._handleMouseDownEvent, this, true);
-            node.detach(MOUSE_UP, this._handleMouseUp, this, true);
-        },
-        /**
-        * @method start
-        * @description Starts the drag operation
-        * @return {Self}
-        * @chainable
-        */
-        start: function() {
-            if (!this.get('lock') && !this.get('dragging')) {
-                this.set('dragging', true);
-                DDM._start(this.deltaXY, [this.get(NODE).get(OFFSET_HEIGHT), this.get(NODE).get(OFFSET_WIDTH)]);
-                this.get(NODE).addClass(DDM.CSS_PREFIX + '-dragging');
-                this.fire(EV_START, { pageX: this.nodeXY[0], pageY: this.nodeXY[1] });
-                this.get(DRAG_NODE).on(MOUSE_UP, this._handleMouseUp, this, true);
-                var xy = this.nodeXY;
-
-                this._startTime = (new Date()).getTime();
-                
-                this.region = {
-                    '0': xy[0], 
-                    '1': xy[1],
-                    area: 0,
-                    top: xy[1],
-                    right: xy[0] + this.get(NODE).get(OFFSET_WIDTH),
-                    bottom: xy[1] + this.get(NODE).get(OFFSET_HEIGHT),
-                    left: xy[0]
-                };
-                
-            }
-            return this;
-        },
-        /**
-        * @method end
-        * @description Ends the drag operation
-        * @return {Self}
-        * @chainable
-        */
-        end: function() {
-            this._endTime = (new Date()).getTime();
-            clearTimeout(this._clickTimeout);
-            this._dragThreshMet = false;
-            this._fromTimeout = false;
-            if (!this.get('lock') && this.get('dragging')) {
-                this.fire(EV_END, { pageX: this.lastXY[0], pageY: this.lastXY[1] });
-            }
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-dragging');
-            this.set('dragging', false);
-            this.deltaXY = [0, 0];
-            this.get(DRAG_NODE).detach(MOUSE_UP, this._handleMouseUp, this, true);
-
-            return this;
-        },
-        /**
-        * @private
-        * @method _align
-        * @description Calculates the offsets and set's the XY that the element will move to.
-        * @param {Array} xy The xy coords to align with.
-        * @return Array
-        * @type {Array}
-        */
-        _align: function(xy) {
-            return [xy[0] - this.deltaXY[0], xy[1] - this.deltaXY[1]];
-        },
-        /**
-        * @private
-        * @method _moveNode
-        * @description This method performs the actual element move.
-        * @param {Array} eXY The XY to move the element to, usually comes from the mousemove DOM event.
-        * @param {Boolean} noFire If true, the drag:drag event will not fire.
-        */
-        _moveNode: function(eXY, noFire) {
-            var xy = this._align(eXY), diffXY = [], diffXY2 = [];
-
-            diffXY[0] = (xy[0] - this.lastXY[0]);
-            diffXY[1] = (xy[1] - this.lastXY[1]);
-
-            diffXY2[0] = (xy[0] - this.nodeXY[0]);
-            diffXY2[1] = (xy[1] - this.nodeXY[1]);
-
-            if (this.get('move')) {
-                if (Y.UA.opera) {
-                    this.get(DRAG_NODE).setXY(xy);
-                } else {
-                    DDM.setXY(this.get(DRAG_NODE), diffXY);
-                }
-            }
-
-            this.region = {
-                '0': xy[0], 
-                '1': xy[1],
-                area: 0,
-                top: xy[1],
-                right: xy[0] + this.get(NODE).get(OFFSET_WIDTH),
-                bottom: xy[1] + this.get(NODE).get(OFFSET_HEIGHT),
-                left: xy[0]
-            };
-
-            var startXY = this.nodeXY;
-            if (!noFire) {
-                this.fire(EV_DRAG, {
-                    pageX: xy[0],
-                    pageY: xy[1],
-                    info: {
-                        start: startXY,
-                        xy: xy,
-                        delta: diffXY,
-                        offset: diffXY2
-                    } 
-                });
-            }
-            
-            this.lastXY = xy;
-        },
-        /**
-        * @private
-        * @method _move
-        * @description Fired from DragDropMgr (DDM) on mousemove.
-        * @param {Event} ev The mousemove DOM event
-        */
-        _move: function(ev) {
-            if (this.get('lock')) {
-                return false;
-            } else {
-                this.mouseXY = [ev.pageX, ev.pageY];
-                if (!this._dragThreshMet) {
-                    var diffX = Math.abs(this.startXY[0] - ev.pageX);
-                    var diffY = Math.abs(this.startXY[1] - ev.pageY);
-                    if (diffX > this.get('clickPixelThresh') || diffY > this.get('clickPixelThresh')) {
-                        this._dragThreshMet = true;
-                        this.start();
-                        this._moveNode([ev.pageX, ev.pageY]);
-                    }
-                
-                } else {
-                    clearTimeout(this._clickTimeout);
-                    this._moveNode([ev.pageX, ev.pageY]);
-                }
-            }
-        },
-        /**
-        * @method stopDrag
-        * @description Method will forcefully stop a drag operation. For example calling this from inside an ESC keypress handler will stop this drag.
-        * @return {Self}
-        * @chainable
-        */
-        stopDrag: function() {
-            if (this.get('dragging')) {
-                DDM._end();
-            }
-            return this;
-        },
-        /**
-        * @private
-        * @method destructor
-        * @description Lifecycle destructor, unreg the drag from the DDM and remove listeners
-        */
-        destructor: function() {
-            DDM._unregDrag(this);
-
-            this._unprep();
-            if (this.target) {
-                this.target.destroy();
-            }
-        }
-    });
-    Y.namespace('DD');    
-    Y.DD.Drag = Drag;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-base'], skinnable:false});
-YUI.add('dd-proxy', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-proxy
-     */
-    /**
-     * This class extends dd-drag to allow for creating a proxy drag node, instead of dragging the original node.
-     * @class Proxy
-     * @extends Drag
-     * @constructor
-     */
-    var DDM = Y.DD.DDM,
-        NODE = 'node',
-        DRAG_NODE = 'dragNode',
-        PROXY = 'proxy';
-     
-
-    var Proxy = function() {
-        Proxy.superclass.constructor.apply(this, arguments);
-
-    };
-
-    Proxy.NAME = 'dragProxy';
-
-    Proxy.ATTRS = {
-        /**
-        * @attribute moveOnEnd
-        * @description Move the original node at the end of the drag. Default: true
-        * @type Boolean
-        */
-        moveOnEnd: {
-            value: true
-        },
-        /**
-        * @attribute resizeFrame
-        * @description Make the Proxy node assume the size of the original node. Default: true
-        * @type Boolean
-        */
-        resizeFrame: {
-            value: true
-        },
-        /**
-        * @attribute proxy
-        * @description Make this Draggable instance a Proxy instance. Default: false
-        * @type Boolean
-        */
-        proxy: {
-            writeOnce: true,
-            value: false
-        },        
-        /**
-        * @attribute positionProxy
-        * @description Make the Proxy node appear in the same place as the original node. Default: true
-        * @type Boolean
-        */
-        positionProxy: {
-            value: true
-        },
-        /**
-        * @attribute borderStyle
-        * @description The default border style for the border of the proxy. Default: 1px solid #808080
-        * @type Boolean
-        */
-        borderStyle: {
-            value: '1px solid #808080'
-        }
-    };
-
-    var proto = {
-        /**
-        * @private
-        * @method _createFrame
-        * @description Create the proxy element if it doesn't already exist and set the DD.DDM._proxy value
-        */
-        _createFrame: function() {
-            if (!DDM._proxy) {
-                DDM._proxy = true;
-                var p = Y.Node.create('<div></div>');
-
-                p.setStyles({
-                    position: 'absolute',
-                    display: 'none',
-                    zIndex: '999',
-                    top: '-999px',
-                    left: '-999px',
-                    border: this.get('borderStyle')
-                });
-
-                var b = Y.Node.get('body');
-                b.insertBefore(p, b.get('firstChild'));
-                p.set('id', Y.stamp(p));
-                p.addClass(DDM.CSS_PREFIX + '-proxy');
-                DDM._proxy = p;
-            }
-        },
-        /**
-        * @private
-        * @method _setFrame
-        * @description If resizeProxy is set to true (default) it will resize the proxy element to match the size of the Drag Element.
-        * If positionProxy is set to true (default) it will position the proxy element in the same location as the Drag Element.
-        */
-        _setFrame: function() {
-            var n = this.get(NODE);
-            if (this.get('resizeFrame')) {
-                DDM._proxy.setStyles({
-                    height: n.get('offsetHeight') + 'px',
-                    width: n.get('offsetWidth') + 'px'
-                });
-            }
-            this.get(DRAG_NODE).setStyles({
-                visibility: 'hidden',
-                display: 'block',
-                border: this.get('borderStyle')
-            });
-
-            if (this.get('positionProxy')) {
-                this.get(DRAG_NODE).setXY(this.nodeXY);
-            }
-            this.get(DRAG_NODE).setStyle('visibility', 'visible');
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Lifecycle method
-        */
-        initializer: function() {
-            if (this.get(PROXY)) {
-                this._createFrame();
-            }
-        },
-        /**
-        * @method start
-        * @description Starts the drag operation and sets the dragNode config option.
-        */       
-        start: function() {
-            if (!this.get('lock')) {
-                if (this.get(PROXY)) {
-                    if (this.get(DRAG_NODE).compareTo(this.get(NODE))) {
-                        this.set(DRAG_NODE, DDM._proxy);
-                    }
-                }
-            }
-            Proxy.superclass.start.apply(this);
-            if (this.get(PROXY)) {
-                this._setFrame();
-            }
-        },
-        /**
-        * @method end
-        * @description Ends the drag operation, if moveOnEnd is set it will position the Drag Element to the new location of the proxy.
-        */        
-        end: function() {
-            if (this.get(PROXY) && this.get('dragging')) {
-                if (this.get('moveOnEnd')) {
-                    this.get(NODE).setXY(this.lastXY);
-                }
-                this.get(DRAG_NODE).setStyle('display', 'none');
-            }
-            Proxy.superclass.end.apply(this);
-        }
-    };
-    //Extend DD.Drag
-    Y.extend(Proxy, Y.DD.Drag, proto);
-    //Set this new class as DD.Drag for other extensions
-    Y.DD.Drag = Proxy;    
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm', 'dd-drag'], skinnable:false});
-YUI.add('dd-constrain', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-constrain
-     */
-    /**
-     * This class extends the dd-drag module to add the constraining methods to it. It supports constraining to a region, node or viewport. It also
-     * supports tick based moves and XY axis constraints.
-     * @class DragConstained
-     * @extends Drag
-     * @constructor
-     */
-
-    var DRAG_NODE = 'dragNode',
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth';
-
-
-    var C = function() {
-        C.superclass.constructor.apply(this, arguments);
-
-    };
-    
-    C.NAME = 'DragConstrained';
-
-    C.ATTRS = {
-        /**
-        * @attribute stickX
-        * @description Stick the drag movement to the X-Axis. Default: false
-        * @type Boolean
-        */        
-        stickX: {
-            value: false
-        },
-        /**
-        * @attribute stickY
-        * @description Stick the drag movement to the Y-Axis
-        * @type Boolean
-        */        
-        stickY: {
-            value: false
-        },
-        /**
-        * @attribute tickX
-        * @description The X tick offset the drag node should snap to on each drag move. False for no ticks. Default: false
-        * @type Number/false
-        */        
-        tickX: {
-            value: false
-        },
-        /**
-        * @attribute tickY
-        * @description The Y tick offset the drag node should snap to on each drag move. False for no ticks. Default: false
-        * @type Number/false
-        */        
-        tickY: {
-            value: false
-        },
-        /**
-        * @attribute tickXArray
-        * @description An array of page coordinates to use as X ticks for drag movement.
-        * @type Array
-        */
-        tickXArray: {
-            value: false
-        },
-        /**
-        * @attribute tickYArray
-        * @description An array of page coordinates to use as Y ticks for drag movement.
-        * @type Array
-        */
-        tickYArray: {
-            value: false
-        },
-        /**
-        * @attribute constrain2region
-        * @description An Object Literal containing a valid region (top, right, bottom, left) of page positions to constrain the drag node to.
-        * @type Object
-        */
-        constrain2region: {
-            value: false,
-            get: function(r) {
-                if (Y.Lang.isObject(r)) {
-                    var o = {};
-                    Y.mix(o, r);
-                    return o;
-                } else {
-                    return false;
-                }
-            },
-            set: function (r) {
-                if (Y.Lang.isObject(r)) {
-                    if (r.top && r.right && r.left && r.bottom) {
-                        var o = {};
-                        Y.mix(o, r);
-                        return o;
-                    } else {
-                        return false;
-                    }
-                } else if (r !== false) {
-                    return false;
-                }
-            }
-        },
-        /**
-        * @attribute gutter
-        * @description CSS style string for the gutter of a region (supports negative values): '5 0' (sets top and bottom to 5px, left and right to 0px), '1 2 3 4' (top 1px, right 2px, bottom 3px, left 4px)        
-        * @type String
-        */
-        gutter: {
-            value: '0',
-            set: function(gutter) {
-                return Y.DD.DDM.cssSizestoObject(gutter);
-            }
-        },
-        /**
-        * @attribute constrain2node
-        * @description Will attempt to constrain the drag node to the bounderies of this node.
-        * @type Object
-        */
-        constrain2node: {
-            value: false,
-            set: function(n) {
-                if (!this.get('constrain2region')) {
-                    var node = Y.Node.get(n);
-                    if (node) {
-                        return node;
-                    }
-                } else if (this.get('constrain2region') !== false) {
-                }
-                return false;
-            }
-        },
-        /**
-        * @attribute constrain2view
-        * @description Will attempt to constrain the drag node to the bounderies of the viewport region.
-        * @type Object
-        */
-        constrain2view: {
-            value: false
-        }
-    };
-
-    var proto = {
-        start: function() {
-            C.superclass.start.apply(this, arguments);
-            this._regionCache = null;
-        },
-        /**
-        * @private
-        * @property _regionCache
-        * @description Store a cache of the region that we are constraining to
-        * @type Object
-        */
-        _regionCache: null,
-        /**
-        * @private
-        * @method _cacheRegion
-        * @description Get's the region and caches it, called from window.resize and when the cache is null
-        */
-        _cacheRegion: function() {
-            this._regionCache = this.get('constrain2node').get('region');
-        },
-        /**
-        * @method getRegion
-        * @description Get the active region: viewport, node, custom region
-        * @param {Boolean} inc Include the node's height and width
-        * @return {Object}
-        */
-        getRegion: function(inc) {
-            var r = {};
-            if (this.get('constrain2node')) {
-                if (!this._regionCache) {
-                    Y.Event.addListener('window', 'resize', this._cacheRegion, this);
-                    this._cacheRegion();
-                }
-                r = Y.clone(this._regionCache);
-            } else if (this.get('constrain2region')) {
-                r = this.get('constrain2region');
-            } else if (this.get('constrain2view')) {
-                r = this.get('node').get('viewportRegion');
-            } else {
-                return false;
-            }
-            var g = this.get('gutter');
-            Y.each(g, function(i, n) {
-                if ((n == 'right') || (n == 'bottom')) {
-                    r[n] -= i;
-                } else {
-                    r[n] += i;
-                }
-            });
-            if (inc) {
-                var oh = this.get(DRAG_NODE).get(OFFSET_HEIGHT),
-                    ow = this.get(DRAG_NODE).get(OFFSET_WIDTH);
-                r.right = r.right - ow;
-                r.bottom = r.bottom - oh;
-            }
-            return r;
-        },
-        /**
-        * @private
-        * @method _checkRegion
-        * @description
-        * @param {Array} _xy The XY to check if it's in the current region, if it isn't inside the region, it will reset the xy array to be inside the region.
-        * @return {Array} The new XY that is inside the region
-        */
-        _checkRegion: function(_xy) {
-            var oxy = _xy,
-                r = this.getRegion(),
-                oh = this.get(DRAG_NODE).get(OFFSET_HEIGHT),
-                ow = this.get(DRAG_NODE).get(OFFSET_WIDTH);
-
-            if (r.top > oxy[1]) {
-                oxy[1] = r.top;
-
-            }
-            if (oxy[1] > (r.bottom - oh)) {
-                oxy[1] = (r.bottom - oh);
-            }
-            if (r.left > oxy[0]) {
-                oxy[0] = r.left;
-            }
-            if (oxy[0] > (r.right - ow)) {
-                oxy[0] = (r.right - ow);
-            }
-
-            return oxy;
-        },
-        /**
-        * @method inRegion
-        * @description Checks if the XY passed or the dragNode is inside the active region.
-        * @param {Array} xy Optional XY to check, if not supplied this.get('dragNode').getXY() is used.
-        * @return {Boolean} True if the XY is inside the region, false otherwise.
-        */
-        inRegion: function(xy) {
-            xy = xy || this.get(DRAG_NODE).getXY();
-
-            var _xy = this._checkRegion([xy[0], xy[1]]),
-                inside = false;
-                if ((xy[0] === _xy[0]) && (xy[1] === _xy[1])) {
-                    inside = true;
-                }
-            return inside;
-        },
-        /**
-        * @private
-        * @method _align
-        * @description Override of Drag _align to account for region checking and tick checking
-        * @param {Array} xy The XY to check for ticks and region
-        * @return {Array} The modified XY coords.
-        */
-        _align: function(xy) {
-            var _xy = C.superclass._align.apply(this, arguments),
-                r = this.getRegion(true);
-            if (this.get('stickX')) {
-                _xy[1] = (this.startXY[1] - this.deltaXY[1]);
-            }
-            if (this.get('stickY')) {
-                _xy[0] = (this.startXY[0] - this.deltaXY[0]);
-            }
-
-
-            if (r) {
-                _xy = this._checkRegion(_xy);
-            }
-                
-            _xy = this._checkTicks(_xy, r);
-            return _xy;
-        },
-        /**
-        * @private
-        * @method _calcTicks
-        * @description Helper method to calculate the tick offsets for a given position
-        * @param {Number} pos The current X or Y position
-        * @param {Number} start The start X or Y position
-        * @param {Number} tick The X or Y tick increment
-        * @param {Number} off1 The min offset that we can't pass (region)
-        * @param {Number} off2 The max offset that we can't pass (region)
-        * @return {Number} The new position based on the tick calculation
-        */
-        _calcTicks: function(pos, start, tick, off1, off2) {
-            var ix = ((pos - start) / tick),
-                min = Math.floor(ix),
-                max = Math.ceil(ix);
-                if ((min !== 0) || (max !== 0)) {
-                    if ((ix >= min) && (ix <= max)) {
-                        pos = (start + (tick * min));
-                        if (off1 && off2) {
-                            if (pos < off1) {
-                                pos = (start + (tick * (min + 1)));
-                            }
-                            if (pos > off2) {
-                                pos = (start + (tick * (min - 1)));
-                            }
-                        }
-                    }
-                }
-                return pos;
-        },
-        /**
-        * @private
-        * @method _calcTickArray
-        * @description This method is used with the tickXArray and tickYArray config options
-        * @param {Number} pos The current X or Y position
-        * @param {Number} ticks The array containing our custom tick positions.
-        * @param {Number} off1 The min offset that we can't pass (region)
-        * @param {Number} off2 The max offset that we can't pass (region)
-        * @return The tick position
-        */
-        _calcTickArray: function(pos, ticks, off1, off2) {
-            var i = 0, len = ticks.length, next = 0;
-
-            if (!ticks || (ticks.length === 0)) {
-                return pos;
-            } else if (ticks[0] >= pos) {
-                return ticks[0];
-            } else {
-                for (i = 0; i < len; i++) {
-                    next = (i + 1);
-                    if (ticks[next] && ticks[next] >= pos) {
-                        var diff1 = pos - ticks[i],
-                            diff2 = ticks[next] - pos;
-                        var ret = (diff2 > diff1) ? ticks[i] : ticks[next];
-                        if (off1 && off2) {
-                            if (ret > off2) {
-                                if (ticks[i]) {
-                                    ret = ticks[i];
-                                } else {
-                                    ret = ticks[len - 1];
-                                }
-                            }
-                        }
-                        return ret;
-                    }
-                    
-                }
-                return ticks[ticks.length - 1];
-            }
-        },
-        /**
-        * @private
-        * @method _checkTicks
-        * @description This method delegates the proper helper method for tick calculations
-        * @param {Array} xy The XY coords for the Drag
-        * @param {Object} r The optional region that we are bound to.
-        * @return {Array} The calced XY coords
-        */
-        _checkTicks: function(xy, r) {
-            var lx = (this.startXY[0] - this.deltaXY[0]),
-                ly = (this.startXY[1] - this.deltaXY[1]),
-                xt = this.get('tickX'),
-                yt = this.get('tickY');
-                if (xt && !this.get('tickXArray')) {
-                    xy[0] = this._calcTicks(xy[0], lx, xt, r.left, r.right);
-                }
-                if (yt && !this.get('tickYArray')) {
-                    xy[1] = this._calcTicks(xy[1], ly, yt, r.top, r.bottom);
-                }
-                if (this.get('tickXArray')) {
-                    xy[0] = this._calcTickArray(xy[0], this.get('tickXArray'), r.left, r.right);
-                }
-                if (this.get('tickYArray')) {
-                    xy[1] = this._calcTickArray(xy[1], this.get('tickYArray'), r.top, r.bottom);
-                }
-
-            return xy;
-        }
-    };
-    //Extend DD.Drag
-    Y.extend(C, Y.DD.Drag, proto);
-    //Set this to DD.Drag for other extensions
-    Y.DD.Drag = C;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drag', 'dd-proxy'], skinnable:false});
-YUI.add('dd-plugin', function(Y) {
-
-       /**
-        * This is a simple Drag plugin that can be attached to a Node via the plug method.
-        * @module dd-plugin
-        * @submodule dd-plugin
-        */
-       /**
-        * This is a simple Drag plugin that can be attached to a Node via the plug method.
-        * @class DragPlugin
-        * @extends Drag
-        * @constructor
-        */
-
-        Y.Plugin = Y.Plugin || {};
-
-        var Drag = function(config) {
-            config.node = config.owner;
-            Drag.superclass.constructor.apply(this, arguments);
-        };
-        
-        /**
-        * @property NAME
-        * @description dd-plugin
-        * @type {String}
-        */
-        Drag.NAME = "dd-plugin";
-        /**
-        * @property NS
-        * @description The Drag instance will be placed on the Node instance under the dd namespace. It can be accessed via Node.dd;
-        * @type {String}
-        */
-        Drag.NS = "dd";
-
-
-        Y.extend(Drag, Y.DD.Drag);
-        Y.Plugin.Drag = Drag;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drag'], skinnable:false, optional:['dd-constrain', 'dd-proxy']});
-YUI.add('dd-drop', function(Y) {
-
-    /**
-     * The Drag & Drop Utility allows you to create a draggable interface efficiently, buffering you from browser-level abnormalities and enabling you to focus on the interesting logic surrounding your particular implementation. This component enables you to create a variety of standard draggable objects with just a few lines of code and then, using its extensive API, add your own specific implementation logic.
-     * @module dd
-     * @submodule dd-drop
-     */     
-    /**
-     * This class provides the ability to create a Drop Target.
-     * @class Drop
-     * @extends Base
-     * @constructor
-     */
-
-    var NODE = 'node',
-        DDM = Y.DD.DDM,
-        OFFSET_HEIGHT = 'offsetHeight',
-        OFFSET_WIDTH = 'offsetWidth',
-        /**
-        * @event drop:over
-        * @description Fires when a drag element is over this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_OVER = 'drop:over',
-        /**
-        * @event drop:enter
-        * @description Fires when a drag element enters this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_ENTER = 'drop:enter',
-        /**
-        * @event drop:exit
-        * @description Fires when a drag element exits this target.
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        EV_DROP_EXIT = 'drop:exit';
-
-        /**
-        * @event drop:hit
-        * @description Fires when a draggable node is dropped on this Drop Target. (Fired from dd-ddm-drop)
-        * @bubbles DDM
-        * @type Event.Custom
-        */
-        
-
-    var Drop = function() {
-        Drop.superclass.constructor.apply(this, arguments);
-
-        this._createShim();
-        DDM._regTarget(this);
-        /* TODO
-        if (Dom.getStyle(this.el, 'position') == 'fixed') {
-            Event.on(window, 'scroll', function() {
-                this.activateShim();
-            }, this, true);
-        }
-        */
-    };
-
-    Drop.NAME = 'drop';
-
-    Drop.ATTRS = {
-        /**
-        * @attribute node
-        * @description Y.Node instanace to use as the element to make a Drop Target
-        * @type Node
-        */        
-        node: {
-            set: function(node) {
-                var n = Y.Node.get(node);
-                if (!n) {
-                    Y.fail('DD.Drop: Invalid Node Given: ' + node);
-                }
-                return n;               
-            }
-        },
-        /**
-        * @attribute groups
-        * @description Array of groups to add this drop into.
-        * @type Array
-        */        
-        groups: {
-            value: ['default'],
-            set: function(g) {
-                this._groups = {};
-                Y.each(g, function(v, k) {
-                    this._groups[v] = true;
-                }, this);
-            }
-        },   
-        /**
-        * @attribute padding
-        * @description CSS style padding to make the Drop Target bigger than the node.
-        * @type String
-        */
-        padding: {
-            value: '0',
-            set: function(p) {
-                return DDM.cssSizestoObject(p);
-            }
-        },
-        /**
-        * @attribute lock
-        * @description Set to lock this drop element.
-        * @type Boolean
-        */        
-        lock: {
-            value: false,
-            set: function(lock) {
-                if (lock) {
-                    this.get(NODE).addClass(DDM.CSS_PREFIX + '-drop-locked');
-                } else {
-                    this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-locked');
-                }
-            }
-        }
-    };
-
-    Y.extend(Drop, Y.Base, {
-        /**
-        * @private
-        * @method _createEvents
-        * @description This method creates all the events for this Event Target and publishes them so we get Event Bubbling.
-        */
-        _createEvents: function() {
-            
-            var ev = [
-                EV_DROP_OVER,
-                EV_DROP_ENTER,
-                EV_DROP_EXIT,
-                'drop:hit'
-            ];
-
-            Y.each(ev, function(v, k) {
-                this.publish(v, {
-                    type: v,
-                    emitFacade: true,
-                    preventable: false,
-                    bubbles: true,
-                    queuable: true
-                });
-            }, this);
-
-            this.addTarget(DDM);
-            
-        },
-        /**
-        * @private
-        * @property _valid
-        * @description Flag for determining if the target is valid in this operation.
-        * @type Boolean
-        */
-        _valid: null,
-        /**
-        * @private
-        * @property _groups
-        * @description The groups this target belongs to.
-        * @type Array
-        */
-        _groups: null,
-        /**
-        * @property shim
-        * @description Node reference to the targets shim
-        * @type {Object}
-        */
-        shim: null,
-        /**
-        * @property region
-        * @description A region object associated with this target, used for checking regions while dragging.
-        * @type Object
-        */
-        region: null,
-        /**
-        * @property overTarget
-        * @description This flag is tripped when a drag element is over this target.
-        * @type Boolean
-        */
-        overTarget: null,
-        /**
-        * @method inGroup
-        * @description Check if this target is in one of the supplied groups.
-        * @param {Array} groups The groups to check against
-        * @return Boolean
-        */
-        inGroup: function(groups) {
-            this._valid = false;
-            var ret = false;
-            Y.each(groups, function(v, k) {
-                if (this._groups[v]) {
-                    ret = true;
-                    this._valid = true;
-                }
-            }, this);
-            return ret;
-        },
-        /**
-        * @private
-        * @method initializer
-        * @description Private lifecycle method
-        */
-        initializer: function() {
-            this._createEvents();
-            var node = this.get(NODE);
-            if (!node.get('id')) {
-                var id = Y.stamp(node);
-                node.set('id', id);
-            }
-            node.addClass(DDM.CSS_PREFIX + '-drop');
-        },
-        /**
-        * @private
-        * @method destructor
-        * @description Lifecycle destructor, unreg the drag from the DDM and remove listeners
-        */
-        destructor: function() {
-            DDM._unregTarget(this);
-            if (this.shim) {
-                this.shim.get('parentNode').removeChild(this.shim);
-                this.shim = null;
-            }
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop');
-        },        
-        /**
-        * @private
-        * @method _deactivateShim
-        * @description Removes classes from the target, resets some flags and sets the shims deactive position [-999, -999]
-        */
-        _deactivateShim: function() {
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-active-valid');
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-            this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-over');
-            this.shim.setStyles({
-                top: '-999px',
-                left: '-999px'
-            });
-            this.overTarget = false;
-        },
-        /**
-        * @private
-        * @method _activateShim
-        * @description Activates the shim and adds some interaction CSS classes
-        */
-        _activateShim: function() {
-            if (!DDM.activeDrag) {
-                return false; //Nothing is dragging, no reason to activate.
-            }
-            if (this.get(NODE) === DDM.activeDrag.get(NODE)) {
-                return false;
-            }
-            if (this.get('lock')) {
-                return false;
-            }
-            var node = this.get(NODE);
-            //TODO Visibility Check..
-            //if (this.inGroup(DDM.activeDrag.get('groups')) && this.get(NODE).isVisible()) {
-            if (this.inGroup(DDM.activeDrag.get('groups'))) {
-                node.removeClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-                node.addClass(DDM.CSS_PREFIX + '-drop-active-valid');
-                DDM._addValid(this);
-                this.overTarget = false;
-                this.sizeShim();
-            } else {
-                DDM._removeValid(this);
-                node.removeClass(DDM.CSS_PREFIX + '-drop-active-valid');
-                node.addClass(DDM.CSS_PREFIX + '-drop-active-invalid');
-            }
-        },
-        /**
-        * @method sizeShim
-        * @description Positions and sizes the shim with the raw data from the node, this can be used to programatically adjust the Targets shim for Animation..
-        */
-        sizeShim: function() {
-            if (!DDM.activeDrag) {
-                return false; //Nothing is dragging, no reason to activate.
-            }
-            if (this.get(NODE) === DDM.activeDrag.get(NODE)) {
-                return false;
-            }
-            if (this.get('lock')) {
-                return false;
-            }
-            var node = this.get(NODE),
-                nh = node.get(OFFSET_HEIGHT),
-                nw = node.get(OFFSET_WIDTH),
-                xy = node.getXY(),
-                p = this.get('padding');
-
-
-            //Apply padding
-            nw = nw + p.left + p.right;
-            nh = nh + p.top + p.bottom;
-            xy[0] = xy[0] - p.left;
-            xy[1] = xy[1] - p.top;
-            
-
-            if (DDM.activeDrag.get('dragMode') === DDM.INTERSECT) {
-                //Intersect Mode, make the shim bigger
-                var dd = DDM.activeDrag,
-                    dH = dd.get(NODE).get(OFFSET_HEIGHT),
-                    dW = dd.get(NODE).get(OFFSET_WIDTH);
-                
-                nh = (nh + dH);
-                nw = (nw + dW);
-                xy[0] = xy[0] - (dW - dd.deltaXY[0]);
-                xy[1] = xy[1] - (dH - dd.deltaXY[1]);
-
-            }
-            
-            //Set the style on the shim
-            this.shim.setStyles({
-                height: nh + 'px',
-                width: nw + 'px',
-                top: xy[1] + 'px',
-                left: xy[0] + 'px'
-            });
-            
-            //Create the region to be used by intersect when a drag node is over us.
-            this.region = {
-                '0': xy[0], 
-                '1': xy[1],
-                area: 0,
-                top: xy[1],
-                right: xy[0] + nw,
-                bottom: xy[1] + nh,
-                left: xy[0]
-            };
-        },
-        /**
-        * @private
-        * @method _createShim
-        * @description Creates the Target shim and adds it to the DDM's playground..
-        */
-        _createShim: function() {
-            //var s = Y.Node.create(['div', { id: this.get(NODE).get('id') + '_shim' }]);
-            var s = Y.Node.create('<div id="' + this.get(NODE).get('id') + '_shim"></div>');
-            s.setStyles({
-                height: this.get(NODE).get(OFFSET_HEIGHT) + 'px',
-                width: this.get(NODE).get(OFFSET_WIDTH) + 'px',
-                backgroundColor: 'yellow',
-                opacity: '.5',
-                zIndex: 999,
-                overflow: 'hidden',
-                top: '-900px',
-                left: '-900px',
-                position:  'absolute'
-            });
-            DDM._pg.appendChild(s);
-            this.shim = s;
-
-            s.on('mouseover', this._handleOverEvent, this, true);
-            s.on('mouseout', this._handleOutEvent, this, true);
-        },
-        /**
-        * @private
-        * @method _handleOverTarget
-        * @description This handles the over target call made from this object or from the DDM
-        */
-        _handleTargetOver: function() {
-            if (DDM.isOverTarget(this)) {
-                this.get(NODE).addClass(DDM.CSS_PREFIX + '-drop-over');
-                DDM.activeDrop = this;
-                DDM.otherDrops[this] = this;
-                if (this.overTarget) {
-                    DDM.activeDrag.fire('drag:over', { drop: this, drag: DDM.activeDrag });
-                    this.fire(EV_DROP_OVER, { drop: this, drag: DDM.activeDrag });
-                } else {
-                    this.overTarget = true;
-                    this.fire(EV_DROP_ENTER, { drop: this, drag: DDM.activeDrag });
-                    DDM.activeDrag.fire('drag:enter', { drop: this, drag: DDM.activeDrag });
-                    DDM.activeDrag.get(NODE).addClass(DDM.CSS_PREFIX + '-drag-over');
-                    DDM._handleTargetOver();
-                }
-            } else {
-                this._handleOut();
-            }
-            
-        },
-        /**
-        * @private
-        * @method _handleOverEvent
-        * @description Handles the mouseover DOM event on the Target Shim
-        */
-        _handleOverEvent: function() {
-            DDM._addActiveShim(this);
-        },
-        /**
-        * @private
-        * @method _handleOut
-        * @description Handles the mouseout DOM event on the Target Shim
-        */
-        _handleOutEvent: function() {
-            DDM._removeActiveShim(this);
-        },
-        /**
-        * @private
-        * @method _handleOut
-        * @description Handles out of target calls/checks
-        */
-        _handleOut: function() {
-            if (!DDM.isOverTarget(this)) {
-                if (this.overTarget) {
-                    this.overTarget = false;
-                    DDM._removeActiveShim(this);
-                    if (DDM.activeDrag) {
-                        this.get(NODE).removeClass(DDM.CSS_PREFIX + '-drop-over');
-                        DDM.activeDrag.get(NODE).removeClass(DDM.CSS_PREFIX + '-drag-over');
-                        this.fire(EV_DROP_EXIT);
-                        DDM.activeDrag.fire('drag:exit', { drop: this });
-                        delete DDM.otherDrops[this];
-                    }
-                }
-            }
-        }
-    });
-
-    Y.DD.Drop = Drop;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-ddm-drop', 'dd-drag'], skinnable:false});
-YUI.add('dd-drop-plugin', function(Y) {
-
-       /**
-        * This is a simple Drop plugin that can be attached to a Node via the plug method.
-        * @module dd-plugin
-        * @submodule dd-drop-plugin
-        */
-       /**
-        * This is a simple Drop plugin that can be attached to a Node via the plug method.
-        * @class DropPlugin
-        * @extends Drop
-        * @constructor
-        */
-
-        Y.Plugin = Y.Plugin || {};
-
-        var Drop = function(config) {
-            config.node = config.owner;
-            Drop.superclass.constructor.apply(this, arguments);
-        };
-        
-        /**
-        * @property NAME
-        * @description dd-drop-plugin
-        * @type {String}
-        */
-        Drop.NAME = "dd-drop-plugin";
-        /**
-        * @property NS
-        * @description The Drop instance will be placed on the Node instance under the drop namespace. It can be accessed via Node.drop;
-        * @type {String}
-        */
-        Drop.NS = "drop";
-
-
-        Y.extend(Drop, Y.DD.Drop);
-        Y.Plugin.Drop = Drop;
-
-
-
-}, '3.0.0pr1' ,{requires:['dd-drop'], skinnable:false});
-
-
-YUI.add('dd', function(Y){}, '3.0.0pr1' ,{use:['dd-ddm-base', 'dd-ddm', 'dd-ddm-drop', 'dd-drag', 'dd-proxy', 'dd-constrain', 'dd-plugin', 'dd-drop', 'dd-drop-plugin'], skinnable:false});
-

=== removed directory 'loggerhead/static/javascript/yui/build/dom'
=== removed file 'loggerhead/static/javascript/yui/build/dom/README'
--- loggerhead/static/javascript/yui/build/dom/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/README	1970-01-01 00:00:00 +0000
@@ -1,3 +0,0 @@
-**** version 3.0.0 PR1 ***
-
-* initial 3.0 revision

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-base-debug.js'
--- loggerhead/static/javascript/yui/build/dom/dom-base-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-base-debug.js	1970-01-01 00:00:00 +0000
@@ -1,611 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dom-base', function(Y) {
-
-/** 
- * The DOM utility provides a cross-browser abtraction layer
- * normalizing DOM tasks, and adds extra helper functionality
- * for other common tasks. 
- * @module dom
- * @submodule dom-base
- *
- */
-
-/** 
- * Provides DOM helper methods.
- * @class DOM
- *
- */
-var NODE_TYPE = 'nodeType',
-    OWNER_DOCUMENT = 'ownerDocument',
-    DOCUMENT_ELEMENT = 'documentElement',
-    DEFAULT_VIEW = 'defaultView',
-    PARENT_WINDOW = 'parentWindow',
-    TAG_NAME = 'tagName',
-    PARENT_NODE = 'parentNode',
-    FIRST_CHILD = 'firstChild',
-    LAST_CHILD = 'lastChild',
-    PREVIOUS_SIBLING = 'previousSibling',
-    NEXT_SIBLING = 'nextSibling',
-    CONTAINS = 'contains',
-    COMPARE_DOCUMENT_POSITION = 'compareDocumentPosition',
-    INNER_TEXT = 'innerText',
-    TEXT_CONTENT = 'textContent',
-    LENGTH = 'length',
-
-    UNDEFINED = undefined;
-
-var re_tag = /<([a-z]+)/i;
-
-var templateCache = {};
-
-Y.DOM = {
-    /**
-     * Returns the HTMLElement with the given ID (Wrapper for document.getElementById).
-     * @method byId         
-     * @param {String} id the id attribute 
-     * @param {Object} doc optional The document to search. Defaults to current document 
-     * @return {HTMLElement | null} The HTMLElement with the id, or null if none found. 
-     */
-    byId: function(id, doc) {
-        return Y.DOM._getDoc(doc).getElementById(id);
-    },
-
-    /**
-     * Returns the text content of the HTMLElement. 
-     * @method getText         
-     * @param {HTMLElement} element The html element. 
-     * @return {String} The text content of the element (includes text of any descending elements).
-     */
-    getText: function(element) {
-        var text = element ? element[TEXT_CONTENT] : '';
-        if (text === UNDEFINED && INNER_TEXT in element) {
-            text = element[INNER_TEXT];
-        } 
-        return text || ''; 
-    },
-
-    /**
-     * Finds the firstChild of the given HTMLElement. 
-     * @method firstChild
-     * @param {HTMLElement} element The html element. 
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first found is returned.
-     * @return {HTMLElement | null} The first matching child html element.
-     */
-    firstChild: function(element, fn) {
-        return Y.DOM._childBy(element, null, fn); 
-    },
-
-    firstChildByTag: function(element, tag, fn) {
-        return Y.DOM._childBy(element, tag, fn); 
-    },
-
-    /**
-     * Finds the lastChild of the given HTMLElement.
-     * @method lastChild
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first found is returned.
-     * @return {HTMLElement | null} The first matching child html element.
-     */
-    lastChild: function(element, fn) {
-        return Y.DOM._childBy(element, null, fn, true); 
-    },
-
-    lastChildByTag: function(element, tag, fn) {
-        return Y.DOM._childBy(element, tag, fn, true); 
-    },
-
-    /**
-     * Finds all HTMLElement childNodes matching the given tag.
-     * @method childrenByTag
-     * @param {HTMLElement} element The html element.
-     * @param {String} tag The tag to search for.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all children with the given tag are collected.
-     * @return {Array} The collection of child elements.
-     */
-    childrenByTag: function() {
-        if (document[DOCUMENT_ELEMENT].children) {
-            return function(element, tag, fn, toArray) { // TODO: keep toArray option?
-                tag = (tag && tag !== '*') ? tag : null;
-                var elements = [];
-                if (element) {
-                    elements = (tag) ? element.children.tags(tag) : element.children; 
-
-                    if (fn || toArray) {
-                        elements = Y.DOM.filterElementsBy(elements, fn);
-                    }
-                }
-
-                return elements; 
-            };
-        } else {
-            return function(element, tag, fn) {
-                tag = (tag && tag !== '*') ? tag.toUpperCase() : null;
-                var elements = [],
-                    wrapFn = fn;
-
-                if (element) {
-                    elements = element.childNodes; 
-                    if (tag) { // wrap fn and add tag test TODO: allow tag in filterElementsBy?
-                        wrapFn = function(el) {
-                            return el[TAG_NAME].toUpperCase() === tag && (!fn || fn(el));
-                        };
-                    }
-
-                    elements = Y.DOM.filterElementsBy(elements, wrapFn); 
-                }
-                return elements;
-            };
-        }
-    }(),
-
-    /**
-     * Finds all HTMLElement childNodes.
-     * @method children
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all children are collected.
-     * @return {Array} The collection of child elements.
-     */
-    children: function(element, fn) {
-        return Y.DOM.childrenByTag(element, null, fn); 
-    },
-
-    /**
-     * Finds the previous sibling of the element.
-     * @method previous
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first sibling is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    previous: function(element, fn, all) {
-        return Y.DOM.elementByAxis(element, PREVIOUS_SIBLING, fn);
-    },
-
-    /**
-     * Finds the next sibling of the element.
-     * @method next
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first sibling is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    next: function(element, fn) {
-        return Y.DOM.elementByAxis(element, NEXT_SIBLING, fn);
-    },
-
-    /**
-     * Finds the ancestor of the element.
-     * @method ancestor
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the parentNode is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    ancestor: function(element, fn) {
-        return Y.DOM.elementByAxis(element, PARENT_NODE, fn);
-    },
-
-    /**
-     * Searches the element by the given axis for the first matching element.
-     * @method elementByAxis
-     * @param {HTMLElement} element The html element.
-     * @param {String} axis The axis to search (parentNode, nextSibling, previousSibling).
-     * @param {Function} fn optional An optional boolean test to apply.
-     * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first element is returned.
-     * @return {HTMLElement | null} The matching element or null if none found.
-     */
-    elementByAxis: function(element, axis, fn, all) {
-        while (element && (element = element[axis])) { // NOTE: assignment
-                if ( (all || element[TAG_NAME]) && (!fn || fn(element)) ) {
-                    return element;
-                }
-        }
-        return null;
-    },
-
-    /**
-     * Finds all elements with the given tag.
-     * @method byTag
-     * @param {String} tag The tag being search for. 
-     * @param {HTMLElement} root optional An optional root element to start from.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all elements with the given tag are returned.
-     * @return {Array} The collection of matching elements.
-     */
-    byTag: function(tag, root, fn) {
-        root = root || Y.config.doc;
-
-        var elements = root.getElementsByTagName(tag),
-            retNodes = [];
-
-        for (var i = 0, len = elements[LENGTH]; i < len; ++i) {
-            if ( !fn || fn(elements[i]) ) {
-                retNodes[retNodes[LENGTH]] = elements[i];
-            }
-        }
-        return retNodes;
-    },
-
-    /**
-     * Finds the first element with the given tag.
-     * @method firstByTag
-     * @param {String} tag The tag being search for. 
-     * @param {HTMLElement} root optional An optional root element to start from.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first match is returned.
-     * @return {HTMLElement} The matching element.
-     */
-    firstByTag: function(tag, root, fn) {
-        root = root || Y.config.doc;
-
-        var elements = root.getElementsByTagName(tag),
-            ret = null;
-
-        for (var i = 0, len = elements[LENGTH]; i < len; ++i) {
-            if ( !fn || fn(elements[i]) ) {
-                ret = elements[i];
-                break;
-            }
-        }
-        return ret;
-    },
-
-    /**
-     * Filters a collection of HTMLElements by the given attributes.
-     * @method filterElementsBy
-     * @param {Array} elements The collection of HTMLElements to filter.
-     * @param {Function} fn A boolean test to apply.
-     * The function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all HTMLElements are kept.
-     * @return {Array} The filtered collection of HTMLElements.
-     */
-    filterElementsBy: function(elements, fn, firstOnly) {
-        var ret = (firstOnly) ? null : [];
-        for (var i = 0, el; el = elements[i++];) {
-            if ( el[TAG_NAME] && (!fn || fn(el)) ) {
-                if (firstOnly) {
-                    ret = el;
-                    break;
-                } else {
-                    ret[ret[LENGTH]] = el;
-                }
-            }
-        }
-
-        return ret;
-    },
-
-    /**
-     * Determines whether or not one HTMLElement is or contains another HTMLElement.
-     * @method contains
-     * @param {HTMLElement} element The containing html element.
-     * @param {HTMLElement} needle The html element that may be contained.
-     * @return {Boolean} Whether or not the element is or contains the needle.
-     */
-    contains: function(element, needle) {
-        var ret = false;
-
-        if (!needle || !needle[NODE_TYPE] || !element || !element[NODE_TYPE]) {
-            Y.log('invalid input to contains', 'WARN', 'DOM');
-            ret = false;
-        } else if (element[CONTAINS])  {
-            if (Y.UA.opera || needle[NODE_TYPE] === 1) { // IE & SAF contains fail if needle not an ELEMENT_NODE
-                ret = element[CONTAINS](needle);
-            } else {
-                ret = Y.DOM._bruteContains(element, needle); 
-            }
-        } else if (element[COMPARE_DOCUMENT_POSITION]) { // gecko
-            if (element === needle || !!(element[COMPARE_DOCUMENT_POSITION](needle) & 16)) { 
-                ret = true;
-            }
-        }
-
-        return ret;
-    },
-
-    /**
-     * Returns an HTMLElement for the given string of HTML.
-     * @method create
-     * @param {String} html The string of HTML to convert to a DOM element. 
-     * @param {Document} document An optional document to create the node with.
-     * @return {HTMLElement} The newly created element. 
-     */
-    create: function(html, doc) {
-        doc = doc || Y.config.doc;
-        var m = re_tag.exec(html);
-        var create = Y.DOM._create,
-            custom = Y.DOM.creators,
-            tag, ret;
-
-        if (m && custom[m[1]]) {
-            if (typeof custom[m[1]] === 'function') {
-                create = custom[m[1]];
-            } else {
-                tag = custom[m[1]];
-            }
-        }
-        ret = create(html, doc, tag);
-        return (ret.childNodes.length > 1) ? ret.childNodes : ret.childNodes[0]; // collection or item
-        //return ret.firstChild;
-    },
-
-    _create: function(html, doc, tag) {
-        tag = tag || 'div';
-        var frag = templateCache[tag] || doc.createElement(tag);
-        frag.innerHTML = Y.Lang.trim(html);
-        return frag;
-    },
-
-    /**
-     * Brute force version of contains.
-     * Used for browsers without contains support for non-HTMLElement Nodes (textNodes, etc).
-     * @method _bruteContains
-     * @private
-     * @param {HTMLElement} element The containing html element.
-     * @param {HTMLElement} needle The html element that may be contained.
-     * @return {Boolean} Whether or not the element is or contains the needle.
-     */
-    _bruteContains: function(element, needle) {
-        while (needle) {
-            if (element === needle) {
-                return true;
-            }
-            needle = needle.parentNode;
-        }
-        return false;
-    },
-
-    /**
-     * Memoizes dynamic regular expressions to boost runtime performance. 
-     * @method _getRegExp
-     * @private
-     * @param {String} str The string to convert to a regular expression.
-     * @param {String} flags optional An optinal string of flags.
-     * @return {RegExp} An instance of RegExp
-     */
-    _getRegExp: function(str, flags) {
-        flags = flags || '';
-        Y.DOM._regexCache = Y.DOM._regexCache || {};
-        if (!Y.DOM._regexCache[str + flags]) {
-            Y.DOM._regexCache[str + flags] = new RegExp(str, flags);
-        }
-        return Y.DOM._regexCache[str + flags];
-    },
-
-    /**
-     * returns the appropriate document.
-     * @method _getDoc
-     * @private
-     * @param {HTMLElement} element optional Target element.
-     * @return {Object} The document for the given element or the default document. 
-     */
-    _getDoc: function(element) {
-        element = element || {};
-        return (element[NODE_TYPE] === 9) ? element : element[OWNER_DOCUMENT] ||
-                                                Y.config.doc;
-    },
-
-    /**
-     * returns the appropriate window.
-     * @method _getWin
-     * @private
-     * @param {HTMLElement} element optional Target element.
-     * @return {Object} The window for the given element or the default window. 
-     */
-    _getWin: function(element) {
-        var doc = Y.DOM._getDoc(element);
-        return (element.document) ? element : doc[DEFAULT_VIEW] ||
-                                        doc[PARENT_WINDOW] || Y.config.win;
-    },
-
-    _childBy: function(element, tag, fn, rev) {
-        var ret = null,
-            root, axis;
-
-        if (element) {
-            if (rev) {
-                root = element[LAST_CHILD];
-                axis = PREVIOUS_SIBLING;
-            } else {
-                root = element[FIRST_CHILD];
-                axis = NEXT_SIBLING;
-            }
-
-            if (Y.DOM._testElement(root, tag, fn)) { // is the matching element
-                ret = root;
-            } else { // need to scan nextSibling axis of firstChild to find matching element
-                ret = Y.DOM.elementByAxis(root, axis, fn);
-            }
-        }
-        return ret;
-
-    },
-
-    _testElement: function(element, tag, fn) {
-        tag = (tag && tag !== '*') ? tag.toUpperCase() : null;
-        return (element && element[TAG_NAME] &&
-                (!tag || element[TAG_NAME].toUpperCase() === tag) &&
-                (!fn || fn(element)));
-    },
-
-    creators: {},
-
-    _IESimpleCreate: function(html, doc) {
-        doc = doc || Y.config.doc;
-        return doc.createElement(html);
-    }
-};
-
-
-(function() {
-    var creators = Y.DOM.creators,
-        create = Y.DOM.create,
-        re_tbody = /(?:\/(?:thead|tfoot|tbody|caption|col|colgroup)>)+\s*<tbody/;
-
-    var TABLE_OPEN = '<table>',
-        TABLE_CLOSE = '</table>';
-
-    if (Y.UA.gecko || Y.UA.ie) { // require custom creation code for certain element types
-        Y.mix(creators, {
-            option: function(html, doc) {
-                var frag = create('<select>' + html + '</select>');
-                return frag;
-            },
-
-            tr: function(html, doc) {
-                var frag = creators.tbody('<tbody>' + html + '</tbody>', doc);
-                return frag.firstChild;
-            },
-
-            td: function(html, doc) {
-                var frag = creators.tr('<tr>' + html + '</tr>', doc);
-                return frag.firstChild;
-            }, 
-
-            tbody: function(html, doc) {
-                var frag = create(TABLE_OPEN + html + TABLE_CLOSE, doc);
-                return frag;
-            },
-
-            legend: 'fieldset'
-        });
-
-        creators.col = creators.tbody; // IE wraps in colgroup
-    }
-
-    if (Y.UA.ie) {
-        // TODO: allow multiples ("<link><link>")
-        creators.col = creators.script = creators.link = Y.DOM._IESimpleCreate; 
-
-        // TODO: thead/tfoot with nested tbody
-        creators.tbody = function(html, doc) {
-            var frag = create(TABLE_OPEN + html + TABLE_CLOSE, doc);
-            var tb = frag.children.tags('tbody')[0];
-            if (frag.children.length > 1 && tb && !re_tbody.test(html)) {
-                tb.parentNode.removeChild(tb);
-            }
-            return frag;
-        };
-
-    }
-
-    if (Y.UA.gecko || Y.UA.ie) { // require custom creation code for certain element types
-        Y.mix(creators, {
-                th: creators.td,
-                thead: creators.tbody,
-                tfoot: creators.tbody,
-                caption: creators.tbody,
-                colgroup: creators.tbody,
-                col: creators.tbody,
-                optgroup: creators.option
-        });
-    }
-})();
-/** 
- * The DOM utility provides a cross-browser abtraction layer
- * normalizing DOM tasks, and adds extra helper functionality
- * for other common tasks. 
- * @module dom
- * @submodule dom-base
- * @for DOM
- */
-
-var CLASS_NAME = 'className';
-
-Y.mix(Y.DOM, {
-    /**
-     * Determines whether a DOM element has the given className.
-     * @method hasClass
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to search for
-     * @return {Boolean} Whether or not the element has the given class. 
-     */
-    hasClass: function(node, className) {
-        var re = Y.DOM._getRegExp('(?:^|\\s+)' + className + '(?:\\s+|$)');
-        return re.test(node[CLASS_NAME]);
-    },
-
-    /**
-     * Adds a class name to a given DOM element.
-     * @method addClass         
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to add to the class attribute
-     */
-    addClass: function(node, className) {
-        if (!Y.DOM.hasClass(node, className)) { // skip if already present 
-            node[CLASS_NAME] = Y.Lang.trim([node[CLASS_NAME], className].join(' '));
-        }
-    },
-
-    /**
-     * Removes a class name from a given element.
-     * @method removeClass         
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to remove from the class attribute
-     */
-    removeClass: function(node, className) {
-        if (className && Y.DOM.hasClass(node, className)) {
-            node[CLASS_NAME] = Y.Lang.trim(node[CLASS_NAME].replace(Y.DOM._getRegExp('(?:^|\\s+)' +
-                            className + '(?:\\s+|$)'), ' '));
-
-            if ( Y.DOM.hasClass(node, className) ) { // in case of multiple adjacent
-                Y.DOM.removeClass(node, className);
-            }
-        }                 
-    },
-
-    /**
-     * Replace a class with another class for a given element.
-     * If no oldClassName is present, the newClassName is simply added.
-     * @method replaceClass  
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} oldClassName the class name to be replaced
-     * @param {String} newClassName the class name that will be replacing the old class name
-     */
-    replaceClass: function(node, oldC, newC) {
-        //Y.log('replaceClass replacing ' + oldC + ' with ' + newC, 'info', 'Node');
-        Y.DOM.addClass(node, newC);
-        Y.DOM.removeClass(node, oldC);
-    },
-
-    /**
-     * If the className exists on the node it is removed, if it doesn't exist it is added.
-     * @method toggleClass  
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to be toggled
-     */
-    toggleClass: function(node, className) {
-        if (Y.DOM.hasClass(node, className)) {
-            Y.DOM.removeClass(node, className);
-        } else {
-            Y.DOM.addClass(node, className);
-        }
-    }
-});
-
-
-
-}, '3.0.0pr1' );

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-base-min.js'
--- loggerhead/static/javascript/yui/build/dom/dom-base-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-base-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dom-base",function(D){var J="nodeType",O="ownerDocument",S="documentElement",C="defaultView",I="parentWindow",M="tagName",F="parentNode",B="firstChild",R="lastChild",N="previousSibling",T="nextSibling",G="contains",K="compareDocumentPosition",P="innerText",Q="textContent",L="length",U=undefined;var H=/<([a-z]+)/i;var E={};D.DOM={byId:function(W,V){return D.DOM._getDoc(V).getElementById(W);},getText:function(V){var W=V?V[Q]:"";if(W===U&&P in V){W=V[P];}return W||"";},firstChild:function(V,W){return D.DOM._childBy(V,null,W);},firstChildByTag:function(W,V,X){return D.DOM._childBy(W,V,X);},lastChild:function(V,W){return D.DOM._childBy(V,null,W,true);},lastChildByTag:function(W,V,X){return D.DOM._childBy(W,V,X,true);},childrenByTag:function(){if(document[S].children){return function(X,V,Y,W){V=(V&&V!=="*")?V:null;var Z=[];if(X){Z=(V)?X.children.tags(V):X.children;if(Y||W){Z=D.DOM.filterElementsBy(Z,Y);}}return Z;};}else{return function(X,W,Y){W=(W&&W!=="*")?W.toUpperCase():null;var Z=[],V=Y;if(X){Z=X.childNodes;if(W){V=function(a){return a[M].toUpperCase()===W&&(!Y||Y(a));};}Z=D.DOM.filterElementsBy(Z,V);}return Z;};}}(),children:function(V,W){return D.DOM.childrenByTag(V,null,W);},previous:function(V,X,W){return D.DOM.elementByAxis(V,N,X);},next:function(V,W){return D.DOM.elementByAxis(V,T,W);},ancestor:function(V,W){return D.DOM.elementByAxis(V,F,W);},elementByAxis:function(V,Y,X,W){while(V&&(V=V[Y])){if((W||V[M])&&(!X||X(V))){return V;}}return null;},byTag:function(W,X,a){X=X||D.config.doc;var b=X.getElementsByTagName(W),Z=[];for(var Y=0,V=b[L];Y<V;++Y){if(!a||a(b[Y])){Z[Z[L]]=b[Y];}}return Z;},firstByTag:function(W,X,a){X=X||D.config.doc;var b=X.getElementsByTagName(W),Y=null;for(var Z=0,V=b[L];Z<V;++Z){if(!a||a(b[Z])){Y=b[Z];break;}}return Y;},filterElementsBy:function(a,Z,Y){var V=(Y)?null:[];for(var W=0,X;X=a[W++];){if(X[M]&&(!Z||Z(X))){if(Y){V=X;break;}else{V[V[L]]=X;}}}return V;},contains:function(W,X){var V=false;if(!X||!X[J]||!W||!W[J]){V=false;}else{if(W[G]){if(D.UA.opera||X[J]===1){V=W[G](X);}else{V=D.DOM._bruteContains(W,X);}}else{if(W[K]){if(W===X||!!(W[K](X)&16)){V=true;}}}}return V;},create:function(Z,b){b=b||D.config.doc;var W=H.exec(Z);var Y=D.DOM._create,a=D.DOM.creators,V,X;if(W&&a[W[1]]){if(typeof a[W[1]]==="function"){Y=a[W[1]];}else{V=a[W[1]];}}X=Y(Z,b,V);return(X.childNodes.length>1)?X.childNodes:X.childNodes[0];},_create:function(W,X,V){V=V||"div";var Y=E[V]||X.createElement(V);Y.innerHTML=D.Lang.trim(W);return Y;},_bruteContains:function(V,W){while(W){if(V===W){return true;}W=W.parentNode;}return false;},_getRegExp:function(W,V){V=V||"";D.DOM._regexCache=D.DOM._regexCache||{};if(!D.DOM._regexCache[W+V]){D.DOM._regexCache[W+V]=new RegExp(W,V);}return D.DOM._regexCache[W+V];},_getDoc:function(V){V=V||{};return(V[J]===9)?V:V[O]||D.config.doc;},_getWin:function(V){var W=D.DOM._getDoc(V);return(V.document)?V:W[C]||W[I]||D.config.win;},_childBy:function(Z,V,b,X){var Y=null,W,a;if(Z){if(X){W=Z[R];a=N;}else{W=Z[B];a=T;}if(D.DOM._testElement(W,V,b)){Y=W;}else{Y=D.DOM.elementByAxis(W,a,b);}}return Y;},_testElement:function(W,V,X){V=(V&&V!=="*")?V.toUpperCase():null;return(W&&W[M]&&(!V||W[M].toUpperCase()===V)&&(!X||X(W)));},creators:{},_IESimpleCreate:function(V,W){W=W||D.config.doc;return W.createElement(V);}};(function(){var Z=D.DOM.creators,V=D.DOM.create,Y=/(?:\/(?:thead|tfoot|tbody|caption|col|colgroup)>)+\s*<tbody/;var X="<table>",W="</table>";if(D.UA.gecko||D.UA.ie){D.mix(Z,{option:function(a,b){var c=V("<select>"+a+"</select>");return c;},tr:function(a,b){var c=Z.tbody("<tbody>"+a+"</tbody>",b);return c.firstChild;},td:function(a,b){var c=Z.tr("<tr>"+a+"</tr>",b);return c.firstChild;},tbody:function(a,b){var c=V(X+a+W,b);return c;},legend:"fieldset"});Z.col=Z.tbody;}if(D.UA.ie){Z.col=Z.script=Z.link=D.DOM._IESimpleCreate;Z.tbody=function(b,c){var d=V(X+b+W,c);var a=d.children.tags("tbody")[0];if(d.children.length>1&&a&&!Y.test(b)){a.parentNode.removeChild(a);}return d;};}if(D.UA.gecko||D.UA.ie){D.mix(Z,{th:Z.td,thead:Z.tbody,tfoot:Z.tbody,caption:Z.tbody,colgroup:Z.tbody,col:Z.tbody,optgroup:Z.option});}})();var A="className";D.mix(D.DOM,{hasClass:function(X,W){var V=D.DOM._getRegExp("(?:^|\\s+)"+W+"(?:\\s+|$)");return V.test(X[A]);},addClass:function(W,V){if(!D.DOM.hasClass(W,V)){W[A]=D.Lang.trim([W[A],V].join(" "));}},removeClass:function(W,V){if(V&&D.DOM.hasClass(W,V)){W[A]=D.Lang.trim(W[A].replace(D.DOM._getRegExp("(?:^|\\s+)"+V+"(?:\\s+|$)")," "));if(D.DOM.hasClass(W,V)){D.DOM.removeClass(W,V);}}},replaceClass:function(W,V,X){D.DOM.addClass(W,X);D.DOM.removeClass(W,V);},toggleClass:function(W,V){if(D.DOM.hasClass(W,V)){D.DOM.removeClass(W,V);}else{D.DOM.addClass(W,V);}}});},"3.0.0pr1");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-base.js'
--- loggerhead/static/javascript/yui/build/dom/dom-base.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-base.js	1970-01-01 00:00:00 +0000
@@ -1,609 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dom-base', function(Y) {
-
-/** 
- * The DOM utility provides a cross-browser abtraction layer
- * normalizing DOM tasks, and adds extra helper functionality
- * for other common tasks. 
- * @module dom
- * @submodule dom-base
- *
- */
-
-/** 
- * Provides DOM helper methods.
- * @class DOM
- *
- */
-var NODE_TYPE = 'nodeType',
-    OWNER_DOCUMENT = 'ownerDocument',
-    DOCUMENT_ELEMENT = 'documentElement',
-    DEFAULT_VIEW = 'defaultView',
-    PARENT_WINDOW = 'parentWindow',
-    TAG_NAME = 'tagName',
-    PARENT_NODE = 'parentNode',
-    FIRST_CHILD = 'firstChild',
-    LAST_CHILD = 'lastChild',
-    PREVIOUS_SIBLING = 'previousSibling',
-    NEXT_SIBLING = 'nextSibling',
-    CONTAINS = 'contains',
-    COMPARE_DOCUMENT_POSITION = 'compareDocumentPosition',
-    INNER_TEXT = 'innerText',
-    TEXT_CONTENT = 'textContent',
-    LENGTH = 'length',
-
-    UNDEFINED = undefined;
-
-var re_tag = /<([a-z]+)/i;
-
-var templateCache = {};
-
-Y.DOM = {
-    /**
-     * Returns the HTMLElement with the given ID (Wrapper for document.getElementById).
-     * @method byId         
-     * @param {String} id the id attribute 
-     * @param {Object} doc optional The document to search. Defaults to current document 
-     * @return {HTMLElement | null} The HTMLElement with the id, or null if none found. 
-     */
-    byId: function(id, doc) {
-        return Y.DOM._getDoc(doc).getElementById(id);
-    },
-
-    /**
-     * Returns the text content of the HTMLElement. 
-     * @method getText         
-     * @param {HTMLElement} element The html element. 
-     * @return {String} The text content of the element (includes text of any descending elements).
-     */
-    getText: function(element) {
-        var text = element ? element[TEXT_CONTENT] : '';
-        if (text === UNDEFINED && INNER_TEXT in element) {
-            text = element[INNER_TEXT];
-        } 
-        return text || ''; 
-    },
-
-    /**
-     * Finds the firstChild of the given HTMLElement. 
-     * @method firstChild
-     * @param {HTMLElement} element The html element. 
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first found is returned.
-     * @return {HTMLElement | null} The first matching child html element.
-     */
-    firstChild: function(element, fn) {
-        return Y.DOM._childBy(element, null, fn); 
-    },
-
-    firstChildByTag: function(element, tag, fn) {
-        return Y.DOM._childBy(element, tag, fn); 
-    },
-
-    /**
-     * Finds the lastChild of the given HTMLElement.
-     * @method lastChild
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first found is returned.
-     * @return {HTMLElement | null} The first matching child html element.
-     */
-    lastChild: function(element, fn) {
-        return Y.DOM._childBy(element, null, fn, true); 
-    },
-
-    lastChildByTag: function(element, tag, fn) {
-        return Y.DOM._childBy(element, tag, fn, true); 
-    },
-
-    /**
-     * Finds all HTMLElement childNodes matching the given tag.
-     * @method childrenByTag
-     * @param {HTMLElement} element The html element.
-     * @param {String} tag The tag to search for.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all children with the given tag are collected.
-     * @return {Array} The collection of child elements.
-     */
-    childrenByTag: function() {
-        if (document[DOCUMENT_ELEMENT].children) {
-            return function(element, tag, fn, toArray) { // TODO: keep toArray option?
-                tag = (tag && tag !== '*') ? tag : null;
-                var elements = [];
-                if (element) {
-                    elements = (tag) ? element.children.tags(tag) : element.children; 
-
-                    if (fn || toArray) {
-                        elements = Y.DOM.filterElementsBy(elements, fn);
-                    }
-                }
-
-                return elements; 
-            };
-        } else {
-            return function(element, tag, fn) {
-                tag = (tag && tag !== '*') ? tag.toUpperCase() : null;
-                var elements = [],
-                    wrapFn = fn;
-
-                if (element) {
-                    elements = element.childNodes; 
-                    if (tag) { // wrap fn and add tag test TODO: allow tag in filterElementsBy?
-                        wrapFn = function(el) {
-                            return el[TAG_NAME].toUpperCase() === tag && (!fn || fn(el));
-                        };
-                    }
-
-                    elements = Y.DOM.filterElementsBy(elements, wrapFn); 
-                }
-                return elements;
-            };
-        }
-    }(),
-
-    /**
-     * Finds all HTMLElement childNodes.
-     * @method children
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all children are collected.
-     * @return {Array} The collection of child elements.
-     */
-    children: function(element, fn) {
-        return Y.DOM.childrenByTag(element, null, fn); 
-    },
-
-    /**
-     * Finds the previous sibling of the element.
-     * @method previous
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first sibling is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    previous: function(element, fn, all) {
-        return Y.DOM.elementByAxis(element, PREVIOUS_SIBLING, fn);
-    },
-
-    /**
-     * Finds the next sibling of the element.
-     * @method next
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first sibling is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    next: function(element, fn) {
-        return Y.DOM.elementByAxis(element, NEXT_SIBLING, fn);
-    },
-
-    /**
-     * Finds the ancestor of the element.
-     * @method ancestor
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the parentNode is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    ancestor: function(element, fn) {
-        return Y.DOM.elementByAxis(element, PARENT_NODE, fn);
-    },
-
-    /**
-     * Searches the element by the given axis for the first matching element.
-     * @method elementByAxis
-     * @param {HTMLElement} element The html element.
-     * @param {String} axis The axis to search (parentNode, nextSibling, previousSibling).
-     * @param {Function} fn optional An optional boolean test to apply.
-     * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first element is returned.
-     * @return {HTMLElement | null} The matching element or null if none found.
-     */
-    elementByAxis: function(element, axis, fn, all) {
-        while (element && (element = element[axis])) { // NOTE: assignment
-                if ( (all || element[TAG_NAME]) && (!fn || fn(element)) ) {
-                    return element;
-                }
-        }
-        return null;
-    },
-
-    /**
-     * Finds all elements with the given tag.
-     * @method byTag
-     * @param {String} tag The tag being search for. 
-     * @param {HTMLElement} root optional An optional root element to start from.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all elements with the given tag are returned.
-     * @return {Array} The collection of matching elements.
-     */
-    byTag: function(tag, root, fn) {
-        root = root || Y.config.doc;
-
-        var elements = root.getElementsByTagName(tag),
-            retNodes = [];
-
-        for (var i = 0, len = elements[LENGTH]; i < len; ++i) {
-            if ( !fn || fn(elements[i]) ) {
-                retNodes[retNodes[LENGTH]] = elements[i];
-            }
-        }
-        return retNodes;
-    },
-
-    /**
-     * Finds the first element with the given tag.
-     * @method firstByTag
-     * @param {String} tag The tag being search for. 
-     * @param {HTMLElement} root optional An optional root element to start from.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first match is returned.
-     * @return {HTMLElement} The matching element.
-     */
-    firstByTag: function(tag, root, fn) {
-        root = root || Y.config.doc;
-
-        var elements = root.getElementsByTagName(tag),
-            ret = null;
-
-        for (var i = 0, len = elements[LENGTH]; i < len; ++i) {
-            if ( !fn || fn(elements[i]) ) {
-                ret = elements[i];
-                break;
-            }
-        }
-        return ret;
-    },
-
-    /**
-     * Filters a collection of HTMLElements by the given attributes.
-     * @method filterElementsBy
-     * @param {Array} elements The collection of HTMLElements to filter.
-     * @param {Function} fn A boolean test to apply.
-     * The function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all HTMLElements are kept.
-     * @return {Array} The filtered collection of HTMLElements.
-     */
-    filterElementsBy: function(elements, fn, firstOnly) {
-        var ret = (firstOnly) ? null : [];
-        for (var i = 0, el; el = elements[i++];) {
-            if ( el[TAG_NAME] && (!fn || fn(el)) ) {
-                if (firstOnly) {
-                    ret = el;
-                    break;
-                } else {
-                    ret[ret[LENGTH]] = el;
-                }
-            }
-        }
-
-        return ret;
-    },
-
-    /**
-     * Determines whether or not one HTMLElement is or contains another HTMLElement.
-     * @method contains
-     * @param {HTMLElement} element The containing html element.
-     * @param {HTMLElement} needle The html element that may be contained.
-     * @return {Boolean} Whether or not the element is or contains the needle.
-     */
-    contains: function(element, needle) {
-        var ret = false;
-
-        if (!needle || !needle[NODE_TYPE] || !element || !element[NODE_TYPE]) {
-            ret = false;
-        } else if (element[CONTAINS])  {
-            if (Y.UA.opera || needle[NODE_TYPE] === 1) { // IE & SAF contains fail if needle not an ELEMENT_NODE
-                ret = element[CONTAINS](needle);
-            } else {
-                ret = Y.DOM._bruteContains(element, needle); 
-            }
-        } else if (element[COMPARE_DOCUMENT_POSITION]) { // gecko
-            if (element === needle || !!(element[COMPARE_DOCUMENT_POSITION](needle) & 16)) { 
-                ret = true;
-            }
-        }
-
-        return ret;
-    },
-
-    /**
-     * Returns an HTMLElement for the given string of HTML.
-     * @method create
-     * @param {String} html The string of HTML to convert to a DOM element. 
-     * @param {Document} document An optional document to create the node with.
-     * @return {HTMLElement} The newly created element. 
-     */
-    create: function(html, doc) {
-        doc = doc || Y.config.doc;
-        var m = re_tag.exec(html);
-        var create = Y.DOM._create,
-            custom = Y.DOM.creators,
-            tag, ret;
-
-        if (m && custom[m[1]]) {
-            if (typeof custom[m[1]] === 'function') {
-                create = custom[m[1]];
-            } else {
-                tag = custom[m[1]];
-            }
-        }
-        ret = create(html, doc, tag);
-        return (ret.childNodes.length > 1) ? ret.childNodes : ret.childNodes[0]; // collection or item
-        //return ret.firstChild;
-    },
-
-    _create: function(html, doc, tag) {
-        tag = tag || 'div';
-        var frag = templateCache[tag] || doc.createElement(tag);
-        frag.innerHTML = Y.Lang.trim(html);
-        return frag;
-    },
-
-    /**
-     * Brute force version of contains.
-     * Used for browsers without contains support for non-HTMLElement Nodes (textNodes, etc).
-     * @method _bruteContains
-     * @private
-     * @param {HTMLElement} element The containing html element.
-     * @param {HTMLElement} needle The html element that may be contained.
-     * @return {Boolean} Whether or not the element is or contains the needle.
-     */
-    _bruteContains: function(element, needle) {
-        while (needle) {
-            if (element === needle) {
-                return true;
-            }
-            needle = needle.parentNode;
-        }
-        return false;
-    },
-
-    /**
-     * Memoizes dynamic regular expressions to boost runtime performance. 
-     * @method _getRegExp
-     * @private
-     * @param {String} str The string to convert to a regular expression.
-     * @param {String} flags optional An optinal string of flags.
-     * @return {RegExp} An instance of RegExp
-     */
-    _getRegExp: function(str, flags) {
-        flags = flags || '';
-        Y.DOM._regexCache = Y.DOM._regexCache || {};
-        if (!Y.DOM._regexCache[str + flags]) {
-            Y.DOM._regexCache[str + flags] = new RegExp(str, flags);
-        }
-        return Y.DOM._regexCache[str + flags];
-    },
-
-    /**
-     * returns the appropriate document.
-     * @method _getDoc
-     * @private
-     * @param {HTMLElement} element optional Target element.
-     * @return {Object} The document for the given element or the default document. 
-     */
-    _getDoc: function(element) {
-        element = element || {};
-        return (element[NODE_TYPE] === 9) ? element : element[OWNER_DOCUMENT] ||
-                                                Y.config.doc;
-    },
-
-    /**
-     * returns the appropriate window.
-     * @method _getWin
-     * @private
-     * @param {HTMLElement} element optional Target element.
-     * @return {Object} The window for the given element or the default window. 
-     */
-    _getWin: function(element) {
-        var doc = Y.DOM._getDoc(element);
-        return (element.document) ? element : doc[DEFAULT_VIEW] ||
-                                        doc[PARENT_WINDOW] || Y.config.win;
-    },
-
-    _childBy: function(element, tag, fn, rev) {
-        var ret = null,
-            root, axis;
-
-        if (element) {
-            if (rev) {
-                root = element[LAST_CHILD];
-                axis = PREVIOUS_SIBLING;
-            } else {
-                root = element[FIRST_CHILD];
-                axis = NEXT_SIBLING;
-            }
-
-            if (Y.DOM._testElement(root, tag, fn)) { // is the matching element
-                ret = root;
-            } else { // need to scan nextSibling axis of firstChild to find matching element
-                ret = Y.DOM.elementByAxis(root, axis, fn);
-            }
-        }
-        return ret;
-
-    },
-
-    _testElement: function(element, tag, fn) {
-        tag = (tag && tag !== '*') ? tag.toUpperCase() : null;
-        return (element && element[TAG_NAME] &&
-                (!tag || element[TAG_NAME].toUpperCase() === tag) &&
-                (!fn || fn(element)));
-    },
-
-    creators: {},
-
-    _IESimpleCreate: function(html, doc) {
-        doc = doc || Y.config.doc;
-        return doc.createElement(html);
-    }
-};
-
-
-(function() {
-    var creators = Y.DOM.creators,
-        create = Y.DOM.create,
-        re_tbody = /(?:\/(?:thead|tfoot|tbody|caption|col|colgroup)>)+\s*<tbody/;
-
-    var TABLE_OPEN = '<table>',
-        TABLE_CLOSE = '</table>';
-
-    if (Y.UA.gecko || Y.UA.ie) { // require custom creation code for certain element types
-        Y.mix(creators, {
-            option: function(html, doc) {
-                var frag = create('<select>' + html + '</select>');
-                return frag;
-            },
-
-            tr: function(html, doc) {
-                var frag = creators.tbody('<tbody>' + html + '</tbody>', doc);
-                return frag.firstChild;
-            },
-
-            td: function(html, doc) {
-                var frag = creators.tr('<tr>' + html + '</tr>', doc);
-                return frag.firstChild;
-            }, 
-
-            tbody: function(html, doc) {
-                var frag = create(TABLE_OPEN + html + TABLE_CLOSE, doc);
-                return frag;
-            },
-
-            legend: 'fieldset'
-        });
-
-        creators.col = creators.tbody; // IE wraps in colgroup
-    }
-
-    if (Y.UA.ie) {
-        // TODO: allow multiples ("<link><link>")
-        creators.col = creators.script = creators.link = Y.DOM._IESimpleCreate; 
-
-        // TODO: thead/tfoot with nested tbody
-        creators.tbody = function(html, doc) {
-            var frag = create(TABLE_OPEN + html + TABLE_CLOSE, doc);
-            var tb = frag.children.tags('tbody')[0];
-            if (frag.children.length > 1 && tb && !re_tbody.test(html)) {
-                tb.parentNode.removeChild(tb);
-            }
-            return frag;
-        };
-
-    }
-
-    if (Y.UA.gecko || Y.UA.ie) { // require custom creation code for certain element types
-        Y.mix(creators, {
-                th: creators.td,
-                thead: creators.tbody,
-                tfoot: creators.tbody,
-                caption: creators.tbody,
-                colgroup: creators.tbody,
-                col: creators.tbody,
-                optgroup: creators.option
-        });
-    }
-})();
-/** 
- * The DOM utility provides a cross-browser abtraction layer
- * normalizing DOM tasks, and adds extra helper functionality
- * for other common tasks. 
- * @module dom
- * @submodule dom-base
- * @for DOM
- */
-
-var CLASS_NAME = 'className';
-
-Y.mix(Y.DOM, {
-    /**
-     * Determines whether a DOM element has the given className.
-     * @method hasClass
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to search for
-     * @return {Boolean} Whether or not the element has the given class. 
-     */
-    hasClass: function(node, className) {
-        var re = Y.DOM._getRegExp('(?:^|\\s+)' + className + '(?:\\s+|$)');
-        return re.test(node[CLASS_NAME]);
-    },
-
-    /**
-     * Adds a class name to a given DOM element.
-     * @method addClass         
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to add to the class attribute
-     */
-    addClass: function(node, className) {
-        if (!Y.DOM.hasClass(node, className)) { // skip if already present 
-            node[CLASS_NAME] = Y.Lang.trim([node[CLASS_NAME], className].join(' '));
-        }
-    },
-
-    /**
-     * Removes a class name from a given element.
-     * @method removeClass         
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to remove from the class attribute
-     */
-    removeClass: function(node, className) {
-        if (className && Y.DOM.hasClass(node, className)) {
-            node[CLASS_NAME] = Y.Lang.trim(node[CLASS_NAME].replace(Y.DOM._getRegExp('(?:^|\\s+)' +
-                            className + '(?:\\s+|$)'), ' '));
-
-            if ( Y.DOM.hasClass(node, className) ) { // in case of multiple adjacent
-                Y.DOM.removeClass(node, className);
-            }
-        }                 
-    },
-
-    /**
-     * Replace a class with another class for a given element.
-     * If no oldClassName is present, the newClassName is simply added.
-     * @method replaceClass  
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} oldClassName the class name to be replaced
-     * @param {String} newClassName the class name that will be replacing the old class name
-     */
-    replaceClass: function(node, oldC, newC) {
-        Y.DOM.addClass(node, newC);
-        Y.DOM.removeClass(node, oldC);
-    },
-
-    /**
-     * If the className exists on the node it is removed, if it doesn't exist it is added.
-     * @method toggleClass  
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to be toggled
-     */
-    toggleClass: function(node, className) {
-        if (Y.DOM.hasClass(node, className)) {
-            Y.DOM.removeClass(node, className);
-        } else {
-            Y.DOM.addClass(node, className);
-        }
-    }
-});
-
-
-
-}, '3.0.0pr1' );

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-debug.js'
--- loggerhead/static/javascript/yui/build/dom/dom-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-debug.js	1970-01-01 00:00:00 +0000
@@ -1,2130 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dom', function(Y) {
-
-/** 
- * The DOM utility provides a cross-browser abtraction layer
- * normalizing DOM tasks, and adds extra helper functionality
- * for other common tasks. 
- * @module dom
- * @submodule dom-base
- *
- */
-
-/** 
- * Provides DOM helper methods.
- * @class DOM
- *
- */
-var NODE_TYPE = 'nodeType',
-    OWNER_DOCUMENT = 'ownerDocument',
-    DOCUMENT_ELEMENT = 'documentElement',
-    DEFAULT_VIEW = 'defaultView',
-    PARENT_WINDOW = 'parentWindow',
-    TAG_NAME = 'tagName',
-    PARENT_NODE = 'parentNode',
-    FIRST_CHILD = 'firstChild',
-    LAST_CHILD = 'lastChild',
-    PREVIOUS_SIBLING = 'previousSibling',
-    NEXT_SIBLING = 'nextSibling',
-    CONTAINS = 'contains',
-    COMPARE_DOCUMENT_POSITION = 'compareDocumentPosition',
-    INNER_TEXT = 'innerText',
-    TEXT_CONTENT = 'textContent',
-    LENGTH = 'length',
-
-    UNDEFINED = undefined;
-
-var re_tag = /<([a-z]+)/i;
-
-var templateCache = {};
-
-Y.DOM = {
-    /**
-     * Returns the HTMLElement with the given ID (Wrapper for document.getElementById).
-     * @method byId         
-     * @param {String} id the id attribute 
-     * @param {Object} doc optional The document to search. Defaults to current document 
-     * @return {HTMLElement | null} The HTMLElement with the id, or null if none found. 
-     */
-    byId: function(id, doc) {
-        return Y.DOM._getDoc(doc).getElementById(id);
-    },
-
-    /**
-     * Returns the text content of the HTMLElement. 
-     * @method getText         
-     * @param {HTMLElement} element The html element. 
-     * @return {String} The text content of the element (includes text of any descending elements).
-     */
-    getText: function(element) {
-        var text = element ? element[TEXT_CONTENT] : '';
-        if (text === UNDEFINED && INNER_TEXT in element) {
-            text = element[INNER_TEXT];
-        } 
-        return text || ''; 
-    },
-
-    /**
-     * Finds the firstChild of the given HTMLElement. 
-     * @method firstChild
-     * @param {HTMLElement} element The html element. 
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first found is returned.
-     * @return {HTMLElement | null} The first matching child html element.
-     */
-    firstChild: function(element, fn) {
-        return Y.DOM._childBy(element, null, fn); 
-    },
-
-    firstChildByTag: function(element, tag, fn) {
-        return Y.DOM._childBy(element, tag, fn); 
-    },
-
-    /**
-     * Finds the lastChild of the given HTMLElement.
-     * @method lastChild
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first found is returned.
-     * @return {HTMLElement | null} The first matching child html element.
-     */
-    lastChild: function(element, fn) {
-        return Y.DOM._childBy(element, null, fn, true); 
-    },
-
-    lastChildByTag: function(element, tag, fn) {
-        return Y.DOM._childBy(element, tag, fn, true); 
-    },
-
-    /**
-     * Finds all HTMLElement childNodes matching the given tag.
-     * @method childrenByTag
-     * @param {HTMLElement} element The html element.
-     * @param {String} tag The tag to search for.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all children with the given tag are collected.
-     * @return {Array} The collection of child elements.
-     */
-    childrenByTag: function() {
-        if (document[DOCUMENT_ELEMENT].children) {
-            return function(element, tag, fn, toArray) { // TODO: keep toArray option?
-                tag = (tag && tag !== '*') ? tag : null;
-                var elements = [];
-                if (element) {
-                    elements = (tag) ? element.children.tags(tag) : element.children; 
-
-                    if (fn || toArray) {
-                        elements = Y.DOM.filterElementsBy(elements, fn);
-                    }
-                }
-
-                return elements; 
-            };
-        } else {
-            return function(element, tag, fn) {
-                tag = (tag && tag !== '*') ? tag.toUpperCase() : null;
-                var elements = [],
-                    wrapFn = fn;
-
-                if (element) {
-                    elements = element.childNodes; 
-                    if (tag) { // wrap fn and add tag test TODO: allow tag in filterElementsBy?
-                        wrapFn = function(el) {
-                            return el[TAG_NAME].toUpperCase() === tag && (!fn || fn(el));
-                        };
-                    }
-
-                    elements = Y.DOM.filterElementsBy(elements, wrapFn); 
-                }
-                return elements;
-            };
-        }
-    }(),
-
-    /**
-     * Finds all HTMLElement childNodes.
-     * @method children
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all children are collected.
-     * @return {Array} The collection of child elements.
-     */
-    children: function(element, fn) {
-        return Y.DOM.childrenByTag(element, null, fn); 
-    },
-
-    /**
-     * Finds the previous sibling of the element.
-     * @method previous
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first sibling is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    previous: function(element, fn, all) {
-        return Y.DOM.elementByAxis(element, PREVIOUS_SIBLING, fn);
-    },
-
-    /**
-     * Finds the next sibling of the element.
-     * @method next
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first sibling is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    next: function(element, fn) {
-        return Y.DOM.elementByAxis(element, NEXT_SIBLING, fn);
-    },
-
-    /**
-     * Finds the ancestor of the element.
-     * @method ancestor
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the parentNode is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    ancestor: function(element, fn) {
-        return Y.DOM.elementByAxis(element, PARENT_NODE, fn);
-    },
-
-    /**
-     * Searches the element by the given axis for the first matching element.
-     * @method elementByAxis
-     * @param {HTMLElement} element The html element.
-     * @param {String} axis The axis to search (parentNode, nextSibling, previousSibling).
-     * @param {Function} fn optional An optional boolean test to apply.
-     * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first element is returned.
-     * @return {HTMLElement | null} The matching element or null if none found.
-     */
-    elementByAxis: function(element, axis, fn, all) {
-        while (element && (element = element[axis])) { // NOTE: assignment
-                if ( (all || element[TAG_NAME]) && (!fn || fn(element)) ) {
-                    return element;
-                }
-        }
-        return null;
-    },
-
-    /**
-     * Finds all elements with the given tag.
-     * @method byTag
-     * @param {String} tag The tag being search for. 
-     * @param {HTMLElement} root optional An optional root element to start from.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all elements with the given tag are returned.
-     * @return {Array} The collection of matching elements.
-     */
-    byTag: function(tag, root, fn) {
-        root = root || Y.config.doc;
-
-        var elements = root.getElementsByTagName(tag),
-            retNodes = [];
-
-        for (var i = 0, len = elements[LENGTH]; i < len; ++i) {
-            if ( !fn || fn(elements[i]) ) {
-                retNodes[retNodes[LENGTH]] = elements[i];
-            }
-        }
-        return retNodes;
-    },
-
-    /**
-     * Finds the first element with the given tag.
-     * @method firstByTag
-     * @param {String} tag The tag being search for. 
-     * @param {HTMLElement} root optional An optional root element to start from.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first match is returned.
-     * @return {HTMLElement} The matching element.
-     */
-    firstByTag: function(tag, root, fn) {
-        root = root || Y.config.doc;
-
-        var elements = root.getElementsByTagName(tag),
-            ret = null;
-
-        for (var i = 0, len = elements[LENGTH]; i < len; ++i) {
-            if ( !fn || fn(elements[i]) ) {
-                ret = elements[i];
-                break;
-            }
-        }
-        return ret;
-    },
-
-    /**
-     * Filters a collection of HTMLElements by the given attributes.
-     * @method filterElementsBy
-     * @param {Array} elements The collection of HTMLElements to filter.
-     * @param {Function} fn A boolean test to apply.
-     * The function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all HTMLElements are kept.
-     * @return {Array} The filtered collection of HTMLElements.
-     */
-    filterElementsBy: function(elements, fn, firstOnly) {
-        var ret = (firstOnly) ? null : [];
-        for (var i = 0, el; el = elements[i++];) {
-            if ( el[TAG_NAME] && (!fn || fn(el)) ) {
-                if (firstOnly) {
-                    ret = el;
-                    break;
-                } else {
-                    ret[ret[LENGTH]] = el;
-                }
-            }
-        }
-
-        return ret;
-    },
-
-    /**
-     * Determines whether or not one HTMLElement is or contains another HTMLElement.
-     * @method contains
-     * @param {HTMLElement} element The containing html element.
-     * @param {HTMLElement} needle The html element that may be contained.
-     * @return {Boolean} Whether or not the element is or contains the needle.
-     */
-    contains: function(element, needle) {
-        var ret = false;
-
-        if (!needle || !needle[NODE_TYPE] || !element || !element[NODE_TYPE]) {
-            Y.log('invalid input to contains', 'WARN', 'DOM');
-            ret = false;
-        } else if (element[CONTAINS])  {
-            if (Y.UA.opera || needle[NODE_TYPE] === 1) { // IE & SAF contains fail if needle not an ELEMENT_NODE
-                ret = element[CONTAINS](needle);
-            } else {
-                ret = Y.DOM._bruteContains(element, needle); 
-            }
-        } else if (element[COMPARE_DOCUMENT_POSITION]) { // gecko
-            if (element === needle || !!(element[COMPARE_DOCUMENT_POSITION](needle) & 16)) { 
-                ret = true;
-            }
-        }
-
-        return ret;
-    },
-
-    /**
-     * Returns an HTMLElement for the given string of HTML.
-     * @method create
-     * @param {String} html The string of HTML to convert to a DOM element. 
-     * @param {Document} document An optional document to create the node with.
-     * @return {HTMLElement} The newly created element. 
-     */
-    create: function(html, doc) {
-        doc = doc || Y.config.doc;
-        var m = re_tag.exec(html);
-        var create = Y.DOM._create,
-            custom = Y.DOM.creators,
-            tag, ret;
-
-        if (m && custom[m[1]]) {
-            if (typeof custom[m[1]] === 'function') {
-                create = custom[m[1]];
-            } else {
-                tag = custom[m[1]];
-            }
-        }
-        ret = create(html, doc, tag);
-        return (ret.childNodes.length > 1) ? ret.childNodes : ret.childNodes[0]; // collection or item
-        //return ret.firstChild;
-    },
-
-    _create: function(html, doc, tag) {
-        tag = tag || 'div';
-        var frag = templateCache[tag] || doc.createElement(tag);
-        frag.innerHTML = Y.Lang.trim(html);
-        return frag;
-    },
-
-    /**
-     * Brute force version of contains.
-     * Used for browsers without contains support for non-HTMLElement Nodes (textNodes, etc).
-     * @method _bruteContains
-     * @private
-     * @param {HTMLElement} element The containing html element.
-     * @param {HTMLElement} needle The html element that may be contained.
-     * @return {Boolean} Whether or not the element is or contains the needle.
-     */
-    _bruteContains: function(element, needle) {
-        while (needle) {
-            if (element === needle) {
-                return true;
-            }
-            needle = needle.parentNode;
-        }
-        return false;
-    },
-
-    /**
-     * Memoizes dynamic regular expressions to boost runtime performance. 
-     * @method _getRegExp
-     * @private
-     * @param {String} str The string to convert to a regular expression.
-     * @param {String} flags optional An optinal string of flags.
-     * @return {RegExp} An instance of RegExp
-     */
-    _getRegExp: function(str, flags) {
-        flags = flags || '';
-        Y.DOM._regexCache = Y.DOM._regexCache || {};
-        if (!Y.DOM._regexCache[str + flags]) {
-            Y.DOM._regexCache[str + flags] = new RegExp(str, flags);
-        }
-        return Y.DOM._regexCache[str + flags];
-    },
-
-    /**
-     * returns the appropriate document.
-     * @method _getDoc
-     * @private
-     * @param {HTMLElement} element optional Target element.
-     * @return {Object} The document for the given element or the default document. 
-     */
-    _getDoc: function(element) {
-        element = element || {};
-        return (element[NODE_TYPE] === 9) ? element : element[OWNER_DOCUMENT] ||
-                                                Y.config.doc;
-    },
-
-    /**
-     * returns the appropriate window.
-     * @method _getWin
-     * @private
-     * @param {HTMLElement} element optional Target element.
-     * @return {Object} The window for the given element or the default window. 
-     */
-    _getWin: function(element) {
-        var doc = Y.DOM._getDoc(element);
-        return (element.document) ? element : doc[DEFAULT_VIEW] ||
-                                        doc[PARENT_WINDOW] || Y.config.win;
-    },
-
-    _childBy: function(element, tag, fn, rev) {
-        var ret = null,
-            root, axis;
-
-        if (element) {
-            if (rev) {
-                root = element[LAST_CHILD];
-                axis = PREVIOUS_SIBLING;
-            } else {
-                root = element[FIRST_CHILD];
-                axis = NEXT_SIBLING;
-            }
-
-            if (Y.DOM._testElement(root, tag, fn)) { // is the matching element
-                ret = root;
-            } else { // need to scan nextSibling axis of firstChild to find matching element
-                ret = Y.DOM.elementByAxis(root, axis, fn);
-            }
-        }
-        return ret;
-
-    },
-
-    _testElement: function(element, tag, fn) {
-        tag = (tag && tag !== '*') ? tag.toUpperCase() : null;
-        return (element && element[TAG_NAME] &&
-                (!tag || element[TAG_NAME].toUpperCase() === tag) &&
-                (!fn || fn(element)));
-    },
-
-    creators: {},
-
-    _IESimpleCreate: function(html, doc) {
-        doc = doc || Y.config.doc;
-        return doc.createElement(html);
-    }
-};
-
-
-(function() {
-    var creators = Y.DOM.creators,
-        create = Y.DOM.create,
-        re_tbody = /(?:\/(?:thead|tfoot|tbody|caption|col|colgroup)>)+\s*<tbody/;
-
-    var TABLE_OPEN = '<table>',
-        TABLE_CLOSE = '</table>';
-
-    if (Y.UA.gecko || Y.UA.ie) { // require custom creation code for certain element types
-        Y.mix(creators, {
-            option: function(html, doc) {
-                var frag = create('<select>' + html + '</select>');
-                return frag;
-            },
-
-            tr: function(html, doc) {
-                var frag = creators.tbody('<tbody>' + html + '</tbody>', doc);
-                return frag.firstChild;
-            },
-
-            td: function(html, doc) {
-                var frag = creators.tr('<tr>' + html + '</tr>', doc);
-                return frag.firstChild;
-            }, 
-
-            tbody: function(html, doc) {
-                var frag = create(TABLE_OPEN + html + TABLE_CLOSE, doc);
-                return frag;
-            },
-
-            legend: 'fieldset'
-        });
-
-        creators.col = creators.tbody; // IE wraps in colgroup
-    }
-
-    if (Y.UA.ie) {
-        // TODO: allow multiples ("<link><link>")
-        creators.col = creators.script = creators.link = Y.DOM._IESimpleCreate; 
-
-        // TODO: thead/tfoot with nested tbody
-        creators.tbody = function(html, doc) {
-            var frag = create(TABLE_OPEN + html + TABLE_CLOSE, doc);
-            var tb = frag.children.tags('tbody')[0];
-            if (frag.children.length > 1 && tb && !re_tbody.test(html)) {
-                tb.parentNode.removeChild(tb);
-            }
-            return frag;
-        };
-
-    }
-
-    if (Y.UA.gecko || Y.UA.ie) { // require custom creation code for certain element types
-        Y.mix(creators, {
-                th: creators.td,
-                thead: creators.tbody,
-                tfoot: creators.tbody,
-                caption: creators.tbody,
-                colgroup: creators.tbody,
-                col: creators.tbody,
-                optgroup: creators.option
-        });
-    }
-})();
-/** 
- * The DOM utility provides a cross-browser abtraction layer
- * normalizing DOM tasks, and adds extra helper functionality
- * for other common tasks. 
- * @module dom
- * @submodule dom-base
- * @for DOM
- */
-
-var CLASS_NAME = 'className';
-
-Y.mix(Y.DOM, {
-    /**
-     * Determines whether a DOM element has the given className.
-     * @method hasClass
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to search for
-     * @return {Boolean} Whether or not the element has the given class. 
-     */
-    hasClass: function(node, className) {
-        var re = Y.DOM._getRegExp('(?:^|\\s+)' + className + '(?:\\s+|$)');
-        return re.test(node[CLASS_NAME]);
-    },
-
-    /**
-     * Adds a class name to a given DOM element.
-     * @method addClass         
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to add to the class attribute
-     */
-    addClass: function(node, className) {
-        if (!Y.DOM.hasClass(node, className)) { // skip if already present 
-            node[CLASS_NAME] = Y.Lang.trim([node[CLASS_NAME], className].join(' '));
-        }
-    },
-
-    /**
-     * Removes a class name from a given element.
-     * @method removeClass         
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to remove from the class attribute
-     */
-    removeClass: function(node, className) {
-        if (className && Y.DOM.hasClass(node, className)) {
-            node[CLASS_NAME] = Y.Lang.trim(node[CLASS_NAME].replace(Y.DOM._getRegExp('(?:^|\\s+)' +
-                            className + '(?:\\s+|$)'), ' '));
-
-            if ( Y.DOM.hasClass(node, className) ) { // in case of multiple adjacent
-                Y.DOM.removeClass(node, className);
-            }
-        }                 
-    },
-
-    /**
-     * Replace a class with another class for a given element.
-     * If no oldClassName is present, the newClassName is simply added.
-     * @method replaceClass  
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} oldClassName the class name to be replaced
-     * @param {String} newClassName the class name that will be replacing the old class name
-     */
-    replaceClass: function(node, oldC, newC) {
-        //Y.log('replaceClass replacing ' + oldC + ' with ' + newC, 'info', 'Node');
-        Y.DOM.addClass(node, newC);
-        Y.DOM.removeClass(node, oldC);
-    },
-
-    /**
-     * If the className exists on the node it is removed, if it doesn't exist it is added.
-     * @method toggleClass  
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to be toggled
-     */
-    toggleClass: function(node, className) {
-        if (Y.DOM.hasClass(node, className)) {
-            Y.DOM.removeClass(node, className);
-        } else {
-            Y.DOM.addClass(node, className);
-        }
-    }
-});
-
-/** 
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var DOCUMENT_ELEMENT = 'documentElement',
-    DEFAULT_VIEW = 'defaultView',
-    OWNER_DOCUMENT = 'ownerDocument',
-    STYLE = 'style',
-    FLOAT = 'float',
-    CSS_FLOAT = 'cssFloat',
-    STYLE_FLOAT = 'styleFloat',
-    TRANSPARENT = 'transparent',
-    VISIBLE = 'visible',
-    WIDTH = 'width',
-    HEIGHT = 'height',
-    BORDER_TOP_WIDTH = 'borderTopWidth',
-    BORDER_RIGHT_WIDTH = 'borderRightWidth',
-    BORDER_BOTTOM_WIDTH = 'borderBottomWidth',
-    BORDER_LEFT_WIDTH = 'borderLeftWidth',
-    GET_COMPUTED_STYLE = 'getComputedStyle',
-
-    DOCUMENT = Y.config.doc,
-    UNDEFINED = undefined,
-
-    re_color = /color$/i;
-
-
-Y.mix(Y.DOM, {
-    CUSTOM_STYLES: {},
-
-
-    /**
-     * Sets a style property for a given element.
-     * @method setStyle
-     * @param {HTMLElement} An HTMLElement to apply the style to.
-     * @param {String} att The style property to set. 
-     * @param {String|Number} val The value. 
-     */
-    setStyle: function(node, att, val) {
-        var style = node[STYLE],
-            CUSTOM_STYLES = Y.DOM.CUSTOM_STYLES;
-
-        if (style) {
-            if (att in CUSTOM_STYLES) {
-                if (CUSTOM_STYLES[att].set) {
-                    CUSTOM_STYLES[att].set(node, val, style);
-                    return; // NOTE: return
-                } else if (typeof CUSTOM_STYLES[att] === 'string') {
-                    att = CUSTOM_STYLES[att];
-                }
-            }
-            style[att] = val; 
-        }
-    },
-
-    /**
-     * Returns the current style value for the given property.
-     * @method getStyle
-     * @param {HTMLElement} An HTMLElement to get the style from.
-     * @param {String} att The style property to get. 
-     */
-    getStyle: function(node, att) {
-        var style = node[STYLE],
-            CUSTOM_STYLES = Y.DOM.CUSTOM_STYLES,
-            val = '';
-
-        if (style) {
-            if (att in CUSTOM_STYLES) {
-                if (CUSTOM_STYLES[att].get) {
-                    return CUSTOM_STYLES[att].get(node, att, style); // NOTE: return
-                } else if (typeof CUSTOM_STYLES[att] === 'string') {
-                    att = CUSTOM_STYLES[att];
-                }
-            }
-            val = style[att];
-            if (val === '') { // TODO: is empty string sufficient?
-                val = Y.DOM[GET_COMPUTED_STYLE](node, att);
-            }
-        }
-
-        return val;
-    },
-
-    /**
-     * Sets multiple style properties.
-     * @method setStyles
-     * @param {HTMLElement} node An HTMLElement to apply the styles to. 
-     * @param {Object} hash An object literal of property:value pairs. 
-     */
-    'setStyles': function(node, hash) {
-        Y.each(hash, function(v, n) {
-            Y.DOM.setStyle(node, n, v);
-        }, Y.DOM);
-    },
-
-    /**
-     * Returns the computed style for the given node.
-     * @method getComputedStyle
-     * @param {HTMLElement} An HTMLElement to get the style from.
-     * @param {String} att The style property to get. 
-     * @return {String} The computed value of the style property. 
-     */
-    getComputedStyle: function(node, att) {
-        var val = '',
-            doc = node[OWNER_DOCUMENT];
-
-        if (node[STYLE]) {
-            val = doc[DEFAULT_VIEW][GET_COMPUTED_STYLE](node, '')[att];
-        }
-        return val;
-    }
-});
-
-if (DOCUMENT[DOCUMENT_ELEMENT][STYLE][CSS_FLOAT] !== UNDEFINED) {
-    Y.DOM.CUSTOM_STYLES[FLOAT] = CSS_FLOAT;
-} else if (DOCUMENT[DOCUMENT_ELEMENT][STYLE][STYLE_FLOAT] !== UNDEFINED) {
-    Y.DOM.CUSTOM_STYLES[FLOAT] = STYLE_FLOAT;
-}
-
-if (Y.UA.opera) { // opera defaults to hex instead of RGB
-    Y.DOM[GET_COMPUTED_STYLE] = function(node, att) {
-        var view = node[OWNER_DOCUMENT][DEFAULT_VIEW],
-            val = view[GET_COMPUTED_STYLE](node, '')[att];
-
-        if (re_color.test(att)) {
-            val = Y.Color.toRGB(val);
-        }
-
-        return val;
-    };
-
-}
-
-if (Y.UA.webkit) { // safari converts transparent to rgba()
-    Y.DOM[GET_COMPUTED_STYLE] = function(node, att) {
-        var view = node[OWNER_DOCUMENT][DEFAULT_VIEW],
-            val = view[GET_COMPUTED_STYLE](node, '')[att];
-
-        if (val === 'rgba(0, 0, 0, 0)') {
-            val = TRANSPARENT; 
-        }
-
-        return val;
-    };
-
-}
-
-/**
- * Adds position and region management functionality to DOM.
- * @module dom
- * @submodule dom-screen
- * @for DOM
- */
-
-var OFFSET_TOP = 'offsetTop',
-    DOCUMENT_ELEMENT = 'documentElement',
-    COMPAT_MODE = 'compatMode',
-    OFFSET_LEFT = 'offsetLeft',
-    OFFSET_PARENT = 'offsetParent',
-    POSITION = 'position',
-    FIXED = 'fixed',
-    RELATIVE = 'relative',
-    LEFT = 'left',
-    TOP = 'top',
-    SCROLL_LEFT = 'scrollLeft',
-    SCROLL_TOP = 'scrollTop',
-    _BACK_COMPAT = 'BackCompat',
-    MEDIUM = 'medium',
-    HEIGHT = 'height',
-    WIDTH = 'width',
-    BORDER_LEFT_WIDTH = 'borderLeftWidth',
-    BORDER_TOP_WIDTH = 'borderTopWidth',
-    GET_BOUNDING_CLIENT_RECT = 'getBoundingClientRect',
-    GET_COMPUTED_STYLE = 'getComputedStyle',
-    RE_TABLE = /^t(?:able|d|h)$/i;
-
-Y.mix(Y.DOM, {
-    /**
-     * Returns the inner height of the viewport (exludes scrollbar). 
-     * @method winHeight
-     * @return {Int} The pixel height of the viewport.
-     */
-    winHeight: function(node) {
-        var h = Y.DOM._getWinSize(node)[HEIGHT];
-        Y.log('winHeight returning ' + h, 'info', 'DOM');
-        return h;
-    },
-
-    /**
-     * Returns the inner width of the viewport (exludes scrollbar). 
-     * @method winWidth
-     * @return {Int} The pixel width of the viewport.
-     */
-    winWidth: function(node) {
-        var w = Y.DOM._getWinSize(node)[WIDTH];
-        Y.log('winWidth returning ' + w, 'info', 'DOM');
-        return w;
-    },
-
-    /**
-     * Document height 
-     * @method docHeight
-     * @return {Int} The pixel height of the document.
-     */
-    docHeight:  function(node) {
-        var h = Y.DOM._getDocSize(node)[HEIGHT];
-        Y.log('docHeight returning ' + h, 'info', 'DOM');
-        return Math.max(h, Y.DOM._getWinSize(node)[HEIGHT]);
-    },
-
-    /**
-     * Document width 
-     * @method docWidth
-     * @return {Int} The pixel width of the document.
-     */
-    docWidth:  function(node) {
-        var w = Y.DOM._getDocSize(node)[WIDTH];
-        Y.log('docWidth returning ' + w, 'info', 'DOM');
-        return Math.max(w, Y.DOM._getWinSize(node)[WIDTH]);
-    },
-
-    /**
-     * Amount page has been scroll vertically 
-     * @method docScrollX
-     * @return {Int} The scroll amount in pixels.
-     */
-    docScrollX: function(node) {
-        var doc = Y.DOM._getDoc();
-        return Math.max(doc[DOCUMENT_ELEMENT][SCROLL_LEFT], doc.body[SCROLL_LEFT]);
-    },
-
-    /**
-     * Amount page has been scroll horizontally 
-     * @method docScrollY
-     * @return {Int} The scroll amount in pixels.
-     */
-    docScrollY:  function(node) {
-        var doc = Y.DOM._getDoc();
-        return Math.max(doc[DOCUMENT_ELEMENT][SCROLL_TOP], doc.body[SCROLL_TOP]);
-    },
-
-    /**
-     * Gets the current position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getXY
-     * @param element The target element
-     * @return {Array} The XY position of the element
-
-     TODO: test inDocument/display
-     */
-    getXY: function() {
-        if (document[DOCUMENT_ELEMENT][GET_BOUNDING_CLIENT_RECT]) {
-            return function(node) {
-                if (!node) {
-                    return false;
-                }
-                var scrollLeft = Y.DOM.docScrollX(node),
-                    scrollTop = Y.DOM.docScrollY(node),
-                    box = node[GET_BOUNDING_CLIENT_RECT](),
-                    doc = Y.DOM._getDoc(node),
-                    //Round the numbers so we get sane data back
-                    xy = [Math.floor(box[LEFT]), Math.floor(box[TOP])];
-
-                    if (Y.UA.ie) {
-                        var off1 = 2, off2 = 2,
-                        mode = doc[COMPAT_MODE],
-                        bLeft = Y.DOM[GET_COMPUTED_STYLE](doc[DOCUMENT_ELEMENT], BORDER_LEFT_WIDTH),
-                        bTop = Y.DOM[GET_COMPUTED_STYLE](doc[DOCUMENT_ELEMENT], BORDER_TOP_WIDTH);
-
-                        if (Y.UA.ie === 6) {
-                            if (mode !== _BACK_COMPAT) {
-                                off1 = 0;
-                                off2 = 0;
-                            }
-                        }
-                        
-                        if ((mode == _BACK_COMPAT)) {
-                            if (bLeft !== MEDIUM) {
-                                off1 = parseInt(bLeft, 10);
-                            }
-                            if (bTop !== MEDIUM) {
-                                off2 = parseInt(bTop, 10);
-                            }
-                        }
-                        
-                        xy[0] -= off1;
-                        xy[1] -= off2;
-                    }
-
-                if ((scrollTop || scrollLeft)) {
-                    xy[0] += scrollLeft;
-                    xy[1] += scrollTop;
-                }
-
-                // gecko may return sub-pixel (non-int) values
-                xy[0] = Math.floor(xy[0]);
-                xy[1] = Math.floor(xy[1]);
-
-                return xy;                   
-            };
-        } else {
-            return function(node) { // manually calculate by crawling up offsetParents
-                //Calculate the Top and Left border sizes (assumes pixels)
-                var xy = [node[OFFSET_LEFT], node[OFFSET_TOP]],
-                    parentNode = node,
-                    bCheck = ((Y.UA.gecko || (Y.UA.webkit > 519)) ? true : false);
-
-                while ((parentNode = parentNode[OFFSET_PARENT])) {
-                    xy[0] += parentNode[OFFSET_LEFT];
-                    xy[1] += parentNode[OFFSET_TOP];
-                    if (bCheck) {
-                        xy = Y.DOM._calcBorders(parentNode, xy);
-                    }
-                }
-
-                // account for any scrolled ancestors
-                if (Y.DOM.getStyle(node, POSITION) != FIXED) {
-                    parentNode = node;
-                    var scrollTop, scrollLeft;
-
-                    while ((parentNode = parentNode.parentNode)) {
-                        scrollTop = parentNode[SCROLL_TOP];
-                        scrollLeft = parentNode[SCROLL_LEFT];
-
-                        //Firefox does something funky with borders when overflow is not visible.
-                        if (Y.UA.gecko && (Y.DOM.getStyle(parentNode, 'overflow') !== 'visible')) {
-                                xy = Y.DOM._calcBorders(parentNode, xy);
-                        }
-                        
-
-                        if (scrollTop || scrollLeft) {
-                            xy[0] -= scrollLeft;
-                            xy[1] -= scrollTop;
-                        }
-                    }
-                    xy[0] += Y.DOM.docScrollX(node);
-                    xy[1] += Y.DOM.docScrollY(node);
-
-                } else {
-                    //Fix FIXED position -- add scrollbars
-                    if (Y.UA.opera) {
-                        xy[0] -= Y.DOM.docScrollX(node);
-                        xy[1] -= Y.DOM.docScrollY(node);
-                    } else if (Y.UA.webkit || Y.UA.gecko) {
-                        xy[0] += Y.DOM.docScrollX(node);
-                        xy[1] += Y.DOM.docScrollY(node);
-                    }
-                }
-                //Round the numbers so we get sane data back
-                xy[0] = Math.floor(xy[0]);
-                xy[1] = Math.floor(xy[1]);
-
-                return xy;                
-            };
-        }
-    }(),// NOTE: Executing for loadtime branching
-
-    /**
-     * Gets the current X position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getX
-     * @param element The target element
-     * @return {Int} The X position of the element
-     */
-
-    getX: function(node) {
-        return Y.DOM.getXY(node)[0];
-    },
-
-    /**
-     * Gets the current Y position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getY
-     * @param element The target element
-     * @return {Int} The Y position of the element
-     */
-
-    getY: function(node) {
-        return Y.DOM.getXY(node)[1];
-    },
-
-    /**
-     * Set the position of an html element in page coordinates.
-     * The element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setXY
-     * @param element The target element
-     * @param {Array} xy Contains X & Y values for new position (coordinates are page-based)
-     * @param {Boolean} noRetry By default we try and set the position a second time if the first fails
-     */
-    setXY: function(node, xy, noRetry) {
-        var pos = Y.DOM.getStyle(node, POSITION),
-            setStyle = Y.DOM.setStyle,
-            delta = [ // assuming pixels; if not we will have to retry
-                parseInt( Y.DOM[GET_COMPUTED_STYLE](node, LEFT), 10 ),
-                parseInt( Y.DOM[GET_COMPUTED_STYLE](node, TOP), 10 )
-            ];
-    
-        if (pos == 'static') { // default to relative
-            pos = RELATIVE;
-            setStyle(node, POSITION, pos);
-        }
-
-        var currentXY = Y.DOM.getXY(node);
-
-        if (currentXY === false) { // has to be part of doc to have xy
-            Y.log('xy failed: node not available', 'error', 'Node');
-            return false; 
-        }
-        
-        if ( isNaN(delta[0]) ) {// in case of 'auto'
-            delta[0] = (pos == RELATIVE) ? 0 : node[OFFSET_LEFT];
-        } 
-        if ( isNaN(delta[1]) ) { // in case of 'auto'
-            delta[1] = (pos == RELATIVE) ? 0 : node[OFFSET_TOP];
-        } 
-
-        if (xy[0] !== null) {
-            setStyle(node, LEFT, xy[0] - currentXY[0] + delta[0] + 'px');
-        }
-
-        if (xy[1] !== null) {
-            setStyle(node, TOP, xy[1] - currentXY[1] + delta[1] + 'px');
-        }
-      
-        if (!noRetry) {
-            var newXY = Y.DOM.getXY(node);
-
-            // if retry is true, try one more time if we miss 
-           if ( (xy[0] !== null && newXY[0] != xy[0]) || 
-                (xy[1] !== null && newXY[1] != xy[1]) ) {
-               Y.DOM.setXY(node, xy, true);
-           }
-        }        
-
-        Y.log('setXY setting position to ' + xy, 'info', 'Node');
-    },
-
-    /**
-     * Set the X position of an html element in page coordinates, regardless of how the element is positioned.
-     * The element(s) must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setX
-     * @param element The target element
-     * @param {Int} x The X values for new position (coordinates are page-based)
-     */
-    setX: function(node, x) {
-        return Y.DOM.setXY(node, [x, null]);
-    },
-
-    /**
-     * Set the Y position of an html element in page coordinates, regardless of how the element is positioned.
-     * The element(s) must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setY
-     * @param element The target element
-     * @param {Int} y The Y values for new position (coordinates are page-based)
-     */
-    setY: function(node, y) {
-        return Y.DOM.setXY(node, [null, y]);
-    },
-
-    _calcBorders: function(node, xy2) {
-        var t = parseInt(Y.DOM[GET_COMPUTED_STYLE](node, BORDER_TOP_WIDTH), 10) || 0,
-            l = parseInt(Y.DOM[GET_COMPUTED_STYLE](node, BORDER_LEFT_WIDTH), 10) || 0;
-        if (Y.UA.gecko) {
-            if (RE_TABLE.test(node.tagName)) {
-                t = 0;
-                l = 0;
-            }
-        }
-        xy2[0] += l;
-        xy2[1] += t;
-        return xy2;
-    },
-
-    _getWinSize: function(node) {
-        var doc = Y.DOM._getDoc(),
-            win = doc.defaultView || doc.parentWindow,
-            mode = doc[COMPAT_MODE],
-            h = win.innerHeight,
-            w = win.innerWidth,
-            root = doc[DOCUMENT_ELEMENT];
-
-        if ( mode && !Y.UA.opera ) { // IE, Gecko
-            if (mode != 'CSS1Compat') { // Quirks
-                root = doc.body; 
-            }
-            h = root.clientHeight;
-            w = root.clientWidth;
-        }
-        return { height: h, width: w }; 
-    },
-
-    _getDocSize: function(node) {
-        var doc = Y.DOM._getDoc(),
-            root = doc[DOCUMENT_ELEMENT];
-
-        if (doc[COMPAT_MODE] != 'CSS1Compat') {
-            root = doc.body;
-        }
-
-        return { height: root.scrollHeight, width: root.scrollWidth };
-    }
-});
-
-/**
- * Adds position and region management functionality to DOM.
- * @module dom
- * @submodule dom-screen
- * @for DOM
- */
-
-var OFFSET_WIDTH = 'offsetWidth',
-    OFFSET_HEIGHT = 'offsetHeight',
-    TAG_NAME = 'tagName';
-
-var getOffsets = function(r1, r2) {
-
-    var t = Math.max(r1.top,    r2.top   ),
-        r = Math.min(r1.right,  r2.right ),
-        b = Math.min(r1.bottom, r2.bottom),
-        l = Math.max(r1.left,   r2.left  );
-    
-    return {
-        top: t,
-        bottom: b,
-        left: l,
-        right: r
-    };
-};
-
-Y.mix(Y.DOM, {
-    /**
-     * Returns an Object literal containing the following about this element: (top, right, bottom, left)
-     * @method region
-     * @param {HTMLElement} element The DOM element. 
-     @return {Object} Object literal containing the following about this element: (top, right, bottom, left)
-     */
-    region: function(node) {
-        var x = Y.DOM.getXY(node),
-            ret = false;
-        
-        if (x) {
-            ret = {
-                '0': x[0],
-                '1': x[1],
-                top: x[1],
-                right: x[0] + node[OFFSET_WIDTH],
-                bottom: x[1] + node[OFFSET_HEIGHT],
-                left: x[0],
-                height: node[OFFSET_HEIGHT],
-                width: node[OFFSET_WIDTH]
-            };
-        }
-
-        return ret;
-    },
-
-    /**
-     * Find the intersect information for the passes nodes.
-     * @method intersect
-     * @param {HTMLElement} element The first element 
-     * @param {HTMLElement | Object} element2 The element or region to check the interect with
-     * @param {Object} altRegion An object literal containing the region for the first element if we already have the data (for performance i.e. DragDrop)
-     @return {Object} Object literal containing the following intersection data: (top, right, bottom, left, area, yoff, xoff, inRegion)
-     */
-    intersect: function(node, node2, altRegion) {
-        var r = altRegion || Y.DOM.region(node), region = {};
-
-        var n = node2;
-        if (n[TAG_NAME]) {
-            region = Y.DOM.region(n);
-        } else if (Y.Lang.isObject(node2)) {
-            region = node2;
-        } else {
-            return false;
-        }
-        
-        var off = getOffsets(region, r);
-        return {
-            top: off.top,
-            right: off.right,
-            bottom: off.bottom,
-            left: off.left,
-            area: ((off.bottom - off.top) * (off.right - off.left)),
-            yoff: ((off.bottom - off.top)),
-            xoff: (off.right - off.left),
-            inRegion: Y.DOM.inRegion(node, node2, false, altRegion)
-        };
-        
-    },
-    /**
-     * Check if any part of this node is in the passed region
-     * @method inRegion
-     * @param {Object} node2 The node to get the region from or an Object literal of the region
-     * $param {Boolean} all Should all of the node be inside the region
-     * @param {Object} altRegion An object literal containing the region for this node if we already have the data (for performance i.e. DragDrop)
-     * @return {Boolean} True if in region, false if not.
-     */
-    inRegion: function(node, node2, all, altRegion) {
-        var region = {},
-            r = altRegion || Y.DOM.region(node);
-
-        var n = node2;
-        if (n[TAG_NAME]) {
-            region = Y.DOM.region(n);
-        } else if (Y.Lang.isObject(node2)) {
-            region = node2;
-        } else {
-            return false;
-        }
-            
-        if (all) {
-            return ( r.left   >= region.left   &&
-                r.right  <= region.right  && 
-                r.top    >= region.top    && 
-                r.bottom <= region.bottom    );
-        } else {
-            var off = getOffsets(region, r);
-            if (off.bottom >= off.top && off.right >= off.left) {
-                return true;
-            } else {
-                return false;
-            }
-            
-        }
-    },
-
-    /**
-     * Check if any part of this element is in the viewport
-     * @method inViewportRegion
-     * @param {HTMLElement} element The DOM element. 
-     * @param {Boolean} all Should all of the node be inside the region
-     * @param {Object} altRegion An object literal containing the region for this node if we already have the data (for performance i.e. DragDrop)
-     * @return {Boolean} True if in region, false if not.
-     */
-    inViewportRegion: function(node, all, altRegion) {
-        return Y.DOM.inRegion(node, Y.DOM.viewportRegion(node), all, altRegion);
-            
-    },
-
-    /**
-     * Returns an Object literal containing the following about the visible region of viewport: (top, right, bottom, left)
-     * @method viewportRegion
-     @return {Object} Object literal containing the following about the visible region of the viewport: (top, right, bottom, left)
-     */
-    viewportRegion: function(node) {
-        node = node || Y.config.doc.documentElement;
-        var r = {
-            top: Y.DOM.docScrollY(node),
-            right: Y.DOM.winWidth(node) + Y.DOM.docScrollX(node),
-            bottom: (Y.DOM.docScrollY(node) + Y.DOM.winHeight(node)),
-            left: Y.DOM.docScrollX(node)
-        };
-
-        return r;
-    }
-});
-/**
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var CLIENT_TOP = 'clientTop',
-    CLIENT_LEFT = 'clientLeft',
-    PARENT_NODE = 'parentNode',
-    RIGHT = 'right',
-    HAS_LAYOUT = 'hasLayout',
-    PX = 'px',
-    FILTER = 'filter',
-    FILTERS = 'filters',
-    OPACITY = 'opacity',
-    AUTO = 'auto',
-    CURRENT_STYLE = 'currentStyle';
-
-// use alpha filter for IE opacity
-if (document[DOCUMENT_ELEMENT][STYLE][OPACITY] === UNDEFINED &&
-        document[DOCUMENT_ELEMENT][FILTERS]) {
-    Y.DOM.CUSTOM_STYLES[OPACITY] = {
-        get: function(node) {
-            var val = 100;
-            try { // will error if no DXImageTransform
-                val = node[FILTERS]['DXImageTransform.Microsoft.Alpha'][OPACITY];
-
-            } catch(e) {
-                try { // make sure its in the document
-                    val = node[FILTERS]('alpha')[OPACITY];
-                } catch(err) {
-                    Y.log('getStyle: IE opacity filter not found; returning 1', 'warn', 'DOM');
-                }
-            }
-            return val / 100;
-        },
-
-        set: function(node, val, style) {
-            if (typeof style[FILTER] == 'string') { // in case not appended
-                style[FILTER] = 'alpha(' + OPACITY + '=' + val * 100 + ')';
-                
-                if (!node[CURRENT_STYLE] || !node[CURRENT_STYLE][HAS_LAYOUT]) {
-                    style.zoom = 1; // needs layout 
-                }
-            }
-        }
-    };
-}
-
-// IE getComputedStyle
-// TODO: unit-less lineHeight (e.g. 1.22)
-var re_size = /^width|height$/,
-    re_unit = /^(\d[.\d]*)+(em|ex|px|gd|rem|vw|vh|vm|ch|mm|cm|in|pt|pc|deg|rad|ms|s|hz|khz|%){1}?/i;
-
-var ComputedStyle = {
-    CUSTOM_STYLES: {},
-
-    get: function(el, property) {
-        var value = '',
-            current = el[CURRENT_STYLE][property];
-
-        if (property === OPACITY) {
-            value = Y.DOM.CUSTOM_STYLES[OPACITY].get(el);        
-        } else if (!current || current.indexOf(PX) > -1) { // no need to convert
-            value = current;
-        } else if (Y.DOM.IE.COMPUTED[property]) { // use compute function
-            value = Y.DOM.IE.COMPUTED[property](el, property);
-        } else if (re_unit.test(current)) { // convert to pixel
-            value = Y.DOM.IE.ComputedStyle.getPixel(el, property);
-        } else {
-            value = current;
-        }
-
-        return value;
-    },
-
-    getOffset: function(el, prop) {
-        var current = el[CURRENT_STYLE][prop],                        // value of "width", "top", etc.
-            capped = prop.charAt(0).toUpperCase() + prop.substr(1), // "Width", "Top", etc.
-            offset = 'offset' + capped,                             // "offsetWidth", "offsetTop", etc.
-            pixel = 'pixel' + capped,                               // "pixelWidth", "pixelTop", etc.
-            value = '';
-
-        if (current == AUTO) {
-            var actual = el[offset]; // offsetHeight/Top etc.
-            if (actual === UNDEFINED) { // likely "right" or "bottom"
-                value = 0;
-            }
-
-            value = actual;
-            if (re_size.test(prop)) { // account for box model diff 
-                el[STYLE][prop] = actual; 
-                if (el[offset] > actual) {
-                    // the difference is padding + border (works in Standards & Quirks modes)
-                    value = actual - (el[offset] - actual);
-                }
-                el[STYLE][prop] = AUTO; // revert to auto
-            }
-        } else { // convert units to px
-            if (!el[STYLE][pixel] && !el[STYLE][prop]) { // need to map style.width to currentStyle (no currentStyle.pixelWidth)
-                el[STYLE][prop] = current;              // no style.pixelWidth if no style.width
-            }
-            value = el[STYLE][pixel];
-        }
-        return value + PX;
-    },
-
-    getBorderWidth: function(el, property) {
-        // clientHeight/Width = paddingBox (e.g. offsetWidth - borderWidth)
-        // clientTop/Left = borderWidth
-        var value = null;
-        if (!el[CURRENT_STYLE][HAS_LAYOUT]) { // TODO: unset layout?
-            el[STYLE].zoom = 1; // need layout to measure client
-        }
-
-        switch(property) {
-            case BORDER_TOP_WIDTH:
-                value = el[CLIENT_TOP];
-                break;
-            case BORDER_BOTTOM_WIDTH:
-                value = el.offsetHeight - el.clientHeight - el[CLIENT_TOP];
-                break;
-            case BORDER_LEFT_WIDTH:
-                value = el[CLIENT_LEFT];
-                break;
-            case BORDER_RIGHT_WIDTH:
-                value = el.offsetWidth - el.clientWidth - el[CLIENT_LEFT];
-                break;
-        }
-        return value + PX;
-    },
-
-    getPixel: function(node, att) {
-        // use pixelRight to convert to px
-        var val = null,
-            styleRight = node[CURRENT_STYLE][RIGHT],
-            current = node[CURRENT_STYLE][att];
-
-        node[STYLE][RIGHT] = current;
-        val = node[STYLE].pixelRight;
-        node[STYLE][RIGHT] = styleRight; // revert
-
-        return val + PX;
-    },
-
-    getMargin: function(node, att) {
-        var val;
-        if (node[CURRENT_STYLE][att] == AUTO) {
-            val = 0 + PX;
-        } else {
-            val = Y.DOM.IE.ComputedStyle.getPixel(node, att);
-        }
-        return val;
-    },
-
-    getVisibility: function(node, att) {
-        var current;
-        while ( (current = node[CURRENT_STYLE]) && current[att] == 'inherit') { // NOTE: assignment in test
-            node = node[PARENT_NODE];
-        }
-        return (current) ? current[att] : VISIBLE;
-    },
-
-    getColor: function(node, att) {
-        var current = node[CURRENT_STYLE][att];
-
-        if (!current || current === TRANSPARENT) {
-            Y.DOM.elementByAxis(node, PARENT_NODE, null, function(parent) {
-                current = parent[CURRENT_STYLE][att];
-                if (current && current !== TRANSPARENT) {
-                    node = parent;
-                    return true;
-                }
-            });
-        }
-
-        return Y.Color.toRGB(current);
-    },
-
-    getBorderColor: function(node, att) {
-        var current = node[CURRENT_STYLE];
-        var val = current[att] || current.color;
-        return Y.Color.toRGB(Y.Color.toHex(val));
-    }
-
-};
-
-//fontSize: getPixelFont,
-var IEComputed = {};
-
-IEComputed[WIDTH] = IEComputed[HEIGHT] = ComputedStyle.getOffset;
-
-IEComputed.color = IEComputed.backgroundColor = ComputedStyle.getColor;
-
-IEComputed[BORDER_TOP_WIDTH] = IEComputed[BORDER_RIGHT_WIDTH] =
-        IEComputed[BORDER_BOTTOM_WIDTH] = IEComputed[BORDER_LEFT_WIDTH] =
-        ComputedStyle.getBorderWidth;
-
-IEComputed.marginTop = IEComputed.marginRight = IEComputed.marginBottom =
-        IEComputed.marginLeft = ComputedStyle.getMargin;
-
-IEComputed.visibility = ComputedStyle.getVisibility;
-IEComputed.borderColor = IEComputed.borderTopColor =
-        IEComputed.borderRightColor = IEComputed.borderBottomColor =
-        IEComputed.borderLeftColor = ComputedStyle.getBorderColor;
-
-if (!Y.config.win[GET_COMPUTED_STYLE]) {
-    Y.DOM[GET_COMPUTED_STYLE] = ComputedStyle.get; 
-}
-
-Y.namespace('DOM.IE');
-Y.DOM.IE.COMPUTED = IEComputed;
-Y.DOM.IE.ComputedStyle = ComputedStyle;
-
-/**
- * Provides helper methods for collecting and filtering DOM elements.
- * @module dom
- * @submodule selector
- */
-
-/**
- * Provides helper methods for collecting and filtering DOM elements.
- * @class Selector
- * @static
- */
-
-var TAG = 'tag',
-    PARENT_NODE = 'parentNode',
-    PREVIOUS_SIBLING = 'previousSibling',
-    LENGTH = 'length',
-    NODE_TYPE = 'nodeType',
-    TAG_NAME = 'tagName',
-    ATTRIBUTES = 'attributes',
-    PSEUDOS = 'pseudos',
-    COMBINATOR = 'combinator';
-
-var reNth = /^(?:([\-]?\d*)(n){1}|(odd|even)$)*([\-+]?\d*)$/;
-
-var patterns = {
-    tag: /^((?:-?[_a-z]+[\w\-]*)|\*)/i,
-    attributes: /^\[([a-z]+\w*)+([~\|\^\$\*!=]=?)?['"]?([^\]]*?)['"]?\]/i,
-    pseudos: /^:([\-\w]+)(?:\(['"]?(.+)['"]?\))*/i,
-    combinator: /^\s*([>+~]|\s)\s*/
-};
-
-var Selector = {
-    /**
-     * Default document for use queries 
-     * @property document
-     * @type object
-     * @default window.document
-     */
-    document: Y.config.doc,
-    /**
-     * Mapping of attributes to aliases, normally to work around HTMLAttributes
-     * that conflict with JS reserved words.
-     * @property attrAliases
-     * @type object
-     */
-    attrAliases: {},
-
-    /**
-     * Mapping of shorthand tokens to corresponding attribute selector 
-     * @property shorthand
-     * @type object
-     */
-    shorthand: {
-        '\\#(-?[_a-z]+[-\\w]*)': '[id=$1]',
-        '\\.(-?[_a-z]+[-\\w]*)': '[class~=$1]'
-    },
-
-    /**
-     * List of operators and corresponding boolean functions. 
-     * These functions are passed the attribute and the current node's value of the attribute.
-     * @property operators
-     * @type object
-     */
-    operators: {
-        '=': function(attr, val) { return attr === val; }, // Equality
-        '!=': function(attr, val) { return attr !== val; }, // Inequality
-        '~=': function(attr, val) { // Match one of space seperated words 
-            var s = ' ';
-            return (s + attr + s).indexOf((s + val + s)) > -1;
-        },
-        '|=': function(attr, val) { return Y.DOM._getRegExp('^' + val + '[-]?').test(attr); }, // Match start with value followed by optional hyphen
-        '^=': function(attr, val) { return attr.indexOf(val) === 0; }, // Match starts with value
-        '$=': function(attr, val) { return attr.lastIndexOf(val) === attr[LENGTH] - val[LENGTH]; }, // Match ends with value
-        '*=': function(attr, val) { return attr.indexOf(val) > -1; }, // Match contains value as substring 
-        '': function(attr, val) { return attr; } // Just test for existence of attribute
-    },
-
-    /**
-     * List of pseudo-classes and corresponding boolean functions. 
-     * These functions are called with the current node, and any value that was parsed with the pseudo regex.
-     * @property pseudos
-     * @type object
-     */
-    pseudos: {
-        'root': function(node) {
-            return node === node.ownerDocument.documentElement;
-        },
-
-        'nth-child': function(node, val) {
-            return Selector.getNth(node, val);
-        },
-
-        'nth-last-child': function(node, val) {
-            return Selector.getNth(node, val, null, true);
-        },
-
-        'nth-of-type': function(node, val) {
-            return Selector.getNth(node, val, node[TAG_NAME]);
-        },
-         
-        'nth-last-of-type': function(node, val) {
-            return Selector.getNth(node, val, node[TAG_NAME], true);
-        },
-         
-        'first-child': function(node) {
-            return Y.DOM.firstChild(node[PARENT_NODE]) === node;
-        },
-
-        'last-child': function(node) {
-            return Y.DOM.lastChild(node[PARENT_NODE]) === node;
-        },
-
-        'first-of-type': function(node, val) {
-            return Y.DOM.firstChildByTag(node[PARENT_NODE], node[TAG_NAME]) === node;
-        },
-         
-        'last-of-type': function(node, val) {
-            return Y.DOM.lastChildByTag(node[PARENT_NODE], node[TAG_NAME]) === node;
-        },
-         
-        'only-child': function(node) {
-            var children = Y.DOM.children(node[PARENT_NODE]);
-            return children[LENGTH] === 1 && children[0] === node;
-        },
-
-        'only-of-type': function(node) {
-            return Y.DOM.childrenByTag(node[PARENT_NODE], node[TAG_NAME])[LENGTH] === 1;
-        },
-
-        'empty': function(node) {
-            return node.childNodes[LENGTH] === 0;
-        },
-
-        'not': function(node, simple) {
-            return !Selector.test(node, simple);
-        },
-
-        'contains': function(node, str) {
-            var text = node.innerText || node.textContent || '';
-            return text.indexOf(str) > -1;
-        },
-        'checked': function(node) {
-            return node.checked === true;
-        }
-    },
-
-    /**
-     * Test if the supplied node matches the supplied selector.
-     * @method test
-     *
-     * @param {HTMLElement | String} node An id or node reference to the HTMLElement being tested.
-     * @param {string} selector The CSS Selector to test the node against.
-     * @return{boolean} Whether or not the node matches the selector.
-     * @static
-    
-     */
-    test: function(node, selector) {
-        if (!node) {
-            return false;
-        }
-
-        var groups = selector ? selector.split(',') : [];
-        if (groups[LENGTH]) {
-            for (var i = 0, len = groups[LENGTH]; i < len; ++i) {
-                if ( Selector._testNode(node, groups[i]) ) { // passes if ANY group matches
-                    return true;
-                }
-            }
-            return false;
-        }
-        return Selector._testNode(node, selector);
-    },
-
-    /**
-     * Filters a set of nodes based on a given CSS selector. 
-     * @method filter
-     *
-     * @param {array} nodes A set of nodes/ids to filter. 
-     * @param {string} selector The selector used to test each node.
-     * @return{array} An array of nodes from the supplied array that match the given selector.
-     * @static
-     */
-    filter: function(nodes, selector) {
-        nodes = nodes || [];
-
-        var result = Selector._filter(nodes, Selector._tokenize(selector)[0]);
-        Y.log('filter: returning:' + result[LENGTH], 'info', 'Selector');
-        return result;
-    },
-
-    /**
-     * Retrieves a set of nodes based on a given CSS selector. 
-     * @method query
-     *
-     * @param {string} selector The CSS Selector to test the node against.
-     * @param {HTMLElement | String} root optional An id or HTMLElement to start the query from. Defaults to Selector.document.
-     * @param {Boolean} firstOnly optional Whether or not to return only the first match.
-     * @return {Array} An array of nodes that match the given selector.
-     * @static
-     */
-    query: function(selector, root, firstOnly) {
-        var result = Selector._query(selector, root, firstOnly);
-        //Y.log('query: ' + selector + ' returning ' + result, 'info', 'Selector');
-        return result;
-    },
-
-    _query: function(selector, root, firstOnly, deDupe) {
-        var result =  (firstOnly) ? null : [];
-        if (!selector) {
-            return result;
-        }
-
-        root = root || Selector.document;
-        var groups = selector.split(','); // TODO: handle comma in attribute/pseudo
-
-        if (groups[LENGTH] > 1) {
-            var found;
-            for (var i = 0, len = groups[LENGTH]; i < len; ++i) {
-                found = arguments.callee(groups[i], root, firstOnly, true);
-                result = firstOnly ? found : result.concat(found); 
-            }
-            Selector._clearFoundCache();
-            return result;
-        }
-
-        var tokens = Selector._tokenize(selector);
-        var idToken = tokens[Selector._getIdTokenIndex(tokens)],
-            nodes = [],
-            node,
-            id,
-            token = tokens.pop() || {};
-            
-        if (idToken) {
-            id = Selector._getId(idToken[ATTRIBUTES]);
-        }
-
-        // use id shortcut when possible
-        if (id) {
-            node = Selector.document.getElementById(id);
-
-            if (node && (root[NODE_TYPE] === 9 || Y.DOM.contains(root, node))) {
-                if ( Selector._testNode(node, null, idToken) ) {
-                    if (idToken === token) {
-                        nodes = [node]; // simple selector
-                    } else {
-                        root = node; // start from here
-                    }
-                }
-            } else {
-                return result;
-            }
-        }
-
-        if (root && !nodes[LENGTH]) {
-            nodes = root.getElementsByTagName(token[TAG]);
-        }
-
-        if (nodes[LENGTH]) {
-            result = Selector._filter(nodes, token, firstOnly, deDupe); 
-        }
-        return result;
-    },
-
-    _filter: function(nodes, token, firstOnly, deDupe) {
-        var result = firstOnly ? null : [];
-
-        result = Y.DOM.filterElementsBy(nodes, function(node) {
-            if (! Selector._testNode(node, '', token, deDupe)) {
-                return false;
-            }
-
-            if (deDupe) {
-                if (node._found) {
-                    return false;
-                }
-                node._found = true;
-                Selector._foundCache[Selector._foundCache[LENGTH]] = node;
-            }
-            return true;
-        }, firstOnly);
-
-        return result;
-    },
-
-    _testNode: function(node, selector, token, deDupe) {
-        token = token || Selector._tokenize(selector).pop() || {};
-        var ops = Selector.operators,
-            pseudos = Selector.pseudos,
-            prev = token.previous,
-            i, len;
-
-        if (!node[TAG_NAME] ||
-            (token[TAG] !== '*' && node[TAG_NAME].toUpperCase() !== token[TAG]) ||
-            (deDupe && node._found) ) {
-            return false;
-        }
-
-        if (token[ATTRIBUTES][LENGTH]) {
-            var attribute;
-            for (i = 0, len = token[ATTRIBUTES][LENGTH]; i < len; ++i) {
-                attribute = node.getAttribute(token[ATTRIBUTES][i][0], 2);
-                if (attribute === undefined) {
-                    attribute = node[token[ATTRIBUTES][i][0]];
-                    if (attribute === undefined) {
-                        return false;
-                    }
-                }
-                if ( ops[token[ATTRIBUTES][i][1]] &&
-                        !ops[token[ATTRIBUTES][i][1]](attribute, token[ATTRIBUTES][i][2])) {
-                    return false;
-                }
-            }
-        }
-
-        if (token[PSEUDOS][LENGTH]) {
-            for (i = 0, len = token[PSEUDOS][LENGTH]; i < len; ++i) {
-                if (pseudos[token[PSEUDOS][i][0]] &&
-                        !pseudos[token[PSEUDOS][i][0]](node, token[PSEUDOS][i][1])) {
-                    return false;
-                }
-            }
-        }
-        return (prev && prev[COMBINATOR] !== ',') ?
-                Selector.combinators[prev[COMBINATOR]](node, token) :
-                true;
-    },
-
-
-    _foundCache: [],
-    _regexCache: {},
-
-    _clearFoundCache: function() {
-        Y.log('getBySelector: clearing found cache of ' + Selector._foundCache[LENGTH] + ' elements');
-        for (var i = 0, len = Selector._foundCache[LENGTH]; i < len; ++i) {
-            try { // IE no like delete
-                delete Selector._foundCache[i]._found;
-            } catch(e) {
-                Selector._foundCache[i].removeAttribute('_found');
-            }
-        }
-        Selector._foundCache = [];
-        Y.log('getBySelector: done clearing Selector._foundCache');
-    },
-
-    combinators: {
-        ' ': function(node, token) {
-            while ((node = node[PARENT_NODE])) {
-                if (Selector._testNode(node, '', token.previous)) {
-                    return true;
-                }
-            }  
-            return false;
-        },
-
-        '>': function(node, token) {
-            return Selector._testNode(node[PARENT_NODE], null, token.previous);
-        },
-        '+': function(node, token) {
-            var sib = node[PREVIOUS_SIBLING];
-            while (sib && sib[NODE_TYPE] !== 1) {
-                sib = sib[PREVIOUS_SIBLING];
-            }
-
-            if (sib && Selector._testNode(sib, null, token.previous)) {
-                return true; 
-            }
-            return false;
-        },
-
-        '~': function(node, token) {
-            var sib = node[PREVIOUS_SIBLING];
-            while (sib) {
-                if (sib[NODE_TYPE] === 1 && Selector._testNode(sib, null, token.previous)) {
-                    return true;
-                }
-                sib = sib[PREVIOUS_SIBLING];
-            }
-
-            return false;
-        }
-    },
-
-
-    /*
-        an+b = get every _a_th node starting at the _b_th
-        0n+b = no repeat ("0" and "n" may both be omitted (together) , e.g. "0n+1" or "1", not "0+1"), return only the _b_th element
-        1n+b =  get every element starting from b ("1" may may be omitted, e.g. "1n+0" or "n+0" or "n")
-        an+0 = get every _a_th element, "0" may be omitted 
-    */
-    getNth: function(node, expr, tag, reverse) {
-        reNth.test(expr);
-
-        var a = parseInt(RegExp.$1, 10), // include every _a_ elements (zero means no repeat, just first _a_)
-            n = RegExp.$2, // "n"
-            oddeven = RegExp.$3, // "odd" or "even"
-            b = parseInt(RegExp.$4, 10) || 0, // start scan from element _b_
-            op, i, len, siblings;
-
-        if (tag) {
-            siblings = Y.DOM.childrenByTag(node[PARENT_NODE], tag);
-        } else {
-            siblings = Y.DOM.children(node[PARENT_NODE]);
-        }
-
-        if (oddeven) {
-            a = 2; // always every other
-            op = '+';
-            n = 'n';
-            b = (oddeven === 'odd') ? 1 : 0;
-        } else if ( isNaN(a) ) {
-            a = (n) ? 1 : 0; // start from the first or no repeat
-        }
-
-        if (a === 0) { // just the first
-            if (reverse) {
-                b = siblings[LENGTH] - b + 1; 
-            }
-
-            if (siblings[b - 1] === node) {
-                return true;
-            } else {
-                return false;
-            }
-
-        } else if (a < 0) {
-            reverse = !!reverse;
-            a = Math.abs(a);
-        }
-
-        if (!reverse) {
-            for (i = b - 1, len = siblings[LENGTH]; i < len; i += a) {
-                if ( i >= 0 && siblings[i] === node ) {
-                    return true;
-                }
-            }
-        } else {
-            for (i = siblings[LENGTH] - b, len = siblings[LENGTH]; i >= 0; i -= a) {
-                if ( i < len && siblings[i] === node ) {
-                    return true;
-                }
-            }
-        }
-        return false;
-    },
-
-    _getId: function(attr) {
-        for (var i = 0, len = attr[LENGTH]; i < len; ++i) {
-            if (attr[i][0] == 'id' && attr[i][1] === '=') {
-                return attr[i][2];
-            }
-        }
-    },
-
-    _getIdTokenIndex: function(tokens) {
-        for (var i = 0, len = tokens[LENGTH]; i < len; ++i) {
-            if (Selector._getId(tokens[i][ATTRIBUTES])) {
-                return i;
-            }
-        }
-        return -1;
-    },
-
-    /**
-        Break selector into token units per simple selector.
-        Combinator is attached to left-hand selector.
-     */
-    _tokenize: function(selector) {
-        var token = {},     // one token per simple selector (left selector holds combinator)
-            tokens = [],    // array of tokens
-            found = false,  // whether or not any matches were found this pass
-            match;          // the regex match
-
-        selector = Selector._replaceShorthand(selector); // convert ID and CLASS shortcuts to attributes
-
-        /*
-            Search for selector patterns, store, and strip them from the selector string
-            until no patterns match (invalid selector) or we run out of chars.
-
-            Multiple attributes and pseudos are allowed, in any order.
-            for example:
-                'form:first-child[type=button]:not(button)[lang|=en]'
-        */
-        do {
-            found = false; // reset after full pass
-            for (var re in patterns) {
-                if (patterns.hasOwnProperty(re)) {
-                    if (re != TAG && re != COMBINATOR) { // only one allowed
-                        token[re] = token[re] || [];
-                    }
-                    if ((match = patterns[re].exec(selector))) { // note assignment
-                        found = true;
-                        if (re != TAG && re != COMBINATOR) { // only one allowed
-                            //token[re] = token[re] || [];
-
-                            // capture ID for fast path to element
-                            if (re === ATTRIBUTES && match[1] === 'id') {
-                                token.id = match[3];
-                            }
-
-                            token[re].push(match.slice(1));
-                        } else { // single selector (tag, combinator)
-                            token[re] = match[1];
-                        }
-                        selector = selector.replace(match[0], ''); // strip current match from selector
-                        if (re === COMBINATOR || !selector[LENGTH]) { // next token or done
-                            token[ATTRIBUTES] = Selector._fixAttributes(token[ATTRIBUTES]);
-                            token[PSEUDOS] = token[PSEUDOS] || [];
-                            token[TAG] = token[TAG] ? token[TAG].toUpperCase() : '*';
-                            tokens.push(token);
-
-                            token = { // prep next token
-                                previous: token
-                            };
-                        }
-                    }
-                }
-            }
-        } while (found);
-
-        return tokens;
-    },
-
-    _fixAttributes: function(attr) {
-        var aliases = Selector.attrAliases;
-        attr = attr || [];
-        for (var i = 0, len = attr[LENGTH]; i < len; ++i) {
-            if (aliases[attr[i][0]]) { // convert reserved words, etc
-                attr[i][0] = aliases[attr[i][0]];
-            }
-            if (!attr[i][1]) { // use exists operator
-                attr[i][1] = '';
-            }
-        }
-        return attr;
-    },
-
-    _replaceShorthand: function(selector) {
-        var shorthand = Selector.shorthand;
-        var attrs = selector.match(patterns[ATTRIBUTES]); // pull attributes to avoid false pos on "." and "#"
-        if (attrs) {
-            selector = selector.replace(patterns[ATTRIBUTES], 'REPLACED_ATTRIBUTE');
-        }
-        for (var re in shorthand) {
-            if (shorthand.hasOwnProperty(re)) {
-                selector = selector.replace(Y.DOM._getRegExp(re, 'gi'), shorthand[re]);
-            }
-        }
-
-        if (attrs) {
-            for (var i = 0, len = attrs[LENGTH]; i < len; ++i) {
-                selector = selector.replace('REPLACED_ATTRIBUTE', attrs[i]);
-            }
-        }
-        return selector;
-    }
-
-};
-
-if (Y.UA.ie) { // rewrite class for IE (others use getAttribute('class')
-    Selector.attrAliases['class'] = 'className';
-    Selector.attrAliases['for'] = 'htmlFor';
-}
-
-Y.Selector = Selector;
-Y.Selector.patterns = patterns;
-
-/**
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var TO_STRING = 'toString',
-    PARSE_INT = parseInt,
-    RE = RegExp;
-
-Y.Color = {
-    KEYWORDS: {
-        black: '000',
-        silver: 'c0c0c0',
-        gray: '808080',
-        white: 'fff',
-        maroon: '800000',
-        red: 'f00',
-        purple: '800080',
-        fuchsia: 'f0f',
-        green: '008000',
-        lime: '0f0',
-        olive: '808000',
-        yellow: 'ff0',
-        navy: '000080',
-        blue: '00f',
-        teal: '008080',
-        aqua: '0ff'
-    },
-
-    re_RGB: /^rgb\(([0-9]+)\s*,\s*([0-9]+)\s*,\s*([0-9]+)\)$/i,
-    re_hex: /^#?([0-9A-F]{2})([0-9A-F]{2})([0-9A-F]{2})$/i,
-    re_hex3: /([0-9A-F])/gi,
-
-    toRGB: function(val) {
-        if (!Y.Color.re_RGB.test(val)) {
-            val = Y.Color.toHex(val);
-        }
-
-        if(Y.Color.re_hex.exec(val)) {
-            val = 'rgb(' + [
-                PARSE_INT(RE.$1, 16),
-                PARSE_INT(RE.$2, 16),
-                PARSE_INT(RE.$3, 16)
-            ].join(', ') + ')';
-        }
-        return val;
-    },
-
-    toHex: function(val) {
-        val = Y.Color.KEYWORDS[val] || val;
-        if (Y.Color.re_RGB.exec(val)) {
-            var r = (RE.$1.length === 1) ? '0' + RE.$1 : Number(RE.$1),
-                g = (RE.$2.length === 1) ? '0' + RE.$2 : Number(RE.$2),
-                b = (RE.$3.length === 1) ? '0' + RE.$3 : Number(RE.$3);
-
-            val = [
-                r[TO_STRING](16),
-                g[TO_STRING](16),
-                b[TO_STRING](16)
-            ].join('');
-        }
-
-        if (val.length < 6) {
-            val = val.replace(Y.Color.re_hex3, '$1$1');
-        }
-
-        if (val !== 'transparent' && val.indexOf('#') < 0) {
-            val = '#' + val;
-        }
-
-        return val.toLowerCase();
-    }
-};
-
-
-
-}, '3.0.0pr1' ,{skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-min.js'
--- loggerhead/static/javascript/yui/build/dom/dom-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-min.js	1970-01-01 00:00:00 +0000
@@ -1,10 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dom",function(q){var N="nodeType",AA="ownerDocument",R="documentElement",y="defaultView",AG="parentWindow",AS="tagName",C="parentNode",l="firstChild",o="lastChild",v="previousSibling",AX="nextSibling",AJ="contains",AI="compareDocumentPosition",k="innerText",K="textContent",w="length",x=undefined;var W=/<([a-z]+)/i;var AK={};q.DOM={byId:function(Ab,Y){return q.DOM._getDoc(Y).getElementById(Ab);},getText:function(Y){var Ab=Y?Y[K]:"";if(Ab===x&&k in Y){Ab=Y[k];}return Ab||"";},firstChild:function(Y,Ab){return q.DOM._childBy(Y,null,Ab);},firstChildByTag:function(Ab,Y,Ac){return q.DOM._childBy(Ab,Y,Ac);},lastChild:function(Y,Ab){return q.DOM._childBy(Y,null,Ab,true);},lastChildByTag:function(Ab,Y,Ac){return q.DOM._childBy(Ab,Y,Ac,true);},childrenByTag:function(){if(document[R].children){return function(Ac,Y,Ad,Ab){Y=(Y&&Y!=="*")?Y:null;var Ae=[];if(Ac){Ae=(Y)?Ac.children.tags(Y):Ac.children;if(Ad||Ab){Ae=q.DOM.filterElementsBy(Ae,Ad);}}return Ae;};}else{return function(Ac,Ab,Ad){Ab=(Ab&&Ab!=="*")?Ab.toUpperCase():null;var Ae=[],Y=Ad;if(Ac){Ae=Ac.childNodes;if(Ab){Y=function(Af){return Af[AS].toUpperCase()===Ab&&(!Ad||Ad(Af));};}Ae=q.DOM.filterElementsBy(Ae,Y);}return Ae;};}}(),children:function(Y,Ab){return q.DOM.childrenByTag(Y,null,Ab);},previous:function(Y,Ac,Ab){return q.DOM.elementByAxis(Y,v,Ac);},next:function(Y,Ab){return q.DOM.elementByAxis(Y,AX,Ab);},ancestor:function(Y,Ab){return q.DOM.elementByAxis(Y,C,Ab);},elementByAxis:function(Y,Ad,Ac,Ab){while(Y&&(Y=Y[Ad])){if((Ab||Y[AS])&&(!Ac||Ac(Y))){return Y;}}return null;},byTag:function(Ab,Ac,Af){Ac=Ac||q.config.doc;var Ag=Ac.getElementsByTagName(Ab),Ae=[];for(var Ad=0,Y=Ag[w];Ad<Y;++Ad){if(!Af||Af(Ag[Ad])){Ae[Ae[w]]=Ag[Ad];}}return Ae;},firstByTag:function(Ab,Ac,Af){Ac=Ac||q.config.doc;var Ag=Ac.getElementsByTagName(Ab),Ad=null;for(var Ae=0,Y=Ag[w];Ae<Y;++Ae){if(!Af||Af(Ag[Ae])){Ad=Ag[Ae];break;}}return Ad;},filterElementsBy:function(Af,Ae,Ad){var Y=(Ad)?null:[];for(var Ab=0,Ac;Ac=Af[Ab++];){if(Ac[AS]&&(!Ae||Ae(Ac))){if(Ad){Y=Ac;break;}else{Y[Y[w]]=Ac;}}}return Y;},contains:function(Ab,Ac){var Y=false;if(!Ac||!Ac[N]||!Ab||!Ab[N]){Y=false;}else{if(Ab[AJ]){if(q.UA.opera||Ac[N]===1){Y=Ab[AJ](Ac);}else{Y=q.DOM._bruteContains(Ab,Ac);}}else{if(Ab[AI]){if(Ab===Ac||!!(Ab[AI](Ac)&16)){Y=true;}}}}return Y;},create:function(Ae,Ag){Ag=Ag||q.config.doc;var Ab=W.exec(Ae);var Ad=q.DOM._create,Af=q.DOM.creators,Y,Ac;if(Ab&&Af[Ab[1]]){if(typeof Af[Ab[1]]==="function"){Ad=Af[Ab[1]];}else{Y=Af[Ab[1]];}}Ac=Ad(Ae,Ag,Y);return(Ac.childNodes.length>1)?Ac.childNodes:Ac.childNodes[0];},_create:function(Ab,Ac,Y){Y=Y||"div";var Ad=AK[Y]||Ac.createElement(Y);Ad.innerHTML=q.Lang.trim(Ab);return Ad;},_bruteContains:function(Y,Ab){while(Ab){if(Y===Ab){return true;}Ab=Ab.parentNode;}return false;},_getRegExp:function(Ab,Y){Y=Y||"";q.DOM._regexCache=q.DOM._regexCache||{};if(!q.DOM._regexCache[Ab+Y]){q.DOM._regexCache[Ab+Y]=new RegExp(Ab,Y);}return q.DOM._regexCache[Ab+Y];},_getDoc:function(Y){Y=Y||{};return(Y[N]===9)?Y:Y[AA]||q.config.doc;},_getWin:function(Y){var Ab=q.DOM._getDoc(Y);return(Y.document)?Y:Ab[y]||Ab[AG]||q.config.win;},_childBy:function(Ae,Y,Ag,Ac){var Ad=null,Ab,Af;if(Ae){if(Ac){Ab=Ae[o];Af=v;}else{Ab=Ae[l];Af=AX;}if(q.DOM._testElement(Ab,Y,Ag)){Ad=Ab;}else{Ad=q.DOM.elementByAxis(Ab,Af,Ag);}}return Ad;},_testElement:function(Ab,Y,Ac){Y=(Y&&Y!=="*")?Y.toUpperCase():null;return(Ab&&Ab[AS]&&(!Y||Ab[AS].toUpperCase()===Y)&&(!Ac||Ac(Ab)));},creators:{},_IESimpleCreate:function(Y,Ab){Ab=Ab||q.config.doc;return Ab.createElement(Y);}};(function(){var Ae=q.DOM.creators,Y=q.DOM.create,Ad=/(?:\/(?:thead|tfoot|tbody|caption|col|colgroup)>)+\s*<tbody/;var Ac="<table>",Ab="</table>";if(q.UA.gecko||q.UA.ie){q.mix(Ae,{option:function(Af,Ag){var Ah=Y("<select>"+Af+"</select>");return Ah;},tr:function(Af,Ag){var Ah=Ae.tbody("<tbody>"+Af+"</tbody>",Ag);return Ah.firstChild;},td:function(Af,Ag){var Ah=Ae.tr("<tr>"+Af+"</tr>",Ag);return Ah.firstChild;},tbody:function(Af,Ag){var Ah=Y(Ac+Af+Ab,Ag);return Ah;},legend:"fieldset"});Ae.col=Ae.tbody;}if(q.UA.ie){Ae.col=Ae.script=Ae.link=q.DOM._IESimpleCreate;Ae.tbody=function(Ag,Ah){var Ai=Y(Ac+Ag+Ab,Ah);var Af=Ai.children.tags("tbody")[0];if(Ai.children.length>1&&Af&&!Ad.test(Ag)){Af.parentNode.removeChild(Af);}return Ai;};}if(q.UA.gecko||q.UA.ie){q.mix(Ae,{th:Ae.td,thead:Ae.tbody,tfoot:Ae.tbody,caption:Ae.tbody,colgroup:Ae.tbody,col:Ae.tbody,optgroup:Ae.option});}})();var AH="className";q.mix(q.DOM,{hasClass:function(Ac,Ab){var Y=q.DOM._getRegExp("(?:^|\\s+)"+Ab+"(?:\\s+|$)");return Y.test(Ac[AH]);},addClass:function(Ab,Y){if(!q.DOM.hasClass(Ab,Y)){Ab[AH]=q.Lang.trim([Ab[AH],Y].join(" "));}},removeClass:function(Ab,Y){if(Y&&q.DOM.hasClass(Ab,Y)){Ab[AH]=q.Lang.trim(Ab[AH].replace(q.DOM._getRegExp("(?:^|\\s+)"+Y+"(?:\\s+|$)")," "));if(q.DOM.hasClass(Ab,Y)){q.DOM.removeClass(Ab,Y);}}},replaceClass:function(Ab,Y,Ac){q.DOM.addClass(Ab,Ac);q.DOM.removeClass(Ab,Y);},toggleClass:function(Ab,Y){if(q.DOM.hasClass(Ab,Y)){q.DOM.removeClass(Ab,Y);}else{q.DOM.addClass(Ab,Y);}}});var R="documentElement",y="defaultView",AA="ownerDocument",E="style",X="float",n="cssFloat",L="styleFloat",AC="transparent",t="visible",c="width",AN="height",U="borderTopWidth",S="borderRightWidth",B="borderBottomWidth",f="borderLeftWidth",AF="getComputedStyle",AR=q.config.doc,x=undefined,P=/color$/i;q.mix(q.DOM,{CUSTOM_STYLES:{},setStyle:function(Ad,Y,Ae){var Ac=Ad[E],Ab=q.DOM.CUSTOM_STYLES;if(Ac){if(Y in Ab){if(Ab[Y].set){Ab[Y].set(Ad,Ae,Ac);return ;}else{if(typeof Ab[Y]==="string"){Y=Ab[Y];}}}Ac[Y]=Ae;}},getStyle:function(Ad,Y){var Ac=Ad[E],Ab=q.DOM.CUSTOM_STYLES,Ae="";if(Ac){if(Y in Ab){if(Ab[Y].get){return Ab[Y].get(Ad,Y,Ac);}else{if(typeof Ab[Y]==="string"){Y=Ab[Y];}}}Ae=Ac[Y];if(Ae===""){Ae=q.DOM[AF](Ad,Y);}}return Ae;},"setStyles":function(Y,Ab){q.each(Ab,function(Ac,Ad){q.DOM.setStyle(Y,Ad,Ac);},q.DOM);},getComputedStyle:function(Ab,Y){var Ad="",Ac=Ab[AA];if(Ab[E]){Ad=Ac[y][AF](Ab,"")[Y];}return Ad;}});if(AR[R][E][n]!==x){q.DOM.CUSTOM_STYLES[X]=n;}else{if(AR[R][E][L]!==x){q.DOM.CUSTOM_STYLES[X]=L;
-}}if(q.UA.opera){q.DOM[AF]=function(Ac,Ab){var Y=Ac[AA][y],Ad=Y[AF](Ac,"")[Ab];if(P.test(Ab)){Ad=q.Color.toRGB(Ad);}return Ad;};}if(q.UA.webkit){q.DOM[AF]=function(Ac,Ab){var Y=Ac[AA][y],Ad=Y[AF](Ac,"")[Ab];if(Ad==="rgba(0, 0, 0, 0)"){Ad=AC;}return Ad;};}var D="offsetTop",R="documentElement",i="compatMode",AE="offsetLeft",AD="offsetParent",J="position",e="fixed",I="relative",A="left",H="top",Aa="scrollLeft",u="scrollTop",AB="BackCompat",Q="medium",AN="height",c="width",f="borderLeftWidth",U="borderTopWidth",V="getBoundingClientRect",AF="getComputedStyle",AQ=/^t(?:able|d|h)$/i;q.mix(q.DOM,{winHeight:function(Ab){var Y=q.DOM._getWinSize(Ab)[AN];return Y;},winWidth:function(Ab){var Y=q.DOM._getWinSize(Ab)[c];return Y;},docHeight:function(Ab){var Y=q.DOM._getDocSize(Ab)[AN];return Math.max(Y,q.DOM._getWinSize(Ab)[AN]);},docWidth:function(Ab){var Y=q.DOM._getDocSize(Ab)[c];return Math.max(Y,q.DOM._getWinSize(Ab)[c]);},docScrollX:function(Y){var Ab=q.DOM._getDoc();return Math.max(Ab[R][Aa],Ab.body[Aa]);},docScrollY:function(Y){var Ab=q.DOM._getDoc();return Math.max(Ab[R][u],Ab.body[u]);},getXY:function(){if(document[R][V]){return function(Ad){if(!Ad){return false;}var Ae=q.DOM.docScrollX(Ad),Ab=q.DOM.docScrollY(Ad),Af=Ad[V](),Aj=q.DOM._getDoc(Ad),Ak=[Math.floor(Af[A]),Math.floor(Af[H])];if(q.UA.ie){var Ai=2,Ah=2,Ag=Aj[i],Y=q.DOM[AF](Aj[R],f),Ac=q.DOM[AF](Aj[R],U);if(q.UA.ie===6){if(Ag!==AB){Ai=0;Ah=0;}}if((Ag==AB)){if(Y!==Q){Ai=parseInt(Y,10);}if(Ac!==Q){Ah=parseInt(Ac,10);}}Ak[0]-=Ai;Ak[1]-=Ah;}if((Ab||Ae)){Ak[0]+=Ae;Ak[1]+=Ab;}Ak[0]=Math.floor(Ak[0]);Ak[1]=Math.floor(Ak[1]);return Ak;};}else{return function(Ab){var Ad=[Ab[AE],Ab[D]],Y=Ab,Af=((q.UA.gecko||(q.UA.webkit>519))?true:false);while((Y=Y[AD])){Ad[0]+=Y[AE];Ad[1]+=Y[D];if(Af){Ad=q.DOM._calcBorders(Y,Ad);}}if(q.DOM.getStyle(Ab,J)!=e){Y=Ab;var Ac,Ae;while((Y=Y.parentNode)){Ac=Y[u];Ae=Y[Aa];if(q.UA.gecko&&(q.DOM.getStyle(Y,"overflow")!=="visible")){Ad=q.DOM._calcBorders(Y,Ad);}if(Ac||Ae){Ad[0]-=Ae;Ad[1]-=Ac;}}Ad[0]+=q.DOM.docScrollX(Ab);Ad[1]+=q.DOM.docScrollY(Ab);}else{if(q.UA.opera){Ad[0]-=q.DOM.docScrollX(Ab);Ad[1]-=q.DOM.docScrollY(Ab);}else{if(q.UA.webkit||q.UA.gecko){Ad[0]+=q.DOM.docScrollX(Ab);Ad[1]+=q.DOM.docScrollY(Ab);}}}Ad[0]=Math.floor(Ad[0]);Ad[1]=Math.floor(Ad[1]);return Ad;};}}(),getX:function(Y){return q.DOM.getXY(Y)[0];},getY:function(Y){return q.DOM.getXY(Y)[1];},setXY:function(Ab,Ae,Ah){var Ag=q.DOM.getStyle(Ab,J),Ac=q.DOM.setStyle,Af=[parseInt(q.DOM[AF](Ab,A),10),parseInt(q.DOM[AF](Ab,H),10)];if(Ag=="static"){Ag=I;Ac(Ab,J,Ag);}var Ad=q.DOM.getXY(Ab);if(Ad===false){return false;}if(isNaN(Af[0])){Af[0]=(Ag==I)?0:Ab[AE];}if(isNaN(Af[1])){Af[1]=(Ag==I)?0:Ab[D];}if(Ae[0]!==null){Ac(Ab,A,Ae[0]-Ad[0]+Af[0]+"px");}if(Ae[1]!==null){Ac(Ab,H,Ae[1]-Ad[1]+Af[1]+"px");}if(!Ah){var Y=q.DOM.getXY(Ab);if((Ae[0]!==null&&Y[0]!=Ae[0])||(Ae[1]!==null&&Y[1]!=Ae[1])){q.DOM.setXY(Ab,Ae,true);}}},setX:function(Ab,Y){return q.DOM.setXY(Ab,[Y,null]);},setY:function(Y,Ab){return q.DOM.setXY(Y,[null,Ab]);},_calcBorders:function(Ac,Ad){var Ab=parseInt(q.DOM[AF](Ac,U),10)||0,Y=parseInt(q.DOM[AF](Ac,f),10)||0;if(q.UA.gecko){if(AQ.test(Ac.tagName)){Ab=0;Y=0;}}Ad[0]+=Y;Ad[1]+=Ab;return Ad;},_getWinSize:function(Ad){var Af=q.DOM._getDoc(),Ae=Af.defaultView||Af.parentWindow,Ag=Af[i],Ac=Ae.innerHeight,Ab=Ae.innerWidth,Y=Af[R];if(Ag&&!q.UA.opera){if(Ag!="CSS1Compat"){Y=Af.body;}Ac=Y.clientHeight;Ab=Y.clientWidth;}return{height:Ac,width:Ab};},_getDocSize:function(Ab){var Ac=q.DOM._getDoc(),Y=Ac[R];if(Ac[i]!="CSS1Compat"){Y=Ac.body;}return{height:Y.scrollHeight,width:Y.scrollWidth};}});var AU="offsetWidth",b="offsetHeight",AS="tagName";var AY=function(Ad,Ac){var Ae=Math.max(Ad.top,Ac.top),Af=Math.min(Ad.right,Ac.right),Y=Math.min(Ad.bottom,Ac.bottom),Ab=Math.max(Ad.left,Ac.left);return{top:Ae,bottom:Y,left:Ab,right:Af};};q.mix(q.DOM,{region:function(Ac){var Y=q.DOM.getXY(Ac),Ab=false;if(Y){Ab={"0":Y[0],"1":Y[1],top:Y[1],right:Y[0]+Ac[AU],bottom:Y[1]+Ac[b],left:Y[0],height:Ac[b],width:Ac[AU]};}return Ab;},intersect:function(Ac,Y,Ae){var Ab=Ae||q.DOM.region(Ac),Ad={};var Ag=Y;if(Ag[AS]){Ad=q.DOM.region(Ag);}else{if(q.Lang.isObject(Y)){Ad=Y;}else{return false;}}var Af=AY(Ad,Ab);return{top:Af.top,right:Af.right,bottom:Af.bottom,left:Af.left,area:((Af.bottom-Af.top)*(Af.right-Af.left)),yoff:((Af.bottom-Af.top)),xoff:(Af.right-Af.left),inRegion:q.DOM.inRegion(Ac,Y,false,Ae)};},inRegion:function(Ad,Y,Ab,Af){var Ae={},Ac=Af||q.DOM.region(Ad);var Ah=Y;if(Ah[AS]){Ae=q.DOM.region(Ah);}else{if(q.Lang.isObject(Y)){Ae=Y;}else{return false;}}if(Ab){return(Ac.left>=Ae.left&&Ac.right<=Ae.right&&Ac.top>=Ae.top&&Ac.bottom<=Ae.bottom);}else{var Ag=AY(Ae,Ac);if(Ag.bottom>=Ag.top&&Ag.right>=Ag.left){return true;}else{return false;}}},inViewportRegion:function(Ab,Y,Ac){return q.DOM.inRegion(Ab,q.DOM.viewportRegion(Ab),Y,Ac);},viewportRegion:function(Ab){Ab=Ab||q.config.doc.documentElement;var Y={top:q.DOM.docScrollY(Ab),right:q.DOM.winWidth(Ab)+q.DOM.docScrollX(Ab),bottom:(q.DOM.docScrollY(Ab)+q.DOM.winHeight(Ab)),left:q.DOM.docScrollX(Ab)};return Y;}});var AL="clientTop",g="clientLeft",C="parentNode",G="right",r="hasLayout",s="px",AW="filter",AV="filters",p="opacity",AZ="auto",d="currentStyle";if(document[R][E][p]===x&&document[R][AV]){q.DOM.CUSTOM_STYLES[p]={get:function(Ab){var Ad=100;try{Ad=Ab[AV]["DXImageTransform.Microsoft.Alpha"][p];}catch(Ac){try{Ad=Ab[AV]("alpha")[p];}catch(Y){}}return Ad/100;},set:function(Ab,Ac,Y){if(typeof Y[AW]=="string"){Y[AW]="alpha("+p+"="+Ac*100+")";if(!Ab[d]||!Ab[d][r]){Y.zoom=1;}}}};}var AT=/^width|height$/,j=/^(\d[.\d]*)+(em|ex|px|gd|rem|vw|vh|vm|ch|mm|cm|in|pt|pc|deg|rad|ms|s|hz|khz|%){1}?/i;var z={CUSTOM_STYLES:{},get:function(Y,Ac){var Ab="",Ad=Y[d][Ac];if(Ac===p){Ab=q.DOM.CUSTOM_STYLES[p].get(Y);}else{if(!Ad||Ad.indexOf(s)>-1){Ab=Ad;}else{if(q.DOM.IE.COMPUTED[Ac]){Ab=q.DOM.IE.COMPUTED[Ac](Y,Ac);}else{if(j.test(Ad)){Ab=q.DOM.IE.ComputedStyle.getPixel(Y,Ac);}else{Ab=Ad;}}}}return Ab;},getOffset:function(Ac,Ah){var Ae=Ac[d][Ah],Y=Ah.charAt(0).toUpperCase()+Ah.substr(1),Af="offset"+Y,Ab="pixel"+Y,Ad="";
-if(Ae==AZ){var Ag=Ac[Af];if(Ag===x){Ad=0;}Ad=Ag;if(AT.test(Ah)){Ac[E][Ah]=Ag;if(Ac[Af]>Ag){Ad=Ag-(Ac[Af]-Ag);}Ac[E][Ah]=AZ;}}else{if(!Ac[E][Ab]&&!Ac[E][Ah]){Ac[E][Ah]=Ae;}Ad=Ac[E][Ab];}return Ad+s;},getBorderWidth:function(Y,Ac){var Ab=null;if(!Y[d][r]){Y[E].zoom=1;}switch(Ac){case U:Ab=Y[AL];break;case B:Ab=Y.offsetHeight-Y.clientHeight-Y[AL];break;case f:Ab=Y[g];break;case S:Ab=Y.offsetWidth-Y.clientWidth-Y[g];break;}return Ab+s;},getPixel:function(Ab,Y){var Ad=null,Ae=Ab[d][G],Ac=Ab[d][Y];Ab[E][G]=Ac;Ad=Ab[E].pixelRight;Ab[E][G]=Ae;return Ad+s;},getMargin:function(Ab,Y){var Ac;if(Ab[d][Y]==AZ){Ac=0+s;}else{Ac=q.DOM.IE.ComputedStyle.getPixel(Ab,Y);}return Ac;},getVisibility:function(Ab,Y){var Ac;while((Ac=Ab[d])&&Ac[Y]=="inherit"){Ab=Ab[C];}return(Ac)?Ac[Y]:t;},getColor:function(Ab,Y){var Ac=Ab[d][Y];if(!Ac||Ac===AC){q.DOM.elementByAxis(Ab,C,null,function(Ad){Ac=Ad[d][Y];if(Ac&&Ac!==AC){Ab=Ad;return true;}});}return q.Color.toRGB(Ac);},getBorderColor:function(Ab,Y){var Ac=Ab[d];var Ad=Ac[Y]||Ac.color;return q.Color.toRGB(q.Color.toHex(Ad));}};var AO={};AO[c]=AO[AN]=z.getOffset;AO.color=AO.backgroundColor=z.getColor;AO[U]=AO[S]=AO[B]=AO[f]=z.getBorderWidth;AO.marginTop=AO.marginRight=AO.marginBottom=AO.marginLeft=z.getMargin;AO.visibility=z.getVisibility;AO.borderColor=AO.borderTopColor=AO.borderRightColor=AO.borderBottomColor=AO.borderLeftColor=z.getBorderColor;if(!q.config.win[AF]){q.DOM[AF]=z.get;}q.namespace("DOM.IE");q.DOM.IE.COMPUTED=AO;q.DOM.IE.ComputedStyle=z;var h="tag",C="parentNode",v="previousSibling",w="length",N="nodeType",AS="tagName",M="attributes",m="pseudos",F="combinator";var a=/^(?:([\-]?\d*)(n){1}|(odd|even)$)*([\-+]?\d*)$/;var AM={tag:/^((?:-?[_a-z]+[\w\-]*)|\*)/i,attributes:/^\[([a-z]+\w*)+([~\|\^\$\*!=]=?)?['"]?([^\]]*?)['"]?\]/i,pseudos:/^:([\-\w]+)(?:\(['"]?(.+)['"]?\))*/i,combinator:/^\s*([>+~]|\s)\s*/};var AP={document:q.config.doc,attrAliases:{},shorthand:{"\\#(-?[_a-z]+[-\\w]*)":"[id=$1]","\\.(-?[_a-z]+[-\\w]*)":"[class~=$1]"},operators:{"=":function(Y,Ab){return Y===Ab;},"!=":function(Y,Ab){return Y!==Ab;},"~=":function(Y,Ac){var Ab=" ";return(Ab+Y+Ab).indexOf((Ab+Ac+Ab))>-1;},"|=":function(Y,Ab){return q.DOM._getRegExp("^"+Ab+"[-]?").test(Y);},"^=":function(Y,Ab){return Y.indexOf(Ab)===0;},"$=":function(Y,Ab){return Y.lastIndexOf(Ab)===Y[w]-Ab[w];},"*=":function(Y,Ab){return Y.indexOf(Ab)>-1;},"":function(Y,Ab){return Y;}},pseudos:{"root":function(Y){return Y===Y.ownerDocument.documentElement;},"nth-child":function(Y,Ab){return AP.getNth(Y,Ab);},"nth-last-child":function(Y,Ab){return AP.getNth(Y,Ab,null,true);},"nth-of-type":function(Y,Ab){return AP.getNth(Y,Ab,Y[AS]);},"nth-last-of-type":function(Y,Ab){return AP.getNth(Y,Ab,Y[AS],true);},"first-child":function(Y){return q.DOM.firstChild(Y[C])===Y;},"last-child":function(Y){return q.DOM.lastChild(Y[C])===Y;},"first-of-type":function(Y,Ab){return q.DOM.firstChildByTag(Y[C],Y[AS])===Y;},"last-of-type":function(Y,Ab){return q.DOM.lastChildByTag(Y[C],Y[AS])===Y;},"only-child":function(Ab){var Y=q.DOM.children(Ab[C]);return Y[w]===1&&Y[0]===Ab;},"only-of-type":function(Y){return q.DOM.childrenByTag(Y[C],Y[AS])[w]===1;},"empty":function(Y){return Y.childNodes[w]===0;},"not":function(Y,Ab){return !AP.test(Y,Ab);},"contains":function(Y,Ac){var Ab=Y.innerText||Y.textContent||"";return Ab.indexOf(Ac)>-1;},"checked":function(Y){return Y.checked===true;}},test:function(Ae,Ac){if(!Ae){return false;}var Ab=Ac?Ac.split(","):[];if(Ab[w]){for(var Ad=0,Y=Ab[w];Ad<Y;++Ad){if(AP._testNode(Ae,Ab[Ad])){return true;}}return false;}return AP._testNode(Ae,Ac);},filter:function(Ac,Ab){Ac=Ac||[];var Y=AP._filter(Ac,AP._tokenize(Ab)[0]);return Y;},query:function(Ab,Ac,Ad){var Y=AP._query(Ab,Ac,Ad);return Y;},_query:function(Ag,Al,Am,Ae){var Ao=(Am)?null:[];if(!Ag){return Ao;}Al=Al||AP.document;var Ac=Ag.split(",");if(Ac[w]>1){var An;for(var Ah=0,Ai=Ac[w];Ah<Ai;++Ah){An=arguments.callee(Ac[Ah],Al,Am,true);Ao=Am?An:Ao.concat(An);}AP._clearFoundCache();return Ao;}var Ak=AP._tokenize(Ag);var Aj=Ak[AP._getIdTokenIndex(Ak)],Y=[],Ad,Ab,Af=Ak.pop()||{};if(Aj){Ab=AP._getId(Aj[M]);}if(Ab){Ad=AP.document.getElementById(Ab);if(Ad&&(Al[N]===9||q.DOM.contains(Al,Ad))){if(AP._testNode(Ad,null,Aj)){if(Aj===Af){Y=[Ad];}else{Al=Ad;}}}else{return Ao;}}if(Al&&!Y[w]){Y=Al.getElementsByTagName(Af[h]);}if(Y[w]){Ao=AP._filter(Y,Af,Am,Ae);}return Ao;},_filter:function(Ac,Ad,Ae,Ab){var Y=Ae?null:[];Y=q.DOM.filterElementsBy(Ac,function(Af){if(!AP._testNode(Af,"",Ad,Ab)){return false;}if(Ab){if(Af._found){return false;}Af._found=true;AP._foundCache[AP._foundCache[w]]=Af;}return true;},Ae);return Y;},_testNode:function(Ac,Ag,Af,Ad){Af=Af||AP._tokenize(Ag).pop()||{};var Ab=AP.operators,Aj=AP.pseudos,Ae=Af.previous,Ah,Ai;if(!Ac[AS]||(Af[h]!=="*"&&Ac[AS].toUpperCase()!==Af[h])||(Ad&&Ac._found)){return false;}if(Af[M][w]){var Y;for(Ah=0,Ai=Af[M][w];Ah<Ai;++Ah){Y=Ac.getAttribute(Af[M][Ah][0],2);if(Y===undefined){Y=Ac[Af[M][Ah][0]];if(Y===undefined){return false;}}if(Ab[Af[M][Ah][1]]&&!Ab[Af[M][Ah][1]](Y,Af[M][Ah][2])){return false;}}}if(Af[m][w]){for(Ah=0,Ai=Af[m][w];Ah<Ai;++Ah){if(Aj[Af[m][Ah][0]]&&!Aj[Af[m][Ah][0]](Ac,Af[m][Ah][1])){return false;}}}return(Ae&&Ae[F]!==",")?AP.combinators[Ae[F]](Ac,Af):true;},_foundCache:[],_regexCache:{},_clearFoundCache:function(){for(var Ab=0,Y=AP._foundCache[w];Ab<Y;++Ab){try{delete AP._foundCache[Ab]._found;}catch(Ac){AP._foundCache[Ab].removeAttribute("_found");}}AP._foundCache=[];},combinators:{" ":function(Ab,Y){while((Ab=Ab[C])){if(AP._testNode(Ab,"",Y.previous)){return true;}}return false;},">":function(Ab,Y){return AP._testNode(Ab[C],null,Y.previous);},"+":function(Ac,Ab){var Y=Ac[v];while(Y&&Y[N]!==1){Y=Y[v];}if(Y&&AP._testNode(Y,null,Ab.previous)){return true;}return false;},"~":function(Ac,Ab){var Y=Ac[v];while(Y){if(Y[N]===1&&AP._testNode(Y,null,Ab.previous)){return true;}Y=Y[v];}return false;}},getNth:function(Ab,Ak,Al,Af){a.test(Ak);var Aj=parseInt(RegExp.$1,10),Y=RegExp.$2,Ag=RegExp.$3,Ah=parseInt(RegExp.$4,10)||0,Ad,Ac,Ae,Ai;
-if(Al){Ai=q.DOM.childrenByTag(Ab[C],Al);}else{Ai=q.DOM.children(Ab[C]);}if(Ag){Aj=2;Ad="+";Y="n";Ah=(Ag==="odd")?1:0;}else{if(isNaN(Aj)){Aj=(Y)?1:0;}}if(Aj===0){if(Af){Ah=Ai[w]-Ah+1;}if(Ai[Ah-1]===Ab){return true;}else{return false;}}else{if(Aj<0){Af=!!Af;Aj=Math.abs(Aj);}}if(!Af){for(Ac=Ah-1,Ae=Ai[w];Ac<Ae;Ac+=Aj){if(Ac>=0&&Ai[Ac]===Ab){return true;}}}else{for(Ac=Ai[w]-Ah,Ae=Ai[w];Ac>=0;Ac-=Aj){if(Ac<Ae&&Ai[Ac]===Ab){return true;}}}return false;},_getId:function(Ab){for(var Ac=0,Y=Ab[w];Ac<Y;++Ac){if(Ab[Ac][0]=="id"&&Ab[Ac][1]==="="){return Ab[Ac][2];}}},_getIdTokenIndex:function(Ac){for(var Ab=0,Y=Ac[w];Ab<Y;++Ab){if(AP._getId(Ac[Ab][M])){return Ab;}}return -1;},_tokenize:function(Y){var Ac={},Af=[],Ae=false,Ab;Y=AP._replaceShorthand(Y);do{Ae=false;for(var Ad in AM){if(AM.hasOwnProperty(Ad)){if(Ad!=h&&Ad!=F){Ac[Ad]=Ac[Ad]||[];}if((Ab=AM[Ad].exec(Y))){Ae=true;if(Ad!=h&&Ad!=F){if(Ad===M&&Ab[1]==="id"){Ac.id=Ab[3];}Ac[Ad].push(Ab.slice(1));}else{Ac[Ad]=Ab[1];}Y=Y.replace(Ab[0],"");if(Ad===F||!Y[w]){Ac[M]=AP._fixAttributes(Ac[M]);Ac[m]=Ac[m]||[];Ac[h]=Ac[h]?Ac[h].toUpperCase():"*";Af.push(Ac);Ac={previous:Ac};}}}}}while(Ae);return Af;},_fixAttributes:function(Ab){var Ac=AP.attrAliases;Ab=Ab||[];for(var Ad=0,Y=Ab[w];Ad<Y;++Ad){if(Ac[Ab[Ad][0]]){Ab[Ad][0]=Ac[Ab[Ad][0]];}if(!Ab[Ad][1]){Ab[Ad][1]="";}}return Ab;},_replaceShorthand:function(Ab){var Ac=AP.shorthand;var Ad=Ab.match(AM[M]);if(Ad){Ab=Ab.replace(AM[M],"REPLACED_ATTRIBUTE");}for(var Af in Ac){if(Ac.hasOwnProperty(Af)){Ab=Ab.replace(q.DOM._getRegExp(Af,"gi"),Ac[Af]);}}if(Ad){for(var Ae=0,Y=Ad[w];Ae<Y;++Ae){Ab=Ab.replace("REPLACED_ATTRIBUTE",Ad[Ae]);}}return Ab;}};if(q.UA.ie){AP.attrAliases["class"]="className";AP.attrAliases["for"]="htmlFor";}q.Selector=AP;q.Selector.patterns=AM;var T="toString",O=parseInt,Z=RegExp;q.Color={KEYWORDS:{black:"000",silver:"c0c0c0",gray:"808080",white:"fff",maroon:"800000",red:"f00",purple:"800080",fuchsia:"f0f",green:"008000",lime:"0f0",olive:"808000",yellow:"ff0",navy:"000080",blue:"00f",teal:"008080",aqua:"0ff"},re_RGB:/^rgb\(([0-9]+)\s*,\s*([0-9]+)\s*,\s*([0-9]+)\)$/i,re_hex:/^#?([0-9A-F]{2})([0-9A-F]{2})([0-9A-F]{2})$/i,re_hex3:/([0-9A-F])/gi,toRGB:function(Y){if(!q.Color.re_RGB.test(Y)){Y=q.Color.toHex(Y);}if(q.Color.re_hex.exec(Y)){Y="rgb("+[O(Z.$1,16),O(Z.$2,16),O(Z.$3,16)].join(", ")+")";}return Y;},toHex:function(Ad){Ad=q.Color.KEYWORDS[Ad]||Ad;if(q.Color.re_RGB.exec(Ad)){var Ac=(Z.$1.length===1)?"0"+Z.$1:Number(Z.$1),Ab=(Z.$2.length===1)?"0"+Z.$2:Number(Z.$2),Y=(Z.$3.length===1)?"0"+Z.$3:Number(Z.$3);Ad=[Ac[T](16),Ab[T](16),Y[T](16)].join("");}if(Ad.length<6){Ad=Ad.replace(q.Color.re_hex3,"$1$1");}if(Ad!=="transparent"&&Ad.indexOf("#")<0){Ad="#"+Ad;}return Ad.toLowerCase();}};},"3.0.0pr1",{skinnable:false});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-screen-debug.js'
--- loggerhead/static/javascript/yui/build/dom/dom-screen-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-screen-debug.js	1970-01-01 00:00:00 +0000
@@ -1,523 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dom-screen', function(Y) {
-
-/**
- * Adds position and region management functionality to DOM.
- * @module dom
- * @submodule dom-screen
- * @for DOM
- */
-
-var OFFSET_TOP = 'offsetTop',
-    DOCUMENT_ELEMENT = 'documentElement',
-    COMPAT_MODE = 'compatMode',
-    OFFSET_LEFT = 'offsetLeft',
-    OFFSET_PARENT = 'offsetParent',
-    POSITION = 'position',
-    FIXED = 'fixed',
-    RELATIVE = 'relative',
-    LEFT = 'left',
-    TOP = 'top',
-    SCROLL_LEFT = 'scrollLeft',
-    SCROLL_TOP = 'scrollTop',
-    _BACK_COMPAT = 'BackCompat',
-    MEDIUM = 'medium',
-    HEIGHT = 'height',
-    WIDTH = 'width',
-    BORDER_LEFT_WIDTH = 'borderLeftWidth',
-    BORDER_TOP_WIDTH = 'borderTopWidth',
-    GET_BOUNDING_CLIENT_RECT = 'getBoundingClientRect',
-    GET_COMPUTED_STYLE = 'getComputedStyle',
-    RE_TABLE = /^t(?:able|d|h)$/i;
-
-Y.mix(Y.DOM, {
-    /**
-     * Returns the inner height of the viewport (exludes scrollbar). 
-     * @method winHeight
-     * @return {Int} The pixel height of the viewport.
-     */
-    winHeight: function(node) {
-        var h = Y.DOM._getWinSize(node)[HEIGHT];
-        Y.log('winHeight returning ' + h, 'info', 'DOM');
-        return h;
-    },
-
-    /**
-     * Returns the inner width of the viewport (exludes scrollbar). 
-     * @method winWidth
-     * @return {Int} The pixel width of the viewport.
-     */
-    winWidth: function(node) {
-        var w = Y.DOM._getWinSize(node)[WIDTH];
-        Y.log('winWidth returning ' + w, 'info', 'DOM');
-        return w;
-    },
-
-    /**
-     * Document height 
-     * @method docHeight
-     * @return {Int} The pixel height of the document.
-     */
-    docHeight:  function(node) {
-        var h = Y.DOM._getDocSize(node)[HEIGHT];
-        Y.log('docHeight returning ' + h, 'info', 'DOM');
-        return Math.max(h, Y.DOM._getWinSize(node)[HEIGHT]);
-    },
-
-    /**
-     * Document width 
-     * @method docWidth
-     * @return {Int} The pixel width of the document.
-     */
-    docWidth:  function(node) {
-        var w = Y.DOM._getDocSize(node)[WIDTH];
-        Y.log('docWidth returning ' + w, 'info', 'DOM');
-        return Math.max(w, Y.DOM._getWinSize(node)[WIDTH]);
-    },
-
-    /**
-     * Amount page has been scroll vertically 
-     * @method docScrollX
-     * @return {Int} The scroll amount in pixels.
-     */
-    docScrollX: function(node) {
-        var doc = Y.DOM._getDoc();
-        return Math.max(doc[DOCUMENT_ELEMENT][SCROLL_LEFT], doc.body[SCROLL_LEFT]);
-    },
-
-    /**
-     * Amount page has been scroll horizontally 
-     * @method docScrollY
-     * @return {Int} The scroll amount in pixels.
-     */
-    docScrollY:  function(node) {
-        var doc = Y.DOM._getDoc();
-        return Math.max(doc[DOCUMENT_ELEMENT][SCROLL_TOP], doc.body[SCROLL_TOP]);
-    },
-
-    /**
-     * Gets the current position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getXY
-     * @param element The target element
-     * @return {Array} The XY position of the element
-
-     TODO: test inDocument/display
-     */
-    getXY: function() {
-        if (document[DOCUMENT_ELEMENT][GET_BOUNDING_CLIENT_RECT]) {
-            return function(node) {
-                if (!node) {
-                    return false;
-                }
-                var scrollLeft = Y.DOM.docScrollX(node),
-                    scrollTop = Y.DOM.docScrollY(node),
-                    box = node[GET_BOUNDING_CLIENT_RECT](),
-                    doc = Y.DOM._getDoc(node),
-                    //Round the numbers so we get sane data back
-                    xy = [Math.floor(box[LEFT]), Math.floor(box[TOP])];
-
-                    if (Y.UA.ie) {
-                        var off1 = 2, off2 = 2,
-                        mode = doc[COMPAT_MODE],
-                        bLeft = Y.DOM[GET_COMPUTED_STYLE](doc[DOCUMENT_ELEMENT], BORDER_LEFT_WIDTH),
-                        bTop = Y.DOM[GET_COMPUTED_STYLE](doc[DOCUMENT_ELEMENT], BORDER_TOP_WIDTH);
-
-                        if (Y.UA.ie === 6) {
-                            if (mode !== _BACK_COMPAT) {
-                                off1 = 0;
-                                off2 = 0;
-                            }
-                        }
-                        
-                        if ((mode == _BACK_COMPAT)) {
-                            if (bLeft !== MEDIUM) {
-                                off1 = parseInt(bLeft, 10);
-                            }
-                            if (bTop !== MEDIUM) {
-                                off2 = parseInt(bTop, 10);
-                            }
-                        }
-                        
-                        xy[0] -= off1;
-                        xy[1] -= off2;
-                    }
-
-                if ((scrollTop || scrollLeft)) {
-                    xy[0] += scrollLeft;
-                    xy[1] += scrollTop;
-                }
-
-                // gecko may return sub-pixel (non-int) values
-                xy[0] = Math.floor(xy[0]);
-                xy[1] = Math.floor(xy[1]);
-
-                return xy;                   
-            };
-        } else {
-            return function(node) { // manually calculate by crawling up offsetParents
-                //Calculate the Top and Left border sizes (assumes pixels)
-                var xy = [node[OFFSET_LEFT], node[OFFSET_TOP]],
-                    parentNode = node,
-                    bCheck = ((Y.UA.gecko || (Y.UA.webkit > 519)) ? true : false);
-
-                while ((parentNode = parentNode[OFFSET_PARENT])) {
-                    xy[0] += parentNode[OFFSET_LEFT];
-                    xy[1] += parentNode[OFFSET_TOP];
-                    if (bCheck) {
-                        xy = Y.DOM._calcBorders(parentNode, xy);
-                    }
-                }
-
-                // account for any scrolled ancestors
-                if (Y.DOM.getStyle(node, POSITION) != FIXED) {
-                    parentNode = node;
-                    var scrollTop, scrollLeft;
-
-                    while ((parentNode = parentNode.parentNode)) {
-                        scrollTop = parentNode[SCROLL_TOP];
-                        scrollLeft = parentNode[SCROLL_LEFT];
-
-                        //Firefox does something funky with borders when overflow is not visible.
-                        if (Y.UA.gecko && (Y.DOM.getStyle(parentNode, 'overflow') !== 'visible')) {
-                                xy = Y.DOM._calcBorders(parentNode, xy);
-                        }
-                        
-
-                        if (scrollTop || scrollLeft) {
-                            xy[0] -= scrollLeft;
-                            xy[1] -= scrollTop;
-                        }
-                    }
-                    xy[0] += Y.DOM.docScrollX(node);
-                    xy[1] += Y.DOM.docScrollY(node);
-
-                } else {
-                    //Fix FIXED position -- add scrollbars
-                    if (Y.UA.opera) {
-                        xy[0] -= Y.DOM.docScrollX(node);
-                        xy[1] -= Y.DOM.docScrollY(node);
-                    } else if (Y.UA.webkit || Y.UA.gecko) {
-                        xy[0] += Y.DOM.docScrollX(node);
-                        xy[1] += Y.DOM.docScrollY(node);
-                    }
-                }
-                //Round the numbers so we get sane data back
-                xy[0] = Math.floor(xy[0]);
-                xy[1] = Math.floor(xy[1]);
-
-                return xy;                
-            };
-        }
-    }(),// NOTE: Executing for loadtime branching
-
-    /**
-     * Gets the current X position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getX
-     * @param element The target element
-     * @return {Int} The X position of the element
-     */
-
-    getX: function(node) {
-        return Y.DOM.getXY(node)[0];
-    },
-
-    /**
-     * Gets the current Y position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getY
-     * @param element The target element
-     * @return {Int} The Y position of the element
-     */
-
-    getY: function(node) {
-        return Y.DOM.getXY(node)[1];
-    },
-
-    /**
-     * Set the position of an html element in page coordinates.
-     * The element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setXY
-     * @param element The target element
-     * @param {Array} xy Contains X & Y values for new position (coordinates are page-based)
-     * @param {Boolean} noRetry By default we try and set the position a second time if the first fails
-     */
-    setXY: function(node, xy, noRetry) {
-        var pos = Y.DOM.getStyle(node, POSITION),
-            setStyle = Y.DOM.setStyle,
-            delta = [ // assuming pixels; if not we will have to retry
-                parseInt( Y.DOM[GET_COMPUTED_STYLE](node, LEFT), 10 ),
-                parseInt( Y.DOM[GET_COMPUTED_STYLE](node, TOP), 10 )
-            ];
-    
-        if (pos == 'static') { // default to relative
-            pos = RELATIVE;
-            setStyle(node, POSITION, pos);
-        }
-
-        var currentXY = Y.DOM.getXY(node);
-
-        if (currentXY === false) { // has to be part of doc to have xy
-            Y.log('xy failed: node not available', 'error', 'Node');
-            return false; 
-        }
-        
-        if ( isNaN(delta[0]) ) {// in case of 'auto'
-            delta[0] = (pos == RELATIVE) ? 0 : node[OFFSET_LEFT];
-        } 
-        if ( isNaN(delta[1]) ) { // in case of 'auto'
-            delta[1] = (pos == RELATIVE) ? 0 : node[OFFSET_TOP];
-        } 
-
-        if (xy[0] !== null) {
-            setStyle(node, LEFT, xy[0] - currentXY[0] + delta[0] + 'px');
-        }
-
-        if (xy[1] !== null) {
-            setStyle(node, TOP, xy[1] - currentXY[1] + delta[1] + 'px');
-        }
-      
-        if (!noRetry) {
-            var newXY = Y.DOM.getXY(node);
-
-            // if retry is true, try one more time if we miss 
-           if ( (xy[0] !== null && newXY[0] != xy[0]) || 
-                (xy[1] !== null && newXY[1] != xy[1]) ) {
-               Y.DOM.setXY(node, xy, true);
-           }
-        }        
-
-        Y.log('setXY setting position to ' + xy, 'info', 'Node');
-    },
-
-    /**
-     * Set the X position of an html element in page coordinates, regardless of how the element is positioned.
-     * The element(s) must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setX
-     * @param element The target element
-     * @param {Int} x The X values for new position (coordinates are page-based)
-     */
-    setX: function(node, x) {
-        return Y.DOM.setXY(node, [x, null]);
-    },
-
-    /**
-     * Set the Y position of an html element in page coordinates, regardless of how the element is positioned.
-     * The element(s) must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setY
-     * @param element The target element
-     * @param {Int} y The Y values for new position (coordinates are page-based)
-     */
-    setY: function(node, y) {
-        return Y.DOM.setXY(node, [null, y]);
-    },
-
-    _calcBorders: function(node, xy2) {
-        var t = parseInt(Y.DOM[GET_COMPUTED_STYLE](node, BORDER_TOP_WIDTH), 10) || 0,
-            l = parseInt(Y.DOM[GET_COMPUTED_STYLE](node, BORDER_LEFT_WIDTH), 10) || 0;
-        if (Y.UA.gecko) {
-            if (RE_TABLE.test(node.tagName)) {
-                t = 0;
-                l = 0;
-            }
-        }
-        xy2[0] += l;
-        xy2[1] += t;
-        return xy2;
-    },
-
-    _getWinSize: function(node) {
-        var doc = Y.DOM._getDoc(),
-            win = doc.defaultView || doc.parentWindow,
-            mode = doc[COMPAT_MODE],
-            h = win.innerHeight,
-            w = win.innerWidth,
-            root = doc[DOCUMENT_ELEMENT];
-
-        if ( mode && !Y.UA.opera ) { // IE, Gecko
-            if (mode != 'CSS1Compat') { // Quirks
-                root = doc.body; 
-            }
-            h = root.clientHeight;
-            w = root.clientWidth;
-        }
-        return { height: h, width: w }; 
-    },
-
-    _getDocSize: function(node) {
-        var doc = Y.DOM._getDoc(),
-            root = doc[DOCUMENT_ELEMENT];
-
-        if (doc[COMPAT_MODE] != 'CSS1Compat') {
-            root = doc.body;
-        }
-
-        return { height: root.scrollHeight, width: root.scrollWidth };
-    }
-});
-
-/**
- * Adds position and region management functionality to DOM.
- * @module dom
- * @submodule dom-screen
- * @for DOM
- */
-
-var OFFSET_WIDTH = 'offsetWidth',
-    OFFSET_HEIGHT = 'offsetHeight',
-    TAG_NAME = 'tagName';
-
-var getOffsets = function(r1, r2) {
-
-    var t = Math.max(r1.top,    r2.top   ),
-        r = Math.min(r1.right,  r2.right ),
-        b = Math.min(r1.bottom, r2.bottom),
-        l = Math.max(r1.left,   r2.left  );
-    
-    return {
-        top: t,
-        bottom: b,
-        left: l,
-        right: r
-    };
-};
-
-Y.mix(Y.DOM, {
-    /**
-     * Returns an Object literal containing the following about this element: (top, right, bottom, left)
-     * @method region
-     * @param {HTMLElement} element The DOM element. 
-     @return {Object} Object literal containing the following about this element: (top, right, bottom, left)
-     */
-    region: function(node) {
-        var x = Y.DOM.getXY(node),
-            ret = false;
-        
-        if (x) {
-            ret = {
-                '0': x[0],
-                '1': x[1],
-                top: x[1],
-                right: x[0] + node[OFFSET_WIDTH],
-                bottom: x[1] + node[OFFSET_HEIGHT],
-                left: x[0],
-                height: node[OFFSET_HEIGHT],
-                width: node[OFFSET_WIDTH]
-            };
-        }
-
-        return ret;
-    },
-
-    /**
-     * Find the intersect information for the passes nodes.
-     * @method intersect
-     * @param {HTMLElement} element The first element 
-     * @param {HTMLElement | Object} element2 The element or region to check the interect with
-     * @param {Object} altRegion An object literal containing the region for the first element if we already have the data (for performance i.e. DragDrop)
-     @return {Object} Object literal containing the following intersection data: (top, right, bottom, left, area, yoff, xoff, inRegion)
-     */
-    intersect: function(node, node2, altRegion) {
-        var r = altRegion || Y.DOM.region(node), region = {};
-
-        var n = node2;
-        if (n[TAG_NAME]) {
-            region = Y.DOM.region(n);
-        } else if (Y.Lang.isObject(node2)) {
-            region = node2;
-        } else {
-            return false;
-        }
-        
-        var off = getOffsets(region, r);
-        return {
-            top: off.top,
-            right: off.right,
-            bottom: off.bottom,
-            left: off.left,
-            area: ((off.bottom - off.top) * (off.right - off.left)),
-            yoff: ((off.bottom - off.top)),
-            xoff: (off.right - off.left),
-            inRegion: Y.DOM.inRegion(node, node2, false, altRegion)
-        };
-        
-    },
-    /**
-     * Check if any part of this node is in the passed region
-     * @method inRegion
-     * @param {Object} node2 The node to get the region from or an Object literal of the region
-     * $param {Boolean} all Should all of the node be inside the region
-     * @param {Object} altRegion An object literal containing the region for this node if we already have the data (for performance i.e. DragDrop)
-     * @return {Boolean} True if in region, false if not.
-     */
-    inRegion: function(node, node2, all, altRegion) {
-        var region = {},
-            r = altRegion || Y.DOM.region(node);
-
-        var n = node2;
-        if (n[TAG_NAME]) {
-            region = Y.DOM.region(n);
-        } else if (Y.Lang.isObject(node2)) {
-            region = node2;
-        } else {
-            return false;
-        }
-            
-        if (all) {
-            return ( r.left   >= region.left   &&
-                r.right  <= region.right  && 
-                r.top    >= region.top    && 
-                r.bottom <= region.bottom    );
-        } else {
-            var off = getOffsets(region, r);
-            if (off.bottom >= off.top && off.right >= off.left) {
-                return true;
-            } else {
-                return false;
-            }
-            
-        }
-    },
-
-    /**
-     * Check if any part of this element is in the viewport
-     * @method inViewportRegion
-     * @param {HTMLElement} element The DOM element. 
-     * @param {Boolean} all Should all of the node be inside the region
-     * @param {Object} altRegion An object literal containing the region for this node if we already have the data (for performance i.e. DragDrop)
-     * @return {Boolean} True if in region, false if not.
-     */
-    inViewportRegion: function(node, all, altRegion) {
-        return Y.DOM.inRegion(node, Y.DOM.viewportRegion(node), all, altRegion);
-            
-    },
-
-    /**
-     * Returns an Object literal containing the following about the visible region of viewport: (top, right, bottom, left)
-     * @method viewportRegion
-     @return {Object} Object literal containing the following about the visible region of the viewport: (top, right, bottom, left)
-     */
-    viewportRegion: function(node) {
-        node = node || Y.config.doc.documentElement;
-        var r = {
-            top: Y.DOM.docScrollY(node),
-            right: Y.DOM.winWidth(node) + Y.DOM.docScrollX(node),
-            bottom: (Y.DOM.docScrollY(node) + Y.DOM.winHeight(node)),
-            left: Y.DOM.docScrollX(node)
-        };
-
-        return r;
-    }
-});
-
-
-}, '3.0.0pr1' ,{skinnable:false, requires:['dom-base', 'dom-style']});

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-screen-min.js'
--- loggerhead/static/javascript/yui/build/dom/dom-screen-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-screen-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dom-screen",function(E){var L="offsetTop",T="documentElement",K="compatMode",D="offsetLeft",W="offsetParent",N="position",S="fixed",Z="relative",M="left",Q="top",X="scrollLeft",U="scrollTop",V="BackCompat",P="medium",O="height",H="width",F="borderLeftWidth",G="borderTopWidth",C="getBoundingClientRect",B="getComputedStyle",a=/^t(?:able|d|h)$/i;E.mix(E.DOM,{winHeight:function(b){var Y=E.DOM._getWinSize(b)[O];return Y;},winWidth:function(b){var Y=E.DOM._getWinSize(b)[H];return Y;},docHeight:function(b){var Y=E.DOM._getDocSize(b)[O];return Math.max(Y,E.DOM._getWinSize(b)[O]);},docWidth:function(b){var Y=E.DOM._getDocSize(b)[H];return Math.max(Y,E.DOM._getWinSize(b)[H]);},docScrollX:function(Y){var b=E.DOM._getDoc();return Math.max(b[T][X],b.body[X]);},docScrollY:function(Y){var b=E.DOM._getDoc();return Math.max(b[T][U],b.body[U]);},getXY:function(){if(document[T][C]){return function(d){if(!d){return false;}var e=E.DOM.docScrollX(d),b=E.DOM.docScrollY(d),f=d[C](),j=E.DOM._getDoc(d),k=[Math.floor(f[M]),Math.floor(f[Q])];if(E.UA.ie){var i=2,h=2,g=j[K],Y=E.DOM[B](j[T],F),c=E.DOM[B](j[T],G);if(E.UA.ie===6){if(g!==V){i=0;h=0;}}if((g==V)){if(Y!==P){i=parseInt(Y,10);}if(c!==P){h=parseInt(c,10);}}k[0]-=i;k[1]-=h;}if((b||e)){k[0]+=e;k[1]+=b;}k[0]=Math.floor(k[0]);k[1]=Math.floor(k[1]);return k;};}else{return function(b){var d=[b[D],b[L]],Y=b,f=((E.UA.gecko||(E.UA.webkit>519))?true:false);while((Y=Y[W])){d[0]+=Y[D];d[1]+=Y[L];if(f){d=E.DOM._calcBorders(Y,d);}}if(E.DOM.getStyle(b,N)!=S){Y=b;var c,e;while((Y=Y.parentNode)){c=Y[U];e=Y[X];if(E.UA.gecko&&(E.DOM.getStyle(Y,"overflow")!=="visible")){d=E.DOM._calcBorders(Y,d);}if(c||e){d[0]-=e;d[1]-=c;}}d[0]+=E.DOM.docScrollX(b);d[1]+=E.DOM.docScrollY(b);}else{if(E.UA.opera){d[0]-=E.DOM.docScrollX(b);d[1]-=E.DOM.docScrollY(b);}else{if(E.UA.webkit||E.UA.gecko){d[0]+=E.DOM.docScrollX(b);d[1]+=E.DOM.docScrollY(b);}}}d[0]=Math.floor(d[0]);d[1]=Math.floor(d[1]);return d;};}}(),getX:function(Y){return E.DOM.getXY(Y)[0];},getY:function(Y){return E.DOM.getXY(Y)[1];},setXY:function(b,e,h){var g=E.DOM.getStyle(b,N),c=E.DOM.setStyle,f=[parseInt(E.DOM[B](b,M),10),parseInt(E.DOM[B](b,Q),10)];if(g=="static"){g=Z;c(b,N,g);}var d=E.DOM.getXY(b);if(d===false){return false;}if(isNaN(f[0])){f[0]=(g==Z)?0:b[D];}if(isNaN(f[1])){f[1]=(g==Z)?0:b[L];}if(e[0]!==null){c(b,M,e[0]-d[0]+f[0]+"px");}if(e[1]!==null){c(b,Q,e[1]-d[1]+f[1]+"px");}if(!h){var Y=E.DOM.getXY(b);if((e[0]!==null&&Y[0]!=e[0])||(e[1]!==null&&Y[1]!=e[1])){E.DOM.setXY(b,e,true);}}},setX:function(b,Y){return E.DOM.setXY(b,[Y,null]);},setY:function(Y,b){return E.DOM.setXY(Y,[null,b]);},_calcBorders:function(c,d){var b=parseInt(E.DOM[B](c,G),10)||0,Y=parseInt(E.DOM[B](c,F),10)||0;if(E.UA.gecko){if(a.test(c.tagName)){b=0;Y=0;}}d[0]+=Y;d[1]+=b;return d;},_getWinSize:function(d){var f=E.DOM._getDoc(),e=f.defaultView||f.parentWindow,g=f[K],c=e.innerHeight,b=e.innerWidth,Y=f[T];if(g&&!E.UA.opera){if(g!="CSS1Compat"){Y=f.body;}c=Y.clientHeight;b=Y.clientWidth;}return{height:c,width:b};},_getDocSize:function(b){var c=E.DOM._getDoc(),Y=c[T];if(c[K]!="CSS1Compat"){Y=c.body;}return{height:Y.scrollHeight,width:Y.scrollWidth};}});var I="offsetWidth",A="offsetHeight",R="tagName";var J=function(e,d){var f=Math.max(e.top,d.top),g=Math.min(e.right,d.right),Y=Math.min(e.bottom,d.bottom),c=Math.max(e.left,d.left);return{top:f,bottom:Y,left:c,right:g};};E.mix(E.DOM,{region:function(c){var Y=E.DOM.getXY(c),b=false;if(Y){b={"0":Y[0],"1":Y[1],top:Y[1],right:Y[0]+c[I],bottom:Y[1]+c[A],left:Y[0],height:c[A],width:c[I]};}return b;},intersect:function(c,Y,e){var b=e||E.DOM.region(c),d={};var g=Y;if(g[R]){d=E.DOM.region(g);}else{if(E.Lang.isObject(Y)){d=Y;}else{return false;}}var f=J(d,b);return{top:f.top,right:f.right,bottom:f.bottom,left:f.left,area:((f.bottom-f.top)*(f.right-f.left)),yoff:((f.bottom-f.top)),xoff:(f.right-f.left),inRegion:E.DOM.inRegion(c,Y,false,e)};},inRegion:function(d,Y,b,f){var e={},c=f||E.DOM.region(d);var h=Y;if(h[R]){e=E.DOM.region(h);}else{if(E.Lang.isObject(Y)){e=Y;}else{return false;}}if(b){return(c.left>=e.left&&c.right<=e.right&&c.top>=e.top&&c.bottom<=e.bottom);}else{var g=J(e,c);if(g.bottom>=g.top&&g.right>=g.left){return true;}else{return false;}}},inViewportRegion:function(b,Y,c){return E.DOM.inRegion(b,E.DOM.viewportRegion(b),Y,c);},viewportRegion:function(b){b=b||E.config.doc.documentElement;var Y={top:E.DOM.docScrollY(b),right:E.DOM.winWidth(b)+E.DOM.docScrollX(b),bottom:(E.DOM.docScrollY(b)+E.DOM.winHeight(b)),left:E.DOM.docScrollX(b)};return Y;}});},"3.0.0pr1",{skinnable:false,requires:["dom-base","dom-style"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-screen.js'
--- loggerhead/static/javascript/yui/build/dom/dom-screen.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-screen.js	1970-01-01 00:00:00 +0000
@@ -1,517 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dom-screen', function(Y) {
-
-/**
- * Adds position and region management functionality to DOM.
- * @module dom
- * @submodule dom-screen
- * @for DOM
- */
-
-var OFFSET_TOP = 'offsetTop',
-    DOCUMENT_ELEMENT = 'documentElement',
-    COMPAT_MODE = 'compatMode',
-    OFFSET_LEFT = 'offsetLeft',
-    OFFSET_PARENT = 'offsetParent',
-    POSITION = 'position',
-    FIXED = 'fixed',
-    RELATIVE = 'relative',
-    LEFT = 'left',
-    TOP = 'top',
-    SCROLL_LEFT = 'scrollLeft',
-    SCROLL_TOP = 'scrollTop',
-    _BACK_COMPAT = 'BackCompat',
-    MEDIUM = 'medium',
-    HEIGHT = 'height',
-    WIDTH = 'width',
-    BORDER_LEFT_WIDTH = 'borderLeftWidth',
-    BORDER_TOP_WIDTH = 'borderTopWidth',
-    GET_BOUNDING_CLIENT_RECT = 'getBoundingClientRect',
-    GET_COMPUTED_STYLE = 'getComputedStyle',
-    RE_TABLE = /^t(?:able|d|h)$/i;
-
-Y.mix(Y.DOM, {
-    /**
-     * Returns the inner height of the viewport (exludes scrollbar). 
-     * @method winHeight
-     * @return {Int} The pixel height of the viewport.
-     */
-    winHeight: function(node) {
-        var h = Y.DOM._getWinSize(node)[HEIGHT];
-        return h;
-    },
-
-    /**
-     * Returns the inner width of the viewport (exludes scrollbar). 
-     * @method winWidth
-     * @return {Int} The pixel width of the viewport.
-     */
-    winWidth: function(node) {
-        var w = Y.DOM._getWinSize(node)[WIDTH];
-        return w;
-    },
-
-    /**
-     * Document height 
-     * @method docHeight
-     * @return {Int} The pixel height of the document.
-     */
-    docHeight:  function(node) {
-        var h = Y.DOM._getDocSize(node)[HEIGHT];
-        return Math.max(h, Y.DOM._getWinSize(node)[HEIGHT]);
-    },
-
-    /**
-     * Document width 
-     * @method docWidth
-     * @return {Int} The pixel width of the document.
-     */
-    docWidth:  function(node) {
-        var w = Y.DOM._getDocSize(node)[WIDTH];
-        return Math.max(w, Y.DOM._getWinSize(node)[WIDTH]);
-    },
-
-    /**
-     * Amount page has been scroll vertically 
-     * @method docScrollX
-     * @return {Int} The scroll amount in pixels.
-     */
-    docScrollX: function(node) {
-        var doc = Y.DOM._getDoc();
-        return Math.max(doc[DOCUMENT_ELEMENT][SCROLL_LEFT], doc.body[SCROLL_LEFT]);
-    },
-
-    /**
-     * Amount page has been scroll horizontally 
-     * @method docScrollY
-     * @return {Int} The scroll amount in pixels.
-     */
-    docScrollY:  function(node) {
-        var doc = Y.DOM._getDoc();
-        return Math.max(doc[DOCUMENT_ELEMENT][SCROLL_TOP], doc.body[SCROLL_TOP]);
-    },
-
-    /**
-     * Gets the current position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getXY
-     * @param element The target element
-     * @return {Array} The XY position of the element
-
-     TODO: test inDocument/display
-     */
-    getXY: function() {
-        if (document[DOCUMENT_ELEMENT][GET_BOUNDING_CLIENT_RECT]) {
-            return function(node) {
-                if (!node) {
-                    return false;
-                }
-                var scrollLeft = Y.DOM.docScrollX(node),
-                    scrollTop = Y.DOM.docScrollY(node),
-                    box = node[GET_BOUNDING_CLIENT_RECT](),
-                    doc = Y.DOM._getDoc(node),
-                    //Round the numbers so we get sane data back
-                    xy = [Math.floor(box[LEFT]), Math.floor(box[TOP])];
-
-                    if (Y.UA.ie) {
-                        var off1 = 2, off2 = 2,
-                        mode = doc[COMPAT_MODE],
-                        bLeft = Y.DOM[GET_COMPUTED_STYLE](doc[DOCUMENT_ELEMENT], BORDER_LEFT_WIDTH),
-                        bTop = Y.DOM[GET_COMPUTED_STYLE](doc[DOCUMENT_ELEMENT], BORDER_TOP_WIDTH);
-
-                        if (Y.UA.ie === 6) {
-                            if (mode !== _BACK_COMPAT) {
-                                off1 = 0;
-                                off2 = 0;
-                            }
-                        }
-                        
-                        if ((mode == _BACK_COMPAT)) {
-                            if (bLeft !== MEDIUM) {
-                                off1 = parseInt(bLeft, 10);
-                            }
-                            if (bTop !== MEDIUM) {
-                                off2 = parseInt(bTop, 10);
-                            }
-                        }
-                        
-                        xy[0] -= off1;
-                        xy[1] -= off2;
-                    }
-
-                if ((scrollTop || scrollLeft)) {
-                    xy[0] += scrollLeft;
-                    xy[1] += scrollTop;
-                }
-
-                // gecko may return sub-pixel (non-int) values
-                xy[0] = Math.floor(xy[0]);
-                xy[1] = Math.floor(xy[1]);
-
-                return xy;                   
-            };
-        } else {
-            return function(node) { // manually calculate by crawling up offsetParents
-                //Calculate the Top and Left border sizes (assumes pixels)
-                var xy = [node[OFFSET_LEFT], node[OFFSET_TOP]],
-                    parentNode = node,
-                    bCheck = ((Y.UA.gecko || (Y.UA.webkit > 519)) ? true : false);
-
-                while ((parentNode = parentNode[OFFSET_PARENT])) {
-                    xy[0] += parentNode[OFFSET_LEFT];
-                    xy[1] += parentNode[OFFSET_TOP];
-                    if (bCheck) {
-                        xy = Y.DOM._calcBorders(parentNode, xy);
-                    }
-                }
-
-                // account for any scrolled ancestors
-                if (Y.DOM.getStyle(node, POSITION) != FIXED) {
-                    parentNode = node;
-                    var scrollTop, scrollLeft;
-
-                    while ((parentNode = parentNode.parentNode)) {
-                        scrollTop = parentNode[SCROLL_TOP];
-                        scrollLeft = parentNode[SCROLL_LEFT];
-
-                        //Firefox does something funky with borders when overflow is not visible.
-                        if (Y.UA.gecko && (Y.DOM.getStyle(parentNode, 'overflow') !== 'visible')) {
-                                xy = Y.DOM._calcBorders(parentNode, xy);
-                        }
-                        
-
-                        if (scrollTop || scrollLeft) {
-                            xy[0] -= scrollLeft;
-                            xy[1] -= scrollTop;
-                        }
-                    }
-                    xy[0] += Y.DOM.docScrollX(node);
-                    xy[1] += Y.DOM.docScrollY(node);
-
-                } else {
-                    //Fix FIXED position -- add scrollbars
-                    if (Y.UA.opera) {
-                        xy[0] -= Y.DOM.docScrollX(node);
-                        xy[1] -= Y.DOM.docScrollY(node);
-                    } else if (Y.UA.webkit || Y.UA.gecko) {
-                        xy[0] += Y.DOM.docScrollX(node);
-                        xy[1] += Y.DOM.docScrollY(node);
-                    }
-                }
-                //Round the numbers so we get sane data back
-                xy[0] = Math.floor(xy[0]);
-                xy[1] = Math.floor(xy[1]);
-
-                return xy;                
-            };
-        }
-    }(),// NOTE: Executing for loadtime branching
-
-    /**
-     * Gets the current X position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getX
-     * @param element The target element
-     * @return {Int} The X position of the element
-     */
-
-    getX: function(node) {
-        return Y.DOM.getXY(node)[0];
-    },
-
-    /**
-     * Gets the current Y position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getY
-     * @param element The target element
-     * @return {Int} The Y position of the element
-     */
-
-    getY: function(node) {
-        return Y.DOM.getXY(node)[1];
-    },
-
-    /**
-     * Set the position of an html element in page coordinates.
-     * The element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setXY
-     * @param element The target element
-     * @param {Array} xy Contains X & Y values for new position (coordinates are page-based)
-     * @param {Boolean} noRetry By default we try and set the position a second time if the first fails
-     */
-    setXY: function(node, xy, noRetry) {
-        var pos = Y.DOM.getStyle(node, POSITION),
-            setStyle = Y.DOM.setStyle,
-            delta = [ // assuming pixels; if not we will have to retry
-                parseInt( Y.DOM[GET_COMPUTED_STYLE](node, LEFT), 10 ),
-                parseInt( Y.DOM[GET_COMPUTED_STYLE](node, TOP), 10 )
-            ];
-    
-        if (pos == 'static') { // default to relative
-            pos = RELATIVE;
-            setStyle(node, POSITION, pos);
-        }
-
-        var currentXY = Y.DOM.getXY(node);
-
-        if (currentXY === false) { // has to be part of doc to have xy
-            return false; 
-        }
-        
-        if ( isNaN(delta[0]) ) {// in case of 'auto'
-            delta[0] = (pos == RELATIVE) ? 0 : node[OFFSET_LEFT];
-        } 
-        if ( isNaN(delta[1]) ) { // in case of 'auto'
-            delta[1] = (pos == RELATIVE) ? 0 : node[OFFSET_TOP];
-        } 
-
-        if (xy[0] !== null) {
-            setStyle(node, LEFT, xy[0] - currentXY[0] + delta[0] + 'px');
-        }
-
-        if (xy[1] !== null) {
-            setStyle(node, TOP, xy[1] - currentXY[1] + delta[1] + 'px');
-        }
-      
-        if (!noRetry) {
-            var newXY = Y.DOM.getXY(node);
-
-            // if retry is true, try one more time if we miss 
-           if ( (xy[0] !== null && newXY[0] != xy[0]) || 
-                (xy[1] !== null && newXY[1] != xy[1]) ) {
-               Y.DOM.setXY(node, xy, true);
-           }
-        }        
-
-    },
-
-    /**
-     * Set the X position of an html element in page coordinates, regardless of how the element is positioned.
-     * The element(s) must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setX
-     * @param element The target element
-     * @param {Int} x The X values for new position (coordinates are page-based)
-     */
-    setX: function(node, x) {
-        return Y.DOM.setXY(node, [x, null]);
-    },
-
-    /**
-     * Set the Y position of an html element in page coordinates, regardless of how the element is positioned.
-     * The element(s) must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setY
-     * @param element The target element
-     * @param {Int} y The Y values for new position (coordinates are page-based)
-     */
-    setY: function(node, y) {
-        return Y.DOM.setXY(node, [null, y]);
-    },
-
-    _calcBorders: function(node, xy2) {
-        var t = parseInt(Y.DOM[GET_COMPUTED_STYLE](node, BORDER_TOP_WIDTH), 10) || 0,
-            l = parseInt(Y.DOM[GET_COMPUTED_STYLE](node, BORDER_LEFT_WIDTH), 10) || 0;
-        if (Y.UA.gecko) {
-            if (RE_TABLE.test(node.tagName)) {
-                t = 0;
-                l = 0;
-            }
-        }
-        xy2[0] += l;
-        xy2[1] += t;
-        return xy2;
-    },
-
-    _getWinSize: function(node) {
-        var doc = Y.DOM._getDoc(),
-            win = doc.defaultView || doc.parentWindow,
-            mode = doc[COMPAT_MODE],
-            h = win.innerHeight,
-            w = win.innerWidth,
-            root = doc[DOCUMENT_ELEMENT];
-
-        if ( mode && !Y.UA.opera ) { // IE, Gecko
-            if (mode != 'CSS1Compat') { // Quirks
-                root = doc.body; 
-            }
-            h = root.clientHeight;
-            w = root.clientWidth;
-        }
-        return { height: h, width: w }; 
-    },
-
-    _getDocSize: function(node) {
-        var doc = Y.DOM._getDoc(),
-            root = doc[DOCUMENT_ELEMENT];
-
-        if (doc[COMPAT_MODE] != 'CSS1Compat') {
-            root = doc.body;
-        }
-
-        return { height: root.scrollHeight, width: root.scrollWidth };
-    }
-});
-
-/**
- * Adds position and region management functionality to DOM.
- * @module dom
- * @submodule dom-screen
- * @for DOM
- */
-
-var OFFSET_WIDTH = 'offsetWidth',
-    OFFSET_HEIGHT = 'offsetHeight',
-    TAG_NAME = 'tagName';
-
-var getOffsets = function(r1, r2) {
-
-    var t = Math.max(r1.top,    r2.top   ),
-        r = Math.min(r1.right,  r2.right ),
-        b = Math.min(r1.bottom, r2.bottom),
-        l = Math.max(r1.left,   r2.left  );
-    
-    return {
-        top: t,
-        bottom: b,
-        left: l,
-        right: r
-    };
-};
-
-Y.mix(Y.DOM, {
-    /**
-     * Returns an Object literal containing the following about this element: (top, right, bottom, left)
-     * @method region
-     * @param {HTMLElement} element The DOM element. 
-     @return {Object} Object literal containing the following about this element: (top, right, bottom, left)
-     */
-    region: function(node) {
-        var x = Y.DOM.getXY(node),
-            ret = false;
-        
-        if (x) {
-            ret = {
-                '0': x[0],
-                '1': x[1],
-                top: x[1],
-                right: x[0] + node[OFFSET_WIDTH],
-                bottom: x[1] + node[OFFSET_HEIGHT],
-                left: x[0],
-                height: node[OFFSET_HEIGHT],
-                width: node[OFFSET_WIDTH]
-            };
-        }
-
-        return ret;
-    },
-
-    /**
-     * Find the intersect information for the passes nodes.
-     * @method intersect
-     * @param {HTMLElement} element The first element 
-     * @param {HTMLElement | Object} element2 The element or region to check the interect with
-     * @param {Object} altRegion An object literal containing the region for the first element if we already have the data (for performance i.e. DragDrop)
-     @return {Object} Object literal containing the following intersection data: (top, right, bottom, left, area, yoff, xoff, inRegion)
-     */
-    intersect: function(node, node2, altRegion) {
-        var r = altRegion || Y.DOM.region(node), region = {};
-
-        var n = node2;
-        if (n[TAG_NAME]) {
-            region = Y.DOM.region(n);
-        } else if (Y.Lang.isObject(node2)) {
-            region = node2;
-        } else {
-            return false;
-        }
-        
-        var off = getOffsets(region, r);
-        return {
-            top: off.top,
-            right: off.right,
-            bottom: off.bottom,
-            left: off.left,
-            area: ((off.bottom - off.top) * (off.right - off.left)),
-            yoff: ((off.bottom - off.top)),
-            xoff: (off.right - off.left),
-            inRegion: Y.DOM.inRegion(node, node2, false, altRegion)
-        };
-        
-    },
-    /**
-     * Check if any part of this node is in the passed region
-     * @method inRegion
-     * @param {Object} node2 The node to get the region from or an Object literal of the region
-     * $param {Boolean} all Should all of the node be inside the region
-     * @param {Object} altRegion An object literal containing the region for this node if we already have the data (for performance i.e. DragDrop)
-     * @return {Boolean} True if in region, false if not.
-     */
-    inRegion: function(node, node2, all, altRegion) {
-        var region = {},
-            r = altRegion || Y.DOM.region(node);
-
-        var n = node2;
-        if (n[TAG_NAME]) {
-            region = Y.DOM.region(n);
-        } else if (Y.Lang.isObject(node2)) {
-            region = node2;
-        } else {
-            return false;
-        }
-            
-        if (all) {
-            return ( r.left   >= region.left   &&
-                r.right  <= region.right  && 
-                r.top    >= region.top    && 
-                r.bottom <= region.bottom    );
-        } else {
-            var off = getOffsets(region, r);
-            if (off.bottom >= off.top && off.right >= off.left) {
-                return true;
-            } else {
-                return false;
-            }
-            
-        }
-    },
-
-    /**
-     * Check if any part of this element is in the viewport
-     * @method inViewportRegion
-     * @param {HTMLElement} element The DOM element. 
-     * @param {Boolean} all Should all of the node be inside the region
-     * @param {Object} altRegion An object literal containing the region for this node if we already have the data (for performance i.e. DragDrop)
-     * @return {Boolean} True if in region, false if not.
-     */
-    inViewportRegion: function(node, all, altRegion) {
-        return Y.DOM.inRegion(node, Y.DOM.viewportRegion(node), all, altRegion);
-            
-    },
-
-    /**
-     * Returns an Object literal containing the following about the visible region of viewport: (top, right, bottom, left)
-     * @method viewportRegion
-     @return {Object} Object literal containing the following about the visible region of the viewport: (top, right, bottom, left)
-     */
-    viewportRegion: function(node) {
-        node = node || Y.config.doc.documentElement;
-        var r = {
-            top: Y.DOM.docScrollY(node),
-            right: Y.DOM.winWidth(node) + Y.DOM.docScrollX(node),
-            bottom: (Y.DOM.docScrollY(node) + Y.DOM.winHeight(node)),
-            left: Y.DOM.docScrollX(node)
-        };
-
-        return r;
-    }
-});
-
-
-}, '3.0.0pr1' ,{skinnable:false, requires:['dom-base', 'dom-style']});

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-style-debug.js'
--- loggerhead/static/javascript/yui/build/dom/dom-style-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-style-debug.js	1970-01-01 00:00:00 +0000
@@ -1,452 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dom-style', function(Y) {
-
-/** 
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var DOCUMENT_ELEMENT = 'documentElement',
-    DEFAULT_VIEW = 'defaultView',
-    OWNER_DOCUMENT = 'ownerDocument',
-    STYLE = 'style',
-    FLOAT = 'float',
-    CSS_FLOAT = 'cssFloat',
-    STYLE_FLOAT = 'styleFloat',
-    TRANSPARENT = 'transparent',
-    VISIBLE = 'visible',
-    WIDTH = 'width',
-    HEIGHT = 'height',
-    BORDER_TOP_WIDTH = 'borderTopWidth',
-    BORDER_RIGHT_WIDTH = 'borderRightWidth',
-    BORDER_BOTTOM_WIDTH = 'borderBottomWidth',
-    BORDER_LEFT_WIDTH = 'borderLeftWidth',
-    GET_COMPUTED_STYLE = 'getComputedStyle',
-
-    DOCUMENT = Y.config.doc,
-    UNDEFINED = undefined,
-
-    re_color = /color$/i;
-
-
-Y.mix(Y.DOM, {
-    CUSTOM_STYLES: {},
-
-
-    /**
-     * Sets a style property for a given element.
-     * @method setStyle
-     * @param {HTMLElement} An HTMLElement to apply the style to.
-     * @param {String} att The style property to set. 
-     * @param {String|Number} val The value. 
-     */
-    setStyle: function(node, att, val) {
-        var style = node[STYLE],
-            CUSTOM_STYLES = Y.DOM.CUSTOM_STYLES;
-
-        if (style) {
-            if (att in CUSTOM_STYLES) {
-                if (CUSTOM_STYLES[att].set) {
-                    CUSTOM_STYLES[att].set(node, val, style);
-                    return; // NOTE: return
-                } else if (typeof CUSTOM_STYLES[att] === 'string') {
-                    att = CUSTOM_STYLES[att];
-                }
-            }
-            style[att] = val; 
-        }
-    },
-
-    /**
-     * Returns the current style value for the given property.
-     * @method getStyle
-     * @param {HTMLElement} An HTMLElement to get the style from.
-     * @param {String} att The style property to get. 
-     */
-    getStyle: function(node, att) {
-        var style = node[STYLE],
-            CUSTOM_STYLES = Y.DOM.CUSTOM_STYLES,
-            val = '';
-
-        if (style) {
-            if (att in CUSTOM_STYLES) {
-                if (CUSTOM_STYLES[att].get) {
-                    return CUSTOM_STYLES[att].get(node, att, style); // NOTE: return
-                } else if (typeof CUSTOM_STYLES[att] === 'string') {
-                    att = CUSTOM_STYLES[att];
-                }
-            }
-            val = style[att];
-            if (val === '') { // TODO: is empty string sufficient?
-                val = Y.DOM[GET_COMPUTED_STYLE](node, att);
-            }
-        }
-
-        return val;
-    },
-
-    /**
-     * Sets multiple style properties.
-     * @method setStyles
-     * @param {HTMLElement} node An HTMLElement to apply the styles to. 
-     * @param {Object} hash An object literal of property:value pairs. 
-     */
-    'setStyles': function(node, hash) {
-        Y.each(hash, function(v, n) {
-            Y.DOM.setStyle(node, n, v);
-        }, Y.DOM);
-    },
-
-    /**
-     * Returns the computed style for the given node.
-     * @method getComputedStyle
-     * @param {HTMLElement} An HTMLElement to get the style from.
-     * @param {String} att The style property to get. 
-     * @return {String} The computed value of the style property. 
-     */
-    getComputedStyle: function(node, att) {
-        var val = '',
-            doc = node[OWNER_DOCUMENT];
-
-        if (node[STYLE]) {
-            val = doc[DEFAULT_VIEW][GET_COMPUTED_STYLE](node, '')[att];
-        }
-        return val;
-    }
-});
-
-if (DOCUMENT[DOCUMENT_ELEMENT][STYLE][CSS_FLOAT] !== UNDEFINED) {
-    Y.DOM.CUSTOM_STYLES[FLOAT] = CSS_FLOAT;
-} else if (DOCUMENT[DOCUMENT_ELEMENT][STYLE][STYLE_FLOAT] !== UNDEFINED) {
-    Y.DOM.CUSTOM_STYLES[FLOAT] = STYLE_FLOAT;
-}
-
-if (Y.UA.opera) { // opera defaults to hex instead of RGB
-    Y.DOM[GET_COMPUTED_STYLE] = function(node, att) {
-        var view = node[OWNER_DOCUMENT][DEFAULT_VIEW],
-            val = view[GET_COMPUTED_STYLE](node, '')[att];
-
-        if (re_color.test(att)) {
-            val = Y.Color.toRGB(val);
-        }
-
-        return val;
-    };
-
-}
-
-if (Y.UA.webkit) { // safari converts transparent to rgba()
-    Y.DOM[GET_COMPUTED_STYLE] = function(node, att) {
-        var view = node[OWNER_DOCUMENT][DEFAULT_VIEW],
-            val = view[GET_COMPUTED_STYLE](node, '')[att];
-
-        if (val === 'rgba(0, 0, 0, 0)') {
-            val = TRANSPARENT; 
-        }
-
-        return val;
-    };
-
-}
-
-/**
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var TO_STRING = 'toString',
-    PARSE_INT = parseInt,
-    RE = RegExp;
-
-Y.Color = {
-    KEYWORDS: {
-        black: '000',
-        silver: 'c0c0c0',
-        gray: '808080',
-        white: 'fff',
-        maroon: '800000',
-        red: 'f00',
-        purple: '800080',
-        fuchsia: 'f0f',
-        green: '008000',
-        lime: '0f0',
-        olive: '808000',
-        yellow: 'ff0',
-        navy: '000080',
-        blue: '00f',
-        teal: '008080',
-        aqua: '0ff'
-    },
-
-    re_RGB: /^rgb\(([0-9]+)\s*,\s*([0-9]+)\s*,\s*([0-9]+)\)$/i,
-    re_hex: /^#?([0-9A-F]{2})([0-9A-F]{2})([0-9A-F]{2})$/i,
-    re_hex3: /([0-9A-F])/gi,
-
-    toRGB: function(val) {
-        if (!Y.Color.re_RGB.test(val)) {
-            val = Y.Color.toHex(val);
-        }
-
-        if(Y.Color.re_hex.exec(val)) {
-            val = 'rgb(' + [
-                PARSE_INT(RE.$1, 16),
-                PARSE_INT(RE.$2, 16),
-                PARSE_INT(RE.$3, 16)
-            ].join(', ') + ')';
-        }
-        return val;
-    },
-
-    toHex: function(val) {
-        val = Y.Color.KEYWORDS[val] || val;
-        if (Y.Color.re_RGB.exec(val)) {
-            var r = (RE.$1.length === 1) ? '0' + RE.$1 : Number(RE.$1),
-                g = (RE.$2.length === 1) ? '0' + RE.$2 : Number(RE.$2),
-                b = (RE.$3.length === 1) ? '0' + RE.$3 : Number(RE.$3);
-
-            val = [
-                r[TO_STRING](16),
-                g[TO_STRING](16),
-                b[TO_STRING](16)
-            ].join('');
-        }
-
-        if (val.length < 6) {
-            val = val.replace(Y.Color.re_hex3, '$1$1');
-        }
-
-        if (val !== 'transparent' && val.indexOf('#') < 0) {
-            val = '#' + val;
-        }
-
-        return val.toLowerCase();
-    }
-};
-
-/**
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var CLIENT_TOP = 'clientTop',
-    CLIENT_LEFT = 'clientLeft',
-    PARENT_NODE = 'parentNode',
-    RIGHT = 'right',
-    HAS_LAYOUT = 'hasLayout',
-    PX = 'px',
-    FILTER = 'filter',
-    FILTERS = 'filters',
-    OPACITY = 'opacity',
-    AUTO = 'auto',
-    CURRENT_STYLE = 'currentStyle';
-
-// use alpha filter for IE opacity
-if (document[DOCUMENT_ELEMENT][STYLE][OPACITY] === UNDEFINED &&
-        document[DOCUMENT_ELEMENT][FILTERS]) {
-    Y.DOM.CUSTOM_STYLES[OPACITY] = {
-        get: function(node) {
-            var val = 100;
-            try { // will error if no DXImageTransform
-                val = node[FILTERS]['DXImageTransform.Microsoft.Alpha'][OPACITY];
-
-            } catch(e) {
-                try { // make sure its in the document
-                    val = node[FILTERS]('alpha')[OPACITY];
-                } catch(err) {
-                    Y.log('getStyle: IE opacity filter not found; returning 1', 'warn', 'DOM');
-                }
-            }
-            return val / 100;
-        },
-
-        set: function(node, val, style) {
-            if (typeof style[FILTER] == 'string') { // in case not appended
-                style[FILTER] = 'alpha(' + OPACITY + '=' + val * 100 + ')';
-                
-                if (!node[CURRENT_STYLE] || !node[CURRENT_STYLE][HAS_LAYOUT]) {
-                    style.zoom = 1; // needs layout 
-                }
-            }
-        }
-    };
-}
-
-// IE getComputedStyle
-// TODO: unit-less lineHeight (e.g. 1.22)
-var re_size = /^width|height$/,
-    re_unit = /^(\d[.\d]*)+(em|ex|px|gd|rem|vw|vh|vm|ch|mm|cm|in|pt|pc|deg|rad|ms|s|hz|khz|%){1}?/i;
-
-var ComputedStyle = {
-    CUSTOM_STYLES: {},
-
-    get: function(el, property) {
-        var value = '',
-            current = el[CURRENT_STYLE][property];
-
-        if (property === OPACITY) {
-            value = Y.DOM.CUSTOM_STYLES[OPACITY].get(el);        
-        } else if (!current || current.indexOf(PX) > -1) { // no need to convert
-            value = current;
-        } else if (Y.DOM.IE.COMPUTED[property]) { // use compute function
-            value = Y.DOM.IE.COMPUTED[property](el, property);
-        } else if (re_unit.test(current)) { // convert to pixel
-            value = Y.DOM.IE.ComputedStyle.getPixel(el, property);
-        } else {
-            value = current;
-        }
-
-        return value;
-    },
-
-    getOffset: function(el, prop) {
-        var current = el[CURRENT_STYLE][prop],                        // value of "width", "top", etc.
-            capped = prop.charAt(0).toUpperCase() + prop.substr(1), // "Width", "Top", etc.
-            offset = 'offset' + capped,                             // "offsetWidth", "offsetTop", etc.
-            pixel = 'pixel' + capped,                               // "pixelWidth", "pixelTop", etc.
-            value = '';
-
-        if (current == AUTO) {
-            var actual = el[offset]; // offsetHeight/Top etc.
-            if (actual === UNDEFINED) { // likely "right" or "bottom"
-                value = 0;
-            }
-
-            value = actual;
-            if (re_size.test(prop)) { // account for box model diff 
-                el[STYLE][prop] = actual; 
-                if (el[offset] > actual) {
-                    // the difference is padding + border (works in Standards & Quirks modes)
-                    value = actual - (el[offset] - actual);
-                }
-                el[STYLE][prop] = AUTO; // revert to auto
-            }
-        } else { // convert units to px
-            if (!el[STYLE][pixel] && !el[STYLE][prop]) { // need to map style.width to currentStyle (no currentStyle.pixelWidth)
-                el[STYLE][prop] = current;              // no style.pixelWidth if no style.width
-            }
-            value = el[STYLE][pixel];
-        }
-        return value + PX;
-    },
-
-    getBorderWidth: function(el, property) {
-        // clientHeight/Width = paddingBox (e.g. offsetWidth - borderWidth)
-        // clientTop/Left = borderWidth
-        var value = null;
-        if (!el[CURRENT_STYLE][HAS_LAYOUT]) { // TODO: unset layout?
-            el[STYLE].zoom = 1; // need layout to measure client
-        }
-
-        switch(property) {
-            case BORDER_TOP_WIDTH:
-                value = el[CLIENT_TOP];
-                break;
-            case BORDER_BOTTOM_WIDTH:
-                value = el.offsetHeight - el.clientHeight - el[CLIENT_TOP];
-                break;
-            case BORDER_LEFT_WIDTH:
-                value = el[CLIENT_LEFT];
-                break;
-            case BORDER_RIGHT_WIDTH:
-                value = el.offsetWidth - el.clientWidth - el[CLIENT_LEFT];
-                break;
-        }
-        return value + PX;
-    },
-
-    getPixel: function(node, att) {
-        // use pixelRight to convert to px
-        var val = null,
-            styleRight = node[CURRENT_STYLE][RIGHT],
-            current = node[CURRENT_STYLE][att];
-
-        node[STYLE][RIGHT] = current;
-        val = node[STYLE].pixelRight;
-        node[STYLE][RIGHT] = styleRight; // revert
-
-        return val + PX;
-    },
-
-    getMargin: function(node, att) {
-        var val;
-        if (node[CURRENT_STYLE][att] == AUTO) {
-            val = 0 + PX;
-        } else {
-            val = Y.DOM.IE.ComputedStyle.getPixel(node, att);
-        }
-        return val;
-    },
-
-    getVisibility: function(node, att) {
-        var current;
-        while ( (current = node[CURRENT_STYLE]) && current[att] == 'inherit') { // NOTE: assignment in test
-            node = node[PARENT_NODE];
-        }
-        return (current) ? current[att] : VISIBLE;
-    },
-
-    getColor: function(node, att) {
-        var current = node[CURRENT_STYLE][att];
-
-        if (!current || current === TRANSPARENT) {
-            Y.DOM.elementByAxis(node, PARENT_NODE, null, function(parent) {
-                current = parent[CURRENT_STYLE][att];
-                if (current && current !== TRANSPARENT) {
-                    node = parent;
-                    return true;
-                }
-            });
-        }
-
-        return Y.Color.toRGB(current);
-    },
-
-    getBorderColor: function(node, att) {
-        var current = node[CURRENT_STYLE];
-        var val = current[att] || current.color;
-        return Y.Color.toRGB(Y.Color.toHex(val));
-    }
-
-};
-
-//fontSize: getPixelFont,
-var IEComputed = {};
-
-IEComputed[WIDTH] = IEComputed[HEIGHT] = ComputedStyle.getOffset;
-
-IEComputed.color = IEComputed.backgroundColor = ComputedStyle.getColor;
-
-IEComputed[BORDER_TOP_WIDTH] = IEComputed[BORDER_RIGHT_WIDTH] =
-        IEComputed[BORDER_BOTTOM_WIDTH] = IEComputed[BORDER_LEFT_WIDTH] =
-        ComputedStyle.getBorderWidth;
-
-IEComputed.marginTop = IEComputed.marginRight = IEComputed.marginBottom =
-        IEComputed.marginLeft = ComputedStyle.getMargin;
-
-IEComputed.visibility = ComputedStyle.getVisibility;
-IEComputed.borderColor = IEComputed.borderTopColor =
-        IEComputed.borderRightColor = IEComputed.borderBottomColor =
-        IEComputed.borderLeftColor = ComputedStyle.getBorderColor;
-
-if (!Y.config.win[GET_COMPUTED_STYLE]) {
-    Y.DOM[GET_COMPUTED_STYLE] = ComputedStyle.get; 
-}
-
-Y.namespace('DOM.IE');
-Y.DOM.IE.COMPUTED = IEComputed;
-Y.DOM.IE.ComputedStyle = ComputedStyle;
-
-
-
-}, '3.0.0pr1' ,{skinnable:false, requires:['dom-base']});

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-style-min.js'
--- loggerhead/static/javascript/yui/build/dom/dom-style-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-style-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dom-style",function(B){var h="documentElement",X="defaultView",N="ownerDocument",i="style",e="float",C="cssFloat",R="styleFloat",S="transparent",k="visible",G="width",Z="height",J="borderTopWidth",d="borderRightWidth",D="borderBottomWidth",c="borderLeftWidth",j="getComputedStyle",F=B.config.doc,a=undefined,b=/color$/i;B.mix(B.DOM,{CUSTOM_STYLES:{},setStyle:function(p,Y,q){var o=p[i],n=B.DOM.CUSTOM_STYLES;if(o){if(Y in n){if(n[Y].set){n[Y].set(p,q,o);return ;}else{if(typeof n[Y]==="string"){Y=n[Y];}}}o[Y]=q;}},getStyle:function(p,Y){var o=p[i],n=B.DOM.CUSTOM_STYLES,q="";if(o){if(Y in n){if(n[Y].get){return n[Y].get(p,Y,o);}else{if(typeof n[Y]==="string"){Y=n[Y];}}}q=o[Y];if(q===""){q=B.DOM[j](p,Y);}}return q;},"setStyles":function(Y,n){B.each(n,function(o,p){B.DOM.setStyle(Y,p,o);},B.DOM);},getComputedStyle:function(n,Y){var p="",o=n[N];if(n[i]){p=o[X][j](n,"")[Y];}return p;}});if(F[h][i][C]!==a){B.DOM.CUSTOM_STYLES[e]=C;}else{if(F[h][i][R]!==a){B.DOM.CUSTOM_STYLES[e]=R;}}if(B.UA.opera){B.DOM[j]=function(o,n){var Y=o[N][X],p=Y[j](o,"")[n];if(b.test(n)){p=B.Color.toRGB(p);}return p;};}if(B.UA.webkit){B.DOM[j]=function(o,n){var Y=o[N][X],p=Y[j](o,"")[n];if(p==="rgba(0, 0, 0, 0)"){p=S;}return p;};}var A="toString",Q=parseInt,P=RegExp;B.Color={KEYWORDS:{black:"000",silver:"c0c0c0",gray:"808080",white:"fff",maroon:"800000",red:"f00",purple:"800080",fuchsia:"f0f",green:"008000",lime:"0f0",olive:"808000",yellow:"ff0",navy:"000080",blue:"00f",teal:"008080",aqua:"0ff"},re_RGB:/^rgb\(([0-9]+)\s*,\s*([0-9]+)\s*,\s*([0-9]+)\)$/i,re_hex:/^#?([0-9A-F]{2})([0-9A-F]{2})([0-9A-F]{2})$/i,re_hex3:/([0-9A-F])/gi,toRGB:function(Y){if(!B.Color.re_RGB.test(Y)){Y=B.Color.toHex(Y);}if(B.Color.re_hex.exec(Y)){Y="rgb("+[Q(P.$1,16),Q(P.$2,16),Q(P.$3,16)].join(", ")+")";}return Y;},toHex:function(p){p=B.Color.KEYWORDS[p]||p;if(B.Color.re_RGB.exec(p)){var o=(P.$1.length===1)?"0"+P.$1:Number(P.$1),n=(P.$2.length===1)?"0"+P.$2:Number(P.$2),Y=(P.$3.length===1)?"0"+P.$3:Number(P.$3);p=[o[A](16),n[A](16),Y[A](16)].join("");}if(p.length<6){p=p.replace(B.Color.re_hex3,"$1$1");}if(p!=="transparent"&&p.indexOf("#")<0){p="#"+p;}return p.toLowerCase();}};var E="clientTop",T="clientLeft",L="parentNode",g="right",U="hasLayout",l="px",I="filter",f="filters",O="opacity",W="auto",M="currentStyle";if(document[h][i][O]===a&&document[h][f]){B.DOM.CUSTOM_STYLES[O]={get:function(n){var p=100;try{p=n[f]["DXImageTransform.Microsoft.Alpha"][O];}catch(o){try{p=n[f]("alpha")[O];}catch(Y){}}return p/100;},set:function(n,o,Y){if(typeof Y[I]=="string"){Y[I]="alpha("+O+"="+o*100+")";if(!n[M]||!n[M][U]){Y.zoom=1;}}}};}var V=/^width|height$/,H=/^(\d[.\d]*)+(em|ex|px|gd|rem|vw|vh|vm|ch|mm|cm|in|pt|pc|deg|rad|ms|s|hz|khz|%){1}?/i;var m={CUSTOM_STYLES:{},get:function(Y,o){var n="",p=Y[M][o];if(o===O){n=B.DOM.CUSTOM_STYLES[O].get(Y);}else{if(!p||p.indexOf(l)>-1){n=p;}else{if(B.DOM.IE.COMPUTED[o]){n=B.DOM.IE.COMPUTED[o](Y,o);}else{if(H.test(p)){n=B.DOM.IE.ComputedStyle.getPixel(Y,o);}else{n=p;}}}}return n;},getOffset:function(o,t){var q=o[M][t],Y=t.charAt(0).toUpperCase()+t.substr(1),r="offset"+Y,n="pixel"+Y,p="";if(q==W){var s=o[r];if(s===a){p=0;}p=s;if(V.test(t)){o[i][t]=s;if(o[r]>s){p=s-(o[r]-s);}o[i][t]=W;}}else{if(!o[i][n]&&!o[i][t]){o[i][t]=q;}p=o[i][n];}return p+l;},getBorderWidth:function(Y,o){var n=null;if(!Y[M][U]){Y[i].zoom=1;}switch(o){case J:n=Y[E];break;case D:n=Y.offsetHeight-Y.clientHeight-Y[E];break;case c:n=Y[T];break;case d:n=Y.offsetWidth-Y.clientWidth-Y[T];break;}return n+l;},getPixel:function(n,Y){var p=null,q=n[M][g],o=n[M][Y];n[i][g]=o;p=n[i].pixelRight;n[i][g]=q;return p+l;},getMargin:function(n,Y){var o;if(n[M][Y]==W){o=0+l;}else{o=B.DOM.IE.ComputedStyle.getPixel(n,Y);}return o;},getVisibility:function(n,Y){var o;while((o=n[M])&&o[Y]=="inherit"){n=n[L];}return(o)?o[Y]:k;},getColor:function(n,Y){var o=n[M][Y];if(!o||o===S){B.DOM.elementByAxis(n,L,null,function(p){o=p[M][Y];if(o&&o!==S){n=p;return true;}});}return B.Color.toRGB(o);},getBorderColor:function(n,Y){var o=n[M];var p=o[Y]||o.color;return B.Color.toRGB(B.Color.toHex(p));}};var K={};K[G]=K[Z]=m.getOffset;K.color=K.backgroundColor=m.getColor;K[J]=K[d]=K[D]=K[c]=m.getBorderWidth;K.marginTop=K.marginRight=K.marginBottom=K.marginLeft=m.getMargin;K.visibility=m.getVisibility;K.borderColor=K.borderTopColor=K.borderRightColor=K.borderBottomColor=K.borderLeftColor=m.getBorderColor;if(!B.config.win[j]){B.DOM[j]=m.get;}B.namespace("DOM.IE");B.DOM.IE.COMPUTED=K;B.DOM.IE.ComputedStyle=m;},"3.0.0pr1",{skinnable:false,requires:["dom-base"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom-style.js'
--- loggerhead/static/javascript/yui/build/dom/dom-style.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom-style.js	1970-01-01 00:00:00 +0000
@@ -1,451 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dom-style', function(Y) {
-
-/** 
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var DOCUMENT_ELEMENT = 'documentElement',
-    DEFAULT_VIEW = 'defaultView',
-    OWNER_DOCUMENT = 'ownerDocument',
-    STYLE = 'style',
-    FLOAT = 'float',
-    CSS_FLOAT = 'cssFloat',
-    STYLE_FLOAT = 'styleFloat',
-    TRANSPARENT = 'transparent',
-    VISIBLE = 'visible',
-    WIDTH = 'width',
-    HEIGHT = 'height',
-    BORDER_TOP_WIDTH = 'borderTopWidth',
-    BORDER_RIGHT_WIDTH = 'borderRightWidth',
-    BORDER_BOTTOM_WIDTH = 'borderBottomWidth',
-    BORDER_LEFT_WIDTH = 'borderLeftWidth',
-    GET_COMPUTED_STYLE = 'getComputedStyle',
-
-    DOCUMENT = Y.config.doc,
-    UNDEFINED = undefined,
-
-    re_color = /color$/i;
-
-
-Y.mix(Y.DOM, {
-    CUSTOM_STYLES: {},
-
-
-    /**
-     * Sets a style property for a given element.
-     * @method setStyle
-     * @param {HTMLElement} An HTMLElement to apply the style to.
-     * @param {String} att The style property to set. 
-     * @param {String|Number} val The value. 
-     */
-    setStyle: function(node, att, val) {
-        var style = node[STYLE],
-            CUSTOM_STYLES = Y.DOM.CUSTOM_STYLES;
-
-        if (style) {
-            if (att in CUSTOM_STYLES) {
-                if (CUSTOM_STYLES[att].set) {
-                    CUSTOM_STYLES[att].set(node, val, style);
-                    return; // NOTE: return
-                } else if (typeof CUSTOM_STYLES[att] === 'string') {
-                    att = CUSTOM_STYLES[att];
-                }
-            }
-            style[att] = val; 
-        }
-    },
-
-    /**
-     * Returns the current style value for the given property.
-     * @method getStyle
-     * @param {HTMLElement} An HTMLElement to get the style from.
-     * @param {String} att The style property to get. 
-     */
-    getStyle: function(node, att) {
-        var style = node[STYLE],
-            CUSTOM_STYLES = Y.DOM.CUSTOM_STYLES,
-            val = '';
-
-        if (style) {
-            if (att in CUSTOM_STYLES) {
-                if (CUSTOM_STYLES[att].get) {
-                    return CUSTOM_STYLES[att].get(node, att, style); // NOTE: return
-                } else if (typeof CUSTOM_STYLES[att] === 'string') {
-                    att = CUSTOM_STYLES[att];
-                }
-            }
-            val = style[att];
-            if (val === '') { // TODO: is empty string sufficient?
-                val = Y.DOM[GET_COMPUTED_STYLE](node, att);
-            }
-        }
-
-        return val;
-    },
-
-    /**
-     * Sets multiple style properties.
-     * @method setStyles
-     * @param {HTMLElement} node An HTMLElement to apply the styles to. 
-     * @param {Object} hash An object literal of property:value pairs. 
-     */
-    'setStyles': function(node, hash) {
-        Y.each(hash, function(v, n) {
-            Y.DOM.setStyle(node, n, v);
-        }, Y.DOM);
-    },
-
-    /**
-     * Returns the computed style for the given node.
-     * @method getComputedStyle
-     * @param {HTMLElement} An HTMLElement to get the style from.
-     * @param {String} att The style property to get. 
-     * @return {String} The computed value of the style property. 
-     */
-    getComputedStyle: function(node, att) {
-        var val = '',
-            doc = node[OWNER_DOCUMENT];
-
-        if (node[STYLE]) {
-            val = doc[DEFAULT_VIEW][GET_COMPUTED_STYLE](node, '')[att];
-        }
-        return val;
-    }
-});
-
-if (DOCUMENT[DOCUMENT_ELEMENT][STYLE][CSS_FLOAT] !== UNDEFINED) {
-    Y.DOM.CUSTOM_STYLES[FLOAT] = CSS_FLOAT;
-} else if (DOCUMENT[DOCUMENT_ELEMENT][STYLE][STYLE_FLOAT] !== UNDEFINED) {
-    Y.DOM.CUSTOM_STYLES[FLOAT] = STYLE_FLOAT;
-}
-
-if (Y.UA.opera) { // opera defaults to hex instead of RGB
-    Y.DOM[GET_COMPUTED_STYLE] = function(node, att) {
-        var view = node[OWNER_DOCUMENT][DEFAULT_VIEW],
-            val = view[GET_COMPUTED_STYLE](node, '')[att];
-
-        if (re_color.test(att)) {
-            val = Y.Color.toRGB(val);
-        }
-
-        return val;
-    };
-
-}
-
-if (Y.UA.webkit) { // safari converts transparent to rgba()
-    Y.DOM[GET_COMPUTED_STYLE] = function(node, att) {
-        var view = node[OWNER_DOCUMENT][DEFAULT_VIEW],
-            val = view[GET_COMPUTED_STYLE](node, '')[att];
-
-        if (val === 'rgba(0, 0, 0, 0)') {
-            val = TRANSPARENT; 
-        }
-
-        return val;
-    };
-
-}
-
-/**
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var TO_STRING = 'toString',
-    PARSE_INT = parseInt,
-    RE = RegExp;
-
-Y.Color = {
-    KEYWORDS: {
-        black: '000',
-        silver: 'c0c0c0',
-        gray: '808080',
-        white: 'fff',
-        maroon: '800000',
-        red: 'f00',
-        purple: '800080',
-        fuchsia: 'f0f',
-        green: '008000',
-        lime: '0f0',
-        olive: '808000',
-        yellow: 'ff0',
-        navy: '000080',
-        blue: '00f',
-        teal: '008080',
-        aqua: '0ff'
-    },
-
-    re_RGB: /^rgb\(([0-9]+)\s*,\s*([0-9]+)\s*,\s*([0-9]+)\)$/i,
-    re_hex: /^#?([0-9A-F]{2})([0-9A-F]{2})([0-9A-F]{2})$/i,
-    re_hex3: /([0-9A-F])/gi,
-
-    toRGB: function(val) {
-        if (!Y.Color.re_RGB.test(val)) {
-            val = Y.Color.toHex(val);
-        }
-
-        if(Y.Color.re_hex.exec(val)) {
-            val = 'rgb(' + [
-                PARSE_INT(RE.$1, 16),
-                PARSE_INT(RE.$2, 16),
-                PARSE_INT(RE.$3, 16)
-            ].join(', ') + ')';
-        }
-        return val;
-    },
-
-    toHex: function(val) {
-        val = Y.Color.KEYWORDS[val] || val;
-        if (Y.Color.re_RGB.exec(val)) {
-            var r = (RE.$1.length === 1) ? '0' + RE.$1 : Number(RE.$1),
-                g = (RE.$2.length === 1) ? '0' + RE.$2 : Number(RE.$2),
-                b = (RE.$3.length === 1) ? '0' + RE.$3 : Number(RE.$3);
-
-            val = [
-                r[TO_STRING](16),
-                g[TO_STRING](16),
-                b[TO_STRING](16)
-            ].join('');
-        }
-
-        if (val.length < 6) {
-            val = val.replace(Y.Color.re_hex3, '$1$1');
-        }
-
-        if (val !== 'transparent' && val.indexOf('#') < 0) {
-            val = '#' + val;
-        }
-
-        return val.toLowerCase();
-    }
-};
-
-/**
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var CLIENT_TOP = 'clientTop',
-    CLIENT_LEFT = 'clientLeft',
-    PARENT_NODE = 'parentNode',
-    RIGHT = 'right',
-    HAS_LAYOUT = 'hasLayout',
-    PX = 'px',
-    FILTER = 'filter',
-    FILTERS = 'filters',
-    OPACITY = 'opacity',
-    AUTO = 'auto',
-    CURRENT_STYLE = 'currentStyle';
-
-// use alpha filter for IE opacity
-if (document[DOCUMENT_ELEMENT][STYLE][OPACITY] === UNDEFINED &&
-        document[DOCUMENT_ELEMENT][FILTERS]) {
-    Y.DOM.CUSTOM_STYLES[OPACITY] = {
-        get: function(node) {
-            var val = 100;
-            try { // will error if no DXImageTransform
-                val = node[FILTERS]['DXImageTransform.Microsoft.Alpha'][OPACITY];
-
-            } catch(e) {
-                try { // make sure its in the document
-                    val = node[FILTERS]('alpha')[OPACITY];
-                } catch(err) {
-                }
-            }
-            return val / 100;
-        },
-
-        set: function(node, val, style) {
-            if (typeof style[FILTER] == 'string') { // in case not appended
-                style[FILTER] = 'alpha(' + OPACITY + '=' + val * 100 + ')';
-                
-                if (!node[CURRENT_STYLE] || !node[CURRENT_STYLE][HAS_LAYOUT]) {
-                    style.zoom = 1; // needs layout 
-                }
-            }
-        }
-    };
-}
-
-// IE getComputedStyle
-// TODO: unit-less lineHeight (e.g. 1.22)
-var re_size = /^width|height$/,
-    re_unit = /^(\d[.\d]*)+(em|ex|px|gd|rem|vw|vh|vm|ch|mm|cm|in|pt|pc|deg|rad|ms|s|hz|khz|%){1}?/i;
-
-var ComputedStyle = {
-    CUSTOM_STYLES: {},
-
-    get: function(el, property) {
-        var value = '',
-            current = el[CURRENT_STYLE][property];
-
-        if (property === OPACITY) {
-            value = Y.DOM.CUSTOM_STYLES[OPACITY].get(el);        
-        } else if (!current || current.indexOf(PX) > -1) { // no need to convert
-            value = current;
-        } else if (Y.DOM.IE.COMPUTED[property]) { // use compute function
-            value = Y.DOM.IE.COMPUTED[property](el, property);
-        } else if (re_unit.test(current)) { // convert to pixel
-            value = Y.DOM.IE.ComputedStyle.getPixel(el, property);
-        } else {
-            value = current;
-        }
-
-        return value;
-    },
-
-    getOffset: function(el, prop) {
-        var current = el[CURRENT_STYLE][prop],                        // value of "width", "top", etc.
-            capped = prop.charAt(0).toUpperCase() + prop.substr(1), // "Width", "Top", etc.
-            offset = 'offset' + capped,                             // "offsetWidth", "offsetTop", etc.
-            pixel = 'pixel' + capped,                               // "pixelWidth", "pixelTop", etc.
-            value = '';
-
-        if (current == AUTO) {
-            var actual = el[offset]; // offsetHeight/Top etc.
-            if (actual === UNDEFINED) { // likely "right" or "bottom"
-                value = 0;
-            }
-
-            value = actual;
-            if (re_size.test(prop)) { // account for box model diff 
-                el[STYLE][prop] = actual; 
-                if (el[offset] > actual) {
-                    // the difference is padding + border (works in Standards & Quirks modes)
-                    value = actual - (el[offset] - actual);
-                }
-                el[STYLE][prop] = AUTO; // revert to auto
-            }
-        } else { // convert units to px
-            if (!el[STYLE][pixel] && !el[STYLE][prop]) { // need to map style.width to currentStyle (no currentStyle.pixelWidth)
-                el[STYLE][prop] = current;              // no style.pixelWidth if no style.width
-            }
-            value = el[STYLE][pixel];
-        }
-        return value + PX;
-    },
-
-    getBorderWidth: function(el, property) {
-        // clientHeight/Width = paddingBox (e.g. offsetWidth - borderWidth)
-        // clientTop/Left = borderWidth
-        var value = null;
-        if (!el[CURRENT_STYLE][HAS_LAYOUT]) { // TODO: unset layout?
-            el[STYLE].zoom = 1; // need layout to measure client
-        }
-
-        switch(property) {
-            case BORDER_TOP_WIDTH:
-                value = el[CLIENT_TOP];
-                break;
-            case BORDER_BOTTOM_WIDTH:
-                value = el.offsetHeight - el.clientHeight - el[CLIENT_TOP];
-                break;
-            case BORDER_LEFT_WIDTH:
-                value = el[CLIENT_LEFT];
-                break;
-            case BORDER_RIGHT_WIDTH:
-                value = el.offsetWidth - el.clientWidth - el[CLIENT_LEFT];
-                break;
-        }
-        return value + PX;
-    },
-
-    getPixel: function(node, att) {
-        // use pixelRight to convert to px
-        var val = null,
-            styleRight = node[CURRENT_STYLE][RIGHT],
-            current = node[CURRENT_STYLE][att];
-
-        node[STYLE][RIGHT] = current;
-        val = node[STYLE].pixelRight;
-        node[STYLE][RIGHT] = styleRight; // revert
-
-        return val + PX;
-    },
-
-    getMargin: function(node, att) {
-        var val;
-        if (node[CURRENT_STYLE][att] == AUTO) {
-            val = 0 + PX;
-        } else {
-            val = Y.DOM.IE.ComputedStyle.getPixel(node, att);
-        }
-        return val;
-    },
-
-    getVisibility: function(node, att) {
-        var current;
-        while ( (current = node[CURRENT_STYLE]) && current[att] == 'inherit') { // NOTE: assignment in test
-            node = node[PARENT_NODE];
-        }
-        return (current) ? current[att] : VISIBLE;
-    },
-
-    getColor: function(node, att) {
-        var current = node[CURRENT_STYLE][att];
-
-        if (!current || current === TRANSPARENT) {
-            Y.DOM.elementByAxis(node, PARENT_NODE, null, function(parent) {
-                current = parent[CURRENT_STYLE][att];
-                if (current && current !== TRANSPARENT) {
-                    node = parent;
-                    return true;
-                }
-            });
-        }
-
-        return Y.Color.toRGB(current);
-    },
-
-    getBorderColor: function(node, att) {
-        var current = node[CURRENT_STYLE];
-        var val = current[att] || current.color;
-        return Y.Color.toRGB(Y.Color.toHex(val));
-    }
-
-};
-
-//fontSize: getPixelFont,
-var IEComputed = {};
-
-IEComputed[WIDTH] = IEComputed[HEIGHT] = ComputedStyle.getOffset;
-
-IEComputed.color = IEComputed.backgroundColor = ComputedStyle.getColor;
-
-IEComputed[BORDER_TOP_WIDTH] = IEComputed[BORDER_RIGHT_WIDTH] =
-        IEComputed[BORDER_BOTTOM_WIDTH] = IEComputed[BORDER_LEFT_WIDTH] =
-        ComputedStyle.getBorderWidth;
-
-IEComputed.marginTop = IEComputed.marginRight = IEComputed.marginBottom =
-        IEComputed.marginLeft = ComputedStyle.getMargin;
-
-IEComputed.visibility = ComputedStyle.getVisibility;
-IEComputed.borderColor = IEComputed.borderTopColor =
-        IEComputed.borderRightColor = IEComputed.borderBottomColor =
-        IEComputed.borderLeftColor = ComputedStyle.getBorderColor;
-
-if (!Y.config.win[GET_COMPUTED_STYLE]) {
-    Y.DOM[GET_COMPUTED_STYLE] = ComputedStyle.get; 
-}
-
-Y.namespace('DOM.IE');
-Y.DOM.IE.COMPUTED = IEComputed;
-Y.DOM.IE.ComputedStyle = ComputedStyle;
-
-
-
-}, '3.0.0pr1' ,{skinnable:false, requires:['dom-base']});

=== removed file 'loggerhead/static/javascript/yui/build/dom/dom.js'
--- loggerhead/static/javascript/yui/build/dom/dom.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/dom.js	1970-01-01 00:00:00 +0000
@@ -1,2117 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('dom', function(Y) {
-
-/** 
- * The DOM utility provides a cross-browser abtraction layer
- * normalizing DOM tasks, and adds extra helper functionality
- * for other common tasks. 
- * @module dom
- * @submodule dom-base
- *
- */
-
-/** 
- * Provides DOM helper methods.
- * @class DOM
- *
- */
-var NODE_TYPE = 'nodeType',
-    OWNER_DOCUMENT = 'ownerDocument',
-    DOCUMENT_ELEMENT = 'documentElement',
-    DEFAULT_VIEW = 'defaultView',
-    PARENT_WINDOW = 'parentWindow',
-    TAG_NAME = 'tagName',
-    PARENT_NODE = 'parentNode',
-    FIRST_CHILD = 'firstChild',
-    LAST_CHILD = 'lastChild',
-    PREVIOUS_SIBLING = 'previousSibling',
-    NEXT_SIBLING = 'nextSibling',
-    CONTAINS = 'contains',
-    COMPARE_DOCUMENT_POSITION = 'compareDocumentPosition',
-    INNER_TEXT = 'innerText',
-    TEXT_CONTENT = 'textContent',
-    LENGTH = 'length',
-
-    UNDEFINED = undefined;
-
-var re_tag = /<([a-z]+)/i;
-
-var templateCache = {};
-
-Y.DOM = {
-    /**
-     * Returns the HTMLElement with the given ID (Wrapper for document.getElementById).
-     * @method byId         
-     * @param {String} id the id attribute 
-     * @param {Object} doc optional The document to search. Defaults to current document 
-     * @return {HTMLElement | null} The HTMLElement with the id, or null if none found. 
-     */
-    byId: function(id, doc) {
-        return Y.DOM._getDoc(doc).getElementById(id);
-    },
-
-    /**
-     * Returns the text content of the HTMLElement. 
-     * @method getText         
-     * @param {HTMLElement} element The html element. 
-     * @return {String} The text content of the element (includes text of any descending elements).
-     */
-    getText: function(element) {
-        var text = element ? element[TEXT_CONTENT] : '';
-        if (text === UNDEFINED && INNER_TEXT in element) {
-            text = element[INNER_TEXT];
-        } 
-        return text || ''; 
-    },
-
-    /**
-     * Finds the firstChild of the given HTMLElement. 
-     * @method firstChild
-     * @param {HTMLElement} element The html element. 
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first found is returned.
-     * @return {HTMLElement | null} The first matching child html element.
-     */
-    firstChild: function(element, fn) {
-        return Y.DOM._childBy(element, null, fn); 
-    },
-
-    firstChildByTag: function(element, tag, fn) {
-        return Y.DOM._childBy(element, tag, fn); 
-    },
-
-    /**
-     * Finds the lastChild of the given HTMLElement.
-     * @method lastChild
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first found is returned.
-     * @return {HTMLElement | null} The first matching child html element.
-     */
-    lastChild: function(element, fn) {
-        return Y.DOM._childBy(element, null, fn, true); 
-    },
-
-    lastChildByTag: function(element, tag, fn) {
-        return Y.DOM._childBy(element, tag, fn, true); 
-    },
-
-    /**
-     * Finds all HTMLElement childNodes matching the given tag.
-     * @method childrenByTag
-     * @param {HTMLElement} element The html element.
-     * @param {String} tag The tag to search for.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all children with the given tag are collected.
-     * @return {Array} The collection of child elements.
-     */
-    childrenByTag: function() {
-        if (document[DOCUMENT_ELEMENT].children) {
-            return function(element, tag, fn, toArray) { // TODO: keep toArray option?
-                tag = (tag && tag !== '*') ? tag : null;
-                var elements = [];
-                if (element) {
-                    elements = (tag) ? element.children.tags(tag) : element.children; 
-
-                    if (fn || toArray) {
-                        elements = Y.DOM.filterElementsBy(elements, fn);
-                    }
-                }
-
-                return elements; 
-            };
-        } else {
-            return function(element, tag, fn) {
-                tag = (tag && tag !== '*') ? tag.toUpperCase() : null;
-                var elements = [],
-                    wrapFn = fn;
-
-                if (element) {
-                    elements = element.childNodes; 
-                    if (tag) { // wrap fn and add tag test TODO: allow tag in filterElementsBy?
-                        wrapFn = function(el) {
-                            return el[TAG_NAME].toUpperCase() === tag && (!fn || fn(el));
-                        };
-                    }
-
-                    elements = Y.DOM.filterElementsBy(elements, wrapFn); 
-                }
-                return elements;
-            };
-        }
-    }(),
-
-    /**
-     * Finds all HTMLElement childNodes.
-     * @method children
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all children are collected.
-     * @return {Array} The collection of child elements.
-     */
-    children: function(element, fn) {
-        return Y.DOM.childrenByTag(element, null, fn); 
-    },
-
-    /**
-     * Finds the previous sibling of the element.
-     * @method previous
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first sibling is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    previous: function(element, fn, all) {
-        return Y.DOM.elementByAxis(element, PREVIOUS_SIBLING, fn);
-    },
-
-    /**
-     * Finds the next sibling of the element.
-     * @method next
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first sibling is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    next: function(element, fn) {
-        return Y.DOM.elementByAxis(element, NEXT_SIBLING, fn);
-    },
-
-    /**
-     * Finds the ancestor of the element.
-     * @method ancestor
-     * @param {HTMLElement} element The html element.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the parentNode is returned.
-     * @param {Boolean} all optional Whether all node types should be scanned, or just element nodes.
-     * @return {HTMLElement | null} The matching DOM node or null if none found. 
-     */
-    ancestor: function(element, fn) {
-        return Y.DOM.elementByAxis(element, PARENT_NODE, fn);
-    },
-
-    /**
-     * Searches the element by the given axis for the first matching element.
-     * @method elementByAxis
-     * @param {HTMLElement} element The html element.
-     * @param {String} axis The axis to search (parentNode, nextSibling, previousSibling).
-     * @param {Function} fn optional An optional boolean test to apply.
-     * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-     * The optional function is passed the current DOM node being tested as its only argument.
-     * If no function is given, the first element is returned.
-     * @return {HTMLElement | null} The matching element or null if none found.
-     */
-    elementByAxis: function(element, axis, fn, all) {
-        while (element && (element = element[axis])) { // NOTE: assignment
-                if ( (all || element[TAG_NAME]) && (!fn || fn(element)) ) {
-                    return element;
-                }
-        }
-        return null;
-    },
-
-    /**
-     * Finds all elements with the given tag.
-     * @method byTag
-     * @param {String} tag The tag being search for. 
-     * @param {HTMLElement} root optional An optional root element to start from.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all elements with the given tag are returned.
-     * @return {Array} The collection of matching elements.
-     */
-    byTag: function(tag, root, fn) {
-        root = root || Y.config.doc;
-
-        var elements = root.getElementsByTagName(tag),
-            retNodes = [];
-
-        for (var i = 0, len = elements[LENGTH]; i < len; ++i) {
-            if ( !fn || fn(elements[i]) ) {
-                retNodes[retNodes[LENGTH]] = elements[i];
-            }
-        }
-        return retNodes;
-    },
-
-    /**
-     * Finds the first element with the given tag.
-     * @method firstByTag
-     * @param {String} tag The tag being search for. 
-     * @param {HTMLElement} root optional An optional root element to start from.
-     * @param {Function} fn optional An optional boolean test to apply.
-     * The optional function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, the first match is returned.
-     * @return {HTMLElement} The matching element.
-     */
-    firstByTag: function(tag, root, fn) {
-        root = root || Y.config.doc;
-
-        var elements = root.getElementsByTagName(tag),
-            ret = null;
-
-        for (var i = 0, len = elements[LENGTH]; i < len; ++i) {
-            if ( !fn || fn(elements[i]) ) {
-                ret = elements[i];
-                break;
-            }
-        }
-        return ret;
-    },
-
-    /**
-     * Filters a collection of HTMLElements by the given attributes.
-     * @method filterElementsBy
-     * @param {Array} elements The collection of HTMLElements to filter.
-     * @param {Function} fn A boolean test to apply.
-     * The function is passed the current HTMLElement being tested as its only argument.
-     * If no function is given, all HTMLElements are kept.
-     * @return {Array} The filtered collection of HTMLElements.
-     */
-    filterElementsBy: function(elements, fn, firstOnly) {
-        var ret = (firstOnly) ? null : [];
-        for (var i = 0, el; el = elements[i++];) {
-            if ( el[TAG_NAME] && (!fn || fn(el)) ) {
-                if (firstOnly) {
-                    ret = el;
-                    break;
-                } else {
-                    ret[ret[LENGTH]] = el;
-                }
-            }
-        }
-
-        return ret;
-    },
-
-    /**
-     * Determines whether or not one HTMLElement is or contains another HTMLElement.
-     * @method contains
-     * @param {HTMLElement} element The containing html element.
-     * @param {HTMLElement} needle The html element that may be contained.
-     * @return {Boolean} Whether or not the element is or contains the needle.
-     */
-    contains: function(element, needle) {
-        var ret = false;
-
-        if (!needle || !needle[NODE_TYPE] || !element || !element[NODE_TYPE]) {
-            ret = false;
-        } else if (element[CONTAINS])  {
-            if (Y.UA.opera || needle[NODE_TYPE] === 1) { // IE & SAF contains fail if needle not an ELEMENT_NODE
-                ret = element[CONTAINS](needle);
-            } else {
-                ret = Y.DOM._bruteContains(element, needle); 
-            }
-        } else if (element[COMPARE_DOCUMENT_POSITION]) { // gecko
-            if (element === needle || !!(element[COMPARE_DOCUMENT_POSITION](needle) & 16)) { 
-                ret = true;
-            }
-        }
-
-        return ret;
-    },
-
-    /**
-     * Returns an HTMLElement for the given string of HTML.
-     * @method create
-     * @param {String} html The string of HTML to convert to a DOM element. 
-     * @param {Document} document An optional document to create the node with.
-     * @return {HTMLElement} The newly created element. 
-     */
-    create: function(html, doc) {
-        doc = doc || Y.config.doc;
-        var m = re_tag.exec(html);
-        var create = Y.DOM._create,
-            custom = Y.DOM.creators,
-            tag, ret;
-
-        if (m && custom[m[1]]) {
-            if (typeof custom[m[1]] === 'function') {
-                create = custom[m[1]];
-            } else {
-                tag = custom[m[1]];
-            }
-        }
-        ret = create(html, doc, tag);
-        return (ret.childNodes.length > 1) ? ret.childNodes : ret.childNodes[0]; // collection or item
-        //return ret.firstChild;
-    },
-
-    _create: function(html, doc, tag) {
-        tag = tag || 'div';
-        var frag = templateCache[tag] || doc.createElement(tag);
-        frag.innerHTML = Y.Lang.trim(html);
-        return frag;
-    },
-
-    /**
-     * Brute force version of contains.
-     * Used for browsers without contains support for non-HTMLElement Nodes (textNodes, etc).
-     * @method _bruteContains
-     * @private
-     * @param {HTMLElement} element The containing html element.
-     * @param {HTMLElement} needle The html element that may be contained.
-     * @return {Boolean} Whether or not the element is or contains the needle.
-     */
-    _bruteContains: function(element, needle) {
-        while (needle) {
-            if (element === needle) {
-                return true;
-            }
-            needle = needle.parentNode;
-        }
-        return false;
-    },
-
-    /**
-     * Memoizes dynamic regular expressions to boost runtime performance. 
-     * @method _getRegExp
-     * @private
-     * @param {String} str The string to convert to a regular expression.
-     * @param {String} flags optional An optinal string of flags.
-     * @return {RegExp} An instance of RegExp
-     */
-    _getRegExp: function(str, flags) {
-        flags = flags || '';
-        Y.DOM._regexCache = Y.DOM._regexCache || {};
-        if (!Y.DOM._regexCache[str + flags]) {
-            Y.DOM._regexCache[str + flags] = new RegExp(str, flags);
-        }
-        return Y.DOM._regexCache[str + flags];
-    },
-
-    /**
-     * returns the appropriate document.
-     * @method _getDoc
-     * @private
-     * @param {HTMLElement} element optional Target element.
-     * @return {Object} The document for the given element or the default document. 
-     */
-    _getDoc: function(element) {
-        element = element || {};
-        return (element[NODE_TYPE] === 9) ? element : element[OWNER_DOCUMENT] ||
-                                                Y.config.doc;
-    },
-
-    /**
-     * returns the appropriate window.
-     * @method _getWin
-     * @private
-     * @param {HTMLElement} element optional Target element.
-     * @return {Object} The window for the given element or the default window. 
-     */
-    _getWin: function(element) {
-        var doc = Y.DOM._getDoc(element);
-        return (element.document) ? element : doc[DEFAULT_VIEW] ||
-                                        doc[PARENT_WINDOW] || Y.config.win;
-    },
-
-    _childBy: function(element, tag, fn, rev) {
-        var ret = null,
-            root, axis;
-
-        if (element) {
-            if (rev) {
-                root = element[LAST_CHILD];
-                axis = PREVIOUS_SIBLING;
-            } else {
-                root = element[FIRST_CHILD];
-                axis = NEXT_SIBLING;
-            }
-
-            if (Y.DOM._testElement(root, tag, fn)) { // is the matching element
-                ret = root;
-            } else { // need to scan nextSibling axis of firstChild to find matching element
-                ret = Y.DOM.elementByAxis(root, axis, fn);
-            }
-        }
-        return ret;
-
-    },
-
-    _testElement: function(element, tag, fn) {
-        tag = (tag && tag !== '*') ? tag.toUpperCase() : null;
-        return (element && element[TAG_NAME] &&
-                (!tag || element[TAG_NAME].toUpperCase() === tag) &&
-                (!fn || fn(element)));
-    },
-
-    creators: {},
-
-    _IESimpleCreate: function(html, doc) {
-        doc = doc || Y.config.doc;
-        return doc.createElement(html);
-    }
-};
-
-
-(function() {
-    var creators = Y.DOM.creators,
-        create = Y.DOM.create,
-        re_tbody = /(?:\/(?:thead|tfoot|tbody|caption|col|colgroup)>)+\s*<tbody/;
-
-    var TABLE_OPEN = '<table>',
-        TABLE_CLOSE = '</table>';
-
-    if (Y.UA.gecko || Y.UA.ie) { // require custom creation code for certain element types
-        Y.mix(creators, {
-            option: function(html, doc) {
-                var frag = create('<select>' + html + '</select>');
-                return frag;
-            },
-
-            tr: function(html, doc) {
-                var frag = creators.tbody('<tbody>' + html + '</tbody>', doc);
-                return frag.firstChild;
-            },
-
-            td: function(html, doc) {
-                var frag = creators.tr('<tr>' + html + '</tr>', doc);
-                return frag.firstChild;
-            }, 
-
-            tbody: function(html, doc) {
-                var frag = create(TABLE_OPEN + html + TABLE_CLOSE, doc);
-                return frag;
-            },
-
-            legend: 'fieldset'
-        });
-
-        creators.col = creators.tbody; // IE wraps in colgroup
-    }
-
-    if (Y.UA.ie) {
-        // TODO: allow multiples ("<link><link>")
-        creators.col = creators.script = creators.link = Y.DOM._IESimpleCreate; 
-
-        // TODO: thead/tfoot with nested tbody
-        creators.tbody = function(html, doc) {
-            var frag = create(TABLE_OPEN + html + TABLE_CLOSE, doc);
-            var tb = frag.children.tags('tbody')[0];
-            if (frag.children.length > 1 && tb && !re_tbody.test(html)) {
-                tb.parentNode.removeChild(tb);
-            }
-            return frag;
-        };
-
-    }
-
-    if (Y.UA.gecko || Y.UA.ie) { // require custom creation code for certain element types
-        Y.mix(creators, {
-                th: creators.td,
-                thead: creators.tbody,
-                tfoot: creators.tbody,
-                caption: creators.tbody,
-                colgroup: creators.tbody,
-                col: creators.tbody,
-                optgroup: creators.option
-        });
-    }
-})();
-/** 
- * The DOM utility provides a cross-browser abtraction layer
- * normalizing DOM tasks, and adds extra helper functionality
- * for other common tasks. 
- * @module dom
- * @submodule dom-base
- * @for DOM
- */
-
-var CLASS_NAME = 'className';
-
-Y.mix(Y.DOM, {
-    /**
-     * Determines whether a DOM element has the given className.
-     * @method hasClass
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to search for
-     * @return {Boolean} Whether or not the element has the given class. 
-     */
-    hasClass: function(node, className) {
-        var re = Y.DOM._getRegExp('(?:^|\\s+)' + className + '(?:\\s+|$)');
-        return re.test(node[CLASS_NAME]);
-    },
-
-    /**
-     * Adds a class name to a given DOM element.
-     * @method addClass         
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to add to the class attribute
-     */
-    addClass: function(node, className) {
-        if (!Y.DOM.hasClass(node, className)) { // skip if already present 
-            node[CLASS_NAME] = Y.Lang.trim([node[CLASS_NAME], className].join(' '));
-        }
-    },
-
-    /**
-     * Removes a class name from a given element.
-     * @method removeClass         
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to remove from the class attribute
-     */
-    removeClass: function(node, className) {
-        if (className && Y.DOM.hasClass(node, className)) {
-            node[CLASS_NAME] = Y.Lang.trim(node[CLASS_NAME].replace(Y.DOM._getRegExp('(?:^|\\s+)' +
-                            className + '(?:\\s+|$)'), ' '));
-
-            if ( Y.DOM.hasClass(node, className) ) { // in case of multiple adjacent
-                Y.DOM.removeClass(node, className);
-            }
-        }                 
-    },
-
-    /**
-     * Replace a class with another class for a given element.
-     * If no oldClassName is present, the newClassName is simply added.
-     * @method replaceClass  
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} oldClassName the class name to be replaced
-     * @param {String} newClassName the class name that will be replacing the old class name
-     */
-    replaceClass: function(node, oldC, newC) {
-        Y.DOM.addClass(node, newC);
-        Y.DOM.removeClass(node, oldC);
-    },
-
-    /**
-     * If the className exists on the node it is removed, if it doesn't exist it is added.
-     * @method toggleClass  
-     * @param {HTMLElement} element The DOM element. 
-     * @param {String} className the class name to be toggled
-     */
-    toggleClass: function(node, className) {
-        if (Y.DOM.hasClass(node, className)) {
-            Y.DOM.removeClass(node, className);
-        } else {
-            Y.DOM.addClass(node, className);
-        }
-    }
-});
-
-/** 
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var DOCUMENT_ELEMENT = 'documentElement',
-    DEFAULT_VIEW = 'defaultView',
-    OWNER_DOCUMENT = 'ownerDocument',
-    STYLE = 'style',
-    FLOAT = 'float',
-    CSS_FLOAT = 'cssFloat',
-    STYLE_FLOAT = 'styleFloat',
-    TRANSPARENT = 'transparent',
-    VISIBLE = 'visible',
-    WIDTH = 'width',
-    HEIGHT = 'height',
-    BORDER_TOP_WIDTH = 'borderTopWidth',
-    BORDER_RIGHT_WIDTH = 'borderRightWidth',
-    BORDER_BOTTOM_WIDTH = 'borderBottomWidth',
-    BORDER_LEFT_WIDTH = 'borderLeftWidth',
-    GET_COMPUTED_STYLE = 'getComputedStyle',
-
-    DOCUMENT = Y.config.doc,
-    UNDEFINED = undefined,
-
-    re_color = /color$/i;
-
-
-Y.mix(Y.DOM, {
-    CUSTOM_STYLES: {},
-
-
-    /**
-     * Sets a style property for a given element.
-     * @method setStyle
-     * @param {HTMLElement} An HTMLElement to apply the style to.
-     * @param {String} att The style property to set. 
-     * @param {String|Number} val The value. 
-     */
-    setStyle: function(node, att, val) {
-        var style = node[STYLE],
-            CUSTOM_STYLES = Y.DOM.CUSTOM_STYLES;
-
-        if (style) {
-            if (att in CUSTOM_STYLES) {
-                if (CUSTOM_STYLES[att].set) {
-                    CUSTOM_STYLES[att].set(node, val, style);
-                    return; // NOTE: return
-                } else if (typeof CUSTOM_STYLES[att] === 'string') {
-                    att = CUSTOM_STYLES[att];
-                }
-            }
-            style[att] = val; 
-        }
-    },
-
-    /**
-     * Returns the current style value for the given property.
-     * @method getStyle
-     * @param {HTMLElement} An HTMLElement to get the style from.
-     * @param {String} att The style property to get. 
-     */
-    getStyle: function(node, att) {
-        var style = node[STYLE],
-            CUSTOM_STYLES = Y.DOM.CUSTOM_STYLES,
-            val = '';
-
-        if (style) {
-            if (att in CUSTOM_STYLES) {
-                if (CUSTOM_STYLES[att].get) {
-                    return CUSTOM_STYLES[att].get(node, att, style); // NOTE: return
-                } else if (typeof CUSTOM_STYLES[att] === 'string') {
-                    att = CUSTOM_STYLES[att];
-                }
-            }
-            val = style[att];
-            if (val === '') { // TODO: is empty string sufficient?
-                val = Y.DOM[GET_COMPUTED_STYLE](node, att);
-            }
-        }
-
-        return val;
-    },
-
-    /**
-     * Sets multiple style properties.
-     * @method setStyles
-     * @param {HTMLElement} node An HTMLElement to apply the styles to. 
-     * @param {Object} hash An object literal of property:value pairs. 
-     */
-    'setStyles': function(node, hash) {
-        Y.each(hash, function(v, n) {
-            Y.DOM.setStyle(node, n, v);
-        }, Y.DOM);
-    },
-
-    /**
-     * Returns the computed style for the given node.
-     * @method getComputedStyle
-     * @param {HTMLElement} An HTMLElement to get the style from.
-     * @param {String} att The style property to get. 
-     * @return {String} The computed value of the style property. 
-     */
-    getComputedStyle: function(node, att) {
-        var val = '',
-            doc = node[OWNER_DOCUMENT];
-
-        if (node[STYLE]) {
-            val = doc[DEFAULT_VIEW][GET_COMPUTED_STYLE](node, '')[att];
-        }
-        return val;
-    }
-});
-
-if (DOCUMENT[DOCUMENT_ELEMENT][STYLE][CSS_FLOAT] !== UNDEFINED) {
-    Y.DOM.CUSTOM_STYLES[FLOAT] = CSS_FLOAT;
-} else if (DOCUMENT[DOCUMENT_ELEMENT][STYLE][STYLE_FLOAT] !== UNDEFINED) {
-    Y.DOM.CUSTOM_STYLES[FLOAT] = STYLE_FLOAT;
-}
-
-if (Y.UA.opera) { // opera defaults to hex instead of RGB
-    Y.DOM[GET_COMPUTED_STYLE] = function(node, att) {
-        var view = node[OWNER_DOCUMENT][DEFAULT_VIEW],
-            val = view[GET_COMPUTED_STYLE](node, '')[att];
-
-        if (re_color.test(att)) {
-            val = Y.Color.toRGB(val);
-        }
-
-        return val;
-    };
-
-}
-
-if (Y.UA.webkit) { // safari converts transparent to rgba()
-    Y.DOM[GET_COMPUTED_STYLE] = function(node, att) {
-        var view = node[OWNER_DOCUMENT][DEFAULT_VIEW],
-            val = view[GET_COMPUTED_STYLE](node, '')[att];
-
-        if (val === 'rgba(0, 0, 0, 0)') {
-            val = TRANSPARENT; 
-        }
-
-        return val;
-    };
-
-}
-
-/**
- * Adds position and region management functionality to DOM.
- * @module dom
- * @submodule dom-screen
- * @for DOM
- */
-
-var OFFSET_TOP = 'offsetTop',
-    DOCUMENT_ELEMENT = 'documentElement',
-    COMPAT_MODE = 'compatMode',
-    OFFSET_LEFT = 'offsetLeft',
-    OFFSET_PARENT = 'offsetParent',
-    POSITION = 'position',
-    FIXED = 'fixed',
-    RELATIVE = 'relative',
-    LEFT = 'left',
-    TOP = 'top',
-    SCROLL_LEFT = 'scrollLeft',
-    SCROLL_TOP = 'scrollTop',
-    _BACK_COMPAT = 'BackCompat',
-    MEDIUM = 'medium',
-    HEIGHT = 'height',
-    WIDTH = 'width',
-    BORDER_LEFT_WIDTH = 'borderLeftWidth',
-    BORDER_TOP_WIDTH = 'borderTopWidth',
-    GET_BOUNDING_CLIENT_RECT = 'getBoundingClientRect',
-    GET_COMPUTED_STYLE = 'getComputedStyle',
-    RE_TABLE = /^t(?:able|d|h)$/i;
-
-Y.mix(Y.DOM, {
-    /**
-     * Returns the inner height of the viewport (exludes scrollbar). 
-     * @method winHeight
-     * @return {Int} The pixel height of the viewport.
-     */
-    winHeight: function(node) {
-        var h = Y.DOM._getWinSize(node)[HEIGHT];
-        return h;
-    },
-
-    /**
-     * Returns the inner width of the viewport (exludes scrollbar). 
-     * @method winWidth
-     * @return {Int} The pixel width of the viewport.
-     */
-    winWidth: function(node) {
-        var w = Y.DOM._getWinSize(node)[WIDTH];
-        return w;
-    },
-
-    /**
-     * Document height 
-     * @method docHeight
-     * @return {Int} The pixel height of the document.
-     */
-    docHeight:  function(node) {
-        var h = Y.DOM._getDocSize(node)[HEIGHT];
-        return Math.max(h, Y.DOM._getWinSize(node)[HEIGHT]);
-    },
-
-    /**
-     * Document width 
-     * @method docWidth
-     * @return {Int} The pixel width of the document.
-     */
-    docWidth:  function(node) {
-        var w = Y.DOM._getDocSize(node)[WIDTH];
-        return Math.max(w, Y.DOM._getWinSize(node)[WIDTH]);
-    },
-
-    /**
-     * Amount page has been scroll vertically 
-     * @method docScrollX
-     * @return {Int} The scroll amount in pixels.
-     */
-    docScrollX: function(node) {
-        var doc = Y.DOM._getDoc();
-        return Math.max(doc[DOCUMENT_ELEMENT][SCROLL_LEFT], doc.body[SCROLL_LEFT]);
-    },
-
-    /**
-     * Amount page has been scroll horizontally 
-     * @method docScrollY
-     * @return {Int} The scroll amount in pixels.
-     */
-    docScrollY:  function(node) {
-        var doc = Y.DOM._getDoc();
-        return Math.max(doc[DOCUMENT_ELEMENT][SCROLL_TOP], doc.body[SCROLL_TOP]);
-    },
-
-    /**
-     * Gets the current position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getXY
-     * @param element The target element
-     * @return {Array} The XY position of the element
-
-     TODO: test inDocument/display
-     */
-    getXY: function() {
-        if (document[DOCUMENT_ELEMENT][GET_BOUNDING_CLIENT_RECT]) {
-            return function(node) {
-                if (!node) {
-                    return false;
-                }
-                var scrollLeft = Y.DOM.docScrollX(node),
-                    scrollTop = Y.DOM.docScrollY(node),
-                    box = node[GET_BOUNDING_CLIENT_RECT](),
-                    doc = Y.DOM._getDoc(node),
-                    //Round the numbers so we get sane data back
-                    xy = [Math.floor(box[LEFT]), Math.floor(box[TOP])];
-
-                    if (Y.UA.ie) {
-                        var off1 = 2, off2 = 2,
-                        mode = doc[COMPAT_MODE],
-                        bLeft = Y.DOM[GET_COMPUTED_STYLE](doc[DOCUMENT_ELEMENT], BORDER_LEFT_WIDTH),
-                        bTop = Y.DOM[GET_COMPUTED_STYLE](doc[DOCUMENT_ELEMENT], BORDER_TOP_WIDTH);
-
-                        if (Y.UA.ie === 6) {
-                            if (mode !== _BACK_COMPAT) {
-                                off1 = 0;
-                                off2 = 0;
-                            }
-                        }
-                        
-                        if ((mode == _BACK_COMPAT)) {
-                            if (bLeft !== MEDIUM) {
-                                off1 = parseInt(bLeft, 10);
-                            }
-                            if (bTop !== MEDIUM) {
-                                off2 = parseInt(bTop, 10);
-                            }
-                        }
-                        
-                        xy[0] -= off1;
-                        xy[1] -= off2;
-                    }
-
-                if ((scrollTop || scrollLeft)) {
-                    xy[0] += scrollLeft;
-                    xy[1] += scrollTop;
-                }
-
-                // gecko may return sub-pixel (non-int) values
-                xy[0] = Math.floor(xy[0]);
-                xy[1] = Math.floor(xy[1]);
-
-                return xy;                   
-            };
-        } else {
-            return function(node) { // manually calculate by crawling up offsetParents
-                //Calculate the Top and Left border sizes (assumes pixels)
-                var xy = [node[OFFSET_LEFT], node[OFFSET_TOP]],
-                    parentNode = node,
-                    bCheck = ((Y.UA.gecko || (Y.UA.webkit > 519)) ? true : false);
-
-                while ((parentNode = parentNode[OFFSET_PARENT])) {
-                    xy[0] += parentNode[OFFSET_LEFT];
-                    xy[1] += parentNode[OFFSET_TOP];
-                    if (bCheck) {
-                        xy = Y.DOM._calcBorders(parentNode, xy);
-                    }
-                }
-
-                // account for any scrolled ancestors
-                if (Y.DOM.getStyle(node, POSITION) != FIXED) {
-                    parentNode = node;
-                    var scrollTop, scrollLeft;
-
-                    while ((parentNode = parentNode.parentNode)) {
-                        scrollTop = parentNode[SCROLL_TOP];
-                        scrollLeft = parentNode[SCROLL_LEFT];
-
-                        //Firefox does something funky with borders when overflow is not visible.
-                        if (Y.UA.gecko && (Y.DOM.getStyle(parentNode, 'overflow') !== 'visible')) {
-                                xy = Y.DOM._calcBorders(parentNode, xy);
-                        }
-                        
-
-                        if (scrollTop || scrollLeft) {
-                            xy[0] -= scrollLeft;
-                            xy[1] -= scrollTop;
-                        }
-                    }
-                    xy[0] += Y.DOM.docScrollX(node);
-                    xy[1] += Y.DOM.docScrollY(node);
-
-                } else {
-                    //Fix FIXED position -- add scrollbars
-                    if (Y.UA.opera) {
-                        xy[0] -= Y.DOM.docScrollX(node);
-                        xy[1] -= Y.DOM.docScrollY(node);
-                    } else if (Y.UA.webkit || Y.UA.gecko) {
-                        xy[0] += Y.DOM.docScrollX(node);
-                        xy[1] += Y.DOM.docScrollY(node);
-                    }
-                }
-                //Round the numbers so we get sane data back
-                xy[0] = Math.floor(xy[0]);
-                xy[1] = Math.floor(xy[1]);
-
-                return xy;                
-            };
-        }
-    }(),// NOTE: Executing for loadtime branching
-
-    /**
-     * Gets the current X position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getX
-     * @param element The target element
-     * @return {Int} The X position of the element
-     */
-
-    getX: function(node) {
-        return Y.DOM.getXY(node)[0];
-    },
-
-    /**
-     * Gets the current Y position of an element based on page coordinates. 
-     * Element must be part of the DOM tree to have page coordinates
-     * (display:none or elements not appended return false).
-     * @method getY
-     * @param element The target element
-     * @return {Int} The Y position of the element
-     */
-
-    getY: function(node) {
-        return Y.DOM.getXY(node)[1];
-    },
-
-    /**
-     * Set the position of an html element in page coordinates.
-     * The element must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setXY
-     * @param element The target element
-     * @param {Array} xy Contains X & Y values for new position (coordinates are page-based)
-     * @param {Boolean} noRetry By default we try and set the position a second time if the first fails
-     */
-    setXY: function(node, xy, noRetry) {
-        var pos = Y.DOM.getStyle(node, POSITION),
-            setStyle = Y.DOM.setStyle,
-            delta = [ // assuming pixels; if not we will have to retry
-                parseInt( Y.DOM[GET_COMPUTED_STYLE](node, LEFT), 10 ),
-                parseInt( Y.DOM[GET_COMPUTED_STYLE](node, TOP), 10 )
-            ];
-    
-        if (pos == 'static') { // default to relative
-            pos = RELATIVE;
-            setStyle(node, POSITION, pos);
-        }
-
-        var currentXY = Y.DOM.getXY(node);
-
-        if (currentXY === false) { // has to be part of doc to have xy
-            return false; 
-        }
-        
-        if ( isNaN(delta[0]) ) {// in case of 'auto'
-            delta[0] = (pos == RELATIVE) ? 0 : node[OFFSET_LEFT];
-        } 
-        if ( isNaN(delta[1]) ) { // in case of 'auto'
-            delta[1] = (pos == RELATIVE) ? 0 : node[OFFSET_TOP];
-        } 
-
-        if (xy[0] !== null) {
-            setStyle(node, LEFT, xy[0] - currentXY[0] + delta[0] + 'px');
-        }
-
-        if (xy[1] !== null) {
-            setStyle(node, TOP, xy[1] - currentXY[1] + delta[1] + 'px');
-        }
-      
-        if (!noRetry) {
-            var newXY = Y.DOM.getXY(node);
-
-            // if retry is true, try one more time if we miss 
-           if ( (xy[0] !== null && newXY[0] != xy[0]) || 
-                (xy[1] !== null && newXY[1] != xy[1]) ) {
-               Y.DOM.setXY(node, xy, true);
-           }
-        }        
-
-    },
-
-    /**
-     * Set the X position of an html element in page coordinates, regardless of how the element is positioned.
-     * The element(s) must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setX
-     * @param element The target element
-     * @param {Int} x The X values for new position (coordinates are page-based)
-     */
-    setX: function(node, x) {
-        return Y.DOM.setXY(node, [x, null]);
-    },
-
-    /**
-     * Set the Y position of an html element in page coordinates, regardless of how the element is positioned.
-     * The element(s) must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setY
-     * @param element The target element
-     * @param {Int} y The Y values for new position (coordinates are page-based)
-     */
-    setY: function(node, y) {
-        return Y.DOM.setXY(node, [null, y]);
-    },
-
-    _calcBorders: function(node, xy2) {
-        var t = parseInt(Y.DOM[GET_COMPUTED_STYLE](node, BORDER_TOP_WIDTH), 10) || 0,
-            l = parseInt(Y.DOM[GET_COMPUTED_STYLE](node, BORDER_LEFT_WIDTH), 10) || 0;
-        if (Y.UA.gecko) {
-            if (RE_TABLE.test(node.tagName)) {
-                t = 0;
-                l = 0;
-            }
-        }
-        xy2[0] += l;
-        xy2[1] += t;
-        return xy2;
-    },
-
-    _getWinSize: function(node) {
-        var doc = Y.DOM._getDoc(),
-            win = doc.defaultView || doc.parentWindow,
-            mode = doc[COMPAT_MODE],
-            h = win.innerHeight,
-            w = win.innerWidth,
-            root = doc[DOCUMENT_ELEMENT];
-
-        if ( mode && !Y.UA.opera ) { // IE, Gecko
-            if (mode != 'CSS1Compat') { // Quirks
-                root = doc.body; 
-            }
-            h = root.clientHeight;
-            w = root.clientWidth;
-        }
-        return { height: h, width: w }; 
-    },
-
-    _getDocSize: function(node) {
-        var doc = Y.DOM._getDoc(),
-            root = doc[DOCUMENT_ELEMENT];
-
-        if (doc[COMPAT_MODE] != 'CSS1Compat') {
-            root = doc.body;
-        }
-
-        return { height: root.scrollHeight, width: root.scrollWidth };
-    }
-});
-
-/**
- * Adds position and region management functionality to DOM.
- * @module dom
- * @submodule dom-screen
- * @for DOM
- */
-
-var OFFSET_WIDTH = 'offsetWidth',
-    OFFSET_HEIGHT = 'offsetHeight',
-    TAG_NAME = 'tagName';
-
-var getOffsets = function(r1, r2) {
-
-    var t = Math.max(r1.top,    r2.top   ),
-        r = Math.min(r1.right,  r2.right ),
-        b = Math.min(r1.bottom, r2.bottom),
-        l = Math.max(r1.left,   r2.left  );
-    
-    return {
-        top: t,
-        bottom: b,
-        left: l,
-        right: r
-    };
-};
-
-Y.mix(Y.DOM, {
-    /**
-     * Returns an Object literal containing the following about this element: (top, right, bottom, left)
-     * @method region
-     * @param {HTMLElement} element The DOM element. 
-     @return {Object} Object literal containing the following about this element: (top, right, bottom, left)
-     */
-    region: function(node) {
-        var x = Y.DOM.getXY(node),
-            ret = false;
-        
-        if (x) {
-            ret = {
-                '0': x[0],
-                '1': x[1],
-                top: x[1],
-                right: x[0] + node[OFFSET_WIDTH],
-                bottom: x[1] + node[OFFSET_HEIGHT],
-                left: x[0],
-                height: node[OFFSET_HEIGHT],
-                width: node[OFFSET_WIDTH]
-            };
-        }
-
-        return ret;
-    },
-
-    /**
-     * Find the intersect information for the passes nodes.
-     * @method intersect
-     * @param {HTMLElement} element The first element 
-     * @param {HTMLElement | Object} element2 The element or region to check the interect with
-     * @param {Object} altRegion An object literal containing the region for the first element if we already have the data (for performance i.e. DragDrop)
-     @return {Object} Object literal containing the following intersection data: (top, right, bottom, left, area, yoff, xoff, inRegion)
-     */
-    intersect: function(node, node2, altRegion) {
-        var r = altRegion || Y.DOM.region(node), region = {};
-
-        var n = node2;
-        if (n[TAG_NAME]) {
-            region = Y.DOM.region(n);
-        } else if (Y.Lang.isObject(node2)) {
-            region = node2;
-        } else {
-            return false;
-        }
-        
-        var off = getOffsets(region, r);
-        return {
-            top: off.top,
-            right: off.right,
-            bottom: off.bottom,
-            left: off.left,
-            area: ((off.bottom - off.top) * (off.right - off.left)),
-            yoff: ((off.bottom - off.top)),
-            xoff: (off.right - off.left),
-            inRegion: Y.DOM.inRegion(node, node2, false, altRegion)
-        };
-        
-    },
-    /**
-     * Check if any part of this node is in the passed region
-     * @method inRegion
-     * @param {Object} node2 The node to get the region from or an Object literal of the region
-     * $param {Boolean} all Should all of the node be inside the region
-     * @param {Object} altRegion An object literal containing the region for this node if we already have the data (for performance i.e. DragDrop)
-     * @return {Boolean} True if in region, false if not.
-     */
-    inRegion: function(node, node2, all, altRegion) {
-        var region = {},
-            r = altRegion || Y.DOM.region(node);
-
-        var n = node2;
-        if (n[TAG_NAME]) {
-            region = Y.DOM.region(n);
-        } else if (Y.Lang.isObject(node2)) {
-            region = node2;
-        } else {
-            return false;
-        }
-            
-        if (all) {
-            return ( r.left   >= region.left   &&
-                r.right  <= region.right  && 
-                r.top    >= region.top    && 
-                r.bottom <= region.bottom    );
-        } else {
-            var off = getOffsets(region, r);
-            if (off.bottom >= off.top && off.right >= off.left) {
-                return true;
-            } else {
-                return false;
-            }
-            
-        }
-    },
-
-    /**
-     * Check if any part of this element is in the viewport
-     * @method inViewportRegion
-     * @param {HTMLElement} element The DOM element. 
-     * @param {Boolean} all Should all of the node be inside the region
-     * @param {Object} altRegion An object literal containing the region for this node if we already have the data (for performance i.e. DragDrop)
-     * @return {Boolean} True if in region, false if not.
-     */
-    inViewportRegion: function(node, all, altRegion) {
-        return Y.DOM.inRegion(node, Y.DOM.viewportRegion(node), all, altRegion);
-            
-    },
-
-    /**
-     * Returns an Object literal containing the following about the visible region of viewport: (top, right, bottom, left)
-     * @method viewportRegion
-     @return {Object} Object literal containing the following about the visible region of the viewport: (top, right, bottom, left)
-     */
-    viewportRegion: function(node) {
-        node = node || Y.config.doc.documentElement;
-        var r = {
-            top: Y.DOM.docScrollY(node),
-            right: Y.DOM.winWidth(node) + Y.DOM.docScrollX(node),
-            bottom: (Y.DOM.docScrollY(node) + Y.DOM.winHeight(node)),
-            left: Y.DOM.docScrollX(node)
-        };
-
-        return r;
-    }
-});
-/**
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var CLIENT_TOP = 'clientTop',
-    CLIENT_LEFT = 'clientLeft',
-    PARENT_NODE = 'parentNode',
-    RIGHT = 'right',
-    HAS_LAYOUT = 'hasLayout',
-    PX = 'px',
-    FILTER = 'filter',
-    FILTERS = 'filters',
-    OPACITY = 'opacity',
-    AUTO = 'auto',
-    CURRENT_STYLE = 'currentStyle';
-
-// use alpha filter for IE opacity
-if (document[DOCUMENT_ELEMENT][STYLE][OPACITY] === UNDEFINED &&
-        document[DOCUMENT_ELEMENT][FILTERS]) {
-    Y.DOM.CUSTOM_STYLES[OPACITY] = {
-        get: function(node) {
-            var val = 100;
-            try { // will error if no DXImageTransform
-                val = node[FILTERS]['DXImageTransform.Microsoft.Alpha'][OPACITY];
-
-            } catch(e) {
-                try { // make sure its in the document
-                    val = node[FILTERS]('alpha')[OPACITY];
-                } catch(err) {
-                }
-            }
-            return val / 100;
-        },
-
-        set: function(node, val, style) {
-            if (typeof style[FILTER] == 'string') { // in case not appended
-                style[FILTER] = 'alpha(' + OPACITY + '=' + val * 100 + ')';
-                
-                if (!node[CURRENT_STYLE] || !node[CURRENT_STYLE][HAS_LAYOUT]) {
-                    style.zoom = 1; // needs layout 
-                }
-            }
-        }
-    };
-}
-
-// IE getComputedStyle
-// TODO: unit-less lineHeight (e.g. 1.22)
-var re_size = /^width|height$/,
-    re_unit = /^(\d[.\d]*)+(em|ex|px|gd|rem|vw|vh|vm|ch|mm|cm|in|pt|pc|deg|rad|ms|s|hz|khz|%){1}?/i;
-
-var ComputedStyle = {
-    CUSTOM_STYLES: {},
-
-    get: function(el, property) {
-        var value = '',
-            current = el[CURRENT_STYLE][property];
-
-        if (property === OPACITY) {
-            value = Y.DOM.CUSTOM_STYLES[OPACITY].get(el);        
-        } else if (!current || current.indexOf(PX) > -1) { // no need to convert
-            value = current;
-        } else if (Y.DOM.IE.COMPUTED[property]) { // use compute function
-            value = Y.DOM.IE.COMPUTED[property](el, property);
-        } else if (re_unit.test(current)) { // convert to pixel
-            value = Y.DOM.IE.ComputedStyle.getPixel(el, property);
-        } else {
-            value = current;
-        }
-
-        return value;
-    },
-
-    getOffset: function(el, prop) {
-        var current = el[CURRENT_STYLE][prop],                        // value of "width", "top", etc.
-            capped = prop.charAt(0).toUpperCase() + prop.substr(1), // "Width", "Top", etc.
-            offset = 'offset' + capped,                             // "offsetWidth", "offsetTop", etc.
-            pixel = 'pixel' + capped,                               // "pixelWidth", "pixelTop", etc.
-            value = '';
-
-        if (current == AUTO) {
-            var actual = el[offset]; // offsetHeight/Top etc.
-            if (actual === UNDEFINED) { // likely "right" or "bottom"
-                value = 0;
-            }
-
-            value = actual;
-            if (re_size.test(prop)) { // account for box model diff 
-                el[STYLE][prop] = actual; 
-                if (el[offset] > actual) {
-                    // the difference is padding + border (works in Standards & Quirks modes)
-                    value = actual - (el[offset] - actual);
-                }
-                el[STYLE][prop] = AUTO; // revert to auto
-            }
-        } else { // convert units to px
-            if (!el[STYLE][pixel] && !el[STYLE][prop]) { // need to map style.width to currentStyle (no currentStyle.pixelWidth)
-                el[STYLE][prop] = current;              // no style.pixelWidth if no style.width
-            }
-            value = el[STYLE][pixel];
-        }
-        return value + PX;
-    },
-
-    getBorderWidth: function(el, property) {
-        // clientHeight/Width = paddingBox (e.g. offsetWidth - borderWidth)
-        // clientTop/Left = borderWidth
-        var value = null;
-        if (!el[CURRENT_STYLE][HAS_LAYOUT]) { // TODO: unset layout?
-            el[STYLE].zoom = 1; // need layout to measure client
-        }
-
-        switch(property) {
-            case BORDER_TOP_WIDTH:
-                value = el[CLIENT_TOP];
-                break;
-            case BORDER_BOTTOM_WIDTH:
-                value = el.offsetHeight - el.clientHeight - el[CLIENT_TOP];
-                break;
-            case BORDER_LEFT_WIDTH:
-                value = el[CLIENT_LEFT];
-                break;
-            case BORDER_RIGHT_WIDTH:
-                value = el.offsetWidth - el.clientWidth - el[CLIENT_LEFT];
-                break;
-        }
-        return value + PX;
-    },
-
-    getPixel: function(node, att) {
-        // use pixelRight to convert to px
-        var val = null,
-            styleRight = node[CURRENT_STYLE][RIGHT],
-            current = node[CURRENT_STYLE][att];
-
-        node[STYLE][RIGHT] = current;
-        val = node[STYLE].pixelRight;
-        node[STYLE][RIGHT] = styleRight; // revert
-
-        return val + PX;
-    },
-
-    getMargin: function(node, att) {
-        var val;
-        if (node[CURRENT_STYLE][att] == AUTO) {
-            val = 0 + PX;
-        } else {
-            val = Y.DOM.IE.ComputedStyle.getPixel(node, att);
-        }
-        return val;
-    },
-
-    getVisibility: function(node, att) {
-        var current;
-        while ( (current = node[CURRENT_STYLE]) && current[att] == 'inherit') { // NOTE: assignment in test
-            node = node[PARENT_NODE];
-        }
-        return (current) ? current[att] : VISIBLE;
-    },
-
-    getColor: function(node, att) {
-        var current = node[CURRENT_STYLE][att];
-
-        if (!current || current === TRANSPARENT) {
-            Y.DOM.elementByAxis(node, PARENT_NODE, null, function(parent) {
-                current = parent[CURRENT_STYLE][att];
-                if (current && current !== TRANSPARENT) {
-                    node = parent;
-                    return true;
-                }
-            });
-        }
-
-        return Y.Color.toRGB(current);
-    },
-
-    getBorderColor: function(node, att) {
-        var current = node[CURRENT_STYLE];
-        var val = current[att] || current.color;
-        return Y.Color.toRGB(Y.Color.toHex(val));
-    }
-
-};
-
-//fontSize: getPixelFont,
-var IEComputed = {};
-
-IEComputed[WIDTH] = IEComputed[HEIGHT] = ComputedStyle.getOffset;
-
-IEComputed.color = IEComputed.backgroundColor = ComputedStyle.getColor;
-
-IEComputed[BORDER_TOP_WIDTH] = IEComputed[BORDER_RIGHT_WIDTH] =
-        IEComputed[BORDER_BOTTOM_WIDTH] = IEComputed[BORDER_LEFT_WIDTH] =
-        ComputedStyle.getBorderWidth;
-
-IEComputed.marginTop = IEComputed.marginRight = IEComputed.marginBottom =
-        IEComputed.marginLeft = ComputedStyle.getMargin;
-
-IEComputed.visibility = ComputedStyle.getVisibility;
-IEComputed.borderColor = IEComputed.borderTopColor =
-        IEComputed.borderRightColor = IEComputed.borderBottomColor =
-        IEComputed.borderLeftColor = ComputedStyle.getBorderColor;
-
-if (!Y.config.win[GET_COMPUTED_STYLE]) {
-    Y.DOM[GET_COMPUTED_STYLE] = ComputedStyle.get; 
-}
-
-Y.namespace('DOM.IE');
-Y.DOM.IE.COMPUTED = IEComputed;
-Y.DOM.IE.ComputedStyle = ComputedStyle;
-
-/**
- * Provides helper methods for collecting and filtering DOM elements.
- * @module dom
- * @submodule selector
- */
-
-/**
- * Provides helper methods for collecting and filtering DOM elements.
- * @class Selector
- * @static
- */
-
-var TAG = 'tag',
-    PARENT_NODE = 'parentNode',
-    PREVIOUS_SIBLING = 'previousSibling',
-    LENGTH = 'length',
-    NODE_TYPE = 'nodeType',
-    TAG_NAME = 'tagName',
-    ATTRIBUTES = 'attributes',
-    PSEUDOS = 'pseudos',
-    COMBINATOR = 'combinator';
-
-var reNth = /^(?:([\-]?\d*)(n){1}|(odd|even)$)*([\-+]?\d*)$/;
-
-var patterns = {
-    tag: /^((?:-?[_a-z]+[\w\-]*)|\*)/i,
-    attributes: /^\[([a-z]+\w*)+([~\|\^\$\*!=]=?)?['"]?([^\]]*?)['"]?\]/i,
-    pseudos: /^:([\-\w]+)(?:\(['"]?(.+)['"]?\))*/i,
-    combinator: /^\s*([>+~]|\s)\s*/
-};
-
-var Selector = {
-    /**
-     * Default document for use queries 
-     * @property document
-     * @type object
-     * @default window.document
-     */
-    document: Y.config.doc,
-    /**
-     * Mapping of attributes to aliases, normally to work around HTMLAttributes
-     * that conflict with JS reserved words.
-     * @property attrAliases
-     * @type object
-     */
-    attrAliases: {},
-
-    /**
-     * Mapping of shorthand tokens to corresponding attribute selector 
-     * @property shorthand
-     * @type object
-     */
-    shorthand: {
-        '\\#(-?[_a-z]+[-\\w]*)': '[id=$1]',
-        '\\.(-?[_a-z]+[-\\w]*)': '[class~=$1]'
-    },
-
-    /**
-     * List of operators and corresponding boolean functions. 
-     * These functions are passed the attribute and the current node's value of the attribute.
-     * @property operators
-     * @type object
-     */
-    operators: {
-        '=': function(attr, val) { return attr === val; }, // Equality
-        '!=': function(attr, val) { return attr !== val; }, // Inequality
-        '~=': function(attr, val) { // Match one of space seperated words 
-            var s = ' ';
-            return (s + attr + s).indexOf((s + val + s)) > -1;
-        },
-        '|=': function(attr, val) { return Y.DOM._getRegExp('^' + val + '[-]?').test(attr); }, // Match start with value followed by optional hyphen
-        '^=': function(attr, val) { return attr.indexOf(val) === 0; }, // Match starts with value
-        '$=': function(attr, val) { return attr.lastIndexOf(val) === attr[LENGTH] - val[LENGTH]; }, // Match ends with value
-        '*=': function(attr, val) { return attr.indexOf(val) > -1; }, // Match contains value as substring 
-        '': function(attr, val) { return attr; } // Just test for existence of attribute
-    },
-
-    /**
-     * List of pseudo-classes and corresponding boolean functions. 
-     * These functions are called with the current node, and any value that was parsed with the pseudo regex.
-     * @property pseudos
-     * @type object
-     */
-    pseudos: {
-        'root': function(node) {
-            return node === node.ownerDocument.documentElement;
-        },
-
-        'nth-child': function(node, val) {
-            return Selector.getNth(node, val);
-        },
-
-        'nth-last-child': function(node, val) {
-            return Selector.getNth(node, val, null, true);
-        },
-
-        'nth-of-type': function(node, val) {
-            return Selector.getNth(node, val, node[TAG_NAME]);
-        },
-         
-        'nth-last-of-type': function(node, val) {
-            return Selector.getNth(node, val, node[TAG_NAME], true);
-        },
-         
-        'first-child': function(node) {
-            return Y.DOM.firstChild(node[PARENT_NODE]) === node;
-        },
-
-        'last-child': function(node) {
-            return Y.DOM.lastChild(node[PARENT_NODE]) === node;
-        },
-
-        'first-of-type': function(node, val) {
-            return Y.DOM.firstChildByTag(node[PARENT_NODE], node[TAG_NAME]) === node;
-        },
-         
-        'last-of-type': function(node, val) {
-            return Y.DOM.lastChildByTag(node[PARENT_NODE], node[TAG_NAME]) === node;
-        },
-         
-        'only-child': function(node) {
-            var children = Y.DOM.children(node[PARENT_NODE]);
-            return children[LENGTH] === 1 && children[0] === node;
-        },
-
-        'only-of-type': function(node) {
-            return Y.DOM.childrenByTag(node[PARENT_NODE], node[TAG_NAME])[LENGTH] === 1;
-        },
-
-        'empty': function(node) {
-            return node.childNodes[LENGTH] === 0;
-        },
-
-        'not': function(node, simple) {
-            return !Selector.test(node, simple);
-        },
-
-        'contains': function(node, str) {
-            var text = node.innerText || node.textContent || '';
-            return text.indexOf(str) > -1;
-        },
-        'checked': function(node) {
-            return node.checked === true;
-        }
-    },
-
-    /**
-     * Test if the supplied node matches the supplied selector.
-     * @method test
-     *
-     * @param {HTMLElement | String} node An id or node reference to the HTMLElement being tested.
-     * @param {string} selector The CSS Selector to test the node against.
-     * @return{boolean} Whether or not the node matches the selector.
-     * @static
-    
-     */
-    test: function(node, selector) {
-        if (!node) {
-            return false;
-        }
-
-        var groups = selector ? selector.split(',') : [];
-        if (groups[LENGTH]) {
-            for (var i = 0, len = groups[LENGTH]; i < len; ++i) {
-                if ( Selector._testNode(node, groups[i]) ) { // passes if ANY group matches
-                    return true;
-                }
-            }
-            return false;
-        }
-        return Selector._testNode(node, selector);
-    },
-
-    /**
-     * Filters a set of nodes based on a given CSS selector. 
-     * @method filter
-     *
-     * @param {array} nodes A set of nodes/ids to filter. 
-     * @param {string} selector The selector used to test each node.
-     * @return{array} An array of nodes from the supplied array that match the given selector.
-     * @static
-     */
-    filter: function(nodes, selector) {
-        nodes = nodes || [];
-
-        var result = Selector._filter(nodes, Selector._tokenize(selector)[0]);
-        return result;
-    },
-
-    /**
-     * Retrieves a set of nodes based on a given CSS selector. 
-     * @method query
-     *
-     * @param {string} selector The CSS Selector to test the node against.
-     * @param {HTMLElement | String} root optional An id or HTMLElement to start the query from. Defaults to Selector.document.
-     * @param {Boolean} firstOnly optional Whether or not to return only the first match.
-     * @return {Array} An array of nodes that match the given selector.
-     * @static
-     */
-    query: function(selector, root, firstOnly) {
-        var result = Selector._query(selector, root, firstOnly);
-        return result;
-    },
-
-    _query: function(selector, root, firstOnly, deDupe) {
-        var result =  (firstOnly) ? null : [];
-        if (!selector) {
-            return result;
-        }
-
-        root = root || Selector.document;
-        var groups = selector.split(','); // TODO: handle comma in attribute/pseudo
-
-        if (groups[LENGTH] > 1) {
-            var found;
-            for (var i = 0, len = groups[LENGTH]; i < len; ++i) {
-                found = arguments.callee(groups[i], root, firstOnly, true);
-                result = firstOnly ? found : result.concat(found); 
-            }
-            Selector._clearFoundCache();
-            return result;
-        }
-
-        var tokens = Selector._tokenize(selector);
-        var idToken = tokens[Selector._getIdTokenIndex(tokens)],
-            nodes = [],
-            node,
-            id,
-            token = tokens.pop() || {};
-            
-        if (idToken) {
-            id = Selector._getId(idToken[ATTRIBUTES]);
-        }
-
-        // use id shortcut when possible
-        if (id) {
-            node = Selector.document.getElementById(id);
-
-            if (node && (root[NODE_TYPE] === 9 || Y.DOM.contains(root, node))) {
-                if ( Selector._testNode(node, null, idToken) ) {
-                    if (idToken === token) {
-                        nodes = [node]; // simple selector
-                    } else {
-                        root = node; // start from here
-                    }
-                }
-            } else {
-                return result;
-            }
-        }
-
-        if (root && !nodes[LENGTH]) {
-            nodes = root.getElementsByTagName(token[TAG]);
-        }
-
-        if (nodes[LENGTH]) {
-            result = Selector._filter(nodes, token, firstOnly, deDupe); 
-        }
-        return result;
-    },
-
-    _filter: function(nodes, token, firstOnly, deDupe) {
-        var result = firstOnly ? null : [];
-
-        result = Y.DOM.filterElementsBy(nodes, function(node) {
-            if (! Selector._testNode(node, '', token, deDupe)) {
-                return false;
-            }
-
-            if (deDupe) {
-                if (node._found) {
-                    return false;
-                }
-                node._found = true;
-                Selector._foundCache[Selector._foundCache[LENGTH]] = node;
-            }
-            return true;
-        }, firstOnly);
-
-        return result;
-    },
-
-    _testNode: function(node, selector, token, deDupe) {
-        token = token || Selector._tokenize(selector).pop() || {};
-        var ops = Selector.operators,
-            pseudos = Selector.pseudos,
-            prev = token.previous,
-            i, len;
-
-        if (!node[TAG_NAME] ||
-            (token[TAG] !== '*' && node[TAG_NAME].toUpperCase() !== token[TAG]) ||
-            (deDupe && node._found) ) {
-            return false;
-        }
-
-        if (token[ATTRIBUTES][LENGTH]) {
-            var attribute;
-            for (i = 0, len = token[ATTRIBUTES][LENGTH]; i < len; ++i) {
-                attribute = node.getAttribute(token[ATTRIBUTES][i][0], 2);
-                if (attribute === undefined) {
-                    attribute = node[token[ATTRIBUTES][i][0]];
-                    if (attribute === undefined) {
-                        return false;
-                    }
-                }
-                if ( ops[token[ATTRIBUTES][i][1]] &&
-                        !ops[token[ATTRIBUTES][i][1]](attribute, token[ATTRIBUTES][i][2])) {
-                    return false;
-                }
-            }
-        }
-
-        if (token[PSEUDOS][LENGTH]) {
-            for (i = 0, len = token[PSEUDOS][LENGTH]; i < len; ++i) {
-                if (pseudos[token[PSEUDOS][i][0]] &&
-                        !pseudos[token[PSEUDOS][i][0]](node, token[PSEUDOS][i][1])) {
-                    return false;
-                }
-            }
-        }
-        return (prev && prev[COMBINATOR] !== ',') ?
-                Selector.combinators[prev[COMBINATOR]](node, token) :
-                true;
-    },
-
-
-    _foundCache: [],
-    _regexCache: {},
-
-    _clearFoundCache: function() {
-        for (var i = 0, len = Selector._foundCache[LENGTH]; i < len; ++i) {
-            try { // IE no like delete
-                delete Selector._foundCache[i]._found;
-            } catch(e) {
-                Selector._foundCache[i].removeAttribute('_found');
-            }
-        }
-        Selector._foundCache = [];
-    },
-
-    combinators: {
-        ' ': function(node, token) {
-            while ((node = node[PARENT_NODE])) {
-                if (Selector._testNode(node, '', token.previous)) {
-                    return true;
-                }
-            }  
-            return false;
-        },
-
-        '>': function(node, token) {
-            return Selector._testNode(node[PARENT_NODE], null, token.previous);
-        },
-        '+': function(node, token) {
-            var sib = node[PREVIOUS_SIBLING];
-            while (sib && sib[NODE_TYPE] !== 1) {
-                sib = sib[PREVIOUS_SIBLING];
-            }
-
-            if (sib && Selector._testNode(sib, null, token.previous)) {
-                return true; 
-            }
-            return false;
-        },
-
-        '~': function(node, token) {
-            var sib = node[PREVIOUS_SIBLING];
-            while (sib) {
-                if (sib[NODE_TYPE] === 1 && Selector._testNode(sib, null, token.previous)) {
-                    return true;
-                }
-                sib = sib[PREVIOUS_SIBLING];
-            }
-
-            return false;
-        }
-    },
-
-
-    /*
-        an+b = get every _a_th node starting at the _b_th
-        0n+b = no repeat ("0" and "n" may both be omitted (together) , e.g. "0n+1" or "1", not "0+1"), return only the _b_th element
-        1n+b =  get every element starting from b ("1" may may be omitted, e.g. "1n+0" or "n+0" or "n")
-        an+0 = get every _a_th element, "0" may be omitted 
-    */
-    getNth: function(node, expr, tag, reverse) {
-        reNth.test(expr);
-
-        var a = parseInt(RegExp.$1, 10), // include every _a_ elements (zero means no repeat, just first _a_)
-            n = RegExp.$2, // "n"
-            oddeven = RegExp.$3, // "odd" or "even"
-            b = parseInt(RegExp.$4, 10) || 0, // start scan from element _b_
-            op, i, len, siblings;
-
-        if (tag) {
-            siblings = Y.DOM.childrenByTag(node[PARENT_NODE], tag);
-        } else {
-            siblings = Y.DOM.children(node[PARENT_NODE]);
-        }
-
-        if (oddeven) {
-            a = 2; // always every other
-            op = '+';
-            n = 'n';
-            b = (oddeven === 'odd') ? 1 : 0;
-        } else if ( isNaN(a) ) {
-            a = (n) ? 1 : 0; // start from the first or no repeat
-        }
-
-        if (a === 0) { // just the first
-            if (reverse) {
-                b = siblings[LENGTH] - b + 1; 
-            }
-
-            if (siblings[b - 1] === node) {
-                return true;
-            } else {
-                return false;
-            }
-
-        } else if (a < 0) {
-            reverse = !!reverse;
-            a = Math.abs(a);
-        }
-
-        if (!reverse) {
-            for (i = b - 1, len = siblings[LENGTH]; i < len; i += a) {
-                if ( i >= 0 && siblings[i] === node ) {
-                    return true;
-                }
-            }
-        } else {
-            for (i = siblings[LENGTH] - b, len = siblings[LENGTH]; i >= 0; i -= a) {
-                if ( i < len && siblings[i] === node ) {
-                    return true;
-                }
-            }
-        }
-        return false;
-    },
-
-    _getId: function(attr) {
-        for (var i = 0, len = attr[LENGTH]; i < len; ++i) {
-            if (attr[i][0] == 'id' && attr[i][1] === '=') {
-                return attr[i][2];
-            }
-        }
-    },
-
-    _getIdTokenIndex: function(tokens) {
-        for (var i = 0, len = tokens[LENGTH]; i < len; ++i) {
-            if (Selector._getId(tokens[i][ATTRIBUTES])) {
-                return i;
-            }
-        }
-        return -1;
-    },
-
-    /**
-        Break selector into token units per simple selector.
-        Combinator is attached to left-hand selector.
-     */
-    _tokenize: function(selector) {
-        var token = {},     // one token per simple selector (left selector holds combinator)
-            tokens = [],    // array of tokens
-            found = false,  // whether or not any matches were found this pass
-            match;          // the regex match
-
-        selector = Selector._replaceShorthand(selector); // convert ID and CLASS shortcuts to attributes
-
-        /*
-            Search for selector patterns, store, and strip them from the selector string
-            until no patterns match (invalid selector) or we run out of chars.
-
-            Multiple attributes and pseudos are allowed, in any order.
-            for example:
-                'form:first-child[type=button]:not(button)[lang|=en]'
-        */
-        do {
-            found = false; // reset after full pass
-            for (var re in patterns) {
-                if (patterns.hasOwnProperty(re)) {
-                    if (re != TAG && re != COMBINATOR) { // only one allowed
-                        token[re] = token[re] || [];
-                    }
-                    if ((match = patterns[re].exec(selector))) { // note assignment
-                        found = true;
-                        if (re != TAG && re != COMBINATOR) { // only one allowed
-                            //token[re] = token[re] || [];
-
-                            // capture ID for fast path to element
-                            if (re === ATTRIBUTES && match[1] === 'id') {
-                                token.id = match[3];
-                            }
-
-                            token[re].push(match.slice(1));
-                        } else { // single selector (tag, combinator)
-                            token[re] = match[1];
-                        }
-                        selector = selector.replace(match[0], ''); // strip current match from selector
-                        if (re === COMBINATOR || !selector[LENGTH]) { // next token or done
-                            token[ATTRIBUTES] = Selector._fixAttributes(token[ATTRIBUTES]);
-                            token[PSEUDOS] = token[PSEUDOS] || [];
-                            token[TAG] = token[TAG] ? token[TAG].toUpperCase() : '*';
-                            tokens.push(token);
-
-                            token = { // prep next token
-                                previous: token
-                            };
-                        }
-                    }
-                }
-            }
-        } while (found);
-
-        return tokens;
-    },
-
-    _fixAttributes: function(attr) {
-        var aliases = Selector.attrAliases;
-        attr = attr || [];
-        for (var i = 0, len = attr[LENGTH]; i < len; ++i) {
-            if (aliases[attr[i][0]]) { // convert reserved words, etc
-                attr[i][0] = aliases[attr[i][0]];
-            }
-            if (!attr[i][1]) { // use exists operator
-                attr[i][1] = '';
-            }
-        }
-        return attr;
-    },
-
-    _replaceShorthand: function(selector) {
-        var shorthand = Selector.shorthand;
-        var attrs = selector.match(patterns[ATTRIBUTES]); // pull attributes to avoid false pos on "." and "#"
-        if (attrs) {
-            selector = selector.replace(patterns[ATTRIBUTES], 'REPLACED_ATTRIBUTE');
-        }
-        for (var re in shorthand) {
-            if (shorthand.hasOwnProperty(re)) {
-                selector = selector.replace(Y.DOM._getRegExp(re, 'gi'), shorthand[re]);
-            }
-        }
-
-        if (attrs) {
-            for (var i = 0, len = attrs[LENGTH]; i < len; ++i) {
-                selector = selector.replace('REPLACED_ATTRIBUTE', attrs[i]);
-            }
-        }
-        return selector;
-    }
-
-};
-
-if (Y.UA.ie) { // rewrite class for IE (others use getAttribute('class')
-    Selector.attrAliases['class'] = 'className';
-    Selector.attrAliases['for'] = 'htmlFor';
-}
-
-Y.Selector = Selector;
-Y.Selector.patterns = patterns;
-
-/**
- * Add style management functionality to DOM.
- * @module dom
- * @submodule dom-style
- * @for DOM
- */
-
-var TO_STRING = 'toString',
-    PARSE_INT = parseInt,
-    RE = RegExp;
-
-Y.Color = {
-    KEYWORDS: {
-        black: '000',
-        silver: 'c0c0c0',
-        gray: '808080',
-        white: 'fff',
-        maroon: '800000',
-        red: 'f00',
-        purple: '800080',
-        fuchsia: 'f0f',
-        green: '008000',
-        lime: '0f0',
-        olive: '808000',
-        yellow: 'ff0',
-        navy: '000080',
-        blue: '00f',
-        teal: '008080',
-        aqua: '0ff'
-    },
-
-    re_RGB: /^rgb\(([0-9]+)\s*,\s*([0-9]+)\s*,\s*([0-9]+)\)$/i,
-    re_hex: /^#?([0-9A-F]{2})([0-9A-F]{2})([0-9A-F]{2})$/i,
-    re_hex3: /([0-9A-F])/gi,
-
-    toRGB: function(val) {
-        if (!Y.Color.re_RGB.test(val)) {
-            val = Y.Color.toHex(val);
-        }
-
-        if(Y.Color.re_hex.exec(val)) {
-            val = 'rgb(' + [
-                PARSE_INT(RE.$1, 16),
-                PARSE_INT(RE.$2, 16),
-                PARSE_INT(RE.$3, 16)
-            ].join(', ') + ')';
-        }
-        return val;
-    },
-
-    toHex: function(val) {
-        val = Y.Color.KEYWORDS[val] || val;
-        if (Y.Color.re_RGB.exec(val)) {
-            var r = (RE.$1.length === 1) ? '0' + RE.$1 : Number(RE.$1),
-                g = (RE.$2.length === 1) ? '0' + RE.$2 : Number(RE.$2),
-                b = (RE.$3.length === 1) ? '0' + RE.$3 : Number(RE.$3);
-
-            val = [
-                r[TO_STRING](16),
-                g[TO_STRING](16),
-                b[TO_STRING](16)
-            ].join('');
-        }
-
-        if (val.length < 6) {
-            val = val.replace(Y.Color.re_hex3, '$1$1');
-        }
-
-        if (val !== 'transparent' && val.indexOf('#') < 0) {
-            val = '#' + val;
-        }
-
-        return val.toLowerCase();
-    }
-};
-
-
-
-}, '3.0.0pr1' ,{skinnable:false});

=== removed file 'loggerhead/static/javascript/yui/build/dom/selector-debug.js'
--- loggerhead/static/javascript/yui/build/dom/selector-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/selector-debug.js	1970-01-01 00:00:00 +0000
@@ -1,577 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('selector', function(Y) {
-
-/**
- * Provides helper methods for collecting and filtering DOM elements.
- * @module dom
- * @submodule selector
- */
-
-/**
- * Provides helper methods for collecting and filtering DOM elements.
- * @class Selector
- * @static
- */
-
-var TAG = 'tag',
-    PARENT_NODE = 'parentNode',
-    PREVIOUS_SIBLING = 'previousSibling',
-    LENGTH = 'length',
-    NODE_TYPE = 'nodeType',
-    TAG_NAME = 'tagName',
-    ATTRIBUTES = 'attributes',
-    PSEUDOS = 'pseudos',
-    COMBINATOR = 'combinator';
-
-var reNth = /^(?:([\-]?\d*)(n){1}|(odd|even)$)*([\-+]?\d*)$/;
-
-var patterns = {
-    tag: /^((?:-?[_a-z]+[\w\-]*)|\*)/i,
-    attributes: /^\[([a-z]+\w*)+([~\|\^\$\*!=]=?)?['"]?([^\]]*?)['"]?\]/i,
-    pseudos: /^:([\-\w]+)(?:\(['"]?(.+)['"]?\))*/i,
-    combinator: /^\s*([>+~]|\s)\s*/
-};
-
-var Selector = {
-    /**
-     * Default document for use queries 
-     * @property document
-     * @type object
-     * @default window.document
-     */
-    document: Y.config.doc,
-    /**
-     * Mapping of attributes to aliases, normally to work around HTMLAttributes
-     * that conflict with JS reserved words.
-     * @property attrAliases
-     * @type object
-     */
-    attrAliases: {},
-
-    /**
-     * Mapping of shorthand tokens to corresponding attribute selector 
-     * @property shorthand
-     * @type object
-     */
-    shorthand: {
-        '\\#(-?[_a-z]+[-\\w]*)': '[id=$1]',
-        '\\.(-?[_a-z]+[-\\w]*)': '[class~=$1]'
-    },
-
-    /**
-     * List of operators and corresponding boolean functions. 
-     * These functions are passed the attribute and the current node's value of the attribute.
-     * @property operators
-     * @type object
-     */
-    operators: {
-        '=': function(attr, val) { return attr === val; }, // Equality
-        '!=': function(attr, val) { return attr !== val; }, // Inequality
-        '~=': function(attr, val) { // Match one of space seperated words 
-            var s = ' ';
-            return (s + attr + s).indexOf((s + val + s)) > -1;
-        },
-        '|=': function(attr, val) { return Y.DOM._getRegExp('^' + val + '[-]?').test(attr); }, // Match start with value followed by optional hyphen
-        '^=': function(attr, val) { return attr.indexOf(val) === 0; }, // Match starts with value
-        '$=': function(attr, val) { return attr.lastIndexOf(val) === attr[LENGTH] - val[LENGTH]; }, // Match ends with value
-        '*=': function(attr, val) { return attr.indexOf(val) > -1; }, // Match contains value as substring 
-        '': function(attr, val) { return attr; } // Just test for existence of attribute
-    },
-
-    /**
-     * List of pseudo-classes and corresponding boolean functions. 
-     * These functions are called with the current node, and any value that was parsed with the pseudo regex.
-     * @property pseudos
-     * @type object
-     */
-    pseudos: {
-        'root': function(node) {
-            return node === node.ownerDocument.documentElement;
-        },
-
-        'nth-child': function(node, val) {
-            return Selector.getNth(node, val);
-        },
-
-        'nth-last-child': function(node, val) {
-            return Selector.getNth(node, val, null, true);
-        },
-
-        'nth-of-type': function(node, val) {
-            return Selector.getNth(node, val, node[TAG_NAME]);
-        },
-         
-        'nth-last-of-type': function(node, val) {
-            return Selector.getNth(node, val, node[TAG_NAME], true);
-        },
-         
-        'first-child': function(node) {
-            return Y.DOM.firstChild(node[PARENT_NODE]) === node;
-        },
-
-        'last-child': function(node) {
-            return Y.DOM.lastChild(node[PARENT_NODE]) === node;
-        },
-
-        'first-of-type': function(node, val) {
-            return Y.DOM.firstChildByTag(node[PARENT_NODE], node[TAG_NAME]) === node;
-        },
-         
-        'last-of-type': function(node, val) {
-            return Y.DOM.lastChildByTag(node[PARENT_NODE], node[TAG_NAME]) === node;
-        },
-         
-        'only-child': function(node) {
-            var children = Y.DOM.children(node[PARENT_NODE]);
-            return children[LENGTH] === 1 && children[0] === node;
-        },
-
-        'only-of-type': function(node) {
-            return Y.DOM.childrenByTag(node[PARENT_NODE], node[TAG_NAME])[LENGTH] === 1;
-        },
-
-        'empty': function(node) {
-            return node.childNodes[LENGTH] === 0;
-        },
-
-        'not': function(node, simple) {
-            return !Selector.test(node, simple);
-        },
-
-        'contains': function(node, str) {
-            var text = node.innerText || node.textContent || '';
-            return text.indexOf(str) > -1;
-        },
-        'checked': function(node) {
-            return node.checked === true;
-        }
-    },
-
-    /**
-     * Test if the supplied node matches the supplied selector.
-     * @method test
-     *
-     * @param {HTMLElement | String} node An id or node reference to the HTMLElement being tested.
-     * @param {string} selector The CSS Selector to test the node against.
-     * @return{boolean} Whether or not the node matches the selector.
-     * @static
-    
-     */
-    test: function(node, selector) {
-        if (!node) {
-            return false;
-        }
-
-        var groups = selector ? selector.split(',') : [];
-        if (groups[LENGTH]) {
-            for (var i = 0, len = groups[LENGTH]; i < len; ++i) {
-                if ( Selector._testNode(node, groups[i]) ) { // passes if ANY group matches
-                    return true;
-                }
-            }
-            return false;
-        }
-        return Selector._testNode(node, selector);
-    },
-
-    /**
-     * Filters a set of nodes based on a given CSS selector. 
-     * @method filter
-     *
-     * @param {array} nodes A set of nodes/ids to filter. 
-     * @param {string} selector The selector used to test each node.
-     * @return{array} An array of nodes from the supplied array that match the given selector.
-     * @static
-     */
-    filter: function(nodes, selector) {
-        nodes = nodes || [];
-
-        var result = Selector._filter(nodes, Selector._tokenize(selector)[0]);
-        Y.log('filter: returning:' + result[LENGTH], 'info', 'Selector');
-        return result;
-    },
-
-    /**
-     * Retrieves a set of nodes based on a given CSS selector. 
-     * @method query
-     *
-     * @param {string} selector The CSS Selector to test the node against.
-     * @param {HTMLElement | String} root optional An id or HTMLElement to start the query from. Defaults to Selector.document.
-     * @param {Boolean} firstOnly optional Whether or not to return only the first match.
-     * @return {Array} An array of nodes that match the given selector.
-     * @static
-     */
-    query: function(selector, root, firstOnly) {
-        var result = Selector._query(selector, root, firstOnly);
-        //Y.log('query: ' + selector + ' returning ' + result, 'info', 'Selector');
-        return result;
-    },
-
-    _query: function(selector, root, firstOnly, deDupe) {
-        var result =  (firstOnly) ? null : [];
-        if (!selector) {
-            return result;
-        }
-
-        root = root || Selector.document;
-        var groups = selector.split(','); // TODO: handle comma in attribute/pseudo
-
-        if (groups[LENGTH] > 1) {
-            var found;
-            for (var i = 0, len = groups[LENGTH]; i < len; ++i) {
-                found = arguments.callee(groups[i], root, firstOnly, true);
-                result = firstOnly ? found : result.concat(found); 
-            }
-            Selector._clearFoundCache();
-            return result;
-        }
-
-        var tokens = Selector._tokenize(selector);
-        var idToken = tokens[Selector._getIdTokenIndex(tokens)],
-            nodes = [],
-            node,
-            id,
-            token = tokens.pop() || {};
-            
-        if (idToken) {
-            id = Selector._getId(idToken[ATTRIBUTES]);
-        }
-
-        // use id shortcut when possible
-        if (id) {
-            node = Selector.document.getElementById(id);
-
-            if (node && (root[NODE_TYPE] === 9 || Y.DOM.contains(root, node))) {
-                if ( Selector._testNode(node, null, idToken) ) {
-                    if (idToken === token) {
-                        nodes = [node]; // simple selector
-                    } else {
-                        root = node; // start from here
-                    }
-                }
-            } else {
-                return result;
-            }
-        }
-
-        if (root && !nodes[LENGTH]) {
-            nodes = root.getElementsByTagName(token[TAG]);
-        }
-
-        if (nodes[LENGTH]) {
-            result = Selector._filter(nodes, token, firstOnly, deDupe); 
-        }
-        return result;
-    },
-
-    _filter: function(nodes, token, firstOnly, deDupe) {
-        var result = firstOnly ? null : [];
-
-        result = Y.DOM.filterElementsBy(nodes, function(node) {
-            if (! Selector._testNode(node, '', token, deDupe)) {
-                return false;
-            }
-
-            if (deDupe) {
-                if (node._found) {
-                    return false;
-                }
-                node._found = true;
-                Selector._foundCache[Selector._foundCache[LENGTH]] = node;
-            }
-            return true;
-        }, firstOnly);
-
-        return result;
-    },
-
-    _testNode: function(node, selector, token, deDupe) {
-        token = token || Selector._tokenize(selector).pop() || {};
-        var ops = Selector.operators,
-            pseudos = Selector.pseudos,
-            prev = token.previous,
-            i, len;
-
-        if (!node[TAG_NAME] ||
-            (token[TAG] !== '*' && node[TAG_NAME].toUpperCase() !== token[TAG]) ||
-            (deDupe && node._found) ) {
-            return false;
-        }
-
-        if (token[ATTRIBUTES][LENGTH]) {
-            var attribute;
-            for (i = 0, len = token[ATTRIBUTES][LENGTH]; i < len; ++i) {
-                attribute = node.getAttribute(token[ATTRIBUTES][i][0], 2);
-                if (attribute === undefined) {
-                    attribute = node[token[ATTRIBUTES][i][0]];
-                    if (attribute === undefined) {
-                        return false;
-                    }
-                }
-                if ( ops[token[ATTRIBUTES][i][1]] &&
-                        !ops[token[ATTRIBUTES][i][1]](attribute, token[ATTRIBUTES][i][2])) {
-                    return false;
-                }
-            }
-        }
-
-        if (token[PSEUDOS][LENGTH]) {
-            for (i = 0, len = token[PSEUDOS][LENGTH]; i < len; ++i) {
-                if (pseudos[token[PSEUDOS][i][0]] &&
-                        !pseudos[token[PSEUDOS][i][0]](node, token[PSEUDOS][i][1])) {
-                    return false;
-                }
-            }
-        }
-        return (prev && prev[COMBINATOR] !== ',') ?
-                Selector.combinators[prev[COMBINATOR]](node, token) :
-                true;
-    },
-
-
-    _foundCache: [],
-    _regexCache: {},
-
-    _clearFoundCache: function() {
-        Y.log('getBySelector: clearing found cache of ' + Selector._foundCache[LENGTH] + ' elements');
-        for (var i = 0, len = Selector._foundCache[LENGTH]; i < len; ++i) {
-            try { // IE no like delete
-                delete Selector._foundCache[i]._found;
-            } catch(e) {
-                Selector._foundCache[i].removeAttribute('_found');
-            }
-        }
-        Selector._foundCache = [];
-        Y.log('getBySelector: done clearing Selector._foundCache');
-    },
-
-    combinators: {
-        ' ': function(node, token) {
-            while ((node = node[PARENT_NODE])) {
-                if (Selector._testNode(node, '', token.previous)) {
-                    return true;
-                }
-            }  
-            return false;
-        },
-
-        '>': function(node, token) {
-            return Selector._testNode(node[PARENT_NODE], null, token.previous);
-        },
-        '+': function(node, token) {
-            var sib = node[PREVIOUS_SIBLING];
-            while (sib && sib[NODE_TYPE] !== 1) {
-                sib = sib[PREVIOUS_SIBLING];
-            }
-
-            if (sib && Selector._testNode(sib, null, token.previous)) {
-                return true; 
-            }
-            return false;
-        },
-
-        '~': function(node, token) {
-            var sib = node[PREVIOUS_SIBLING];
-            while (sib) {
-                if (sib[NODE_TYPE] === 1 && Selector._testNode(sib, null, token.previous)) {
-                    return true;
-                }
-                sib = sib[PREVIOUS_SIBLING];
-            }
-
-            return false;
-        }
-    },
-
-
-    /*
-        an+b = get every _a_th node starting at the _b_th
-        0n+b = no repeat ("0" and "n" may both be omitted (together) , e.g. "0n+1" or "1", not "0+1"), return only the _b_th element
-        1n+b =  get every element starting from b ("1" may may be omitted, e.g. "1n+0" or "n+0" or "n")
-        an+0 = get every _a_th element, "0" may be omitted 
-    */
-    getNth: function(node, expr, tag, reverse) {
-        reNth.test(expr);
-
-        var a = parseInt(RegExp.$1, 10), // include every _a_ elements (zero means no repeat, just first _a_)
-            n = RegExp.$2, // "n"
-            oddeven = RegExp.$3, // "odd" or "even"
-            b = parseInt(RegExp.$4, 10) || 0, // start scan from element _b_
-            op, i, len, siblings;
-
-        if (tag) {
-            siblings = Y.DOM.childrenByTag(node[PARENT_NODE], tag);
-        } else {
-            siblings = Y.DOM.children(node[PARENT_NODE]);
-        }
-
-        if (oddeven) {
-            a = 2; // always every other
-            op = '+';
-            n = 'n';
-            b = (oddeven === 'odd') ? 1 : 0;
-        } else if ( isNaN(a) ) {
-            a = (n) ? 1 : 0; // start from the first or no repeat
-        }
-
-        if (a === 0) { // just the first
-            if (reverse) {
-                b = siblings[LENGTH] - b + 1; 
-            }
-
-            if (siblings[b - 1] === node) {
-                return true;
-            } else {
-                return false;
-            }
-
-        } else if (a < 0) {
-            reverse = !!reverse;
-            a = Math.abs(a);
-        }
-
-        if (!reverse) {
-            for (i = b - 1, len = siblings[LENGTH]; i < len; i += a) {
-                if ( i >= 0 && siblings[i] === node ) {
-                    return true;
-                }
-            }
-        } else {
-            for (i = siblings[LENGTH] - b, len = siblings[LENGTH]; i >= 0; i -= a) {
-                if ( i < len && siblings[i] === node ) {
-                    return true;
-                }
-            }
-        }
-        return false;
-    },
-
-    _getId: function(attr) {
-        for (var i = 0, len = attr[LENGTH]; i < len; ++i) {
-            if (attr[i][0] == 'id' && attr[i][1] === '=') {
-                return attr[i][2];
-            }
-        }
-    },
-
-    _getIdTokenIndex: function(tokens) {
-        for (var i = 0, len = tokens[LENGTH]; i < len; ++i) {
-            if (Selector._getId(tokens[i][ATTRIBUTES])) {
-                return i;
-            }
-        }
-        return -1;
-    },
-
-    /**
-        Break selector into token units per simple selector.
-        Combinator is attached to left-hand selector.
-     */
-    _tokenize: function(selector) {
-        var token = {},     // one token per simple selector (left selector holds combinator)
-            tokens = [],    // array of tokens
-            found = false,  // whether or not any matches were found this pass
-            match;          // the regex match
-
-        selector = Selector._replaceShorthand(selector); // convert ID and CLASS shortcuts to attributes
-
-        /*
-            Search for selector patterns, store, and strip them from the selector string
-            until no patterns match (invalid selector) or we run out of chars.
-
-            Multiple attributes and pseudos are allowed, in any order.
-            for example:
-                'form:first-child[type=button]:not(button)[lang|=en]'
-        */
-        do {
-            found = false; // reset after full pass
-            for (var re in patterns) {
-                if (patterns.hasOwnProperty(re)) {
-                    if (re != TAG && re != COMBINATOR) { // only one allowed
-                        token[re] = token[re] || [];
-                    }
-                    if ((match = patterns[re].exec(selector))) { // note assignment
-                        found = true;
-                        if (re != TAG && re != COMBINATOR) { // only one allowed
-                            //token[re] = token[re] || [];
-
-                            // capture ID for fast path to element
-                            if (re === ATTRIBUTES && match[1] === 'id') {
-                                token.id = match[3];
-                            }
-
-                            token[re].push(match.slice(1));
-                        } else { // single selector (tag, combinator)
-                            token[re] = match[1];
-                        }
-                        selector = selector.replace(match[0], ''); // strip current match from selector
-                        if (re === COMBINATOR || !selector[LENGTH]) { // next token or done
-                            token[ATTRIBUTES] = Selector._fixAttributes(token[ATTRIBUTES]);
-                            token[PSEUDOS] = token[PSEUDOS] || [];
-                            token[TAG] = token[TAG] ? token[TAG].toUpperCase() : '*';
-                            tokens.push(token);
-
-                            token = { // prep next token
-                                previous: token
-                            };
-                        }
-                    }
-                }
-            }
-        } while (found);
-
-        return tokens;
-    },
-
-    _fixAttributes: function(attr) {
-        var aliases = Selector.attrAliases;
-        attr = attr || [];
-        for (var i = 0, len = attr[LENGTH]; i < len; ++i) {
-            if (aliases[attr[i][0]]) { // convert reserved words, etc
-                attr[i][0] = aliases[attr[i][0]];
-            }
-            if (!attr[i][1]) { // use exists operator
-                attr[i][1] = '';
-            }
-        }
-        return attr;
-    },
-
-    _replaceShorthand: function(selector) {
-        var shorthand = Selector.shorthand;
-        var attrs = selector.match(patterns[ATTRIBUTES]); // pull attributes to avoid false pos on "." and "#"
-        if (attrs) {
-            selector = selector.replace(patterns[ATTRIBUTES], 'REPLACED_ATTRIBUTE');
-        }
-        for (var re in shorthand) {
-            if (shorthand.hasOwnProperty(re)) {
-                selector = selector.replace(Y.DOM._getRegExp(re, 'gi'), shorthand[re]);
-            }
-        }
-
-        if (attrs) {
-            for (var i = 0, len = attrs[LENGTH]; i < len; ++i) {
-                selector = selector.replace('REPLACED_ATTRIBUTE', attrs[i]);
-            }
-        }
-        return selector;
-    }
-
-};
-
-if (Y.UA.ie) { // rewrite class for IE (others use getAttribute('class')
-    Selector.attrAliases['class'] = 'className';
-    Selector.attrAliases['for'] = 'htmlFor';
-}
-
-Y.Selector = Selector;
-Y.Selector.patterns = patterns;
-
-
-
-}, '3.0.0pr1' ,{skinnable:false, requires:['dom-base']});

=== removed file 'loggerhead/static/javascript/yui/build/dom/selector-min.js'
--- loggerhead/static/javascript/yui/build/dom/selector-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/selector-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("selector",function(B){var F="tag",L="parentNode",I="previousSibling",C="length",M="nodeType",J="tagName",G="attributes",E="pseudos",H="combinator";var K=/^(?:([\-]?\d*)(n){1}|(odd|even)$)*([\-+]?\d*)$/;var D={tag:/^((?:-?[_a-z]+[\w\-]*)|\*)/i,attributes:/^\[([a-z]+\w*)+([~\|\^\$\*!=]=?)?['"]?([^\]]*?)['"]?\]/i,pseudos:/^:([\-\w]+)(?:\(['"]?(.+)['"]?\))*/i,combinator:/^\s*([>+~]|\s)\s*/};var A={document:B.config.doc,attrAliases:{},shorthand:{"\\#(-?[_a-z]+[-\\w]*)":"[id=$1]","\\.(-?[_a-z]+[-\\w]*)":"[class~=$1]"},operators:{"=":function(N,O){return N===O;},"!=":function(N,O){return N!==O;},"~=":function(N,P){var O=" ";return(O+N+O).indexOf((O+P+O))>-1;},"|=":function(N,O){return B.DOM._getRegExp("^"+O+"[-]?").test(N);},"^=":function(N,O){return N.indexOf(O)===0;},"$=":function(N,O){return N.lastIndexOf(O)===N[C]-O[C];},"*=":function(N,O){return N.indexOf(O)>-1;},"":function(N,O){return N;}},pseudos:{"root":function(N){return N===N.ownerDocument.documentElement;},"nth-child":function(N,O){return A.getNth(N,O);},"nth-last-child":function(N,O){return A.getNth(N,O,null,true);},"nth-of-type":function(N,O){return A.getNth(N,O,N[J]);},"nth-last-of-type":function(N,O){return A.getNth(N,O,N[J],true);},"first-child":function(N){return B.DOM.firstChild(N[L])===N;},"last-child":function(N){return B.DOM.lastChild(N[L])===N;},"first-of-type":function(N,O){return B.DOM.firstChildByTag(N[L],N[J])===N;},"last-of-type":function(N,O){return B.DOM.lastChildByTag(N[L],N[J])===N;},"only-child":function(O){var N=B.DOM.children(O[L]);return N[C]===1&&N[0]===O;},"only-of-type":function(N){return B.DOM.childrenByTag(N[L],N[J])[C]===1;},"empty":function(N){return N.childNodes[C]===0;},"not":function(N,O){return !A.test(N,O);},"contains":function(N,P){var O=N.innerText||N.textContent||"";return O.indexOf(P)>-1;},"checked":function(N){return N.checked===true;}},test:function(R,P){if(!R){return false;}var O=P?P.split(","):[];if(O[C]){for(var Q=0,N=O[C];Q<N;++Q){if(A._testNode(R,O[Q])){return true;}}return false;}return A._testNode(R,P);},filter:function(P,O){P=P||[];var N=A._filter(P,A._tokenize(O)[0]);return N;},query:function(O,P,Q){var N=A._query(O,P,Q);return N;},_query:function(T,Y,Z,R){var b=(Z)?null:[];if(!T){return b;}Y=Y||A.document;var P=T.split(",");if(P[C]>1){var a;for(var U=0,V=P[C];U<V;++U){a=arguments.callee(P[U],Y,Z,true);b=Z?a:b.concat(a);}A._clearFoundCache();return b;}var X=A._tokenize(T);var W=X[A._getIdTokenIndex(X)],N=[],Q,O,S=X.pop()||{};if(W){O=A._getId(W[G]);}if(O){Q=A.document.getElementById(O);if(Q&&(Y[M]===9||B.DOM.contains(Y,Q))){if(A._testNode(Q,null,W)){if(W===S){N=[Q];}else{Y=Q;}}}else{return b;}}if(Y&&!N[C]){N=Y.getElementsByTagName(S[F]);}if(N[C]){b=A._filter(N,S,Z,R);}return b;},_filter:function(P,Q,R,O){var N=R?null:[];N=B.DOM.filterElementsBy(P,function(S){if(!A._testNode(S,"",Q,O)){return false;}if(O){if(S._found){return false;}S._found=true;A._foundCache[A._foundCache[C]]=S;}return true;},R);return N;},_testNode:function(P,T,S,Q){S=S||A._tokenize(T).pop()||{};var O=A.operators,W=A.pseudos,R=S.previous,U,V;if(!P[J]||(S[F]!=="*"&&P[J].toUpperCase()!==S[F])||(Q&&P._found)){return false;}if(S[G][C]){var N;for(U=0,V=S[G][C];U<V;++U){N=P.getAttribute(S[G][U][0],2);if(N===undefined){N=P[S[G][U][0]];if(N===undefined){return false;}}if(O[S[G][U][1]]&&!O[S[G][U][1]](N,S[G][U][2])){return false;}}}if(S[E][C]){for(U=0,V=S[E][C];U<V;++U){if(W[S[E][U][0]]&&!W[S[E][U][0]](P,S[E][U][1])){return false;}}}return(R&&R[H]!==",")?A.combinators[R[H]](P,S):true;},_foundCache:[],_regexCache:{},_clearFoundCache:function(){for(var O=0,N=A._foundCache[C];O<N;++O){try{delete A._foundCache[O]._found;}catch(P){A._foundCache[O].removeAttribute("_found");}}A._foundCache=[];},combinators:{" ":function(O,N){while((O=O[L])){if(A._testNode(O,"",N.previous)){return true;}}return false;},">":function(O,N){return A._testNode(O[L],null,N.previous);},"+":function(P,O){var N=P[I];while(N&&N[M]!==1){N=N[I];}if(N&&A._testNode(N,null,O.previous)){return true;}return false;},"~":function(P,O){var N=P[I];while(N){if(N[M]===1&&A._testNode(N,null,O.previous)){return true;}N=N[I];}return false;}},getNth:function(O,X,Y,S){K.test(X);var W=parseInt(RegExp.$1,10),N=RegExp.$2,T=RegExp.$3,U=parseInt(RegExp.$4,10)||0,Q,P,R,V;if(Y){V=B.DOM.childrenByTag(O[L],Y);}else{V=B.DOM.children(O[L]);}if(T){W=2;Q="+";N="n";U=(T==="odd")?1:0;}else{if(isNaN(W)){W=(N)?1:0;}}if(W===0){if(S){U=V[C]-U+1;}if(V[U-1]===O){return true;}else{return false;}}else{if(W<0){S=!!S;W=Math.abs(W);}}if(!S){for(P=U-1,R=V[C];P<R;P+=W){if(P>=0&&V[P]===O){return true;}}}else{for(P=V[C]-U,R=V[C];P>=0;P-=W){if(P<R&&V[P]===O){return true;}}}return false;},_getId:function(O){for(var P=0,N=O[C];P<N;++P){if(O[P][0]=="id"&&O[P][1]==="="){return O[P][2];}}},_getIdTokenIndex:function(P){for(var O=0,N=P[C];O<N;++O){if(A._getId(P[O][G])){return O;}}return -1;},_tokenize:function(N){var P={},S=[],R=false,O;N=A._replaceShorthand(N);do{R=false;for(var Q in D){if(D.hasOwnProperty(Q)){if(Q!=F&&Q!=H){P[Q]=P[Q]||[];}if((O=D[Q].exec(N))){R=true;if(Q!=F&&Q!=H){if(Q===G&&O[1]==="id"){P.id=O[3];}P[Q].push(O.slice(1));}else{P[Q]=O[1];}N=N.replace(O[0],"");if(Q===H||!N[C]){P[G]=A._fixAttributes(P[G]);P[E]=P[E]||[];P[F]=P[F]?P[F].toUpperCase():"*";S.push(P);P={previous:P};}}}}}while(R);return S;},_fixAttributes:function(O){var P=A.attrAliases;O=O||[];for(var Q=0,N=O[C];Q<N;++Q){if(P[O[Q][0]]){O[Q][0]=P[O[Q][0]];}if(!O[Q][1]){O[Q][1]="";}}return O;},_replaceShorthand:function(O){var P=A.shorthand;var Q=O.match(D[G]);if(Q){O=O.replace(D[G],"REPLACED_ATTRIBUTE");}for(var S in P){if(P.hasOwnProperty(S)){O=O.replace(B.DOM._getRegExp(S,"gi"),P[S]);}}if(Q){for(var R=0,N=Q[C];R<N;++R){O=O.replace("REPLACED_ATTRIBUTE",Q[R]);}}return O;}};if(B.UA.ie){A.attrAliases["class"]="className";A.attrAliases["for"]="htmlFor";}B.Selector=A;B.Selector.patterns=D;},"3.0.0pr1",{skinnable:false,requires:["dom-base"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dom/selector.js'
--- loggerhead/static/javascript/yui/build/dom/selector.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dom/selector.js	1970-01-01 00:00:00 +0000
@@ -1,573 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('selector', function(Y) {
-
-/**
- * Provides helper methods for collecting and filtering DOM elements.
- * @module dom
- * @submodule selector
- */
-
-/**
- * Provides helper methods for collecting and filtering DOM elements.
- * @class Selector
- * @static
- */
-
-var TAG = 'tag',
-    PARENT_NODE = 'parentNode',
-    PREVIOUS_SIBLING = 'previousSibling',
-    LENGTH = 'length',
-    NODE_TYPE = 'nodeType',
-    TAG_NAME = 'tagName',
-    ATTRIBUTES = 'attributes',
-    PSEUDOS = 'pseudos',
-    COMBINATOR = 'combinator';
-
-var reNth = /^(?:([\-]?\d*)(n){1}|(odd|even)$)*([\-+]?\d*)$/;
-
-var patterns = {
-    tag: /^((?:-?[_a-z]+[\w\-]*)|\*)/i,
-    attributes: /^\[([a-z]+\w*)+([~\|\^\$\*!=]=?)?['"]?([^\]]*?)['"]?\]/i,
-    pseudos: /^:([\-\w]+)(?:\(['"]?(.+)['"]?\))*/i,
-    combinator: /^\s*([>+~]|\s)\s*/
-};
-
-var Selector = {
-    /**
-     * Default document for use queries 
-     * @property document
-     * @type object
-     * @default window.document
-     */
-    document: Y.config.doc,
-    /**
-     * Mapping of attributes to aliases, normally to work around HTMLAttributes
-     * that conflict with JS reserved words.
-     * @property attrAliases
-     * @type object
-     */
-    attrAliases: {},
-
-    /**
-     * Mapping of shorthand tokens to corresponding attribute selector 
-     * @property shorthand
-     * @type object
-     */
-    shorthand: {
-        '\\#(-?[_a-z]+[-\\w]*)': '[id=$1]',
-        '\\.(-?[_a-z]+[-\\w]*)': '[class~=$1]'
-    },
-
-    /**
-     * List of operators and corresponding boolean functions. 
-     * These functions are passed the attribute and the current node's value of the attribute.
-     * @property operators
-     * @type object
-     */
-    operators: {
-        '=': function(attr, val) { return attr === val; }, // Equality
-        '!=': function(attr, val) { return attr !== val; }, // Inequality
-        '~=': function(attr, val) { // Match one of space seperated words 
-            var s = ' ';
-            return (s + attr + s).indexOf((s + val + s)) > -1;
-        },
-        '|=': function(attr, val) { return Y.DOM._getRegExp('^' + val + '[-]?').test(attr); }, // Match start with value followed by optional hyphen
-        '^=': function(attr, val) { return attr.indexOf(val) === 0; }, // Match starts with value
-        '$=': function(attr, val) { return attr.lastIndexOf(val) === attr[LENGTH] - val[LENGTH]; }, // Match ends with value
-        '*=': function(attr, val) { return attr.indexOf(val) > -1; }, // Match contains value as substring 
-        '': function(attr, val) { return attr; } // Just test for existence of attribute
-    },
-
-    /**
-     * List of pseudo-classes and corresponding boolean functions. 
-     * These functions are called with the current node, and any value that was parsed with the pseudo regex.
-     * @property pseudos
-     * @type object
-     */
-    pseudos: {
-        'root': function(node) {
-            return node === node.ownerDocument.documentElement;
-        },
-
-        'nth-child': function(node, val) {
-            return Selector.getNth(node, val);
-        },
-
-        'nth-last-child': function(node, val) {
-            return Selector.getNth(node, val, null, true);
-        },
-
-        'nth-of-type': function(node, val) {
-            return Selector.getNth(node, val, node[TAG_NAME]);
-        },
-         
-        'nth-last-of-type': function(node, val) {
-            return Selector.getNth(node, val, node[TAG_NAME], true);
-        },
-         
-        'first-child': function(node) {
-            return Y.DOM.firstChild(node[PARENT_NODE]) === node;
-        },
-
-        'last-child': function(node) {
-            return Y.DOM.lastChild(node[PARENT_NODE]) === node;
-        },
-
-        'first-of-type': function(node, val) {
-            return Y.DOM.firstChildByTag(node[PARENT_NODE], node[TAG_NAME]) === node;
-        },
-         
-        'last-of-type': function(node, val) {
-            return Y.DOM.lastChildByTag(node[PARENT_NODE], node[TAG_NAME]) === node;
-        },
-         
-        'only-child': function(node) {
-            var children = Y.DOM.children(node[PARENT_NODE]);
-            return children[LENGTH] === 1 && children[0] === node;
-        },
-
-        'only-of-type': function(node) {
-            return Y.DOM.childrenByTag(node[PARENT_NODE], node[TAG_NAME])[LENGTH] === 1;
-        },
-
-        'empty': function(node) {
-            return node.childNodes[LENGTH] === 0;
-        },
-
-        'not': function(node, simple) {
-            return !Selector.test(node, simple);
-        },
-
-        'contains': function(node, str) {
-            var text = node.innerText || node.textContent || '';
-            return text.indexOf(str) > -1;
-        },
-        'checked': function(node) {
-            return node.checked === true;
-        }
-    },
-
-    /**
-     * Test if the supplied node matches the supplied selector.
-     * @method test
-     *
-     * @param {HTMLElement | String} node An id or node reference to the HTMLElement being tested.
-     * @param {string} selector The CSS Selector to test the node against.
-     * @return{boolean} Whether or not the node matches the selector.
-     * @static
-    
-     */
-    test: function(node, selector) {
-        if (!node) {
-            return false;
-        }
-
-        var groups = selector ? selector.split(',') : [];
-        if (groups[LENGTH]) {
-            for (var i = 0, len = groups[LENGTH]; i < len; ++i) {
-                if ( Selector._testNode(node, groups[i]) ) { // passes if ANY group matches
-                    return true;
-                }
-            }
-            return false;
-        }
-        return Selector._testNode(node, selector);
-    },
-
-    /**
-     * Filters a set of nodes based on a given CSS selector. 
-     * @method filter
-     *
-     * @param {array} nodes A set of nodes/ids to filter. 
-     * @param {string} selector The selector used to test each node.
-     * @return{array} An array of nodes from the supplied array that match the given selector.
-     * @static
-     */
-    filter: function(nodes, selector) {
-        nodes = nodes || [];
-
-        var result = Selector._filter(nodes, Selector._tokenize(selector)[0]);
-        return result;
-    },
-
-    /**
-     * Retrieves a set of nodes based on a given CSS selector. 
-     * @method query
-     *
-     * @param {string} selector The CSS Selector to test the node against.
-     * @param {HTMLElement | String} root optional An id or HTMLElement to start the query from. Defaults to Selector.document.
-     * @param {Boolean} firstOnly optional Whether or not to return only the first match.
-     * @return {Array} An array of nodes that match the given selector.
-     * @static
-     */
-    query: function(selector, root, firstOnly) {
-        var result = Selector._query(selector, root, firstOnly);
-        return result;
-    },
-
-    _query: function(selector, root, firstOnly, deDupe) {
-        var result =  (firstOnly) ? null : [];
-        if (!selector) {
-            return result;
-        }
-
-        root = root || Selector.document;
-        var groups = selector.split(','); // TODO: handle comma in attribute/pseudo
-
-        if (groups[LENGTH] > 1) {
-            var found;
-            for (var i = 0, len = groups[LENGTH]; i < len; ++i) {
-                found = arguments.callee(groups[i], root, firstOnly, true);
-                result = firstOnly ? found : result.concat(found); 
-            }
-            Selector._clearFoundCache();
-            return result;
-        }
-
-        var tokens = Selector._tokenize(selector);
-        var idToken = tokens[Selector._getIdTokenIndex(tokens)],
-            nodes = [],
-            node,
-            id,
-            token = tokens.pop() || {};
-            
-        if (idToken) {
-            id = Selector._getId(idToken[ATTRIBUTES]);
-        }
-
-        // use id shortcut when possible
-        if (id) {
-            node = Selector.document.getElementById(id);
-
-            if (node && (root[NODE_TYPE] === 9 || Y.DOM.contains(root, node))) {
-                if ( Selector._testNode(node, null, idToken) ) {
-                    if (idToken === token) {
-                        nodes = [node]; // simple selector
-                    } else {
-                        root = node; // start from here
-                    }
-                }
-            } else {
-                return result;
-            }
-        }
-
-        if (root && !nodes[LENGTH]) {
-            nodes = root.getElementsByTagName(token[TAG]);
-        }
-
-        if (nodes[LENGTH]) {
-            result = Selector._filter(nodes, token, firstOnly, deDupe); 
-        }
-        return result;
-    },
-
-    _filter: function(nodes, token, firstOnly, deDupe) {
-        var result = firstOnly ? null : [];
-
-        result = Y.DOM.filterElementsBy(nodes, function(node) {
-            if (! Selector._testNode(node, '', token, deDupe)) {
-                return false;
-            }
-
-            if (deDupe) {
-                if (node._found) {
-                    return false;
-                }
-                node._found = true;
-                Selector._foundCache[Selector._foundCache[LENGTH]] = node;
-            }
-            return true;
-        }, firstOnly);
-
-        return result;
-    },
-
-    _testNode: function(node, selector, token, deDupe) {
-        token = token || Selector._tokenize(selector).pop() || {};
-        var ops = Selector.operators,
-            pseudos = Selector.pseudos,
-            prev = token.previous,
-            i, len;
-
-        if (!node[TAG_NAME] ||
-            (token[TAG] !== '*' && node[TAG_NAME].toUpperCase() !== token[TAG]) ||
-            (deDupe && node._found) ) {
-            return false;
-        }
-
-        if (token[ATTRIBUTES][LENGTH]) {
-            var attribute;
-            for (i = 0, len = token[ATTRIBUTES][LENGTH]; i < len; ++i) {
-                attribute = node.getAttribute(token[ATTRIBUTES][i][0], 2);
-                if (attribute === undefined) {
-                    attribute = node[token[ATTRIBUTES][i][0]];
-                    if (attribute === undefined) {
-                        return false;
-                    }
-                }
-                if ( ops[token[ATTRIBUTES][i][1]] &&
-                        !ops[token[ATTRIBUTES][i][1]](attribute, token[ATTRIBUTES][i][2])) {
-                    return false;
-                }
-            }
-        }
-
-        if (token[PSEUDOS][LENGTH]) {
-            for (i = 0, len = token[PSEUDOS][LENGTH]; i < len; ++i) {
-                if (pseudos[token[PSEUDOS][i][0]] &&
-                        !pseudos[token[PSEUDOS][i][0]](node, token[PSEUDOS][i][1])) {
-                    return false;
-                }
-            }
-        }
-        return (prev && prev[COMBINATOR] !== ',') ?
-                Selector.combinators[prev[COMBINATOR]](node, token) :
-                true;
-    },
-
-
-    _foundCache: [],
-    _regexCache: {},
-
-    _clearFoundCache: function() {
-        for (var i = 0, len = Selector._foundCache[LENGTH]; i < len; ++i) {
-            try { // IE no like delete
-                delete Selector._foundCache[i]._found;
-            } catch(e) {
-                Selector._foundCache[i].removeAttribute('_found');
-            }
-        }
-        Selector._foundCache = [];
-    },
-
-    combinators: {
-        ' ': function(node, token) {
-            while ((node = node[PARENT_NODE])) {
-                if (Selector._testNode(node, '', token.previous)) {
-                    return true;
-                }
-            }  
-            return false;
-        },
-
-        '>': function(node, token) {
-            return Selector._testNode(node[PARENT_NODE], null, token.previous);
-        },
-        '+': function(node, token) {
-            var sib = node[PREVIOUS_SIBLING];
-            while (sib && sib[NODE_TYPE] !== 1) {
-                sib = sib[PREVIOUS_SIBLING];
-            }
-
-            if (sib && Selector._testNode(sib, null, token.previous)) {
-                return true; 
-            }
-            return false;
-        },
-
-        '~': function(node, token) {
-            var sib = node[PREVIOUS_SIBLING];
-            while (sib) {
-                if (sib[NODE_TYPE] === 1 && Selector._testNode(sib, null, token.previous)) {
-                    return true;
-                }
-                sib = sib[PREVIOUS_SIBLING];
-            }
-
-            return false;
-        }
-    },
-
-
-    /*
-        an+b = get every _a_th node starting at the _b_th
-        0n+b = no repeat ("0" and "n" may both be omitted (together) , e.g. "0n+1" or "1", not "0+1"), return only the _b_th element
-        1n+b =  get every element starting from b ("1" may may be omitted, e.g. "1n+0" or "n+0" or "n")
-        an+0 = get every _a_th element, "0" may be omitted 
-    */
-    getNth: function(node, expr, tag, reverse) {
-        reNth.test(expr);
-
-        var a = parseInt(RegExp.$1, 10), // include every _a_ elements (zero means no repeat, just first _a_)
-            n = RegExp.$2, // "n"
-            oddeven = RegExp.$3, // "odd" or "even"
-            b = parseInt(RegExp.$4, 10) || 0, // start scan from element _b_
-            op, i, len, siblings;
-
-        if (tag) {
-            siblings = Y.DOM.childrenByTag(node[PARENT_NODE], tag);
-        } else {
-            siblings = Y.DOM.children(node[PARENT_NODE]);
-        }
-
-        if (oddeven) {
-            a = 2; // always every other
-            op = '+';
-            n = 'n';
-            b = (oddeven === 'odd') ? 1 : 0;
-        } else if ( isNaN(a) ) {
-            a = (n) ? 1 : 0; // start from the first or no repeat
-        }
-
-        if (a === 0) { // just the first
-            if (reverse) {
-                b = siblings[LENGTH] - b + 1; 
-            }
-
-            if (siblings[b - 1] === node) {
-                return true;
-            } else {
-                return false;
-            }
-
-        } else if (a < 0) {
-            reverse = !!reverse;
-            a = Math.abs(a);
-        }
-
-        if (!reverse) {
-            for (i = b - 1, len = siblings[LENGTH]; i < len; i += a) {
-                if ( i >= 0 && siblings[i] === node ) {
-                    return true;
-                }
-            }
-        } else {
-            for (i = siblings[LENGTH] - b, len = siblings[LENGTH]; i >= 0; i -= a) {
-                if ( i < len && siblings[i] === node ) {
-                    return true;
-                }
-            }
-        }
-        return false;
-    },
-
-    _getId: function(attr) {
-        for (var i = 0, len = attr[LENGTH]; i < len; ++i) {
-            if (attr[i][0] == 'id' && attr[i][1] === '=') {
-                return attr[i][2];
-            }
-        }
-    },
-
-    _getIdTokenIndex: function(tokens) {
-        for (var i = 0, len = tokens[LENGTH]; i < len; ++i) {
-            if (Selector._getId(tokens[i][ATTRIBUTES])) {
-                return i;
-            }
-        }
-        return -1;
-    },
-
-    /**
-        Break selector into token units per simple selector.
-        Combinator is attached to left-hand selector.
-     */
-    _tokenize: function(selector) {
-        var token = {},     // one token per simple selector (left selector holds combinator)
-            tokens = [],    // array of tokens
-            found = false,  // whether or not any matches were found this pass
-            match;          // the regex match
-
-        selector = Selector._replaceShorthand(selector); // convert ID and CLASS shortcuts to attributes
-
-        /*
-            Search for selector patterns, store, and strip them from the selector string
-            until no patterns match (invalid selector) or we run out of chars.
-
-            Multiple attributes and pseudos are allowed, in any order.
-            for example:
-                'form:first-child[type=button]:not(button)[lang|=en]'
-        */
-        do {
-            found = false; // reset after full pass
-            for (var re in patterns) {
-                if (patterns.hasOwnProperty(re)) {
-                    if (re != TAG && re != COMBINATOR) { // only one allowed
-                        token[re] = token[re] || [];
-                    }
-                    if ((match = patterns[re].exec(selector))) { // note assignment
-                        found = true;
-                        if (re != TAG && re != COMBINATOR) { // only one allowed
-                            //token[re] = token[re] || [];
-
-                            // capture ID for fast path to element
-                            if (re === ATTRIBUTES && match[1] === 'id') {
-                                token.id = match[3];
-                            }
-
-                            token[re].push(match.slice(1));
-                        } else { // single selector (tag, combinator)
-                            token[re] = match[1];
-                        }
-                        selector = selector.replace(match[0], ''); // strip current match from selector
-                        if (re === COMBINATOR || !selector[LENGTH]) { // next token or done
-                            token[ATTRIBUTES] = Selector._fixAttributes(token[ATTRIBUTES]);
-                            token[PSEUDOS] = token[PSEUDOS] || [];
-                            token[TAG] = token[TAG] ? token[TAG].toUpperCase() : '*';
-                            tokens.push(token);
-
-                            token = { // prep next token
-                                previous: token
-                            };
-                        }
-                    }
-                }
-            }
-        } while (found);
-
-        return tokens;
-    },
-
-    _fixAttributes: function(attr) {
-        var aliases = Selector.attrAliases;
-        attr = attr || [];
-        for (var i = 0, len = attr[LENGTH]; i < len; ++i) {
-            if (aliases[attr[i][0]]) { // convert reserved words, etc
-                attr[i][0] = aliases[attr[i][0]];
-            }
-            if (!attr[i][1]) { // use exists operator
-                attr[i][1] = '';
-            }
-        }
-        return attr;
-    },
-
-    _replaceShorthand: function(selector) {
-        var shorthand = Selector.shorthand;
-        var attrs = selector.match(patterns[ATTRIBUTES]); // pull attributes to avoid false pos on "." and "#"
-        if (attrs) {
-            selector = selector.replace(patterns[ATTRIBUTES], 'REPLACED_ATTRIBUTE');
-        }
-        for (var re in shorthand) {
-            if (shorthand.hasOwnProperty(re)) {
-                selector = selector.replace(Y.DOM._getRegExp(re, 'gi'), shorthand[re]);
-            }
-        }
-
-        if (attrs) {
-            for (var i = 0, len = attrs[LENGTH]; i < len; ++i) {
-                selector = selector.replace('REPLACED_ATTRIBUTE', attrs[i]);
-            }
-        }
-        return selector;
-    }
-
-};
-
-if (Y.UA.ie) { // rewrite class for IE (others use getAttribute('class')
-    Selector.attrAliases['class'] = 'className';
-    Selector.attrAliases['for'] = 'htmlFor';
-}
-
-Y.Selector = Selector;
-Y.Selector.patterns = patterns;
-
-
-
-}, '3.0.0pr1' ,{skinnable:false, requires:['dom-base']});

=== removed directory 'loggerhead/static/javascript/yui/build/dump'
=== removed file 'loggerhead/static/javascript/yui/build/dump/README'
--- loggerhead/static/javascript/yui/build/dump/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dump/README	1970-01-01 00:00:00 +0000
@@ -1,5 +0,0 @@
-YUI dump
-    Stringifies objects
-
-3.0.0pr1
-    Inital release

=== removed file 'loggerhead/static/javascript/yui/build/dump/dump-debug.js'
--- loggerhead/static/javascript/yui/build/dump/dump-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dump/dump-debug.js	1970-01-01 00:00:00 +0000
@@ -1,103 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * Returns a simple string representation of the object or array.
- * Other types of objects will be returned unprocessed.  Arrays
- * are expected to be indexed.  Use object notation for
- * associative arrays.
- *
- * If included, the dump method is added to the YUI instance.
- *
- * @module dump
- */
-YUI.add("dump", function(Y) {
-
-    var L=Y.Lang, OBJ="{...}", FUN="f(){...}", COMMA=', ', ARROW=' => ',
-
-    /**
-     * The following methods are added to the YUI instance
-     * @class YUI~dump
-     */
-
-    /**
-     * Returns a simple string representation of the object or array.
-     * Other types of objects will be returned unprocessed.  Arrays
-     * are expected to be indexed.  Use object notation for
-     * associative arrays.
-     *
-     * @TODO dumping a window is causing an unhandled exception in
-     * FireFox.
-     *
-     * This method is in the 'dump' module, which is not bundled with
-     * the core YUI object
-     *
-     * @method dump
-     * @param o {object} The object to dump
-     * @param d {int} How deep to recurse child objects, default 3
-     * @return {string} the dump result
-     */
-    dump = function(o, d) {
-        var i, len, s = [];
-
-
-        // Cast non-objects to string
-        // Skip dates because the std toString is what we want
-        // Skip HTMLElement-like objects because trying to dump 
-        // an element will cause an unhandled exception in FF 2.x
-        if (!L.isObject(o)) {
-            return o + "";
-        } else if (o instanceof Date || ("nodeType" in o && "tagName" in o)) {
-            return o;
-        } else if  (L.isFunction(o)) {
-            return FUN;
-        }
-
-        // dig into child objects the depth specifed. Default 3
-        d = (L.isNumber(d)) ? d : 3;
-
-        // arrays [1, 2, 3]
-        if (L.isArray(o)) {
-            s.push("[");
-            for (i=0,len=o.length;i<len;i=i+1) {
-                if (L.isObject(o[i])) {
-                    s.push((d > 0) ? L.dump(o[i], d-1) : OBJ);
-                } else {
-                    s.push(o[i]);
-                }
-                s.push(COMMA);
-            }
-            if (s.length > 1) {
-                s.pop();
-            }
-            s.push("]");
-        // objects {k1 => v1, k2 => v2}
-        } else {
-            s.push("{");
-            for (i in o) {
-                if (Y.Object.owns(o, i)) {
-                    s.push(i + ARROW);
-                    if (L.isObject(o[i])) {
-                        s.push((d > 0) ? L.dump(o[i], d-1) : OBJ);
-                    } else {
-                        s.push(o[i]);
-                    }
-                    s.push(COMMA);
-                }
-            }
-            if (s.length > 1) {
-                s.pop();
-            }
-            s.push("}");
-        }
-
-        return s.join("");
-    };
-
-    Y.dump = dump;
-    L.dump = dump;
-
-}, "3.0.0pr1");

=== removed file 'loggerhead/static/javascript/yui/build/dump/dump-min.js'
--- loggerhead/static/javascript/yui/build/dump/dump-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dump/dump-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("dump",function(G){var B=G.Lang,C="{...}",F="f(){...}",A=", ",D=" => ",E=function(L,K){var I,H,J=[];if(!B.isObject(L)){return L+"";}else{if(L instanceof Date||("nodeType" in L&&"tagName" in L)){return L;}else{if(B.isFunction(L)){return F;}}}K=(B.isNumber(K))?K:3;if(B.isArray(L)){J.push("[");for(I=0,H=L.length;I<H;I=I+1){if(B.isObject(L[I])){J.push((K>0)?B.dump(L[I],K-1):C);}else{J.push(L[I]);}J.push(A);}if(J.length>1){J.pop();}J.push("]");}else{J.push("{");for(I in L){if(G.Object.owns(L,I)){J.push(I+D);if(B.isObject(L[I])){J.push((K>0)?B.dump(L[I],K-1):C);}else{J.push(L[I]);}J.push(A);}}if(J.length>1){J.pop();}J.push("}");}return J.join("");};G.dump=E;B.dump=E;},"3.0.0pr1");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/dump/dump.js'
--- loggerhead/static/javascript/yui/build/dump/dump.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/dump/dump.js	1970-01-01 00:00:00 +0000
@@ -1,103 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * Returns a simple string representation of the object or array.
- * Other types of objects will be returned unprocessed.  Arrays
- * are expected to be indexed.  Use object notation for
- * associative arrays.
- *
- * If included, the dump method is added to the YUI instance.
- *
- * @module dump
- */
-YUI.add("dump", function(Y) {
-
-    var L=Y.Lang, OBJ="{...}", FUN="f(){...}", COMMA=', ', ARROW=' => ',
-
-    /**
-     * The following methods are added to the YUI instance
-     * @class YUI~dump
-     */
-
-    /**
-     * Returns a simple string representation of the object or array.
-     * Other types of objects will be returned unprocessed.  Arrays
-     * are expected to be indexed.  Use object notation for
-     * associative arrays.
-     *
-     * @TODO dumping a window is causing an unhandled exception in
-     * FireFox.
-     *
-     * This method is in the 'dump' module, which is not bundled with
-     * the core YUI object
-     *
-     * @method dump
-     * @param o {object} The object to dump
-     * @param d {int} How deep to recurse child objects, default 3
-     * @return {string} the dump result
-     */
-    dump = function(o, d) {
-        var i, len, s = [];
-
-
-        // Cast non-objects to string
-        // Skip dates because the std toString is what we want
-        // Skip HTMLElement-like objects because trying to dump 
-        // an element will cause an unhandled exception in FF 2.x
-        if (!L.isObject(o)) {
-            return o + "";
-        } else if (o instanceof Date || ("nodeType" in o && "tagName" in o)) {
-            return o;
-        } else if  (L.isFunction(o)) {
-            return FUN;
-        }
-
-        // dig into child objects the depth specifed. Default 3
-        d = (L.isNumber(d)) ? d : 3;
-
-        // arrays [1, 2, 3]
-        if (L.isArray(o)) {
-            s.push("[");
-            for (i=0,len=o.length;i<len;i=i+1) {
-                if (L.isObject(o[i])) {
-                    s.push((d > 0) ? L.dump(o[i], d-1) : OBJ);
-                } else {
-                    s.push(o[i]);
-                }
-                s.push(COMMA);
-            }
-            if (s.length > 1) {
-                s.pop();
-            }
-            s.push("]");
-        // objects {k1 => v1, k2 => v2}
-        } else {
-            s.push("{");
-            for (i in o) {
-                if (Y.Object.owns(o, i)) {
-                    s.push(i + ARROW);
-                    if (L.isObject(o[i])) {
-                        s.push((d > 0) ? L.dump(o[i], d-1) : OBJ);
-                    } else {
-                        s.push(o[i]);
-                    }
-                    s.push(COMMA);
-                }
-            }
-            if (s.length > 1) {
-                s.pop();
-            }
-            s.push("}");
-        }
-
-        return s.join("");
-    };
-
-    Y.dump = dump;
-    L.dump = dump;
-
-}, "3.0.0pr1");

=== removed directory 'loggerhead/static/javascript/yui/build/event'
=== removed file 'loggerhead/static/javascript/yui/build/event/README'
--- loggerhead/static/javascript/yui/build/event/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/event/README	1970-01-01 00:00:00 +0000
@@ -1,5 +0,0 @@
-YUI Event Utility
-    DOM event utilities and the YUI custom event system
-
-3.0.0pr1
-    Initial Release

=== removed file 'loggerhead/static/javascript/yui/build/event/event-debug.js'
--- loggerhead/static/javascript/yui/build/event/event-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/event/event-debug.js	1970-01-01 00:00:00 +0000
@@ -1,2902 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * The YUI event system
- * @module event
- */
-YUI.add("event", function(Y) {
-
-    /**
-     * Subscribes to the yui:load event, which fires when a Y.use operation
-     * is complete.
-     * @method ready
-     * @param f {Function} the function to execute
-     * @param c Optional execution context
-     * @param args* 0..n Additional arguments to append 
-     * to the signature provided when the event fires.
-     * @return {YUI} the YUI instance
-     */
-    // Y.ready = function(f, c) {
-    //     var a = arguments, m = (a.length > 1) ? Y.bind.apply(Y, a) : f;
-    //     Y.on("yui:load", m);
-    //     return this;
-    // };
-
-    /**
-     * Attach an event listener, either to a DOM object
-     * or to an Event.Target.
-     * @param type {string} the event type
-     * @param f {Function} the function to execute
-     * @param o the Event.Target or element to attach to
-     * @param context Optional execution context
-     * @param args* 0..n additional arguments to append
-     * to the signature provided when the event fires.
-     * @method on
-     * @for YUI
-     * @return {Event.Handle} a handle object for 
-     * unsubscribing to this event.
-     */
-    Y.on = function(type, f, o) {
-
-        if (type.indexOf(':') > -1) {
-            var cat = type.split(':');
-            switch (cat[0]) {
-                default:
-                    return Y.subscribe.apply(Y, arguments);
-            }
-        } else {
-            return Y.Event.attach.apply(Y.Event, arguments);
-        }
-
-    };
-
-    /**
-     * Detach an event listener (either a custom event or a
-     * DOM event
-     * @method detach
-     * @param type the type of event, or a Event.Handle to
-     * for the subscription.  If the Event.Handle is passed
-     * in, the other parameters are not used.
-     * @param f {Function} the subscribed function
-     * @param o the object or element the listener is subscribed
-     * to.
-     * @method detach
-     * @return {YUI} the YUI instance
-     */
-    Y.detach = function(type, f, o) {
-        if (Y.Lang.isObject(type) && type.detach) {
-            return type.detach();
-        } else if (type.indexOf(':') > -1) {
-            var cat = type.split(':');
-            switch (cat[0]) {
-                default:
-                    return Y.unsubscribe.apply(Y, arguments);
-            }
-        } else {
-            return Y.Event.detach.apply(Y.Event, arguments);
-        }
-    };
-
-    /**
-     * Executes the callback before a DOM event, custom event
-     * or method.  If the first argument is a function, it
-     * is assumed the target is a method.
-     *
-     * For DOM and custom events:
-     * type, callback, context, 1-n arguments
-     *  
-     * For methods:
-     * callback, object (method host), methodName, context, 1-n arguments
-     *
-     * @method before
-     * @return unsubscribe handle
-     */
-    Y.before = function(type, f, o) { 
-        // method override
-        // callback, object, sMethod
-        if (Y.Lang.isFunction(type)) {
-            return Y.Do.before.apply(Y.Do, arguments);
-        }
-
-        return Y;
-    };
-
-    /**
-     * Executes the callback after a DOM event, custom event
-     * or method.  If the first argument is a function, it
-     * is assumed the target is a method.
-     *
-     * @TODO add event
-     *
-     * For DOM and custom events:
-     * type, callback, context, 1-n arguments
-     *  
-     * For methods:
-     * callback, object (method host), methodName, context, 1-n arguments
-     *
-     * @method after
-     * @return {Event.Handle} unsubscribe handle
-     */
-    Y.after = function(type, f, o) {
-        if (Y.Lang.isFunction(type)) {
-            return Y.Do.after.apply(Y.Do, arguments);
-        }
-
-        return Y;
-    };
-
-}, "3.0.0", {
-    use: [
-          "aop", 
-          "event-custom", 
-          "event-target", 
-          "event-ready",
-          "event-dom", 
-          "event-facade"
-          ]
-});
-/*
- * Method displacement
- * @submodule event-aop
- * @module event
- */
-YUI.add("aop", function(Y) {
-
-    var BEFORE = 0,
-        AFTER = 1;
-
-    /**
-     * Allows for the insertion of methods that are executed before or after
-     * a specified method
-     * @class Do
-     * @static
-     */
-    Y.Do = {
-
-        /**
-         * Cache of objects touched by the utility
-         * @property objs
-         * @static
-         */
-        objs: {},
-
-        /**
-         * Execute the supplied method before the specified function
-         * @method before
-         * @param fn {Function} the function to execute
-         * @param obj the object hosting the method to displace
-         * @param sFn {string} the name of the method to displace
-         * @param c The execution context for fn
-         * @return {string} handle for the subscription
-         * @static
-         */
-        before: function(fn, obj, sFn, c) {
-            // Y.log('Do before: ' + sFn, 'info', 'event');
-            var f = fn;
-            if (c) {
-                var a = [fn, c].concat(Y.Array(arguments, 4, true));
-                f = Y.bind.apply(Y, a);
-            }
-
-            return this._inject(BEFORE, f, obj, sFn);
-        },
-
-        /**
-         * Execute the supplied method after the specified function
-         * @method after
-         * @param fn {Function} the function to execute
-         * @param obj the object hosting the method to displace
-         * @param sFn {string} the name of the method to displace
-         * @param c The execution context for fn
-         * @return {string} handle for the subscription
-         * @static
-         */
-        after: function(fn, obj, sFn, c) {
-            var f = fn;
-            if (c) {
-                var a = [fn, c].concat(Y.Array(arguments, 4, true));
-                f = Y.bind.apply(Y, a);
-            }
-
-            return this._inject(AFTER, f, obj, sFn);
-        },
-
-        /**
-         * Execute the supplied method after the specified function
-         * @method _inject
-         * @param when {string} before or after
-         * @param fn {Function} the function to execute
-         * @param obj the object hosting the method to displace
-         * @param sFn {string} the name of the method to displace
-         * @param c The execution context for fn
-         * @return {string} handle for the subscription
-         * @private
-         * @static
-         */
-        _inject: function(when, fn, obj, sFn) {
-
-            // object id
-            var id = Y.stamp(obj);
-
-            if (! this.objs[id]) {
-                // create a map entry for the obj if it doesn't exist
-                this.objs[id] = {};
-            }
-            var o = this.objs[id];
-
-            if (! o[sFn]) {
-                // create a map entry for the method if it doesn't exist
-                o[sFn] = new Y.Do.Method(obj, sFn);
-
-                // re-route the method to our wrapper
-                obj[sFn] = 
-                    function() {
-                        return o[sFn].exec.apply(o[sFn], arguments);
-                    };
-            }
-
-            // subscriber id
-            var sid = id + Y.stamp(fn) + sFn;
-
-            // register the callback
-            o[sFn].register(sid, fn, when);
-
-            return sid;
-
-        },
-
-        /**
-         * Detach a before or after subscription
-         * @method detach
-         * @param sid {string} the subscription handle
-         */
-        detach: function(sid) {
-            delete this.before[sid];
-            delete this.after[sid];
-        },
-
-        _unload: function(e, me) {
-
-        }
-    };
-
-    //////////////////////////////////////////////////////////////////////////
-
-    /**
-     * Wrapper for a displaced method with aop enabled
-     * @class Do.Method
-     * @constructor
-     * @param obj The object to operate on
-     * @param sFn The name of the method to displace
-     */
-    Y.Do.Method = function(obj, sFn) {
-        this.obj = obj;
-        this.methodName = sFn;
-        this.method = obj[sFn];
-        // this.before = [];
-        // this.after = [];
-        this.before = {};
-        this.after = {};
-    };
-
-    /**
-     * Register a aop subscriber
-     * @method register
-     * @param sid {string} the subscriber id
-     * @param fn {Function} the function to execute
-     * @param when {string} when to execute the function
-     */
-    Y.Do.Method.prototype.register = function (sid, fn, when) {
-        if (when) {
-            // this.after.push(fn);
-            this.after[sid] = fn;
-        } else {
-            // this.before.push(fn);
-            this.before[sid] = fn;
-        }
-    };
-
-    /**
-     * Execute the wrapped method
-     * @method exec
-     */
-    Y.Do.Method.prototype.exec = function () {
-
-        var args = Y.Array(arguments, 0, true), 
-            i, ret, newRet, 
-            bf = this.before,
-            af = this.after;
-
-        // for (i=0; i<this.before.length; ++i) {
-        for (i in bf) {
-            if (bf.hasOwnProperty(i)) {
-                ret = bf[i].apply(this.obj, args);
-
-                // Stop processing if an Error is returned
-                if (ret && ret.constructor == Y.Do.Error) {
-                    // this.logger.debug("Error before " + this.methodName + 
-                    //      ": " ret.msg);
-                    return ret.retVal;
-                // Check for altered arguments
-                } else if (ret && ret.constructor == Y.Do.AlterArgs) {
-                    // this.logger.debug("Params altered before " + 
-                    //      this.methodName + ": " ret.msg);
-                    args = ret.newArgs;
-                }
-            }
-        }
-
-        // execute method
-        ret = this.method.apply(this.obj, args);
-
-        // execute after methods.
-        // for (i=0; i<this.after.length; ++i) {
-        for (i in af) {
-            if (af.hasOwnProperty(i)) {
-                newRet = af[i].apply(this.obj, args);
-                // Stop processing if an Error is returned
-                if (newRet && newRet.constructor == Y.Do.Error) {
-                    // this.logger.debug("Error after " + this.methodName + 
-                    //      ": " ret.msg);
-                    return newRet.retVal;
-                // Check for a new return value
-                } else if (newRet && newRet.constructor == Y.Do.AlterReturn) {
-                    // this.logger.debug("Return altered after " + 
-                    //      this.methodName + ": " newRet.msg);
-                    ret = newRet.newRetVal;
-                }
-            }
-        }
-
-        return ret;
-    };
-
-    //////////////////////////////////////////////////////////////////////////
-
-    /**
-     * Return an Error object when you want to terminate the execution
-     * of all subsequent method calls
-     * @class Do.Error
-     */
-    Y.Do.Error = function(msg, retVal) {
-        this.msg = msg;
-        this.retVal = retVal;
-    };
-
-    /**
-     * Return an AlterArgs object when you want to change the arguments that
-     * were passed into the function.  An example would be a service that scrubs
-     * out illegal characters prior to executing the core business logic.
-     * @class Do.AlterArgs
-     */
-    Y.Do.AlterArgs = function(msg, newArgs) {
-        this.msg = msg;
-        this.newArgs = newArgs;
-    };
-
-    /**
-     * Return an AlterReturn object when you want to change the result returned
-     * from the core method to the caller
-     * @class Do.AlterReturn
-     */
-    Y.Do.AlterReturn = function(msg, newRetVal) {
-        this.msg = msg;
-        this.newRetVal = newRetVal;
-    };
-
-    //////////////////////////////////////////////////////////////////////////
-
-// Y["Event"] && Y.Event.addListener(window, "unload", Y.Do._unload, Y.Do);
-
-}, "3.0.0");
-/*
- * YUI Custom Events
- * @submodule event-custom
- * @module event
- */
-YUI.add("event-custom", function(Y) {
-
-    var onsubscribeType = "_event:onsub",
-
-        AFTER = 'after', 
-
-        CONFIGS = [
-
-            'broadcast',
-
-            'bubbles',
-
-            'context',
-
-            'configured',
-
-            'currentTarget',
-
-            'defaultFn',
-
-            'details',
-
-            'emitFacade',
-
-            'fireOnce',
-
-            'host',
-
-            'preventable',
-
-            'preventedFn',
-
-            'queuable',
-
-            'silent',
-
-            'stoppedFn',
-
-            'target',
-
-            'type'
-
-        ];
-
-    /**
-     * Return value from all subscribe operations
-     * @class Event.Handle
-     * @constructor
-     * @param evt {Event.Custom} the custom event
-     * @param sub {Event.Subscriber} the subscriber
-     */
-    Y.EventHandle = function(evt, sub) {
-
-        /**
-         * The custom event
-         * @type Event.Custom
-         */
-        this.evt = evt;
-
-        /**
-         * The subscriber object
-         * @type Event.Subscriber
-         */
-        this.sub = sub;
-    };
-
-    Y.EventHandle.prototype = {
-        /**
-         * Detaches this subscriber
-         * @method detach
-         */
-        detach: function() {
-            this.evt._delete(this.sub);
-        }
-    };
-
-    /**
-     * The Event.Custom class lets you define events for your application
-     * that can be subscribed to by one or more independent component.
-     *
-     * @param {String}  type The type of event, which is passed to the callback
-     *                  when the event fires
-     * @param {Object}  context The context the event will fire from.  "this" will
-     *                  refer to this object in the callback.  Default value: 
-     *                  the window object.  The listener can override this.
-     * @param {boolean} silent pass true to prevent the event from writing to
-     *                  the debug system
-     * @class Event.Custom
-     * @constructor
-     */
-    Y.CustomEvent = function(type, o) {
-
-        // if (arguments.length > 2) {
-// this.log('CustomEvent context and silent are now in the config', 'warn', 'Event');
-        // }
-
-        o = o || {};
-
-        this.id = Y.stamp(this);
-
-        /**
-         * The type of event, returned to subscribers when the event fires
-         * @property type
-         * @type string
-         */
-        this.type = type;
-
-        /**
-         * The context the the event will fire from by default.  Defaults to the YUI
-         * instance.
-         * @property context
-         * @type object
-         */
-        this.context = Y;
-
-        this.logSystem = (type == "yui:log");
-
-        /**
-         * If 0, this event does not broadcast.  If 1, the YUI instance is notified
-         * every time this event fires.  If 2, the YUI instance and the YUI global
-         * (if event is enabled on the global) are notified every time this event
-         * fires.
-         * @property broadcast
-         * @type int
-         */
-        this.broadcast = 0;
-
-        /**
-         * By default all custom events are logged in the debug build, set silent
-         * to true to disable debug outpu for this event.
-         * @property silent
-         * @type boolean
-         */
-        this.silent = this.logSystem;
-
-        // this.queuable = !(this.logSystem);
-        this.queuable = false;
-
-        /**
-         * The subscribers to this event
-         * @property subscribers
-         * @type Event.Subscriber{}
-         */
-        this.subscribers = {};
-
-        /*
-         * The publisher has configured this event
-         * @property configured
-         * @type boolean
-         * @default true
-         */
-        // this.configured = true;
-
-        /**
-         * 'After' subscribers
-         * @property afters
-         * @type Event.Subscriber{}
-         */
-        this.afters = {};
-
-        /**
-         * This event has fired if true
-         *
-         * @property fired
-         * @type boolean
-         * @default false;
-         */
-        this.fired = false;
-
-        /**
-         * This event should only fire one time if true, and if
-         * it has fired, any new subscribers should be notified
-         * immediately.
-         *
-         * @property fireOnce
-         * @type boolean
-         * @default false;
-         */
-        this.fireOnce = false;
-
-        /**
-         * Flag for stopPropagation that is modified during fire()
-         * 1 means to stop propagation to bubble targets.  2 means
-         * to also stop additional subscribers on this target.
-         * @property stopped
-         * @type int
-         */
-        this.stopped = 0;
-
-        /**
-         * Flag for preventDefault that is modified during fire().
-         * if it is not 0, the default behavior for this event
-         * @property prevented
-         * @type int
-         */
-        this.prevented = 0;
-
-        /**
-         * Specifies the host for this custom event.  This is used
-         * to enable event bubbling
-         * @property host
-         * @type Event.Target
-         */
-        this.host = null;
-
-        /**
-         * The default function to execute after event listeners
-         * have fire, but only if the default action was not
-         * prevented.
-         * @property defaultFn
-         * @type Function
-         */
-        this.defaultFn = null;
-
-        /**
-         * The function to execute if a subscriber calls
-         * stopPropagation or stopImmediatePropagation
-         * @property stoppedFn
-         * @type Function
-         */
-        this.stoppedFn = null;
-
-        /**
-         * The function to execute if a subscriber calls
-         * preventDefault
-         * @property preventedFn
-         * @type Function
-         */
-        this.preventedFn = null;
-
-        /**
-         * Specifies whether or not this event's default function
-         * can be cancelled by a subscriber by executing preventDefault() 
-         * on the event facade 
-         * @property preventable 
-         * @type boolean 
-         * @default true
-         */
-        this.preventable = true;
-
-        /**
-         * Specifies whether or not a subscriber can stop the event propagation
-         * via stopPropagation(), stopImmediatePropagation(), or halt()
-         * @property bubbles
-         * @type boolean
-         * @default true
-         */
-        this.bubbles = true;
-
-        this.emitFacade = false;
-
-        this.applyConfig(o, true);
-
-        this.log("Creating " + this.type);
-
-        // Only add subscribe events for events that are not generated by 
-        // Event.Custom
-        if (type !== onsubscribeType) {
-
-            /**
-             * Custom events provide a custom event that fires whenever there is
-             * a new subscriber to the event.  This provides an opportunity to
-             * handle the case where there is a non-repeating event that has
-             * already fired has a new subscriber.  
-             *
-             * @event subscribeEvent
-             * @type Y.Event.Custom
-             * @param {Function} fn The function to execute
-             * @param {Object}   obj An object to be passed along when the event 
-             *                       fires
-             * @param {boolean|Object}  override If true, the obj passed in becomes 
-             *                                   the execution context of the listener.
-             *                                   if an object, that object becomes the
-             *                                   the execution context.
-             */
-            this.subscribeEvent = new Y.CustomEvent(onsubscribeType, {
-                    context: this,
-                    silent: true
-                });
-        } 
-
-    };
-
-    Y.CustomEvent.prototype = {
-
-        _YUI_EVENT: true,
-
-        /**
-         * Apply configuration properties.  Only applies the CONFIG whitelist
-         * @method applyConfig
-         * @param o hash of properties to apply
-         * @param force {boolean} if true, properties that exist on the event 
-         * will be overwritten.
-         */
-        applyConfig: function(o, force) {
-            if (o) {
-                Y.mix(this, o, force, CONFIGS);
-            }
-        },
-
-        _subscribe: function(fn, obj, args, when) {
-
-            if (!fn) {
-                Y.fail("Invalid callback for CE: " + this.type);
-            }
-
-            var se = this.subscribeEvent;
-            if (se) {
-                se.fire.apply(se, args);
-            }
-
-            var s = new Y.Subscriber(fn, obj, args, when);
-
-
-            if (this.fireOnce && this.fired) {
-
-                // this._notify(s);
-                // setTimeout(Y.bind(this._notify, this, s), 0);
-                Y.later(0, this, this._notify, s);
-            }
-
-            if (when == AFTER) {
-                this.afters[s.id] = s;
-            } else {
-                this.subscribers[s.id] = s;
-            }
-
-            return new Y.EventHandle(this, s);
-
-        },
-
-        /**
-         * Listen for this event
-         * @method subscribe
-         * @param {Function} fn        The function to execute
-         * @param {Object}   obj       An object to be passed along when the event fires
-         * @param args* 1..n params to provide to the listener
-         * @return {Event.Handle} unsubscribe handle
-         */
-        subscribe: function(fn, obj) {
-            return this._subscribe(fn, obj, Y.Array(arguments, 2, true));
-        },
-
-        /**
-         * Listen for this event after the normal subscribers have been notified and
-         * the default behavior has been applied.  If a normal subscriber prevents the 
-         * default behavior, it also prevents after listeners from firing.
-         * @method after
-         * @param {Function} fn        The function to execute
-         * @param {Object}   obj       An object to be passed along when the event fires
-         * @param args* 1..n params to provide to the listener
-         * @return {Event.Handle} unsubscribe handle
-         */
-        after: function(fn, obj) {
-            return this._subscribe(fn, obj, Y.Array(arguments, 2, true), AFTER);
-        },
-
-        /**
-         * Unsubscribes subscribers.
-         * @method unsubscribe
-         * @param {Function} fn  The subscribed function to remove, if not supplied
-         *                       all will be removed
-         * @param {Object}   obj  The custom object passed to subscribe.  This is
-         *                        optional, but if supplied will be used to
-         *                        disambiguate multiple listeners that are the same
-         *                        (e.g., you subscribe many object using a function
-         *                        that lives on the prototype)
-         * @return {boolean} True if the subscriber was found and detached.
-         */
-        unsubscribe: function(fn, obj) {
-
-            // if arg[0] typeof unsubscribe handle
-            if (fn && fn.detach) {
-                return fn.detach();
-            }
-
-            if (!fn) {
-                return this.unsubscribeAll();
-            }
-
-            var found = false, subs = this.subscribers;
-            for (var i in subs) {
-                if (subs.hasOwnProperty(i)) {
-                    var s = subs[i];
-                    if (s && s.contains(fn, obj)) {
-                        this._delete(s);
-                        found = true;
-                    }
-                }
-            }
-
-            return found;
-        },
-
-        _getFacade: function(args) {
-
-            var ef = this._facade;
-
-            if (!ef) {
-                ef = new Y.Event.Facade(this, this.currentTarget);
-            }
-
-            // if the first argument is an object literal, apply the
-            // properties to the event facade
-            var o = args && args[0];
-            if (Y.Lang.isObject(o, true) && !o._yuifacade) {
-                Y.mix(ef, o, true);
-            }
-
-            // update the details field with the arguments
-            ef.details = this.details;
-            ef.target = this.target;
-            ef.currentTarget = this.currentTarget;
-            ef.stopped = 0;
-            ef.prevented = 0;
-
-            this._facade = ef;
-
-            return this._facade;
-        },
-
-        /**
-         * Notify a single subscriber
-         * @method _notify
-         * @param s {Event.Subscriber} the subscriber
-         * @param args {Array} the arguments array to apply to the listener
-         * @private
-         */
-        _notify: function(s, args, ef) {
-
-            this.log(this.type + "->" + ": " +  s);
-
-            var ret;
-
-            // emit an Event.Facade if this is that sort of event
-            // if (this.emitFacade && (!args[0] || !args[0]._yuifacade)) {
-            if (this.emitFacade) {
-
-                // @TODO object literal support to fire makes it possible for
-                // config info to be passed if we wish.
-                
-                if (!ef) {
-                    ef = this._getFacade(args);
-                    args[0] = ef;
-                }
-
-            }
-             
-            ret = s.notify(this.context, args);
-
-            if (false === ret || this.stopped > 1) {
-                this.log(this.type + " cancelled by subscriber");
-                return false;
-            }
-
-            return true;
-        },
-
-        /**
-         * Logger abstraction to centralize the application of the silent flag
-         * @method log
-         * @param msg {string} message to log
-         * @param cat {string} log category
-         */
-        log: function(msg, cat) {
-            var es = Y.Env._eventstack, s =  es && es.silent;
-            // if (!s && !this.silent) {
-            if (!this.silent) {
-                Y.log(msg, cat || "info", "event");
-            }
-        },
-
-        /**
-         * Notifies the subscribers.  The callback functions will be executed
-         * from the context specified when the event was created, and with the 
-         * following parameters:
-         *   <ul>
-         *   <li>The type of event</li>
-         *   <li>All of the arguments fire() was executed with as an array</li>
-         *   <li>The custom object (if any) that was passed into the subscribe() 
-         *       method</li>
-         *   </ul>
-         * @method fire 
-         * @param {Object*} arguments an arbitrary set of parameters to pass to 
-         *                            the handler.
-         * @return {boolean} false if one of the subscribers returned false, 
-         *                   true otherwise
-         */
-        fire: function() {
-
-            var es = Y.Env._eventstack;
-
-            if (es) {
-
-                // var b = this.bubbles, h = this.host;
-                // if (b && h) {
-                //     b = (h._yuievt.targets.length);
-                // }
-
-                // es.silent = (es.silent || this.silent);
-
-                // queue this event if the current item in the queue bubbles
-                // if (b && this.queuable && this.type != es.next.type) {
-                if (this.queuable && this.type != es.next.type) {
-
-                    this.log('queue ' + this.type);
-
-                    es.queue.push([this, arguments]);
-                    return true;
-                }
-
-            } else {
-
-                Y.Env._eventstack = {
-                   // id of the first event in the stack
-                   id: this.id,
-                   next: this,
-                   silent: this.silent,
-                   logging: (this.type === 'yui:log'),
-                   stopped: 0,
-                   prevented: 0,
-                   queue: []
-                };
-
-                es = Y.Env._eventstack;
-            }
-
-            var ret = true;
-
-            if (this.fireOnce && this.fired) {
-
-                this.log('fireOnce event: ' + this.type + ' already fired');
-
-            } else {
-
-                // var subs = this.subscribers.slice(), len=subs.length,
-                var subs = Y.merge(this.subscribers), s,
-                           args=Y.Array(arguments, 0, true), i;
-
-                this.stopped = 0;
-                this.prevented = 0;
-                this.target = this.target || this.host;
-
-                this.currentTarget = this.host || this.currentTarget;
-
-                this.fired = true;
-                this.details = args.slice(); // original arguments in the details
-
-                // this.log("Firing " + this  + ", " + "args: " + args);
-                this.log("Firing " + this.type);
-
-                var hasSub = false;
-                es.lastLogState = es.logging;
-
-
-                var ef = null;
-                if (this.emitFacade) {
-                    ef = this._getFacade(args);
-                    args[0] = ef;
-                }
-
-                for (i in subs) {
-                    if (subs.hasOwnProperty(i)) {
-
-                        if (!hasSub) {
-                            es.logging = (es.logging || (this.type === 'yui:log'));
-                            hasSub = true;
-                        }
-
-                        // stopImmediatePropagation
-                        if (this.stopped == 2) {
-                            break;
-                        }
-
-                        s = subs[i];
-                        if (s && s.fn) {
-                            ret = this._notify(s, args, ef);
-                            if (false === ret) {
-                                this.stopped = 2;
-                            }
-                        }
-                    }
-                }
-
-                es.logging = (es.lastLogState);
-
-                // bubble if this is hosted in an event target and propagation has not been stopped
-                // @TODO check if we need to worry about defaultFn order
-                if (this.bubbles && this.host && !this.stopped) {
-                    es.stopped = 0;
-                    es.prevented = 0;
-                    ret = this.host.bubble(this);
-
-                    this.stopped = Math.max(this.stopped, es.stopped);
-                    this.prevented = Math.max(this.prevented, es.prevented);
-                }
-
-                // execute the default behavior if not prevented
-                // @TODO need context
-                if (this.defaultFn && !this.prevented) {
-                    this.defaultFn.apply(this.host || this, args);
-                }
-
-                // process after listeners.  If the default behavior was
-                // prevented, the after events don't fire.
-                if (!this.prevented && this.stopped < 2) {
-                    subs = Y.merge(this.afters);
-                    for (i in subs) {
-                        if (subs.hasOwnProperty(i)) {
-
-                            if (!hasSub) {
-                                es.logging = (es.logging || (this.type === 'yui:log'));
-                                hasSub = true;
-                            }
-
-                            // stopImmediatePropagation
-                            if (this.stopped == 2) {
-                                break;
-                            }
-
-                            s = subs[i];
-                            if (s && s.fn) {
-                                ret = this._notify(s, args, ef);
-                                if (false === ret) {
-                                    this.stopped = 2;
-                                }
-                            }
-                        }
-                    }
-                }
-            }
-
-            if (es.id === this.id) {
-// console.log('clearing stack: ' + es.id + ', ' + this);
-
-// reset propragation properties while processing the rest of the queue
-
-// process queued events
-                var queue = es.queue;
-
-                while (queue.length) {
-                    // q[0] = the event, q[1] = arguments to fire
-                    var q = queue.pop(), ce = q[0];
-
-// Y.log('firing queued event ' + ce.type + ', from ' + this);
-                    es.stopped = 0;
-                    es.prevented = 0;
-                    
-// set up stack to allow the next item to be processed
-                    es.next = ce;
-
-                    ret = ce.fire.apply(ce, q[1]);
-                }
-
-                Y.Env._eventstack = null;
-            } 
-
-            return (ret !== false);
-        },
-
-        /**
-         * Removes all listeners
-         * @method unsubscribeAll
-         * @return {int} The number of listeners unsubscribed
-         */
-        unsubscribeAll: function() {
-            var subs = this.subscribers, i;
-            for (i in subs) {
-                if (subs.hasOwnProperty(i)) {
-                    this._delete(subs[i]);
-                }
-            }
-
-            this.subscribers={};
-
-            return i;
-        },
-
-        /**
-         * @method _delete
-         * @param subscriber object
-         * @private
-         */
-        _delete: function(s) {
-
-            if (s) {
-                delete s.fn;
-                delete s.obj;
-                delete this.subscribers[s.id];
-                delete this.afters[s.id];
-            }
-
-        },
-
-        /**
-         * @method toString
-         */
-        toString: function() {
-             // return "{ CE '" + this.type + "' " + "id: " + this.id +
-                  // ", host: " + (this.host && Y.stamp(this.host) + " }");
-             return this.type;
-        },
-
-        /**
-         * Stop propagation to bubble targets
-         * @method stopPropagation
-         */
-        stopPropagation: function() {
-            this.stopped = 1;
-            Y.Env._eventstack.stopped = 1;
-            if (this.stoppedFn) {
-                this.stoppedFn.call(this.host || this, this);
-            }
-        },
-
-        /**
-         * Stops propagation to bubble targets, and prevents any remaining
-         * subscribers on the current target from executing.
-         * @method stopImmediatePropagation
-         */
-        stopImmediatePropagation: function() {
-            this.stopped = 2;
-            Y.Env._eventstack.stopped = 2;
-            if (this.stoppedFn) {
-                this.stoppedFn.call(this.host || this, this);
-            }
-        },
-
-        /**
-         * Prevents the execution of this event's defaultFn
-         * @method preventDefault
-         */
-        preventDefault: function() {
-            if (this.preventable) {
-                this.prevented = 1;
-                Y.Env._eventstack.prevented = 1;
-            }
-            if (this.preventedFn) {
-                this.preventedFn.call(this.host || this, this);
-            }
-        }
-
-    };
-
-    /////////////////////////////////////////////////////////////////////
-
-    /**
-     * Stores the subscriber information to be used when the event fires.
-     * @param {Function} fn       The wrapped function to execute
-     * @param {Object}   obj      An object to be passed along when the event fires
-     * @param {Array} args        subscribe() additional arguments
-     *
-     * @class Event.Subscriber
-     * @constructor
-     */
-    Y.Subscriber = function(fn, obj, args) {
-
-        /**
-         * The callback that will be execute when the event fires
-         * This is wrapped by Y.bind if obj was supplied.
-         * @property fn
-         * @type Function
-         */
-        this.fn = fn;
-
-        /**
-         * An optional custom object that will passed to the callback when
-         * the event fires
-         * @property obj
-         * @type Object
-         */
-        this.obj = obj;
-
-        /**
-         * Unique subscriber id
-         * @property id
-         * @type String
-         */
-        this.id = Y.stamp(this);
-
-        /**
-         * Optional additional arguments supplied to subscribe().  If present,
-         * these will be appended to the arguments supplied to fire()
-         * @property args
-         * @type Array
-         */
-        // this.args = args;
-
-        var m = fn;
-        
-        if (obj) {
-            var a = (args) ? Y.Array(args) : [];
-            a.unshift(fn, obj);
-            m = Y.bind.apply(Y, a);
-        }
-        
-        /**
-         * }
-         * fn bound to obj with additional arguments applied via Y.bind
-         * @property wrappedFn
-         * @type Function
-         */
-        this.wrappedFn = m;
-
-    };
-
-    Y.Subscriber.prototype = {
-
-        /**
-         * Executes the subscriber.
-         * @method notify
-         * @param defaultContext The execution context if not overridden
-         * by the subscriber
-         * @param args {Array} Arguments array for the subscriber
-         */
-        notify: function(defaultContext, args) {
-            var c = this.obj || defaultContext, ret = true;
-
-            try {
-                ret = this.wrappedFn.apply(c, args);
-            } catch(e) {
-                Y.fail(this + ' failed: ' + e.message, e);
-            }
-
-            return ret;
-        },
-
-        /**
-         * Returns true if the fn and obj match this objects properties.
-         * Used by the unsubscribe method to match the right subscriber.
-         *
-         * @method contains
-         * @param {Function} fn the function to execute
-         * @param {Object} obj an object to be passed along when the event fires
-         * @return {boolean} true if the supplied arguments match this 
-         *                   subscriber's signature.
-         */
-        contains: function(fn, obj) {
-            if (obj) {
-                return ((this.fn == fn) && this.obj == obj);
-            } else {
-                return (this.fn == fn);
-            }
-        },
-
-        /**
-         * @method toString
-         */
-        toString: function() {
-            return "Subscriber " + this.id;
-        }
-    };
-
-}, "3.0.0");
-/*
- * Configures an object to be able to be targeted for events, and to publish events
- * @submodule event-target
- * @module event
- */
-YUI.add("event-target", function(Y) {
-
-    var SILENT = { 'yui:log': true };
-
-    /**
-     * Event.Target is designed to be used with Y.augment to wrap 
-     * Event.Custom in an interface that allows events to be subscribed to 
-     * and fired by name.  This makes it possible for implementing code to
-     * subscribe to an event that either has not been created yet, or will
-     * not be created at all.
-     *
-     * @Class Event.Target
-     */
-    Y.EventTarget = function(opts) { 
-
-        // console.log('Event.Target constructor executed: ' + this._yuid);
-
-        var o = (Y.Lang.isObject(opts)) ? opts : {};
-
-        this._yuievt = {
-
-            events: {},
-
-            targets: {},
-
-            config: o,
-
-            defaults: {
-                context: this, 
-                host: this,
-                emitFacade: o.emitFacade || false,
-                bubbles: ('bubbles' in o) ? o.bubbles : true
-            }
-            
-        };
-
-    };
-
-    var ET = Y.EventTarget;
-
-    ET.prototype = {
-
-        /**
-         * Subscribe to a custom event hosted by this object
-         * @method subscribe
-         * @param type    {string}   The type of the event
-         * @param fn {Function} The callback
-         * @param context The execution context
-         * @param args* 1..n params to supply to the callback
-         */
-        subscribe: function(type, fn, context) {
-
-            var ce = this._yuievt.events[type] || 
-                // this.publish(type, {
-                //     configured: false
-                // }),
-                this.publish(type),
-                a = Y.Array(arguments, 1, true);
-
-            return ce.subscribe.apply(ce, a);
-
-        },
-
-        /**
-         * Unsubscribes one or more listeners the from the specified event
-         * @method unsubscribe
-         * @param type {string|Object}   Either the handle to the subscriber or the 
-         *                        type of event.  If the type
-         *                        is not specified, it will attempt to remove
-         *                        the listener from all hosted events.
-         * @param fn   {Function} The subscribed function to unsubscribe, if not
-         *                          supplied, all subscribers will be removed.
-         * @param context  {Object}   The custom object passed to subscribe.  This is
-         *                        optional, but if supplied will be used to
-         *                        disambiguate multiple listeners that are the same
-         *                        (e.g., you subscribe many object using a function
-         *                        that lives on the prototype)
-         * @return {boolean} true if the subscriber was found and detached.
-         */
-        unsubscribe: function(type, fn, context) {
-
-            // If this is an event handle, use it to detach
-            if (Y.Lang.isObject(type) && type.detach) {
-                return type.detach();
-            }
-
-            var evts = this._yuievt.events;
-
-            if (type) {
-                var ce = evts[type];
-                if (ce) {
-                    return ce.unsubscribe(fn, context);
-                }
-            } else {
-                var ret = true;
-                for (var i in evts) {
-                    if (Y.Object.owns(evts, i)) {
-                        ret = ret && evts[i].unsubscribe(fn, context);
-                    }
-                }
-                return ret;
-            }
-
-            return false;
-        },
-        
-        /**
-         * Removes all listeners from the specified event.  If the event type
-         * is not specified, all listeners from all hosted custom events will
-         * be removed.
-         * @method unsubscribeAll
-         * @param type {string}   The type, or name of the event
-         */
-        unsubscribeAll: function(type) {
-            return this.unsubscribe(type);
-        },
-
-        /**
-         * Creates a new custom event of the specified type.  If a custom event
-         * by that name already exists, it will not be re-created.  In either
-         * case the custom event is returned. 
-         *
-         * @method publish
-         *
-         * @param type {string} the type, or name of the event
-         * @param opts {object} optional config params.  Valid properties are:
-         *
-         *  <ul>
-         *    <li>
-         *   'broadcast': whether or not the YUI instance and YUI global are notified when the event is fired (false)
-         *    </li>
-         *    <li>
-         *   'bubbles': whether or not this event bubbles (true)
-         *    </li>
-         *    <li>
-         *   'context': the default execution context for the listeners (this)
-         *    </li>
-         *    <li>
-         *   'defaultFn': the default function to execute when this event fires if preventDefault was not called
-         *    </li>
-         *    <li>
-         *   'emitFacade': whether or not this event emits a facade (false)
-         *    </li>
-         *    <li>
-         *   'fireOnce': if an event is configured to fire once, new subscribers after
-         *   the fire will be notified immediately.
-         *    </li>
-         *    <li>
-         *   'preventable': whether or not preventDefault() has an effect (true)
-         *    </li>
-         *    <li>
-         *   'preventedFn': a function that is executed when preventDefault is called
-         *    </li>
-         *    <li>
-         *   'queuable': whether or not this event can be queued during bubbling (false)
-         *    </li>
-         *    <li>
-         *   'silent': if silent is true, debug messages are not provided for this event.
-         *    </li>
-         *    <li>
-         *   'stoppedFn': a function that is executed when stopPropagation is called
-         *    </li>
-         *    <li>
-         *   'type': the event type (valid option if not provided as the first parameter to publish)
-         *    </li>
-         *  </ul>
-         *
-         *  @return {Event.Custom} the custom event
-         *
-         */
-        publish: function(type, opts) {
-
-            var events = this._yuievt.events, ce = events[type];
-
-            //if (ce && !ce.configured) {
-            if (ce) {
-Y.log("publish applying config to published event: '"+type+"' exists", 'info', 'event');
-
-                // This event could have been published
-                ce.applyConfig(opts, true);
-                // ce.configured = true;
-
-            } else {
-                var o = opts || {};
-
-                // apply defaults
-                Y.mix(o, this._yuievt.defaults);
-
-                ce = new Y.CustomEvent(type, o);
-
-                events[type] = ce;
-
-                if (o.onSubscribeCallback) {
-                    ce.subscribeEvent.subscribe(o.onSubscribeCallback);
-                }
-
-            }
-
-            return events[type];
-        },
-
-        /**
-         * Registers another Event.Target as a bubble target.  Bubble order
-         * is determined by the order registered.  Multiple targets can
-         * be specified.
-         * @method addTarget
-         * @param o {Event.Target} the target to add
-         */
-        addTarget: function(o) {
-            this._yuievt.targets[Y.stamp(o)] = o;
-            this._yuievt.hasTargets = true;
-        },
-
-        /**
-         * Removes a bubble target
-         * @method removeTarget
-         * @param o {Event.Target} the target to remove
-         */
-        removeTarget: function(o) {
-            delete this._yuievt.targets[Y.stamp(o)];
-        },
-
-       /**
-         * Fire a custom event by name.  The callback functions will be executed
-         * from the context specified when the event was created, and with the 
-         * following parameters.
-         *
-         * If the custom event object hasn't been created, then the event hasn't 
-         * been published and it has no subscribers.  For performance sake, we 
-         * immediate exit in this case.  This means the event won't bubble, so 
-         * if the intention is that a bubble target be notified, the event must 
-         * be published on this object first.
-         *
-         * @method fire
-         * @param type {String|Object} The type of the event, or an object that contains
-         * a 'type' property.
-         * @param arguments {Object*} an arbitrary set of parameters to pass to 
-         * the handler.
-         * @return {boolean} the return value from Event.Custom.fire
-         *                   
-         */
-        fire: function(type) {
-
-            var typeIncluded = Y.Lang.isString(type),
-                t = (typeIncluded) ? type : (type && type.type);
-
-            var ce = this.getEvent(t);
-
-            // this event has not been published or subscribed to
-            if (!ce) {
-                
-                // if this object has bubble targets, we need to publish the
-                // event in order for it to bubble.
-                if (this._yuievt.hasTargets) {
-                    // ce = this.publish(t, {
-                    //     configured: false
-                    // });
-                    ce = this.publish(t);
-                    ce.details = Y.Array(arguments, (typeIncluded) ? 1 : 0, true);
-
-                    return this.bubble(ce);
-                }
-
-                // otherwise there is nothing to be done
-                return true;
-            }
-
-            // Provide this object's subscribers the object they are listening to.
-            // ce.currentTarget = this;
-
-            // This this the target unless target is current not null
-            // (set in bubble()).
-            // ce.target = ce.target || this;
-
-            var a = Y.Array(arguments, (typeIncluded) ? 1 : 0, true);
-            var ret = ce.fire.apply(ce, a);
-
-            // clear target for next fire()
-            ce.target = null;
-
-            return ret;
-        },
-
-        /**
-         * Returns the custom event of the provided type has been created, a
-         * falsy value otherwise
-         * @method getEvent
-         * @param type {string} the type, or name of the event
-         * @return {Event.Custom} the custom event or null
-         */
-        getEvent: function(type) {
-            var e = this._yuievt.events;
-            return (e && type in e) ? e[type] : null;
-        },
-
-        /**
-         * Propagate an event
-         * @method bubble
-         * @param evt {Event.Custom} the custom event to propagate
-         * @return {boolean} the aggregated return value from Event.Custom.fire
-         */
-        bubble: function(evt) {
-
-            var targs = this._yuievt.targets, ret = true;
-
-            if (!evt.stopped && targs) {
-
-                // Y.log('Bubbling ' + evt.type);
-
-                for (var i in targs) {
-                    if (targs.hasOwnProperty(i)) {
-
-                        var t = targs[i], type = evt.type,
-                            ce = t.getEvent(type), targetProp = evt.target || this;
-                            
-                        // if this event was not published on the bubble target,
-                        // publish it with sensible default properties
-                        if (!ce) {
-
-                            // publish the event on the bubble target using this event
-                            // for its configuration
-                            ce = t.publish(type, evt);
-                            // ce.configured = false;
-
-                            // set the host and context appropriately
-                            ce.context = (evt.host === evt.context) ? t : evt.context;
-                            ce.host = t;
-
-                            // clear handlers if specified on this event
-                            ce.defaultFn = null;
-                            ce.preventedFn = null;
-                            ce.stoppedFn = null;
-                        }
-
-                        ce.target = targetProp;
-                        ce.currentTarget = t;
-
-                        // ce.target = evt.target;
-
-                        ret = ret && ce.fire.apply(ce, evt.details);
-
-                        // stopPropagation() was called
-                        if (ce.stopped) {
-                            break;
-                        }
-                    }
-                }
-            }
-
-            return ret;
-        },
-
-        /**
-         * Subscribe to a custom event hosted by this object.  The
-         * supplied callback will execute after any listeners add
-         * via the subscribe method, and after the default function,
-         * if configured for the event, has executed.
-         * @method after
-         * @param type    {string}   The type of the event
-         * @param fn {Function} The callback
-         * @param context The execution context
-         * @param args* 1..n params to supply to the callback
-         */
-        after: function(type, fn) {
-            var ce = this._yuievt.events[type] || 
-                // this.publish(type, {
-                //     configured: false
-                // }),
-                this.publish(type),
-                a = Y.Array(arguments, 1, true);
-
-            return ce.after.apply(ce, a);
-        }
-
-    };
-
-    // make Y an event target
-    Y.mix(Y, ET.prototype, false, false, { 
-        bubbles: false 
-    });
-    ET.call(Y);
-
-
-}, "3.0.0");
-
-/*
- * DOMReady
- * @submodule event-ready
- * @module event
- */
-
-(function() {
-
-var Env = YUI.Env, 
-    C = YUI.config, 
-    D = C.doc, 
-    POLL_INTERVAL = C.pollInterval || 20;
-
-    if (!Env._ready) {
-
-        Env.windowLoaded = false;
-
-        Env._ready = function() {
-            if (!Env.DOMReady) {
-                Env.DOMReady=true;
-
-                // Remove the DOMContentLoaded (FF/Opera)
-                if (D.removeEventListener) {
-                    D.removeEventListener("DOMContentLoaded", _ready, false);
-                }
-            }
-        };
-
-        var _ready = function(e) {
-            YUI.Env._ready();
-        };
-
-        // create custom event
-
-        /////////////////////////////////////////////////////////////
-        // DOMReady
-        // based on work by: Dean Edwards/John Resig/Matthias Miller 
-
-        // Internet Explorer: use the readyState of a defered script.
-        // This isolates what appears to be a safe moment to manipulate
-        // the DOM prior to when the document's readyState suggests
-        // it is safe to do so.
-        if (navigator.userAgent.match(/MSIE/)) {
-
-            Env._dri = setInterval(function() {
-                try {
-                    // throws an error if doc is not ready
-                    document.documentElement.doScroll('left');
-                    clearInterval(Env._dri);
-                    Env._dri = null;
-                    _ready();
-                } catch (ex) { 
-                }
-            }, POLL_INTERVAL); 
-
-        // FireFox and Opera: These browsers provide a event for this
-        // moment.  The latest WebKit releases now support this event.
-        } else {
-            D.addEventListener("DOMContentLoaded", _ready, false);
-        }
-
-        /////////////////////////////////////////////////////////////
-    }
-
-    YUI.add("event-ready", function(Y) {
-
-        if (Y === YUI) {
-            return;
-        }
-
-        Y.publish('event:ready', {
-            fireOnce: true
-        });
-
-        var yready = function() {
-            Y.fire('event:ready');
-        };
-
-        if (Env.DOMReady) {
-            // Y.log('DOMReady already fired', 'info', 'event');
-            yready();
-        } else {
-            // Y.log('setting up before listener', 'info', 'event');
-            Y.before(yready, Env, "_ready");
-        }
-
-    }, "3.0.0");
-
-})();
-/*
- * The YUI DOM event system
- * @submodule event-dom
- * @module event
- */
-(function() {
-
-    var add = function(el, type, fn, capture) {
-        if (el.addEventListener) {
-                el.addEventListener(type, fn, !!capture);
-        } else if (el.attachEvent) {
-                el.attachEvent("on" + type, fn);
-        } 
-    },
-
-    remove = function(el, type, fn, capture) {
-        if (el.removeEventListener) {
-                el.removeEventListener(type, fn, !!capture);
-        } else if (el.detachEvent) {
-                el.detachEvent("on" + type, fn);
-        }
-    },
-
-    onLoad = function() {
-        YUI.Env.windowLoaded = true;
-        remove(window, "load", onLoad);
-    };
-
-    add(window, "load", onLoad);
-
-YUI.add("event-dom", function(Y) {
-
-    /*
-     * The Event Utility provides utilities for managing DOM Events and tools
-     * for building event systems
-     *
-     * @module event
-     * @title Event Utility
-     */
-
-    /**
-     * The event utility provides functions to add and remove event listeners,
-     * event cleansing.  It also tries to automatically remove listeners it
-     * registers during the unload event.
-     *
-     * @class Event
-     * @static
-     */
-        Y.Event = function() {
-
-            /**
-             * True after the onload event has fired
-             * @property loadComplete
-             * @type boolean
-             * @static
-             * @private
-             */
-            var loadComplete =  false;
-
-            /**
-             * The number of times to poll after window.onload.  This number is
-             * increased if additional late-bound handlers are requested after
-             * the page load.
-             * @property _retryCount
-             * @static
-             * @private
-             */
-            var _retryCount = 0;
-
-            /**
-             * onAvailable listeners
-             * @property _avail
-             * @static
-             * @private
-             */
-            var _avail = [];
-
-            /**
-             * Custom event wrappers for DOM events.  Key is 
-             * 'event:' + Element uid stamp + event type
-             * @property _wrappers
-             * @type Y.Event.Custom
-             * @static
-             * @private
-             */
-            var _wrappers = {};
-
-            var _windowLoadKey = null;
-
-            /**
-             * Custom event wrapper map DOM events.  Key is 
-             * Element uid stamp.  Each item is a hash of custom event
-             * wrappers as provided in the _wrappers collection.  This
-             * provides the infrastructure for getListeners.
-             * @property _el_events
-             * @static
-             * @private
-             */
-            var _el_events = {};
-
-            return {
-
-                /**
-                 * The number of times we should look for elements that are not
-                 * in the DOM at the time the event is requested after the document
-                 * has been loaded.  The default is 2000@amp;20 ms, so it will poll
-                 * for 40 seconds or until all outstanding handlers are bound
-                 * (whichever comes first).
-                 * @property POLL_RETRYS
-                 * @type int
-                 * @static
-                 * @final
-                 */
-                POLL_RETRYS: 2000,
-
-                /**
-                 * The poll interval in milliseconds
-                 * @property POLL_INTERVAL
-                 * @type int
-                 * @static
-                 * @final
-                 */
-                POLL_INTERVAL: 20,
-
-                /**
-                 * addListener/removeListener can throw errors in unexpected scenarios.
-                 * These errors are suppressed, the method returns false, and this property
-                 * is set
-                 * @property lastError
-                 * @static
-                 * @type Error
-                 */
-                lastError: null,
-
-
-                /**
-                 * poll handle
-                 * @property _interval
-                 * @static
-                 * @private
-                 */
-                _interval: null,
-
-                /**
-                 * document readystate poll handle
-                 * @property _dri
-                 * @static
-                 * @private
-                 */
-                 _dri: null,
-
-                /**
-                 * True when the document is initially usable
-                 * @property DOMReady
-                 * @type boolean
-                 * @static
-                 */
-                DOMReady: false,
-
-                /**
-                 * @method startInterval
-                 * @static
-                 * @private
-                 */
-                startInterval: function() {
-                    if (!this._interval) {
-this._interval = setInterval(Y.bind(this._tryPreloadAttach, this), this.POLL_INTERVAL);
-                    }
-                },
-
-                /**
-                 * Executes the supplied callback when the item with the supplied
-                 * id is found.  This is meant to be used to execute behavior as
-                 * soon as possible as the page loads.  If you use this after the
-                 * initial page load it will poll for a fixed time for the element.
-                 * The number of times it will poll and the frequency are
-                 * configurable.  By default it will poll for 10 seconds.
-                 *
-                 * <p>The callback is executed with a single parameter:
-                 * the custom object parameter, if provided.</p>
-                 *
-                 * @method onAvailable
-                 *
-                 * @param {string||string[]}   id the id of the element, or an array
-                 * of ids to look for.
-                 * @param {function} fn what to execute when the element is found.
-                 * @param {object}   p_obj an optional object to be passed back as
-                 *                   a parameter to fn.
-                 * @param {boolean|object}  p_override If set to true, fn will execute
-                 *                   in the context of p_obj, if set to an object it
-                 *                   will execute in the context of that object
-                 * @param checkContent {boolean} check child node readiness (onContentReady)
-                 * @static
-                 * @deprecated This will be replaced with a special Y.on custom event
-                 */
-                // @TODO fix arguments
-                onAvailable: function(id, fn, p_obj, p_override, checkContent) {
-
-                    // var a = (Y.Lang.isString(id)) ? [id] : id;
-                    var a = Y.Array(id);
-
-                    for (var i=0; i<a.length; i=i+1) {
-                        _avail.push({ id:         a[i], 
-                                      fn:         fn, 
-                                      obj:        p_obj, 
-                                      override:   p_override, 
-                                      checkReady: checkContent });
-                    }
-                    _retryCount = this.POLL_RETRYS;
-                    // this.startInterval();
-                    // this._tryPreloadAttach();
-
-                    // We want the first test to be immediate, but async
-                    setTimeout(Y.bind(this._tryPreloadAttach, this), 0);
-                },
-
-                /**
-                 * Works the same way as onAvailable, but additionally checks the
-                 * state of sibling elements to determine if the content of the
-                 * available element is safe to modify.
-                 *
-                 * <p>The callback is executed with a single parameter:
-                 * the custom object parameter, if provided.</p>
-                 *
-                 * @method onContentReady
-                 *
-                 * @param {string}   id the id of the element to look for.
-                 * @param {function} fn what to execute when the element is ready.
-                 * @param {object}   p_obj an optional object to be passed back as
-                 *                   a parameter to fn.
-                 * @param {boolean|object}  p_override If set to true, fn will execute
-                 *                   in the context of p_obj.  If an object, fn will
-                 *                   exectute in the context of that object
-                 *
-                 * @static
-                 * @deprecated This will be replaced with a special Y.on custom event
-                 */
-                // @TODO fix arguments
-                onContentReady: function(id, fn, p_obj, p_override) {
-                    this.onAvailable(id, fn, p_obj, p_override, true);
-                },
-
-                /**
-                 * Executes the supplied callback when the DOM is first usable.  This
-                 * will execute immediately if called after the DOMReady event has
-                 * fired.   @todo the DOMContentReady event does not fire when the
-                 * script is dynamically injected into the page.  This means the
-                 * DOMReady custom event will never fire in FireFox or Opera when the
-                 * library is injected.  It _will_ fire in Safari, and the IE 
-                 * implementation would allow for us to fire it if the defered script
-                 * is not available.  We want this to behave the same in all browsers.
-                 * Is there a way to identify when the script has been injected 
-                 * instead of included inline?  Is there a way to know whether the 
-                 * window onload event has fired without having had a listener attached 
-                 * to it when it did so?
-                 *
-                 * <p>The callback is a Event.Custom, so the signature is:</p>
-                 * <p>type &lt;string&gt;, args &lt;array&gt;, customobject &lt;object&gt;</p>
-                 * <p>For DOMReady events, there are no fire argments, so the
-                 * signature is:</p>
-                 * <p>"DOMReady", [], obj</p>
-                 *
-                 *
-                 * @method onDOMReady
-                 *
-                 * @param {function} fn what to execute when the element is found.
-                 * @optional context execution context
-                 * @optional args 1..n arguments to send to the listener
-                 *
-                 * @static
-                 * @deprecated Use Y.on('event:ready');
-                 */
-                onDOMReady: function(fn) {
-                    // var ev = Y.Event.DOMReadyEvent;
-                    // ev.subscribe.apply(ev, arguments);
-                    var a = Y.Array(arguments, 0, true);
-                    a.unshift('event:ready');
-                    Y.on.apply(Y, a);
-                },
-
-                /**
-                 * Appends an event handler
-                 *
-                 * @method addListener
-                 *
-                 * @param {String|HTMLElement|Array|NodeList} el An id, an element 
-                 *  reference, or a collection of ids and/or elements to assign the 
-                 *  listener to.
-                 * @param {String}   type     The type of event to append
-                 * @param {Function} fn        The method the event invokes
-                 * @param {Object}   obj    An arbitrary object that will be 
-                 *                             passed as a parameter to the handler
-                 * @param {Boolean|object}  args 1..n ar
-                 * @return {Boolean} True if the action was successful or defered,
-                 *                        false if one or more of the elements 
-                 *                        could not have the listener attached,
-                 *                        or if the operation throws an exception.
-                 * @static
-                 * @deprecated Use Y.on instead.  This will be removed in PR2
-                 */
-                addListener: function(el, type, fn, obj) {
-
-                    // Y.log('addListener: ' + Y.Lang.dump(Y.Array(arguments, 0, true), 1));
-
-                    var a=Y.Array(arguments, 1, true), override = a[3], E = Y.Event,
-                        aa=Y.Array(arguments, 0, true);
-
-                    if (!fn || !fn.call) {
-    // throw new TypeError(type + " addListener call failed, callback undefined");
-    Y.log(type + " addListener call failed, invalid callback", "error", "event");
-                        return false;
-                    }
-
-                    // The el argument can be an array of elements or element ids.
-                    if (this._isValidCollection(el)) {
-
-                        // Y.log('collection: ' + el);
-                        // Y.log('collection: ' + el.item(0) + ', ' + el.item(1));
-
-                        var handles=[], h, i, l, proc = function(v, k) {
-                            // handles.push(this.addListener(el[i], type, fn, obj, override));
-                            // var node = el.item(k);
-                            // Y.log('collection stuff: ' + node);
-                            
-                            var b = a.slice();
-                            b.unshift(v);
-                            h = E.addListener.apply(E, b);
-                            handles.push(h);
-                        };
-
-                        Y.each(el, proc, E);
-
-
-                        return handles;
-
-
-                    } else if (Y.Lang.isString(el)) {
-                        var oEl = Y.all(el);
-                        // If the el argument is a string, we assume it is 
-                        // actually the id of the element.  If the page is loaded
-                        // we convert el to the actual element, otherwise we 
-                        // defer attaching the event until onload event fires
-
-                        // check to see if we need to delay hooking up the event 
-                        // until after the page loads.
-                        var size = oEl.size();
-                        if (size) {
-                            if (size > 1) {
-                                aa[0] = oEl;
-                                return E.addListener.apply(E, aa);
-                            } else {
-                                el = oEl.item(0);
-                            }
-                        } else {
-                            //
-                            // defer adding the event until the element is available
-                            this.onAvailable(el, function() {
-                                // Y.Event.addListener(el, type, fn, obj, override);
-                                Y.Event.addListener.apply(Y.Event, aa);
-                            });
-
-                            return true;
-                        }
-                    }
-
-                    // Element should be an html element or an array if we get 
-                    // here.
-                    if (!el) {
-                        // Y.log("unable to attach event " + type);
-                        return false;
-                    }
-
-                    // the custom event key is the uid for the element + type
-
-                    var ek = Y.stamp(el), key = 'event:' + ek + type,
-                        cewrapper = _wrappers[key];
-
-
-                    if (!cewrapper) {
-                        // create CE wrapper
-                        cewrapper = Y.publish(key, {
-                            silent: true,
-                            // host: this,
-                            bubbles: false
-                        });
-
-                        // cache the dom event details in the custom event
-                        // for later removeListener calls
-                        cewrapper.el = el;
-                        cewrapper.type = type;
-                        cewrapper.fn = function(e) {
-                            cewrapper.fire(Y.Event.getEvent(e, el));
-                        };
-
-                        if (el == Y.config.win && type == "load") {
-                            // window load happens once
-                            cewrapper.fireOnce = true;
-                            _windowLoadKey = key;
-
-                            // if the load is complete, fire immediately.
-                            // all subscribers, including the current one
-                            // will be notified.
-                            if (YUI.Env.windowLoaded) {
-                                cewrapper.fire();
-                            }
-                        }
-
-                        _wrappers[key] = cewrapper;
-                        _el_events[ek] = _el_events[ek] || {};
-                        _el_events[ek][key] = cewrapper;
-
-                        // var capture = (Y.lang.isObject(obj) && obj.capture);
-                        // attach a listener that fires the custom event
-                        this.nativeAdd(el, type, cewrapper.fn, false);
-                    }
-
-        
-                    // from type, fn, etc to fn, obj, override
-                    a = Y.Array(arguments, 2, true);
-                    // a = a.shift();
-
-                    var context = obj || Y.get(el);
-                    // if (override) {
-                        // if (override === true) {
-                            // context = obj;
-                        // } else {
-                            // context = override;
-                        // }
-                    // }
-
-                    a[1] = context;
-
-                    // set context to the Node if not specified
-                    return cewrapper.subscribe.apply(cewrapper, a);
-
-
-                },
-
-                /**
-                 * Removes an event listener.  Supports the signature the event was bound
-                 * with, but the preferred way to remove listeners is using the handle
-                 * that is returned when using Y.on
-                 *
-                 * @method removeListener
-                 *
-                 * @param {String|HTMLElement|Array|NodeList} el An id, an element 
-                 *  reference, or a collection of ids and/or elements to remove
-                 *  the listener from.
-                 * @param {String} type the type of event to remove.
-                 * @param {Function} fn the method the event invokes.  If fn is
-                 *  undefined, then all event handlers for the type of event are *  removed.
-                 * @return {boolean} true if the unbind was successful, false *  otherwise.
-                 * @static
-                 */
-                removeListener: function(el, type, fn) {
-
-                    if (el && el.detach) {
-                        return el.detach();
-                    }
-                    var i, len, li;
-
-                    // The el argument can be a string
-                    if (typeof el == "string") {
-                        el = Y.get(el);
-                    // The el argument can be an array of elements or element ids.
-                    } else if ( this._isValidCollection(el)) {
-                        var ok = true;
-                        for (i=0,len=el.length; i<len; ++i) {
-                            ok = ( this.removeListener(el[i], type, fn) && ok );
-                        }
-                        return ok;
-                    }
-
-                    if (!fn || !fn.call) {
-                        // Y.log("Error, function is not valid " + fn);
-                        //return false;
-                        return this.purgeElement(el, false, type);
-                    }
-
-
-                    var id = 'event:' + Y.stamp(el) + type, 
-                        ce = _wrappers[id];
-                    if (ce) {
-                        return ce.unsubscribe(fn);
-                    } else {
-                        return false;
-                    }
-
-                },
-
-                /**
-                 * Finds the event in the window object, the caller's arguments, or
-                 * in the arguments of another method in the callstack.  This is
-                 * executed automatically for events registered through the event
-                 * manager, so the implementer should not normally need to execute
-                 * this function at all.
-                 * @method getEvent
-                 * @param {Event} e the event parameter from the handler
-                 * @param {HTMLElement} boundEl the element the listener is attached to
-                 * @return {Event} the event 
-                 * @static
-                 */
-                getEvent: function(e, boundEl) {
-                    var ev = e || window.event;
-
-                    if (!ev) {
-                        var c = this.getEvent.caller;
-                        while (c) {
-                            ev = c.arguments[0];
-                            if (ev && Event == ev.constructor) {
-                                break;
-                            }
-                            c = c.caller;
-                        }
-                    }
-
-                    // Y.log('wrapper for facade: ' + 'event:' + Y.stamp(boundEl) + e.type);
-
-                    return new Y.Event.Facade(ev, boundEl, _wrappers['event:' + Y.stamp(boundEl) + e.type]);
-                },
-
-
-                /**
-                 * Generates an unique ID for the element if it does not already 
-                 * have one.
-                 * @method generateId
-                 * @param el the element to create the id for
-                 * @return {string} the resulting id of the element
-                 * @static
-                 */
-                generateId: function(el) {
-                    var id = el.id;
-
-                    if (!id) {
-                        id = Y.stamp(el);
-                        el.id = id;
-                    }
-
-                    return id;
-                },
-
-
-                /**
-                 * We want to be able to use getElementsByTagName as a collection
-                 * to attach a group of events to.  Unfortunately, different 
-                 * browsers return different types of collections.  This function
-                 * tests to determine if the object is array-like.  It will also 
-                 * fail if the object is an array, but is empty.
-                 * @method _isValidCollection
-                 * @param o the object to test
-                 * @return {boolean} true if the object is array-like and populated
-                 * @static
-                 * @private
-                 */
-                _isValidCollection: function(o) {
-                    try {
-                        return ( o                     && // o is something
-                                 typeof o !== "string" && // o is not a string
-                                 (o.each || o.length)  && // o is indexed
-                                 !o.tagName            && // o is not an HTML element
-                                 !o.alert              && // o is not a window
-                                 (o.item || typeof o[0] !== "undefined") );
-                    } catch(ex) {
-                        Y.log("collection check failure", "warn", "event");
-                        return false;
-                    }
-
-                },
-
-                /*
-                 * Custom event the fires when the dom is initially usable
-                 * @event DOMReadyEvent
-                 */
-                // DOMReadyEvent: new Y.CustomEvent("event:ready", this),
-                // DOMReadyEvent: Y.publish("event:ready", this, {
-                    // fireOnce: true
-                // }),
-
-                /**
-                 * hook up any deferred listeners
-                 * @method _load
-                 * @static
-                 * @private
-                 */
-                _load: function(e) {
-
-                    if (!loadComplete) {
-
-                        // Y.log('Load Complete', 'info', 'event');
-
-                        loadComplete = true;
-
-                        // Just in case DOMReady did not go off for some reason
-                        // E._ready();
-                        if (Y.fire) {
-                            Y.fire('event:ready');
-                        }
-
-                        // Available elements may not have been detected before the
-                        // window load event fires. Try to find them now so that the
-                        // the user is more likely to get the onAvailable notifications
-                        // before the window load notification
-                        Y.Event._tryPreloadAttach();
-
-                    }
-                },
-
-                /**
-                 * Polling function that runs before the onload event fires, 
-                 * attempting to attach to DOM Nodes as soon as they are 
-                 * available
-                 * @method _tryPreloadAttach
-                 * @static
-                 * @private
-                 */
-                _tryPreloadAttach: function() {
-
-                    if (this.locked) {
-                        return;
-                    }
-
-                    if (Y.UA.ie && !YUI.Env.DOMReady) {
-                        // Hold off if DOMReady has not fired and check current
-                        // readyState to protect against the IE operation aborted
-                        // issue.
-                        this.startInterval();
-                        return;
-                    }
-
-                    this.locked = true;
-
-                    // Y.log.debug("tryPreloadAttach");
-
-                    // keep trying until after the page is loaded.  We need to 
-                    // check the page load state prior to trying to bind the 
-                    // elements so that we can be certain all elements have been 
-                    // tested appropriately
-                    var tryAgain = !loadComplete;
-                    if (!tryAgain) {
-                        tryAgain = (_retryCount > 0);
-                    }
-
-                    // onAvailable
-                    var notAvail = [];
-
-                    var executeItem = function (el, item) {
-                        var context;
-                        if (item.override) {
-                            if (item.override === true) {
-                                context = item.obj;
-                            } else {
-                                context = item.override;
-                            }
-                        } else {
-                            context = Y.get(el);
-                        }
-                        item.fn.call(context, item.obj);
-                    };
-
-                    var i,len,item,el;
-
-                    // onAvailable
-                    for (i=0,len=_avail.length; i<len; ++i) {
-                        item = _avail[i];
-                        if (item && !item.checkReady) {
-                            el = Y.get(item.id);
-                            if (el) {
-                                executeItem(el, item);
-                                _avail[i] = null;
-                            } else {
-                                notAvail.push(item);
-                            }
-                        }
-                    }
-
-                    // onContentReady
-                    for (i=0,len=_avail.length; i<len; ++i) {
-                        item = _avail[i];
-                        if (item && item.checkReady) {
-                            el = Y.get(item.id);
-
-                            if (el) {
-                                // The element is available, but not necessarily ready
-                                // @todo should we test parentNode.nextSibling?
-                                if (loadComplete || el.get('nextSibling')) {
-                                    executeItem(el, item);
-                                    _avail[i] = null;
-                                }
-                            } else {
-                                notAvail.push(item);
-                            }
-                        }
-                    }
-
-                    _retryCount = (notAvail.length === 0) ? 0 : _retryCount - 1;
-
-                    if (tryAgain) {
-                        // we may need to strip the nulled out items here
-                        this.startInterval();
-                    } else {
-                        clearInterval(this._interval);
-                        this._interval = null;
-                    }
-
-                    this.locked = false;
-
-                    return;
-
-                },
-
-                /**
-                 * Removes all listeners attached to the given element via addListener.
-                 * Optionally, the node's children can also be purged.
-                 * Optionally, you can specify a specific type of event to remove.
-                 * @method purgeElement
-                 * @param {HTMLElement} el the element to purge
-                 * @param {boolean} recurse recursively purge this element's children
-                 * as well.  Use with caution.
-                 * @param {string} type optional type of listener to purge. If
-                 * left out, all listeners will be removed
-                 * @static
-                 */
-                purgeElement: function(el, recurse, type) {
-                    var oEl = (Y.Lang.isString(el)) ? Y.get(el) : el,
-                        id = Y.stamp(oEl);
-                    var lis = this.getListeners(oEl, type), i, len;
-                    if (lis) {
-                        for (i=0,len=lis.length; i<len ; ++i) {
-                            lis[i].unsubscribeAll();
-                        }
-                    }
-
-                    if (recurse && oEl && oEl.childNodes) {
-                        for (i=0,len=oEl.childNodes.length; i<len ; ++i) {
-                            this.purgeElement(oEl.childNodes[i], recurse, type);
-                        }
-                    }
-                },
-
-                /**
-                 * Returns all listeners attached to the given element via addListener.
-                 * Optionally, you can specify a specific type of event to return.
-                 * @method getListeners
-                 * @param el {HTMLElement|string} the element or element id to inspect 
-                 * @param type {string} optional type of listener to return. If
-                 * left out, all listeners will be returned
-                 * @return {Y.Custom.Event} the custom event wrapper for the DOM event(s)
-                 * @static
-                 */           
-                getListeners: function(el, type) {
-                    var results=[], ek = Y.stamp(el), key = (type) ? 'event:' + type : null,
-                        evts = _el_events[ek];
-
-                    if (key) {
-                        if (evts[key]) {
-                            results.push(evts[key]);
-                        }
-                    } else {
-                        for (var i in evts) {
-                            results.push(evts[i]);
-                        }
-                    }
-
-                    return (results.length) ? results : null;
-                },
-
-                /**
-                 * Removes all listeners registered by pe.event.  Called 
-                 * automatically during the unload event.
-                 * @method _unload
-                 * @static
-                 * @private
-                 */
-                _unload: function(e) {
-
-                    var E = Y.Event, i, w;
-
-                    for (i in _wrappers) {
-                        w = _wrappers[i];
-                        w.unsubscribeAll();
-                        E.nativeRemove(w.el, w.type, w.fn);
-                        delete _wrappers[i];
-                    }
-
-                    E.nativeRemove(window, "unload", E._unload);
-                },
-
-                
-                /**
-                 * Adds a DOM event directly without the caching, cleanup, context adj, etc
-                 *
-                 * @method nativeAdd
-                 * @param {HTMLElement} el      the element to bind the handler to
-                 * @param {string}      type   the type of event handler
-                 * @param {function}    fn      the callback to invoke
-                 * @param {boolen}      capture capture or bubble phase
-                 * @static
-                 * @private
-                 */
-                nativeAdd: add,
-
-                /**
-                 * Basic remove listener
-                 *
-                 * @method nativeRemove
-                 * @param {HTMLElement} el      the element to bind the handler to
-                 * @param {string}      type   the type of event handler
-                 * @param {function}    fn      the callback to invoke
-                 * @param {boolen}      capture capture or bubble phase
-                 * @static
-                 * @private
-                 */
-                nativeRemove: remove
-            };
-
-        }();
-
-        var E = Y.Event;
-
-        // Process onAvailable/onContentReady items when when the DOM is ready in IE
-        if (Y.UA.ie && Y.on) {
-            Y.on('event:ready', E._tryPreloadAttach, E, true);
-        }
-
-        E.Custom = Y.CustomEvent;
-        E.Subscriber = Y.Subscriber;
-        E.Target = Y.EventTarget;
-
-        /**
-         * Y.Event.on is an alias for addListener
-         * @method on
-         * @see addListener
-         * @static
-         */
-        E.attach = function(type, fn, el, data, context) {
-            var a = Y.Array(arguments, 0, true),
-                oEl = a.splice(2, 1);
-            a.unshift(oEl[0]);
-            return E.addListener.apply(E, a);
-        };
-
-        E.detach = function(type, fn, el, data, context) {
-            return E.removeListener(el, type, fn, data, context);
-        };
-
-        E.attach("load", E._load, window, E);
-        E.nativeAdd(window, "unload", E._unload);
-
-        E._tryPreloadAttach();
-
-}, "3.0.0");
-
-})();
-/*
- * A wrapper for DOM events and Custom Events
- * @submodule event-facade
- * @module event
- */
-YUI.add("event-facade", function(Y) {
-
-
-    var whitelist = {
-        "altKey"          : 1,
-        // "button"          : 1, // we supply
-        // "bubbles"         : 1, // needed?
-        // "cancelable"      : 1, // needed? 
-        // "charCode"        : 1, // we supply
-        "cancelBubble"    : 1,
-        // "currentTarget"   : 1, // we supply
-        "ctrlKey"         : 1,
-        "clientX"         : 1, // needed?
-        "clientY"         : 1, // needed?
-        "detail"          : 1, // not fully implemented
-        // "fromElement"     : 1,
-        "keyCode"         : 1,
-        // "height"          : 1, // needed?
-        // "initEvent"       : 1, // need the init events?
-        // "initMouseEvent"  : 1,
-        // "initUIEvent"     : 1,
-        // "layerX"          : 1, // needed?
-        // "layerY"          : 1, // needed?
-        "metaKey"         : 1,
-        // "modifiers"       : 1, // needed?
-        // "offsetX"         : 1, // needed?
-        // "offsetY"         : 1, // needed?
-        // "preventDefault"  : 1, // we supply
-        // "reason"          : 1, // IE proprietary
-        // "relatedTarget"   : 1,
-        // "returnValue"     : 1, // needed?
-        "shiftKey"        : 1,
-        // "srcUrn"          : 1, // IE proprietary
-        // "srcElement"      : 1,
-        // "srcFilter"       : 1, IE proprietary
-        // "stopPropagation" : 1, // we supply
-        // "target"          : 1,
-        // "timeStamp"       : 1, // needed?
-        // "toElement"       : 1,
-        "type"            : 1,
-        // "view"            : 1,
-        // "which"           : 1, // we supply
-        // "width"           : 1, // needed?
-        "x"               : 1,
-        "y"               : 1
-    };
-
-    var ua = Y.UA,
-
-        /**
-         * webkit key remapping required for Safari < 3.1
-         * @property webkitKeymap
-         * @private
-         */
-        webkitKeymap = {
-            63232: 38, // up
-            63233: 40, // down
-            63234: 37, // left
-            63235: 39, // right
-            63276: 33, // page up
-            63277: 34, // page down
-            25: 9      // SHIFT-TAB (Safari provides a different key code in
-                       // this case, even though the shiftKey modifier is set)
-        },
-
-        /**
-         * Returns a wrapped node.  Intended to be used on event targets,
-         * so it will return the node's parent if the target is a text
-         * node
-         * @method resolve
-         * @private
-         */
-        resolve = function(n) {
-
-            if (!n) {
-                return null;
-            }
-
-            try {
-                if (ua.webkit && 3 == n.nodeType) {
-                    n = n.parentNode;
-                } 
-            } catch(ex) { }
-
-            return Y.Node.get(n);
-        };
-
-
-    // provide a single event with browser abstractions resolved
-    //
-    // include all properties for both browers?
-    // include only DOM2 spec properties?
-    // provide browser-specific facade?
-
-    /**
-     * Wraps a DOM event, properties requiring browser abstraction are
-     * fixed here.  Provids a security layer when required.
-     * @class Event.Facade
-     * @param ev {Event} the DOM event
-     * @param currentTarget {HTMLElement} the element the listener was attached to
-     * @param wrapper {Event.Custom} the custom event wrapper for this DOM event
-     */
-    Y.Event.Facade = function(ev, currentTarget, wrapper, details) {
-
-        // @TODO the document should be the target's owner document
-
-        var e = ev, ot = currentTarget, d = Y.config.doc, b = d.body,
-            x = e.pageX, y = e.pageY, isCE = (ev._YUI_EVENT);
-
-        // copy all primitives ... this is slow in FF
-        // for (var i in e) {
-        for (var i in whitelist) {
-            // if (!Y.Lang.isObject(e[i])) {
-            if (whitelist.hasOwnProperty(i)) {
-                this[i] = e[i];
-            }
-        }
-
-        //////////////////////////////////////////////////////
-
-        if (!x && 0 !== x) {
-            x = e.clientX || 0;
-            y = e.clientY || 0;
-
-            if (ua.ie) {
-                x += Math.max(d.documentElement.scrollLeft, b.scrollLeft);
-                y += Math.max(d.documentElement.scrollTop, b.scrollTop);
-            }
-        }
-
-        this._yuifacade = true;
-
-        /**
-         * The X location of the event on the page (including scroll)
-         * @property pageX
-         * @type int
-         */
-        this.pageX = x;
-
-        /**
-         * The Y location of the event on the page (including scroll)
-         * @property pageY
-         * @type int
-         */
-        this.pageY = y;
-
-        //////////////////////////////////////////////////////
-
-        /**
-         * The keyCode for key events.  Uses charCode if keyCode is not available
-         * @property keyCode
-         * @type int
-         */
-        var c = e.keyCode || e.charCode || 0;
-
-        if (ua.webkit && (c in webkitKeymap)) {
-            c = webkitKeymap[c];
-        }
-
-        /**
-         * The keyCode for key events.  Uses charCode if keyCode is not available
-         * @property keyCode
-         * @type int
-         */
-        this.keyCode = c;
-
-        /**
-         * The charCode for key events.  Same as keyCode
-         * @property charCode
-         * @type int
-         */
-        this.charCode = c;
-
-        //////////////////////////////////////////////////////
-
-        /**
-         * The button that was pushed.
-         * @property button
-         * @type int
-         */
-        this.button = e.which || e.button;
-
-        /**
-         * The button that was pushed.  Same as button.
-         * @property which
-         * @type int
-         */
-        this.which = this.button;
-
-        /**
-         * The event details.  Currently supported for Custom
-         * Events only, where it contains the arguments that
-         * were passed to fire().
-         * @property details
-         * @type Array
-         */
-        this.details = details;
-
-        //////////////////////////////////////////////////////
-
-        /**
-         * Timestamp for the event
-         * @property time
-         * @type Date
-         */
-        this.time = e.time || new Date().getTime();
-
-        //////////////////////////////////////////////////////
-        
-        /**
-         * Node reference for the targeted element
-         * @propery target
-         * @type Node
-         */
-        this.target = (isCE) ? e.target : resolve(e.target || e.srcElement);
-
-        /**
-         * Node reference for the element that the listener was attached to.
-         * @propery currentTarget
-         * @type Node
-         */
-        this.currentTarget = (isCE) ? ot :  resolve(ot);
-
-        var t = e.relatedTarget;
-        if (!t) {
-            if (e.type == "mouseout") {
-                t = e.toElement;
-            } else if (e.type == "mouseover") {
-                t = e.fromElement;
-            }
-        }
-
-        /**
-         * Node reference to the relatedTarget
-         * @propery relatedTarget
-         * @type Node
-         */
-        this.relatedTarget = (isCE) ? t : resolve(t);
-        
-        //////////////////////////////////////////////////////
-        // methods
-
-        /**
-         * Stops the propagation to the next bubble target
-         * @method stopPropagation
-         */
-        this.stopPropagation = function() {
-            if (e.stopPropagation) {
-                e.stopPropagation();
-            } else {
-                e.cancelBubble = true;
-            }
-            if (wrapper) {
-                wrapper.stopPropagation();
-            }
-        };
-
-        /**
-         * Stops the propagation to the next bubble target and
-         * prevents any additional listeners from being exectued
-         * on the current target.
-         * @method stopImmediatePropagation
-         */
-        this.stopImmediatePropagation = function() {
-
-            if (e.stopImmediatePropagation) {
-                e.stopImmediatePropagation();
-            } else {
-                this.stopPropagation();
-            }
-
-            if (wrapper) {
-                wrapper.stopImmediatePropagation();
-            }
-
-        };
-
-        /**
-         * Prevents the event's default behavior
-         * @method preventDefault
-         */
-        this.preventDefault = function() {
-            if (e.preventDefault) {
-                e.preventDefault();
-            } else {
-                e.returnValue = false;
-            }
-            if (wrapper) {
-                wrapper.preventDefault();
-            }
-        };
-
-        /**
-         * Stops the event propagation and prevents the default
-         * event behavior.
-         * @method halt
-         * @param immediate {boolean} if true additional listeners
-         * on the current target will not be executed
-         */
-        this.halt = function(immediate) {
-            if (immediate) {
-                this.stopImmediatePropagation();
-            } else {
-                this.stopPropagation();
-            }
-            this.preventDefault();
-        };
-
-    };
-
-}, "3.0.0");

=== removed file 'loggerhead/static/javascript/yui/build/event/event-min.js'
--- loggerhead/static/javascript/yui/build/event/event-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/event/event-min.js	1970-01-01 00:00:00 +0000
@@ -1,9 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("event",function(A){A.on=function(C,D,E){if(C.indexOf(":")>-1){var B=C.split(":");switch(B[0]){default:return A.subscribe.apply(A,arguments);}}else{return A.Event.attach.apply(A.Event,arguments);}};A.detach=function(C,D,E){if(A.Lang.isObject(C)&&C.detach){return C.detach();}else{if(C.indexOf(":")>-1){var B=C.split(":");switch(B[0]){default:return A.unsubscribe.apply(A,arguments);}}else{return A.Event.detach.apply(A.Event,arguments);}}};A.before=function(B,C,D){if(A.Lang.isFunction(B)){return A.Do.before.apply(A.Do,arguments);}return A;};A.after=function(B,C,D){if(A.Lang.isFunction(B)){return A.Do.after.apply(A.Do,arguments);}return A;};},"3.0.0",{use:["aop","event-custom","event-target","event-ready","event-dom","event-facade"]});YUI.add("aop",function(C){var A=0,B=1;C.Do={objs:{},before:function(E,G,H,I){var F=E;if(I){var D=[E,I].concat(C.Array(arguments,4,true));F=C.bind.apply(C,D);}return this._inject(A,F,G,H);},after:function(E,G,H,I){var F=E;if(I){var D=[E,I].concat(C.Array(arguments,4,true));F=C.bind.apply(C,D);}return this._inject(B,F,G,H);},_inject:function(D,F,G,I){var J=C.stamp(G);if(!this.objs[J]){this.objs[J]={};}var H=this.objs[J];if(!H[I]){H[I]=new C.Do.Method(G,I);G[I]=function(){return H[I].exec.apply(H[I],arguments);};}var E=J+C.stamp(F)+I;H[I].register(E,F,D);return E;},detach:function(D){delete this.before[D];delete this.after[D];},_unload:function(E,D){}};C.Do.Method=function(D,E){this.obj=D;this.methodName=E;this.method=D[E];this.before={};this.after={};};C.Do.Method.prototype.register=function(E,F,D){if(D){this.after[E]=F;}else{this.before[E]=F;}};C.Do.Method.prototype.exec=function(){var F=C.Array(arguments,0,true),G,E,I,H=this.before,D=this.after;for(G in H){if(H.hasOwnProperty(G)){E=H[G].apply(this.obj,F);if(E&&E.constructor==C.Do.Error){return E.retVal;}else{if(E&&E.constructor==C.Do.AlterArgs){F=E.newArgs;}}}}E=this.method.apply(this.obj,F);for(G in D){if(D.hasOwnProperty(G)){I=D[G].apply(this.obj,F);if(I&&I.constructor==C.Do.Error){return I.retVal;}else{if(I&&I.constructor==C.Do.AlterReturn){E=I.newRetVal;}}}}return E;};C.Do.Error=function(E,D){this.msg=E;this.retVal=D;};C.Do.AlterArgs=function(E,D){this.msg=E;this.newArgs=D;};C.Do.AlterReturn=function(E,D){this.msg=E;this.newRetVal=D;};},"3.0.0");YUI.add("event-custom",function(D){var B="_event:onsub",C="after",A=["broadcast","bubbles","context","configured","currentTarget","defaultFn","details","emitFacade","fireOnce","host","preventable","preventedFn","queuable","silent","stoppedFn","target","type"];D.EventHandle=function(E,F){this.evt=E;this.sub=F;};D.EventHandle.prototype={detach:function(){this.evt._delete(this.sub);}};D.CustomEvent=function(E,F){F=F||{};this.id=D.stamp(this);this.type=E;this.context=D;this.broadcast=0;this.queuable=false;this.subscribers={};this.afters={};this.fired=false;this.fireOnce=false;this.stopped=0;this.prevented=0;this.host=null;this.defaultFn=null;this.stoppedFn=null;this.preventedFn=null;this.preventable=true;this.bubbles=true;this.emitFacade=false;this.applyConfig(F,true);if(E!==B){this.subscribeEvent=new D.CustomEvent(B,{context:this,silent:true});}};D.CustomEvent.prototype={_YUI_EVENT:true,applyConfig:function(F,E){if(F){D.mix(this,F,E,A);}},_subscribe:function(H,J,F,E){if(!H){D.fail("Invalid callback for CE: "+this.type);}var I=this.subscribeEvent;if(I){I.fire.apply(I,F);}var G=new D.Subscriber(H,J,F,E);if(this.fireOnce&&this.fired){D.later(0,this,this._notify,G);}if(E==C){this.afters[G.id]=G;}else{this.subscribers[G.id]=G;}return new D.EventHandle(this,G);},subscribe:function(E,F){return this._subscribe(E,F,D.Array(arguments,2,true));},after:function(E,F){return this._subscribe(E,F,D.Array(arguments,2,true),C);},unsubscribe:function(H,J){if(H&&H.detach){return H.detach();}if(!H){return this.unsubscribeAll();}var I=false,F=this.subscribers;for(var E in F){if(F.hasOwnProperty(E)){var G=F[E];if(G&&G.contains(H,J)){this._delete(G);I=true;}}}return I;},_getFacade:function(F){var E=this._facade;if(!E){E=new D.Event.Facade(this,this.currentTarget);}var G=F&&F[0];if(D.Lang.isObject(G,true)&&!G._yuifacade){D.mix(E,G,true);}E.details=this.details;E.target=this.target;E.currentTarget=this.currentTarget;E.stopped=0;E.prevented=0;this._facade=E;return this._facade;},_notify:function(H,G,E){var F;if(this.emitFacade){if(!E){E=this._getFacade(G);G[0]=E;}}F=H.notify(this.context,G);if(false===F||this.stopped>1){return false;}return true;},log:function(H,E){var G=D.Env._eventstack,F=G&&G.silent;if(!this.silent){}},fire:function(){var N=D.Env._eventstack;if(N){if(this.queuable&&this.type!=N.next.type){N.queue.push([this,arguments]);return true;}}else{D.Env._eventstack={id:this.id,next:this,silent:this.silent,logging:(this.type==="yui:log"),stopped:0,prevented:0,queue:[]};N=D.Env._eventstack;}var L=true;if(this.fireOnce&&this.fired){}else{var G=D.merge(this.subscribers),O,M=D.Array(arguments,0,true),H;this.stopped=0;this.prevented=0;this.target=this.target||this.host;this.currentTarget=this.host||this.currentTarget;this.fired=true;this.details=M.slice();var K=false;N.lastLogState=N.logging;var I=null;if(this.emitFacade){I=this._getFacade(M);M[0]=I;}for(H in G){if(G.hasOwnProperty(H)){if(!K){N.logging=(N.logging||(this.type==="yui:log"));K=true;}if(this.stopped==2){break;}O=G[H];if(O&&O.fn){L=this._notify(O,M,I);if(false===L){this.stopped=2;}}}}N.logging=(N.lastLogState);if(this.bubbles&&this.host&&!this.stopped){N.stopped=0;N.prevented=0;L=this.host.bubble(this);this.stopped=Math.max(this.stopped,N.stopped);this.prevented=Math.max(this.prevented,N.prevented);}if(this.defaultFn&&!this.prevented){this.defaultFn.apply(this.host||this,M);}if(!this.prevented&&this.stopped<2){G=D.merge(this.afters);for(H in G){if(G.hasOwnProperty(H)){if(!K){N.logging=(N.logging||(this.type==="yui:log"));K=true;}if(this.stopped==2){break;}O=G[H];if(O&&O.fn){L=this._notify(O,M,I);if(false===L){this.stopped=2;}}}}}}if(N.id===this.id){var J=N.queue;while(J.length){var E=J.pop(),F=E[0];N.stopped=0;N.prevented=0;
-N.next=F;L=F.fire.apply(F,E[1]);}D.Env._eventstack=null;}return(L!==false);},unsubscribeAll:function(){var F=this.subscribers,E;for(E in F){if(F.hasOwnProperty(E)){this._delete(F[E]);}}this.subscribers={};return E;},_delete:function(E){if(E){delete E.fn;delete E.obj;delete this.subscribers[E.id];delete this.afters[E.id];}},toString:function(){return this.type;},stopPropagation:function(){this.stopped=1;D.Env._eventstack.stopped=1;if(this.stoppedFn){this.stoppedFn.call(this.host||this,this);}},stopImmediatePropagation:function(){this.stopped=2;D.Env._eventstack.stopped=2;if(this.stoppedFn){this.stoppedFn.call(this.host||this,this);}},preventDefault:function(){if(this.preventable){this.prevented=1;D.Env._eventstack.prevented=1;}if(this.preventedFn){this.preventedFn.call(this.host||this,this);}}};D.Subscriber=function(H,I,G){this.fn=H;this.obj=I;this.id=D.stamp(this);var E=H;if(I){var F=(G)?D.Array(G):[];F.unshift(H,I);E=D.bind.apply(D,F);}this.wrappedFn=E;};D.Subscriber.prototype={notify:function(E,G){var I=this.obj||E,F=true;try{F=this.wrappedFn.apply(I,G);}catch(H){D.fail(this+" failed: "+H.message,H);}return F;},contains:function(E,F){if(F){return((this.fn==E)&&this.obj==F);}else{return(this.fn==E);}},toString:function(){return"Subscriber "+this.id;}};},"3.0.0");YUI.add("event-target",function(C){var A={"yui:log":true};C.EventTarget=function(D){var E=(C.Lang.isObject(D))?D:{};this._yuievt={events:{},targets:{},config:E,defaults:{context:this,host:this,emitFacade:E.emitFacade||false,bubbles:("bubbles" in E)?E.bubbles:true}};};var B=C.EventTarget;B.prototype={subscribe:function(G,F,E){var H=this._yuievt.events[G]||this.publish(G),D=C.Array(arguments,1,true);return H.subscribe.apply(H,D);},unsubscribe:function(I,H,G){if(C.Lang.isObject(I)&&I.detach){return I.detach();}var D=this._yuievt.events;if(I){var J=D[I];if(J){return J.unsubscribe(H,G);}}else{var E=true;for(var F in D){if(C.Object.owns(D,F)){E=E&&D[F].unsubscribe(H,G);}}return E;}return false;},unsubscribeAll:function(D){return this.unsubscribe(D);},publish:function(E,F){var D=this._yuievt.events,G=D[E];if(G){G.applyConfig(F,true);}else{var H=F||{};C.mix(H,this._yuievt.defaults);G=new C.CustomEvent(E,H);D[E]=G;if(H.onSubscribeCallback){G.subscribeEvent.subscribe(H.onSubscribeCallback);}}return D[E];},addTarget:function(D){this._yuievt.targets[C.stamp(D)]=D;this._yuievt.hasTargets=true;},removeTarget:function(D){delete this._yuievt.targets[C.stamp(D)];},fire:function(G){var I=C.Lang.isString(G),F=(I)?G:(G&&G.type);var H=this.getEvent(F);if(!H){if(this._yuievt.hasTargets){H=this.publish(F);H.details=C.Array(arguments,(I)?1:0,true);return this.bubble(H);}return true;}var D=C.Array(arguments,(I)?1:0,true);var E=H.fire.apply(H,D);H.target=null;return E;},getEvent:function(D){var E=this._yuievt.events;return(E&&D in E)?E[D]:null;},bubble:function(E){var J=this._yuievt.targets,F=true;if(!E.stopped&&J){for(var H in J){if(J.hasOwnProperty(H)){var G=J[H],I=E.type,K=G.getEvent(I),D=E.target||this;if(!K){K=G.publish(I,E);K.context=(E.host===E.context)?G:E.context;K.host=G;K.defaultFn=null;K.preventedFn=null;K.stoppedFn=null;}K.target=D;K.currentTarget=G;F=F&&K.fire.apply(K,E.details);if(K.stopped){break;}}}}return F;},after:function(F,E){var G=this._yuievt.events[F]||this.publish(F),D=C.Array(arguments,1,true);return G.after.apply(G,D);}};C.mix(C,B.prototype,false,false,{bubbles:false});B.call(C);},"3.0.0");(function(){var E=YUI.Env,G=YUI.config,F=G.doc,B=G.pollInterval||20;if(!E._ready){E.windowLoaded=false;E._ready=function(){if(!E.DOMReady){E.DOMReady=true;if(F.removeEventListener){F.removeEventListener("DOMContentLoaded",A,false);}}};var A=function(C){YUI.Env._ready();};if(navigator.userAgent.match(/MSIE/)){E._dri=setInterval(function(){try{document.documentElement.doScroll("left");clearInterval(E._dri);E._dri=null;A();}catch(C){}},B);}else{F.addEventListener("DOMContentLoaded",A,false);}}YUI.add("event-ready",function(D){if(D===YUI){return ;}D.publish("event:ready",{fireOnce:true});var C=function(){D.fire("event:ready");};if(E.DOMReady){C();}else{D.before(C,E,"_ready");}},"3.0.0");})();(function(){var C=function(G,F,E,D){if(G.addEventListener){G.addEventListener(F,E,!!D);}else{if(G.attachEvent){G.attachEvent("on"+F,E);}}},A=function(G,F,E,D){if(G.removeEventListener){G.removeEventListener(F,E,!!D);}else{if(G.detachEvent){G.detachEvent("on"+F,E);}}},B=function(){YUI.Env.windowLoaded=true;A(window,"load",B);};C(window,"load",B);YUI.add("event-dom",function(F){F.Event=function(){var H=false;var I=0;var G=[];var J={};var E=null;var K={};return{POLL_RETRYS:2000,POLL_INTERVAL:20,lastError:null,_interval:null,_dri:null,DOMReady:false,startInterval:function(){if(!this._interval){this._interval=setInterval(F.bind(this._tryPreloadAttach,this),this.POLL_INTERVAL);}},onAvailable:function(R,N,Q,P,O){var L=F.Array(R);for(var M=0;M<L.length;M=M+1){G.push({id:L[M],fn:N,obj:Q,override:P,checkReady:O});}I=this.POLL_RETRYS;setTimeout(F.bind(this._tryPreloadAttach,this),0);},onContentReady:function(O,L,N,M){this.onAvailable(O,L,N,M,true);},onDOMReady:function(M){var L=F.Array(arguments,0,true);L.unshift("event:ready");F.on.apply(F,L);},addListener:function(M,P,Q,T){var c=F.Array(arguments,1,true),S=c[3],U=F.Event,d=F.Array(arguments,0,true);if(!Q||!Q.call){return false;}if(this._isValidCollection(M)){var L=[],Z,Y,X,R=function(g,f){var a=c.slice();a.unshift(g);Z=U.addListener.apply(U,a);L.push(Z);};F.each(M,R,U);return L;}else{if(F.Lang.isString(M)){var W=F.all(M);var V=W.size();if(V){if(V>1){d[0]=W;return U.addListener.apply(U,d);}else{M=W.item(0);}}else{this.onAvailable(M,function(){F.Event.addListener.apply(F.Event,d);});return true;}}}if(!M){return false;}var N=F.stamp(M),e="event:"+N+P,b=J[e];if(!b){b=F.publish(e,{silent:true,bubbles:false});b.el=M;b.type=P;b.fn=function(a){b.fire(F.Event.getEvent(a,M));};if(M==F.config.win&&P=="load"){b.fireOnce=true;E=e;if(YUI.Env.windowLoaded){b.fire();}}J[e]=b;K[N]=K[N]||{};K[N][e]=b;this.nativeAdd(M,P,b.fn,false);}c=F.Array(arguments,2,true);
-var O=T||F.get(M);c[1]=O;return b.subscribe.apply(b,c);},removeListener:function(N,Q,R){if(N&&N.detach){return N.detach();}var O,P,T;if(typeof N=="string"){N=F.get(N);}else{if(this._isValidCollection(N)){var S=true;for(O=0,P=N.length;O<P;++O){S=(this.removeListener(N[O],Q,R)&&S);}return S;}}if(!R||!R.call){return this.purgeElement(N,false,Q);}var L="event:"+F.stamp(N)+Q,M=J[L];if(M){return M.unsubscribe(R);}else{return false;}},getEvent:function(N,L){var M=N||window.event;if(!M){var O=this.getEvent.caller;while(O){M=O.arguments[0];if(M&&Event==M.constructor){break;}O=O.caller;}}return new F.Event.Facade(M,L,J["event:"+F.stamp(L)+N.type]);},generateId:function(L){var M=L.id;if(!M){M=F.stamp(L);L.id=M;}return M;},_isValidCollection:function(M){try{return(M&&typeof M!=="string"&&(M.each||M.length)&&!M.tagName&&!M.alert&&(M.item||typeof M[0]!=="undefined"));}catch(L){return false;}},_load:function(L){if(!H){H=true;if(F.fire){F.fire("event:ready");}F.Event._tryPreloadAttach();}},_tryPreloadAttach:function(){if(this.locked){return ;}if(F.UA.ie&&!YUI.Env.DOMReady){this.startInterval();return ;}this.locked=true;var Q=!H;if(!Q){Q=(I>0);}var P=[];var R=function(T,U){var S;if(U.override){if(U.override===true){S=U.obj;}else{S=U.override;}}else{S=F.get(T);}U.fn.call(S,U.obj);};var M,L,O,N;for(M=0,L=G.length;M<L;++M){O=G[M];if(O&&!O.checkReady){N=F.get(O.id);if(N){R(N,O);G[M]=null;}else{P.push(O);}}}for(M=0,L=G.length;M<L;++M){O=G[M];if(O&&O.checkReady){N=F.get(O.id);if(N){if(H||N.get("nextSibling")){R(N,O);G[M]=null;}}else{P.push(O);}}}I=(P.length===0)?0:I-1;if(Q){this.startInterval();}else{clearInterval(this._interval);this._interval=null;}this.locked=false;return ;},purgeElement:function(Q,R,P){var N=(F.Lang.isString(Q))?F.get(Q):Q,S=F.stamp(N);var M=this.getListeners(N,P),O,L;if(M){for(O=0,L=M.length;O<L;++O){M[O].unsubscribeAll();}}if(R&&N&&N.childNodes){for(O=0,L=N.childNodes.length;O<L;++O){this.purgeElement(N.childNodes[O],R,P);}}},getListeners:function(Q,P){var O=[],R=F.stamp(Q),N=(P)?"event:"+P:null,L=K[R];if(N){if(L[N]){O.push(L[N]);}}else{for(var M in L){O.push(L[M]);}}return(O.length)?O:null;},_unload:function(O){var N=F.Event,M,L;for(M in J){L=J[M];L.unsubscribeAll();N.nativeRemove(L.el,L.type,L.fn);delete J[M];}N.nativeRemove(window,"unload",N._unload);},nativeAdd:C,nativeRemove:A};}();var D=F.Event;if(F.UA.ie&&F.on){F.on("event:ready",D._tryPreloadAttach,D,true);}D.Custom=F.CustomEvent;D.Subscriber=F.Subscriber;D.Target=F.EventTarget;D.attach=function(K,J,I,L,H){var E=F.Array(arguments,0,true),G=E.splice(2,1);E.unshift(G[0]);return D.addListener.apply(D,E);};D.detach=function(I,H,G,J,E){return D.removeListener(G,I,H,J,E);};D.attach("load",D._load,window,D);D.nativeAdd(window,"unload",D._unload);D._tryPreloadAttach();},"3.0.0");})();YUI.add("event-facade",function(E){var C={"altKey":1,"cancelBubble":1,"ctrlKey":1,"clientX":1,"clientY":1,"detail":1,"keyCode":1,"metaKey":1,"shiftKey":1,"type":1,"x":1,"y":1};var B=E.UA,A={63232:38,63233:40,63234:37,63235:39,63276:33,63277:34,25:9},D=function(G){if(!G){return null;}try{if(B.webkit&&3==G.nodeType){G=G.parentNode;}}catch(F){}return E.Node.get(G);};E.Event.Facade=function(P,H,G,F){var L=P,J=H,M=E.config.doc,Q=M.body,R=L.pageX,O=L.pageY,I=(P._YUI_EVENT);for(var K in C){if(C.hasOwnProperty(K)){this[K]=L[K];}}if(!R&&0!==R){R=L.clientX||0;O=L.clientY||0;if(B.ie){R+=Math.max(M.documentElement.scrollLeft,Q.scrollLeft);O+=Math.max(M.documentElement.scrollTop,Q.scrollTop);}}this._yuifacade=true;this.pageX=R;this.pageY=O;var N=L.keyCode||L.charCode||0;if(B.webkit&&(N in A)){N=A[N];}this.keyCode=N;this.charCode=N;this.button=L.which||L.button;this.which=this.button;this.details=F;this.time=L.time||new Date().getTime();this.target=(I)?L.target:D(L.target||L.srcElement);this.currentTarget=(I)?J:D(J);var S=L.relatedTarget;if(!S){if(L.type=="mouseout"){S=L.toElement;}else{if(L.type=="mouseover"){S=L.fromElement;}}}this.relatedTarget=(I)?S:D(S);this.stopPropagation=function(){if(L.stopPropagation){L.stopPropagation();}else{L.cancelBubble=true;}if(G){G.stopPropagation();}};this.stopImmediatePropagation=function(){if(L.stopImmediatePropagation){L.stopImmediatePropagation();}else{this.stopPropagation();}if(G){G.stopImmediatePropagation();}};this.preventDefault=function(){if(L.preventDefault){L.preventDefault();}else{L.returnValue=false;}if(G){G.preventDefault();}};this.halt=function(T){if(T){this.stopImmediatePropagation();}else{this.stopPropagation();}this.preventDefault();};};},"3.0.0");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/event/event.js'
--- loggerhead/static/javascript/yui/build/event/event.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/event/event.js	1970-01-01 00:00:00 +0000
@@ -1,2865 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * The YUI event system
- * @module event
- */
-YUI.add("event", function(Y) {
-
-    /**
-     * Subscribes to the yui:load event, which fires when a Y.use operation
-     * is complete.
-     * @method ready
-     * @param f {Function} the function to execute
-     * @param c Optional execution context
-     * @param args* 0..n Additional arguments to append 
-     * to the signature provided when the event fires.
-     * @return {YUI} the YUI instance
-     */
-    // Y.ready = function(f, c) {
-    //     var a = arguments, m = (a.length > 1) ? Y.bind.apply(Y, a) : f;
-    //     Y.on("yui:load", m);
-    //     return this;
-    // };
-
-    /**
-     * Attach an event listener, either to a DOM object
-     * or to an Event.Target.
-     * @param type {string} the event type
-     * @param f {Function} the function to execute
-     * @param o the Event.Target or element to attach to
-     * @param context Optional execution context
-     * @param args* 0..n additional arguments to append
-     * to the signature provided when the event fires.
-     * @method on
-     * @for YUI
-     * @return {Event.Handle} a handle object for 
-     * unsubscribing to this event.
-     */
-    Y.on = function(type, f, o) {
-
-        if (type.indexOf(':') > -1) {
-            var cat = type.split(':');
-            switch (cat[0]) {
-                default:
-                    return Y.subscribe.apply(Y, arguments);
-            }
-        } else {
-            return Y.Event.attach.apply(Y.Event, arguments);
-        }
-
-    };
-
-    /**
-     * Detach an event listener (either a custom event or a
-     * DOM event
-     * @method detach
-     * @param type the type of event, or a Event.Handle to
-     * for the subscription.  If the Event.Handle is passed
-     * in, the other parameters are not used.
-     * @param f {Function} the subscribed function
-     * @param o the object or element the listener is subscribed
-     * to.
-     * @method detach
-     * @return {YUI} the YUI instance
-     */
-    Y.detach = function(type, f, o) {
-        if (Y.Lang.isObject(type) && type.detach) {
-            return type.detach();
-        } else if (type.indexOf(':') > -1) {
-            var cat = type.split(':');
-            switch (cat[0]) {
-                default:
-                    return Y.unsubscribe.apply(Y, arguments);
-            }
-        } else {
-            return Y.Event.detach.apply(Y.Event, arguments);
-        }
-    };
-
-    /**
-     * Executes the callback before a DOM event, custom event
-     * or method.  If the first argument is a function, it
-     * is assumed the target is a method.
-     *
-     * For DOM and custom events:
-     * type, callback, context, 1-n arguments
-     *  
-     * For methods:
-     * callback, object (method host), methodName, context, 1-n arguments
-     *
-     * @method before
-     * @return unsubscribe handle
-     */
-    Y.before = function(type, f, o) { 
-        // method override
-        // callback, object, sMethod
-        if (Y.Lang.isFunction(type)) {
-            return Y.Do.before.apply(Y.Do, arguments);
-        }
-
-        return Y;
-    };
-
-    /**
-     * Executes the callback after a DOM event, custom event
-     * or method.  If the first argument is a function, it
-     * is assumed the target is a method.
-     *
-     * @TODO add event
-     *
-     * For DOM and custom events:
-     * type, callback, context, 1-n arguments
-     *  
-     * For methods:
-     * callback, object (method host), methodName, context, 1-n arguments
-     *
-     * @method after
-     * @return {Event.Handle} unsubscribe handle
-     */
-    Y.after = function(type, f, o) {
-        if (Y.Lang.isFunction(type)) {
-            return Y.Do.after.apply(Y.Do, arguments);
-        }
-
-        return Y;
-    };
-
-}, "3.0.0", {
-    use: [
-          "aop", 
-          "event-custom", 
-          "event-target", 
-          "event-ready",
-          "event-dom", 
-          "event-facade"
-          ]
-});
-/*
- * Method displacement
- * @submodule event-aop
- * @module event
- */
-YUI.add("aop", function(Y) {
-
-    var BEFORE = 0,
-        AFTER = 1;
-
-    /**
-     * Allows for the insertion of methods that are executed before or after
-     * a specified method
-     * @class Do
-     * @static
-     */
-    Y.Do = {
-
-        /**
-         * Cache of objects touched by the utility
-         * @property objs
-         * @static
-         */
-        objs: {},
-
-        /**
-         * Execute the supplied method before the specified function
-         * @method before
-         * @param fn {Function} the function to execute
-         * @param obj the object hosting the method to displace
-         * @param sFn {string} the name of the method to displace
-         * @param c The execution context for fn
-         * @return {string} handle for the subscription
-         * @static
-         */
-        before: function(fn, obj, sFn, c) {
-            var f = fn;
-            if (c) {
-                var a = [fn, c].concat(Y.Array(arguments, 4, true));
-                f = Y.bind.apply(Y, a);
-            }
-
-            return this._inject(BEFORE, f, obj, sFn);
-        },
-
-        /**
-         * Execute the supplied method after the specified function
-         * @method after
-         * @param fn {Function} the function to execute
-         * @param obj the object hosting the method to displace
-         * @param sFn {string} the name of the method to displace
-         * @param c The execution context for fn
-         * @return {string} handle for the subscription
-         * @static
-         */
-        after: function(fn, obj, sFn, c) {
-            var f = fn;
-            if (c) {
-                var a = [fn, c].concat(Y.Array(arguments, 4, true));
-                f = Y.bind.apply(Y, a);
-            }
-
-            return this._inject(AFTER, f, obj, sFn);
-        },
-
-        /**
-         * Execute the supplied method after the specified function
-         * @method _inject
-         * @param when {string} before or after
-         * @param fn {Function} the function to execute
-         * @param obj the object hosting the method to displace
-         * @param sFn {string} the name of the method to displace
-         * @param c The execution context for fn
-         * @return {string} handle for the subscription
-         * @private
-         * @static
-         */
-        _inject: function(when, fn, obj, sFn) {
-
-            // object id
-            var id = Y.stamp(obj);
-
-            if (! this.objs[id]) {
-                // create a map entry for the obj if it doesn't exist
-                this.objs[id] = {};
-            }
-            var o = this.objs[id];
-
-            if (! o[sFn]) {
-                // create a map entry for the method if it doesn't exist
-                o[sFn] = new Y.Do.Method(obj, sFn);
-
-                // re-route the method to our wrapper
-                obj[sFn] = 
-                    function() {
-                        return o[sFn].exec.apply(o[sFn], arguments);
-                    };
-            }
-
-            // subscriber id
-            var sid = id + Y.stamp(fn) + sFn;
-
-            // register the callback
-            o[sFn].register(sid, fn, when);
-
-            return sid;
-
-        },
-
-        /**
-         * Detach a before or after subscription
-         * @method detach
-         * @param sid {string} the subscription handle
-         */
-        detach: function(sid) {
-            delete this.before[sid];
-            delete this.after[sid];
-        },
-
-        _unload: function(e, me) {
-
-        }
-    };
-
-    //////////////////////////////////////////////////////////////////////////
-
-    /**
-     * Wrapper for a displaced method with aop enabled
-     * @class Do.Method
-     * @constructor
-     * @param obj The object to operate on
-     * @param sFn The name of the method to displace
-     */
-    Y.Do.Method = function(obj, sFn) {
-        this.obj = obj;
-        this.methodName = sFn;
-        this.method = obj[sFn];
-        // this.before = [];
-        // this.after = [];
-        this.before = {};
-        this.after = {};
-    };
-
-    /**
-     * Register a aop subscriber
-     * @method register
-     * @param sid {string} the subscriber id
-     * @param fn {Function} the function to execute
-     * @param when {string} when to execute the function
-     */
-    Y.Do.Method.prototype.register = function (sid, fn, when) {
-        if (when) {
-            // this.after.push(fn);
-            this.after[sid] = fn;
-        } else {
-            // this.before.push(fn);
-            this.before[sid] = fn;
-        }
-    };
-
-    /**
-     * Execute the wrapped method
-     * @method exec
-     */
-    Y.Do.Method.prototype.exec = function () {
-
-        var args = Y.Array(arguments, 0, true), 
-            i, ret, newRet, 
-            bf = this.before,
-            af = this.after;
-
-        // for (i=0; i<this.before.length; ++i) {
-        for (i in bf) {
-            if (bf.hasOwnProperty(i)) {
-                ret = bf[i].apply(this.obj, args);
-
-                // Stop processing if an Error is returned
-                if (ret && ret.constructor == Y.Do.Error) {
-                    return ret.retVal;
-                // Check for altered arguments
-                } else if (ret && ret.constructor == Y.Do.AlterArgs) {
-                    args = ret.newArgs;
-                }
-            }
-        }
-
-        // execute method
-        ret = this.method.apply(this.obj, args);
-
-        // execute after methods.
-        // for (i=0; i<this.after.length; ++i) {
-        for (i in af) {
-            if (af.hasOwnProperty(i)) {
-                newRet = af[i].apply(this.obj, args);
-                // Stop processing if an Error is returned
-                if (newRet && newRet.constructor == Y.Do.Error) {
-                    return newRet.retVal;
-                // Check for a new return value
-                } else if (newRet && newRet.constructor == Y.Do.AlterReturn) {
-                    ret = newRet.newRetVal;
-                }
-            }
-        }
-
-        return ret;
-    };
-
-    //////////////////////////////////////////////////////////////////////////
-
-    /**
-     * Return an Error object when you want to terminate the execution
-     * of all subsequent method calls
-     * @class Do.Error
-     */
-    Y.Do.Error = function(msg, retVal) {
-        this.msg = msg;
-        this.retVal = retVal;
-    };
-
-    /**
-     * Return an AlterArgs object when you want to change the arguments that
-     * were passed into the function.  An example would be a service that scrubs
-     * out illegal characters prior to executing the core business logic.
-     * @class Do.AlterArgs
-     */
-    Y.Do.AlterArgs = function(msg, newArgs) {
-        this.msg = msg;
-        this.newArgs = newArgs;
-    };
-
-    /**
-     * Return an AlterReturn object when you want to change the result returned
-     * from the core method to the caller
-     * @class Do.AlterReturn
-     */
-    Y.Do.AlterReturn = function(msg, newRetVal) {
-        this.msg = msg;
-        this.newRetVal = newRetVal;
-    };
-
-    //////////////////////////////////////////////////////////////////////////
-
-// Y["Event"] && Y.Event.addListener(window, "unload", Y.Do._unload, Y.Do);
-
-}, "3.0.0");
-/*
- * YUI Custom Events
- * @submodule event-custom
- * @module event
- */
-YUI.add("event-custom", function(Y) {
-
-    var onsubscribeType = "_event:onsub",
-
-        AFTER = 'after', 
-
-        CONFIGS = [
-
-            'broadcast',
-
-            'bubbles',
-
-            'context',
-
-            'configured',
-
-            'currentTarget',
-
-            'defaultFn',
-
-            'details',
-
-            'emitFacade',
-
-            'fireOnce',
-
-            'host',
-
-            'preventable',
-
-            'preventedFn',
-
-            'queuable',
-
-            'silent',
-
-            'stoppedFn',
-
-            'target',
-
-            'type'
-
-        ];
-
-    /**
-     * Return value from all subscribe operations
-     * @class Event.Handle
-     * @constructor
-     * @param evt {Event.Custom} the custom event
-     * @param sub {Event.Subscriber} the subscriber
-     */
-    Y.EventHandle = function(evt, sub) {
-
-        /**
-         * The custom event
-         * @type Event.Custom
-         */
-        this.evt = evt;
-
-        /**
-         * The subscriber object
-         * @type Event.Subscriber
-         */
-        this.sub = sub;
-    };
-
-    Y.EventHandle.prototype = {
-        /**
-         * Detaches this subscriber
-         * @method detach
-         */
-        detach: function() {
-            this.evt._delete(this.sub);
-        }
-    };
-
-    /**
-     * The Event.Custom class lets you define events for your application
-     * that can be subscribed to by one or more independent component.
-     *
-     * @param {String}  type The type of event, which is passed to the callback
-     *                  when the event fires
-     * @param {Object}  context The context the event will fire from.  "this" will
-     *                  refer to this object in the callback.  Default value: 
-     *                  the window object.  The listener can override this.
-     * @param {boolean} silent pass true to prevent the event from writing to
-     *                  the debug system
-     * @class Event.Custom
-     * @constructor
-     */
-    Y.CustomEvent = function(type, o) {
-
-        // if (arguments.length > 2) {
-        // }
-
-        o = o || {};
-
-        this.id = Y.stamp(this);
-
-        /**
-         * The type of event, returned to subscribers when the event fires
-         * @property type
-         * @type string
-         */
-        this.type = type;
-
-        /**
-         * The context the the event will fire from by default.  Defaults to the YUI
-         * instance.
-         * @property context
-         * @type object
-         */
-        this.context = Y;
-
-
-        /**
-         * If 0, this event does not broadcast.  If 1, the YUI instance is notified
-         * every time this event fires.  If 2, the YUI instance and the YUI global
-         * (if event is enabled on the global) are notified every time this event
-         * fires.
-         * @property broadcast
-         * @type int
-         */
-        this.broadcast = 0;
-
-        /**
-         * By default all custom events are logged in the debug build, set silent
-         * to true to disable debug outpu for this event.
-         * @property silent
-         * @type boolean
-         */
-
-        this.queuable = false;
-
-        /**
-         * The subscribers to this event
-         * @property subscribers
-         * @type Event.Subscriber{}
-         */
-        this.subscribers = {};
-
-        /*
-         * The publisher has configured this event
-         * @property configured
-         * @type boolean
-         * @default true
-         */
-        // this.configured = true;
-
-        /**
-         * 'After' subscribers
-         * @property afters
-         * @type Event.Subscriber{}
-         */
-        this.afters = {};
-
-        /**
-         * This event has fired if true
-         *
-         * @property fired
-         * @type boolean
-         * @default false;
-         */
-        this.fired = false;
-
-        /**
-         * This event should only fire one time if true, and if
-         * it has fired, any new subscribers should be notified
-         * immediately.
-         *
-         * @property fireOnce
-         * @type boolean
-         * @default false;
-         */
-        this.fireOnce = false;
-
-        /**
-         * Flag for stopPropagation that is modified during fire()
-         * 1 means to stop propagation to bubble targets.  2 means
-         * to also stop additional subscribers on this target.
-         * @property stopped
-         * @type int
-         */
-        this.stopped = 0;
-
-        /**
-         * Flag for preventDefault that is modified during fire().
-         * if it is not 0, the default behavior for this event
-         * @property prevented
-         * @type int
-         */
-        this.prevented = 0;
-
-        /**
-         * Specifies the host for this custom event.  This is used
-         * to enable event bubbling
-         * @property host
-         * @type Event.Target
-         */
-        this.host = null;
-
-        /**
-         * The default function to execute after event listeners
-         * have fire, but only if the default action was not
-         * prevented.
-         * @property defaultFn
-         * @type Function
-         */
-        this.defaultFn = null;
-
-        /**
-         * The function to execute if a subscriber calls
-         * stopPropagation or stopImmediatePropagation
-         * @property stoppedFn
-         * @type Function
-         */
-        this.stoppedFn = null;
-
-        /**
-         * The function to execute if a subscriber calls
-         * preventDefault
-         * @property preventedFn
-         * @type Function
-         */
-        this.preventedFn = null;
-
-        /**
-         * Specifies whether or not this event's default function
-         * can be cancelled by a subscriber by executing preventDefault() 
-         * on the event facade 
-         * @property preventable 
-         * @type boolean 
-         * @default true
-         */
-        this.preventable = true;
-
-        /**
-         * Specifies whether or not a subscriber can stop the event propagation
-         * via stopPropagation(), stopImmediatePropagation(), or halt()
-         * @property bubbles
-         * @type boolean
-         * @default true
-         */
-        this.bubbles = true;
-
-        this.emitFacade = false;
-
-        this.applyConfig(o, true);
-
-
-        // Only add subscribe events for events that are not generated by 
-        // Event.Custom
-        if (type !== onsubscribeType) {
-
-            /**
-             * Custom events provide a custom event that fires whenever there is
-             * a new subscriber to the event.  This provides an opportunity to
-             * handle the case where there is a non-repeating event that has
-             * already fired has a new subscriber.  
-             *
-             * @event subscribeEvent
-             * @type Y.Event.Custom
-             * @param {Function} fn The function to execute
-             * @param {Object}   obj An object to be passed along when the event 
-             *                       fires
-             * @param {boolean|Object}  override If true, the obj passed in becomes 
-             *                                   the execution context of the listener.
-             *                                   if an object, that object becomes the
-             *                                   the execution context.
-             */
-            this.subscribeEvent = new Y.CustomEvent(onsubscribeType, {
-                    context: this,
-                    silent: true
-                });
-        } 
-
-    };
-
-    Y.CustomEvent.prototype = {
-
-        _YUI_EVENT: true,
-
-        /**
-         * Apply configuration properties.  Only applies the CONFIG whitelist
-         * @method applyConfig
-         * @param o hash of properties to apply
-         * @param force {boolean} if true, properties that exist on the event 
-         * will be overwritten.
-         */
-        applyConfig: function(o, force) {
-            if (o) {
-                Y.mix(this, o, force, CONFIGS);
-            }
-        },
-
-        _subscribe: function(fn, obj, args, when) {
-
-            if (!fn) {
-                Y.fail("Invalid callback for CE: " + this.type);
-            }
-
-            var se = this.subscribeEvent;
-            if (se) {
-                se.fire.apply(se, args);
-            }
-
-            var s = new Y.Subscriber(fn, obj, args, when);
-
-
-            if (this.fireOnce && this.fired) {
-
-                // this._notify(s);
-                // setTimeout(Y.bind(this._notify, this, s), 0);
-                Y.later(0, this, this._notify, s);
-            }
-
-            if (when == AFTER) {
-                this.afters[s.id] = s;
-            } else {
-                this.subscribers[s.id] = s;
-            }
-
-            return new Y.EventHandle(this, s);
-
-        },
-
-        /**
-         * Listen for this event
-         * @method subscribe
-         * @param {Function} fn        The function to execute
-         * @param {Object}   obj       An object to be passed along when the event fires
-         * @param args* 1..n params to provide to the listener
-         * @return {Event.Handle} unsubscribe handle
-         */
-        subscribe: function(fn, obj) {
-            return this._subscribe(fn, obj, Y.Array(arguments, 2, true));
-        },
-
-        /**
-         * Listen for this event after the normal subscribers have been notified and
-         * the default behavior has been applied.  If a normal subscriber prevents the 
-         * default behavior, it also prevents after listeners from firing.
-         * @method after
-         * @param {Function} fn        The function to execute
-         * @param {Object}   obj       An object to be passed along when the event fires
-         * @param args* 1..n params to provide to the listener
-         * @return {Event.Handle} unsubscribe handle
-         */
-        after: function(fn, obj) {
-            return this._subscribe(fn, obj, Y.Array(arguments, 2, true), AFTER);
-        },
-
-        /**
-         * Unsubscribes subscribers.
-         * @method unsubscribe
-         * @param {Function} fn  The subscribed function to remove, if not supplied
-         *                       all will be removed
-         * @param {Object}   obj  The custom object passed to subscribe.  This is
-         *                        optional, but if supplied will be used to
-         *                        disambiguate multiple listeners that are the same
-         *                        (e.g., you subscribe many object using a function
-         *                        that lives on the prototype)
-         * @return {boolean} True if the subscriber was found and detached.
-         */
-        unsubscribe: function(fn, obj) {
-
-            // if arg[0] typeof unsubscribe handle
-            if (fn && fn.detach) {
-                return fn.detach();
-            }
-
-            if (!fn) {
-                return this.unsubscribeAll();
-            }
-
-            var found = false, subs = this.subscribers;
-            for (var i in subs) {
-                if (subs.hasOwnProperty(i)) {
-                    var s = subs[i];
-                    if (s && s.contains(fn, obj)) {
-                        this._delete(s);
-                        found = true;
-                    }
-                }
-            }
-
-            return found;
-        },
-
-        _getFacade: function(args) {
-
-            var ef = this._facade;
-
-            if (!ef) {
-                ef = new Y.Event.Facade(this, this.currentTarget);
-            }
-
-            // if the first argument is an object literal, apply the
-            // properties to the event facade
-            var o = args && args[0];
-            if (Y.Lang.isObject(o, true) && !o._yuifacade) {
-                Y.mix(ef, o, true);
-            }
-
-            // update the details field with the arguments
-            ef.details = this.details;
-            ef.target = this.target;
-            ef.currentTarget = this.currentTarget;
-            ef.stopped = 0;
-            ef.prevented = 0;
-
-            this._facade = ef;
-
-            return this._facade;
-        },
-
-        /**
-         * Notify a single subscriber
-         * @method _notify
-         * @param s {Event.Subscriber} the subscriber
-         * @param args {Array} the arguments array to apply to the listener
-         * @private
-         */
-        _notify: function(s, args, ef) {
-
-
-            var ret;
-
-            // emit an Event.Facade if this is that sort of event
-            // if (this.emitFacade && (!args[0] || !args[0]._yuifacade)) {
-            if (this.emitFacade) {
-
-                // @TODO object literal support to fire makes it possible for
-                // config info to be passed if we wish.
-                
-                if (!ef) {
-                    ef = this._getFacade(args);
-                    args[0] = ef;
-                }
-
-            }
-             
-            ret = s.notify(this.context, args);
-
-            if (false === ret || this.stopped > 1) {
-                return false;
-            }
-
-            return true;
-        },
-
-        /**
-         * Logger abstraction to centralize the application of the silent flag
-         * @method log
-         * @param msg {string} message to log
-         * @param cat {string} log category
-         */
-        log: function(msg, cat) {
-            var es = Y.Env._eventstack, s =  es && es.silent;
-            // if (!s && !this.silent) {
-            if (!this.silent) {
-            }
-        },
-
-        /**
-         * Notifies the subscribers.  The callback functions will be executed
-         * from the context specified when the event was created, and with the 
-         * following parameters:
-         *   <ul>
-         *   <li>The type of event</li>
-         *   <li>All of the arguments fire() was executed with as an array</li>
-         *   <li>The custom object (if any) that was passed into the subscribe() 
-         *       method</li>
-         *   </ul>
-         * @method fire 
-         * @param {Object*} arguments an arbitrary set of parameters to pass to 
-         *                            the handler.
-         * @return {boolean} false if one of the subscribers returned false, 
-         *                   true otherwise
-         */
-        fire: function() {
-
-            var es = Y.Env._eventstack;
-
-            if (es) {
-
-                // var b = this.bubbles, h = this.host;
-                // if (b && h) {
-                //     b = (h._yuievt.targets.length);
-                // }
-
-                // es.silent = (es.silent || this.silent);
-
-                // queue this event if the current item in the queue bubbles
-                // if (b && this.queuable && this.type != es.next.type) {
-                if (this.queuable && this.type != es.next.type) {
-
-
-                    es.queue.push([this, arguments]);
-                    return true;
-                }
-
-            } else {
-
-                Y.Env._eventstack = {
-                   // id of the first event in the stack
-                   id: this.id,
-                   next: this,
-                   silent: this.silent,
-                   logging: (this.type === 'yui:log'),
-                   stopped: 0,
-                   prevented: 0,
-                   queue: []
-                };
-
-                es = Y.Env._eventstack;
-            }
-
-            var ret = true;
-
-            if (this.fireOnce && this.fired) {
-
-
-            } else {
-
-                // var subs = this.subscribers.slice(), len=subs.length,
-                var subs = Y.merge(this.subscribers), s,
-                           args=Y.Array(arguments, 0, true), i;
-
-                this.stopped = 0;
-                this.prevented = 0;
-                this.target = this.target || this.host;
-
-                this.currentTarget = this.host || this.currentTarget;
-
-                this.fired = true;
-                this.details = args.slice(); // original arguments in the details
-
-
-                var hasSub = false;
-                es.lastLogState = es.logging;
-
-
-                var ef = null;
-                if (this.emitFacade) {
-                    ef = this._getFacade(args);
-                    args[0] = ef;
-                }
-
-                for (i in subs) {
-                    if (subs.hasOwnProperty(i)) {
-
-                        if (!hasSub) {
-                            es.logging = (es.logging || (this.type === 'yui:log'));
-                            hasSub = true;
-                        }
-
-                        // stopImmediatePropagation
-                        if (this.stopped == 2) {
-                            break;
-                        }
-
-                        s = subs[i];
-                        if (s && s.fn) {
-                            ret = this._notify(s, args, ef);
-                            if (false === ret) {
-                                this.stopped = 2;
-                            }
-                        }
-                    }
-                }
-
-                es.logging = (es.lastLogState);
-
-                // bubble if this is hosted in an event target and propagation has not been stopped
-                // @TODO check if we need to worry about defaultFn order
-                if (this.bubbles && this.host && !this.stopped) {
-                    es.stopped = 0;
-                    es.prevented = 0;
-                    ret = this.host.bubble(this);
-
-                    this.stopped = Math.max(this.stopped, es.stopped);
-                    this.prevented = Math.max(this.prevented, es.prevented);
-                }
-
-                // execute the default behavior if not prevented
-                // @TODO need context
-                if (this.defaultFn && !this.prevented) {
-                    this.defaultFn.apply(this.host || this, args);
-                }
-
-                // process after listeners.  If the default behavior was
-                // prevented, the after events don't fire.
-                if (!this.prevented && this.stopped < 2) {
-                    subs = Y.merge(this.afters);
-                    for (i in subs) {
-                        if (subs.hasOwnProperty(i)) {
-
-                            if (!hasSub) {
-                                es.logging = (es.logging || (this.type === 'yui:log'));
-                                hasSub = true;
-                            }
-
-                            // stopImmediatePropagation
-                            if (this.stopped == 2) {
-                                break;
-                            }
-
-                            s = subs[i];
-                            if (s && s.fn) {
-                                ret = this._notify(s, args, ef);
-                                if (false === ret) {
-                                    this.stopped = 2;
-                                }
-                            }
-                        }
-                    }
-                }
-            }
-
-            if (es.id === this.id) {
-// console.log('clearing stack: ' + es.id + ', ' + this);
-
-// reset propragation properties while processing the rest of the queue
-
-// process queued events
-                var queue = es.queue;
-
-                while (queue.length) {
-                    // q[0] = the event, q[1] = arguments to fire
-                    var q = queue.pop(), ce = q[0];
-
-                    es.stopped = 0;
-                    es.prevented = 0;
-                    
-// set up stack to allow the next item to be processed
-                    es.next = ce;
-
-                    ret = ce.fire.apply(ce, q[1]);
-                }
-
-                Y.Env._eventstack = null;
-            } 
-
-            return (ret !== false);
-        },
-
-        /**
-         * Removes all listeners
-         * @method unsubscribeAll
-         * @return {int} The number of listeners unsubscribed
-         */
-        unsubscribeAll: function() {
-            var subs = this.subscribers, i;
-            for (i in subs) {
-                if (subs.hasOwnProperty(i)) {
-                    this._delete(subs[i]);
-                }
-            }
-
-            this.subscribers={};
-
-            return i;
-        },
-
-        /**
-         * @method _delete
-         * @param subscriber object
-         * @private
-         */
-        _delete: function(s) {
-
-            if (s) {
-                delete s.fn;
-                delete s.obj;
-                delete this.subscribers[s.id];
-                delete this.afters[s.id];
-            }
-
-        },
-
-        /**
-         * @method toString
-         */
-        toString: function() {
-             // return "{ CE '" + this.type + "' " + "id: " + this.id +
-                  // ", host: " + (this.host && Y.stamp(this.host) + " }");
-             return this.type;
-        },
-
-        /**
-         * Stop propagation to bubble targets
-         * @method stopPropagation
-         */
-        stopPropagation: function() {
-            this.stopped = 1;
-            Y.Env._eventstack.stopped = 1;
-            if (this.stoppedFn) {
-                this.stoppedFn.call(this.host || this, this);
-            }
-        },
-
-        /**
-         * Stops propagation to bubble targets, and prevents any remaining
-         * subscribers on the current target from executing.
-         * @method stopImmediatePropagation
-         */
-        stopImmediatePropagation: function() {
-            this.stopped = 2;
-            Y.Env._eventstack.stopped = 2;
-            if (this.stoppedFn) {
-                this.stoppedFn.call(this.host || this, this);
-            }
-        },
-
-        /**
-         * Prevents the execution of this event's defaultFn
-         * @method preventDefault
-         */
-        preventDefault: function() {
-            if (this.preventable) {
-                this.prevented = 1;
-                Y.Env._eventstack.prevented = 1;
-            }
-            if (this.preventedFn) {
-                this.preventedFn.call(this.host || this, this);
-            }
-        }
-
-    };
-
-    /////////////////////////////////////////////////////////////////////
-
-    /**
-     * Stores the subscriber information to be used when the event fires.
-     * @param {Function} fn       The wrapped function to execute
-     * @param {Object}   obj      An object to be passed along when the event fires
-     * @param {Array} args        subscribe() additional arguments
-     *
-     * @class Event.Subscriber
-     * @constructor
-     */
-    Y.Subscriber = function(fn, obj, args) {
-
-        /**
-         * The callback that will be execute when the event fires
-         * This is wrapped by Y.bind if obj was supplied.
-         * @property fn
-         * @type Function
-         */
-        this.fn = fn;
-
-        /**
-         * An optional custom object that will passed to the callback when
-         * the event fires
-         * @property obj
-         * @type Object
-         */
-        this.obj = obj;
-
-        /**
-         * Unique subscriber id
-         * @property id
-         * @type String
-         */
-        this.id = Y.stamp(this);
-
-        /**
-         * Optional additional arguments supplied to subscribe().  If present,
-         * these will be appended to the arguments supplied to fire()
-         * @property args
-         * @type Array
-         */
-        // this.args = args;
-
-        var m = fn;
-        
-        if (obj) {
-            var a = (args) ? Y.Array(args) : [];
-            a.unshift(fn, obj);
-            m = Y.bind.apply(Y, a);
-        }
-        
-        /**
-         * }
-         * fn bound to obj with additional arguments applied via Y.bind
-         * @property wrappedFn
-         * @type Function
-         */
-        this.wrappedFn = m;
-
-    };
-
-    Y.Subscriber.prototype = {
-
-        /**
-         * Executes the subscriber.
-         * @method notify
-         * @param defaultContext The execution context if not overridden
-         * by the subscriber
-         * @param args {Array} Arguments array for the subscriber
-         */
-        notify: function(defaultContext, args) {
-            var c = this.obj || defaultContext, ret = true;
-
-            try {
-                ret = this.wrappedFn.apply(c, args);
-            } catch(e) {
-                Y.fail(this + ' failed: ' + e.message, e);
-            }
-
-            return ret;
-        },
-
-        /**
-         * Returns true if the fn and obj match this objects properties.
-         * Used by the unsubscribe method to match the right subscriber.
-         *
-         * @method contains
-         * @param {Function} fn the function to execute
-         * @param {Object} obj an object to be passed along when the event fires
-         * @return {boolean} true if the supplied arguments match this 
-         *                   subscriber's signature.
-         */
-        contains: function(fn, obj) {
-            if (obj) {
-                return ((this.fn == fn) && this.obj == obj);
-            } else {
-                return (this.fn == fn);
-            }
-        },
-
-        /**
-         * @method toString
-         */
-        toString: function() {
-            return "Subscriber " + this.id;
-        }
-    };
-
-}, "3.0.0");
-/*
- * Configures an object to be able to be targeted for events, and to publish events
- * @submodule event-target
- * @module event
- */
-YUI.add("event-target", function(Y) {
-
-    var SILENT = { 'yui:log': true };
-
-    /**
-     * Event.Target is designed to be used with Y.augment to wrap 
-     * Event.Custom in an interface that allows events to be subscribed to 
-     * and fired by name.  This makes it possible for implementing code to
-     * subscribe to an event that either has not been created yet, or will
-     * not be created at all.
-     *
-     * @Class Event.Target
-     */
-    Y.EventTarget = function(opts) { 
-
-        // console.log('Event.Target constructor executed: ' + this._yuid);
-
-        var o = (Y.Lang.isObject(opts)) ? opts : {};
-
-        this._yuievt = {
-
-            events: {},
-
-            targets: {},
-
-            config: o,
-
-            defaults: {
-                context: this, 
-                host: this,
-                emitFacade: o.emitFacade || false,
-                bubbles: ('bubbles' in o) ? o.bubbles : true
-            }
-            
-        };
-
-    };
-
-    var ET = Y.EventTarget;
-
-    ET.prototype = {
-
-        /**
-         * Subscribe to a custom event hosted by this object
-         * @method subscribe
-         * @param type    {string}   The type of the event
-         * @param fn {Function} The callback
-         * @param context The execution context
-         * @param args* 1..n params to supply to the callback
-         */
-        subscribe: function(type, fn, context) {
-
-            var ce = this._yuievt.events[type] || 
-                // this.publish(type, {
-                //     configured: false
-                // }),
-                this.publish(type),
-                a = Y.Array(arguments, 1, true);
-
-            return ce.subscribe.apply(ce, a);
-
-        },
-
-        /**
-         * Unsubscribes one or more listeners the from the specified event
-         * @method unsubscribe
-         * @param type {string|Object}   Either the handle to the subscriber or the 
-         *                        type of event.  If the type
-         *                        is not specified, it will attempt to remove
-         *                        the listener from all hosted events.
-         * @param fn   {Function} The subscribed function to unsubscribe, if not
-         *                          supplied, all subscribers will be removed.
-         * @param context  {Object}   The custom object passed to subscribe.  This is
-         *                        optional, but if supplied will be used to
-         *                        disambiguate multiple listeners that are the same
-         *                        (e.g., you subscribe many object using a function
-         *                        that lives on the prototype)
-         * @return {boolean} true if the subscriber was found and detached.
-         */
-        unsubscribe: function(type, fn, context) {
-
-            // If this is an event handle, use it to detach
-            if (Y.Lang.isObject(type) && type.detach) {
-                return type.detach();
-            }
-
-            var evts = this._yuievt.events;
-
-            if (type) {
-                var ce = evts[type];
-                if (ce) {
-                    return ce.unsubscribe(fn, context);
-                }
-            } else {
-                var ret = true;
-                for (var i in evts) {
-                    if (Y.Object.owns(evts, i)) {
-                        ret = ret && evts[i].unsubscribe(fn, context);
-                    }
-                }
-                return ret;
-            }
-
-            return false;
-        },
-        
-        /**
-         * Removes all listeners from the specified event.  If the event type
-         * is not specified, all listeners from all hosted custom events will
-         * be removed.
-         * @method unsubscribeAll
-         * @param type {string}   The type, or name of the event
-         */
-        unsubscribeAll: function(type) {
-            return this.unsubscribe(type);
-        },
-
-        /**
-         * Creates a new custom event of the specified type.  If a custom event
-         * by that name already exists, it will not be re-created.  In either
-         * case the custom event is returned. 
-         *
-         * @method publish
-         *
-         * @param type {string} the type, or name of the event
-         * @param opts {object} optional config params.  Valid properties are:
-         *
-         *  <ul>
-         *    <li>
-         *   'broadcast': whether or not the YUI instance and YUI global are notified when the event is fired (false)
-         *    </li>
-         *    <li>
-         *   'bubbles': whether or not this event bubbles (true)
-         *    </li>
-         *    <li>
-         *   'context': the default execution context for the listeners (this)
-         *    </li>
-         *    <li>
-         *   'defaultFn': the default function to execute when this event fires if preventDefault was not called
-         *    </li>
-         *    <li>
-         *   'emitFacade': whether or not this event emits a facade (false)
-         *    </li>
-         *    <li>
-         *   'fireOnce': if an event is configured to fire once, new subscribers after
-         *   the fire will be notified immediately.
-         *    </li>
-         *    <li>
-         *   'preventable': whether or not preventDefault() has an effect (true)
-         *    </li>
-         *    <li>
-         *   'preventedFn': a function that is executed when preventDefault is called
-         *    </li>
-         *    <li>
-         *   'queuable': whether or not this event can be queued during bubbling (false)
-         *    </li>
-         *    <li>
-         *   'silent': if silent is true, debug messages are not provided for this event.
-         *    </li>
-         *    <li>
-         *   'stoppedFn': a function that is executed when stopPropagation is called
-         *    </li>
-         *    <li>
-         *   'type': the event type (valid option if not provided as the first parameter to publish)
-         *    </li>
-         *  </ul>
-         *
-         *  @return {Event.Custom} the custom event
-         *
-         */
-        publish: function(type, opts) {
-
-            var events = this._yuievt.events, ce = events[type];
-
-            //if (ce && !ce.configured) {
-            if (ce) {
-
-                // This event could have been published
-                ce.applyConfig(opts, true);
-                // ce.configured = true;
-
-            } else {
-                var o = opts || {};
-
-                // apply defaults
-                Y.mix(o, this._yuievt.defaults);
-
-                ce = new Y.CustomEvent(type, o);
-
-                events[type] = ce;
-
-                if (o.onSubscribeCallback) {
-                    ce.subscribeEvent.subscribe(o.onSubscribeCallback);
-                }
-
-            }
-
-            return events[type];
-        },
-
-        /**
-         * Registers another Event.Target as a bubble target.  Bubble order
-         * is determined by the order registered.  Multiple targets can
-         * be specified.
-         * @method addTarget
-         * @param o {Event.Target} the target to add
-         */
-        addTarget: function(o) {
-            this._yuievt.targets[Y.stamp(o)] = o;
-            this._yuievt.hasTargets = true;
-        },
-
-        /**
-         * Removes a bubble target
-         * @method removeTarget
-         * @param o {Event.Target} the target to remove
-         */
-        removeTarget: function(o) {
-            delete this._yuievt.targets[Y.stamp(o)];
-        },
-
-       /**
-         * Fire a custom event by name.  The callback functions will be executed
-         * from the context specified when the event was created, and with the 
-         * following parameters.
-         *
-         * If the custom event object hasn't been created, then the event hasn't 
-         * been published and it has no subscribers.  For performance sake, we 
-         * immediate exit in this case.  This means the event won't bubble, so 
-         * if the intention is that a bubble target be notified, the event must 
-         * be published on this object first.
-         *
-         * @method fire
-         * @param type {String|Object} The type of the event, or an object that contains
-         * a 'type' property.
-         * @param arguments {Object*} an arbitrary set of parameters to pass to 
-         * the handler.
-         * @return {boolean} the return value from Event.Custom.fire
-         *                   
-         */
-        fire: function(type) {
-
-            var typeIncluded = Y.Lang.isString(type),
-                t = (typeIncluded) ? type : (type && type.type);
-
-            var ce = this.getEvent(t);
-
-            // this event has not been published or subscribed to
-            if (!ce) {
-                
-                // if this object has bubble targets, we need to publish the
-                // event in order for it to bubble.
-                if (this._yuievt.hasTargets) {
-                    // ce = this.publish(t, {
-                    //     configured: false
-                    // });
-                    ce = this.publish(t);
-                    ce.details = Y.Array(arguments, (typeIncluded) ? 1 : 0, true);
-
-                    return this.bubble(ce);
-                }
-
-                // otherwise there is nothing to be done
-                return true;
-            }
-
-            // Provide this object's subscribers the object they are listening to.
-            // ce.currentTarget = this;
-
-            // This this the target unless target is current not null
-            // (set in bubble()).
-            // ce.target = ce.target || this;
-
-            var a = Y.Array(arguments, (typeIncluded) ? 1 : 0, true);
-            var ret = ce.fire.apply(ce, a);
-
-            // clear target for next fire()
-            ce.target = null;
-
-            return ret;
-        },
-
-        /**
-         * Returns the custom event of the provided type has been created, a
-         * falsy value otherwise
-         * @method getEvent
-         * @param type {string} the type, or name of the event
-         * @return {Event.Custom} the custom event or null
-         */
-        getEvent: function(type) {
-            var e = this._yuievt.events;
-            return (e && type in e) ? e[type] : null;
-        },
-
-        /**
-         * Propagate an event
-         * @method bubble
-         * @param evt {Event.Custom} the custom event to propagate
-         * @return {boolean} the aggregated return value from Event.Custom.fire
-         */
-        bubble: function(evt) {
-
-            var targs = this._yuievt.targets, ret = true;
-
-            if (!evt.stopped && targs) {
-
-
-                for (var i in targs) {
-                    if (targs.hasOwnProperty(i)) {
-
-                        var t = targs[i], type = evt.type,
-                            ce = t.getEvent(type), targetProp = evt.target || this;
-                            
-                        // if this event was not published on the bubble target,
-                        // publish it with sensible default properties
-                        if (!ce) {
-
-                            // publish the event on the bubble target using this event
-                            // for its configuration
-                            ce = t.publish(type, evt);
-                            // ce.configured = false;
-
-                            // set the host and context appropriately
-                            ce.context = (evt.host === evt.context) ? t : evt.context;
-                            ce.host = t;
-
-                            // clear handlers if specified on this event
-                            ce.defaultFn = null;
-                            ce.preventedFn = null;
-                            ce.stoppedFn = null;
-                        }
-
-                        ce.target = targetProp;
-                        ce.currentTarget = t;
-
-                        // ce.target = evt.target;
-
-                        ret = ret && ce.fire.apply(ce, evt.details);
-
-                        // stopPropagation() was called
-                        if (ce.stopped) {
-                            break;
-                        }
-                    }
-                }
-            }
-
-            return ret;
-        },
-
-        /**
-         * Subscribe to a custom event hosted by this object.  The
-         * supplied callback will execute after any listeners add
-         * via the subscribe method, and after the default function,
-         * if configured for the event, has executed.
-         * @method after
-         * @param type    {string}   The type of the event
-         * @param fn {Function} The callback
-         * @param context The execution context
-         * @param args* 1..n params to supply to the callback
-         */
-        after: function(type, fn) {
-            var ce = this._yuievt.events[type] || 
-                // this.publish(type, {
-                //     configured: false
-                // }),
-                this.publish(type),
-                a = Y.Array(arguments, 1, true);
-
-            return ce.after.apply(ce, a);
-        }
-
-    };
-
-    // make Y an event target
-    Y.mix(Y, ET.prototype, false, false, { 
-        bubbles: false 
-    });
-    ET.call(Y);
-
-
-}, "3.0.0");
-
-/*
- * DOMReady
- * @submodule event-ready
- * @module event
- */
-
-(function() {
-
-var Env = YUI.Env, 
-    C = YUI.config, 
-    D = C.doc, 
-    POLL_INTERVAL = C.pollInterval || 20;
-
-    if (!Env._ready) {
-
-        Env.windowLoaded = false;
-
-        Env._ready = function() {
-            if (!Env.DOMReady) {
-                Env.DOMReady=true;
-
-                // Remove the DOMContentLoaded (FF/Opera)
-                if (D.removeEventListener) {
-                    D.removeEventListener("DOMContentLoaded", _ready, false);
-                }
-            }
-        };
-
-        var _ready = function(e) {
-            YUI.Env._ready();
-        };
-
-        // create custom event
-
-        /////////////////////////////////////////////////////////////
-        // DOMReady
-        // based on work by: Dean Edwards/John Resig/Matthias Miller 
-
-        // Internet Explorer: use the readyState of a defered script.
-        // This isolates what appears to be a safe moment to manipulate
-        // the DOM prior to when the document's readyState suggests
-        // it is safe to do so.
-        if (navigator.userAgent.match(/MSIE/)) {
-
-            Env._dri = setInterval(function() {
-                try {
-                    // throws an error if doc is not ready
-                    document.documentElement.doScroll('left');
-                    clearInterval(Env._dri);
-                    Env._dri = null;
-                    _ready();
-                } catch (ex) { 
-                }
-            }, POLL_INTERVAL); 
-
-        // FireFox and Opera: These browsers provide a event for this
-        // moment.  The latest WebKit releases now support this event.
-        } else {
-            D.addEventListener("DOMContentLoaded", _ready, false);
-        }
-
-        /////////////////////////////////////////////////////////////
-    }
-
-    YUI.add("event-ready", function(Y) {
-
-        if (Y === YUI) {
-            return;
-        }
-
-        Y.publish('event:ready', {
-            fireOnce: true
-        });
-
-        var yready = function() {
-            Y.fire('event:ready');
-        };
-
-        if (Env.DOMReady) {
-            yready();
-        } else {
-            Y.before(yready, Env, "_ready");
-        }
-
-    }, "3.0.0");
-
-})();
-/*
- * The YUI DOM event system
- * @submodule event-dom
- * @module event
- */
-(function() {
-
-    var add = function(el, type, fn, capture) {
-        if (el.addEventListener) {
-                el.addEventListener(type, fn, !!capture);
-        } else if (el.attachEvent) {
-                el.attachEvent("on" + type, fn);
-        } 
-    },
-
-    remove = function(el, type, fn, capture) {
-        if (el.removeEventListener) {
-                el.removeEventListener(type, fn, !!capture);
-        } else if (el.detachEvent) {
-                el.detachEvent("on" + type, fn);
-        }
-    },
-
-    onLoad = function() {
-        YUI.Env.windowLoaded = true;
-        remove(window, "load", onLoad);
-    };
-
-    add(window, "load", onLoad);
-
-YUI.add("event-dom", function(Y) {
-
-    /*
-     * The Event Utility provides utilities for managing DOM Events and tools
-     * for building event systems
-     *
-     * @module event
-     * @title Event Utility
-     */
-
-    /**
-     * The event utility provides functions to add and remove event listeners,
-     * event cleansing.  It also tries to automatically remove listeners it
-     * registers during the unload event.
-     *
-     * @class Event
-     * @static
-     */
-        Y.Event = function() {
-
-            /**
-             * True after the onload event has fired
-             * @property loadComplete
-             * @type boolean
-             * @static
-             * @private
-             */
-            var loadComplete =  false;
-
-            /**
-             * The number of times to poll after window.onload.  This number is
-             * increased if additional late-bound handlers are requested after
-             * the page load.
-             * @property _retryCount
-             * @static
-             * @private
-             */
-            var _retryCount = 0;
-
-            /**
-             * onAvailable listeners
-             * @property _avail
-             * @static
-             * @private
-             */
-            var _avail = [];
-
-            /**
-             * Custom event wrappers for DOM events.  Key is 
-             * 'event:' + Element uid stamp + event type
-             * @property _wrappers
-             * @type Y.Event.Custom
-             * @static
-             * @private
-             */
-            var _wrappers = {};
-
-            var _windowLoadKey = null;
-
-            /**
-             * Custom event wrapper map DOM events.  Key is 
-             * Element uid stamp.  Each item is a hash of custom event
-             * wrappers as provided in the _wrappers collection.  This
-             * provides the infrastructure for getListeners.
-             * @property _el_events
-             * @static
-             * @private
-             */
-            var _el_events = {};
-
-            return {
-
-                /**
-                 * The number of times we should look for elements that are not
-                 * in the DOM at the time the event is requested after the document
-                 * has been loaded.  The default is 2000@amp;20 ms, so it will poll
-                 * for 40 seconds or until all outstanding handlers are bound
-                 * (whichever comes first).
-                 * @property POLL_RETRYS
-                 * @type int
-                 * @static
-                 * @final
-                 */
-                POLL_RETRYS: 2000,
-
-                /**
-                 * The poll interval in milliseconds
-                 * @property POLL_INTERVAL
-                 * @type int
-                 * @static
-                 * @final
-                 */
-                POLL_INTERVAL: 20,
-
-                /**
-                 * addListener/removeListener can throw errors in unexpected scenarios.
-                 * These errors are suppressed, the method returns false, and this property
-                 * is set
-                 * @property lastError
-                 * @static
-                 * @type Error
-                 */
-                lastError: null,
-
-
-                /**
-                 * poll handle
-                 * @property _interval
-                 * @static
-                 * @private
-                 */
-                _interval: null,
-
-                /**
-                 * document readystate poll handle
-                 * @property _dri
-                 * @static
-                 * @private
-                 */
-                 _dri: null,
-
-                /**
-                 * True when the document is initially usable
-                 * @property DOMReady
-                 * @type boolean
-                 * @static
-                 */
-                DOMReady: false,
-
-                /**
-                 * @method startInterval
-                 * @static
-                 * @private
-                 */
-                startInterval: function() {
-                    if (!this._interval) {
-this._interval = setInterval(Y.bind(this._tryPreloadAttach, this), this.POLL_INTERVAL);
-                    }
-                },
-
-                /**
-                 * Executes the supplied callback when the item with the supplied
-                 * id is found.  This is meant to be used to execute behavior as
-                 * soon as possible as the page loads.  If you use this after the
-                 * initial page load it will poll for a fixed time for the element.
-                 * The number of times it will poll and the frequency are
-                 * configurable.  By default it will poll for 10 seconds.
-                 *
-                 * <p>The callback is executed with a single parameter:
-                 * the custom object parameter, if provided.</p>
-                 *
-                 * @method onAvailable
-                 *
-                 * @param {string||string[]}   id the id of the element, or an array
-                 * of ids to look for.
-                 * @param {function} fn what to execute when the element is found.
-                 * @param {object}   p_obj an optional object to be passed back as
-                 *                   a parameter to fn.
-                 * @param {boolean|object}  p_override If set to true, fn will execute
-                 *                   in the context of p_obj, if set to an object it
-                 *                   will execute in the context of that object
-                 * @param checkContent {boolean} check child node readiness (onContentReady)
-                 * @static
-                 * @deprecated This will be replaced with a special Y.on custom event
-                 */
-                // @TODO fix arguments
-                onAvailable: function(id, fn, p_obj, p_override, checkContent) {
-
-                    // var a = (Y.Lang.isString(id)) ? [id] : id;
-                    var a = Y.Array(id);
-
-                    for (var i=0; i<a.length; i=i+1) {
-                        _avail.push({ id:         a[i], 
-                                      fn:         fn, 
-                                      obj:        p_obj, 
-                                      override:   p_override, 
-                                      checkReady: checkContent });
-                    }
-                    _retryCount = this.POLL_RETRYS;
-                    // this.startInterval();
-                    // this._tryPreloadAttach();
-
-                    // We want the first test to be immediate, but async
-                    setTimeout(Y.bind(this._tryPreloadAttach, this), 0);
-                },
-
-                /**
-                 * Works the same way as onAvailable, but additionally checks the
-                 * state of sibling elements to determine if the content of the
-                 * available element is safe to modify.
-                 *
-                 * <p>The callback is executed with a single parameter:
-                 * the custom object parameter, if provided.</p>
-                 *
-                 * @method onContentReady
-                 *
-                 * @param {string}   id the id of the element to look for.
-                 * @param {function} fn what to execute when the element is ready.
-                 * @param {object}   p_obj an optional object to be passed back as
-                 *                   a parameter to fn.
-                 * @param {boolean|object}  p_override If set to true, fn will execute
-                 *                   in the context of p_obj.  If an object, fn will
-                 *                   exectute in the context of that object
-                 *
-                 * @static
-                 * @deprecated This will be replaced with a special Y.on custom event
-                 */
-                // @TODO fix arguments
-                onContentReady: function(id, fn, p_obj, p_override) {
-                    this.onAvailable(id, fn, p_obj, p_override, true);
-                },
-
-                /**
-                 * Executes the supplied callback when the DOM is first usable.  This
-                 * will execute immediately if called after the DOMReady event has
-                 * fired.   @todo the DOMContentReady event does not fire when the
-                 * script is dynamically injected into the page.  This means the
-                 * DOMReady custom event will never fire in FireFox or Opera when the
-                 * library is injected.  It _will_ fire in Safari, and the IE 
-                 * implementation would allow for us to fire it if the defered script
-                 * is not available.  We want this to behave the same in all browsers.
-                 * Is there a way to identify when the script has been injected 
-                 * instead of included inline?  Is there a way to know whether the 
-                 * window onload event has fired without having had a listener attached 
-                 * to it when it did so?
-                 *
-                 * <p>The callback is a Event.Custom, so the signature is:</p>
-                 * <p>type &lt;string&gt;, args &lt;array&gt;, customobject &lt;object&gt;</p>
-                 * <p>For DOMReady events, there are no fire argments, so the
-                 * signature is:</p>
-                 * <p>"DOMReady", [], obj</p>
-                 *
-                 *
-                 * @method onDOMReady
-                 *
-                 * @param {function} fn what to execute when the element is found.
-                 * @optional context execution context
-                 * @optional args 1..n arguments to send to the listener
-                 *
-                 * @static
-                 * @deprecated Use Y.on('event:ready');
-                 */
-                onDOMReady: function(fn) {
-                    // var ev = Y.Event.DOMReadyEvent;
-                    // ev.subscribe.apply(ev, arguments);
-                    var a = Y.Array(arguments, 0, true);
-                    a.unshift('event:ready');
-                    Y.on.apply(Y, a);
-                },
-
-                /**
-                 * Appends an event handler
-                 *
-                 * @method addListener
-                 *
-                 * @param {String|HTMLElement|Array|NodeList} el An id, an element 
-                 *  reference, or a collection of ids and/or elements to assign the 
-                 *  listener to.
-                 * @param {String}   type     The type of event to append
-                 * @param {Function} fn        The method the event invokes
-                 * @param {Object}   obj    An arbitrary object that will be 
-                 *                             passed as a parameter to the handler
-                 * @param {Boolean|object}  args 1..n ar
-                 * @return {Boolean} True if the action was successful or defered,
-                 *                        false if one or more of the elements 
-                 *                        could not have the listener attached,
-                 *                        or if the operation throws an exception.
-                 * @static
-                 * @deprecated Use Y.on instead.  This will be removed in PR2
-                 */
-                addListener: function(el, type, fn, obj) {
-
-
-                    var a=Y.Array(arguments, 1, true), override = a[3], E = Y.Event,
-                        aa=Y.Array(arguments, 0, true);
-
-                    if (!fn || !fn.call) {
-    // throw new TypeError(type + " addListener call failed, callback undefined");
-                        return false;
-                    }
-
-                    // The el argument can be an array of elements or element ids.
-                    if (this._isValidCollection(el)) {
-
-
-                        var handles=[], h, i, l, proc = function(v, k) {
-                            // handles.push(this.addListener(el[i], type, fn, obj, override));
-                            // var node = el.item(k);
-                            
-                            var b = a.slice();
-                            b.unshift(v);
-                            h = E.addListener.apply(E, b);
-                            handles.push(h);
-                        };
-
-                        Y.each(el, proc, E);
-
-
-                        return handles;
-
-
-                    } else if (Y.Lang.isString(el)) {
-                        var oEl = Y.all(el);
-                        // If the el argument is a string, we assume it is 
-                        // actually the id of the element.  If the page is loaded
-                        // we convert el to the actual element, otherwise we 
-                        // defer attaching the event until onload event fires
-
-                        // check to see if we need to delay hooking up the event 
-                        // until after the page loads.
-                        var size = oEl.size();
-                        if (size) {
-                            if (size > 1) {
-                                aa[0] = oEl;
-                                return E.addListener.apply(E, aa);
-                            } else {
-                                el = oEl.item(0);
-                            }
-                        } else {
-                            //
-                            // defer adding the event until the element is available
-                            this.onAvailable(el, function() {
-                                // Y.Event.addListener(el, type, fn, obj, override);
-                                Y.Event.addListener.apply(Y.Event, aa);
-                            });
-
-                            return true;
-                        }
-                    }
-
-                    // Element should be an html element or an array if we get 
-                    // here.
-                    if (!el) {
-                        return false;
-                    }
-
-                    // the custom event key is the uid for the element + type
-
-                    var ek = Y.stamp(el), key = 'event:' + ek + type,
-                        cewrapper = _wrappers[key];
-
-
-                    if (!cewrapper) {
-                        // create CE wrapper
-                        cewrapper = Y.publish(key, {
-                            silent: true,
-                            // host: this,
-                            bubbles: false
-                        });
-
-                        // cache the dom event details in the custom event
-                        // for later removeListener calls
-                        cewrapper.el = el;
-                        cewrapper.type = type;
-                        cewrapper.fn = function(e) {
-                            cewrapper.fire(Y.Event.getEvent(e, el));
-                        };
-
-                        if (el == Y.config.win && type == "load") {
-                            // window load happens once
-                            cewrapper.fireOnce = true;
-                            _windowLoadKey = key;
-
-                            // if the load is complete, fire immediately.
-                            // all subscribers, including the current one
-                            // will be notified.
-                            if (YUI.Env.windowLoaded) {
-                                cewrapper.fire();
-                            }
-                        }
-
-                        _wrappers[key] = cewrapper;
-                        _el_events[ek] = _el_events[ek] || {};
-                        _el_events[ek][key] = cewrapper;
-
-                        // var capture = (Y.lang.isObject(obj) && obj.capture);
-                        // attach a listener that fires the custom event
-                        this.nativeAdd(el, type, cewrapper.fn, false);
-                    }
-
-        
-                    // from type, fn, etc to fn, obj, override
-                    a = Y.Array(arguments, 2, true);
-                    // a = a.shift();
-
-                    var context = obj || Y.get(el);
-                    // if (override) {
-                        // if (override === true) {
-                            // context = obj;
-                        // } else {
-                            // context = override;
-                        // }
-                    // }
-
-                    a[1] = context;
-
-                    // set context to the Node if not specified
-                    return cewrapper.subscribe.apply(cewrapper, a);
-
-
-                },
-
-                /**
-                 * Removes an event listener.  Supports the signature the event was bound
-                 * with, but the preferred way to remove listeners is using the handle
-                 * that is returned when using Y.on
-                 *
-                 * @method removeListener
-                 *
-                 * @param {String|HTMLElement|Array|NodeList} el An id, an element 
-                 *  reference, or a collection of ids and/or elements to remove
-                 *  the listener from.
-                 * @param {String} type the type of event to remove.
-                 * @param {Function} fn the method the event invokes.  If fn is
-                 *  undefined, then all event handlers for the type of event are *  removed.
-                 * @return {boolean} true if the unbind was successful, false *  otherwise.
-                 * @static
-                 */
-                removeListener: function(el, type, fn) {
-
-                    if (el && el.detach) {
-                        return el.detach();
-                    }
-                    var i, len, li;
-
-                    // The el argument can be a string
-                    if (typeof el == "string") {
-                        el = Y.get(el);
-                    // The el argument can be an array of elements or element ids.
-                    } else if ( this._isValidCollection(el)) {
-                        var ok = true;
-                        for (i=0,len=el.length; i<len; ++i) {
-                            ok = ( this.removeListener(el[i], type, fn) && ok );
-                        }
-                        return ok;
-                    }
-
-                    if (!fn || !fn.call) {
-                        //return false;
-                        return this.purgeElement(el, false, type);
-                    }
-
-
-                    var id = 'event:' + Y.stamp(el) + type, 
-                        ce = _wrappers[id];
-                    if (ce) {
-                        return ce.unsubscribe(fn);
-                    } else {
-                        return false;
-                    }
-
-                },
-
-                /**
-                 * Finds the event in the window object, the caller's arguments, or
-                 * in the arguments of another method in the callstack.  This is
-                 * executed automatically for events registered through the event
-                 * manager, so the implementer should not normally need to execute
-                 * this function at all.
-                 * @method getEvent
-                 * @param {Event} e the event parameter from the handler
-                 * @param {HTMLElement} boundEl the element the listener is attached to
-                 * @return {Event} the event 
-                 * @static
-                 */
-                getEvent: function(e, boundEl) {
-                    var ev = e || window.event;
-
-                    if (!ev) {
-                        var c = this.getEvent.caller;
-                        while (c) {
-                            ev = c.arguments[0];
-                            if (ev && Event == ev.constructor) {
-                                break;
-                            }
-                            c = c.caller;
-                        }
-                    }
-
-
-                    return new Y.Event.Facade(ev, boundEl, _wrappers['event:' + Y.stamp(boundEl) + e.type]);
-                },
-
-
-                /**
-                 * Generates an unique ID for the element if it does not already 
-                 * have one.
-                 * @method generateId
-                 * @param el the element to create the id for
-                 * @return {string} the resulting id of the element
-                 * @static
-                 */
-                generateId: function(el) {
-                    var id = el.id;
-
-                    if (!id) {
-                        id = Y.stamp(el);
-                        el.id = id;
-                    }
-
-                    return id;
-                },
-
-
-                /**
-                 * We want to be able to use getElementsByTagName as a collection
-                 * to attach a group of events to.  Unfortunately, different 
-                 * browsers return different types of collections.  This function
-                 * tests to determine if the object is array-like.  It will also 
-                 * fail if the object is an array, but is empty.
-                 * @method _isValidCollection
-                 * @param o the object to test
-                 * @return {boolean} true if the object is array-like and populated
-                 * @static
-                 * @private
-                 */
-                _isValidCollection: function(o) {
-                    try {
-                        return ( o                     && // o is something
-                                 typeof o !== "string" && // o is not a string
-                                 (o.each || o.length)  && // o is indexed
-                                 !o.tagName            && // o is not an HTML element
-                                 !o.alert              && // o is not a window
-                                 (o.item || typeof o[0] !== "undefined") );
-                    } catch(ex) {
-                        return false;
-                    }
-
-                },
-
-                /*
-                 * Custom event the fires when the dom is initially usable
-                 * @event DOMReadyEvent
-                 */
-                // DOMReadyEvent: new Y.CustomEvent("event:ready", this),
-                // DOMReadyEvent: Y.publish("event:ready", this, {
-                    // fireOnce: true
-                // }),
-
-                /**
-                 * hook up any deferred listeners
-                 * @method _load
-                 * @static
-                 * @private
-                 */
-                _load: function(e) {
-
-                    if (!loadComplete) {
-
-
-                        loadComplete = true;
-
-                        // Just in case DOMReady did not go off for some reason
-                        // E._ready();
-                        if (Y.fire) {
-                            Y.fire('event:ready');
-                        }
-
-                        // Available elements may not have been detected before the
-                        // window load event fires. Try to find them now so that the
-                        // the user is more likely to get the onAvailable notifications
-                        // before the window load notification
-                        Y.Event._tryPreloadAttach();
-
-                    }
-                },
-
-                /**
-                 * Polling function that runs before the onload event fires, 
-                 * attempting to attach to DOM Nodes as soon as they are 
-                 * available
-                 * @method _tryPreloadAttach
-                 * @static
-                 * @private
-                 */
-                _tryPreloadAttach: function() {
-
-                    if (this.locked) {
-                        return;
-                    }
-
-                    if (Y.UA.ie && !YUI.Env.DOMReady) {
-                        // Hold off if DOMReady has not fired and check current
-                        // readyState to protect against the IE operation aborted
-                        // issue.
-                        this.startInterval();
-                        return;
-                    }
-
-                    this.locked = true;
-
-
-                    // keep trying until after the page is loaded.  We need to 
-                    // check the page load state prior to trying to bind the 
-                    // elements so that we can be certain all elements have been 
-                    // tested appropriately
-                    var tryAgain = !loadComplete;
-                    if (!tryAgain) {
-                        tryAgain = (_retryCount > 0);
-                    }
-
-                    // onAvailable
-                    var notAvail = [];
-
-                    var executeItem = function (el, item) {
-                        var context;
-                        if (item.override) {
-                            if (item.override === true) {
-                                context = item.obj;
-                            } else {
-                                context = item.override;
-                            }
-                        } else {
-                            context = Y.get(el);
-                        }
-                        item.fn.call(context, item.obj);
-                    };
-
-                    var i,len,item,el;
-
-                    // onAvailable
-                    for (i=0,len=_avail.length; i<len; ++i) {
-                        item = _avail[i];
-                        if (item && !item.checkReady) {
-                            el = Y.get(item.id);
-                            if (el) {
-                                executeItem(el, item);
-                                _avail[i] = null;
-                            } else {
-                                notAvail.push(item);
-                            }
-                        }
-                    }
-
-                    // onContentReady
-                    for (i=0,len=_avail.length; i<len; ++i) {
-                        item = _avail[i];
-                        if (item && item.checkReady) {
-                            el = Y.get(item.id);
-
-                            if (el) {
-                                // The element is available, but not necessarily ready
-                                // @todo should we test parentNode.nextSibling?
-                                if (loadComplete || el.get('nextSibling')) {
-                                    executeItem(el, item);
-                                    _avail[i] = null;
-                                }
-                            } else {
-                                notAvail.push(item);
-                            }
-                        }
-                    }
-
-                    _retryCount = (notAvail.length === 0) ? 0 : _retryCount - 1;
-
-                    if (tryAgain) {
-                        // we may need to strip the nulled out items here
-                        this.startInterval();
-                    } else {
-                        clearInterval(this._interval);
-                        this._interval = null;
-                    }
-
-                    this.locked = false;
-
-                    return;
-
-                },
-
-                /**
-                 * Removes all listeners attached to the given element via addListener.
-                 * Optionally, the node's children can also be purged.
-                 * Optionally, you can specify a specific type of event to remove.
-                 * @method purgeElement
-                 * @param {HTMLElement} el the element to purge
-                 * @param {boolean} recurse recursively purge this element's children
-                 * as well.  Use with caution.
-                 * @param {string} type optional type of listener to purge. If
-                 * left out, all listeners will be removed
-                 * @static
-                 */
-                purgeElement: function(el, recurse, type) {
-                    var oEl = (Y.Lang.isString(el)) ? Y.get(el) : el,
-                        id = Y.stamp(oEl);
-                    var lis = this.getListeners(oEl, type), i, len;
-                    if (lis) {
-                        for (i=0,len=lis.length; i<len ; ++i) {
-                            lis[i].unsubscribeAll();
-                        }
-                    }
-
-                    if (recurse && oEl && oEl.childNodes) {
-                        for (i=0,len=oEl.childNodes.length; i<len ; ++i) {
-                            this.purgeElement(oEl.childNodes[i], recurse, type);
-                        }
-                    }
-                },
-
-                /**
-                 * Returns all listeners attached to the given element via addListener.
-                 * Optionally, you can specify a specific type of event to return.
-                 * @method getListeners
-                 * @param el {HTMLElement|string} the element or element id to inspect 
-                 * @param type {string} optional type of listener to return. If
-                 * left out, all listeners will be returned
-                 * @return {Y.Custom.Event} the custom event wrapper for the DOM event(s)
-                 * @static
-                 */           
-                getListeners: function(el, type) {
-                    var results=[], ek = Y.stamp(el), key = (type) ? 'event:' + type : null,
-                        evts = _el_events[ek];
-
-                    if (key) {
-                        if (evts[key]) {
-                            results.push(evts[key]);
-                        }
-                    } else {
-                        for (var i in evts) {
-                            results.push(evts[i]);
-                        }
-                    }
-
-                    return (results.length) ? results : null;
-                },
-
-                /**
-                 * Removes all listeners registered by pe.event.  Called 
-                 * automatically during the unload event.
-                 * @method _unload
-                 * @static
-                 * @private
-                 */
-                _unload: function(e) {
-
-                    var E = Y.Event, i, w;
-
-                    for (i in _wrappers) {
-                        w = _wrappers[i];
-                        w.unsubscribeAll();
-                        E.nativeRemove(w.el, w.type, w.fn);
-                        delete _wrappers[i];
-                    }
-
-                    E.nativeRemove(window, "unload", E._unload);
-                },
-
-                
-                /**
-                 * Adds a DOM event directly without the caching, cleanup, context adj, etc
-                 *
-                 * @method nativeAdd
-                 * @param {HTMLElement} el      the element to bind the handler to
-                 * @param {string}      type   the type of event handler
-                 * @param {function}    fn      the callback to invoke
-                 * @param {boolen}      capture capture or bubble phase
-                 * @static
-                 * @private
-                 */
-                nativeAdd: add,
-
-                /**
-                 * Basic remove listener
-                 *
-                 * @method nativeRemove
-                 * @param {HTMLElement} el      the element to bind the handler to
-                 * @param {string}      type   the type of event handler
-                 * @param {function}    fn      the callback to invoke
-                 * @param {boolen}      capture capture or bubble phase
-                 * @static
-                 * @private
-                 */
-                nativeRemove: remove
-            };
-
-        }();
-
-        var E = Y.Event;
-
-        // Process onAvailable/onContentReady items when when the DOM is ready in IE
-        if (Y.UA.ie && Y.on) {
-            Y.on('event:ready', E._tryPreloadAttach, E, true);
-        }
-
-        E.Custom = Y.CustomEvent;
-        E.Subscriber = Y.Subscriber;
-        E.Target = Y.EventTarget;
-
-        /**
-         * Y.Event.on is an alias for addListener
-         * @method on
-         * @see addListener
-         * @static
-         */
-        E.attach = function(type, fn, el, data, context) {
-            var a = Y.Array(arguments, 0, true),
-                oEl = a.splice(2, 1);
-            a.unshift(oEl[0]);
-            return E.addListener.apply(E, a);
-        };
-
-        E.detach = function(type, fn, el, data, context) {
-            return E.removeListener(el, type, fn, data, context);
-        };
-
-        E.attach("load", E._load, window, E);
-        E.nativeAdd(window, "unload", E._unload);
-
-        E._tryPreloadAttach();
-
-}, "3.0.0");
-
-})();
-/*
- * A wrapper for DOM events and Custom Events
- * @submodule event-facade
- * @module event
- */
-YUI.add("event-facade", function(Y) {
-
-
-    var whitelist = {
-        "altKey"          : 1,
-        // "button"          : 1, // we supply
-        // "bubbles"         : 1, // needed?
-        // "cancelable"      : 1, // needed? 
-        // "charCode"        : 1, // we supply
-        "cancelBubble"    : 1,
-        // "currentTarget"   : 1, // we supply
-        "ctrlKey"         : 1,
-        "clientX"         : 1, // needed?
-        "clientY"         : 1, // needed?
-        "detail"          : 1, // not fully implemented
-        // "fromElement"     : 1,
-        "keyCode"         : 1,
-        // "height"          : 1, // needed?
-        // "initEvent"       : 1, // need the init events?
-        // "initMouseEvent"  : 1,
-        // "initUIEvent"     : 1,
-        // "layerX"          : 1, // needed?
-        // "layerY"          : 1, // needed?
-        "metaKey"         : 1,
-        // "modifiers"       : 1, // needed?
-        // "offsetX"         : 1, // needed?
-        // "offsetY"         : 1, // needed?
-        // "preventDefault"  : 1, // we supply
-        // "reason"          : 1, // IE proprietary
-        // "relatedTarget"   : 1,
-        // "returnValue"     : 1, // needed?
-        "shiftKey"        : 1,
-        // "srcUrn"          : 1, // IE proprietary
-        // "srcElement"      : 1,
-        // "srcFilter"       : 1, IE proprietary
-        // "stopPropagation" : 1, // we supply
-        // "target"          : 1,
-        // "timeStamp"       : 1, // needed?
-        // "toElement"       : 1,
-        "type"            : 1,
-        // "view"            : 1,
-        // "which"           : 1, // we supply
-        // "width"           : 1, // needed?
-        "x"               : 1,
-        "y"               : 1
-    };
-
-    var ua = Y.UA,
-
-        /**
-         * webkit key remapping required for Safari < 3.1
-         * @property webkitKeymap
-         * @private
-         */
-        webkitKeymap = {
-            63232: 38, // up
-            63233: 40, // down
-            63234: 37, // left
-            63235: 39, // right
-            63276: 33, // page up
-            63277: 34, // page down
-            25: 9      // SHIFT-TAB (Safari provides a different key code in
-                       // this case, even though the shiftKey modifier is set)
-        },
-
-        /**
-         * Returns a wrapped node.  Intended to be used on event targets,
-         * so it will return the node's parent if the target is a text
-         * node
-         * @method resolve
-         * @private
-         */
-        resolve = function(n) {
-
-            if (!n) {
-                return null;
-            }
-
-            try {
-                if (ua.webkit && 3 == n.nodeType) {
-                    n = n.parentNode;
-                } 
-            } catch(ex) { }
-
-            return Y.Node.get(n);
-        };
-
-
-    // provide a single event with browser abstractions resolved
-    //
-    // include all properties for both browers?
-    // include only DOM2 spec properties?
-    // provide browser-specific facade?
-
-    /**
-     * Wraps a DOM event, properties requiring browser abstraction are
-     * fixed here.  Provids a security layer when required.
-     * @class Event.Facade
-     * @param ev {Event} the DOM event
-     * @param currentTarget {HTMLElement} the element the listener was attached to
-     * @param wrapper {Event.Custom} the custom event wrapper for this DOM event
-     */
-    Y.Event.Facade = function(ev, currentTarget, wrapper, details) {
-
-        // @TODO the document should be the target's owner document
-
-        var e = ev, ot = currentTarget, d = Y.config.doc, b = d.body,
-            x = e.pageX, y = e.pageY, isCE = (ev._YUI_EVENT);
-
-        // copy all primitives ... this is slow in FF
-        // for (var i in e) {
-        for (var i in whitelist) {
-            // if (!Y.Lang.isObject(e[i])) {
-            if (whitelist.hasOwnProperty(i)) {
-                this[i] = e[i];
-            }
-        }
-
-        //////////////////////////////////////////////////////
-
-        if (!x && 0 !== x) {
-            x = e.clientX || 0;
-            y = e.clientY || 0;
-
-            if (ua.ie) {
-                x += Math.max(d.documentElement.scrollLeft, b.scrollLeft);
-                y += Math.max(d.documentElement.scrollTop, b.scrollTop);
-            }
-        }
-
-        this._yuifacade = true;
-
-        /**
-         * The X location of the event on the page (including scroll)
-         * @property pageX
-         * @type int
-         */
-        this.pageX = x;
-
-        /**
-         * The Y location of the event on the page (including scroll)
-         * @property pageY
-         * @type int
-         */
-        this.pageY = y;
-
-        //////////////////////////////////////////////////////
-
-        /**
-         * The keyCode for key events.  Uses charCode if keyCode is not available
-         * @property keyCode
-         * @type int
-         */
-        var c = e.keyCode || e.charCode || 0;
-
-        if (ua.webkit && (c in webkitKeymap)) {
-            c = webkitKeymap[c];
-        }
-
-        /**
-         * The keyCode for key events.  Uses charCode if keyCode is not available
-         * @property keyCode
-         * @type int
-         */
-        this.keyCode = c;
-
-        /**
-         * The charCode for key events.  Same as keyCode
-         * @property charCode
-         * @type int
-         */
-        this.charCode = c;
-
-        //////////////////////////////////////////////////////
-
-        /**
-         * The button that was pushed.
-         * @property button
-         * @type int
-         */
-        this.button = e.which || e.button;
-
-        /**
-         * The button that was pushed.  Same as button.
-         * @property which
-         * @type int
-         */
-        this.which = this.button;
-
-        /**
-         * The event details.  Currently supported for Custom
-         * Events only, where it contains the arguments that
-         * were passed to fire().
-         * @property details
-         * @type Array
-         */
-        this.details = details;
-
-        //////////////////////////////////////////////////////
-
-        /**
-         * Timestamp for the event
-         * @property time
-         * @type Date
-         */
-        this.time = e.time || new Date().getTime();
-
-        //////////////////////////////////////////////////////
-        
-        /**
-         * Node reference for the targeted element
-         * @propery target
-         * @type Node
-         */
-        this.target = (isCE) ? e.target : resolve(e.target || e.srcElement);
-
-        /**
-         * Node reference for the element that the listener was attached to.
-         * @propery currentTarget
-         * @type Node
-         */
-        this.currentTarget = (isCE) ? ot :  resolve(ot);
-
-        var t = e.relatedTarget;
-        if (!t) {
-            if (e.type == "mouseout") {
-                t = e.toElement;
-            } else if (e.type == "mouseover") {
-                t = e.fromElement;
-            }
-        }
-
-        /**
-         * Node reference to the relatedTarget
-         * @propery relatedTarget
-         * @type Node
-         */
-        this.relatedTarget = (isCE) ? t : resolve(t);
-        
-        //////////////////////////////////////////////////////
-        // methods
-
-        /**
-         * Stops the propagation to the next bubble target
-         * @method stopPropagation
-         */
-        this.stopPropagation = function() {
-            if (e.stopPropagation) {
-                e.stopPropagation();
-            } else {
-                e.cancelBubble = true;
-            }
-            if (wrapper) {
-                wrapper.stopPropagation();
-            }
-        };
-
-        /**
-         * Stops the propagation to the next bubble target and
-         * prevents any additional listeners from being exectued
-         * on the current target.
-         * @method stopImmediatePropagation
-         */
-        this.stopImmediatePropagation = function() {
-
-            if (e.stopImmediatePropagation) {
-                e.stopImmediatePropagation();
-            } else {
-                this.stopPropagation();
-            }
-
-            if (wrapper) {
-                wrapper.stopImmediatePropagation();
-            }
-
-        };
-
-        /**
-         * Prevents the event's default behavior
-         * @method preventDefault
-         */
-        this.preventDefault = function() {
-            if (e.preventDefault) {
-                e.preventDefault();
-            } else {
-                e.returnValue = false;
-            }
-            if (wrapper) {
-                wrapper.preventDefault();
-            }
-        };
-
-        /**
-         * Stops the event propagation and prevents the default
-         * event behavior.
-         * @method halt
-         * @param immediate {boolean} if true additional listeners
-         * on the current target will not be executed
-         */
-        this.halt = function(immediate) {
-            if (immediate) {
-                this.stopImmediatePropagation();
-            } else {
-                this.stopPropagation();
-            }
-            this.preventDefault();
-        };
-
-    };
-
-}, "3.0.0");

=== removed directory 'loggerhead/static/javascript/yui/build/get'
=== removed file 'loggerhead/static/javascript/yui/build/get/README'
--- loggerhead/static/javascript/yui/build/get/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/get/README	1970-01-01 00:00:00 +0000
@@ -1,5 +0,0 @@
-The Get Utility
-    Fetches and inserts script and link nodes
-
-3.0.0pr1
-    Initial release

=== removed file 'loggerhead/static/javascript/yui/build/get/get-debug.js'
--- loggerhead/static/javascript/yui/build/get/get-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/get/get-debug.js	1970-01-01 00:00:00 +0000
@@ -1,664 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-
-YUI.add("get", function(Y) {
-    
-        var ua=Y.UA, 
-        L=Y.Lang;
-
-/**
- * Provides a mechanism to fetch remote resources and
- * insert them into a document.
- * @module yui
- * @submodule get
- */
-
-/**
- * Fetches and inserts one or more script or link nodes into the document 
- * @class Get
- * @static
- */
-Y.Get = function() {
-
-    /**
-     * hash of queues to manage multiple requests
-     * @property queues
-     * @private
-     */
-    var queues={}, 
-        
-    /**
-     * queue index used to generate transaction ids
-     * @property qidx
-     * @type int
-     * @private
-     */
-        qidx=0, 
-        
-    /**
-     * node index used to generate unique node ids
-     * @property nidx
-     * @type int
-     * @private
-     */
-        nidx=0, 
-
-        // ridx=0,
-
-        // sandboxFrame=null,
-
-    /**
-     * interal property used to prevent multiple simultaneous purge 
-     * processes
-     * @property purging
-     * @type boolean
-     * @private
-     */
-        purging=false;
-
-    
-    /** 
-     * Generates an HTML element, this is not appended to a document
-     * @method _node
-     * @param type {string} the type of element
-     * @param attr {string} the attributes
-     * @param win {Window} optional window to create the element in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _node = function(type, attr, win) {
-        var w = win || Y.config.win, d=w.document, n=d.createElement(type);
-
-        for (var i in attr) {
-            if (attr[i] && Y.Object.owns(attr, i)) {
-                n.setAttribute(i, attr[i]);
-            }
-        }
-
-        return n;
-    };
-
-    /**
-     * Generates a link node
-     * @method _linkNode
-     * @param url {string} the url for the css file
-     * @param win {Window} optional window to create the node in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _linkNode = function(url, win, charset) {
-        var c = charset || "utf-8";
-        return _node("link", {
-                "id":      "yui__dyn_" + (nidx++),
-                "type":    "text/css",
-                "charset": c,
-                "rel":     "stylesheet",
-                "href":    url
-            }, win);
-    };
-
-    /**
-     * Generates a script node
-     * @method _scriptNode
-     * @param url {string} the url for the script file
-     * @param win {Window} optional window to create the node in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _scriptNode = function(url, win, charset) {
-        var c = charset || "utf-8";
-        return _node("script", {
-                "id":      "yui__dyn_" + (nidx++),
-                "type":    "text/javascript",
-                "charset": c,
-                "src":     url
-            }, win);
-    };
-
-    /*
-     * The request failed, execute fail handler with whatever
-     * was accomplished.  There isn't a failure case at the
-     * moment unless you count aborted transactions
-     * @method _fail
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _fail = function(id, msg) {
-
-        Y.log("get failure: " + msg, "warn", "get");
-
-        var q = queues[id];
-        if (q.timer) {
-            q.timer.cancel();
-        }
-
-        // execute failure callback
-        if (q.onFailure) {
-            var sc=q.context || q;
-            q.onFailure.call(sc, _returnData(q, msg));
-        }
-    };
-
-    var _get = function(nId, tId) {
-        var q = queues[tId],
-            n = (L.isString(nId)) ? q.win.document.getElementById(nId) : nId;
-        if (!n) {
-            _fail(tId, "target node not found: " + nId);
-        }
-
-        return n;
-    };
-
-    /**
-     * Removes the nodes for the specified queue
-     * @method _purge
-     * @private
-     */
-    var _purge = function(tId) {
-        var q=queues[tId];
-        if (q) {
-            var n=q.nodes, l=n.length, d=q.win.document, 
-                h=d.getElementsByTagName("head")[0];
-
-            if (q.insertBefore) {
-                var s = _get(q.insertBefore, tId);
-                if (s) {
-                    h = s.parentNode;
-                }
-            }
-
-            for (var i=0; i<l; i=i+1) {
-                h.removeChild(n[i]);
-            }
-        }
-        q.nodes = [];
-    };
-
-    /**
-     * Returns the data payload for callback functions
-     * @method _returnData
-     * @private
-     */
-    var _returnData = function(q, msg) {
-        return {
-                tId: q.tId,
-                win: q.win,
-                data: q.data,
-                nodes: q.nodes,
-                msg: msg,
-                purge: function() {
-                    _purge(this.tId);
-                }
-            };
-    };
-
-
-    /**
-     * The request is complete, so executing the requester's callback
-     * @method _finish
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _finish = function(id) {
-        Y.log("Finishing transaction " + id, "info", "get");
-        var q = queues[id];
-        if (q.timer) {
-            q.timer.cancel();
-        }
-        q.finished = true;
-
-        if (q.aborted) {
-            var msg = "transaction " + id + " was aborted";
-            _fail(id, msg);
-            return;
-        }
-
-        // execute success callback
-        if (q.onSuccess) {
-            var sc=q.context || q;
-            q.onSuccess.call(sc, _returnData(q));
-        }
-    };
-
-    /**
-     * Timeout detected
-     * @method _timeout
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _timeout = function(id) {
-        Y.log("Timeout " + id, "info", "get");
-        var q = queues[id];
-        if (q.onTimeout) {
-            var sc=q.context || q;
-            q.onTimeout.call(sc, _returnData(q));
-        }
-    };
-
-    /**
-     * Loads the next item for a given request
-     * @method _next
-     * @param id {string} the id of the request
-     * @param loaded {string} the url that was just loaded, if any
-     * @private
-     */
-    var _next = function(id, loaded) {
-        Y.log("_next: " + id + ", loaded: " + loaded, "info", "get");
-
-        var q = queues[id];
-
-        if (q.timer) {
-            // Y.log('cancel timer');
-            q.timer.cancel();
-        }
-
-        if (q.aborted) {
-            var msg = "transaction " + id + " was aborted";
-            _fail(id, msg);
-            return;
-        }
-
-        if (loaded) {
-            q.url.shift(); 
-            if (q.varName) {
-                q.varName.shift(); 
-            }
-        } else {
-            // This is the first pass: make sure the url is an array
-            q.url = (L.isString(q.url)) ? [q.url] : q.url;
-            if (q.varName) {
-                q.varName = (L.isString(q.varName)) ? [q.varName] : q.varName;
-            }
-        }
-
-        var w=q.win, d=w.document, h=d.getElementsByTagName("head")[0], n;
-
-        if (q.url.length === 0) {
-            _finish(id);
-            return;
-        } 
-
-        var url = q.url[0];
-        Y.log("attempting to load " + url, "info", "get");
-
-        if (q.timeout) {
-            // Y.log('create timer');
-            q.timer = L.later(q.timeout, q, _timeout, id);
-        }
-
-        if (q.type === "script") {
-            n = _scriptNode(url, w, q.charset);
-        } else {
-            n = _linkNode(url, w, q.charset);
-        }
-
-        // track this node's load progress
-        _track(q.type, n, id, url, w, q.url.length);
-
-        // add the node to the queue so we can return it to the user supplied callback
-        q.nodes.push(n);
-
-        // add it to the head or insert it before 'insertBefore'
-        if (q.insertBefore) {
-            var s = _get(q.insertBefore, id);
-            if (s) {
-                s.parentNode.insertBefore(n, s);
-            }
-        } else {
-            h.appendChild(n);
-        }
-        
-        Y.log("Appending node: " + url, "info", "get");
-
-        // FireFox does not support the onload event for link nodes, so there is
-        // no way to make the css requests synchronous. This means that the css 
-        // rules in multiple files could be applied out of order in this browser
-        // if a later request returns before an earlier one.  Safari too.
-        if ((ua.webkit || ua.gecko) && q.type === "css") {
-            _next(id, url);
-        }
-    };
-
-    /**
-     * Removes processed queues and corresponding nodes
-     * @method _autoPurge
-     * @private
-     */
-    var _autoPurge = function() {
-
-        if (purging) {
-            return;
-        }
-
-        purging = true;
-        for (var i in queues) {
-            if (queues.hasOwnProperty(i)) {
-                var q = queues[i];
-                if (q.autopurge && q.finished) {
-                    _purge(q.tId);
-                    delete queues[i];
-                }
-            }
-        }
-
-        purging = false;
-    };
-
-    /**
-     * Saves the state for the request and begins loading
-     * the requested urls
-     * @method queue
-     * @param type {string} the type of node to insert
-     * @param url {string} the url to load
-     * @param opts the hash of options for this request
-     * @private
-     */
-    var _queue = function(type, url, opts) {
-
-        var id = "q" + (qidx++);
-        opts = opts || {};
-
-        if (qidx % Y.Get.PURGE_THRESH === 0) {
-            _autoPurge();
-        }
-
-        queues[id] = Y.merge(opts, {
-            tId: id,
-            type: type,
-            url: url,
-            finished: false,
-            nodes: []
-        });
-
-        var q = queues[id];
-        q.win = q.win || Y.config.win;
-        q.context = q.context || q;
-        q.autopurge = ("autopurge" in q) ? q.autopurge : 
-                      (type === "script") ? true : false;
-
-        L.later(0, q, _next, id);
-
-        return {
-            tId: id
-        };
-    };
-
-    /**
-     * Detects when a node has been loaded.  In the case of
-     * script nodes, this does not guarantee that contained
-     * script is ready to use.
-     * @method _track
-     * @param type {string} the type of node to track
-     * @param n {HTMLElement} the node to track
-     * @param id {string} the id of the request
-     * @param url {string} the url that is being loaded
-     * @param win {Window} the targeted window
-     * @param qlength the number of remaining items in the queue,
-     * including this one
-     * @param trackfn {Function} function to execute when finished
-     * the default is _next
-     * @private
-     */
-    var _track = function(type, n, id, url, win, qlength, trackfn) {
-        var f = trackfn || _next;
-
-        // IE supports the readystatechange event for script and css nodes
-        // Opera only for script nodes.  Opera support onload for script
-        // nodes, but this doesn't fire when their is a load failure.
-        // The onreadystatechange appears to be a better way to respond
-        // to both success and failure.
-        if (ua.ie) {
-            n.onreadystatechange = function() {
-                var rs = this.readyState;
-                if ("loaded" === rs || "complete" === rs) {
-                    Y.log(id + " onreadstatechange " + url, "info", "get");
-                    f(id, url);
-                }
-            };
-
-        // webkit prior to 3.x is no longer supported
-        } else if (ua.webkit) {
-
-            if (type === "script") {
-                // Safari 3.x supports the load event for script nodes (DOM2)
-                n.addEventListener("load", function() {
-                    Y.log(id + " DOM2 onload " + url, "info", "get");
-                    f(id, url);
-                });
-            } 
-
-        // FireFox and Opera support onload (but not DOM2 in FF) handlers for
-        // script nodes.  Opera, but not FF, supports the onload event for link
-        // nodes.
-        } else { 
-
-            n.onload = function() {
-                Y.log(id + " onload " + url, "info", "get");
-                f(id, url);
-            };
-
-            n.onerror = function(e) {
-                _fail(id, e + ": " + url);
-            };
-        }
-    };
-
-    return {
-
-        /**
-         * The number of request required before an automatic purge.
-         * property PURGE_THRESH
-         * @static
-         * @type int
-         * @default 20
-         */
-        PURGE_THRESH: 20,
-
-        /**
-         * Called by the the helper for detecting script load in Safari
-         * @method _finalize
-         * @static
-         * @param id {string} the transaction id
-         * @private
-         */
-        _finalize: function(id) {
-            Y.log(id + " finalized ", "info", "get");
-            L.later(0, null, _finish, id);
-        },
-
-        /**
-         * Abort a transaction
-         * @method abort
-         * @static
-         * @param o {string|object} Either the tId or the object returned from
-         * script() or css()
-         */
-        abort: function(o) {
-            var id = (L.isString(o)) ? o : o.tId;
-            var q = queues[id];
-            if (q) {
-                Y.log("Aborting " + id, "info", "get");
-                q.aborted = true;
-            }
-        }, 
-
-        /**
-         * Fetches and inserts one or more script nodes into the head
-         * of the current document or the document in a specified window.
-         *
-         * @method script
-         * @static
-         * @param url {string|string[]} the url or urls to the script(s)
-         * @param opts {object} Options: 
-         * <dl>
-         * <dt>onSuccess</dt>
-         * <dd>
-         * callback to execute when the script(s) are finished loading
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>onTimeout</dt>
-         * <dd>
-         * callback to execute when a timeout occurs.
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>onFailure</dt>
-         * <dd>
-         * callback to execute when the script load operation fails
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted successfully</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove any nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>context</dt>
-         * <dd>the execution context for the callbacks</dd>
-         * <dt>win</dt>
-         * <dd>a window other than the one the utility occupies</dd>
-         * <dt>autopurge</dt>
-         * <dd>
-         * setting to true will let the utilities cleanup routine purge 
-         * the script once loaded
-         * </dd>
-         * <dt>data</dt>
-         * <dd>
-         * data that is supplied to the callback when the script(s) are
-         * loaded.
-         * </dd>
-         * <dt>insertBefore</dt>
-         * <dd>node or node id that will become the new node's nextSibling</dd>
-         * </dl>
-         * <dt>charset</dt>
-         * <dd>Node charset, default utf-8</dd>
-         * <dt>timeout</dt>
-         * <dd>Number of milliseconds to wait before aborting and firing the timeout event</dd>
-         * <pre>
-         * &nbsp;&nbsp;Y.Get.script(
-         * &nbsp;&nbsp;["http://yui.yahooapis.com/2.5.2/build/yahoo/yahoo-min.js",
-         * &nbsp;&nbsp;&nbsp;"http://yui.yahooapis.com/2.5.2/build/event/event-min.js"], &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;onSuccess: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;this.log("won't cause error because Y is the context");
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Y.log(o.data); // foo
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Y.log(o.nodes.length === 2) // true
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;// o.purge(); // optionally remove the script nodes immediately
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;onFailure: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Y.log("transaction failed");
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;onTimeout: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Y.log("transaction timed out");
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;data: "foo",
-         * &nbsp;&nbsp;&nbsp;&nbsp;timeout: 10000, // 10 second timeout
-         * &nbsp;&nbsp;&nbsp;&nbsp;context: Y, // make the YUI instance
-         * &nbsp;&nbsp;&nbsp;&nbsp;// win: otherframe // target another window/frame
-         * &nbsp;&nbsp;&nbsp;&nbsp;autopurge: true // allow the utility to choose when to remove the nodes
-         * &nbsp;&nbsp;&#125;);
-         * </pre>
-         * @return {tId: string} an object containing info about the transaction
-         */
-        script: function(url, opts) { 
-            return _queue("script", url, opts); 
-        },
-
-        /**
-         * Fetches and inserts one or more css link nodes into the 
-         * head of the current document or the document in a specified
-         * window.
-         * @method css
-         * @static
-         * @param url {string} the url or urls to the css file(s)
-         * @param opts Options: 
-         * <dl>
-         * <dt>onSuccess</dt>
-         * <dd>
-         * callback to execute when the css file(s) are finished loading
-         * The callback receives an object back with the following
-         * data:
-         * <dl>win</dl>
-         * <dd>the window the link nodes(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>context</dt>
-         * <dd>the execution context for the callbacks</dd>
-         * <dt>win</dt>
-         * <dd>a window other than the one the utility occupies</dd>
-         * <dt>data</dt>
-         * <dd>
-         * data that is supplied to the callbacks when the nodes(s) are
-         * loaded.
-         * </dd>
-         * <dt>insertBefore</dt>
-         * <dd>node or node id that will become the new node's nextSibling</dd>
-         * <dt>charset</dt>
-         * <dd>Node charset, default utf-8</dd>
-         * </dl>
-         * <pre>
-         *      Y.Get.css("http://yui.yahooapis.com/2.3.1/build/menu/assets/skins/sam/menu.css");
-         * </pre>
-         * <pre>
-         * &nbsp;&nbsp;Y.Get.css(
-         * &nbsp;&nbsp;["http://yui.yahooapis.com/2.3.1/build/menu/assets/skins/sam/menu.css",
-         * &nbsp;&nbsp;&nbsp;"http://yui.yahooapis.com/2.3.1/build/logger/assets/skins/sam/logger.css"], &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;insertBefore: 'custom-styles' // nodes will be inserted before the specified node
-         * &nbsp;&nbsp;&#125;);
-         * </pre>
-         * @return {tId: string} an object containing info about the transaction
-         */
-        css: function(url, opts) {
-            return _queue("css", url, opts); 
-        }
-    };
-}();
-
-}, "3.0.0pr1");

=== removed file 'loggerhead/static/javascript/yui/build/get/get-min.js'
--- loggerhead/static/javascript/yui/build/get/get-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/get/get-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("get",function(C){var B=C.UA,A=C.Lang;C.Get=function(){var K={},I=0,D=0,R=false;var T=function(X,U,Y){var V=Y||C.config.win,Z=V.document,a=Z.createElement(X);for(var W in U){if(U[W]&&C.Object.owns(U,W)){a.setAttribute(W,U[W]);}}return a;};var Q=function(U,V,X){var W=X||"utf-8";return T("link",{"id":"yui__dyn_"+(D++),"type":"text/css","charset":W,"rel":"stylesheet","href":U},V);};var P=function(U,V,X){var W=X||"utf-8";return T("script",{"id":"yui__dyn_"+(D++),"type":"text/javascript","charset":W,"src":U},V);};var S=function(X,W){var U=K[X];if(U.timer){U.timer.cancel();}if(U.onFailure){var V=U.context||U;U.onFailure.call(V,M(U,W));}};var J=function(U,X){var V=K[X],W=(A.isString(U))?V.win.document.getElementById(U):U;if(!W){S(X,"target node not found: "+U);}return W;};var L=function(b){var Y=K[b];if(Y){var a=Y.nodes,U=a.length,Z=Y.win.document,X=Z.getElementsByTagName("head")[0];if(Y.insertBefore){var W=J(Y.insertBefore,b);if(W){X=W.parentNode;}}for(var V=0;V<U;V=V+1){X.removeChild(a[V]);}}Y.nodes=[];};var M=function(U,V){return{tId:U.tId,win:U.win,data:U.data,nodes:U.nodes,msg:V,purge:function(){L(this.tId);}};};var G=function(X){var U=K[X];if(U.timer){U.timer.cancel();}U.finished=true;if(U.aborted){var W="transaction "+X+" was aborted";S(X,W);return ;}if(U.onSuccess){var V=U.context||U;U.onSuccess.call(V,M(U));}};var N=function(W){var U=K[W];if(U.onTimeout){var V=U.context||U;U.onTimeout.call(V,M(U));}};var F=function(W,Z){var V=K[W];if(V.timer){V.timer.cancel();}if(V.aborted){var Y="transaction "+W+" was aborted";S(W,Y);return ;}if(Z){V.url.shift();if(V.varName){V.varName.shift();}}else{V.url=(A.isString(V.url))?[V.url]:V.url;if(V.varName){V.varName=(A.isString(V.varName))?[V.varName]:V.varName;}}var c=V.win,b=c.document,a=b.getElementsByTagName("head")[0],X;if(V.url.length===0){G(W);return ;}var U=V.url[0];if(V.timeout){V.timer=A.later(V.timeout,V,N,W);}if(V.type==="script"){X=P(U,c,V.charset);}else{X=Q(U,c,V.charset);}H(V.type,X,W,U,c,V.url.length);V.nodes.push(X);if(V.insertBefore){var e=J(V.insertBefore,W);if(e){e.parentNode.insertBefore(X,e);}}else{a.appendChild(X);}if((B.webkit||B.gecko)&&V.type==="css"){F(W,U);}};var E=function(){if(R){return ;}R=true;for(var U in K){if(K.hasOwnProperty(U)){var V=K[U];if(V.autopurge&&V.finished){L(V.tId);delete K[U];}}}R=false;};var O=function(V,U,W){var Y="q"+(I++);W=W||{};if(I%C.Get.PURGE_THRESH===0){E();}K[Y]=C.merge(W,{tId:Y,type:V,url:U,finished:false,nodes:[]});var X=K[Y];X.win=X.win||C.config.win;X.context=X.context||X;X.autopurge=("autopurge" in X)?X.autopurge:(V==="script")?true:false;A.later(0,X,F,Y);return{tId:Y};};var H=function(W,b,a,V,Z,Y,U){var X=U||F;if(B.ie){b.onreadystatechange=function(){var c=this.readyState;if("loaded"===c||"complete"===c){X(a,V);}};}else{if(B.webkit){if(W==="script"){b.addEventListener("load",function(){X(a,V);});}}else{b.onload=function(){X(a,V);};b.onerror=function(c){S(a,c+": "+V);};}}};return{PURGE_THRESH:20,_finalize:function(U){A.later(0,null,G,U);},abort:function(V){var W=(A.isString(V))?V:V.tId;var U=K[W];if(U){U.aborted=true;}},script:function(U,V){return O("script",U,V);},css:function(U,V){return O("css",U,V);}};}();},"3.0.0pr1");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/get/get.js'
--- loggerhead/static/javascript/yui/build/get/get.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/get/get.js	1970-01-01 00:00:00 +0000
@@ -1,645 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-
-YUI.add("get", function(Y) {
-    
-        var ua=Y.UA, 
-        L=Y.Lang;
-
-/**
- * Provides a mechanism to fetch remote resources and
- * insert them into a document.
- * @module yui
- * @submodule get
- */
-
-/**
- * Fetches and inserts one or more script or link nodes into the document 
- * @class Get
- * @static
- */
-Y.Get = function() {
-
-    /**
-     * hash of queues to manage multiple requests
-     * @property queues
-     * @private
-     */
-    var queues={}, 
-        
-    /**
-     * queue index used to generate transaction ids
-     * @property qidx
-     * @type int
-     * @private
-     */
-        qidx=0, 
-        
-    /**
-     * node index used to generate unique node ids
-     * @property nidx
-     * @type int
-     * @private
-     */
-        nidx=0, 
-
-        // ridx=0,
-
-        // sandboxFrame=null,
-
-    /**
-     * interal property used to prevent multiple simultaneous purge 
-     * processes
-     * @property purging
-     * @type boolean
-     * @private
-     */
-        purging=false;
-
-    
-    /** 
-     * Generates an HTML element, this is not appended to a document
-     * @method _node
-     * @param type {string} the type of element
-     * @param attr {string} the attributes
-     * @param win {Window} optional window to create the element in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _node = function(type, attr, win) {
-        var w = win || Y.config.win, d=w.document, n=d.createElement(type);
-
-        for (var i in attr) {
-            if (attr[i] && Y.Object.owns(attr, i)) {
-                n.setAttribute(i, attr[i]);
-            }
-        }
-
-        return n;
-    };
-
-    /**
-     * Generates a link node
-     * @method _linkNode
-     * @param url {string} the url for the css file
-     * @param win {Window} optional window to create the node in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _linkNode = function(url, win, charset) {
-        var c = charset || "utf-8";
-        return _node("link", {
-                "id":      "yui__dyn_" + (nidx++),
-                "type":    "text/css",
-                "charset": c,
-                "rel":     "stylesheet",
-                "href":    url
-            }, win);
-    };
-
-    /**
-     * Generates a script node
-     * @method _scriptNode
-     * @param url {string} the url for the script file
-     * @param win {Window} optional window to create the node in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _scriptNode = function(url, win, charset) {
-        var c = charset || "utf-8";
-        return _node("script", {
-                "id":      "yui__dyn_" + (nidx++),
-                "type":    "text/javascript",
-                "charset": c,
-                "src":     url
-            }, win);
-    };
-
-    /*
-     * The request failed, execute fail handler with whatever
-     * was accomplished.  There isn't a failure case at the
-     * moment unless you count aborted transactions
-     * @method _fail
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _fail = function(id, msg) {
-
-
-        var q = queues[id];
-        if (q.timer) {
-            q.timer.cancel();
-        }
-
-        // execute failure callback
-        if (q.onFailure) {
-            var sc=q.context || q;
-            q.onFailure.call(sc, _returnData(q, msg));
-        }
-    };
-
-    var _get = function(nId, tId) {
-        var q = queues[tId],
-            n = (L.isString(nId)) ? q.win.document.getElementById(nId) : nId;
-        if (!n) {
-            _fail(tId, "target node not found: " + nId);
-        }
-
-        return n;
-    };
-
-    /**
-     * Removes the nodes for the specified queue
-     * @method _purge
-     * @private
-     */
-    var _purge = function(tId) {
-        var q=queues[tId];
-        if (q) {
-            var n=q.nodes, l=n.length, d=q.win.document, 
-                h=d.getElementsByTagName("head")[0];
-
-            if (q.insertBefore) {
-                var s = _get(q.insertBefore, tId);
-                if (s) {
-                    h = s.parentNode;
-                }
-            }
-
-            for (var i=0; i<l; i=i+1) {
-                h.removeChild(n[i]);
-            }
-        }
-        q.nodes = [];
-    };
-
-    /**
-     * Returns the data payload for callback functions
-     * @method _returnData
-     * @private
-     */
-    var _returnData = function(q, msg) {
-        return {
-                tId: q.tId,
-                win: q.win,
-                data: q.data,
-                nodes: q.nodes,
-                msg: msg,
-                purge: function() {
-                    _purge(this.tId);
-                }
-            };
-    };
-
-
-    /**
-     * The request is complete, so executing the requester's callback
-     * @method _finish
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _finish = function(id) {
-        var q = queues[id];
-        if (q.timer) {
-            q.timer.cancel();
-        }
-        q.finished = true;
-
-        if (q.aborted) {
-            var msg = "transaction " + id + " was aborted";
-            _fail(id, msg);
-            return;
-        }
-
-        // execute success callback
-        if (q.onSuccess) {
-            var sc=q.context || q;
-            q.onSuccess.call(sc, _returnData(q));
-        }
-    };
-
-    /**
-     * Timeout detected
-     * @method _timeout
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _timeout = function(id) {
-        var q = queues[id];
-        if (q.onTimeout) {
-            var sc=q.context || q;
-            q.onTimeout.call(sc, _returnData(q));
-        }
-    };
-
-    /**
-     * Loads the next item for a given request
-     * @method _next
-     * @param id {string} the id of the request
-     * @param loaded {string} the url that was just loaded, if any
-     * @private
-     */
-    var _next = function(id, loaded) {
-
-        var q = queues[id];
-
-        if (q.timer) {
-            q.timer.cancel();
-        }
-
-        if (q.aborted) {
-            var msg = "transaction " + id + " was aborted";
-            _fail(id, msg);
-            return;
-        }
-
-        if (loaded) {
-            q.url.shift(); 
-            if (q.varName) {
-                q.varName.shift(); 
-            }
-        } else {
-            // This is the first pass: make sure the url is an array
-            q.url = (L.isString(q.url)) ? [q.url] : q.url;
-            if (q.varName) {
-                q.varName = (L.isString(q.varName)) ? [q.varName] : q.varName;
-            }
-        }
-
-        var w=q.win, d=w.document, h=d.getElementsByTagName("head")[0], n;
-
-        if (q.url.length === 0) {
-            _finish(id);
-            return;
-        } 
-
-        var url = q.url[0];
-
-        if (q.timeout) {
-            q.timer = L.later(q.timeout, q, _timeout, id);
-        }
-
-        if (q.type === "script") {
-            n = _scriptNode(url, w, q.charset);
-        } else {
-            n = _linkNode(url, w, q.charset);
-        }
-
-        // track this node's load progress
-        _track(q.type, n, id, url, w, q.url.length);
-
-        // add the node to the queue so we can return it to the user supplied callback
-        q.nodes.push(n);
-
-        // add it to the head or insert it before 'insertBefore'
-        if (q.insertBefore) {
-            var s = _get(q.insertBefore, id);
-            if (s) {
-                s.parentNode.insertBefore(n, s);
-            }
-        } else {
-            h.appendChild(n);
-        }
-        
-
-        // FireFox does not support the onload event for link nodes, so there is
-        // no way to make the css requests synchronous. This means that the css 
-        // rules in multiple files could be applied out of order in this browser
-        // if a later request returns before an earlier one.  Safari too.
-        if ((ua.webkit || ua.gecko) && q.type === "css") {
-            _next(id, url);
-        }
-    };
-
-    /**
-     * Removes processed queues and corresponding nodes
-     * @method _autoPurge
-     * @private
-     */
-    var _autoPurge = function() {
-
-        if (purging) {
-            return;
-        }
-
-        purging = true;
-        for (var i in queues) {
-            if (queues.hasOwnProperty(i)) {
-                var q = queues[i];
-                if (q.autopurge && q.finished) {
-                    _purge(q.tId);
-                    delete queues[i];
-                }
-            }
-        }
-
-        purging = false;
-    };
-
-    /**
-     * Saves the state for the request and begins loading
-     * the requested urls
-     * @method queue
-     * @param type {string} the type of node to insert
-     * @param url {string} the url to load
-     * @param opts the hash of options for this request
-     * @private
-     */
-    var _queue = function(type, url, opts) {
-
-        var id = "q" + (qidx++);
-        opts = opts || {};
-
-        if (qidx % Y.Get.PURGE_THRESH === 0) {
-            _autoPurge();
-        }
-
-        queues[id] = Y.merge(opts, {
-            tId: id,
-            type: type,
-            url: url,
-            finished: false,
-            nodes: []
-        });
-
-        var q = queues[id];
-        q.win = q.win || Y.config.win;
-        q.context = q.context || q;
-        q.autopurge = ("autopurge" in q) ? q.autopurge : 
-                      (type === "script") ? true : false;
-
-        L.later(0, q, _next, id);
-
-        return {
-            tId: id
-        };
-    };
-
-    /**
-     * Detects when a node has been loaded.  In the case of
-     * script nodes, this does not guarantee that contained
-     * script is ready to use.
-     * @method _track
-     * @param type {string} the type of node to track
-     * @param n {HTMLElement} the node to track
-     * @param id {string} the id of the request
-     * @param url {string} the url that is being loaded
-     * @param win {Window} the targeted window
-     * @param qlength the number of remaining items in the queue,
-     * including this one
-     * @param trackfn {Function} function to execute when finished
-     * the default is _next
-     * @private
-     */
-    var _track = function(type, n, id, url, win, qlength, trackfn) {
-        var f = trackfn || _next;
-
-        // IE supports the readystatechange event for script and css nodes
-        // Opera only for script nodes.  Opera support onload for script
-        // nodes, but this doesn't fire when their is a load failure.
-        // The onreadystatechange appears to be a better way to respond
-        // to both success and failure.
-        if (ua.ie) {
-            n.onreadystatechange = function() {
-                var rs = this.readyState;
-                if ("loaded" === rs || "complete" === rs) {
-                    f(id, url);
-                }
-            };
-
-        // webkit prior to 3.x is no longer supported
-        } else if (ua.webkit) {
-
-            if (type === "script") {
-                // Safari 3.x supports the load event for script nodes (DOM2)
-                n.addEventListener("load", function() {
-                    f(id, url);
-                });
-            } 
-
-        // FireFox and Opera support onload (but not DOM2 in FF) handlers for
-        // script nodes.  Opera, but not FF, supports the onload event for link
-        // nodes.
-        } else { 
-
-            n.onload = function() {
-                f(id, url);
-            };
-
-            n.onerror = function(e) {
-                _fail(id, e + ": " + url);
-            };
-        }
-    };
-
-    return {
-
-        /**
-         * The number of request required before an automatic purge.
-         * property PURGE_THRESH
-         * @static
-         * @type int
-         * @default 20
-         */
-        PURGE_THRESH: 20,
-
-        /**
-         * Called by the the helper for detecting script load in Safari
-         * @method _finalize
-         * @static
-         * @param id {string} the transaction id
-         * @private
-         */
-        _finalize: function(id) {
-            L.later(0, null, _finish, id);
-        },
-
-        /**
-         * Abort a transaction
-         * @method abort
-         * @static
-         * @param o {string|object} Either the tId or the object returned from
-         * script() or css()
-         */
-        abort: function(o) {
-            var id = (L.isString(o)) ? o : o.tId;
-            var q = queues[id];
-            if (q) {
-                q.aborted = true;
-            }
-        }, 
-
-        /**
-         * Fetches and inserts one or more script nodes into the head
-         * of the current document or the document in a specified window.
-         *
-         * @method script
-         * @static
-         * @param url {string|string[]} the url or urls to the script(s)
-         * @param opts {object} Options: 
-         * <dl>
-         * <dt>onSuccess</dt>
-         * <dd>
-         * callback to execute when the script(s) are finished loading
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>onTimeout</dt>
-         * <dd>
-         * callback to execute when a timeout occurs.
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>onFailure</dt>
-         * <dd>
-         * callback to execute when the script load operation fails
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted successfully</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove any nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>context</dt>
-         * <dd>the execution context for the callbacks</dd>
-         * <dt>win</dt>
-         * <dd>a window other than the one the utility occupies</dd>
-         * <dt>autopurge</dt>
-         * <dd>
-         * setting to true will let the utilities cleanup routine purge 
-         * the script once loaded
-         * </dd>
-         * <dt>data</dt>
-         * <dd>
-         * data that is supplied to the callback when the script(s) are
-         * loaded.
-         * </dd>
-         * <dt>insertBefore</dt>
-         * <dd>node or node id that will become the new node's nextSibling</dd>
-         * </dl>
-         * <dt>charset</dt>
-         * <dd>Node charset, default utf-8</dd>
-         * <dt>timeout</dt>
-         * <dd>Number of milliseconds to wait before aborting and firing the timeout event</dd>
-         * <pre>
-         * &nbsp;&nbsp;Y.Get.script(
-         * &nbsp;&nbsp;["http://yui.yahooapis.com/2.5.2/build/yahoo/yahoo-min.js",
-         * &nbsp;&nbsp;&nbsp;"http://yui.yahooapis.com/2.5.2/build/event/event-min.js"], &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;onSuccess: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;onFailure: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;onTimeout: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;data: "foo",
-         * &nbsp;&nbsp;&nbsp;&nbsp;timeout: 10000, // 10 second timeout
-         * &nbsp;&nbsp;&nbsp;&nbsp;context: Y, // make the YUI instance
-         * &nbsp;&nbsp;&nbsp;&nbsp;// win: otherframe // target another window/frame
-         * &nbsp;&nbsp;&nbsp;&nbsp;autopurge: true // allow the utility to choose when to remove the nodes
-         * &nbsp;&nbsp;&#125;);
-         * </pre>
-         * @return {tId: string} an object containing info about the transaction
-         */
-        script: function(url, opts) { 
-            return _queue("script", url, opts); 
-        },
-
-        /**
-         * Fetches and inserts one or more css link nodes into the 
-         * head of the current document or the document in a specified
-         * window.
-         * @method css
-         * @static
-         * @param url {string} the url or urls to the css file(s)
-         * @param opts Options: 
-         * <dl>
-         * <dt>onSuccess</dt>
-         * <dd>
-         * callback to execute when the css file(s) are finished loading
-         * The callback receives an object back with the following
-         * data:
-         * <dl>win</dl>
-         * <dd>the window the link nodes(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>context</dt>
-         * <dd>the execution context for the callbacks</dd>
-         * <dt>win</dt>
-         * <dd>a window other than the one the utility occupies</dd>
-         * <dt>data</dt>
-         * <dd>
-         * data that is supplied to the callbacks when the nodes(s) are
-         * loaded.
-         * </dd>
-         * <dt>insertBefore</dt>
-         * <dd>node or node id that will become the new node's nextSibling</dd>
-         * <dt>charset</dt>
-         * <dd>Node charset, default utf-8</dd>
-         * </dl>
-         * <pre>
-         *      Y.Get.css("http://yui.yahooapis.com/2.3.1/build/menu/assets/skins/sam/menu.css");
-         * </pre>
-         * <pre>
-         * &nbsp;&nbsp;Y.Get.css(
-         * &nbsp;&nbsp;["http://yui.yahooapis.com/2.3.1/build/menu/assets/skins/sam/menu.css",
-         * &nbsp;&nbsp;&nbsp;"http://yui.yahooapis.com/2.3.1/build/logger/assets/skins/sam/logger.css"], &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;insertBefore: 'custom-styles' // nodes will be inserted before the specified node
-         * &nbsp;&nbsp;&#125;);
-         * </pre>
-         * @return {tId: string} an object containing info about the transaction
-         */
-        css: function(url, opts) {
-            return _queue("css", url, opts); 
-        }
-    };
-}();
-
-}, "3.0.0pr1");

=== removed directory 'loggerhead/static/javascript/yui/build/io'
=== removed file 'loggerhead/static/javascript/yui/build/io/README'
--- loggerhead/static/javascript/yui/build/io/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/io/README	1970-01-01 00:00:00 +0000
@@ -1,3 +0,0 @@
-**** version 3.0.0 PR1 ***
-
-* Initial Release

=== removed file 'loggerhead/static/javascript/yui/build/io/io-debug.js'
--- loggerhead/static/javascript/yui/build/io/io-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/io/io-debug.js	1970-01-01 00:00:00 +0000
@@ -1,1118 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("io", function (Y) {
-   /**
-	* HTTP communications module.
-	* @module io
-	*/
-
-   /**
-    * The io class is a utility that brokers HTTP requests through a simplified
-    * interface.  Specifically, it allows JavaScript to make HTTP requests to
-    * a resource without a page reload.  The underlying transport for making
-    * same-domain requests is the XMLHttpRequest object.  YUI.io can also use
-    * Flash, if specified as a transport, for cross-domain requests.
-    *
-	* @class io
-	*/
-
-  /**
-	* @event io:xdrReady
-	* @description This event is fired by YUI.io when a transaction is initiated..
-	* @type Event Custom
-	*/
-	var E_XDR_READY = 'io:xdrReady',
-
-  /**
-	* @event io:start
-	* @description This event is fired by YUI.io when a transaction is initiated..
-	* @type Event Custom
-	*/
-	E_START = 'io:start',
-
-  /**
-	* @event io:complete
-	* @description This event is fired by YUI.io when a transaction is complete and
-	* all response data are available.
-	* @type Event Custom
-	*/
-	E_COMPLETE = 'io:complete',
-
-  /**
-	* @event io:success
-	* @description This event is fired by YUI.io when a transaction is complete and
-	* the HTTP status resolves to HTTP2xx.
-	* @type Event Custom
-	*/
-	E_SUCCESS = 'io:success',
-
-  /**
-	* @event io:failure
-	* @description This event is fired by YUI.io when a transaction is complete and
-	* the HTTP status resolves to HTTP4xx, 5xx and above.
-	* @type Event Custom
-	*/
-	E_FAILURE = 'io:failure',
-
-  /**
-	* @event io:abort
-	* @description This event is fired by YUI.io when a transaction is aborted
-	* explicitly or by a defined config.timeout.
-	* @type Event Custom
-	*/
-	E_ABORT = 'io:abort',
-
-	// Window reference
-	w = Y.config.win,
-	d = Y.config.doc,
-
-	//--------------------------------------
-	//  Properties
-	//--------------------------------------
-   /**
-	* @description A transaction counter that increments for each transaction.
-	*
-	* @property transactionId
-	* @private
-	* @static
-	* @type int
-	*/
-	transactionId = 0,
-
-   /**
-	* @description Object of default HTTP headers to be initialized and sent
-	* for all transactions.
-	*
-	* @property _headers
-	* @private
-	* @static
-	* @type object
-	*/
-	_headers = {
-		'X-Requested-With' : 'XMLHttpRequest'
-	},
-
-   /**
-	* @description Object that stores timeout values for any transaction with
-	* a defined "timeout" configuration property.
-	*
-	* @property _timeOut
-	* @private
-	* @static
-	* @type object
-	*/
-	_timeout = {},
-
-   /**
-	* @description Object that stores callback handlers for cross-domain requests,
-	*
-	* @property _fn
-	* @private
-	* @static
-	* @type object
-	*/
-	_fn = {},
-
-   /**
-	* @description Map of transports created for cross-domain requests.
-	*
-	* @property _xdr
-	* @private
-	* @static
-	* @type object
-	*/
-	_xdr = {
-		flash:null
-	},
-
-   /**
-	* @description Array of transactions queued for processing
-	*
-	* @property _q
-	* @private
-	* @static
-	* @type array
-	*/
-	_q = [],
-
-   /**
-	* @description Property to determine whether the queue is set to
-	* 1 (active) or 0 (inactive).  When inactive, transactions
-	* will be stored in the queue until the queue is set to active.
-	*
-	* @property _qState
-	* @private
-	* @static
-	* @type int
-	*/
-	_qState = 1,
-
-   /**
-	* @description Queue property to set a maximum queue storage size.  When
-	* this property is set, the queue will not store any more transactions
-	* until the queue size os reduced below this threshold. There is no
-	* maximum queue size until it is explicitly set.
-	*
-	* @property _qMaxSize
-	* @private
-	* @static
-	* @type int
-	*/
-	_qMaxSize = false;
-
-	//--------------------------------------
-	//  Methods
-	//--------------------------------------
-   /**
-	* @description Method for requesting a transaction, and queueing the
-	* request before it is sent to the resource.
-	*
-	* @method _queue
-	* @private
-	* @static
-    * @return int
-	*/
-	function _queue(uri, c) {
-
-		if (_qMaxSize === false || _q.length < _qMaxSize) {
-			var id = _id();
-			_q.push({ uri: uri, id: id, cfg:c });
-		}
-		else {
-			Y.log('Unable to queue transaction object.  Maximum queue size reached.', 'warn', 'io');
-			return false;
-		}
-
-		if (_qState === 1) {
-			_shift();
-		}
-
-		Y.log('Object queued.  Transaction id is' + id, 'info', 'io');
-		return id;
-	};
-
-   /**
-	* @description Method for promoting a transaction to the top of the queue.
-	*
-	* @method _unshift
-	* @private
-	* @static
-    * @return void
-	*/
-	function _unshift(id) {
-		var r;
-
-		for (var i = 0; i < _q.length; i++) {
-			if (_q[i].id === id) {
-				r = _q.splice(i, 1);
-				var p = _q.unshift(r[0]);
-				Y.log('Object promoted to top of queue.  Transaction id is' + id, 'info', 'io');
-				break;
-			}
-		}
-	};
-
-   /**
-	* @description Method for removing a transaction from the top of the
-	* queue, and sending the transaction to _io().
-	*
-	* @method _shift
-	* @private
-	* @static
-    * @return void
-	*/
-	function _shift() {
-		var c = _q.shift();
-		_io(c.uri, c.cfg, c.id);
-	};
-
-   /**
-	* @description Method to query the current size of the queue, or to
-	* set a maximum queue size.
-	*
-	* @method _size
-	* @private
-	* @static
-    * @return int
-	*/
-	function _size(i) {
-		if (i) {
-			_qMaxSize = i;
-			Y.log('Queue size set to ' + i, 'info', 'io');
-			return i;
-		}
-		else {
-			return _q.length;
-		}
-	};
-
-   /**
-	* @description Method for setting the queue to active. If there are
-	* transactions pending in the queue, they will be processed from the
-	* queue in FIFO order.
-	*
-	* @method _start
-	* @private
-	* @static
-    * @return void
-	*/
-	function _start() {
-		var len = (_q.length > _qMaxSize > 0) ? _qMaxSize : _q.length;
-
-		if (len > 1) {
-			for (var i=0; i < len; i++) {
-				_shift();
-			}
-		}
-		else {
-			_shift();
-		}
-
-		Y.log('Queue started.', 'info', 'io');
-	};
-
-   /**
-	* @description Method for setting queue processing to inactive.
-	* Transaction requests to YUI.io.queue() will be stored in the queue, but
-	* not processed until the queue is reset to "active".
-	*
-	* @method _stop
-	* @private
-	* @static
-    * @return void
-	*/
-	function _stop() {
-		_qState = 0;
-		Y.log('Queue stopped.', 'info', 'io');
-	};
-
-   /**
-	* @description Method for removing a specific, pending transaction from
-	* the queue.
-	*
-	* @method _purge
-	* @private
-	* @static
-    * @return void
-	*/
-	function _purge(id) {
-		if (Y.Lang.isNumber(id)) {
-			for (var i = 0; i < _q.length; i++) {
-				if (_q[i].id === id) {
-					_q.splice(i, 1);
-					Y.log('Object purged from queue.  Transaction id is' + id, 'info', 'io');
-					break;
-				}
-			}
-		}
-	};
-	/* End Queue Functions */
-
-   /**
-	* @description Method for requesting a transaction. _io() is implemented as
-	* yui.io().  Each transaction may include a configuration object.  Its
-	* properties are:
-	*
-	* method: HTTP method verb (e.g., GET or POST). If this property is not
-	*         not defined, the default value will be GET.
-	*
-	* data: This is the name-value string that will be sent as the transaction
-    *		data.  If the request is HTTP GET, the data become part of
-    *		querystring. If HTTP POST, the data are sent in the message body.
-	*
-	* xdr: Defines the transport to be used for cross-domain requests.  By
-	*      setting this property, the transaction will use the specified
-	*      transport instead of XMLHttpRequest.  Currently, the only alternate
-	*      transport supported is Flash (e.g., { xdr: 'flash' }).
-	*
-	* form: This is a defined object used to process HTML form as data.  The
-	*       properties are:
-	*       {
-	*	      id: object, //HTML form object or id of HTML form
-	*         useDisabled: boolean, //Allow disabled HTML form field values
-	*                      to be sent as part of the data.
-    *       }
-    *
-    * on: This is a defined object used to create and handle specific
-    *     events during a transaction lifecycle.  These events will fire in
-    *     addition to the global io events. The events are:
-    *	  start - This event is fired when a request is sent to a resource.
-    *     complete - This event fires when the transaction is complete.
-    *     success - This event fires when the response status resolves to
-    *               HTTP 2xx.
-    *     failure - This event fires when the response status resolves to
-    *               HTTP 4xx, 5xx, and beyond.
-    *	  abort - This even is fired when a transaction abort is fire by
-    *             timeout, or when it is manually aborted.
-    *
-    *     The properties are:
-    *     {
-	*       start: function(id, args){},
-	*       complete: function(id, responseobject, args){},
-	*       success: function(id, responseobject, args){},
-	*       failure: function(id, responseobject, args){},
-	*       abort: function(id, args){}
-	*     }
-	*	  Each property can reference a function or be written as an
-	*     inline function.
-	*
-	* context: Object reference for an event handler when it is implemented
-	*          as a method of a base object. Defining "context" will preserve
-	*          the proper reference of "this" used in the event handler.
-	* headers: This is a defined object of client headers, as many as.
-	*         desired for the transaction.  These headers are sentThe object
-	*         pattern is:
-	*		  {
-	*		    header: value
-	*         }
-	*
-	* timeout: This value, defined as milliseconds, is a time threshold for the
-	*          transaction. When this threshold is reached, and the transaction's
-	*          Complete event has not yet fired, the transaction will be aborted.
-	* arguments: Object, array, string, or number passed to all registered
-	*            event handlers.  This value is available as the second
-	*            argument in the "start" and "abort" event handlers; and, it is
-	*            the third argument in the "complete", "success", and "failure"
-	*            event handlers.
-	*
-	* @method _io
-	* @private
-	* @static
-    * @param {string} uri - qualified path to transaction resource.
-    * @param {object} c - configuration object for the transaction.
-    * @return object
-	*/
-	function _io(uri, c) {
-		var c = c || {};
-		var o = _create((arguments.length === 3) ? arguments[2] : null, c);
-		var m = (c.method) ? c.method.toUpperCase() : 'GET';
-		var d = (c.data) ? c.data : null;
-
-		/* Determine configuration properties */
-		// If config.form is defined, perform data operations.
-		if (c.form) {
-			// Serialize the HTML form into a string of name-value pairs.
-			var f = _serialize(c.form);
-			// If config.data is defined, concatenate the data to the form string.
-			if (d) {
-				f += "&" + d;
-				Y.log('Configuration object.data added to serialized HTML form data. The string is: ' + f, 'info', 'io');
-			}
-
-			if (m === 'POST') {
-				d = f;
-				_setHeader('Content-Type', 'application/x-www-form-urlencoded');
-			}
-			else if (m === 'GET') {
-				uri = _concat(uri, f);
-				Y.log('Configuration object.data added to serialized HTML form data. The querystring is: ' + uri, 'info', 'io');
-			}
-		}
-		else if (d && m === 'GET') {
-			uri = _concat(uri, c.data);
-			Y.log('Configuration object data added to URI. The querystring is: ' + uri, 'info', 'io');
-		}
-		else if (d && m === 'POST') {
-			_setHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');
-		}
-
-		if (c.xdr) {
-			if (c.on) {
-				_fn[o.id] = c.on;
-			}
-			if (d && m !== 'GET') {
-				c.data = d;
-			}
-			o.c.send(uri, c, o.id);
-
-			return o;
-		}
-
-		// If config.timeout is defined, initialize timeout poll.
-		if (c.timeout) {
-			_startTimeout(o, c);
-		}
-		/* End Configuration Properties */
-
-		o.c.onreadystatechange = function() { _readyState(o, c); };
-		_open(o.c, m, uri);
-		_setHeaders(o.c, (c.headers || {}));
-		// Do not pass null, in the absence of data, as this
-		// results in a POST request with no Content-Length
-		// defined.
-		_async(o, (d || ''), c);
-
-		o.abort = function () {
-			_ioAbort(o, c);
-		}
-		o.isInProgress = function() {
-			return o.c.readyState !== 4 && o.c.readyState !== 0;
-		}
-
-		return o;
-	};
-
-   /**
-	* @description Method for creating and subscribing transaction events.
-	*
-	* @method _tPubSub
-	* @private
-	* @static
-	* @param {string} e - event to be published
-	* @param {object} c - configuration object for the transaction.
-	*
-    * @return void
-	*/
-	function _tPubSub(e, c){
-			var event = new Y.Event.Target().publish('transaction:' + e);
-			event.subscribe(c.on[e], (c.context || this), c.arguments);
-
-			return event;
-	};
-
-	function _ioXdrReady(id) {
-		Y.fire(E_XDR_READY, id);
-		Y.log('XDR interface for YUI instance ' + id + ' is ready.', 'info', 'io');
-	}
-
-   /**
-	* @description Fires event "io:start" and creates, fires a
-	* transaction-specific start event, if config.on.start is
-	* defined.
-	*
-	* @method _ioStart
-	* @private
-	* @static
-	* @param {number} id - transaction id
-	* @param {object} c - configuration object for the transaction.
-	*
-    * @return void
-	*/
-	function _ioStart(id, c) {
-		// Set default value of argument c, property "on" to Object if
-		// the property is null or undefined.
-		c.on = c.on || {};
-		var event;
-
-		if (_fn[id] && _fn[id].start) {
-			c.on.start = _fn[id].start;
-		}
-
-		Y.fire(E_START, id);
-		if (c.on.start) {
-			event = _tPubSub('start', c);
-			event.fire(id);
-		}
-		Y.log('Transaction ' + id + ' started.', 'info', 'io');
-	};
-
-   /**
-	* @description Fires event "io:complete" and creates, fires a
-	* transaction-specific "complete" event, if config.on.complete is
-	* defined.
-	*
-	* @method _ioComplete
-	* @private
-	* @static
-	* @param {object} id - transaction object.
-	* @param {object} c - configuration object for the transaction.
-	*
-    * @return void
-	*/
-	function _ioComplete(o, c) {
-		// Set default value of argument c, property "on" to Object if
-		// the property is null or undefined.
-		c.on = c.on || {};
-		var event;
-
-		Y.fire(E_COMPLETE, o.id, o.c);
-		if (c.on.complete) {
-			event = _tPubSub('complete', c);
-			event.fire(o.id, o.c);
-		}
-		Y.log('Transaction ' + o.id + ' completed.', 'info', 'io');
-	}
-
-   /**
-	* @description Fires event "io:success" and creates, fires a
-	* transaction-specific "success" event, if config.on.success is
-	* defined.
-	*
-	* @method _ioSuccess
-	* @private
-	* @static
-	* @param {object} o - transaction object.
-	* @param {object} c - configuration object for the transaction.
-	*
-    * @return void
-	*/
-	function _ioSuccess(o, c) {
-		// Set default value of argument c, property "on" to Object if
-		// the property is null or undefined.
-		c.on = c.on || {};
-		var event;
-
-		if (_fn[o.id] && _fn[o.id].success) {
-			c.on.success = _fn[o.id].success;
-			delete _fn[o.id];
-			//Decode the response from IO.swf
-			o.c.responseText = decodeURI(o.c.responseText);
-		}
-
-		Y.fire(E_SUCCESS, o.id, o.c);
-		if (c.on.success) {
-			event = _tPubSub('success', c);
-			event.fire(o.id, o.c);
-		}
-
-		_destroy(o, (c.xdr) ? true : false );
-		Y.log('HTTP Status evaluates to Success. The transaction is: ' + o.id, 'info', 'io');
-	}
-
-   /**
-	* @description Fires event "io:failure" and creates, fires a
-	* transaction-specific "failure" event, if config.on.failure is
-	* defined.
-	*
-	* @method _ioFailure
-	* @private
-	* @static
-	* @param {object} o - transaction object.
-	* @param {object} c - configuration object for the transaction.
-	*
-    * @return void
-	*/
-	function _ioFailure(o, c) {
-		// Set default value of argument c, property "on" to Object if
-		// the property is null or undefined.
-		c.on = c.on || {};
-		var event;
-
-		if (_fn[o.id] && _fn[o.id].failure) {
-			c.on.failure = _fn[o.id].failure;
-			delete _fn[o.id];
-			//Decode the response from IO.swf
-			o.c.responseText = decodeURI(o.c.responseText);
-		}
-
-		Y.fire(E_FAILURE, o.id, o.c);
-		if (c.on.failure) {
-			event = _tPubSub('failure', c);
-			event.fire(o.id, o.c);
-		}
-
-		_destroy(o, (c.xdr) ? true : false );
-		Y.log('HTTP Status evaluates to Failure. The transaction is: ' + o.id, 'info', 'io');
-	}
-
-   /**
-	* @description Fires event "io:abort" and creates, fires a
-	* transaction-specific "abort" event, if config.on.abort is
-	* defined.
-	*
-	* @method _ioAbort
-	* @private
-	* @static
-    * @param {object} o - Transaction object generated by _create().
-    * @param {object} c - Configuration object passed to YUI.io().
-	*
-    * @return void
-	*/
-	function _ioAbort(o, c) {
-		// Set default value of argument c, property "on" to Object if
-		// the property is null or undefined.
-		c.on = c.on || {};
-		var event;
-
-		if(o && o.c  && !c.xdr) {
-			// Terminate the transaction
-			o.c.abort();
-			if (c) {
-				// Clear the timeout poll for this specific transaction.
-				if (c.timeout) {
-					_clearTimeout(o.id);
-				}
-			}
-		}
-
-		if (_fn[o.id] && _fn[o.id].abort) {
-			c.on.abort = _fn[o.id].abort;
-			delete _fn[o.id];
-		}
-
-		Y.fire(E_ABORT, o.id);
-		if (c.on.abort) {
-			event = _tPubSub('abort', c);
-			event.fire(id);
-		}
-
-		_destroy(o, (c.xdr) ? true : false );
-		Y.log('Transaction timeout or explicit abort. The transaction is: ' + o.id, 'info', 'io');
-	}
-
-   /**
-	* @description Method that creates the XMLHttpRequest transport
-	*
-	* @method _xhr
-	* @private
-	* @static
-    * @return object
-	*/
-	function _xhr() {
-		return (w.XMLHttpRequest) ? new XMLHttpRequest() : new ActiveXObject('Microsoft.XMLHTTP');
-	};
-
-   /**
-	* @description Method that creates the Flash transport swf.
-	*
-	* @method _swf
-	* @private
-	* @static
-    * @param {string} uri - location of IO.swf.
-    * @param {string} yid - string representation of YUI instance.
-    * @return void
-	*/
-	function _swf(uri, yid) {
-		var b = Y.Node.get("body");
-		var swf = '<object id="yuiSwfIo" type="application/x-shockwave-flash" data="' + uri + '" width="0" height="0">';
-		swf += '<param name="movie" value="' + uri + '">';
-		swf += '<param name="FlashVars" value="yid=' + yid + '">';
-		swf += '<param name="allowScriptAccess" value="sameDomain">';
-		swf += '</object>';
-		b.appendChild(Y.Node.create(swf))
-		_xdr.flash = d.getElementById('yuiSwfIo');
-	};
-
-   /**
-	* @description Method that increments _transactionId for each transaction.
-	*
-	* @method _id
-	* @private
-	* @static
-    * @return int
-	*/
-	function _id() {
-		var id = transactionId;
-		transactionId++;
-
-		Y.log('Transaction id generated. The id is: ' + id, 'info', 'io');
-		return id;
-	};
-
-   /**
-	* @description Method that creates a unique transaction object for each
-	* request..
-	*
-	* @method _create
-	* @private
-	* @static
-    * @param {number} s - URI or root data.
-    * @param {number} c - configuration object
-    * @return object
-	*/
-	function _create(i, c) {
-		var o = {};
-		o.id = Y.Lang.isNumber(i) ? i : _id();
-		if (c && c.xdr) {
-			o.c = _xdr[c.xdr.use];
-		}
-		else {
-			o.c = _xhr();
-		}
-
-		return o;
-	};
-
-   /**
-	* @description Method that concatenates string data for HTTP GET transactions.
-	*
-	* @method _concat
-	* @private
-	* @static
-    * @param {string} s - URI or root data.
-    * @param {string} d - data to be concatenated onto URI.
-    * @return int
-	*/
-	function _concat(s, d) {
-		s += ((s.indexOf('?') == -1) ? '?' : '&') + d;
-		return s;
-	};
-
-   /**
-	* @description Method that stores default client headers for all transactions.
-	* If a label is passed with no value argument, the header will be deleted.
-	*
-	* @method _setHeader
-	* @private
-	* @static
-    * @param {string} l - HTTP header
-    * @param {string} v - HTTP header value
-    * @return int
-	*/
-	function _setHeader(l, v) {
-		if (v) {
-			_headers[l] = v;
-		}
-		else {
-			delete _headers[l];
-		}
-	};
-
-   /**
-	* @description Method to initialize the desired transport medium.
-	*
-	* @method _initTransport
-	* @private
-	* @static
-    * @param {object} o - object of transport configurations.
-    * @return void
-	*/
-	function _initTransport(o) {
-		switch (o.id) {
-			case 'flash':
-				_swf(o.src, o.yid);
-				break;
-		}
-	};
-
-   /**
-	* @description Method that sets all HTTP headers to be sent in a transaction.
-	*
-	* @method _setHeaders
-	* @private
-	* @static
-    * @param {object} o - XHR instance for the specific transaction.
-    * @param {object} h - HTTP headers for the specific transaction, as defined
-    *                     in the configuration object passed to YUI.io().
-    * @return void
-	*/
-	function _setHeaders(o, h) {
-
-		var p;
-
-		for (p in _headers) {
-			if (_headers.hasOwnProperty(p)) {
-				h[p] = _headers[p];
-				Y.log('Default HTTP header ' + p + ' found with value of ' + _headers[p], 'info', 'io');
-			}
-		}
-
-		for (p in h) {
-			if (h.hasOwnProperty(p)) {
-				o.setRequestHeader(p, h[p]);
-				Y.log('HTTP Header ' + p + ' set with value of ' + h[p], 'info', 'io');
-			}
-		}
-	};
-
-	function _open(o, m, uri) {
-		o.open(m, uri, true);
-	};
-
-   /**
-	* @description Method that sends the transaction request.
-	*
-	* @method _async
-	* @private
-	* @static
-    * @param {object} o - Transaction object generated by _create().
-    * @param {string} d - Transaction data.
-    * @param {object} c - Configuration object passed to YUI.io().
-    * @return void
-	*/
-	function _async(o, d, c) {
-		o.c.send(d);
-		_ioStart(o.id, c);
-	};
-
-   /**
-	* @description Starts timeout count if config,timeout is defined.
-	*
-	* @method _startTimeout
-	* @private
-	* @static
-    * @param {object} o - Transaction object generated by _create().
-    * @param {object} c - Configuration object passed to YUI.io().
-    * @return void
-	*/
-	function _startTimeout(o, c) {
-		_timeout[o.id] = w.setTimeout(function() { _ioAbort(o, c); }, c.timeout);
-	};
-
-   /**
-	* @description Clears the timeout interval started by _startTimeout().
-	*
-	* @method _clearTimeout
-	* @private
-	* @static
-    * @param {number} id - Transaction id.
-    * @return void
-	*/
-	function _clearTimeout(id) {
-		w.clearTimeout(_timeout[id]);
-		delete _timeout[id];
-	};
-
-   /**
-	* @description Event handler bound to onreadystatechange.
-	*
-	* @method _readyState
-	* @private
-	* @static
-    * @param {object} o - Transaction object generated by _create().
-    * @param {object} c - Configuration object passed to YUI.io().
-    * @return void
-	*/
-	function _readyState(o, c) {
-		if (o.c.readyState === 4) {
-			if (c.timeout) {
-				_clearTimeout(o.id);
-			}
-			_ioComplete(o, c);
-			_handleResponse(o, c);
-		}
-	};
-
-   /**
-	* @description Method that determines if a transaction response qualifies
-	* as success or failure, based on the response HTTP status code, and
-	* fires the appropriate success or failure events.
-	*
-	* @method _handleResponse
-	* @private
-	* @static
-    * @param {object} o - Transaction object generated by _create().
-    * @param {object} c - Configuration object passed to YUI.io().
-    * @return void
-	*/
-	function _handleResponse(o, c) {
-		var status;
-		try{
-			if (o.c.status && o.c.status !== 0) {
-				status = o.c.status;
-			}
-			else {
-				status = 0;
-			}
-		}
-		catch(e) {
-			status = 0;
-			Y.log('HTTP status unreadable. The transaction is: ' + o.id, 'warn', 'io');
-		}
-
-		/*
-		 * IE reports HTTP 204 as HTTP 1223.
-		 * However, the response data are still available.
-		 */
-		if (status >= 200 && status < 300 || status === 1223) {
-			_ioSuccess(o, c);
-		}
-		else {
-			_ioFailure(o, c);
-		}
-	};
-
-	function _destroy(o, isXdr) {
-		// IE6 will throw a "Type Mismatch" error if the event handler is set to "null".
-		if(w.XMLHttpRequest && !isXdr) {
-			if (o.c) {
-				o.c.onreadystatechange = null;
-			}
-		}
-
-		o.c = null;
-		o = null;
-	};
-
-   /**
-	* @description Method to enumerate through an HTML form's elements collection
-	* and return a string comprised of key-value pairs.
-	*
-	* @method _serialize
-	* @private
-	* @static
-    * @param {object} c - Configuration object specific to form operations..
-    * @return string
-	*/
-	function _serialize(o) {
-		var str = '';
-		var f = (typeof o.id === 'object') ? o.id : d.getElementById(o.id);
-		var useDf = o.useDisabled || false;
-		var eUC = encodeURIComponent;
-		var e, n, v, dF;
-
-		// Iterate over the form elements collection to construct the name-value pairs.
-		for (var i=0; i < f.elements.length; i++) {
-			e = f.elements[i];
-			dF = e.disabled;
-			n = e.name;
-			v = e.value;
-			//if config.form.useDisabled is defined as true, then disabled fields
-			//will be included in the serialized data.
-			if ((useDf) ? n : (n && dF));
-			{
-				switch (e.type)
-				{
-					case 'select-one':
-					case 'select-multiple':
-						for (var j = 0; j < e.options.length; j++) {
-							if (e.options[j].selected) {
-								if (Y.UA.ie) {
-									str += eUC(n) + '=' + eUC(e.options[j].attributes['value'].specified ? e.options[j].value : e.options[j].text) + '&';
-								}
-								else {
-									str += eUC(n) + '=' + eUC(e.options[j].hasAttribute('value') ? e.options[j].value : e.options[j].text) + '&';
-								}
-							}
-						}
-						break;
-					case 'radio':
-					case 'checkbox':
-						if (e.checked) {
-							str += eUC(n) + '=' + eUC(v) + '&';
-						}
-						break;
-					case 'file':
-					case undefined:
-					case 'reset':
-					case 'button':
-						break;
-					case 'submit':
-					default:
-						str += eUC(n) + '=' + eUC(v) + '&';
-				}
-			}
-		}
-
-		Y.log('HTML form serialized. The value is: ' + str.substr(0, str.length - 1), 'info', 'io');
-		return str.substr(0, str.length - 1);
-	};
-
-	_io.xdrReady = _ioXdrReady;
-	_io.start = _ioStart;
-	_io.success = _ioSuccess;
-	_io.failure = _ioFailure;
-	_io.abort = _ioAbort;
-
-   	//--------------------------------------
-   	//  Begin public interface definition
-   	//--------------------------------------
-   /**
-	* @description Method that stores default client headers for all transactions.
-	* If a label is passed with no value argument, the header will be deleted.
-	* This is the interface for _setHeader().
-	*
-	* @method header
-	* @public
-	* @static
-    * @param {string} l - HTTP header
-    * @param {string} v - HTTP header value
-    * @return int
-	*/
-	_io.header = _setHeader;
-
-   /**
-	* @description Method for specifying and initializing a transport
-	* to facilitate cross-domain HTTP requests.  This is the
-	* interface for _initTransport
-	*
-	* @method transport
-	* @public
-	* @static
-    * @param {object} t - configuration object for the transport.
-    * @return boolean
-	*/
-	_io.transport = _initTransport;
-
-   /**
-	* @description Method for requesting a transaction, and queueing the
-	* request before it is sent to the resource. This is the
-	* interface for _queue().
-	*
-	* @method queue
-	* @public
-	* @static
-    * @param {string} uri - qualified path to transaction resource.
-    * @param {object} c - configuration object for the transaction.
-    * @return int
-	*/
-	_io.queue = _queue;
-
-   /**
-	* @description Method to query the current size of the queue, or to
-	* set a maximum queue size.  This is the interface for _size().
-	*
-	* @method size
-	* @public
-	* @static
-	* @param {number} i - Specified maximum size of queue.
-    * @return number
-	*/
-	_io.queue.size = _size;
-
-   /**
-	* @description Method for setting the queue to "active". If there are
-	* transactions pending in the queue, they will be processed from the
-	* queue in FIFO order. This is the interface for _start().
-	*
-	* @method start
-	* @public
-	* @static
-    * @return void
-	*/
-	_io.queue.start = _start;
-
-   /**
-	* @description Method for setting queue processing to inactive.
-	* Transaction requests to YUI.io.queue() will be stored in the queue, but
-	* not processed until the queue is set to "active". This is the
-	* interface for _stop().
-	*
-	* @method stop
-	* @public
-	* @static
-    * @return void
-	*/
-	_io.queue.stop = _stop;
-
-   /**
-	* @description Method for promoting a transaction to the top of the queue.
-	* This is the interface for _unshift().
-	*
-	* @method promote
-	* @public
-	* @static
-	* @param {number} i - ID of queued transaction.
-    * @return void
-	*/
-	_io.queue.promote = _unshift;
-
-   /**
-	* @description Method for removing a specific, pending transaction from
-	* the queue. This is the interface for _purge().
-	*
-	* @method purge
-	* @public
-	* @static
-	* @param {number} i - ID of queued transaction.
-    * @return void
-	*/
-	_io.queue.purge = _purge;
-
-   /**
-	* @description Method for requesting a transaction. This
-	* is the interface for _io().
-	*
-	* @method io
-	* @public
-	* @static
-    * @param {string} uri - qualified path to transaction resource.
-    * @param {object} c - configuration object for the transaction.
-    * @return object
-    */
-	Y.io = _io;
-}, "3.0.0");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/io/io-min.js'
--- loggerhead/static/javascript/yui/build/io/io-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/io/io-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("io",function(C){var E="io:xdrReady",q="io:start",G="io:complete",F="io:success",W="io:failure",j="io:abort",l=C.config.win,x=C.config.doc,t=0,M={"X-Requested-With":"XMLHttpRequest"},R={},f={},Q={flash:null},r=[],S=1,m=false;function L(Y,w){if(m===false||r.length<m){var d=i();r.push({uri:Y,id:d,cfg:w});}else{return false;}if(S===1){h();}return d;}function B(z){var d;for(var Y=0;Y<r.length;Y++){if(r[Y].id===z){d=r.splice(Y,1);var w=r.unshift(d[0]);break;}}}function h(){var Y=r.shift();g(Y.uri,Y.cfg,Y.id);}function J(Y){if(Y){m=Y;return Y;}else{return r.length;}}function c(){var Y=(r.length>m>0)?m:r.length;if(Y>1){for(var d=0;d<Y;d++){h();}}else{h();}}function T(){S=0;}function e(d){if(C.Lang.isNumber(d)){for(var Y=0;Y<r.length;Y++){if(r[Y].id===d){r.splice(Y,1);break;}}}}function g(w,AC){var AC=AC||{};var AB=X((arguments.length===3)?arguments[2]:null,AC);var Y=(AC.method)?AC.method.toUpperCase():"GET";var AA=(AC.data)?AC.data:null;if(AC.form){var z=u(AC.form);if(AA){z+="&"+AA;}if(Y==="POST"){AA=z;b("Content-Type","application/x-www-form-urlencoded");}else{if(Y==="GET"){w=n(w,z);}}}else{if(AA&&Y==="GET"){w=n(w,AC.data);}else{if(AA&&Y==="POST"){b("Content-Type","application/x-www-form-urlencoded; charset=UTF-8");}}}if(AC.xdr){if(AC.on){f[AB.id]=AC.on;}if(AA&&Y!=="GET"){AC.data=AA;}AB.c.send(w,AC,AB.id);return AB;}if(AC.timeout){o(AB,AC);}AB.c.onreadystatechange=function(){N(AB,AC);};a(AB.c,Y,w);K(AB.c,(AC.headers||{}));k(AB,(AA||""),AC);AB.abort=function(){H(AB,AC);};AB.isInProgress=function(){return AB.c.readyState!==4&&AB.c.readyState!==0;};return AB;}function U(d,w){var Y=new C.Event.Target().publish("transaction:"+d);Y.subscribe(w.on[d],(w.context||this),w.arguments);return Y;}function V(Y){C.fire(E,Y);}function P(w,d){d.on=d.on||{};var Y;if(f[w]&&f[w].start){d.on.start=f[w].start;}C.fire(q,w);if(d.on.start){Y=U("start",d);Y.fire(w);}}function Z(d,w){w.on=w.on||{};var Y;C.fire(G,d.id,d.c);if(w.on.complete){Y=U("complete",w);Y.fire(d.id,d.c);}}function s(d,w){w.on=w.on||{};var Y;if(f[d.id]&&f[d.id].success){w.on.success=f[d.id].success;delete f[d.id];d.c.responseText=decodeURI(d.c.responseText);}C.fire(F,d.id,d.c);if(w.on.success){Y=U("success",w);Y.fire(d.id,d.c);}O(d,(w.xdr)?true:false);}function I(d,w){w.on=w.on||{};var Y;if(f[d.id]&&f[d.id].failure){w.on.failure=f[d.id].failure;delete f[d.id];d.c.responseText=decodeURI(d.c.responseText);}C.fire(W,d.id,d.c);if(w.on.failure){Y=U("failure",w);Y.fire(d.id,d.c);}O(d,(w.xdr)?true:false);}function H(d,w){w.on=w.on||{};var Y;if(d&&d.c&&!w.xdr){d.c.abort();if(w){if(w.timeout){D(d.id);}}}if(f[d.id]&&f[d.id].abort){w.on.abort=f[d.id].abort;delete f[d.id];}C.fire(j,d.id);if(w.on.abort){Y=U("abort",w);Y.fire(id);}O(d,(w.xdr)?true:false);}function y(){return(l.XMLHttpRequest)?new XMLHttpRequest():new ActiveXObject("Microsoft.XMLHTTP");}function p(w,z){var Y=C.Node.get("body");var d='<object id="yuiSwfIo" type="application/x-shockwave-flash" data="'+w+'" width="0" height="0">';d+='<param name="movie" value="'+w+'">';d+='<param name="FlashVars" value="yid='+z+'">';d+='<param name="allowScriptAccess" value="sameDomain">';d+="</object>";Y.appendChild(C.Node.create(d));Q.flash=x.getElementById("yuiSwfIo");}function i(){var Y=t;t++;return Y;}function X(Y,w){var d={};d.id=C.Lang.isNumber(Y)?Y:i();if(w&&w.xdr){d.c=Q[w.xdr.use];}else{d.c=y();}return d;}function n(Y,w){Y+=((Y.indexOf("?")==-1)?"?":"&")+w;return Y;}function b(Y,d){if(d){M[Y]=d;}else{delete M[Y];}}function A(Y){switch(Y.id){case"flash":p(Y.src,Y.yid);break;}}function K(w,Y){var d;for(d in M){if(M.hasOwnProperty(d)){Y[d]=M[d];}}for(d in Y){if(Y.hasOwnProperty(d)){w.setRequestHeader(d,Y[d]);}}}function a(w,Y,d){w.open(Y,d,true);}function k(w,Y,z){w.c.send(Y);P(w.id,z);}function o(Y,d){R[Y.id]=l.setTimeout(function(){H(Y,d);},d.timeout);}function D(Y){l.clearTimeout(R[Y]);delete R[Y];}function N(Y,d){if(Y.c.readyState===4){if(d.timeout){D(Y.id);}Z(Y,d);v(Y,d);}}function v(w,z){var Y;try{if(w.c.status&&w.c.status!==0){Y=w.c.status;}else{Y=0;}}catch(d){Y=0;}if(Y>=200&&Y<300||Y===1223){s(w,z);}else{I(w,z);}}function O(d,Y){if(l.XMLHttpRequest&&!Y){if(d.c){d.c.onreadystatechange=null;}}d.c=null;d=null;}function u(d){var AE="";var AC=(typeof d.id==="object")?d.id:x.getElementById(d.id);var AF=d.useDisabled||false;var AB=encodeURIComponent;var AD,w,AG,Y;for(var AA=0;AA<AC.elements.length;AA++){AD=AC.elements[AA];Y=AD.disabled;w=AD.name;AG=AD.value;if((AF)?w:(w&&Y)){}switch(AD.type){case"select-one":case"select-multiple":for(var z=0;z<AD.options.length;z++){if(AD.options[z].selected){if(C.UA.ie){AE+=AB(w)+"="+AB(AD.options[z].attributes["value"].specified?AD.options[z].value:AD.options[z].text)+"&";}else{AE+=AB(w)+"="+AB(AD.options[z].hasAttribute("value")?AD.options[z].value:AD.options[z].text)+"&";}}}break;case"radio":case"checkbox":if(AD.checked){AE+=AB(w)+"="+AB(AG)+"&";}break;case"file":case undefined:case"reset":case"button":break;case"submit":default:AE+=AB(w)+"="+AB(AG)+"&";}}return AE.substr(0,AE.length-1);}g.xdrReady=V;g.start=P;g.success=s;g.failure=I;g.abort=H;g.header=b;g.transport=A;g.queue=L;g.queue.size=J;g.queue.start=c;g.queue.stop=T;g.queue.promote=B;g.queue.purge=e;C.io=g;},"3.0.0");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/io/io.js'
--- loggerhead/static/javascript/yui/build/io/io.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/io/io.js	1970-01-01 00:00:00 +0000
@@ -1,1097 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("io", function (Y) {
-   /**
-	* HTTP communications module.
-	* @module io
-	*/
-
-   /**
-    * The io class is a utility that brokers HTTP requests through a simplified
-    * interface.  Specifically, it allows JavaScript to make HTTP requests to
-    * a resource without a page reload.  The underlying transport for making
-    * same-domain requests is the XMLHttpRequest object.  YUI.io can also use
-    * Flash, if specified as a transport, for cross-domain requests.
-    *
-	* @class io
-	*/
-
-  /**
-	* @event io:xdrReady
-	* @description This event is fired by YUI.io when a transaction is initiated..
-	* @type Event Custom
-	*/
-	var E_XDR_READY = 'io:xdrReady',
-
-  /**
-	* @event io:start
-	* @description This event is fired by YUI.io when a transaction is initiated..
-	* @type Event Custom
-	*/
-	E_START = 'io:start',
-
-  /**
-	* @event io:complete
-	* @description This event is fired by YUI.io when a transaction is complete and
-	* all response data are available.
-	* @type Event Custom
-	*/
-	E_COMPLETE = 'io:complete',
-
-  /**
-	* @event io:success
-	* @description This event is fired by YUI.io when a transaction is complete and
-	* the HTTP status resolves to HTTP2xx.
-	* @type Event Custom
-	*/
-	E_SUCCESS = 'io:success',
-
-  /**
-	* @event io:failure
-	* @description This event is fired by YUI.io when a transaction is complete and
-	* the HTTP status resolves to HTTP4xx, 5xx and above.
-	* @type Event Custom
-	*/
-	E_FAILURE = 'io:failure',
-
-  /**
-	* @event io:abort
-	* @description This event is fired by YUI.io when a transaction is aborted
-	* explicitly or by a defined config.timeout.
-	* @type Event Custom
-	*/
-	E_ABORT = 'io:abort',
-
-	// Window reference
-	w = Y.config.win,
-	d = Y.config.doc,
-
-	//--------------------------------------
-	//  Properties
-	//--------------------------------------
-   /**
-	* @description A transaction counter that increments for each transaction.
-	*
-	* @property transactionId
-	* @private
-	* @static
-	* @type int
-	*/
-	transactionId = 0,
-
-   /**
-	* @description Object of default HTTP headers to be initialized and sent
-	* for all transactions.
-	*
-	* @property _headers
-	* @private
-	* @static
-	* @type object
-	*/
-	_headers = {
-		'X-Requested-With' : 'XMLHttpRequest'
-	},
-
-   /**
-	* @description Object that stores timeout values for any transaction with
-	* a defined "timeout" configuration property.
-	*
-	* @property _timeOut
-	* @private
-	* @static
-	* @type object
-	*/
-	_timeout = {},
-
-   /**
-	* @description Object that stores callback handlers for cross-domain requests,
-	*
-	* @property _fn
-	* @private
-	* @static
-	* @type object
-	*/
-	_fn = {},
-
-   /**
-	* @description Map of transports created for cross-domain requests.
-	*
-	* @property _xdr
-	* @private
-	* @static
-	* @type object
-	*/
-	_xdr = {
-		flash:null
-	},
-
-   /**
-	* @description Array of transactions queued for processing
-	*
-	* @property _q
-	* @private
-	* @static
-	* @type array
-	*/
-	_q = [],
-
-   /**
-	* @description Property to determine whether the queue is set to
-	* 1 (active) or 0 (inactive).  When inactive, transactions
-	* will be stored in the queue until the queue is set to active.
-	*
-	* @property _qState
-	* @private
-	* @static
-	* @type int
-	*/
-	_qState = 1,
-
-   /**
-	* @description Queue property to set a maximum queue storage size.  When
-	* this property is set, the queue will not store any more transactions
-	* until the queue size os reduced below this threshold. There is no
-	* maximum queue size until it is explicitly set.
-	*
-	* @property _qMaxSize
-	* @private
-	* @static
-	* @type int
-	*/
-	_qMaxSize = false;
-
-	//--------------------------------------
-	//  Methods
-	//--------------------------------------
-   /**
-	* @description Method for requesting a transaction, and queueing the
-	* request before it is sent to the resource.
-	*
-	* @method _queue
-	* @private
-	* @static
-    * @return int
-	*/
-	function _queue(uri, c) {
-
-		if (_qMaxSize === false || _q.length < _qMaxSize) {
-			var id = _id();
-			_q.push({ uri: uri, id: id, cfg:c });
-		}
-		else {
-			return false;
-		}
-
-		if (_qState === 1) {
-			_shift();
-		}
-
-		return id;
-	};
-
-   /**
-	* @description Method for promoting a transaction to the top of the queue.
-	*
-	* @method _unshift
-	* @private
-	* @static
-    * @return void
-	*/
-	function _unshift(id) {
-		var r;
-
-		for (var i = 0; i < _q.length; i++) {
-			if (_q[i].id === id) {
-				r = _q.splice(i, 1);
-				var p = _q.unshift(r[0]);
-				break;
-			}
-		}
-	};
-
-   /**
-	* @description Method for removing a transaction from the top of the
-	* queue, and sending the transaction to _io().
-	*
-	* @method _shift
-	* @private
-	* @static
-    * @return void
-	*/
-	function _shift() {
-		var c = _q.shift();
-		_io(c.uri, c.cfg, c.id);
-	};
-
-   /**
-	* @description Method to query the current size of the queue, or to
-	* set a maximum queue size.
-	*
-	* @method _size
-	* @private
-	* @static
-    * @return int
-	*/
-	function _size(i) {
-		if (i) {
-			_qMaxSize = i;
-			return i;
-		}
-		else {
-			return _q.length;
-		}
-	};
-
-   /**
-	* @description Method for setting the queue to active. If there are
-	* transactions pending in the queue, they will be processed from the
-	* queue in FIFO order.
-	*
-	* @method _start
-	* @private
-	* @static
-    * @return void
-	*/
-	function _start() {
-		var len = (_q.length > _qMaxSize > 0) ? _qMaxSize : _q.length;
-
-		if (len > 1) {
-			for (var i=0; i < len; i++) {
-				_shift();
-			}
-		}
-		else {
-			_shift();
-		}
-
-	};
-
-   /**
-	* @description Method for setting queue processing to inactive.
-	* Transaction requests to YUI.io.queue() will be stored in the queue, but
-	* not processed until the queue is reset to "active".
-	*
-	* @method _stop
-	* @private
-	* @static
-    * @return void
-	*/
-	function _stop() {
-		_qState = 0;
-	};
-
-   /**
-	* @description Method for removing a specific, pending transaction from
-	* the queue.
-	*
-	* @method _purge
-	* @private
-	* @static
-    * @return void
-	*/
-	function _purge(id) {
-		if (Y.Lang.isNumber(id)) {
-			for (var i = 0; i < _q.length; i++) {
-				if (_q[i].id === id) {
-					_q.splice(i, 1);
-					break;
-				}
-			}
-		}
-	};
-	/* End Queue Functions */
-
-   /**
-	* @description Method for requesting a transaction. _io() is implemented as
-	* yui.io().  Each transaction may include a configuration object.  Its
-	* properties are:
-	*
-	* method: HTTP method verb (e.g., GET or POST). If this property is not
-	*         not defined, the default value will be GET.
-	*
-	* data: This is the name-value string that will be sent as the transaction
-    *		data.  If the request is HTTP GET, the data become part of
-    *		querystring. If HTTP POST, the data are sent in the message body.
-	*
-	* xdr: Defines the transport to be used for cross-domain requests.  By
-	*      setting this property, the transaction will use the specified
-	*      transport instead of XMLHttpRequest.  Currently, the only alternate
-	*      transport supported is Flash (e.g., { xdr: 'flash' }).
-	*
-	* form: This is a defined object used to process HTML form as data.  The
-	*       properties are:
-	*       {
-	*	      id: object, //HTML form object or id of HTML form
-	*         useDisabled: boolean, //Allow disabled HTML form field values
-	*                      to be sent as part of the data.
-    *       }
-    *
-    * on: This is a defined object used to create and handle specific
-    *     events during a transaction lifecycle.  These events will fire in
-    *     addition to the global io events. The events are:
-    *	  start - This event is fired when a request is sent to a resource.
-    *     complete - This event fires when the transaction is complete.
-    *     success - This event fires when the response status resolves to
-    *               HTTP 2xx.
-    *     failure - This event fires when the response status resolves to
-    *               HTTP 4xx, 5xx, and beyond.
-    *	  abort - This even is fired when a transaction abort is fire by
-    *             timeout, or when it is manually aborted.
-    *
-    *     The properties are:
-    *     {
-	*       start: function(id, args){},
-	*       complete: function(id, responseobject, args){},
-	*       success: function(id, responseobject, args){},
-	*       failure: function(id, responseobject, args){},
-	*       abort: function(id, args){}
-	*     }
-	*	  Each property can reference a function or be written as an
-	*     inline function.
-	*
-	* context: Object reference for an event handler when it is implemented
-	*          as a method of a base object. Defining "context" will preserve
-	*          the proper reference of "this" used in the event handler.
-	* headers: This is a defined object of client headers, as many as.
-	*         desired for the transaction.  These headers are sentThe object
-	*         pattern is:
-	*		  {
-	*		    header: value
-	*         }
-	*
-	* timeout: This value, defined as milliseconds, is a time threshold for the
-	*          transaction. When this threshold is reached, and the transaction's
-	*          Complete event has not yet fired, the transaction will be aborted.
-	* arguments: Object, array, string, or number passed to all registered
-	*            event handlers.  This value is available as the second
-	*            argument in the "start" and "abort" event handlers; and, it is
-	*            the third argument in the "complete", "success", and "failure"
-	*            event handlers.
-	*
-	* @method _io
-	* @private
-	* @static
-    * @param {string} uri - qualified path to transaction resource.
-    * @param {object} c - configuration object for the transaction.
-    * @return object
-	*/
-	function _io(uri, c) {
-		var c = c || {};
-		var o = _create((arguments.length === 3) ? arguments[2] : null, c);
-		var m = (c.method) ? c.method.toUpperCase() : 'GET';
-		var d = (c.data) ? c.data : null;
-
-		/* Determine configuration properties */
-		// If config.form is defined, perform data operations.
-		if (c.form) {
-			// Serialize the HTML form into a string of name-value pairs.
-			var f = _serialize(c.form);
-			// If config.data is defined, concatenate the data to the form string.
-			if (d) {
-				f += "&" + d;
-			}
-
-			if (m === 'POST') {
-				d = f;
-				_setHeader('Content-Type', 'application/x-www-form-urlencoded');
-			}
-			else if (m === 'GET') {
-				uri = _concat(uri, f);
-			}
-		}
-		else if (d && m === 'GET') {
-			uri = _concat(uri, c.data);
-		}
-		else if (d && m === 'POST') {
-			_setHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');
-		}
-
-		if (c.xdr) {
-			if (c.on) {
-				_fn[o.id] = c.on;
-			}
-			if (d && m !== 'GET') {
-				c.data = d;
-			}
-			o.c.send(uri, c, o.id);
-
-			return o;
-		}
-
-		// If config.timeout is defined, initialize timeout poll.
-		if (c.timeout) {
-			_startTimeout(o, c);
-		}
-		/* End Configuration Properties */
-
-		o.c.onreadystatechange = function() { _readyState(o, c); };
-		_open(o.c, m, uri);
-		_setHeaders(o.c, (c.headers || {}));
-		// Do not pass null, in the absence of data, as this
-		// results in a POST request with no Content-Length
-		// defined.
-		_async(o, (d || ''), c);
-
-		o.abort = function () {
-			_ioAbort(o, c);
-		}
-		o.isInProgress = function() {
-			return o.c.readyState !== 4 && o.c.readyState !== 0;
-		}
-
-		return o;
-	};
-
-   /**
-	* @description Method for creating and subscribing transaction events.
-	*
-	* @method _tPubSub
-	* @private
-	* @static
-	* @param {string} e - event to be published
-	* @param {object} c - configuration object for the transaction.
-	*
-    * @return void
-	*/
-	function _tPubSub(e, c){
-			var event = new Y.Event.Target().publish('transaction:' + e);
-			event.subscribe(c.on[e], (c.context || this), c.arguments);
-
-			return event;
-	};
-
-	function _ioXdrReady(id) {
-		Y.fire(E_XDR_READY, id);
-	}
-
-   /**
-	* @description Fires event "io:start" and creates, fires a
-	* transaction-specific start event, if config.on.start is
-	* defined.
-	*
-	* @method _ioStart
-	* @private
-	* @static
-	* @param {number} id - transaction id
-	* @param {object} c - configuration object for the transaction.
-	*
-    * @return void
-	*/
-	function _ioStart(id, c) {
-		// Set default value of argument c, property "on" to Object if
-		// the property is null or undefined.
-		c.on = c.on || {};
-		var event;
-
-		if (_fn[id] && _fn[id].start) {
-			c.on.start = _fn[id].start;
-		}
-
-		Y.fire(E_START, id);
-		if (c.on.start) {
-			event = _tPubSub('start', c);
-			event.fire(id);
-		}
-	};
-
-   /**
-	* @description Fires event "io:complete" and creates, fires a
-	* transaction-specific "complete" event, if config.on.complete is
-	* defined.
-	*
-	* @method _ioComplete
-	* @private
-	* @static
-	* @param {object} id - transaction object.
-	* @param {object} c - configuration object for the transaction.
-	*
-    * @return void
-	*/
-	function _ioComplete(o, c) {
-		// Set default value of argument c, property "on" to Object if
-		// the property is null or undefined.
-		c.on = c.on || {};
-		var event;
-
-		Y.fire(E_COMPLETE, o.id, o.c);
-		if (c.on.complete) {
-			event = _tPubSub('complete', c);
-			event.fire(o.id, o.c);
-		}
-	}
-
-   /**
-	* @description Fires event "io:success" and creates, fires a
-	* transaction-specific "success" event, if config.on.success is
-	* defined.
-	*
-	* @method _ioSuccess
-	* @private
-	* @static
-	* @param {object} o - transaction object.
-	* @param {object} c - configuration object for the transaction.
-	*
-    * @return void
-	*/
-	function _ioSuccess(o, c) {
-		// Set default value of argument c, property "on" to Object if
-		// the property is null or undefined.
-		c.on = c.on || {};
-		var event;
-
-		if (_fn[o.id] && _fn[o.id].success) {
-			c.on.success = _fn[o.id].success;
-			delete _fn[o.id];
-			//Decode the response from IO.swf
-			o.c.responseText = decodeURI(o.c.responseText);
-		}
-
-		Y.fire(E_SUCCESS, o.id, o.c);
-		if (c.on.success) {
-			event = _tPubSub('success', c);
-			event.fire(o.id, o.c);
-		}
-
-		_destroy(o, (c.xdr) ? true : false );
-	}
-
-   /**
-	* @description Fires event "io:failure" and creates, fires a
-	* transaction-specific "failure" event, if config.on.failure is
-	* defined.
-	*
-	* @method _ioFailure
-	* @private
-	* @static
-	* @param {object} o - transaction object.
-	* @param {object} c - configuration object for the transaction.
-	*
-    * @return void
-	*/
-	function _ioFailure(o, c) {
-		// Set default value of argument c, property "on" to Object if
-		// the property is null or undefined.
-		c.on = c.on || {};
-		var event;
-
-		if (_fn[o.id] && _fn[o.id].failure) {
-			c.on.failure = _fn[o.id].failure;
-			delete _fn[o.id];
-			//Decode the response from IO.swf
-			o.c.responseText = decodeURI(o.c.responseText);
-		}
-
-		Y.fire(E_FAILURE, o.id, o.c);
-		if (c.on.failure) {
-			event = _tPubSub('failure', c);
-			event.fire(o.id, o.c);
-		}
-
-		_destroy(o, (c.xdr) ? true : false );
-	}
-
-   /**
-	* @description Fires event "io:abort" and creates, fires a
-	* transaction-specific "abort" event, if config.on.abort is
-	* defined.
-	*
-	* @method _ioAbort
-	* @private
-	* @static
-    * @param {object} o - Transaction object generated by _create().
-    * @param {object} c - Configuration object passed to YUI.io().
-	*
-    * @return void
-	*/
-	function _ioAbort(o, c) {
-		// Set default value of argument c, property "on" to Object if
-		// the property is null or undefined.
-		c.on = c.on || {};
-		var event;
-
-		if(o && o.c  && !c.xdr) {
-			// Terminate the transaction
-			o.c.abort();
-			if (c) {
-				// Clear the timeout poll for this specific transaction.
-				if (c.timeout) {
-					_clearTimeout(o.id);
-				}
-			}
-		}
-
-		if (_fn[o.id] && _fn[o.id].abort) {
-			c.on.abort = _fn[o.id].abort;
-			delete _fn[o.id];
-		}
-
-		Y.fire(E_ABORT, o.id);
-		if (c.on.abort) {
-			event = _tPubSub('abort', c);
-			event.fire(id);
-		}
-
-		_destroy(o, (c.xdr) ? true : false );
-	}
-
-   /**
-	* @description Method that creates the XMLHttpRequest transport
-	*
-	* @method _xhr
-	* @private
-	* @static
-    * @return object
-	*/
-	function _xhr() {
-		return (w.XMLHttpRequest) ? new XMLHttpRequest() : new ActiveXObject('Microsoft.XMLHTTP');
-	};
-
-   /**
-	* @description Method that creates the Flash transport swf.
-	*
-	* @method _swf
-	* @private
-	* @static
-    * @param {string} uri - location of IO.swf.
-    * @param {string} yid - string representation of YUI instance.
-    * @return void
-	*/
-	function _swf(uri, yid) {
-		var b = Y.Node.get("body");
-		var swf = '<object id="yuiSwfIo" type="application/x-shockwave-flash" data="' + uri + '" width="0" height="0">';
-		swf += '<param name="movie" value="' + uri + '">';
-		swf += '<param name="FlashVars" value="yid=' + yid + '">';
-		swf += '<param name="allowScriptAccess" value="sameDomain">';
-		swf += '</object>';
-		b.appendChild(Y.Node.create(swf))
-		_xdr.flash = d.getElementById('yuiSwfIo');
-	};
-
-   /**
-	* @description Method that increments _transactionId for each transaction.
-	*
-	* @method _id
-	* @private
-	* @static
-    * @return int
-	*/
-	function _id() {
-		var id = transactionId;
-		transactionId++;
-
-		return id;
-	};
-
-   /**
-	* @description Method that creates a unique transaction object for each
-	* request..
-	*
-	* @method _create
-	* @private
-	* @static
-    * @param {number} s - URI or root data.
-    * @param {number} c - configuration object
-    * @return object
-	*/
-	function _create(i, c) {
-		var o = {};
-		o.id = Y.Lang.isNumber(i) ? i : _id();
-		if (c && c.xdr) {
-			o.c = _xdr[c.xdr.use];
-		}
-		else {
-			o.c = _xhr();
-		}
-
-		return o;
-	};
-
-   /**
-	* @description Method that concatenates string data for HTTP GET transactions.
-	*
-	* @method _concat
-	* @private
-	* @static
-    * @param {string} s - URI or root data.
-    * @param {string} d - data to be concatenated onto URI.
-    * @return int
-	*/
-	function _concat(s, d) {
-		s += ((s.indexOf('?') == -1) ? '?' : '&') + d;
-		return s;
-	};
-
-   /**
-	* @description Method that stores default client headers for all transactions.
-	* If a label is passed with no value argument, the header will be deleted.
-	*
-	* @method _setHeader
-	* @private
-	* @static
-    * @param {string} l - HTTP header
-    * @param {string} v - HTTP header value
-    * @return int
-	*/
-	function _setHeader(l, v) {
-		if (v) {
-			_headers[l] = v;
-		}
-		else {
-			delete _headers[l];
-		}
-	};
-
-   /**
-	* @description Method to initialize the desired transport medium.
-	*
-	* @method _initTransport
-	* @private
-	* @static
-    * @param {object} o - object of transport configurations.
-    * @return void
-	*/
-	function _initTransport(o) {
-		switch (o.id) {
-			case 'flash':
-				_swf(o.src, o.yid);
-				break;
-		}
-	};
-
-   /**
-	* @description Method that sets all HTTP headers to be sent in a transaction.
-	*
-	* @method _setHeaders
-	* @private
-	* @static
-    * @param {object} o - XHR instance for the specific transaction.
-    * @param {object} h - HTTP headers for the specific transaction, as defined
-    *                     in the configuration object passed to YUI.io().
-    * @return void
-	*/
-	function _setHeaders(o, h) {
-
-		var p;
-
-		for (p in _headers) {
-			if (_headers.hasOwnProperty(p)) {
-				h[p] = _headers[p];
-			}
-		}
-
-		for (p in h) {
-			if (h.hasOwnProperty(p)) {
-				o.setRequestHeader(p, h[p]);
-			}
-		}
-	};
-
-	function _open(o, m, uri) {
-		o.open(m, uri, true);
-	};
-
-   /**
-	* @description Method that sends the transaction request.
-	*
-	* @method _async
-	* @private
-	* @static
-    * @param {object} o - Transaction object generated by _create().
-    * @param {string} d - Transaction data.
-    * @param {object} c - Configuration object passed to YUI.io().
-    * @return void
-	*/
-	function _async(o, d, c) {
-		o.c.send(d);
-		_ioStart(o.id, c);
-	};
-
-   /**
-	* @description Starts timeout count if config,timeout is defined.
-	*
-	* @method _startTimeout
-	* @private
-	* @static
-    * @param {object} o - Transaction object generated by _create().
-    * @param {object} c - Configuration object passed to YUI.io().
-    * @return void
-	*/
-	function _startTimeout(o, c) {
-		_timeout[o.id] = w.setTimeout(function() { _ioAbort(o, c); }, c.timeout);
-	};
-
-   /**
-	* @description Clears the timeout interval started by _startTimeout().
-	*
-	* @method _clearTimeout
-	* @private
-	* @static
-    * @param {number} id - Transaction id.
-    * @return void
-	*/
-	function _clearTimeout(id) {
-		w.clearTimeout(_timeout[id]);
-		delete _timeout[id];
-	};
-
-   /**
-	* @description Event handler bound to onreadystatechange.
-	*
-	* @method _readyState
-	* @private
-	* @static
-    * @param {object} o - Transaction object generated by _create().
-    * @param {object} c - Configuration object passed to YUI.io().
-    * @return void
-	*/
-	function _readyState(o, c) {
-		if (o.c.readyState === 4) {
-			if (c.timeout) {
-				_clearTimeout(o.id);
-			}
-			_ioComplete(o, c);
-			_handleResponse(o, c);
-		}
-	};
-
-   /**
-	* @description Method that determines if a transaction response qualifies
-	* as success or failure, based on the response HTTP status code, and
-	* fires the appropriate success or failure events.
-	*
-	* @method _handleResponse
-	* @private
-	* @static
-    * @param {object} o - Transaction object generated by _create().
-    * @param {object} c - Configuration object passed to YUI.io().
-    * @return void
-	*/
-	function _handleResponse(o, c) {
-		var status;
-		try{
-			if (o.c.status && o.c.status !== 0) {
-				status = o.c.status;
-			}
-			else {
-				status = 0;
-			}
-		}
-		catch(e) {
-			status = 0;
-		}
-
-		/*
-		 * IE reports HTTP 204 as HTTP 1223.
-		 * However, the response data are still available.
-		 */
-		if (status >= 200 && status < 300 || status === 1223) {
-			_ioSuccess(o, c);
-		}
-		else {
-			_ioFailure(o, c);
-		}
-	};
-
-	function _destroy(o, isXdr) {
-		// IE6 will throw a "Type Mismatch" error if the event handler is set to "null".
-		if(w.XMLHttpRequest && !isXdr) {
-			if (o.c) {
-				o.c.onreadystatechange = null;
-			}
-		}
-
-		o.c = null;
-		o = null;
-	};
-
-   /**
-	* @description Method to enumerate through an HTML form's elements collection
-	* and return a string comprised of key-value pairs.
-	*
-	* @method _serialize
-	* @private
-	* @static
-    * @param {object} c - Configuration object specific to form operations..
-    * @return string
-	*/
-	function _serialize(o) {
-		var str = '';
-		var f = (typeof o.id === 'object') ? o.id : d.getElementById(o.id);
-		var useDf = o.useDisabled || false;
-		var eUC = encodeURIComponent;
-		var e, n, v, dF;
-
-		// Iterate over the form elements collection to construct the name-value pairs.
-		for (var i=0; i < f.elements.length; i++) {
-			e = f.elements[i];
-			dF = e.disabled;
-			n = e.name;
-			v = e.value;
-			//if config.form.useDisabled is defined as true, then disabled fields
-			//will be included in the serialized data.
-			if ((useDf) ? n : (n && dF));
-			{
-				switch (e.type)
-				{
-					case 'select-one':
-					case 'select-multiple':
-						for (var j = 0; j < e.options.length; j++) {
-							if (e.options[j].selected) {
-								if (Y.UA.ie) {
-									str += eUC(n) + '=' + eUC(e.options[j].attributes['value'].specified ? e.options[j].value : e.options[j].text) + '&';
-								}
-								else {
-									str += eUC(n) + '=' + eUC(e.options[j].hasAttribute('value') ? e.options[j].value : e.options[j].text) + '&';
-								}
-							}
-						}
-						break;
-					case 'radio':
-					case 'checkbox':
-						if (e.checked) {
-							str += eUC(n) + '=' + eUC(v) + '&';
-						}
-						break;
-					case 'file':
-					case undefined:
-					case 'reset':
-					case 'button':
-						break;
-					case 'submit':
-					default:
-						str += eUC(n) + '=' + eUC(v) + '&';
-				}
-			}
-		}
-
-		return str.substr(0, str.length - 1);
-	};
-
-	_io.xdrReady = _ioXdrReady;
-	_io.start = _ioStart;
-	_io.success = _ioSuccess;
-	_io.failure = _ioFailure;
-	_io.abort = _ioAbort;
-
-   	//--------------------------------------
-   	//  Begin public interface definition
-   	//--------------------------------------
-   /**
-	* @description Method that stores default client headers for all transactions.
-	* If a label is passed with no value argument, the header will be deleted.
-	* This is the interface for _setHeader().
-	*
-	* @method header
-	* @public
-	* @static
-    * @param {string} l - HTTP header
-    * @param {string} v - HTTP header value
-    * @return int
-	*/
-	_io.header = _setHeader;
-
-   /**
-	* @description Method for specifying and initializing a transport
-	* to facilitate cross-domain HTTP requests.  This is the
-	* interface for _initTransport
-	*
-	* @method transport
-	* @public
-	* @static
-    * @param {object} t - configuration object for the transport.
-    * @return boolean
-	*/
-	_io.transport = _initTransport;
-
-   /**
-	* @description Method for requesting a transaction, and queueing the
-	* request before it is sent to the resource. This is the
-	* interface for _queue().
-	*
-	* @method queue
-	* @public
-	* @static
-    * @param {string} uri - qualified path to transaction resource.
-    * @param {object} c - configuration object for the transaction.
-    * @return int
-	*/
-	_io.queue = _queue;
-
-   /**
-	* @description Method to query the current size of the queue, or to
-	* set a maximum queue size.  This is the interface for _size().
-	*
-	* @method size
-	* @public
-	* @static
-	* @param {number} i - Specified maximum size of queue.
-    * @return number
-	*/
-	_io.queue.size = _size;
-
-   /**
-	* @description Method for setting the queue to "active". If there are
-	* transactions pending in the queue, they will be processed from the
-	* queue in FIFO order. This is the interface for _start().
-	*
-	* @method start
-	* @public
-	* @static
-    * @return void
-	*/
-	_io.queue.start = _start;
-
-   /**
-	* @description Method for setting queue processing to inactive.
-	* Transaction requests to YUI.io.queue() will be stored in the queue, but
-	* not processed until the queue is set to "active". This is the
-	* interface for _stop().
-	*
-	* @method stop
-	* @public
-	* @static
-    * @return void
-	*/
-	_io.queue.stop = _stop;
-
-   /**
-	* @description Method for promoting a transaction to the top of the queue.
-	* This is the interface for _unshift().
-	*
-	* @method promote
-	* @public
-	* @static
-	* @param {number} i - ID of queued transaction.
-    * @return void
-	*/
-	_io.queue.promote = _unshift;
-
-   /**
-	* @description Method for removing a specific, pending transaction from
-	* the queue. This is the interface for _purge().
-	*
-	* @method purge
-	* @public
-	* @static
-	* @param {number} i - ID of queued transaction.
-    * @return void
-	*/
-	_io.queue.purge = _purge;
-
-   /**
-	* @description Method for requesting a transaction. This
-	* is the interface for _io().
-	*
-	* @method io
-	* @public
-	* @static
-    * @param {string} uri - qualified path to transaction resource.
-    * @param {object} c - configuration object for the transaction.
-    * @return object
-    */
-	Y.io = _io;
-}, "3.0.0");

=== removed file 'loggerhead/static/javascript/yui/build/io/io.swf'
Binary files loggerhead/static/javascript/yui/build/io/io.swf and loggerhead/static/javascript/yui/build/io/io.swf differ
=== removed directory 'loggerhead/static/javascript/yui/build/json'
=== removed file 'loggerhead/static/javascript/yui/build/json/README'
--- loggerhead/static/javascript/yui/build/json/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/json/README	1970-01-01 00:00:00 +0000
@@ -1,10 +0,0 @@
-The JSON Utility
-    Provides static methods to serialize objects to JSON strings and deserialize objects from JSON strings.
-
-    Three modules are available:
-        json           - Both parse and stringify functionality
-        json-parse     - Parse valid JSON strings into JavaScript objects
-        json-stringify - Serialize JavaScipt objects into valid JSON strings
-
-3.0.0pr1
-    Initial release

=== removed file 'loggerhead/static/javascript/yui/build/json/json-debug.js'
--- loggerhead/static/javascript/yui/build/json/json-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/json/json-debug.js	1970-01-01 00:00:00 +0000
@@ -1,357 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('json-parse', function(Y) {
-
-/**
- * The JSON Utility provides methods to serialize JavaScript objects into
- * JSON strings and parse JavaScript objects from strings containing JSON data.
- * Three modules are available for inclusion:
- * <ol>
- * <li>1. <code>json-parse</code> for parsing JSON strings into native JavaScript data</li>
- * <li>2. <code>json-stringify</code> for stringification of JavaScript objects into JSON strings</li>
- * <li>3. <code>json</code> for both parsing and stringification</li>
- * </ol>
- * 
- * Both <code>json-parse</code> and <code>json-stringify</code> create functions in a static JSON class under your YUI instance (e.g. Y.JSON.parse(..)).
- * @module json
- * @class JSON
- * @static
- */
-
-/**
- * Provides Y.JSON.parse method to take JSON strings and return native
- * JavaScript objects.
- * @module json
- * @submodule json-parse
- * @for JSON
- * @static
- */
-Y.JSON = Y.JSON || {};
-
-// All internals kept private for security reasons
-
-/**
- * Replace certain Unicode characters that JavaScript may handle incorrectly
- * during eval--either by deleting them or treating them as line endings--with
- * escae sequences.
- * IMPORTANT NOTE: This regex will be used to modify the input if a match is
- * found.
- * @property _UNICODE_EXCEPTIONS
- * @type {RegExp}
- * @private
- */
-var _UNICODE_EXCEPTIONS = /[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
-
-
-/**
- * First step in the validation.  Regex used to replace all escape
- * sequences (i.e. "\\", etc) with '@' characters (a non-JSON character).
- * @property _ESCAPES
- * @type {RegExp}
- * @private
- */
-    _ESCAPES = /\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,
-
-/**
- * Second step in the validation.  Regex used to replace all simple
- * values with ']' characters.
- * @property _VALUES
- * @type {RegExp}
- * @private
- */
-    _VALUES  = /"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,
-
-/**
- * Third step in the validation.  Regex used to remove all open square
- * brackets following a colon, comma, or at the beginning of the string.
- * @property _BRACKETS
- * @type {RegExp}
- * @private
- */
-
-    _BRACKETS = /(?:^|:|,)(?:\s*\[)+/g,
-
-/**
- * Final step in the validation.  Regex used to test the string left after
- * all previous replacements for invalid characters.
- * @property _INVALID
- * @type {RegExp}
- * @private
- */
-    _INVALID  = /^[\],:{}\s]*$/,
-
-    has = Object.prototype.hasOwnProperty,
-/**
- * Traverses nested objects, applying a reviver function to each (key,value)
- * from the scope if the key:value's containing object.  The value returned
- * from the function will replace the original value in the key:value pair.
- * If the value returned is undefined, the key will be omitted from the
- * returned object.
- * @method _revive
- * @param data {MIXED} Any JavaScript data
- * @param reviver {Function} filter or mutation function
- * @return {MIXED} The results of the filtered data
- * @private
- */
-    _revive = function (data, reviver) {
-        var walk = function (o,key) {
-            var k,v,value = o[key];
-            if (value && typeof value === 'object') {
-                for (k in value) {
-                    if (has.call(value,k)) {
-                        v = walk(value, k);
-                        if (v === undefined) {
-                            delete value[k];
-                        } else {
-                            value[k] = v;
-                        }
-                    }
-                }
-            }
-            return reviver.call(o,key,value);
-        };
-
-        return typeof reviver === 'function' ? walk({'':data},'') : data;
-    };
-
-/**
- * Parse a JSON string, returning the native JavaScript representation.
- * @param s {string} JSON string data
- * @param reviver {function} (optional) function(k,v) passed each key value pair of object literals, allowing pruning or altering values
- * @return {MIXED} the native JavaScript representation of the JSON string
- * @throws SyntaxError
- * @method parse
- * @static
- * @public
- */
-Y.JSON.parse = function (s,reviver) {
-    // Ensure valid JSON
-    if (typeof s === 'string') {
-        // Replace certain Unicode characters that are otherwise handled
-        // incorrectly by some browser implementations.
-        // NOTE: This modifies the input if such characters are found!
-        s = s.replace(_UNICODE_EXCEPTIONS, function (c) {
-            return '\\u'+('0000'+(+(c.charCodeAt(0))).toString(16)).slice(-4);
-        });
-        
-        // Test for validity
-        if (_INVALID.test(s.replace(_ESCAPES,'@').
-                            replace(_VALUES,']').
-                            replace(_BRACKETS,''))) {
-
-            // Eval the text into a JavaScript data structure, apply any
-            // reviver function, and return
-            return _revive( eval('(' + s + ')'), reviver );
-        }
-    }
-
-    // The text is not JSON parsable
-    throw new SyntaxError('parseJSON');
-};
-
-
-}, '3.0.0pr1' );
-YUI.add('json-stringify', function(Y) {
-
-/**
- * Provides Y.JSON.stringify method for converting objects to JSON strings.
- * @module json
- * @submodule json-stringify
- * @for JSON
- * @static
- */
-var isA = Y.Lang.isArray;
-
-Y.JSON = Y.JSON || {};
-
-Y.mix(Y.JSON,{
-    /**
-     * Regex used to capture characters that need escaping before enclosing
-     * their containing string in quotes.
-     * @property _SPECIAL_CHARS
-     * @type {RegExp}
-     * @private
-     */
-    _SPECIAL_CHARS : /[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
-
-    /**
-     * Character substitution map for common escapes and special characters.
-     * @property _CHARS
-     * @type {Object}
-     * @static
-     * @private
-     */
-    _CHARS : {
-        '\b': '\\b',
-        '\t': '\\t',
-        '\n': '\\n',
-        '\f': '\\f',
-        '\r': '\\r',
-        '"' : '\\"',
-        '\\': '\\\\'
-    },
-
-    /**
-     * Serializes a Date instance as a UTC date string.  Used internally by
-     * stringify.  Override this method if you need Dates serialized in a
-     * different format.
-     * @method dateToString
-     * @param d {Date} The Date to serialize
-     * @return {String} stringified Date in UTC format YYYY-MM-DDTHH:mm:SSZ
-     * @static
-     */
-    dateToString : function (d) {
-        function _zeroPad(v) {
-            return v < 10 ? '0' + v : v;
-        }
-
-        return '"' + d.getUTCFullYear()   + '-' +
-            _zeroPad(d.getUTCMonth() + 1) + '-' +
-            _zeroPad(d.getUTCDate())      + 'T' +
-            _zeroPad(d.getUTCHours())     + ':' +
-            _zeroPad(d.getUTCMinutes())   + ':' +
-            _zeroPad(d.getUTCSeconds())   + 'Z"';
-    },
-
-    /**
-     * Converts an arbitrary value to a JSON string representation.
-     * Cyclical object or array references are replaced with null.
-     * If a whitelist is provided, only matching object keys will be included.
-     * If a depth limit is provided, objects and arrays at that depth will
-     * be stringified as empty.
-     * @method stringify
-     * @param o {MIXED} any arbitrary object to convert to JSON string
-     * @param w {Array|Function} (optional) whitelist of acceptable object
-     *                  keys to include, or a replacer function to modify the
-     *                  raw value before serialization
-     * @param d {number} (optional) depth limit to recurse objects/arrays
-     *                   (practical minimum 1)
-     * @return {string} JSON string representation of the input
-     * @static
-     * @public
-     */
-    stringify : function (o,w,d) {
-
-        var m      = Y.JSON._CHARS,
-            str_re = Y.JSON._SPECIAL_CHARS,
-            rep    = typeof w === 'function' ? w : null,
-            pstack = []; // Processing stack used for cyclical ref protection
-
-        if (rep || typeof w !== 'object') {
-            w = undefined;
-        }
-
-        // escape encode special characters
-        var _char = function (c) {
-            if (!m[c]) {
-                m[c]='\\u'+('0000'+(+(c.charCodeAt(0))).toString(16)).slice(-4);
-            }
-            return m[c];
-        };
-
-        // Enclose the escaped string in double quotes
-        var _string = function (s) {
-            return '"' + s.replace(str_re, _char) + '"';
-        };
-
-        // Use the configured date conversion
-        var _date = Y.JSON.dateToString;
-    
-        // Worker function.  Fork behavior on data type and recurse objects and
-        // arrays per the configured depth.
-        var _stringify = function (h,key,d) {
-            var o = typeof rep === 'function' ? rep.call(h,key,h[key]) : h[key],
-                t = typeof o,
-                i,len,j, // array iteration
-                k,v,     // object iteration
-                a;       // composition array for performance over string concat
-
-            // String
-            if (t === 'string') {
-                return _string(o);
-            }
-
-            // native boolean and Boolean instance
-            if (t === 'boolean' || o instanceof Boolean) {
-                return String(o);
-            }
-
-            // native number and Number instance
-            if (t === 'number' || o instanceof Number) {
-                return isFinite(o) ? String(o) : 'null';
-            }
-
-            // Date
-            if (o instanceof Date) {
-                return _date(o);
-            }
-
-            // Object types
-            if (t === 'object') {
-                if (!o) {
-                    return 'null';
-                }
-
-                // Check for cyclical references
-                for (i = pstack.length - 1; i >= 0; --i) {
-                    if (pstack[i] === o) {
-                        return 'null';
-                    }
-                }
-
-                // Add the object to the processing stack
-                pstack[pstack.length] = o;
-
-                a = [];
-
-                // Only recurse if we're above depth config
-                if (d > 0) {
-                    // Array
-                    if (isA(o)) {
-                        for (i = o.length - 1; i >= 0; --i) {
-                            a[i] = _stringify(o,i,d-1) || 'null';
-                        }
-
-                    // Object
-                    } else {
-                        // If whitelist provided, take only those keys
-                        k = isA(w) ? w : Y.Object.keys(w||o);
-
-                        for (i = 0, j = 0, len = k.length; i < len; ++i) {
-                            if (typeof k[i] === 'string') {
-                                v = _stringify(o,k[i],d-1);
-                                if (v) {
-                                    a[j++] = _string(k[i]) + ':' + v;
-                                }
-                            }
-                        }
-                    }
-                }
-
-                // remove the array from the stack
-                pstack.pop();
-
-                return isA(o) ? '['+a.join(',')+']' : '{'+a.join(',')+'}';
-            }
-
-            return undefined; // invalid input
-        };
-
-        // Default depth to POSITIVE_INFINITY
-        d = d >= 0 ? d : 1/0;
-
-        // process the input
-        return _stringify({'':o},'',d);
-    }
-});
-
-
-}, '3.0.0pr1' );
-
-
-YUI.add('json', function(Y){}, '3.0.0pr1' ,{use:['json-parse', 'json-stringify']});
-

=== removed file 'loggerhead/static/javascript/yui/build/json/json-min.js'
--- loggerhead/static/javascript/yui/build/json/json-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/json/json-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("json-parse",function(Y){Y.JSON=Y.JSON||{};var _UNICODE_EXCEPTIONS=/[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,_ESCAPES=/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,_VALUES=/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,_BRACKETS=/(?:^|:|,)(?:\s*\[)+/g,_INVALID=/^[\],:{}\s]*$/,has=Object.prototype.hasOwnProperty,_revive=function(data,reviver){var walk=function(o,key){var k,v,value=o[key];if(value&&typeof value==="object"){for(k in value){if(has.call(value,k)){v=walk(value,k);if(v===undefined){delete value[k];}else{value[k]=v;}}}}return reviver.call(o,key,value);};return typeof reviver==="function"?walk({"":data},""):data;};Y.JSON.parse=function(s,reviver){if(typeof s==="string"){s=s.replace(_UNICODE_EXCEPTIONS,function(c){return"\\u"+("0000"+(+(c.charCodeAt(0))).toString(16)).slice(-4);});if(_INVALID.test(s.replace(_ESCAPES,"@").replace(_VALUES,"]").replace(_BRACKETS,""))){return _revive(eval("("+s+")"),reviver);}}throw new SyntaxError("parseJSON");};},"3.0.0pr1");YUI.add("json-stringify",function(B){var A=B.Lang.isArray;B.JSON=B.JSON||{};B.mix(B.JSON,{_SPECIAL_CHARS:/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,_CHARS:{"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"},dateToString:function(D){function C(E){return E<10?"0"+E:E;}return'"'+D.getUTCFullYear()+"-"+C(D.getUTCMonth()+1)+"-"+C(D.getUTCDate())+"T"+C(D.getUTCHours())+":"+C(D.getUTCMinutes())+":"+C(D.getUTCSeconds())+'Z"';},stringify:function(E,K,G){var F=B.JSON._CHARS,C=B.JSON._SPECIAL_CHARS,I=typeof K==="function"?K:null,D=[];if(I||typeof K!=="object"){K=undefined;}var J=function(N){if(!F[N]){F[N]="\\u"+("0000"+(+(N.charCodeAt(0))).toString(16)).slice(-4);}return F[N];};var M=function(N){return'"'+N.replace(C,J)+'"';};var L=B.JSON.dateToString;var H=function(R,W,T){var N=typeof I==="function"?I.call(R,W,R[W]):R[W],X=typeof N,Q,S,P,O,V,U;if(X==="string"){return M(N);}if(X==="boolean"||N instanceof Boolean){return String(N);}if(X==="number"||N instanceof Number){return isFinite(N)?String(N):"null";}if(N instanceof Date){return L(N);}if(X==="object"){if(!N){return"null";}for(Q=D.length-1;Q>=0;--Q){if(D[Q]===N){return"null";}}D[D.length]=N;U=[];if(T>0){if(A(N)){for(Q=N.length-1;Q>=0;--Q){U[Q]=H(N,Q,T-1)||"null";}}else{O=A(K)?K:B.Object.keys(K||N);for(Q=0,P=0,S=O.length;Q<S;++Q){if(typeof O[Q]==="string"){V=H(N,O[Q],T-1);if(V){U[P++]=M(O[Q])+":"+V;}}}}}D.pop();return A(N)?"["+U.join(",")+"]":"{"+U.join(",")+"}";}return undefined;};G=G>=0?G:1/0;return H({"":E},"",G);}});},"3.0.0pr1");YUI.add("json",function(A){},"3.0.0pr1",{use:["json-parse","json-stringify"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/json/json-parse-debug.js'
--- loggerhead/static/javascript/yui/build/json/json-parse-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/json/json-parse-debug.js	1970-01-01 00:00:00 +0000
@@ -1,157 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('json-parse', function(Y) {
-
-/**
- * The JSON Utility provides methods to serialize JavaScript objects into
- * JSON strings and parse JavaScript objects from strings containing JSON data.
- * Three modules are available for inclusion:
- * <ol>
- * <li>1. <code>json-parse</code> for parsing JSON strings into native JavaScript data</li>
- * <li>2. <code>json-stringify</code> for stringification of JavaScript objects into JSON strings</li>
- * <li>3. <code>json</code> for both parsing and stringification</li>
- * </ol>
- * 
- * Both <code>json-parse</code> and <code>json-stringify</code> create functions in a static JSON class under your YUI instance (e.g. Y.JSON.parse(..)).
- * @module json
- * @class JSON
- * @static
- */
-
-/**
- * Provides Y.JSON.parse method to take JSON strings and return native
- * JavaScript objects.
- * @module json
- * @submodule json-parse
- * @for JSON
- * @static
- */
-Y.JSON = Y.JSON || {};
-
-// All internals kept private for security reasons
-
-/**
- * Replace certain Unicode characters that JavaScript may handle incorrectly
- * during eval--either by deleting them or treating them as line endings--with
- * escae sequences.
- * IMPORTANT NOTE: This regex will be used to modify the input if a match is
- * found.
- * @property _UNICODE_EXCEPTIONS
- * @type {RegExp}
- * @private
- */
-var _UNICODE_EXCEPTIONS = /[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
-
-
-/**
- * First step in the validation.  Regex used to replace all escape
- * sequences (i.e. "\\", etc) with '@' characters (a non-JSON character).
- * @property _ESCAPES
- * @type {RegExp}
- * @private
- */
-    _ESCAPES = /\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,
-
-/**
- * Second step in the validation.  Regex used to replace all simple
- * values with ']' characters.
- * @property _VALUES
- * @type {RegExp}
- * @private
- */
-    _VALUES  = /"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,
-
-/**
- * Third step in the validation.  Regex used to remove all open square
- * brackets following a colon, comma, or at the beginning of the string.
- * @property _BRACKETS
- * @type {RegExp}
- * @private
- */
-
-    _BRACKETS = /(?:^|:|,)(?:\s*\[)+/g,
-
-/**
- * Final step in the validation.  Regex used to test the string left after
- * all previous replacements for invalid characters.
- * @property _INVALID
- * @type {RegExp}
- * @private
- */
-    _INVALID  = /^[\],:{}\s]*$/,
-
-    has = Object.prototype.hasOwnProperty,
-/**
- * Traverses nested objects, applying a reviver function to each (key,value)
- * from the scope if the key:value's containing object.  The value returned
- * from the function will replace the original value in the key:value pair.
- * If the value returned is undefined, the key will be omitted from the
- * returned object.
- * @method _revive
- * @param data {MIXED} Any JavaScript data
- * @param reviver {Function} filter or mutation function
- * @return {MIXED} The results of the filtered data
- * @private
- */
-    _revive = function (data, reviver) {
-        var walk = function (o,key) {
-            var k,v,value = o[key];
-            if (value && typeof value === 'object') {
-                for (k in value) {
-                    if (has.call(value,k)) {
-                        v = walk(value, k);
-                        if (v === undefined) {
-                            delete value[k];
-                        } else {
-                            value[k] = v;
-                        }
-                    }
-                }
-            }
-            return reviver.call(o,key,value);
-        };
-
-        return typeof reviver === 'function' ? walk({'':data},'') : data;
-    };
-
-/**
- * Parse a JSON string, returning the native JavaScript representation.
- * @param s {string} JSON string data
- * @param reviver {function} (optional) function(k,v) passed each key value pair of object literals, allowing pruning or altering values
- * @return {MIXED} the native JavaScript representation of the JSON string
- * @throws SyntaxError
- * @method parse
- * @static
- * @public
- */
-Y.JSON.parse = function (s,reviver) {
-    // Ensure valid JSON
-    if (typeof s === 'string') {
-        // Replace certain Unicode characters that are otherwise handled
-        // incorrectly by some browser implementations.
-        // NOTE: This modifies the input if such characters are found!
-        s = s.replace(_UNICODE_EXCEPTIONS, function (c) {
-            return '\\u'+('0000'+(+(c.charCodeAt(0))).toString(16)).slice(-4);
-        });
-        
-        // Test for validity
-        if (_INVALID.test(s.replace(_ESCAPES,'@').
-                            replace(_VALUES,']').
-                            replace(_BRACKETS,''))) {
-
-            // Eval the text into a JavaScript data structure, apply any
-            // reviver function, and return
-            return _revive( eval('(' + s + ')'), reviver );
-        }
-    }
-
-    // The text is not JSON parsable
-    throw new SyntaxError('parseJSON');
-};
-
-
-}, '3.0.0pr1' );

=== removed file 'loggerhead/static/javascript/yui/build/json/json-parse-min.js'
--- loggerhead/static/javascript/yui/build/json/json-parse-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/json/json-parse-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("json-parse",function(Y){Y.JSON=Y.JSON||{};var _UNICODE_EXCEPTIONS=/[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,_ESCAPES=/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,_VALUES=/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,_BRACKETS=/(?:^|:|,)(?:\s*\[)+/g,_INVALID=/^[\],:{}\s]*$/,has=Object.prototype.hasOwnProperty,_revive=function(data,reviver){var walk=function(o,key){var k,v,value=o[key];if(value&&typeof value==="object"){for(k in value){if(has.call(value,k)){v=walk(value,k);if(v===undefined){delete value[k];}else{value[k]=v;}}}}return reviver.call(o,key,value);};return typeof reviver==="function"?walk({"":data},""):data;};Y.JSON.parse=function(s,reviver){if(typeof s==="string"){s=s.replace(_UNICODE_EXCEPTIONS,function(c){return"\\u"+("0000"+(+(c.charCodeAt(0))).toString(16)).slice(-4);});if(_INVALID.test(s.replace(_ESCAPES,"@").replace(_VALUES,"]").replace(_BRACKETS,""))){return _revive(eval("("+s+")"),reviver);}}throw new SyntaxError("parseJSON");};},"3.0.0pr1");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/json/json-parse.js'
--- loggerhead/static/javascript/yui/build/json/json-parse.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/json/json-parse.js	1970-01-01 00:00:00 +0000
@@ -1,157 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('json-parse', function(Y) {
-
-/**
- * The JSON Utility provides methods to serialize JavaScript objects into
- * JSON strings and parse JavaScript objects from strings containing JSON data.
- * Three modules are available for inclusion:
- * <ol>
- * <li>1. <code>json-parse</code> for parsing JSON strings into native JavaScript data</li>
- * <li>2. <code>json-stringify</code> for stringification of JavaScript objects into JSON strings</li>
- * <li>3. <code>json</code> for both parsing and stringification</li>
- * </ol>
- * 
- * Both <code>json-parse</code> and <code>json-stringify</code> create functions in a static JSON class under your YUI instance (e.g. Y.JSON.parse(..)).
- * @module json
- * @class JSON
- * @static
- */
-
-/**
- * Provides Y.JSON.parse method to take JSON strings and return native
- * JavaScript objects.
- * @module json
- * @submodule json-parse
- * @for JSON
- * @static
- */
-Y.JSON = Y.JSON || {};
-
-// All internals kept private for security reasons
-
-/**
- * Replace certain Unicode characters that JavaScript may handle incorrectly
- * during eval--either by deleting them or treating them as line endings--with
- * escae sequences.
- * IMPORTANT NOTE: This regex will be used to modify the input if a match is
- * found.
- * @property _UNICODE_EXCEPTIONS
- * @type {RegExp}
- * @private
- */
-var _UNICODE_EXCEPTIONS = /[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
-
-
-/**
- * First step in the validation.  Regex used to replace all escape
- * sequences (i.e. "\\", etc) with '@' characters (a non-JSON character).
- * @property _ESCAPES
- * @type {RegExp}
- * @private
- */
-    _ESCAPES = /\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,
-
-/**
- * Second step in the validation.  Regex used to replace all simple
- * values with ']' characters.
- * @property _VALUES
- * @type {RegExp}
- * @private
- */
-    _VALUES  = /"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,
-
-/**
- * Third step in the validation.  Regex used to remove all open square
- * brackets following a colon, comma, or at the beginning of the string.
- * @property _BRACKETS
- * @type {RegExp}
- * @private
- */
-
-    _BRACKETS = /(?:^|:|,)(?:\s*\[)+/g,
-
-/**
- * Final step in the validation.  Regex used to test the string left after
- * all previous replacements for invalid characters.
- * @property _INVALID
- * @type {RegExp}
- * @private
- */
-    _INVALID  = /^[\],:{}\s]*$/,
-
-    has = Object.prototype.hasOwnProperty,
-/**
- * Traverses nested objects, applying a reviver function to each (key,value)
- * from the scope if the key:value's containing object.  The value returned
- * from the function will replace the original value in the key:value pair.
- * If the value returned is undefined, the key will be omitted from the
- * returned object.
- * @method _revive
- * @param data {MIXED} Any JavaScript data
- * @param reviver {Function} filter or mutation function
- * @return {MIXED} The results of the filtered data
- * @private
- */
-    _revive = function (data, reviver) {
-        var walk = function (o,key) {
-            var k,v,value = o[key];
-            if (value && typeof value === 'object') {
-                for (k in value) {
-                    if (has.call(value,k)) {
-                        v = walk(value, k);
-                        if (v === undefined) {
-                            delete value[k];
-                        } else {
-                            value[k] = v;
-                        }
-                    }
-                }
-            }
-            return reviver.call(o,key,value);
-        };
-
-        return typeof reviver === 'function' ? walk({'':data},'') : data;
-    };
-
-/**
- * Parse a JSON string, returning the native JavaScript representation.
- * @param s {string} JSON string data
- * @param reviver {function} (optional) function(k,v) passed each key value pair of object literals, allowing pruning or altering values
- * @return {MIXED} the native JavaScript representation of the JSON string
- * @throws SyntaxError
- * @method parse
- * @static
- * @public
- */
-Y.JSON.parse = function (s,reviver) {
-    // Ensure valid JSON
-    if (typeof s === 'string') {
-        // Replace certain Unicode characters that are otherwise handled
-        // incorrectly by some browser implementations.
-        // NOTE: This modifies the input if such characters are found!
-        s = s.replace(_UNICODE_EXCEPTIONS, function (c) {
-            return '\\u'+('0000'+(+(c.charCodeAt(0))).toString(16)).slice(-4);
-        });
-        
-        // Test for validity
-        if (_INVALID.test(s.replace(_ESCAPES,'@').
-                            replace(_VALUES,']').
-                            replace(_BRACKETS,''))) {
-
-            // Eval the text into a JavaScript data structure, apply any
-            // reviver function, and return
-            return _revive( eval('(' + s + ')'), reviver );
-        }
-    }
-
-    // The text is not JSON parsable
-    throw new SyntaxError('parseJSON');
-};
-
-
-}, '3.0.0pr1' );

=== removed file 'loggerhead/static/javascript/yui/build/json/json-stringify-debug.js'
--- loggerhead/static/javascript/yui/build/json/json-stringify-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/json/json-stringify-debug.js	1970-01-01 00:00:00 +0000
@@ -1,202 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('json-stringify', function(Y) {
-
-/**
- * Provides Y.JSON.stringify method for converting objects to JSON strings.
- * @module json
- * @submodule json-stringify
- * @for JSON
- * @static
- */
-var isA = Y.Lang.isArray;
-
-Y.JSON = Y.JSON || {};
-
-Y.mix(Y.JSON,{
-    /**
-     * Regex used to capture characters that need escaping before enclosing
-     * their containing string in quotes.
-     * @property _SPECIAL_CHARS
-     * @type {RegExp}
-     * @private
-     */
-    _SPECIAL_CHARS : /[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
-
-    /**
-     * Character substitution map for common escapes and special characters.
-     * @property _CHARS
-     * @type {Object}
-     * @static
-     * @private
-     */
-    _CHARS : {
-        '\b': '\\b',
-        '\t': '\\t',
-        '\n': '\\n',
-        '\f': '\\f',
-        '\r': '\\r',
-        '"' : '\\"',
-        '\\': '\\\\'
-    },
-
-    /**
-     * Serializes a Date instance as a UTC date string.  Used internally by
-     * stringify.  Override this method if you need Dates serialized in a
-     * different format.
-     * @method dateToString
-     * @param d {Date} The Date to serialize
-     * @return {String} stringified Date in UTC format YYYY-MM-DDTHH:mm:SSZ
-     * @static
-     */
-    dateToString : function (d) {
-        function _zeroPad(v) {
-            return v < 10 ? '0' + v : v;
-        }
-
-        return '"' + d.getUTCFullYear()   + '-' +
-            _zeroPad(d.getUTCMonth() + 1) + '-' +
-            _zeroPad(d.getUTCDate())      + 'T' +
-            _zeroPad(d.getUTCHours())     + ':' +
-            _zeroPad(d.getUTCMinutes())   + ':' +
-            _zeroPad(d.getUTCSeconds())   + 'Z"';
-    },
-
-    /**
-     * Converts an arbitrary value to a JSON string representation.
-     * Cyclical object or array references are replaced with null.
-     * If a whitelist is provided, only matching object keys will be included.
-     * If a depth limit is provided, objects and arrays at that depth will
-     * be stringified as empty.
-     * @method stringify
-     * @param o {MIXED} any arbitrary object to convert to JSON string
-     * @param w {Array|Function} (optional) whitelist of acceptable object
-     *                  keys to include, or a replacer function to modify the
-     *                  raw value before serialization
-     * @param d {number} (optional) depth limit to recurse objects/arrays
-     *                   (practical minimum 1)
-     * @return {string} JSON string representation of the input
-     * @static
-     * @public
-     */
-    stringify : function (o,w,d) {
-
-        var m      = Y.JSON._CHARS,
-            str_re = Y.JSON._SPECIAL_CHARS,
-            rep    = typeof w === 'function' ? w : null,
-            pstack = []; // Processing stack used for cyclical ref protection
-
-        if (rep || typeof w !== 'object') {
-            w = undefined;
-        }
-
-        // escape encode special characters
-        var _char = function (c) {
-            if (!m[c]) {
-                m[c]='\\u'+('0000'+(+(c.charCodeAt(0))).toString(16)).slice(-4);
-            }
-            return m[c];
-        };
-
-        // Enclose the escaped string in double quotes
-        var _string = function (s) {
-            return '"' + s.replace(str_re, _char) + '"';
-        };
-
-        // Use the configured date conversion
-        var _date = Y.JSON.dateToString;
-    
-        // Worker function.  Fork behavior on data type and recurse objects and
-        // arrays per the configured depth.
-        var _stringify = function (h,key,d) {
-            var o = typeof rep === 'function' ? rep.call(h,key,h[key]) : h[key],
-                t = typeof o,
-                i,len,j, // array iteration
-                k,v,     // object iteration
-                a;       // composition array for performance over string concat
-
-            // String
-            if (t === 'string') {
-                return _string(o);
-            }
-
-            // native boolean and Boolean instance
-            if (t === 'boolean' || o instanceof Boolean) {
-                return String(o);
-            }
-
-            // native number and Number instance
-            if (t === 'number' || o instanceof Number) {
-                return isFinite(o) ? String(o) : 'null';
-            }
-
-            // Date
-            if (o instanceof Date) {
-                return _date(o);
-            }
-
-            // Object types
-            if (t === 'object') {
-                if (!o) {
-                    return 'null';
-                }
-
-                // Check for cyclical references
-                for (i = pstack.length - 1; i >= 0; --i) {
-                    if (pstack[i] === o) {
-                        return 'null';
-                    }
-                }
-
-                // Add the object to the processing stack
-                pstack[pstack.length] = o;
-
-                a = [];
-
-                // Only recurse if we're above depth config
-                if (d > 0) {
-                    // Array
-                    if (isA(o)) {
-                        for (i = o.length - 1; i >= 0; --i) {
-                            a[i] = _stringify(o,i,d-1) || 'null';
-                        }
-
-                    // Object
-                    } else {
-                        // If whitelist provided, take only those keys
-                        k = isA(w) ? w : Y.Object.keys(w||o);
-
-                        for (i = 0, j = 0, len = k.length; i < len; ++i) {
-                            if (typeof k[i] === 'string') {
-                                v = _stringify(o,k[i],d-1);
-                                if (v) {
-                                    a[j++] = _string(k[i]) + ':' + v;
-                                }
-                            }
-                        }
-                    }
-                }
-
-                // remove the array from the stack
-                pstack.pop();
-
-                return isA(o) ? '['+a.join(',')+']' : '{'+a.join(',')+'}';
-            }
-
-            return undefined; // invalid input
-        };
-
-        // Default depth to POSITIVE_INFINITY
-        d = d >= 0 ? d : 1/0;
-
-        // process the input
-        return _stringify({'':o},'',d);
-    }
-});
-
-
-}, '3.0.0pr1' );

=== removed file 'loggerhead/static/javascript/yui/build/json/json-stringify-min.js'
--- loggerhead/static/javascript/yui/build/json/json-stringify-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/json/json-stringify-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("json-stringify",function(B){var A=B.Lang.isArray;B.JSON=B.JSON||{};B.mix(B.JSON,{_SPECIAL_CHARS:/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,_CHARS:{"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"},dateToString:function(D){function C(E){return E<10?"0"+E:E;}return'"'+D.getUTCFullYear()+"-"+C(D.getUTCMonth()+1)+"-"+C(D.getUTCDate())+"T"+C(D.getUTCHours())+":"+C(D.getUTCMinutes())+":"+C(D.getUTCSeconds())+'Z"';},stringify:function(E,K,G){var F=B.JSON._CHARS,C=B.JSON._SPECIAL_CHARS,I=typeof K==="function"?K:null,D=[];if(I||typeof K!=="object"){K=undefined;}var J=function(N){if(!F[N]){F[N]="\\u"+("0000"+(+(N.charCodeAt(0))).toString(16)).slice(-4);}return F[N];};var M=function(N){return'"'+N.replace(C,J)+'"';};var L=B.JSON.dateToString;var H=function(R,W,T){var N=typeof I==="function"?I.call(R,W,R[W]):R[W],X=typeof N,Q,S,P,O,V,U;if(X==="string"){return M(N);}if(X==="boolean"||N instanceof Boolean){return String(N);}if(X==="number"||N instanceof Number){return isFinite(N)?String(N):"null";}if(N instanceof Date){return L(N);}if(X==="object"){if(!N){return"null";}for(Q=D.length-1;Q>=0;--Q){if(D[Q]===N){return"null";}}D[D.length]=N;U=[];if(T>0){if(A(N)){for(Q=N.length-1;Q>=0;--Q){U[Q]=H(N,Q,T-1)||"null";}}else{O=A(K)?K:B.Object.keys(K||N);for(Q=0,P=0,S=O.length;Q<S;++Q){if(typeof O[Q]==="string"){V=H(N,O[Q],T-1);if(V){U[P++]=M(O[Q])+":"+V;}}}}}D.pop();return A(N)?"["+U.join(",")+"]":"{"+U.join(",")+"}";}return undefined;};G=G>=0?G:1/0;return H({"":E},"",G);}});},"3.0.0pr1");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/json/json-stringify.js'
--- loggerhead/static/javascript/yui/build/json/json-stringify.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/json/json-stringify.js	1970-01-01 00:00:00 +0000
@@ -1,202 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('json-stringify', function(Y) {
-
-/**
- * Provides Y.JSON.stringify method for converting objects to JSON strings.
- * @module json
- * @submodule json-stringify
- * @for JSON
- * @static
- */
-var isA = Y.Lang.isArray;
-
-Y.JSON = Y.JSON || {};
-
-Y.mix(Y.JSON,{
-    /**
-     * Regex used to capture characters that need escaping before enclosing
-     * their containing string in quotes.
-     * @property _SPECIAL_CHARS
-     * @type {RegExp}
-     * @private
-     */
-    _SPECIAL_CHARS : /[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
-
-    /**
-     * Character substitution map for common escapes and special characters.
-     * @property _CHARS
-     * @type {Object}
-     * @static
-     * @private
-     */
-    _CHARS : {
-        '\b': '\\b',
-        '\t': '\\t',
-        '\n': '\\n',
-        '\f': '\\f',
-        '\r': '\\r',
-        '"' : '\\"',
-        '\\': '\\\\'
-    },
-
-    /**
-     * Serializes a Date instance as a UTC date string.  Used internally by
-     * stringify.  Override this method if you need Dates serialized in a
-     * different format.
-     * @method dateToString
-     * @param d {Date} The Date to serialize
-     * @return {String} stringified Date in UTC format YYYY-MM-DDTHH:mm:SSZ
-     * @static
-     */
-    dateToString : function (d) {
-        function _zeroPad(v) {
-            return v < 10 ? '0' + v : v;
-        }
-
-        return '"' + d.getUTCFullYear()   + '-' +
-            _zeroPad(d.getUTCMonth() + 1) + '-' +
-            _zeroPad(d.getUTCDate())      + 'T' +
-            _zeroPad(d.getUTCHours())     + ':' +
-            _zeroPad(d.getUTCMinutes())   + ':' +
-            _zeroPad(d.getUTCSeconds())   + 'Z"';
-    },
-
-    /**
-     * Converts an arbitrary value to a JSON string representation.
-     * Cyclical object or array references are replaced with null.
-     * If a whitelist is provided, only matching object keys will be included.
-     * If a depth limit is provided, objects and arrays at that depth will
-     * be stringified as empty.
-     * @method stringify
-     * @param o {MIXED} any arbitrary object to convert to JSON string
-     * @param w {Array|Function} (optional) whitelist of acceptable object
-     *                  keys to include, or a replacer function to modify the
-     *                  raw value before serialization
-     * @param d {number} (optional) depth limit to recurse objects/arrays
-     *                   (practical minimum 1)
-     * @return {string} JSON string representation of the input
-     * @static
-     * @public
-     */
-    stringify : function (o,w,d) {
-
-        var m      = Y.JSON._CHARS,
-            str_re = Y.JSON._SPECIAL_CHARS,
-            rep    = typeof w === 'function' ? w : null,
-            pstack = []; // Processing stack used for cyclical ref protection
-
-        if (rep || typeof w !== 'object') {
-            w = undefined;
-        }
-
-        // escape encode special characters
-        var _char = function (c) {
-            if (!m[c]) {
-                m[c]='\\u'+('0000'+(+(c.charCodeAt(0))).toString(16)).slice(-4);
-            }
-            return m[c];
-        };
-
-        // Enclose the escaped string in double quotes
-        var _string = function (s) {
-            return '"' + s.replace(str_re, _char) + '"';
-        };
-
-        // Use the configured date conversion
-        var _date = Y.JSON.dateToString;
-    
-        // Worker function.  Fork behavior on data type and recurse objects and
-        // arrays per the configured depth.
-        var _stringify = function (h,key,d) {
-            var o = typeof rep === 'function' ? rep.call(h,key,h[key]) : h[key],
-                t = typeof o,
-                i,len,j, // array iteration
-                k,v,     // object iteration
-                a;       // composition array for performance over string concat
-
-            // String
-            if (t === 'string') {
-                return _string(o);
-            }
-
-            // native boolean and Boolean instance
-            if (t === 'boolean' || o instanceof Boolean) {
-                return String(o);
-            }
-
-            // native number and Number instance
-            if (t === 'number' || o instanceof Number) {
-                return isFinite(o) ? String(o) : 'null';
-            }
-
-            // Date
-            if (o instanceof Date) {
-                return _date(o);
-            }
-
-            // Object types
-            if (t === 'object') {
-                if (!o) {
-                    return 'null';
-                }
-
-                // Check for cyclical references
-                for (i = pstack.length - 1; i >= 0; --i) {
-                    if (pstack[i] === o) {
-                        return 'null';
-                    }
-                }
-
-                // Add the object to the processing stack
-                pstack[pstack.length] = o;
-
-                a = [];
-
-                // Only recurse if we're above depth config
-                if (d > 0) {
-                    // Array
-                    if (isA(o)) {
-                        for (i = o.length - 1; i >= 0; --i) {
-                            a[i] = _stringify(o,i,d-1) || 'null';
-                        }
-
-                    // Object
-                    } else {
-                        // If whitelist provided, take only those keys
-                        k = isA(w) ? w : Y.Object.keys(w||o);
-
-                        for (i = 0, j = 0, len = k.length; i < len; ++i) {
-                            if (typeof k[i] === 'string') {
-                                v = _stringify(o,k[i],d-1);
-                                if (v) {
-                                    a[j++] = _string(k[i]) + ':' + v;
-                                }
-                            }
-                        }
-                    }
-                }
-
-                // remove the array from the stack
-                pstack.pop();
-
-                return isA(o) ? '['+a.join(',')+']' : '{'+a.join(',')+'}';
-            }
-
-            return undefined; // invalid input
-        };
-
-        // Default depth to POSITIVE_INFINITY
-        d = d >= 0 ? d : 1/0;
-
-        // process the input
-        return _stringify({'':o},'',d);
-    }
-});
-
-
-}, '3.0.0pr1' );

=== removed file 'loggerhead/static/javascript/yui/build/json/json.js'
--- loggerhead/static/javascript/yui/build/json/json.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/json/json.js	1970-01-01 00:00:00 +0000
@@ -1,357 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('json-parse', function(Y) {
-
-/**
- * The JSON Utility provides methods to serialize JavaScript objects into
- * JSON strings and parse JavaScript objects from strings containing JSON data.
- * Three modules are available for inclusion:
- * <ol>
- * <li>1. <code>json-parse</code> for parsing JSON strings into native JavaScript data</li>
- * <li>2. <code>json-stringify</code> for stringification of JavaScript objects into JSON strings</li>
- * <li>3. <code>json</code> for both parsing and stringification</li>
- * </ol>
- * 
- * Both <code>json-parse</code> and <code>json-stringify</code> create functions in a static JSON class under your YUI instance (e.g. Y.JSON.parse(..)).
- * @module json
- * @class JSON
- * @static
- */
-
-/**
- * Provides Y.JSON.parse method to take JSON strings and return native
- * JavaScript objects.
- * @module json
- * @submodule json-parse
- * @for JSON
- * @static
- */
-Y.JSON = Y.JSON || {};
-
-// All internals kept private for security reasons
-
-/**
- * Replace certain Unicode characters that JavaScript may handle incorrectly
- * during eval--either by deleting them or treating them as line endings--with
- * escae sequences.
- * IMPORTANT NOTE: This regex will be used to modify the input if a match is
- * found.
- * @property _UNICODE_EXCEPTIONS
- * @type {RegExp}
- * @private
- */
-var _UNICODE_EXCEPTIONS = /[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
-
-
-/**
- * First step in the validation.  Regex used to replace all escape
- * sequences (i.e. "\\", etc) with '@' characters (a non-JSON character).
- * @property _ESCAPES
- * @type {RegExp}
- * @private
- */
-    _ESCAPES = /\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,
-
-/**
- * Second step in the validation.  Regex used to replace all simple
- * values with ']' characters.
- * @property _VALUES
- * @type {RegExp}
- * @private
- */
-    _VALUES  = /"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,
-
-/**
- * Third step in the validation.  Regex used to remove all open square
- * brackets following a colon, comma, or at the beginning of the string.
- * @property _BRACKETS
- * @type {RegExp}
- * @private
- */
-
-    _BRACKETS = /(?:^|:|,)(?:\s*\[)+/g,
-
-/**
- * Final step in the validation.  Regex used to test the string left after
- * all previous replacements for invalid characters.
- * @property _INVALID
- * @type {RegExp}
- * @private
- */
-    _INVALID  = /^[\],:{}\s]*$/,
-
-    has = Object.prototype.hasOwnProperty,
-/**
- * Traverses nested objects, applying a reviver function to each (key,value)
- * from the scope if the key:value's containing object.  The value returned
- * from the function will replace the original value in the key:value pair.
- * If the value returned is undefined, the key will be omitted from the
- * returned object.
- * @method _revive
- * @param data {MIXED} Any JavaScript data
- * @param reviver {Function} filter or mutation function
- * @return {MIXED} The results of the filtered data
- * @private
- */
-    _revive = function (data, reviver) {
-        var walk = function (o,key) {
-            var k,v,value = o[key];
-            if (value && typeof value === 'object') {
-                for (k in value) {
-                    if (has.call(value,k)) {
-                        v = walk(value, k);
-                        if (v === undefined) {
-                            delete value[k];
-                        } else {
-                            value[k] = v;
-                        }
-                    }
-                }
-            }
-            return reviver.call(o,key,value);
-        };
-
-        return typeof reviver === 'function' ? walk({'':data},'') : data;
-    };
-
-/**
- * Parse a JSON string, returning the native JavaScript representation.
- * @param s {string} JSON string data
- * @param reviver {function} (optional) function(k,v) passed each key value pair of object literals, allowing pruning or altering values
- * @return {MIXED} the native JavaScript representation of the JSON string
- * @throws SyntaxError
- * @method parse
- * @static
- * @public
- */
-Y.JSON.parse = function (s,reviver) {
-    // Ensure valid JSON
-    if (typeof s === 'string') {
-        // Replace certain Unicode characters that are otherwise handled
-        // incorrectly by some browser implementations.
-        // NOTE: This modifies the input if such characters are found!
-        s = s.replace(_UNICODE_EXCEPTIONS, function (c) {
-            return '\\u'+('0000'+(+(c.charCodeAt(0))).toString(16)).slice(-4);
-        });
-        
-        // Test for validity
-        if (_INVALID.test(s.replace(_ESCAPES,'@').
-                            replace(_VALUES,']').
-                            replace(_BRACKETS,''))) {
-
-            // Eval the text into a JavaScript data structure, apply any
-            // reviver function, and return
-            return _revive( eval('(' + s + ')'), reviver );
-        }
-    }
-
-    // The text is not JSON parsable
-    throw new SyntaxError('parseJSON');
-};
-
-
-}, '3.0.0pr1' );
-YUI.add('json-stringify', function(Y) {
-
-/**
- * Provides Y.JSON.stringify method for converting objects to JSON strings.
- * @module json
- * @submodule json-stringify
- * @for JSON
- * @static
- */
-var isA = Y.Lang.isArray;
-
-Y.JSON = Y.JSON || {};
-
-Y.mix(Y.JSON,{
-    /**
-     * Regex used to capture characters that need escaping before enclosing
-     * their containing string in quotes.
-     * @property _SPECIAL_CHARS
-     * @type {RegExp}
-     * @private
-     */
-    _SPECIAL_CHARS : /[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
-
-    /**
-     * Character substitution map for common escapes and special characters.
-     * @property _CHARS
-     * @type {Object}
-     * @static
-     * @private
-     */
-    _CHARS : {
-        '\b': '\\b',
-        '\t': '\\t',
-        '\n': '\\n',
-        '\f': '\\f',
-        '\r': '\\r',
-        '"' : '\\"',
-        '\\': '\\\\'
-    },
-
-    /**
-     * Serializes a Date instance as a UTC date string.  Used internally by
-     * stringify.  Override this method if you need Dates serialized in a
-     * different format.
-     * @method dateToString
-     * @param d {Date} The Date to serialize
-     * @return {String} stringified Date in UTC format YYYY-MM-DDTHH:mm:SSZ
-     * @static
-     */
-    dateToString : function (d) {
-        function _zeroPad(v) {
-            return v < 10 ? '0' + v : v;
-        }
-
-        return '"' + d.getUTCFullYear()   + '-' +
-            _zeroPad(d.getUTCMonth() + 1) + '-' +
-            _zeroPad(d.getUTCDate())      + 'T' +
-            _zeroPad(d.getUTCHours())     + ':' +
-            _zeroPad(d.getUTCMinutes())   + ':' +
-            _zeroPad(d.getUTCSeconds())   + 'Z"';
-    },
-
-    /**
-     * Converts an arbitrary value to a JSON string representation.
-     * Cyclical object or array references are replaced with null.
-     * If a whitelist is provided, only matching object keys will be included.
-     * If a depth limit is provided, objects and arrays at that depth will
-     * be stringified as empty.
-     * @method stringify
-     * @param o {MIXED} any arbitrary object to convert to JSON string
-     * @param w {Array|Function} (optional) whitelist of acceptable object
-     *                  keys to include, or a replacer function to modify the
-     *                  raw value before serialization
-     * @param d {number} (optional) depth limit to recurse objects/arrays
-     *                   (practical minimum 1)
-     * @return {string} JSON string representation of the input
-     * @static
-     * @public
-     */
-    stringify : function (o,w,d) {
-
-        var m      = Y.JSON._CHARS,
-            str_re = Y.JSON._SPECIAL_CHARS,
-            rep    = typeof w === 'function' ? w : null,
-            pstack = []; // Processing stack used for cyclical ref protection
-
-        if (rep || typeof w !== 'object') {
-            w = undefined;
-        }
-
-        // escape encode special characters
-        var _char = function (c) {
-            if (!m[c]) {
-                m[c]='\\u'+('0000'+(+(c.charCodeAt(0))).toString(16)).slice(-4);
-            }
-            return m[c];
-        };
-
-        // Enclose the escaped string in double quotes
-        var _string = function (s) {
-            return '"' + s.replace(str_re, _char) + '"';
-        };
-
-        // Use the configured date conversion
-        var _date = Y.JSON.dateToString;
-    
-        // Worker function.  Fork behavior on data type and recurse objects and
-        // arrays per the configured depth.
-        var _stringify = function (h,key,d) {
-            var o = typeof rep === 'function' ? rep.call(h,key,h[key]) : h[key],
-                t = typeof o,
-                i,len,j, // array iteration
-                k,v,     // object iteration
-                a;       // composition array for performance over string concat
-
-            // String
-            if (t === 'string') {
-                return _string(o);
-            }
-
-            // native boolean and Boolean instance
-            if (t === 'boolean' || o instanceof Boolean) {
-                return String(o);
-            }
-
-            // native number and Number instance
-            if (t === 'number' || o instanceof Number) {
-                return isFinite(o) ? String(o) : 'null';
-            }
-
-            // Date
-            if (o instanceof Date) {
-                return _date(o);
-            }
-
-            // Object types
-            if (t === 'object') {
-                if (!o) {
-                    return 'null';
-                }
-
-                // Check for cyclical references
-                for (i = pstack.length - 1; i >= 0; --i) {
-                    if (pstack[i] === o) {
-                        return 'null';
-                    }
-                }
-
-                // Add the object to the processing stack
-                pstack[pstack.length] = o;
-
-                a = [];
-
-                // Only recurse if we're above depth config
-                if (d > 0) {
-                    // Array
-                    if (isA(o)) {
-                        for (i = o.length - 1; i >= 0; --i) {
-                            a[i] = _stringify(o,i,d-1) || 'null';
-                        }
-
-                    // Object
-                    } else {
-                        // If whitelist provided, take only those keys
-                        k = isA(w) ? w : Y.Object.keys(w||o);
-
-                        for (i = 0, j = 0, len = k.length; i < len; ++i) {
-                            if (typeof k[i] === 'string') {
-                                v = _stringify(o,k[i],d-1);
-                                if (v) {
-                                    a[j++] = _string(k[i]) + ':' + v;
-                                }
-                            }
-                        }
-                    }
-                }
-
-                // remove the array from the stack
-                pstack.pop();
-
-                return isA(o) ? '['+a.join(',')+']' : '{'+a.join(',')+'}';
-            }
-
-            return undefined; // invalid input
-        };
-
-        // Default depth to POSITIVE_INFINITY
-        d = d >= 0 ? d : 1/0;
-
-        // process the input
-        return _stringify({'':o},'',d);
-    }
-});
-
-
-}, '3.0.0pr1' );
-
-
-YUI.add('json', function(Y){}, '3.0.0pr1' ,{use:['json-parse', 'json-stringify']});
-

=== removed directory 'loggerhead/static/javascript/yui/build/loader'
=== removed file 'loggerhead/static/javascript/yui/build/loader/README'
--- loggerhead/static/javascript/yui/build/loader/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/loader/README	1970-01-01 00:00:00 +0000
@@ -1,6 +0,0 @@
-YUI Loader
-    Added dynamic loading of YUI and external script and css files.
-    Calculates dependencies and optimizes the selection of file includes.
-
-3.0.0pr1
-    Initial Release

=== removed file 'loggerhead/static/javascript/yui/build/loader/loader-debug.js'
--- loggerhead/static/javascript/yui/build/loader/loader-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/loader/loader-debug.js	1970-01-01 00:00:00 +0000
@@ -1,1577 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * Loader dynamically loads script and css files.  It includes the dependency
- * info for the version of the library in use, and will automatically pull in
- * dependencies for the modules requested.  It supports rollup files and will
- * automatically use these when appropriate in order to minimize the number of
- * http connections required to load all of the dependencies.  It can load the
- * files from the Yahoo! CDN, and it can utilize the combo service provided on
- * this network to reduce the number of http connections required to download 
- * YUI files.
- *
- * @module yui
- * @submodule loader
- */
-
-/**
- * Loader dynamically loads script and css files.  It includes the dependency
- * info for the version of the library in use, and will automatically pull in
- * dependencies for the modules requested.  It supports rollup files and will
- * automatically use these when appropriate in order to minimize the number of
- * http connections required to load all of the dependencies.  It can load the
- * files from the Yahoo! CDN, and it can utilize the combo service provided on
- * this network to reduce the number of http connections required to download 
- * YUI files.
- * @class Loader
- * @constructor
- * @param o an optional set of configuration options.  Valid options:
- * <ul>
- *  <li>base:
- *  The base dir</li>
- *  <li>secureBase:
- *  The secure base dir (not implemented)</li>
- *  <li>comboBase:
- *  The YUI combo service base dir. Ex: http://yui.yahooapis.com/combo?</li>
- *  <li>root:
- *  The root path to prepend to module names for the combo service. Ex: 2.5.2/build/</li>
- *  <li>filter:
- *  
- * A filter to apply to result urls.  This filter will modify the default
- * path for all modules.  The default path for the YUI library is the
- * minified version of the files (e.g., event-min.js).  The filter property
- * can be a predefined filter or a custom filter.  The valid predefined 
- * filters are:
- * <dl>
- *  <dt>DEBUG</dt>
- *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
- *      This option will automatically include the logger widget</dd>
- *  <dt>RAW</dt>
- *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
- * </dl>
- * You can also define a custom filter, which must be an object literal 
- * containing a search expression and a replace string:
- * <pre>
- *  myFilter: &#123; 
- *      'searchExp': "-min\\.js", 
- *      'replaceStr': "-debug.js"
- *  &#125;
- * </pre>
- *
- *  </li>
- *  <li>combine:
- *  Use the YUI combo service to reduce the number of http connections required to load your dependencies</li>
- *  <li>ignore:
- *  A list of modules that should never be dynamically loaded</li>
- *  <li>force:
- *  A list of modules that should always be loaded when required, even if already present on the page</li>
- *  <li>insertBefore:
- *  Node or id for a node that should be used as the insertion point for new nodes</li>
- *  <li>charset:
- *  charset for dynamic nodes</li>
- *  <li>timeout:
- *  number of milliseconds before a timeout occurs when dynamically loading nodes.  in not set, there is no timeout</li>
- *  <li>context:
- *  execution context for all callbacks</li>
- *  <li>onSuccess:
- *  callback for the 'success' event</li>
- *  <li>onFailure:
- *  callback for the 'failure' event</li>
- *  <li>onTimeout:
- *  callback for the 'timeout' event</li>
- *  <li>onProgress:
- *  callback executed each time a script or css file is loaded</li>
- *  <li>modules:
- *  A list of module definitions.  See Loader.addModule for the supported module metadata</li>
- * </ul>
- */
-
-// @TODO backed out the custom event changes so that the event system
-// isn't required in the seed build.  If needed, we may want to 
-// add them back if the event system is detected.
-
-/*
- * Executed when the loader successfully completes an insert operation
- * This can be subscribed to normally, or a listener can be passed
- * as an onSuccess config option.
- * @event success
- */
-
-/*
- * Executed when the loader fails to complete an insert operation.
- * This can be subscribed to normally, or a listener can be passed
- * as an onFailure config option.
- *
- * @event failure
- */
-
-/*
- * Executed when a Get operation times out.
- * This can be subscribed to normally, or a listener can be passed
- * as an onTimeout config option.
- *
- * @event timeout
- */
-
-// http://yui.yahooapis.com/combo?2.5.2/build/yahoo/yahoo-min.js&2.5.2/build/dom/dom-min.js&2.5.2/build/event/event-min.js&2.5.2/build/autocomplete/autocomplete-min.js"
-
-YUI.add("loader", function(Y) {
-
-var BASE = 'base', 
-    CSS = 'css',
-    JS = 'js',
-    CSSRESET = 'cssreset',
-    CSSFONTS = 'cssfonts',
-    CSSGRIDS = 'cssgrids',
-    CSSBASE = 'cssbase',
-    CSS_AFTER = [CSSRESET, CSSFONTS, CSSGRIDS, 'cssreset-context', 'cssfonts-context', 'cssgrids-context'],
-    YUI_CSS = ['reset', 'fonts', 'grids', 'base'],
-    VERSION = '3.0.0pr1',
-    ROOT = VERSION + '/build/',
-    CONTEXT = '-context',
-    META = {
-
-    version: VERSION,
-
-    root: ROOT,
-
-    base: 'http://yui.yahooapis.com/' + ROOT,
-
-    comboBase: 'http://yui.yahooapis.com/combo?',
-
-    modules: {
-
-       dom: {
-            requires: ['event'],
-            submodules: {
-                'dom-base': {
-                    requires: ['event']
-                },
-                'dom-style': {
-                    requires: ['dom-base']
-
-                },
-                'dom-screen': {
-                    requires: ['dom-base', 'dom-style']
-                },
-                selector: {
-                    requires: ['dom-base']
-                }
-            }
-        },
-
-        node: {
-            requires: ['dom'],
-            submodules: {
-                'node-base': {
-                    requires: ['dom-base', 'selector']
-                },
-                'node-style': {
-                    requires: ['dom-style', 'node-base']
-                },
-                'node-screen': {
-                    requires: ['dom-screen', 'node-base']
-                }
-            }
-        },
-
-        anim: {
-            requires: [BASE, 'node'],
-            submodules: {
-                'anim-base': {
-                    requires: ['base', 'node-style']
-                },
-                'anim-color': {
-                    requires: ['anim-base']
-                },
-                'anim-curve': {
-                    requires: ['anim-xy']
-                },
-                'anim-easing': {
-                },
-                'anim-scroll': {
-                    requires: ['anim-base']
-                },
-                'anim-xy': {
-                    requires: ['anim-base', 'node-screen']
-                },
-                'anim-node-plugin': {
-                     requires: ['node', 'anim-base']
-                }
-            }
-        },
-
-        attribute: { 
-            requires: ['event']
-        },
-
-        base: {
-            requires: ['attribute']
-        },
-        
-        compat: { 
-            requires: ['node']
-        },
-        
-        cookie: { },
-
-        // Note: CSS attributes are modified programmatically to reduce metadata size
-        // cssbase: {
-        //     after: CSS_AFTER
-        // },
-
-        // cssgrids: {
-        //     requires: [CSSFONTS],
-        //     optional: [CSSRESET]
-        // },
-
-        'dd':{
-            submodules: {
-                'dd-ddm-base': {
-                    requires: ['node', BASE]
-                }, 
-                'dd-ddm':{
-                    requires: ['dd-ddm-base']
-                }, 
-                'dd-ddm-drop':{
-                    requires: ['dd-ddm']
-                }, 
-                'dd-drag':{
-                    requires: ['dd-ddm-base']
-                }, 
-                'dd-drop':{
-                    requires: ['dd-ddm-drop']
-                }, 
-                'dd-proxy':{
-                    requires: ['dd-drag']
-                }, 
-                'dd-constrain':{
-                    requires: ['dd-drag', 'dd-proxy']
-                }, 
-                'dd-plugin':{
-                    requires: ['dd-drag'],
-                    optional: ['dd-constrain', 'dd-proxy']
-                },
-                'dd-drop-plugin':{
-                    requires: ['dd-drop']
-                }
-            }
-        },
-
-        dump: { },
-
-        event: { 
-            requires: ['oop']
-        },
-
-        get: { },
-        
-        io: { 
-            requires: ['node']
-        },
-
-        json: {
-            submodules: {
-                'json-parse': {
-                },
-
-                'json-stringify': {
-                }
-            }
-        },
-
-        loader: { },
-        
-        oop: { 
-            requires: ['yui-base']
-        },
-
-        queue: { },
-
-        substitute: {
-            optional: ['dump']
-        },
-
-        // Since YUI is required for everything else, it should not be specified as
-        // a dependency.
-        yui: {
-            supersedes: ['yui-base', 'get', 'loader']
-        },
-
-        'yui-base': { }
-    }
-};
-
-var _path = function(dir, file, type) {
-    return dir + '/' + file + '-min.' + (type || CSS);
-};
-
-var _cssmeta = function() {
-    var mods = META.modules;
-    // modify the meta info for YUI CSS
-    for (var i=0; i<YUI_CSS.length; i=i+1) {
-        var bname = YUI_CSS[i],
-            mname = CSS + bname;
-
-        mods[mname] = {
-            type: CSS,
-            path: _path(mname, bname)
-        };
-
-        // define -context module
-        var contextname = mname + CONTEXT;
-        bname = bname + CONTEXT;
-
-        mods[contextname] = {
-            type: CSS,
-            path: _path(mname, bname)
-        };
-
-        if (mname == CSSGRIDS) {
-            mods[mname].requires = [CSSFONTS];
-            mods[mname].optional = [CSSRESET];
-            mods[contextname].requires = [CSSFONTS + CONTEXT];
-            mods[contextname].optional = [CSSRESET + CONTEXT];
-        } else if (mname == CSSBASE) {
-            mods[mname].after = CSS_AFTER;
-            mods[contextname].after = CSS_AFTER;
-        }
-    }
-}();
-
-Y.Env.meta = META;
-
-
-    var L=Y.Lang, env=Y.Env,
-        PROV = "_provides", SUPER = "_supersedes",
-        REQ = "expanded";
-
-    Y.Loader = function(o) {
-
-        /**
-         * Internal callback to handle multiple internal insert() calls
-         * so that css is inserted prior to js
-         * @property _internalCallback
-         * @private
-         */
-        this._internalCallback = null;
-
-        /**
-         * Use the YUI environment listener to detect script load.  This
-         * is only switched on for Safari 2.x and below.
-         * @property _useYahooListener
-         * @private
-         */
-        this._useYahooListener = false;
-
-        /**
-         * Callback that will be executed when the loader is finished
-         * with an insert
-         * @method onSuccess
-         * @type function
-         */
-        this.onSuccess = null;
-
-        /**
-         * Callback that will be executed if there is a failure
-         * @method onFailure
-         * @type function
-         */
-        this.onFailure = null;
-
-        /**
-         * Callback executed each time a script or css file is loaded
-         * @method onProgress
-         * @type function
-         */
-        this.onProgress = null;
-
-        /**
-         * Callback that will be executed if a timeout occurs
-         * @method onTimeout
-         * @type function
-         */
-        this.onTimeout = null;
-
-        /**
-         * The execution context for all callbacks
-         * @property context
-         * @default {YUI} the YUI instance
-         */
-        this.context = Y;
-
-        /**
-         * Data that is passed to all callbacks
-         * @property data
-         */
-        this.data = null;
-
-        /**
-         * Node reference or id where new nodes should be inserted before
-         * @property insertBefore
-         * @type string|HTMLElement
-         */
-        this.insertBefore = null;
-
-        /**
-         * The charset attribute for inserted nodes
-         * @property charset
-         * @type string
-         * @default utf-8
-         */
-        this.charset = null;
-
-        /**
-         * The base directory.
-         * @property base
-         * @type string
-         * @default http://yui.yahooapis.com/[YUI VERSION]/build/
-         */
-        this.base = Y.Env.meta.base;
-
-        /**
-         * Base path for the combo service
-         * @property comboBase
-         * @type string
-         * @default http://yui.yahooapis.com/combo?
-         */
-        this.comboBase = Y.Env.meta.comboBase;
-
-        /**
-         * If configured, YUI JS resources will use the combo
-         * handler
-         * @property combine
-         * @type boolean
-         * @default true if a base dir isn't in the config
-         */
-        this.combine = (!(BASE in o));
-
-        /**
-         * Ignore modules registered on the YUI global
-         * @property ignoreRegistered
-         * @default false
-         */
-        this.ignoreRegistered = false;
-
-        /**
-         * Root path to prepend to module path for the combo
-         * service
-         * @property root
-         * @type string
-         * @default [YUI VERSION]/build/
-         */
-        this.root = Y.Env.meta.root;
-
-        /**
-         * Timeout value in milliseconds.  If set, this value will be used by
-         * the get utility.  the timeout event will fire if
-         * a timeout occurs.
-         * @property timeout
-         * @type int
-         */
-        this.timeout = 0;
-
-        /**
-         * A list of modules that should not be loaded, even if
-         * they turn up in the dependency tree
-         * @property ignore
-         * @type string[]
-         */
-        this.ignore = null;
-
-        /**
-         * A list of modules that should always be loaded, even
-         * if they have already been inserted into the page.
-         * @property force
-         * @type string[]
-         */
-        this.force = null;
-
-        /**
-         * Should we allow rollups
-         * @property allowRollup
-         * @type boolean
-         * @default true
-         */
-        this.allowRollup = true;
-
-        /**
-         * A filter to apply to result urls.  This filter will modify the default
-         * path for all modules.  The default path for the YUI library is the
-         * minified version of the files (e.g., event-min.js).  The filter property
-         * can be a predefined filter or a custom filter.  The valid predefined 
-         * filters are:
-         * <dl>
-         *  <dt>DEBUG</dt>
-         *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
-         *      This option will automatically include the logger widget</dd>
-         *  <dt>RAW</dt>
-         *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
-         * </dl>
-         * You can also define a custom filter, which must be an object literal 
-         * containing a search expression and a replace string:
-         * <pre>
-         *  myFilter: &#123; 
-         *      'searchExp': "-min\\.js", 
-         *      'replaceStr': "-debug.js"
-         *  &#125;
-         * </pre>
-         * @property filter
-         * @type string|{searchExp: string, replaceStr: string}
-         */
-        this.filter = null;
-
-        /**
-         * The list of requested modules
-         * @property required
-         * @type {string: boolean}
-         */
-        this.required = {};
-
-        /**
-         * The library metadata
-         * @property moduleInfo
-         */
-        // this.moduleInfo = Y.merge(Y.Env.meta.moduleInfo);
-        this.moduleInfo = {};
-        
-        var defaults = Y.Env.meta.modules;
-
-        for (var i in defaults) {
-            if (defaults.hasOwnProperty(i)) {
-                this._internal = true;
-                this.addModule(defaults[i], i);
-                this._internal = false;
-            }
-        }
-
-        /**
-         * List of rollup files found in the library metadata
-         * @property rollups
-         */
-        this.rollups = null;
-
-        /**
-         * Whether or not to load optional dependencies for 
-         * the requested modules
-         * @property loadOptional
-         * @type boolean
-         * @default false
-         */
-        this.loadOptional = false;
-
-        /**
-         * All of the derived dependencies in sorted order, which
-         * will be populated when either calculate() or insert()
-         * is called
-         * @property sorted
-         * @type string[]
-         */
-        this.sorted = [];
-
-        /**
-         * Set when beginning to compute the dependency tree. 
-         * Composed of what YUI reports to be loaded combined
-         * with what has been loaded by the tool
-         * @propery loaded
-         * @type {string: boolean}
-         */
-        this.loaded = {};
-
-        /**
-         * A list of modules to attach to the YUI instance when complete.
-         * If not supplied, the sorted list of dependencies are applied.
-         * @property attaching
-         */
-        this.attaching = null;
-
-        /**
-         * Flag to indicate the dependency tree needs to be recomputed
-         * if insert is called again.
-         * @property dirty
-         * @type boolean
-         * @default true
-         */
-        this.dirty = true;
-
-        /**
-         * List of modules inserted by the utility
-         * @property inserted
-         * @type {string: boolean}
-         */
-        this.inserted = {};
-
-        this.skipped = {};
-
-        // Y.on('yui:load', this.loadNext, this);
-
-        this._config(o);
-
-    };
-
-    Y.Loader.prototype = {
-
-        FILTERS: {
-            RAW: { 
-                'searchExp': "-min\\.js", 
-                'replaceStr': ".js"
-            },
-            DEBUG: { 
-                'searchExp': "-min\\.js", 
-                'replaceStr': "-debug.js"
-            }
-        },
-
-        _config: function(o) {
-
-            // apply config values
-            if (o) {
-                for (var i in o) {
-                    var val = o[i];
-                    if (o.hasOwnProperty(i)) {
-                        if (i == 'require') {
-                            this.require(val);
-                        // support the old callback syntax
-                        // } else if (i.indexOf('on') === 0) {
-                            // this.subscribe(i.substr(2).toLowerCase(), o[i], o.context || this);
-                        } else if (i == 'modules') {
-                            // add a hash of module definitions
-                            for (var j in val) {
-                                this.addModule(val[j], j);
-                            }
-                        } else {
-                            this[i] = val;
-                        }
-                    }
-                }
-            }
-
-            // fix filter
-            var f = this.filter;
-
-            if (L.isString(f)) {
-
-                f = f.toUpperCase();
-
-                this.filterName = f;
-
-                // the logger must be available in order to use the debug
-                // versions of the library
-                // @TODO review when logreader is available
-                // if (f === "DEBUG") {
-                //     this.require("log");
-                // }
-
-                this.filter = this.FILTERS[f];
-            }
-
-        },
-
-        /** Add a new module to the component metadata.         
-         * <dl>
-         *     <dt>name:</dt>       <dd>required, the component name</dd>
-         *     <dt>type:</dt>       <dd>required, the component type (js or css)</dd>
-         *     <dt>path:</dt>       <dd>required, the path to the script from "base"</dd>
-         *     <dt>requires:</dt>   <dd>array of modules required by this component</dd>
-         *     <dt>optional:</dt>   <dd>array of optional modules for this component</dd>
-         *     <dt>supersedes:</dt> <dd>array of the modules this component replaces</dd>
-         *     <dt>after:</dt>      <dd>array of modules the components which, if present, should be sorted above this one</dd>
-         *     <dt>rollup:</dt>     <dd>the number of superseded modules required for automatic rollup</dd>
-         *     <dt>fullpath:</dt>   <dd>If fullpath is specified, this is used instead of the configured base + path</dd>
-         *     <dt>skinnable:</dt>  <dd>flag to determine if skin assets should automatically be pulled in</dd>
-         *     <dt>submodules:</dt> <dd>a has of submodules</dd>
-         * </dl>
-         * @method addModule
-         * @param o An object containing the module data
-         * @param name the module name (optional), required if not in the module data
-         * @return {boolean} true if the module was added, false if 
-         * the object passed in did not provide all required attributes
-         */
-        addModule: function(o, name) {
-
-            name = name || o.name;
-            o.name = name;
-
-            if (!o || !o.name) {
-                return false;
-            }
-
-            if (!o.type) {
-                o.type = JS;
-            }
-
-            if (!o.path && !o.fullpath) {
-                // o.path = name + "/" + name + "-min." + o.type;
-                o.path = _path(name, name, o.type);
-            }
-
-            o.ext = ('ext' in o) ? o.ext : (this._internal) ? false : true;
-            o.requires = o.requires || [];
-
-            // Y.log('New module ' + name);
-
-            // Handle submodule logic
-            var subs = o.submodules;
-            if (subs) {
-                var sup = [], l=0;
-
-                for (var i in subs) {
-                    var s = subs[i];
-                    s.path = _path(name, i, o.type);
-                    this.addModule(s, i);
-                    sup.push(i);
-                    l++;
-                }
-
-                o.supersedes = sup;
-                o.rollup = Math.min(l-1, 4);
-            }
-
-            this.moduleInfo[name] = o;
-            this.dirty = true;
-
-            return o;
-        },
-
-        /**
-         * Add a requirement for one or more module
-         * @method require
-         * @param what {string[] | string*} the modules to load
-         */
-        require: function(what) {
-            var a = (typeof what === "string") ? arguments : what;
-            this.dirty = true;
-            Y.mix(this.required, Y.Array.hash(a));
-        },
-
-        /**
-         * Returns an object containing properties for all modules required
-         * in order to load the requested module
-         * @method getRequires
-         * @param mod The module definition from moduleInfo
-         */
-        getRequires: function(mod) {
-
-            if (!mod) {
-                // Y.log('getRequires, no module');
-                return [];
-            }
-
-            if (!this.dirty && mod.expanded) {
-                // Y.log('already expanded');
-                return mod.expanded;
-            }
-
-            var i, d=[], r=mod.requires, o=mod.optional, 
-                info=this.moduleInfo, m, j, add;
-
-            for (i=0; i<r.length; i=i+1) {
-                // Y.log(mod.name + ' requiring ' + r[i]);
-                d.push(r[i]);
-                m = this.getModule(r[i]);
-                add = this.getRequires(m);
-                for (j=0;j<add.length;j=j+1) {
-                    d.push(add[j]);
-                }
-            }
-
-            // get the requirements from superseded modules, if any
-            r=mod.supersedes;
-            if (r) {
-                for (i=0; i<r.length; i=i+1) {
-                    // Y.log(mod.name + ' requiring ' + r[i]);
-                    d.push(r[i]);
-                    m = this.getModule(r[i]);
-                    add = this.getRequires(m);
-                    for (j=0;j<add.length;j=j+1) {
-                        d.push(add[j]);
-                    }
-                }
-            }
-
-            if (o && this.loadOptional) {
-                for (i=0; i<o.length; i=i+1) {
-                    d.push(o[i]);
-                    add = this.getRequires(info[o[i]]);
-                    for (j=0;j<add.length;j=j+1) {
-                        d.push(add[j]);
-                    }
-                }
-            }
-
-            mod.expanded = Y.Object.keys(Y.Array.hash(d));
-
-            // Y.log(mod.expanded);
-
-            return mod.expanded;
-        },
-
-
-        /**
-         * Returns an object literal of the modules the supplied module satisfies
-         * @method getProvides
-         * @param name{string} The name of the module
-         * @param notMe {string} don't add this module name, only include superseded modules
-         * @return what this module provides
-         */
-        getProvides: function(name, notMe) {
-            var addMe = !(notMe), ckey = (addMe) ? PROV : SUPER,
-                m = this.getModule(name), o = {};
-
-            if (!m) {
-                return o;
-            }
-
-            if (m[ckey]) {
-// Y.log('cached: ' + name + ' ' + ckey + ' ' + L.dump(this.moduleInfo[name][ckey], 0));
-                return m[ckey];
-            }
-
-            var s = m.supersedes, done={}, me = this;
-
-            // use worker to break cycles
-            var add = function(mm) {
-                if (!done[mm]) {
-                    // Y.log(name + ' provides worker trying: ' + mm);
-                    done[mm] = true;
-                    // we always want the return value normal behavior 
-                    // (provides) for superseded modules.
-                    Y.mix(o, me.getProvides(mm));
-                } 
-                
-                // else {
-                // Y.log(name + ' provides worker skipping done: ' + mm);
-                // }
-            };
-
-            // calculate superseded modules
-            if (s) {
-                for (var i=0; i<s.length; i=i+1) {
-                    add(s[i]);
-                }
-            }
-
-            // supersedes cache
-            m[SUPER] = o;
-            // provides cache
-            m[PROV] = Y.merge(o);
-            m[PROV][name] = true;
-
-// Y.log(name + " supersedes " + L.dump(m[SUPER], 0));
-// Y.log(name + " provides " + L.dump(m[PROV], 0));
-
-            return m[ckey];
-        },
-
-
-        /**
-         * Calculates the dependency tree, the result is stored in the sorted 
-         * property
-         * @method calculate
-         * @param o optional options object
-         */
-        calculate: function(o) {
-            if (o || this.dirty) {
-                this._config(o);
-                this._setup();
-                this._explode();
-                if (this.allowRollup) {
-                    this._rollup();
-                }
-                this._reduce();
-                this._sort();
-
-                // Y.log("after calculate: " + this.sorted);
-
-                this.dirty = false;
-            }
-        },
-
-        /**
-         * Investigates the current YUI configuration on the page.  By default,
-         * modules already detected will not be loaded again unless a force
-         * option is encountered.  Called by calculate()
-         * @method _setup
-         * @private
-         */
-        _setup: function() {
-
-            var info = this.moduleInfo, name, i, j;
-
-            var l = Y.merge(this.inserted); // shallow clone
-
-            // available modules
-            if (!this.ignoreRegistered) {
-                Y.mix(l, YUI.Env.mods);
-            }
-            
-            // Y.log("Already loaded stuff: " + L.dump(l, 0));
-
-            // add the ignore list to the list of loaded packages
-            if (this.ignore) {
-                // OU.appendArray(l, this.ignore);
-                Y.mix(l, Y.Array.hash(this.ignore));
-            }
-
-            // expand the list to include superseded modules
-            for (j in l) {
-                // Y.log("expanding: " + j);
-                if (l.hasOwnProperty(j)) {
-                    Y.mix(l, this.getProvides(j));
-                }
-            }
-
-            // remove modules on the force list from the loaded list
-            if (this.force) {
-                for (i=0; i<this.force.length; i=i+1) {
-                    if (this.force[i] in l) {
-                        delete l[this.force[i]];
-                    }
-                }
-            }
-
-            // Y.log("loaded expanded: " + L.dump(l, 0));
-
-            this.loaded = l;
-
-        },
-        
-
-        /**
-         * Inspects the required modules list looking for additional 
-         * dependencies.  Expands the required list to include all 
-         * required modules.  Called by calculate()
-         * @method _explode
-         * @private
-         */
-        _explode: function() {
-
-            var r=this.required, i, mod;
-
-            for (i in r) {
-                if (r.hasOwnProperty(i)) {
-                    mod = this.getModule(i);
-                    // Y.log('exploding ' + i);
-
-                    var req = this.getRequires(mod);
-
-                    if (req) {
-                        // Y.log('via explode: ' + req);
-                        Y.mix(r, Y.Array.hash(req));
-                    }
-                }
-            }
-        },
-
-        getModule: function(name) {
-
-            var m = this.moduleInfo[name];
-
-            // create the default module
-            // if (!m) {
-                // Y.log('Module does not exist: ' + name + ', creating with defaults');
-                // m = this.addModule({ext: false}, name);
-            // }
-
-            return m;
-        },
-
-        /**
-         * Look for rollup packages to determine if all of the modules a
-         * rollup supersedes are required.  If so, include the rollup to
-         * help reduce the total number of connections required.  Called
-         * by calculate()
-         * @method _rollup
-         * @private
-         */
-        _rollup: function() {
-            var i, j, m, s, rollups={}, r=this.required, roll,
-                info = this.moduleInfo;
-
-            // find and cache rollup modules
-            if (this.dirty || !this.rollups) {
-                for (i in info) {
-                    if (info.hasOwnProperty(i)) {
-                        m = this.getModule(i);
-                        // if (m && m.rollup && m.supersedes) {
-                        if (m && m.rollup) {
-                            rollups[i] = m;
-                        }
-                    }
-                }
-
-                this.rollups = rollups;
-            }
-
-            // make as many passes as needed to pick up rollup rollups
-            for (;;) {
-                var rolled = false;
-
-                // go through the rollup candidates
-                for (i in rollups) { 
-
-                    // there can be only one
-                    if (!r[i] && !this.loaded[i]) {
-                        m =this.getModule(i); s = m.supersedes ||[]; roll=false;
-
-                        if (!m.rollup) {
-                            continue;
-                        }
-
-                        var c=0;
-
-                        // check the threshold
-                        for (j=0;j<s.length;j=j+1) {
-
-                            // if the superseded module is loaded, we can't load the rollup
-                            // if (this.loaded[s[j]] && (!_Y.dupsAllowed[s[j]])) {
-                            if (this.loaded[s[j]]) {
-                                roll = false;
-                                break;
-                            // increment the counter if this module is required.  if we are
-                            // beyond the rollup threshold, we will use the rollup module
-                            } else if (r[s[j]]) {
-                                c++;
-                                roll = (c >= m.rollup);
-                                if (roll) {
-                                    // Y.log("over thresh " + c + ", " + L.dump(r));
-                                    break;
-                                }
-                            }
-                        }
-
-                        if (roll) {
-                            // Y.log("rollup: " +  i + ", " + L.dump(this, 1));
-                            // add the rollup
-                            r[i] = true;
-                            rolled = true;
-
-                            // expand the rollup's dependencies
-                            this.getRequires(m);
-                        }
-                    }
-                }
-
-                // if we made it here w/o rolling up something, we are done
-                if (!rolled) {
-                    break;
-                }
-            }
-        },
-
-        /**
-         * Remove superceded modules and loaded modules.  Called by
-         * calculate() after we have the mega list of all dependencies
-         * @method _reduce
-         * @private
-         */
-        _reduce: function() {
-
-            var i, j, s, m, r=this.required;
-            for (i in r) {
-
-                // remove if already loaded
-                if (i in this.loaded) { 
-                    delete r[i];
-
-                // remove anything this module supersedes
-                } else {
-
-                     m = this.getModule(i);
-                     s = m && m.supersedes;
-                     if (s) {
-                         for (j=0; j<s.length; j=j+1) {
-                             if (s[j] in r) {
-                                 delete r[s[j]];
-                             }
-                         }
-                     }
-                }
-            }
-        },
-
-        _attach: function() {
-
-            // this is the full list of items the YUI needs attached,
-            // which is needed if some dependencies are already on
-            // the page without their dependencies.
-            if (this.attaching) {
-                Y.log('attaching Y supplied deps: ' + this.attaching, "info", "loader");
-                Y._attach(this.attaching);
-            } else {
-                Y.log('attaching sorted list: ' + this.sorted, "info", "loader");
-                Y._attach(this.sorted);
-            }
-
-            this._pushEvents();
-
-        },
-
-        _onSuccess: function() {
-
-            this._attach();
-
-            for (var i in this.skipped) {
-                delete this.inserted[i];
-            }
-
-            this.skipped = {};
-
-            // this.fire('success', {
-            //     data: this.data
-            // });
-
-            var f = this.onSuccess;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'success',
-                    data: this.data,
-                    success: true
-                });
-            }
-
-        },
-
-        _onFailure: function(msg) {
-            this._attach();
-            // this.fire('failure', {
-            //     msg: 'operation failed: ' + msg,
-            //     data: this.data
-            // });
-
-            var f = this.onFailure;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'failure: ' + msg,
-                    data: this.data,
-                    success: false
-                });
-            }
-        },
-
-        _onTimeout: function() {
-            this._attach();
-
-            // this.fire('timeout', {
-            //     data: this.data
-            // });
-
-            var f = this.onTimeout;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'timeout',
-                    data: this.data,
-                    success: false
-                });
-            }
-        },
-        
-        /**
-         * Sorts the dependency tree.  The last step of calculate()
-         * @method _sort
-         * @private
-         */
-        _sort: function() {
-            // create an indexed list
-            var s=Y.Object.keys(this.required), info=this.moduleInfo, loaded=this.loaded,
-                me = this;
-
-            // returns true if b is not loaded, and is required
-            // directly or by means of modules it supersedes.
-            var requires = function(aa, bb) {
-
-                var mm=info[aa];
-
-                if (loaded[bb] || !mm) {
-                    return false;
-                }
-
-                var ii, rr = mm.expanded, 
-                    after = mm.after, other=info[bb];
-
-                // check if this module requires the other directly
-                if (rr && Y.Array.indexOf(rr, bb) > -1) {
-                    return true;
-                }
-
-                // check if this module should be sorted after the other
-                if (after && Y.Array.indexOf(after, bb) > -1) {
-                    return true;
-                }
-
-                // check if this module requires one the other supersedes
-                var ss=info[bb] && info[bb].supersedes;
-                if (ss) {
-                    for (ii=0; ii<ss.length; ii=ii+1) {
-                        if (requires(aa, ss[ii])) {
-                            return true;
-                        }
-                    }
-                }
-
-                // external css files should be sorted below yui css
-                if (mm.ext && mm.type == CSS && (!other.ext)) {
-                    return true;
-                }
-
-                return false;
-            };
-
-            // pointer to the first unsorted item
-            var p=0; 
-
-            // keep going until we make a pass without moving anything
-            for (;;) {
-               
-                var l=s.length, a, b, j, k, moved=false;
-
-                // start the loop after items that are already sorted
-                for (j=p; j<l; j=j+1) {
-
-                    // check the next module on the list to see if its
-                    // dependencies have been met
-                    a = s[j];
-
-                    // check everything below current item and move if we
-                    // find a requirement for the current item
-                    for (k=j+1; k<l; k=k+1) {
-                        if (requires(a, s[k])) {
-
-                            // extract the dependency so we can move it up
-                            b = s.splice(k, 1);
-
-                            // insert the dependency above the item that 
-                            // requires it
-                            s.splice(j, 0, b[0]);
-
-                            moved = true;
-                            break;
-                        }
-                    }
-
-                    // jump out of loop if we moved something
-                    if (moved) {
-                        break;
-                    // this item is sorted, move our pointer and keep going
-                    } else {
-                        p = p + 1;
-                    }
-                }
-
-                // when we make it here and moved is false, we are 
-                // finished sorting
-                if (!moved) {
-                    break;
-                }
-
-            }
-
-            this.sorted = s;
-        },
-
-        /**
-         * inserts the requested modules and their dependencies.  
-         * <code>type</code> can be "js" or "css".  Both script and 
-         * css are inserted if type is not provided.
-         * @method insert
-         * @param o optional options object
-         * @param type {string} the type of dependency to insert
-         */
-        insert: function(o, type) {
-
-            Y.log('Insert() ' + (type || ''), "info", "loader");
-
-            // build the dependency list
-            this.calculate(o);
-
-            if (!type) {
-                // Y.log("trying to load css first");
-                var self = this;
-                this._internalCallback = function() {
-                            self._internalCallback = null;
-                            self.insert(null, JS);
-                        };
-                this.insert(null, CSS);
-                return;
-            }
-
-            // set a flag to indicate the load has started
-            this._loading = true;
-
-            // flag to indicate we are done with the combo service
-            // and any additional files will need to be loaded
-            // individually
-            this._combineComplete = false;
-
-            // keep the loadType (js, css or undefined) cached
-            this.loadType = type;
-
-            // start the load
-            this.loadNext();
-
-        },
-
-        /**
-         * Executed every time a module is loaded, and if we are in a load
-         * cycle, we attempt to load the next script.  Public so that it
-         * is possible to call this if using a method other than
-         * Y.register to determine when scripts are fully loaded
-         * @method loadNext
-         * @param mname {string} optional the name of the module that has
-         * been loaded (which is usually why it is time to load the next
-         * one)
-         */
-        loadNext: function(mname) {
-
-            // It is possible that this function is executed due to something
-            // else one the page loading a YUI module.  Only react when we
-            // are actively loading something
-            if (!this._loading) {
-                return;
-            }
-
-            var s, len, i, m, url, self=this;
-
-            // @TODO this will need to handle the two phase insert when
-            // CSS support is added
-            if (this.loadType !== CSS && this.combine && (!this._combineComplete)) {
-
-                this._combining = []; 
-                s=this.sorted;
-                len=s.length;
-                url=this.comboBase;
-
-                for (i=0; i<len; i=i+1) {
-                    m = this.getModule(s[i]);
-// @TODO we can't combine CSS yet until we deliver files with absolute paths to the assets
-                    // Do not try to combine non-yui JS
-                    if (m.type == JS && !m.ext) {
-                        url += this.root + m.path;
-                        if (i < len-1) {
-                            url += '&';
-                        }
-
-                        this._combining.push(s[i]);
-                    }
-                }
-
-                if (this._combining.length) {
-
-Y.log('Attempting to combine: ' + this._combining, "info", "loader");
-
-                    var callback=function(o) {
-                        Y.log('Combo complete: ' + o.data, "info", "loader");
-                        this._combineComplete = true;
-
-
-                        var c=this._combining, len=c.length, i, m;
-                        for (i=0; i<len; i=i+1) {
-                            this.inserted[c[i]] = true;
-                        }
-
-                        this.loadNext(o.data);
-                    };
-
-                    // @TODO get rid of the redundant Get code
-                    Y.Get.script(url, {
-                        data: this._loading,
-                        onSuccess: callback,
-                        onFailure: this._onFailure,
-                        onTimeout: this._onTimeout,
-                        insertBefore: this.insertBefore,
-                        charset: this.charset,
-                        timeout: this.timeout,
-                        context: self 
-                    });
-
-                    return;
-
-                } else {
-                    this._combineComplete = true;
-                }
-            }
-
-            if (mname) {
-
-                // if the module that was just loaded isn't what we were expecting,
-                // continue to wait
-                if (mname !== this._loading) {
-                    return;
-                }
-
-Y.log("loadNext executing, just loaded " + mname || "", "info", "loader");
-
-                // The global handler that is called when each module is loaded
-                // will pass that module name to this function.  Storing this
-                // data to avoid loading the same module multiple times
-                this.inserted[mname] = true;
-
-                // this.fire('progress', {
-                //     name: mname,
-                //     data: this.data
-                // });
-                if (this.onProgress) {
-                    this.onProgress.call(this.context, {
-                            name: mname,
-                            data: this.data
-                        });
-                }
-
-
-            }
-
-            s=this.sorted;
-            len=s.length;
-
-            for (i=0; i<len; i=i+1) {
-
-                // this.inserted keeps track of what the loader has loaded.
-                // move on if this item is done.
-                if (s[i] in this.inserted) {
-                    // Y.log(s[i] + " alread loaded ");
-                    continue;
-                }
-
-                // Because rollups will cause multiple load notifications
-                // from Y, loadNext may be called multiple times for
-                // the same module when loading a rollup.  We can safely
-                // skip the subsequent requests
-                if (s[i] === this._loading) {
-                    Y.log("still loading " + s[i] + ", waiting", "info", "loader");
-                    return;
-                }
-
-                // log("inserting " + s[i]);
-                m = this.getModule(s[i]);
-
-                if (!m) {
-
-                    var msg = "Undefined module " + s[i] + " skipped";
-                    Y.log(msg, 'warn', 'loader');
-                    this.inserted[s[i]] = true;
-                    this.skipped[s[i]] = true;
-                    continue;
-
-                    // this.fire('failure', {
-                        // msg: msg,
-                        // data: this.data
-                    // });
-                }
-
-
-                // The load type is stored to offer the possibility to load
-                // the css separately from the script.
-                if (!this.loadType || this.loadType === m.type) {
-                    this._loading = s[i];
-                    Y.log("attempting to load " + s[i] + ", " + this.base, "info", "loader");
-
-                    var fn=(m.type === CSS) ? Y.Get.css : Y.Get.script,
-                        onsuccess=function(o) {
-                            // Y.log('loading next, just loaded' + o.data);
-                            self.loadNext(o.data);
-                        };
-                        
-                    url=m.fullpath || this._url(m.path, s[i]);
-                    self=this; 
-
-                    fn(url, {
-                        data: s[i],
-                        onSuccess: onsuccess,
-                        insertBefore: this.insertBefore,
-                        charset: this.charset,
-                        onFailure: this._onFailure,
-                        onTimeout: this._onTimeout,
-                        timeout: this.timeout,
-                        context: self 
-                    });
-
-                    return;
-                }
-            }
-
-            // we are finished
-            this._loading = null;
-
-            // internal callback for loading css first
-            if (this._internalCallback) {
-                // Y.log('loader internal');
-
-                var f = this._internalCallback;
-                this._internalCallback = null;
-                f.call(this);
-
-            // } else if (this.onSuccess) {
-            } else {
-                // Y.log('loader complete');
-
-                // call Y.use passing this instance. Y will use the sorted
-                // dependency list.
-
-                this._onSuccess();
-
-            }
-
-        },
-
-        /**
-         * In IE, the onAvailable/onDOMReady events need help when Event is
-         * loaded dynamically
-         * @method _pushEvents
-         * @param {Function} optional function reference
-         * @private
-         */
-        _pushEvents: function() {
-            if (Y.Event) {
-                Y.Event._load();
-            }
-        },
-
-        /**
-         * Generates the full url for a module
-         * method _url
-         * @param path {string} the path fragment
-         * @return {string} the full url
-         * @private
-         */
-        _url: function(path, name) {
-            
-            var u = (this.base || "") + path, 
-                f = this.filter;
-
-            if (f) {
-                var useFilter = true;
-
-                if (this.filterName == "DEBUG") {
-                
-                    var self = this, 
-                        exc = self.logExclude,
-                        inc = self.logInclude;
-                    if (inc && !(name in inc)) {
-                        useFilter = false;
-                    } else if (exc && (name in exc)) {
-                        useFilter = false;
-                    }
-
-                }
-                
-                // Y.log("filter: " + f + ", " + f.searchExp + 
-                // ", " + f.replaceStr);
-                if (useFilter) {
-                    u = u.replace(new RegExp(f.searchExp), f.replaceStr);
-                }
-            }
-
-            // Y.log(u);
-
-            return u;
-        }
-
-    };
-
-    // Y.augment(Y.Loader, Y.Event.Target);
-
-}, "3.0.0pr1");

=== removed file 'loggerhead/static/javascript/yui/build/loader/loader-min.js'
--- loggerhead/static/javascript/yui/build/loader/loader-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/loader/loader-min.js	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("loader",function(C){var P="base",O="css",M="js",G="cssreset",Q="cssfonts",N="cssgrids",B="cssbase",E=[G,Q,N,"cssreset-context","cssfonts-context","cssgrids-context"],J=["reset","fonts","grids","base"],T="3.0.0pr1",A=T+"/build/",R="-context",U={version:T,root:A,base:"http://yui.yahooapis.com/"+A,comboBase:"http://yui.yahooapis.com/combo?",modules:{dom:{requires:["event"],submodules:{"dom-base":{requires:["event"]},"dom-style":{requires:["dom-base"]},"dom-screen":{requires:["dom-base","dom-style"]},selector:{requires:["dom-base"]}}},node:{requires:["dom"],submodules:{"node-base":{requires:["dom-base","selector"]},"node-style":{requires:["dom-style","node-base"]},"node-screen":{requires:["dom-screen","node-base"]}}},anim:{requires:[P,"node"],submodules:{"anim-base":{requires:["base","node-style"]},"anim-color":{requires:["anim-base"]},"anim-curve":{requires:["anim-xy"]},"anim-easing":{},"anim-scroll":{requires:["anim-base"]},"anim-xy":{requires:["anim-base","node-screen"]},"anim-node-plugin":{requires:["node","anim-base"]}}},attribute:{requires:["event"]},base:{requires:["attribute"]},compat:{requires:["node"]},cookie:{},"dd":{submodules:{"dd-ddm-base":{requires:["node",P]},"dd-ddm":{requires:["dd-ddm-base"]},"dd-ddm-drop":{requires:["dd-ddm"]},"dd-drag":{requires:["dd-ddm-base"]},"dd-drop":{requires:["dd-ddm-drop"]},"dd-proxy":{requires:["dd-drag"]},"dd-constrain":{requires:["dd-drag","dd-proxy"]},"dd-plugin":{requires:["dd-drag"],optional:["dd-constrain","dd-proxy"]},"dd-drop-plugin":{requires:["dd-drop"]}}},dump:{},event:{requires:["oop"]},get:{},io:{requires:["node"]},json:{submodules:{"json-parse":{},"json-stringify":{}}},loader:{},oop:{requires:["yui-base"]},queue:{},substitute:{optional:["dump"]},yui:{supersedes:["yui-base","get","loader"]},"yui-base":{}}};var H=function(L,W,X){return L+"/"+W+"-min."+(X||O);};var F=function(){var X=U.modules;for(var W=0;W<J.length;W=W+1){var Z=J[W],Y=O+Z;X[Y]={type:O,path:H(Y,Z)};var L=Y+R;Z=Z+R;X[L]={type:O,path:H(Y,Z)};if(Y==N){X[Y].requires=[Q];X[Y].optional=[G];X[L].requires=[Q+R];X[L].optional=[G+R];}else{if(Y==B){X[Y].after=E;X[L].after=E;}}}}();C.Env.meta=U;var K=C.Lang,S=C.Env,I="_provides",V="_supersedes",D="expanded";C.Loader=function(X){this._internalCallback=null;this._useYahooListener=false;this.onSuccess=null;this.onFailure=null;this.onProgress=null;this.onTimeout=null;this.context=C;this.data=null;this.insertBefore=null;this.charset=null;this.base=C.Env.meta.base;this.comboBase=C.Env.meta.comboBase;this.combine=(!(P in X));this.ignoreRegistered=false;this.root=C.Env.meta.root;this.timeout=0;this.ignore=null;this.force=null;this.allowRollup=true;this.filter=null;this.required={};this.moduleInfo={};var W=C.Env.meta.modules;for(var L in W){if(W.hasOwnProperty(L)){this._internal=true;this.addModule(W[L],L);this._internal=false;}}this.rollups=null;this.loadOptional=false;this.sorted=[];this.loaded={};this.attaching=null;this.dirty=true;this.inserted={};this.skipped={};this._config(X);};C.Loader.prototype={FILTERS:{RAW:{"searchExp":"-min\\.js","replaceStr":".js"},DEBUG:{"searchExp":"-min\\.js","replaceStr":"-debug.js"}},_config:function(Z){if(Z){for(var W in Z){var Y=Z[W];if(Z.hasOwnProperty(W)){if(W=="require"){this.require(Y);}else{if(W=="modules"){for(var L in Y){this.addModule(Y[L],L);}}else{this[W]=Y;}}}}}var X=this.filter;if(K.isString(X)){X=X.toUpperCase();this.filterName=X;this.filter=this.FILTERS[X];}},addModule:function(b,X){X=X||b.name;b.name=X;if(!b||!b.name){return false;}if(!b.type){b.type=M;}if(!b.path&&!b.fullpath){b.path=H(X,X,b.type);}b.ext=("ext" in b)?b.ext:(this._internal)?false:true;b.requires=b.requires||[];var Z=b.submodules;if(Z){var W=[],L=0;for(var Y in Z){var a=Z[Y];a.path=H(X,Y,b.type);this.addModule(a,Y);W.push(Y);L++;}b.supersedes=W;b.rollup=Math.min(L-1,4);}this.moduleInfo[X]=b;this.dirty=true;return b;},require:function(W){var L=(typeof W==="string")?arguments:W;this.dirty=true;C.mix(this.required,C.Array.hash(L));},getRequires:function(c){if(!c){return[];}if(!this.dirty&&c.expanded){return c.expanded;}var a,b=[],L=c.requires,W=c.optional,X=this.moduleInfo,Y,Z,e;for(a=0;a<L.length;a=a+1){b.push(L[a]);Y=this.getModule(L[a]);e=this.getRequires(Y);for(Z=0;Z<e.length;Z=Z+1){b.push(e[Z]);}}L=c.supersedes;if(L){for(a=0;a<L.length;a=a+1){b.push(L[a]);Y=this.getModule(L[a]);e=this.getRequires(Y);for(Z=0;Z<e.length;Z=Z+1){b.push(e[Z]);}}}if(W&&this.loadOptional){for(a=0;a<W.length;a=a+1){b.push(W[a]);e=this.getRequires(X[W[a]]);for(Z=0;Z<e.length;Z=Z+1){b.push(e[Z]);}}}c.expanded=C.Object.keys(C.Array.hash(b));return c.expanded;},getProvides:function(X,c){var W=!(c),L=(W)?I:V,Z=this.getModule(X),Y={};if(!Z){return Y;}if(Z[L]){return Z[L];}var f=Z.supersedes,a={},d=this;var e=function(g){if(!a[g]){a[g]=true;C.mix(Y,d.getProvides(g));}};if(f){for(var b=0;b<f.length;b=b+1){e(f[b]);}}Z[V]=Y;Z[I]=C.merge(Y);Z[I][X]=true;return Z[L];},calculate:function(L){if(L||this.dirty){this._config(L);this._setup();this._explode();if(this.allowRollup){this._rollup();}this._reduce();this._sort();this.dirty=false;}},_setup:function(){var Z=this.moduleInfo,X,Y,W;var L=C.merge(this.inserted);if(!this.ignoreRegistered){C.mix(L,YUI.Env.mods);}if(this.ignore){C.mix(L,C.Array.hash(this.ignore));}for(W in L){if(L.hasOwnProperty(W)){C.mix(L,this.getProvides(W));}}if(this.force){for(Y=0;Y<this.force.length;Y=Y+1){if(this.force[Y] in L){delete L[this.force[Y]];}}}this.loaded=L;},_explode:function(){var Y=this.required,W,L;for(W in Y){if(Y.hasOwnProperty(W)){L=this.getModule(W);var X=this.getRequires(L);if(X){C.mix(Y,C.Array.hash(X));}}}},getModule:function(W){var L=this.moduleInfo[W];return L;},_rollup:function(){var b,a,Z,f,e={},L=this.required,X,Y=this.moduleInfo;if(this.dirty||!this.rollups){for(b in Y){if(Y.hasOwnProperty(b)){Z=this.getModule(b);if(Z&&Z.rollup){e[b]=Z;}}}this.rollups=e;}for(;;){var W=false;for(b in e){if(!L[b]&&!this.loaded[b]){Z=this.getModule(b);f=Z.supersedes||[];X=false;if(!Z.rollup){continue;}var d=0;for(a=0;a<f.length;
-a=a+1){if(this.loaded[f[a]]){X=false;break;}else{if(L[f[a]]){d++;X=(d>=Z.rollup);if(X){break;}}}}if(X){L[b]=true;W=true;this.getRequires(Z);}}}if(!W){break;}}},_reduce:function(){var X,W,Y,L,Z=this.required;for(X in Z){if(X in this.loaded){delete Z[X];}else{L=this.getModule(X);Y=L&&L.supersedes;if(Y){for(W=0;W<Y.length;W=W+1){if(Y[W] in Z){delete Z[Y[W]];}}}}}},_attach:function(){if(this.attaching){C._attach(this.attaching);}else{C._attach(this.sorted);}this._pushEvents();},_onSuccess:function(){this._attach();for(var L in this.skipped){delete this.inserted[L];}this.skipped={};var W=this.onSuccess;if(W){W.call(this.context,{msg:"success",data:this.data,success:true});}},_onFailure:function(W){this._attach();var L=this.onFailure;if(L){L.call(this.context,{msg:"failure: "+W,data:this.data,success:false});}},_onTimeout:function(){this._attach();var L=this.onTimeout;if(L){L.call(this.context,{msg:"timeout",data:this.data,success:false});}},_sort:function(){var h=C.Object.keys(this.required),W=this.moduleInfo,c=this.loaded,d=this;var i=function(l,o){var n=W[l];if(c[o]||!n){return false;}var k,b=n.expanded,m=n.after,a=W[o];if(b&&C.Array.indexOf(b,o)>-1){return true;}if(m&&C.Array.indexOf(m,o)>-1){return true;}var j=W[o]&&W[o].supersedes;if(j){for(k=0;k<j.length;k=k+1){if(i(l,j[k])){return true;}}}if(n.ext&&n.type==O&&(!a.ext)){return true;}return false;};var L=0;for(;;){var X=h.length,g,f,Z,Y,e=false;for(Z=L;Z<X;Z=Z+1){g=h[Z];for(Y=Z+1;Y<X;Y=Y+1){if(i(g,h[Y])){f=h.splice(Y,1);h.splice(Z,0,f[0]);e=true;break;}}if(e){break;}else{L=L+1;}}if(!e){break;}}this.sorted=h;},insert:function(X,W){this.calculate(X);if(!W){var L=this;this._internalCallback=function(){L._internalCallback=null;L.insert(null,M);};this.insert(null,O);return ;}this._loading=true;this._combineComplete=false;this.loadType=W;this.loadNext();},loadNext:function(b){if(!this._loading){return ;}var h,a,Y,X,L,g=this;if(this.loadType!==O&&this.combine&&(!this._combineComplete)){this._combining=[];h=this.sorted;a=h.length;L=this.comboBase;for(Y=0;Y<a;Y=Y+1){X=this.getModule(h[Y]);if(X.type==M&&!X.ext){L+=this.root+X.path;if(Y<a-1){L+="&";}this._combining.push(h[Y]);}}if(this._combining.length){var d=function(l){this._combineComplete=true;var n=this._combining,j=n.length,k,f;for(k=0;k<j;k=k+1){this.inserted[n[k]]=true;}this.loadNext(l.data);};C.Get.script(L,{data:this._loading,onSuccess:d,onFailure:this._onFailure,onTimeout:this._onTimeout,insertBefore:this.insertBefore,charset:this.charset,timeout:this.timeout,context:g});return ;}else{this._combineComplete=true;}}if(b){if(b!==this._loading){return ;}this.inserted[b]=true;if(this.onProgress){this.onProgress.call(this.context,{name:b,data:this.data});}}h=this.sorted;a=h.length;for(Y=0;Y<a;Y=Y+1){if(h[Y] in this.inserted){continue;}if(h[Y]===this._loading){return ;}X=this.getModule(h[Y]);if(!X){var W="Undefined module "+h[Y]+" skipped";this.inserted[h[Y]]=true;this.skipped[h[Y]]=true;continue;}if(!this.loadType||this.loadType===X.type){this._loading=h[Y];var c=(X.type===O)?C.Get.css:C.Get.script,e=function(f){g.loadNext(f.data);};L=X.fullpath||this._url(X.path,h[Y]);g=this;c(L,{data:h[Y],onSuccess:e,insertBefore:this.insertBefore,charset:this.charset,onFailure:this._onFailure,onTimeout:this._onTimeout,timeout:this.timeout,context:g});return ;}}this._loading=null;if(this._internalCallback){var Z=this._internalCallback;this._internalCallback=null;Z.call(this);}else{this._onSuccess();}},_pushEvents:function(){if(C.Event){C.Event._load();}},_url:function(c,Z){var Y=(this.base||"")+c,a=this.filter;if(a){var W=true;if(this.filterName=="DEBUG"){var X=this,L=X.logExclude,b=X.logInclude;if(b&&!(Z in b)){W=false;}else{if(L&&(Z in L)){W=false;}}}if(W){Y=Y.replace(new RegExp(a.searchExp),a.replaceStr);}}return Y;}};},"3.0.0pr1");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/loader/loader.js'
--- loggerhead/static/javascript/yui/build/loader/loader.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/loader/loader.js	1970-01-01 00:00:00 +0000
@@ -1,1540 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * Loader dynamically loads script and css files.  It includes the dependency
- * info for the version of the library in use, and will automatically pull in
- * dependencies for the modules requested.  It supports rollup files and will
- * automatically use these when appropriate in order to minimize the number of
- * http connections required to load all of the dependencies.  It can load the
- * files from the Yahoo! CDN, and it can utilize the combo service provided on
- * this network to reduce the number of http connections required to download 
- * YUI files.
- *
- * @module yui
- * @submodule loader
- */
-
-/**
- * Loader dynamically loads script and css files.  It includes the dependency
- * info for the version of the library in use, and will automatically pull in
- * dependencies for the modules requested.  It supports rollup files and will
- * automatically use these when appropriate in order to minimize the number of
- * http connections required to load all of the dependencies.  It can load the
- * files from the Yahoo! CDN, and it can utilize the combo service provided on
- * this network to reduce the number of http connections required to download 
- * YUI files.
- * @class Loader
- * @constructor
- * @param o an optional set of configuration options.  Valid options:
- * <ul>
- *  <li>base:
- *  The base dir</li>
- *  <li>secureBase:
- *  The secure base dir (not implemented)</li>
- *  <li>comboBase:
- *  The YUI combo service base dir. Ex: http://yui.yahooapis.com/combo?</li>
- *  <li>root:
- *  The root path to prepend to module names for the combo service. Ex: 2.5.2/build/</li>
- *  <li>filter:
- *  
- * A filter to apply to result urls.  This filter will modify the default
- * path for all modules.  The default path for the YUI library is the
- * minified version of the files (e.g., event-min.js).  The filter property
- * can be a predefined filter or a custom filter.  The valid predefined 
- * filters are:
- * <dl>
- *  <dt>DEBUG</dt>
- *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
- *      This option will automatically include the logger widget</dd>
- *  <dt>RAW</dt>
- *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
- * </dl>
- * You can also define a custom filter, which must be an object literal 
- * containing a search expression and a replace string:
- * <pre>
- *  myFilter: &#123; 
- *      'searchExp': "-min\\.js", 
- *      'replaceStr': "-debug.js"
- *  &#125;
- * </pre>
- *
- *  </li>
- *  <li>combine:
- *  Use the YUI combo service to reduce the number of http connections required to load your dependencies</li>
- *  <li>ignore:
- *  A list of modules that should never be dynamically loaded</li>
- *  <li>force:
- *  A list of modules that should always be loaded when required, even if already present on the page</li>
- *  <li>insertBefore:
- *  Node or id for a node that should be used as the insertion point for new nodes</li>
- *  <li>charset:
- *  charset for dynamic nodes</li>
- *  <li>timeout:
- *  number of milliseconds before a timeout occurs when dynamically loading nodes.  in not set, there is no timeout</li>
- *  <li>context:
- *  execution context for all callbacks</li>
- *  <li>onSuccess:
- *  callback for the 'success' event</li>
- *  <li>onFailure:
- *  callback for the 'failure' event</li>
- *  <li>onTimeout:
- *  callback for the 'timeout' event</li>
- *  <li>onProgress:
- *  callback executed each time a script or css file is loaded</li>
- *  <li>modules:
- *  A list of module definitions.  See Loader.addModule for the supported module metadata</li>
- * </ul>
- */
-
-// @TODO backed out the custom event changes so that the event system
-// isn't required in the seed build.  If needed, we may want to 
-// add them back if the event system is detected.
-
-/*
- * Executed when the loader successfully completes an insert operation
- * This can be subscribed to normally, or a listener can be passed
- * as an onSuccess config option.
- * @event success
- */
-
-/*
- * Executed when the loader fails to complete an insert operation.
- * This can be subscribed to normally, or a listener can be passed
- * as an onFailure config option.
- *
- * @event failure
- */
-
-/*
- * Executed when a Get operation times out.
- * This can be subscribed to normally, or a listener can be passed
- * as an onTimeout config option.
- *
- * @event timeout
- */
-
-// http://yui.yahooapis.com/combo?2.5.2/build/yahoo/yahoo-min.js&2.5.2/build/dom/dom-min.js&2.5.2/build/event/event-min.js&2.5.2/build/autocomplete/autocomplete-min.js"
-
-YUI.add("loader", function(Y) {
-
-var BASE = 'base', 
-    CSS = 'css',
-    JS = 'js',
-    CSSRESET = 'cssreset',
-    CSSFONTS = 'cssfonts',
-    CSSGRIDS = 'cssgrids',
-    CSSBASE = 'cssbase',
-    CSS_AFTER = [CSSRESET, CSSFONTS, CSSGRIDS, 'cssreset-context', 'cssfonts-context', 'cssgrids-context'],
-    YUI_CSS = ['reset', 'fonts', 'grids', 'base'],
-    VERSION = '3.0.0pr1',
-    ROOT = VERSION + '/build/',
-    CONTEXT = '-context',
-    META = {
-
-    version: VERSION,
-
-    root: ROOT,
-
-    base: 'http://yui.yahooapis.com/' + ROOT,
-
-    comboBase: 'http://yui.yahooapis.com/combo?',
-
-    modules: {
-
-       dom: {
-            requires: ['event'],
-            submodules: {
-                'dom-base': {
-                    requires: ['event']
-                },
-                'dom-style': {
-                    requires: ['dom-base']
-
-                },
-                'dom-screen': {
-                    requires: ['dom-base', 'dom-style']
-                },
-                selector: {
-                    requires: ['dom-base']
-                }
-            }
-        },
-
-        node: {
-            requires: ['dom'],
-            submodules: {
-                'node-base': {
-                    requires: ['dom-base', 'selector']
-                },
-                'node-style': {
-                    requires: ['dom-style', 'node-base']
-                },
-                'node-screen': {
-                    requires: ['dom-screen', 'node-base']
-                }
-            }
-        },
-
-        anim: {
-            requires: [BASE, 'node'],
-            submodules: {
-                'anim-base': {
-                    requires: ['base', 'node-style']
-                },
-                'anim-color': {
-                    requires: ['anim-base']
-                },
-                'anim-curve': {
-                    requires: ['anim-xy']
-                },
-                'anim-easing': {
-                },
-                'anim-scroll': {
-                    requires: ['anim-base']
-                },
-                'anim-xy': {
-                    requires: ['anim-base', 'node-screen']
-                },
-                'anim-node-plugin': {
-                     requires: ['node', 'anim-base']
-                }
-            }
-        },
-
-        attribute: { 
-            requires: ['event']
-        },
-
-        base: {
-            requires: ['attribute']
-        },
-        
-        compat: { 
-            requires: ['node']
-        },
-        
-        cookie: { },
-
-        // Note: CSS attributes are modified programmatically to reduce metadata size
-        // cssbase: {
-        //     after: CSS_AFTER
-        // },
-
-        // cssgrids: {
-        //     requires: [CSSFONTS],
-        //     optional: [CSSRESET]
-        // },
-
-        'dd':{
-            submodules: {
-                'dd-ddm-base': {
-                    requires: ['node', BASE]
-                }, 
-                'dd-ddm':{
-                    requires: ['dd-ddm-base']
-                }, 
-                'dd-ddm-drop':{
-                    requires: ['dd-ddm']
-                }, 
-                'dd-drag':{
-                    requires: ['dd-ddm-base']
-                }, 
-                'dd-drop':{
-                    requires: ['dd-ddm-drop']
-                }, 
-                'dd-proxy':{
-                    requires: ['dd-drag']
-                }, 
-                'dd-constrain':{
-                    requires: ['dd-drag', 'dd-proxy']
-                }, 
-                'dd-plugin':{
-                    requires: ['dd-drag'],
-                    optional: ['dd-constrain', 'dd-proxy']
-                },
-                'dd-drop-plugin':{
-                    requires: ['dd-drop']
-                }
-            }
-        },
-
-        dump: { },
-
-        event: { 
-            requires: ['oop']
-        },
-
-        get: { },
-        
-        io: { 
-            requires: ['node']
-        },
-
-        json: {
-            submodules: {
-                'json-parse': {
-                },
-
-                'json-stringify': {
-                }
-            }
-        },
-
-        loader: { },
-        
-        oop: { 
-            requires: ['yui-base']
-        },
-
-        queue: { },
-
-        substitute: {
-            optional: ['dump']
-        },
-
-        // Since YUI is required for everything else, it should not be specified as
-        // a dependency.
-        yui: {
-            supersedes: ['yui-base', 'get', 'loader']
-        },
-
-        'yui-base': { }
-    }
-};
-
-var _path = function(dir, file, type) {
-    return dir + '/' + file + '-min.' + (type || CSS);
-};
-
-var _cssmeta = function() {
-    var mods = META.modules;
-    // modify the meta info for YUI CSS
-    for (var i=0; i<YUI_CSS.length; i=i+1) {
-        var bname = YUI_CSS[i],
-            mname = CSS + bname;
-
-        mods[mname] = {
-            type: CSS,
-            path: _path(mname, bname)
-        };
-
-        // define -context module
-        var contextname = mname + CONTEXT;
-        bname = bname + CONTEXT;
-
-        mods[contextname] = {
-            type: CSS,
-            path: _path(mname, bname)
-        };
-
-        if (mname == CSSGRIDS) {
-            mods[mname].requires = [CSSFONTS];
-            mods[mname].optional = [CSSRESET];
-            mods[contextname].requires = [CSSFONTS + CONTEXT];
-            mods[contextname].optional = [CSSRESET + CONTEXT];
-        } else if (mname == CSSBASE) {
-            mods[mname].after = CSS_AFTER;
-            mods[contextname].after = CSS_AFTER;
-        }
-    }
-}();
-
-Y.Env.meta = META;
-
-
-    var L=Y.Lang, env=Y.Env,
-        PROV = "_provides", SUPER = "_supersedes",
-        REQ = "expanded";
-
-    Y.Loader = function(o) {
-
-        /**
-         * Internal callback to handle multiple internal insert() calls
-         * so that css is inserted prior to js
-         * @property _internalCallback
-         * @private
-         */
-        this._internalCallback = null;
-
-        /**
-         * Use the YUI environment listener to detect script load.  This
-         * is only switched on for Safari 2.x and below.
-         * @property _useYahooListener
-         * @private
-         */
-        this._useYahooListener = false;
-
-        /**
-         * Callback that will be executed when the loader is finished
-         * with an insert
-         * @method onSuccess
-         * @type function
-         */
-        this.onSuccess = null;
-
-        /**
-         * Callback that will be executed if there is a failure
-         * @method onFailure
-         * @type function
-         */
-        this.onFailure = null;
-
-        /**
-         * Callback executed each time a script or css file is loaded
-         * @method onProgress
-         * @type function
-         */
-        this.onProgress = null;
-
-        /**
-         * Callback that will be executed if a timeout occurs
-         * @method onTimeout
-         * @type function
-         */
-        this.onTimeout = null;
-
-        /**
-         * The execution context for all callbacks
-         * @property context
-         * @default {YUI} the YUI instance
-         */
-        this.context = Y;
-
-        /**
-         * Data that is passed to all callbacks
-         * @property data
-         */
-        this.data = null;
-
-        /**
-         * Node reference or id where new nodes should be inserted before
-         * @property insertBefore
-         * @type string|HTMLElement
-         */
-        this.insertBefore = null;
-
-        /**
-         * The charset attribute for inserted nodes
-         * @property charset
-         * @type string
-         * @default utf-8
-         */
-        this.charset = null;
-
-        /**
-         * The base directory.
-         * @property base
-         * @type string
-         * @default http://yui.yahooapis.com/[YUI VERSION]/build/
-         */
-        this.base = Y.Env.meta.base;
-
-        /**
-         * Base path for the combo service
-         * @property comboBase
-         * @type string
-         * @default http://yui.yahooapis.com/combo?
-         */
-        this.comboBase = Y.Env.meta.comboBase;
-
-        /**
-         * If configured, YUI JS resources will use the combo
-         * handler
-         * @property combine
-         * @type boolean
-         * @default true if a base dir isn't in the config
-         */
-        this.combine = (!(BASE in o));
-
-        /**
-         * Ignore modules registered on the YUI global
-         * @property ignoreRegistered
-         * @default false
-         */
-        this.ignoreRegistered = false;
-
-        /**
-         * Root path to prepend to module path for the combo
-         * service
-         * @property root
-         * @type string
-         * @default [YUI VERSION]/build/
-         */
-        this.root = Y.Env.meta.root;
-
-        /**
-         * Timeout value in milliseconds.  If set, this value will be used by
-         * the get utility.  the timeout event will fire if
-         * a timeout occurs.
-         * @property timeout
-         * @type int
-         */
-        this.timeout = 0;
-
-        /**
-         * A list of modules that should not be loaded, even if
-         * they turn up in the dependency tree
-         * @property ignore
-         * @type string[]
-         */
-        this.ignore = null;
-
-        /**
-         * A list of modules that should always be loaded, even
-         * if they have already been inserted into the page.
-         * @property force
-         * @type string[]
-         */
-        this.force = null;
-
-        /**
-         * Should we allow rollups
-         * @property allowRollup
-         * @type boolean
-         * @default true
-         */
-        this.allowRollup = true;
-
-        /**
-         * A filter to apply to result urls.  This filter will modify the default
-         * path for all modules.  The default path for the YUI library is the
-         * minified version of the files (e.g., event-min.js).  The filter property
-         * can be a predefined filter or a custom filter.  The valid predefined 
-         * filters are:
-         * <dl>
-         *  <dt>DEBUG</dt>
-         *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
-         *      This option will automatically include the logger widget</dd>
-         *  <dt>RAW</dt>
-         *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
-         * </dl>
-         * You can also define a custom filter, which must be an object literal 
-         * containing a search expression and a replace string:
-         * <pre>
-         *  myFilter: &#123; 
-         *      'searchExp': "-min\\.js", 
-         *      'replaceStr': "-debug.js"
-         *  &#125;
-         * </pre>
-         * @property filter
-         * @type string|{searchExp: string, replaceStr: string}
-         */
-        this.filter = null;
-
-        /**
-         * The list of requested modules
-         * @property required
-         * @type {string: boolean}
-         */
-        this.required = {};
-
-        /**
-         * The library metadata
-         * @property moduleInfo
-         */
-        // this.moduleInfo = Y.merge(Y.Env.meta.moduleInfo);
-        this.moduleInfo = {};
-        
-        var defaults = Y.Env.meta.modules;
-
-        for (var i in defaults) {
-            if (defaults.hasOwnProperty(i)) {
-                this._internal = true;
-                this.addModule(defaults[i], i);
-                this._internal = false;
-            }
-        }
-
-        /**
-         * List of rollup files found in the library metadata
-         * @property rollups
-         */
-        this.rollups = null;
-
-        /**
-         * Whether or not to load optional dependencies for 
-         * the requested modules
-         * @property loadOptional
-         * @type boolean
-         * @default false
-         */
-        this.loadOptional = false;
-
-        /**
-         * All of the derived dependencies in sorted order, which
-         * will be populated when either calculate() or insert()
-         * is called
-         * @property sorted
-         * @type string[]
-         */
-        this.sorted = [];
-
-        /**
-         * Set when beginning to compute the dependency tree. 
-         * Composed of what YUI reports to be loaded combined
-         * with what has been loaded by the tool
-         * @propery loaded
-         * @type {string: boolean}
-         */
-        this.loaded = {};
-
-        /**
-         * A list of modules to attach to the YUI instance when complete.
-         * If not supplied, the sorted list of dependencies are applied.
-         * @property attaching
-         */
-        this.attaching = null;
-
-        /**
-         * Flag to indicate the dependency tree needs to be recomputed
-         * if insert is called again.
-         * @property dirty
-         * @type boolean
-         * @default true
-         */
-        this.dirty = true;
-
-        /**
-         * List of modules inserted by the utility
-         * @property inserted
-         * @type {string: boolean}
-         */
-        this.inserted = {};
-
-        this.skipped = {};
-
-        // Y.on('yui:load', this.loadNext, this);
-
-        this._config(o);
-
-    };
-
-    Y.Loader.prototype = {
-
-        FILTERS: {
-            RAW: { 
-                'searchExp': "-min\\.js", 
-                'replaceStr': ".js"
-            },
-            DEBUG: { 
-                'searchExp': "-min\\.js", 
-                'replaceStr': "-debug.js"
-            }
-        },
-
-        _config: function(o) {
-
-            // apply config values
-            if (o) {
-                for (var i in o) {
-                    var val = o[i];
-                    if (o.hasOwnProperty(i)) {
-                        if (i == 'require') {
-                            this.require(val);
-                        // support the old callback syntax
-                        // } else if (i.indexOf('on') === 0) {
-                            // this.subscribe(i.substr(2).toLowerCase(), o[i], o.context || this);
-                        } else if (i == 'modules') {
-                            // add a hash of module definitions
-                            for (var j in val) {
-                                this.addModule(val[j], j);
-                            }
-                        } else {
-                            this[i] = val;
-                        }
-                    }
-                }
-            }
-
-            // fix filter
-            var f = this.filter;
-
-            if (L.isString(f)) {
-
-                f = f.toUpperCase();
-
-                this.filterName = f;
-
-                // the logger must be available in order to use the debug
-                // versions of the library
-                // @TODO review when logreader is available
-                // if (f === "DEBUG") {
-                //     this.require("log");
-                // }
-
-                this.filter = this.FILTERS[f];
-            }
-
-        },
-
-        /** Add a new module to the component metadata.         
-         * <dl>
-         *     <dt>name:</dt>       <dd>required, the component name</dd>
-         *     <dt>type:</dt>       <dd>required, the component type (js or css)</dd>
-         *     <dt>path:</dt>       <dd>required, the path to the script from "base"</dd>
-         *     <dt>requires:</dt>   <dd>array of modules required by this component</dd>
-         *     <dt>optional:</dt>   <dd>array of optional modules for this component</dd>
-         *     <dt>supersedes:</dt> <dd>array of the modules this component replaces</dd>
-         *     <dt>after:</dt>      <dd>array of modules the components which, if present, should be sorted above this one</dd>
-         *     <dt>rollup:</dt>     <dd>the number of superseded modules required for automatic rollup</dd>
-         *     <dt>fullpath:</dt>   <dd>If fullpath is specified, this is used instead of the configured base + path</dd>
-         *     <dt>skinnable:</dt>  <dd>flag to determine if skin assets should automatically be pulled in</dd>
-         *     <dt>submodules:</dt> <dd>a has of submodules</dd>
-         * </dl>
-         * @method addModule
-         * @param o An object containing the module data
-         * @param name the module name (optional), required if not in the module data
-         * @return {boolean} true if the module was added, false if 
-         * the object passed in did not provide all required attributes
-         */
-        addModule: function(o, name) {
-
-            name = name || o.name;
-            o.name = name;
-
-            if (!o || !o.name) {
-                return false;
-            }
-
-            if (!o.type) {
-                o.type = JS;
-            }
-
-            if (!o.path && !o.fullpath) {
-                // o.path = name + "/" + name + "-min." + o.type;
-                o.path = _path(name, name, o.type);
-            }
-
-            o.ext = ('ext' in o) ? o.ext : (this._internal) ? false : true;
-            o.requires = o.requires || [];
-
-
-            // Handle submodule logic
-            var subs = o.submodules;
-            if (subs) {
-                var sup = [], l=0;
-
-                for (var i in subs) {
-                    var s = subs[i];
-                    s.path = _path(name, i, o.type);
-                    this.addModule(s, i);
-                    sup.push(i);
-                    l++;
-                }
-
-                o.supersedes = sup;
-                o.rollup = Math.min(l-1, 4);
-            }
-
-            this.moduleInfo[name] = o;
-            this.dirty = true;
-
-            return o;
-        },
-
-        /**
-         * Add a requirement for one or more module
-         * @method require
-         * @param what {string[] | string*} the modules to load
-         */
-        require: function(what) {
-            var a = (typeof what === "string") ? arguments : what;
-            this.dirty = true;
-            Y.mix(this.required, Y.Array.hash(a));
-        },
-
-        /**
-         * Returns an object containing properties for all modules required
-         * in order to load the requested module
-         * @method getRequires
-         * @param mod The module definition from moduleInfo
-         */
-        getRequires: function(mod) {
-
-            if (!mod) {
-                return [];
-            }
-
-            if (!this.dirty && mod.expanded) {
-                return mod.expanded;
-            }
-
-            var i, d=[], r=mod.requires, o=mod.optional, 
-                info=this.moduleInfo, m, j, add;
-
-            for (i=0; i<r.length; i=i+1) {
-                d.push(r[i]);
-                m = this.getModule(r[i]);
-                add = this.getRequires(m);
-                for (j=0;j<add.length;j=j+1) {
-                    d.push(add[j]);
-                }
-            }
-
-            // get the requirements from superseded modules, if any
-            r=mod.supersedes;
-            if (r) {
-                for (i=0; i<r.length; i=i+1) {
-                    d.push(r[i]);
-                    m = this.getModule(r[i]);
-                    add = this.getRequires(m);
-                    for (j=0;j<add.length;j=j+1) {
-                        d.push(add[j]);
-                    }
-                }
-            }
-
-            if (o && this.loadOptional) {
-                for (i=0; i<o.length; i=i+1) {
-                    d.push(o[i]);
-                    add = this.getRequires(info[o[i]]);
-                    for (j=0;j<add.length;j=j+1) {
-                        d.push(add[j]);
-                    }
-                }
-            }
-
-            mod.expanded = Y.Object.keys(Y.Array.hash(d));
-
-
-            return mod.expanded;
-        },
-
-
-        /**
-         * Returns an object literal of the modules the supplied module satisfies
-         * @method getProvides
-         * @param name{string} The name of the module
-         * @param notMe {string} don't add this module name, only include superseded modules
-         * @return what this module provides
-         */
-        getProvides: function(name, notMe) {
-            var addMe = !(notMe), ckey = (addMe) ? PROV : SUPER,
-                m = this.getModule(name), o = {};
-
-            if (!m) {
-                return o;
-            }
-
-            if (m[ckey]) {
-                return m[ckey];
-            }
-
-            var s = m.supersedes, done={}, me = this;
-
-            // use worker to break cycles
-            var add = function(mm) {
-                if (!done[mm]) {
-                    done[mm] = true;
-                    // we always want the return value normal behavior 
-                    // (provides) for superseded modules.
-                    Y.mix(o, me.getProvides(mm));
-                } 
-                
-                // else {
-                // }
-            };
-
-            // calculate superseded modules
-            if (s) {
-                for (var i=0; i<s.length; i=i+1) {
-                    add(s[i]);
-                }
-            }
-
-            // supersedes cache
-            m[SUPER] = o;
-            // provides cache
-            m[PROV] = Y.merge(o);
-            m[PROV][name] = true;
-
-
-            return m[ckey];
-        },
-
-
-        /**
-         * Calculates the dependency tree, the result is stored in the sorted 
-         * property
-         * @method calculate
-         * @param o optional options object
-         */
-        calculate: function(o) {
-            if (o || this.dirty) {
-                this._config(o);
-                this._setup();
-                this._explode();
-                if (this.allowRollup) {
-                    this._rollup();
-                }
-                this._reduce();
-                this._sort();
-
-
-                this.dirty = false;
-            }
-        },
-
-        /**
-         * Investigates the current YUI configuration on the page.  By default,
-         * modules already detected will not be loaded again unless a force
-         * option is encountered.  Called by calculate()
-         * @method _setup
-         * @private
-         */
-        _setup: function() {
-
-            var info = this.moduleInfo, name, i, j;
-
-            var l = Y.merge(this.inserted); // shallow clone
-
-            // available modules
-            if (!this.ignoreRegistered) {
-                Y.mix(l, YUI.Env.mods);
-            }
-            
-
-            // add the ignore list to the list of loaded packages
-            if (this.ignore) {
-                // OU.appendArray(l, this.ignore);
-                Y.mix(l, Y.Array.hash(this.ignore));
-            }
-
-            // expand the list to include superseded modules
-            for (j in l) {
-                if (l.hasOwnProperty(j)) {
-                    Y.mix(l, this.getProvides(j));
-                }
-            }
-
-            // remove modules on the force list from the loaded list
-            if (this.force) {
-                for (i=0; i<this.force.length; i=i+1) {
-                    if (this.force[i] in l) {
-                        delete l[this.force[i]];
-                    }
-                }
-            }
-
-
-            this.loaded = l;
-
-        },
-        
-
-        /**
-         * Inspects the required modules list looking for additional 
-         * dependencies.  Expands the required list to include all 
-         * required modules.  Called by calculate()
-         * @method _explode
-         * @private
-         */
-        _explode: function() {
-
-            var r=this.required, i, mod;
-
-            for (i in r) {
-                if (r.hasOwnProperty(i)) {
-                    mod = this.getModule(i);
-
-                    var req = this.getRequires(mod);
-
-                    if (req) {
-                        Y.mix(r, Y.Array.hash(req));
-                    }
-                }
-            }
-        },
-
-        getModule: function(name) {
-
-            var m = this.moduleInfo[name];
-
-            // create the default module
-            // if (!m) {
-                // m = this.addModule({ext: false}, name);
-            // }
-
-            return m;
-        },
-
-        /**
-         * Look for rollup packages to determine if all of the modules a
-         * rollup supersedes are required.  If so, include the rollup to
-         * help reduce the total number of connections required.  Called
-         * by calculate()
-         * @method _rollup
-         * @private
-         */
-        _rollup: function() {
-            var i, j, m, s, rollups={}, r=this.required, roll,
-                info = this.moduleInfo;
-
-            // find and cache rollup modules
-            if (this.dirty || !this.rollups) {
-                for (i in info) {
-                    if (info.hasOwnProperty(i)) {
-                        m = this.getModule(i);
-                        // if (m && m.rollup && m.supersedes) {
-                        if (m && m.rollup) {
-                            rollups[i] = m;
-                        }
-                    }
-                }
-
-                this.rollups = rollups;
-            }
-
-            // make as many passes as needed to pick up rollup rollups
-            for (;;) {
-                var rolled = false;
-
-                // go through the rollup candidates
-                for (i in rollups) { 
-
-                    // there can be only one
-                    if (!r[i] && !this.loaded[i]) {
-                        m =this.getModule(i); s = m.supersedes ||[]; roll=false;
-
-                        if (!m.rollup) {
-                            continue;
-                        }
-
-                        var c=0;
-
-                        // check the threshold
-                        for (j=0;j<s.length;j=j+1) {
-
-                            // if the superseded module is loaded, we can't load the rollup
-                            // if (this.loaded[s[j]] && (!_Y.dupsAllowed[s[j]])) {
-                            if (this.loaded[s[j]]) {
-                                roll = false;
-                                break;
-                            // increment the counter if this module is required.  if we are
-                            // beyond the rollup threshold, we will use the rollup module
-                            } else if (r[s[j]]) {
-                                c++;
-                                roll = (c >= m.rollup);
-                                if (roll) {
-                                    break;
-                                }
-                            }
-                        }
-
-                        if (roll) {
-                            // add the rollup
-                            r[i] = true;
-                            rolled = true;
-
-                            // expand the rollup's dependencies
-                            this.getRequires(m);
-                        }
-                    }
-                }
-
-                // if we made it here w/o rolling up something, we are done
-                if (!rolled) {
-                    break;
-                }
-            }
-        },
-
-        /**
-         * Remove superceded modules and loaded modules.  Called by
-         * calculate() after we have the mega list of all dependencies
-         * @method _reduce
-         * @private
-         */
-        _reduce: function() {
-
-            var i, j, s, m, r=this.required;
-            for (i in r) {
-
-                // remove if already loaded
-                if (i in this.loaded) { 
-                    delete r[i];
-
-                // remove anything this module supersedes
-                } else {
-
-                     m = this.getModule(i);
-                     s = m && m.supersedes;
-                     if (s) {
-                         for (j=0; j<s.length; j=j+1) {
-                             if (s[j] in r) {
-                                 delete r[s[j]];
-                             }
-                         }
-                     }
-                }
-            }
-        },
-
-        _attach: function() {
-
-            // this is the full list of items the YUI needs attached,
-            // which is needed if some dependencies are already on
-            // the page without their dependencies.
-            if (this.attaching) {
-                Y._attach(this.attaching);
-            } else {
-                Y._attach(this.sorted);
-            }
-
-            this._pushEvents();
-
-        },
-
-        _onSuccess: function() {
-
-            this._attach();
-
-            for (var i in this.skipped) {
-                delete this.inserted[i];
-            }
-
-            this.skipped = {};
-
-            // this.fire('success', {
-            //     data: this.data
-            // });
-
-            var f = this.onSuccess;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'success',
-                    data: this.data,
-                    success: true
-                });
-            }
-
-        },
-
-        _onFailure: function(msg) {
-            this._attach();
-            // this.fire('failure', {
-            //     msg: 'operation failed: ' + msg,
-            //     data: this.data
-            // });
-
-            var f = this.onFailure;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'failure: ' + msg,
-                    data: this.data,
-                    success: false
-                });
-            }
-        },
-
-        _onTimeout: function() {
-            this._attach();
-
-            // this.fire('timeout', {
-            //     data: this.data
-            // });
-
-            var f = this.onTimeout;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'timeout',
-                    data: this.data,
-                    success: false
-                });
-            }
-        },
-        
-        /**
-         * Sorts the dependency tree.  The last step of calculate()
-         * @method _sort
-         * @private
-         */
-        _sort: function() {
-            // create an indexed list
-            var s=Y.Object.keys(this.required), info=this.moduleInfo, loaded=this.loaded,
-                me = this;
-
-            // returns true if b is not loaded, and is required
-            // directly or by means of modules it supersedes.
-            var requires = function(aa, bb) {
-
-                var mm=info[aa];
-
-                if (loaded[bb] || !mm) {
-                    return false;
-                }
-
-                var ii, rr = mm.expanded, 
-                    after = mm.after, other=info[bb];
-
-                // check if this module requires the other directly
-                if (rr && Y.Array.indexOf(rr, bb) > -1) {
-                    return true;
-                }
-
-                // check if this module should be sorted after the other
-                if (after && Y.Array.indexOf(after, bb) > -1) {
-                    return true;
-                }
-
-                // check if this module requires one the other supersedes
-                var ss=info[bb] && info[bb].supersedes;
-                if (ss) {
-                    for (ii=0; ii<ss.length; ii=ii+1) {
-                        if (requires(aa, ss[ii])) {
-                            return true;
-                        }
-                    }
-                }
-
-                // external css files should be sorted below yui css
-                if (mm.ext && mm.type == CSS && (!other.ext)) {
-                    return true;
-                }
-
-                return false;
-            };
-
-            // pointer to the first unsorted item
-            var p=0; 
-
-            // keep going until we make a pass without moving anything
-            for (;;) {
-               
-                var l=s.length, a, b, j, k, moved=false;
-
-                // start the loop after items that are already sorted
-                for (j=p; j<l; j=j+1) {
-
-                    // check the next module on the list to see if its
-                    // dependencies have been met
-                    a = s[j];
-
-                    // check everything below current item and move if we
-                    // find a requirement for the current item
-                    for (k=j+1; k<l; k=k+1) {
-                        if (requires(a, s[k])) {
-
-                            // extract the dependency so we can move it up
-                            b = s.splice(k, 1);
-
-                            // insert the dependency above the item that 
-                            // requires it
-                            s.splice(j, 0, b[0]);
-
-                            moved = true;
-                            break;
-                        }
-                    }
-
-                    // jump out of loop if we moved something
-                    if (moved) {
-                        break;
-                    // this item is sorted, move our pointer and keep going
-                    } else {
-                        p = p + 1;
-                    }
-                }
-
-                // when we make it here and moved is false, we are 
-                // finished sorting
-                if (!moved) {
-                    break;
-                }
-
-            }
-
-            this.sorted = s;
-        },
-
-        /**
-         * inserts the requested modules and their dependencies.  
-         * <code>type</code> can be "js" or "css".  Both script and 
-         * css are inserted if type is not provided.
-         * @method insert
-         * @param o optional options object
-         * @param type {string} the type of dependency to insert
-         */
-        insert: function(o, type) {
-
-
-            // build the dependency list
-            this.calculate(o);
-
-            if (!type) {
-                var self = this;
-                this._internalCallback = function() {
-                            self._internalCallback = null;
-                            self.insert(null, JS);
-                        };
-                this.insert(null, CSS);
-                return;
-            }
-
-            // set a flag to indicate the load has started
-            this._loading = true;
-
-            // flag to indicate we are done with the combo service
-            // and any additional files will need to be loaded
-            // individually
-            this._combineComplete = false;
-
-            // keep the loadType (js, css or undefined) cached
-            this.loadType = type;
-
-            // start the load
-            this.loadNext();
-
-        },
-
-        /**
-         * Executed every time a module is loaded, and if we are in a load
-         * cycle, we attempt to load the next script.  Public so that it
-         * is possible to call this if using a method other than
-         * Y.register to determine when scripts are fully loaded
-         * @method loadNext
-         * @param mname {string} optional the name of the module that has
-         * been loaded (which is usually why it is time to load the next
-         * one)
-         */
-        loadNext: function(mname) {
-
-            // It is possible that this function is executed due to something
-            // else one the page loading a YUI module.  Only react when we
-            // are actively loading something
-            if (!this._loading) {
-                return;
-            }
-
-            var s, len, i, m, url, self=this;
-
-            // @TODO this will need to handle the two phase insert when
-            // CSS support is added
-            if (this.loadType !== CSS && this.combine && (!this._combineComplete)) {
-
-                this._combining = []; 
-                s=this.sorted;
-                len=s.length;
-                url=this.comboBase;
-
-                for (i=0; i<len; i=i+1) {
-                    m = this.getModule(s[i]);
-// @TODO we can't combine CSS yet until we deliver files with absolute paths to the assets
-                    // Do not try to combine non-yui JS
-                    if (m.type == JS && !m.ext) {
-                        url += this.root + m.path;
-                        if (i < len-1) {
-                            url += '&';
-                        }
-
-                        this._combining.push(s[i]);
-                    }
-                }
-
-                if (this._combining.length) {
-
-
-                    var callback=function(o) {
-                        this._combineComplete = true;
-
-
-                        var c=this._combining, len=c.length, i, m;
-                        for (i=0; i<len; i=i+1) {
-                            this.inserted[c[i]] = true;
-                        }
-
-                        this.loadNext(o.data);
-                    };
-
-                    // @TODO get rid of the redundant Get code
-                    Y.Get.script(url, {
-                        data: this._loading,
-                        onSuccess: callback,
-                        onFailure: this._onFailure,
-                        onTimeout: this._onTimeout,
-                        insertBefore: this.insertBefore,
-                        charset: this.charset,
-                        timeout: this.timeout,
-                        context: self 
-                    });
-
-                    return;
-
-                } else {
-                    this._combineComplete = true;
-                }
-            }
-
-            if (mname) {
-
-                // if the module that was just loaded isn't what we were expecting,
-                // continue to wait
-                if (mname !== this._loading) {
-                    return;
-                }
-
-
-                // The global handler that is called when each module is loaded
-                // will pass that module name to this function.  Storing this
-                // data to avoid loading the same module multiple times
-                this.inserted[mname] = true;
-
-                // this.fire('progress', {
-                //     name: mname,
-                //     data: this.data
-                // });
-                if (this.onProgress) {
-                    this.onProgress.call(this.context, {
-                            name: mname,
-                            data: this.data
-                        });
-                }
-
-
-            }
-
-            s=this.sorted;
-            len=s.length;
-
-            for (i=0; i<len; i=i+1) {
-
-                // this.inserted keeps track of what the loader has loaded.
-                // move on if this item is done.
-                if (s[i] in this.inserted) {
-                    continue;
-                }
-
-                // Because rollups will cause multiple load notifications
-                // from Y, loadNext may be called multiple times for
-                // the same module when loading a rollup.  We can safely
-                // skip the subsequent requests
-                if (s[i] === this._loading) {
-                    return;
-                }
-
-                // log("inserting " + s[i]);
-                m = this.getModule(s[i]);
-
-                if (!m) {
-
-                    var msg = "Undefined module " + s[i] + " skipped";
-                    this.inserted[s[i]] = true;
-                    this.skipped[s[i]] = true;
-                    continue;
-
-                    // this.fire('failure', {
-                        // msg: msg,
-                        // data: this.data
-                    // });
-                }
-
-
-                // The load type is stored to offer the possibility to load
-                // the css separately from the script.
-                if (!this.loadType || this.loadType === m.type) {
-                    this._loading = s[i];
-
-                    var fn=(m.type === CSS) ? Y.Get.css : Y.Get.script,
-                        onsuccess=function(o) {
-                            self.loadNext(o.data);
-                        };
-                        
-                    url=m.fullpath || this._url(m.path, s[i]);
-                    self=this; 
-
-                    fn(url, {
-                        data: s[i],
-                        onSuccess: onsuccess,
-                        insertBefore: this.insertBefore,
-                        charset: this.charset,
-                        onFailure: this._onFailure,
-                        onTimeout: this._onTimeout,
-                        timeout: this.timeout,
-                        context: self 
-                    });
-
-                    return;
-                }
-            }
-
-            // we are finished
-            this._loading = null;
-
-            // internal callback for loading css first
-            if (this._internalCallback) {
-
-                var f = this._internalCallback;
-                this._internalCallback = null;
-                f.call(this);
-
-            // } else if (this.onSuccess) {
-            } else {
-
-                // call Y.use passing this instance. Y will use the sorted
-                // dependency list.
-
-                this._onSuccess();
-
-            }
-
-        },
-
-        /**
-         * In IE, the onAvailable/onDOMReady events need help when Event is
-         * loaded dynamically
-         * @method _pushEvents
-         * @param {Function} optional function reference
-         * @private
-         */
-        _pushEvents: function() {
-            if (Y.Event) {
-                Y.Event._load();
-            }
-        },
-
-        /**
-         * Generates the full url for a module
-         * method _url
-         * @param path {string} the path fragment
-         * @return {string} the full url
-         * @private
-         */
-        _url: function(path, name) {
-            
-            var u = (this.base || "") + path, 
-                f = this.filter;
-
-            if (f) {
-                var useFilter = true;
-
-                if (this.filterName == "DEBUG") {
-                
-                    var self = this, 
-                        exc = self.logExclude,
-                        inc = self.logInclude;
-                    if (inc && !(name in inc)) {
-                        useFilter = false;
-                    } else if (exc && (name in exc)) {
-                        useFilter = false;
-                    }
-
-                }
-                
-                if (useFilter) {
-                    u = u.replace(new RegExp(f.searchExp), f.replaceStr);
-                }
-            }
-
-
-            return u;
-        }
-
-    };
-
-    // Y.augment(Y.Loader, Y.Event.Target);
-
-}, "3.0.0pr1");

=== removed directory 'loggerhead/static/javascript/yui/build/node'
=== removed file 'loggerhead/static/javascript/yui/build/node/README'
--- loggerhead/static/javascript/yui/build/node/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/README	1970-01-01 00:00:00 +0000
@@ -1,3 +0,0 @@
-**** version 3.0.0 PR1 ***
-
-* initial 3.0 revision

=== removed file 'loggerhead/static/javascript/yui/build/node/node-base-debug.js'
--- loggerhead/static/javascript/yui/build/node/node-base-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-base-debug.js	1970-01-01 00:00:00 +0000
@@ -1,1046 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('node-base', function(Y) {
-
-    /**
-     * The Node Utility provides a DOM-like interface for interacting with DOM nodes.
-     * @module node
-     * @submodule node-base
-     */     
-
-    /**
-     * The Node class provides a wrapper for manipulating DOM Nodes.
-     * Node properties can be accessed via the set/get methods.
-     * Use Y.get() to retrieve Node instances.
-     *
-     * <strong>NOTE:</strong> All node properties are accessed using the
-     * <code>set</code> and <code>get</code> methods.
-     *
-     * @class Node
-     * @constructor
-     */
-
-    var BASE_NODE                   = 0, 
-        ELEMENT_NODE                = 1,
-        //ATTRIBUTE_NODE              = 2,
-        //TEXT_NODE                   = 3,
-        //CDATA_SECTION_NODE          = 4,
-        //ENTITY_REFERENCE_NODE       = 5,
-        //ENTITY_NODE                 = 6,
-        //PROCESSING_INSTRUCTION_NODE = 7,
-        //COMMENT_NODE                = 8,
-        DOCUMENT_NODE               = 9; //,
-        //DOCUMENT_TYPE_NODE          = 10,
-        //DOCUMENT_FRAGMENT_NODE      = 11,
-        //NOTATION_NODE               = 12;
-
-    var OWNER_DOCUMENT = 'ownerDocument',
-        TAG_NAME = 'tagName',
-        NODE_NAME = 'nodeName',
-        NODE_TYPE = 'nodeType';
-
-    var RE_VALID_PROP_TYPES = /(?:string|boolean|number)/;
-
-    var Selector = Y.Selector;
-    var _instances = {};
-    var _nodes = {};
-    var _nodelists = {};
-    var _restrict = null;
-
-    var slice = [].slice;
-
-    var wrapDOM = function(node) {
-        var ret = null,
-            yuid = (node) ? node._yuid : null,
-            instance = _instances[yuid],
-            existingNode = _nodes[yuid];
-
-        if (node) {
-            if (NODE_TYPE in node) {
-                if (instance && existingNode && node === existingNode) {
-                    ret = instance; // reuse existing Nodes if nodes match
-                } else {
-                    ret = new Node(node);
-                }
-            } else if ('item' in node || 'push' in node) {
-                ret = new Y.NodeList(node);
-            }
-        }
-        return ret;
-    };
-
-    var wrapFn = function(fn) {
-        var ret = null;
-        if (fn) {
-            ret = (typeof fn === 'string') ?
-            function(n) {
-                return Y.Selector.test(n, fn);
-            } : 
-            function(n) {
-                return fn(_instances[n._yuid]);
-            };
-        }
-
-        return ret;
-    };
-
-    var getDoc = function(node) {
-        node = _nodes[node._yuid];
-        return (node[NODE_TYPE] === 9) ? node : node[OWNER_DOCUMENT];
-    };
-
-    // returns HTMLElement
-    var getDOMNode = function(node) {
-        if (node && !node.nodeType && node._yuid) {
-            node = _nodes[node._yuid];
-        }
-
-        return  node || null;
-
-    };
-
-    /*
-     * Wraps the input and outputs of a node instance
-     */
-    var nodeInOut = function(method, a, b, c, d, e) {
-        if (a) { // first 2 may be Node instances or nodes (TODO: or strings?)
-            a = getDOMNode(a);
-            if (b) {
-                b = getDOMNode(b);
-            }
-        }
-        return wrapDOM(_nodes[this._yuid][method](a, b, c, d, e));
-    };
-
-    /*
-     * Wraps the return value in a node instance
-     */
-    var nodeOut = function(method, a, b, c, d, e) {
-        return wrapDOM(_nodes[this._yuid][method](a, b, c, d, e));
-    };
-
-    /* 
-     * Returns directy from node method call 
-     */
-    var rawOut = function(method, a, b, c, d, e) {
-        return _nodes[this._yuid][method](a, b, c, d, e);
-    };
-
-    var noOut = function(method, a, b, c, d, e) {
-        _nodes[this._yuid][method](a, b, c, d, e);
-        return this;
-    };
-
-    var PROPS_WRAP = {
-        /**
-         * Returns a Node instance. 
-         * @property parentNode
-         * @type Node
-         */
-        'parentNode': BASE_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property childNodes
-         * @type NodeList
-         */
-        'childNodes': BASE_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property children
-         * @type NodeList
-         */
-        'children': function(node) {
-            node = _nodes[node._yuid];
-            var children = node.children;
-
-            if (children === undefined) {
-                var childNodes = node.childNodes;
-                children = [];
-
-                for (var i = 0, len = childNodes.length; i < len; ++i) {
-                    if (childNodes[i][TAG_NAME]) {
-                        children[children.length] = childNodes[i];
-                    }
-                }
-            }
-            return children;
-        },
-
-        /**
-         * Returns a Node instance. 
-         * @property firstChild
-         * @type Node
-         */
-        'firstChild': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property lastChild
-         * @type Node
-         */
-        'lastChild': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property previousSibling
-         * @type Node
-         */
-        'previousSibling': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property previousSibling
-         * @type Node
-         */
-        'nextSibling': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property ownerDocument
-         * @type Doc
-         */
-        'ownerDocument': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property offsetParent
-         * @type Node
-         */
-        'offsetParent': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property documentElement
-         * @type Node
-         */
-        'documentElement': DOCUMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property body
-         * @type Node
-         */
-        'body': DOCUMENT_NODE,
-
-        // form
-        /**
-         * Returns a NodeList instance. 
-         * @property elements
-         * @type NodeList
-         */
-        'elements': ELEMENT_NODE,
-
-        // table
-        /**
-         * Returns a NodeList instance. 
-         * @property rows
-         * @type NodeList
-         */
-        'rows': ELEMENT_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property cells
-         * @type NodeList
-         */
-        'cells': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property tHead
-         * @type Node
-         */
-        'tHead': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property tFoot
-         * @type Node
-         */
-        'tFoot': ELEMENT_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property tBodies
-         * @type NodeList
-         */
-        'tBodies': ELEMENT_NODE
-    };
-    var METHODS = {
-        /**
-         * Passes through to DOM method.
-         * @method replaceChild
-         * @param {HTMLElement | Node} node Node to be inserted 
-         * @param {HTMLElement | Node} refNode Node to be replaced 
-         * @return {Node} The replaced node 
-         */
-        replaceChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method appendChild
-         * @param {HTMLElement | Node} node Node to be appended 
-         * @return {Node} The appended node 
-         */
-        appendChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method insertBefore
-         * @param {HTMLElement | Node} newNode Node to be appended 
-         * @param {HTMLElement | Node} refNode Node to be inserted before 
-         * @return {Node} The inserted node 
-         */
-        insertBefore: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method removeChild
-         * @param {HTMLElement | Node} node Node to be removed 
-         * @return {Node} The removed node 
-         */
-        removeChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method hasChildNodes
-         * @return {Boolean} Whether or not the node has any childNodes 
-         */
-        hasChildNodes: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method cloneNode
-         * @param {HTMLElement | Node} node Node to be cloned 
-         * @return {Node} The clone 
-         */
-        cloneNode: nodeOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method getAttribute
-         * @param {String} attribute The attribute to retrieve 
-         * @return {String} The current value of the attribute 
-         */
-        getAttribute: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method setAttribute
-         * @param {String} attribute The attribute to set 
-         * @param {String} The value to apply to the attribute 
-         * @chainable
-         */
-        setAttribute: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method hasAttribute
-         * @param {String} attribute The attribute to test for 
-         * @return {Boolean} Whether or not the attribute is present 
-         */
-        hasAttribute: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method scrollIntoView
-         * @chainable
-         */
-        scrollIntoView: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method getElementsByTagName
-         * @param {String} tagName The tagName to collect 
-         * @return {NodeList} A NodeList representing the HTMLCollection
-         */
-        getElementsByTagName: nodeOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method focus
-         * @chainable
-         */
-        focus: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method blur
-         * @chainable
-         */
-        blur: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * Only valid on FORM elements
-         * @method submit
-         * @chainable
-         */
-        submit: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * Only valid on FORM elements
-         * @method reset
-         * @chainable
-         */
-        reset: noOut
-    };
-
-    var addNodeListMethod = function(name) {
-        NodeList.prototype[name] = function() {
-            var a = [],
-                nodes = _nodelists[this._yuid],
-                ret;
-
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                ret = _tmpNode[name].apply(_tmpNode, arguments);
-                if (ret !== _tmpNode) {
-                    a[i] = ret;
-                }
-            }
-
-            return a.length ? a : this;
-        };
-    };
-
-    var METHODS_INVOKE = {
-        'getBoundingClientRect': true
-    };
-
-    var Node = function(node) {
-        if (!node || !node[NODE_TYPE]) {
-            Y.log('invalid node:' + node, 'error', 'Node');
-            return null;
-        }
-        
-        var yuid = Y.guid();
-        try { // IE errors on non-element expandos (cant be reused)
-            node._yuid = yuid;
-        } catch(e) {}
-        this._yuid = yuid;
-        _nodes[yuid] = node;
-        _instances[yuid] = this;
-
-    };
-
-    var SETTERS = {};
-    var GETTERS = {
-        /**
-         * Normalizes nodeInnerText and textContent. 
-         * @property text
-         * @type String
-         */
-        'text': function(node) {
-            return Y.DOM.getText(_nodes[node._yuid]);
-        },
-
-        /**
-         * Returns a nodeList of option elements 
-         * @property options
-         * @type String
-         */
-        'options': function(node) {
-            return (node) ? node.getElementsByTagName('option') : [];
-        }
-    };
-
-    Node.setters = function(prop, fn) {
-        if (typeof prop == 'string') {
-            SETTERS[prop] = fn;
-        } else { // assume object
-            Y.each(prop, function(fn, prop) {
-                Node.setters(prop, fn);
-            });
-        } 
-    };
-
-    Node.getters = function(prop, fn) {
-        if (typeof prop == 'string') {
-            GETTERS[prop] = fn;
-        } else { // assume object
-            Y.each(prop, function(fn, prop) {
-                Node.getters(prop, fn);
-            });
-        } 
-    };
-
-    Node.methods = function(name, fn) {
-        if (typeof name == 'string') {
-            Node.prototype[name] = function() {
-                var args = slice.call(arguments);
-                args.unshift(this);
-                var ret = fn.apply(null, args);
-                if (ret === undefined) {
-                    ret = this;
-                }
-                return ret;
-            };
-
-            addNodeListMethod(name);
-
-
-        } else { // assume object
-            Y.each(name, function(fn, name) {
-                Node.methods(name, fn);
-            });
-        }
-    };
-
-    Node.getDOMNode = function(node) {
-        var ret;
-
-        if (node.nodeType) {
-            ret = node;
-        } else if (typeof node === 'string') {
-            ret = Selector.query(node, null, true);
-        } else {
-            ret = _nodes[node._yuid];
-        }
-        return ret || null;
-    };
-
-    Node.wrapDOMMethod = function(name) {
-        return function() {
-            var args = slice.call(arguments);
-            args.unshift(Y.Node.getDOMNode(args.shift()));
-            return Y.DOM[name].apply(Y.DOM, args);
-        };
-
-    };
-
-    Node.addDOMMethods = function(methods) {
-        var add = {}; 
-        Y.each(methods, function(v, n) {
-            add[v] = Y.Node.wrapDOMMethod(v);
-        });
-
-        Y.Node.methods(add);
-    };
-
-    Node.prototype = {
-        /**
-         * Set the value of the property/attribute on the HTMLElement bound to this Node.
-         * Only strings/numbers/booleans are passed through unless a SETTER exists.
-         * @method set
-         * @param {String} prop Property to set 
-         * @param {any} val Value to apply to the given property
-         * @chainable
-         */
-        set: function(prop, val) {
-            var node = _nodes[this._yuid];
-            if (prop in SETTERS) { // use custom setter
-                SETTERS[prop](this, prop, val);  // passing Node instance
-            } else if (RE_VALID_PROP_TYPES.test(typeof node[prop])) { // safe to write
-                node[prop] = val;
-            }
-            return this;
-        },
-
-        /**
-         * Get the value of the property/attribute on the HTMLElement bound to this Node.
-         * Only strings/numbers/booleans are passed through unless a GETTER exists.
-         * @method get
-         * @param {String} prop Property to get 
-         * @return {any} Current value of the property
-         */
-        get: function(prop) {
-            var val;
-            var node = _nodes[this._yuid];
-            if (prop in GETTERS) { // use custom getter
-                val = GETTERS[prop](this, prop);
-            } else if (prop in PROPS_WRAP) { // wrap DOM object (HTMLElement, HTMLCollection, Document)
-                if (typeof PROPS_WRAP[prop] === 'function') {
-                    val = PROPS_WRAP[prop](this);
-                } else {
-                    val = node[prop];
-                }
-
-                if (_restrict && _restrict[this._yuid] && !Y.DOM.contains(node, val)) {
-                    val = null; // not allowed to go outside of root node
-                } else {
-                    val = wrapDOM(val);
-                }
-            } else if (RE_VALID_PROP_TYPES.test(typeof node[prop])) { // safe to read
-                val = node[prop];
-            }
-            return val;
-        },
-
-        invoke: function(method, a, b, c, d, e) {
-            if (a) { // first 2 may be Node instances or strings
-                a = (a[NODE_TYPE]) ? a : getDOMNode(a);
-                if (b) {
-                    b = (b[NODE_TYPE]) ? b : getDOMNode(b);
-                }
-            }
-            var node = _nodes[this._yuid];
-            if (node && METHODS_INVOKE[method] && node[method]) {
-                return node[method](a, b, c, d, e);
-            }
-            return null;
-        },
-
-        hasMethod: function(method) {
-            return !!(METHODS_INVOKE[method] && _nodes[this._yuid][method]);
-        },
-
-        //normalize: function() {},
-        //isSupported: function(feature, version) {},
-        toString: function() {
-            var node = _nodes[this._yuid] || {};
-            return node.id || node[NODE_NAME] || 'undefined node';
-        },
-
-        /**
-         * Retrieves a single node based on the given CSS selector. 
-         * @method query
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {Node} A Node instance for the matching HTMLElement.
-         */
-        query: function(selector) {
-            return wrapDOM(Selector.query(selector, _nodes[this._yuid], true));
-        },
-
-        /**
-         * Retrieves a nodeList based on the given CSS selector. 
-         * @method queryAll
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {NodeList} A NodeList instance for the matching HTMLCollection/Array.
-         */
-        queryAll: function(selector) {
-            return wrapDOM(Selector.query(selector, _nodes[this._yuid]));
-        },
-
-        /**
-         * Test if the supplied node matches the supplied selector.
-         * @method test
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {boolean} Whether or not the node matches the selector.
-         */
-        test: function(selector) {
-            return Selector.test(_nodes[this._yuid], selector);
-        },
-
-        /**
-         * Compares nodes to determine if they match.
-         * Node instances can be compared to each other and/or HTMLElements.
-         * @method compareTo
-         * @param {HTMLElement | Node} refNode The reference node to compare to the node.
-         * @return {Boolean} True if the nodes match, false if they do not. 
-         */
-        compareTo: function(refNode) {
-            refNode = refNode[NODE_TYPE] ? refNode : _nodes[refNode._yuid];
-            return _nodes[this._yuid] === refNode;
-        },
-
-       /*
-         * Returns the nearest ancestor that passes the test applied by supplied boolean method.
-         * @method ancestor
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @return {Node} The matching Node instance or null if not found
-         */
-        ancestor: function(fn) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'parentNode', wrapFn(fn)));
-        },
-
-        /**
-         * Returns the previous matching sibling. 
-         * Returns the nearest element node sibling if no method provided.
-         * @method previous
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-         * @return {Node} Node instance or null if not found
-         */
-        previous: function(fn, all) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'previousSibling', wrapFn(fn)), all);
-        }, 
-
-        /**
-         * Returns the next matching sibling. 
-         * Returns the nearest element node sibling if no method provided.
-         * @method next
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-         * @return {Node} Node instance or null if not found
-         */
-        next: function(fn, all) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'nextSibling', wrapFn(fn)), all);
-        },
-        
-       /**
-         * Attaches a DOM event handler.
-         * @method attach
-         * @param {String} type The type of DOM Event to listen for 
-         * @param {Function} fn The handler to call when the event fires 
-         * @param {Object} arg An argument object to pass to the handler 
-         */
-
-        attach: function(type, fn, arg) {
-            var args = slice.call(arguments, 0);
-            args.unshift(_nodes[this._yuid]);
-            return Y.Event.addListener.apply(Y.Event, args);
-        },
-
-       /**
-         * Alias for attach.
-         * @method on
-         * @param {String} type The type of DOM Event to listen for 
-         * @param {Function} fn The handler to call when the event fires 
-         * @param {Object} arg An argument object to pass to the handler 
-         * @see attach
-         */
-
-        on: function(type, fn, arg) {
-            return this.attach.apply(this, arguments);
-        },
-
-        addEventListener: function(type, fn, arg) {
-            return Y.Event.nativeAdd(_nodes[this._yuid], type, fn, arg);
-        },
-        
-       /**
-         * Detaches a DOM event handler. 
-         * @method detach
-         * @param {String} type The type of DOM Event
-         * @param {Function} fn The handler to call when the event fires 
-         */
-        detach: function(type, fn) {
-            var args = slice.call(arguments, 0);
-            args.unshift(_nodes[this._yuid]);
-            return Y.Event.removeListener.apply(Y.Event, args);
-        },
-
-        removeEventListener: function(type, fn) {
-            return Y.Event.nativeRemove(_nodes[this._yuid], type, fn);
-        },
-
-       /**
-         * Creates a Node instance from HTML string
-         * @method create
-         * @param {String|Array} html The string of html to create
-         * @return {Node} A new Node instance 
-         */
-        create: function(html) {
-            return Y.Node.create(html);
-        },
-
-        /**
-         * Determines whether the ndoe is an ancestor of another HTML element in the DOM hierarchy.
-         * @method contains
-         * @param {Node | HTMLElement} needle The possible node or descendent
-         * @return {Boolean} Whether or not this node is the needle its ancestor
-         */
-        contains: function(needle) {
-            return Y.DOM.contains(_nodes[this._yuid], getDOMNode(needle));
-        },
-
-        /**
-         * Applies the supplied plugin to the node.
-         * @method plug
-         * @param {Function} The plugin Class to apply
-         * @param {Object} config An optional config to pass to the constructor
-         * @chainable
-         */
-        plug: function(PluginClass, config) {
-            config = config || {};
-            config.owner = this;
-            if (PluginClass && PluginClass.NS) {
-                this[PluginClass.NS] = new PluginClass(config);
-            }
-            return this;
-        },
-
-        /**
-         * Determines whether the node is appended to the document.
-         * @method inDoc
-         * @param {Node|HTMLElement} doc optional An optional document to check against.
-         * Defaults to current document. 
-         * @return {Boolean} Whether or not this node is appended to the document. 
-         */
-        inDoc: function(doc) {
-            var node = _nodes[this._yuid];
-            doc = (doc) ? getDoc(doc) : node.ownerDocument;
-            if (doc.documentElement) {
-                return Y.DOM.contains(doc.documentElement, node);
-            }
-        }
-    };
-
-    Y.each(METHODS, function(fn, method) {
-        Node.prototype[method] = function() {
-            return fn.apply(this, [method].concat(slice.call(arguments)));
-        };
-    });
-
-    /** 
-     * Creates a Node instance from an HTML string
-     * @method create
-     * @param {String} html HTML string
-     */
-    Node.create = function(html) {
-        return wrapDOM(Y.DOM.create(html));
-    };
-
-    Node.getById = function(id, doc) {
-        doc = (doc && doc[NODE_TYPE]) ? doc : Y.config.doc;
-        return wrapDOM(doc.getElementById(id));
-    };
-
-    /**
-     * Retrieves a Node instance for the given object/string. 
-     * Note: Use 'document' string to retrieve document Node instance from string
-     * @method get
-     * @static
-     * @param {document|HTMLElement|HTMLCollection|Array|String} node The object to wrap.
-     * @param {document|Node} doc optional The document containing the node. Defaults to current document.
-     * @param {boolean} isRoot optional Whether or not this node should be treated as a root node. Root nodes
-     * aren't allowed to traverse outside their DOM tree.
-     * @return {Node} A wrapper instance for the supplied object.
-     */
-    Node.get = function(node, doc, isRoot) {
-        if (node instanceof Node) {
-            return node;
-        }
-
-        if (!doc) {
-            doc = Y.config.doc;
-        } else if (doc._yuid && _nodes[doc._yuid]) {
-            doc = _nodes[doc._yuid]; 
-        }
-    
-        if (node && typeof node === 'string') {
-            if (node === 'document') {
-                node = Y.config.doc;
-            } else {
-                node = Y.Selector.query(node, doc, true);
-            }
-        }
-
-        node = wrapDOM(node);
-
-        if (isRoot) {
-            _restrict = _restrict || {};
-            _restrict[node._yuid] = node;
-        }
-
-        return node;
-    };
-
-    /**
-     * Retrieves a NodeList instance for the given object/string. 
-     * @method all
-     * @static
-     * @param {HTMLCollection|Array|String} node The object to wrap.
-     * @param {document|Node} doc optional The document containing the node. Defaults to current document.
-     * @return {NodeList} A NodeList instance for the supplied nodes.
-     */
-    Node.all = function(nodes, doc) {
-        if (nodes instanceof NodeList) {
-            return nodes;
-        }
-
-        if (!doc) {
-            doc = Y.config.doc;
-        } else if (doc._yuid && _nodes[doc._yuid]) {
-            doc = _nodes[doc._yuid]; 
-        }
-    
-        if (nodes && typeof nodes == 'string') {
-            nodes = Selector.query(nodes, doc);
-        }
-
-        return wrapDOM(nodes);
-
-    };
-
-    /** 
-     * A wrapper for manipulating multiple DOM elements
-     * @class NodeList
-     * @extends Node
-     * @constructor
-     */
-    var NodeList = function(nodes) {
-        // TODO: input validation
-        _nodelists[Y.stamp(this)] = nodes;
-    };
-
-    // used to call Node methods against NodeList nodes
-    var _tmpNode = Node.create('<div></div>');
-    NodeList.prototype = {};
-
-    Y.each(Node.prototype, function(fn, name) {
-        if (typeof Node.prototype[name] == 'function') {
-            addNodeListMethod(name);
-        }
-    });
-
-    Y.mix(NodeList.prototype, {
-        /**
-         * Retrieves the Node instance at the given index. 
-         * @method item
-         *
-         * @param {Number} index The index of the target Node.
-         * @return {Node} The Node instance at the given index.
-         */
-        item: function(index) {
-            var node = _nodelists[this._yuid][index];
-            return (node && node[TAG_NAME]) ? wrapDOM(node) : (node && node.get) ? node : null;
-        },
-
-        /**
-         * Set the value of the property/attribute on all HTMLElements bound to this NodeList.
-         * Only strings/numbers/booleans are passed through unless a SETTER exists.
-         * @method set
-         * @param {String} prop Property to set 
-         * @param {any} val Value to apply to the given property
-         * @see Node
-         * @chainable
-         */
-        set: function(name, val) {
-            var nodes = _nodelists[this._yuid];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                _tmpNode.set(name, val);
-            }
-
-            return this;
-        },
-
-        /**
-         * Get the value of the property/attribute for each of the HTMLElements bound to this NodeList.
-         * Only strings/numbers/booleans are passed through unless a GETTER exists.
-         * @method get
-         * @param {String} prop Property to get 
-         * @return {Array} Array containing the current values mapped to the Node indexes 
-         * @see Node
-         */
-        get: function(name) {
-            if (name == 'length') { // TODO: remove
-                Y.log('the length property is deprecated; use size()', 'warn', 'NodeList');
-                return _nodelists[this._yuid].length;
-            }
-            var nodes = _nodelists[this._yuid];
-            var ret = [];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                ret[i] = _tmpNode.get(name);
-            }
-
-            return ret;
-        },
-
-        /**
-         * Filters the NodeList instance down to only nodes matching the given selector.
-         * @method filter
-         * @param {String} selector The selector to filter against
-         * @return {NodeList} NodeList containing the updated collection 
-         * @see Selector
-         */
-        filter: function(selector) {
-            return wrapDOM(Selector.filter(_nodelists[this._yuid], selector));
-        },
-
-        /**
-         * Applies the given function to each Node in the NodeList.
-         * @method each
-         * @param {Function} fn The function to apply 
-         * @param {Object} context optional An optional context to apply the function with
-         * Default context is the NodeList instance
-         * @return {NodeList} NodeList containing the updated collection 
-         * @chainable
-         */
-        each: function(fn, context) {
-            context = context || this;
-            var nodes = _nodelists[this._yuid];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                fn.call(context, Y.Node.get(nodes[i]), i, this);
-            }
-            return this;
-        },
-
-        /**
-         * Returns the current number of items in the NodeList.
-         * @method size
-         * @return {Int} The number of items in the NodeList. 
-         */
-        size: function() {
-            return _nodelists[this._yuid].length;
-        },
-
-        toString: function() {
-            var nodes = _nodelists[this._yuid] || [];
-            return 'NodeList (' + nodes.length + ' items)';
-        }
-
-    }, true);
-
-    Y.Node = Node;
-    Y.NodeList = NodeList;
-    Y.all = Y.Node.all;
-    Y.get = Y.Node.get;
-/**
- * Extended Node interface for managing classNames.
- * @module node
- * @for Node
- */
-
-    Y.Node.addDOMMethods([
-        /**
-         * Determines whether the node has the given className.
-         * @method hasClass
-         * @param {String} className the class name to search for
-         * @return {Boolean} Whether or not the node has the given class. 
-         */
-        'hasClass',
-
-        /**
-         * Adds a class name to the node.
-         * @method addClass         
-         * @param {String} className the class name to add to the node's class attribute
-         * @chainable
-         */
-        'addClass',
-
-        /**
-         * Removes a class name from the node.
-         * @method removeClass         
-         * @param {String} className the class name to remove from the node's class attribute
-         * @chainable
-         */
-        'removeClass',
-
-        /**
-         * Replace a class with another class.
-         * If no oldClassName is present, the newClassName is simply added.
-         * @method replaceClass  
-         * @param {String} oldClassName the class name to be replaced
-         * @param {String} newClassName the class name that will be replacing the old class name
-         * @chainable
-         */
-        'replaceClass',
-
-        /**
-         * If the className exists on the node it is removed, if it doesn't exist it is added.
-         * @method toggleClass  
-         * @param {String} className the class name to be toggled
-         * @chainable
-         */
-        'toggleClass'
-    ]);
-
-
-}, '3.0.0pr1' ,{requires:['dom-base', 'selector']});

=== removed file 'loggerhead/static/javascript/yui/build/node/node-base-min.js'
--- loggerhead/static/javascript/yui/build/node/node-base-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-base-min.js	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("node-base",function(A){var X=0,I=1,O=9;var W="ownerDocument",V="tagName",F="nodeName",M="nodeType";var c=/(?:string|boolean|number)/;var Z=A.Selector;var P={};var C={};var N={};var R=null;var T=[].slice;var B=function(k){var h=null,i=(k)?k._yuid:null,Y=P[i],j=C[i];if(k){if(M in k){if(Y&&j&&k===j){h=Y;}else{h=new f(k);}}else{if("item" in k||"push" in k){h=new A.NodeList(k);}}}return h;};var d=function(h){var Y=null;if(h){Y=(typeof h==="string")?function(i){return A.Selector.test(i,h);}:function(i){return h(P[i._yuid]);};}return Y;};var L=function(Y){Y=C[Y._yuid];return(Y[M]===9)?Y:Y[W];};var E=function(Y){if(Y&&!Y.nodeType&&Y._yuid){Y=C[Y._yuid];}return Y||null;};var U=function(l,h,Y,k,j,i){if(h){h=E(h);if(Y){Y=E(Y);}}return B(C[this._yuid][l](h,Y,k,j,i));};var b=function(l,h,Y,k,j,i){return B(C[this._yuid][l](h,Y,k,j,i));};var S=function(l,h,Y,k,j,i){return C[this._yuid][l](h,Y,k,j,i);};var K=function(l,h,Y,k,j,i){C[this._yuid][l](h,Y,k,j,i);return this;};var H={"parentNode":X,"childNodes":X,"children":function(k){k=C[k._yuid];var j=k.children;if(j===undefined){var l=k.childNodes;j=[];for(var h=0,Y=l.length;h<Y;++h){if(l[h][V]){j[j.length]=l[h];}}}return j;},"firstChild":X,"lastChild":X,"previousSibling":X,"nextSibling":X,"ownerDocument":X,"offsetParent":I,"documentElement":O,"body":O,"elements":I,"rows":I,"cells":I,"tHead":I,"tFoot":I,"tBodies":I};var J={replaceChild:U,appendChild:U,insertBefore:U,removeChild:U,hasChildNodes:S,cloneNode:b,getAttribute:S,setAttribute:K,hasAttribute:S,scrollIntoView:K,getElementsByTagName:b,focus:K,blur:K,submit:K,reset:K};var D=function(Y){e.prototype[Y]=function(){var j=[],k=N[this._yuid],l;for(var m=0,h=k.length;m<h;++m){C[G._yuid]=k[m];l=G[Y].apply(G,arguments);if(l!==G){j[m]=l;}}return j.length?j:this;};};var g={"getBoundingClientRect":true};var f=function(h){if(!h||!h[M]){return null;}var Y=A.guid();try{h._yuid=Y;}catch(i){}this._yuid=Y;C[Y]=h;P[Y]=this;};var Q={};var a={"text":function(Y){return A.DOM.getText(C[Y._yuid]);},"options":function(Y){return(Y)?Y.getElementsByTagName("option"):[];}};f.setters=function(h,Y){if(typeof h=="string"){Q[h]=Y;}else{A.each(h,function(i,j){f.setters(j,i);});}};f.getters=function(h,Y){if(typeof h=="string"){a[h]=Y;}else{A.each(h,function(i,j){f.getters(j,i);});}};f.methods=function(Y,h){if(typeof Y=="string"){f.prototype[Y]=function(){var j=T.call(arguments);j.unshift(this);var i=h.apply(null,j);if(i===undefined){i=this;}return i;};D(Y);}else{A.each(Y,function(j,i){f.methods(i,j);});}};f.getDOMNode=function(h){var Y;if(h.nodeType){Y=h;}else{if(typeof h==="string"){Y=Z.query(h,null,true);}else{Y=C[h._yuid];}}return Y||null;};f.wrapDOMMethod=function(Y){return function(){var h=T.call(arguments);h.unshift(A.Node.getDOMNode(h.shift()));return A.DOM[Y].apply(A.DOM,h);};};f.addDOMMethods=function(Y){var h={};A.each(Y,function(i,j){h[i]=A.Node.wrapDOMMethod(i);});A.Node.methods(h);};f.prototype={set:function(i,h){var Y=C[this._yuid];if(i in Q){Q[i](this,i,h);}else{if(c.test(typeof Y[i])){Y[i]=h;}}return this;},get:function(i){var h;var Y=C[this._yuid];if(i in a){h=a[i](this,i);}else{if(i in H){if(typeof H[i]==="function"){h=H[i](this);}else{h=Y[i];}if(R&&R[this._yuid]&&!A.DOM.contains(Y,h)){h=null;}else{h=B(h);}}else{if(c.test(typeof Y[i])){h=Y[i];}}}return h;},invoke:function(m,h,Y,l,k,j){if(h){h=(h[M])?h:E(h);if(Y){Y=(Y[M])?Y:E(Y);}}var i=C[this._yuid];if(i&&g[m]&&i[m]){return i[m](h,Y,l,k,j);}return null;},hasMethod:function(Y){return !!(g[Y]&&C[this._yuid][Y]);},toString:function(){var Y=C[this._yuid]||{};return Y.id||Y[F]||"undefined node";},query:function(Y){return B(Z.query(Y,C[this._yuid],true));},queryAll:function(Y){return B(Z.query(Y,C[this._yuid]));},test:function(Y){return Z.test(C[this._yuid],Y);},compareTo:function(Y){Y=Y[M]?Y:C[Y._yuid];return C[this._yuid]===Y;},ancestor:function(Y){return B(A.DOM.elementByAxis(C[this._yuid],"parentNode",d(Y)));},previous:function(h,Y){return B(A.DOM.elementByAxis(C[this._yuid],"previousSibling",d(h)),Y);},next:function(h,Y){return B(A.DOM.elementByAxis(C[this._yuid],"nextSibling",d(h)),Y);},attach:function(j,i,Y){var h=T.call(arguments,0);h.unshift(C[this._yuid]);return A.Event.addListener.apply(A.Event,h);},on:function(i,h,Y){return this.attach.apply(this,arguments);},addEventListener:function(i,h,Y){return A.Event.nativeAdd(C[this._yuid],i,h,Y);},detach:function(i,h){var Y=T.call(arguments,0);Y.unshift(C[this._yuid]);return A.Event.removeListener.apply(A.Event,Y);},removeEventListener:function(h,Y){return A.Event.nativeRemove(C[this._yuid],h,Y);},create:function(Y){return A.Node.create(Y);},contains:function(Y){return A.DOM.contains(C[this._yuid],E(Y));},plug:function(h,Y){Y=Y||{};Y.owner=this;if(h&&h.NS){this[h.NS]=new h(Y);}return this;},inDoc:function(h){var Y=C[this._yuid];h=(h)?L(h):Y.ownerDocument;if(h.documentElement){return A.DOM.contains(h.documentElement,Y);}}};A.each(J,function(Y,h){f.prototype[h]=function(){return Y.apply(this,[h].concat(T.call(arguments)));};});f.create=function(Y){return B(A.DOM.create(Y));};f.getById=function(h,Y){Y=(Y&&Y[M])?Y:A.config.doc;return B(Y.getElementById(h));};f.get=function(h,i,Y){if(h instanceof f){return h;}if(!i){i=A.config.doc;}else{if(i._yuid&&C[i._yuid]){i=C[i._yuid];}}if(h&&typeof h==="string"){if(h==="document"){h=A.config.doc;}else{h=A.Selector.query(h,i,true);}}h=B(h);if(Y){R=R||{};R[h._yuid]=h;}return h;};f.all=function(Y,h){if(Y instanceof e){return Y;}if(!h){h=A.config.doc;}else{if(h._yuid&&C[h._yuid]){h=C[h._yuid];}}if(Y&&typeof Y=="string"){Y=Z.query(Y,h);}return B(Y);};var e=function(Y){N[A.stamp(this)]=Y;};var G=f.create("<div></div>");e.prototype={};A.each(f.prototype,function(h,Y){if(typeof f.prototype[Y]=="function"){D(Y);}});A.mix(e.prototype,{item:function(Y){var h=N[this._yuid][Y];return(h&&h[V])?B(h):(h&&h.get)?h:null;},set:function(j,l){var h=N[this._yuid];for(var k=0,Y=h.length;k<Y;++k){C[G._yuid]=h[k];G.set(j,l);}return this;},get:function(k){if(k=="length"){return N[this._yuid].length;}var h=N[this._yuid];
-var j=[];for(var l=0,Y=h.length;l<Y;++l){C[G._yuid]=h[l];j[l]=G.get(k);}return j;},filter:function(Y){return B(Z.filter(N[this._yuid],Y));},each:function(l,k){k=k||this;var h=N[this._yuid];for(var j=0,Y=h.length;j<Y;++j){l.call(k,A.Node.get(h[j]),j,this);}return this;},size:function(){return N[this._yuid].length;},toString:function(){var Y=N[this._yuid]||[];return"NodeList ("+Y.length+" items)";}},true);A.Node=f;A.NodeList=e;A.all=A.Node.all;A.get=A.Node.get;A.Node.addDOMMethods(["hasClass","addClass","removeClass","replaceClass","toggleClass"]);},"3.0.0pr1",{requires:["dom-base","selector"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/node/node-base.js'
--- loggerhead/static/javascript/yui/build/node/node-base.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-base.js	1970-01-01 00:00:00 +0000
@@ -1,1044 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('node-base', function(Y) {
-
-    /**
-     * The Node Utility provides a DOM-like interface for interacting with DOM nodes.
-     * @module node
-     * @submodule node-base
-     */     
-
-    /**
-     * The Node class provides a wrapper for manipulating DOM Nodes.
-     * Node properties can be accessed via the set/get methods.
-     * Use Y.get() to retrieve Node instances.
-     *
-     * <strong>NOTE:</strong> All node properties are accessed using the
-     * <code>set</code> and <code>get</code> methods.
-     *
-     * @class Node
-     * @constructor
-     */
-
-    var BASE_NODE                   = 0, 
-        ELEMENT_NODE                = 1,
-        //ATTRIBUTE_NODE              = 2,
-        //TEXT_NODE                   = 3,
-        //CDATA_SECTION_NODE          = 4,
-        //ENTITY_REFERENCE_NODE       = 5,
-        //ENTITY_NODE                 = 6,
-        //PROCESSING_INSTRUCTION_NODE = 7,
-        //COMMENT_NODE                = 8,
-        DOCUMENT_NODE               = 9; //,
-        //DOCUMENT_TYPE_NODE          = 10,
-        //DOCUMENT_FRAGMENT_NODE      = 11,
-        //NOTATION_NODE               = 12;
-
-    var OWNER_DOCUMENT = 'ownerDocument',
-        TAG_NAME = 'tagName',
-        NODE_NAME = 'nodeName',
-        NODE_TYPE = 'nodeType';
-
-    var RE_VALID_PROP_TYPES = /(?:string|boolean|number)/;
-
-    var Selector = Y.Selector;
-    var _instances = {};
-    var _nodes = {};
-    var _nodelists = {};
-    var _restrict = null;
-
-    var slice = [].slice;
-
-    var wrapDOM = function(node) {
-        var ret = null,
-            yuid = (node) ? node._yuid : null,
-            instance = _instances[yuid],
-            existingNode = _nodes[yuid];
-
-        if (node) {
-            if (NODE_TYPE in node) {
-                if (instance && existingNode && node === existingNode) {
-                    ret = instance; // reuse existing Nodes if nodes match
-                } else {
-                    ret = new Node(node);
-                }
-            } else if ('item' in node || 'push' in node) {
-                ret = new Y.NodeList(node);
-            }
-        }
-        return ret;
-    };
-
-    var wrapFn = function(fn) {
-        var ret = null;
-        if (fn) {
-            ret = (typeof fn === 'string') ?
-            function(n) {
-                return Y.Selector.test(n, fn);
-            } : 
-            function(n) {
-                return fn(_instances[n._yuid]);
-            };
-        }
-
-        return ret;
-    };
-
-    var getDoc = function(node) {
-        node = _nodes[node._yuid];
-        return (node[NODE_TYPE] === 9) ? node : node[OWNER_DOCUMENT];
-    };
-
-    // returns HTMLElement
-    var getDOMNode = function(node) {
-        if (node && !node.nodeType && node._yuid) {
-            node = _nodes[node._yuid];
-        }
-
-        return  node || null;
-
-    };
-
-    /*
-     * Wraps the input and outputs of a node instance
-     */
-    var nodeInOut = function(method, a, b, c, d, e) {
-        if (a) { // first 2 may be Node instances or nodes (TODO: or strings?)
-            a = getDOMNode(a);
-            if (b) {
-                b = getDOMNode(b);
-            }
-        }
-        return wrapDOM(_nodes[this._yuid][method](a, b, c, d, e));
-    };
-
-    /*
-     * Wraps the return value in a node instance
-     */
-    var nodeOut = function(method, a, b, c, d, e) {
-        return wrapDOM(_nodes[this._yuid][method](a, b, c, d, e));
-    };
-
-    /* 
-     * Returns directy from node method call 
-     */
-    var rawOut = function(method, a, b, c, d, e) {
-        return _nodes[this._yuid][method](a, b, c, d, e);
-    };
-
-    var noOut = function(method, a, b, c, d, e) {
-        _nodes[this._yuid][method](a, b, c, d, e);
-        return this;
-    };
-
-    var PROPS_WRAP = {
-        /**
-         * Returns a Node instance. 
-         * @property parentNode
-         * @type Node
-         */
-        'parentNode': BASE_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property childNodes
-         * @type NodeList
-         */
-        'childNodes': BASE_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property children
-         * @type NodeList
-         */
-        'children': function(node) {
-            node = _nodes[node._yuid];
-            var children = node.children;
-
-            if (children === undefined) {
-                var childNodes = node.childNodes;
-                children = [];
-
-                for (var i = 0, len = childNodes.length; i < len; ++i) {
-                    if (childNodes[i][TAG_NAME]) {
-                        children[children.length] = childNodes[i];
-                    }
-                }
-            }
-            return children;
-        },
-
-        /**
-         * Returns a Node instance. 
-         * @property firstChild
-         * @type Node
-         */
-        'firstChild': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property lastChild
-         * @type Node
-         */
-        'lastChild': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property previousSibling
-         * @type Node
-         */
-        'previousSibling': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property previousSibling
-         * @type Node
-         */
-        'nextSibling': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property ownerDocument
-         * @type Doc
-         */
-        'ownerDocument': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property offsetParent
-         * @type Node
-         */
-        'offsetParent': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property documentElement
-         * @type Node
-         */
-        'documentElement': DOCUMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property body
-         * @type Node
-         */
-        'body': DOCUMENT_NODE,
-
-        // form
-        /**
-         * Returns a NodeList instance. 
-         * @property elements
-         * @type NodeList
-         */
-        'elements': ELEMENT_NODE,
-
-        // table
-        /**
-         * Returns a NodeList instance. 
-         * @property rows
-         * @type NodeList
-         */
-        'rows': ELEMENT_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property cells
-         * @type NodeList
-         */
-        'cells': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property tHead
-         * @type Node
-         */
-        'tHead': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property tFoot
-         * @type Node
-         */
-        'tFoot': ELEMENT_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property tBodies
-         * @type NodeList
-         */
-        'tBodies': ELEMENT_NODE
-    };
-    var METHODS = {
-        /**
-         * Passes through to DOM method.
-         * @method replaceChild
-         * @param {HTMLElement | Node} node Node to be inserted 
-         * @param {HTMLElement | Node} refNode Node to be replaced 
-         * @return {Node} The replaced node 
-         */
-        replaceChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method appendChild
-         * @param {HTMLElement | Node} node Node to be appended 
-         * @return {Node} The appended node 
-         */
-        appendChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method insertBefore
-         * @param {HTMLElement | Node} newNode Node to be appended 
-         * @param {HTMLElement | Node} refNode Node to be inserted before 
-         * @return {Node} The inserted node 
-         */
-        insertBefore: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method removeChild
-         * @param {HTMLElement | Node} node Node to be removed 
-         * @return {Node} The removed node 
-         */
-        removeChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method hasChildNodes
-         * @return {Boolean} Whether or not the node has any childNodes 
-         */
-        hasChildNodes: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method cloneNode
-         * @param {HTMLElement | Node} node Node to be cloned 
-         * @return {Node} The clone 
-         */
-        cloneNode: nodeOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method getAttribute
-         * @param {String} attribute The attribute to retrieve 
-         * @return {String} The current value of the attribute 
-         */
-        getAttribute: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method setAttribute
-         * @param {String} attribute The attribute to set 
-         * @param {String} The value to apply to the attribute 
-         * @chainable
-         */
-        setAttribute: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method hasAttribute
-         * @param {String} attribute The attribute to test for 
-         * @return {Boolean} Whether or not the attribute is present 
-         */
-        hasAttribute: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method scrollIntoView
-         * @chainable
-         */
-        scrollIntoView: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method getElementsByTagName
-         * @param {String} tagName The tagName to collect 
-         * @return {NodeList} A NodeList representing the HTMLCollection
-         */
-        getElementsByTagName: nodeOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method focus
-         * @chainable
-         */
-        focus: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method blur
-         * @chainable
-         */
-        blur: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * Only valid on FORM elements
-         * @method submit
-         * @chainable
-         */
-        submit: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * Only valid on FORM elements
-         * @method reset
-         * @chainable
-         */
-        reset: noOut
-    };
-
-    var addNodeListMethod = function(name) {
-        NodeList.prototype[name] = function() {
-            var a = [],
-                nodes = _nodelists[this._yuid],
-                ret;
-
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                ret = _tmpNode[name].apply(_tmpNode, arguments);
-                if (ret !== _tmpNode) {
-                    a[i] = ret;
-                }
-            }
-
-            return a.length ? a : this;
-        };
-    };
-
-    var METHODS_INVOKE = {
-        'getBoundingClientRect': true
-    };
-
-    var Node = function(node) {
-        if (!node || !node[NODE_TYPE]) {
-            return null;
-        }
-        
-        var yuid = Y.guid();
-        try { // IE errors on non-element expandos (cant be reused)
-            node._yuid = yuid;
-        } catch(e) {}
-        this._yuid = yuid;
-        _nodes[yuid] = node;
-        _instances[yuid] = this;
-
-    };
-
-    var SETTERS = {};
-    var GETTERS = {
-        /**
-         * Normalizes nodeInnerText and textContent. 
-         * @property text
-         * @type String
-         */
-        'text': function(node) {
-            return Y.DOM.getText(_nodes[node._yuid]);
-        },
-
-        /**
-         * Returns a nodeList of option elements 
-         * @property options
-         * @type String
-         */
-        'options': function(node) {
-            return (node) ? node.getElementsByTagName('option') : [];
-        }
-    };
-
-    Node.setters = function(prop, fn) {
-        if (typeof prop == 'string') {
-            SETTERS[prop] = fn;
-        } else { // assume object
-            Y.each(prop, function(fn, prop) {
-                Node.setters(prop, fn);
-            });
-        } 
-    };
-
-    Node.getters = function(prop, fn) {
-        if (typeof prop == 'string') {
-            GETTERS[prop] = fn;
-        } else { // assume object
-            Y.each(prop, function(fn, prop) {
-                Node.getters(prop, fn);
-            });
-        } 
-    };
-
-    Node.methods = function(name, fn) {
-        if (typeof name == 'string') {
-            Node.prototype[name] = function() {
-                var args = slice.call(arguments);
-                args.unshift(this);
-                var ret = fn.apply(null, args);
-                if (ret === undefined) {
-                    ret = this;
-                }
-                return ret;
-            };
-
-            addNodeListMethod(name);
-
-
-        } else { // assume object
-            Y.each(name, function(fn, name) {
-                Node.methods(name, fn);
-            });
-        }
-    };
-
-    Node.getDOMNode = function(node) {
-        var ret;
-
-        if (node.nodeType) {
-            ret = node;
-        } else if (typeof node === 'string') {
-            ret = Selector.query(node, null, true);
-        } else {
-            ret = _nodes[node._yuid];
-        }
-        return ret || null;
-    };
-
-    Node.wrapDOMMethod = function(name) {
-        return function() {
-            var args = slice.call(arguments);
-            args.unshift(Y.Node.getDOMNode(args.shift()));
-            return Y.DOM[name].apply(Y.DOM, args);
-        };
-
-    };
-
-    Node.addDOMMethods = function(methods) {
-        var add = {}; 
-        Y.each(methods, function(v, n) {
-            add[v] = Y.Node.wrapDOMMethod(v);
-        });
-
-        Y.Node.methods(add);
-    };
-
-    Node.prototype = {
-        /**
-         * Set the value of the property/attribute on the HTMLElement bound to this Node.
-         * Only strings/numbers/booleans are passed through unless a SETTER exists.
-         * @method set
-         * @param {String} prop Property to set 
-         * @param {any} val Value to apply to the given property
-         * @chainable
-         */
-        set: function(prop, val) {
-            var node = _nodes[this._yuid];
-            if (prop in SETTERS) { // use custom setter
-                SETTERS[prop](this, prop, val);  // passing Node instance
-            } else if (RE_VALID_PROP_TYPES.test(typeof node[prop])) { // safe to write
-                node[prop] = val;
-            }
-            return this;
-        },
-
-        /**
-         * Get the value of the property/attribute on the HTMLElement bound to this Node.
-         * Only strings/numbers/booleans are passed through unless a GETTER exists.
-         * @method get
-         * @param {String} prop Property to get 
-         * @return {any} Current value of the property
-         */
-        get: function(prop) {
-            var val;
-            var node = _nodes[this._yuid];
-            if (prop in GETTERS) { // use custom getter
-                val = GETTERS[prop](this, prop);
-            } else if (prop in PROPS_WRAP) { // wrap DOM object (HTMLElement, HTMLCollection, Document)
-                if (typeof PROPS_WRAP[prop] === 'function') {
-                    val = PROPS_WRAP[prop](this);
-                } else {
-                    val = node[prop];
-                }
-
-                if (_restrict && _restrict[this._yuid] && !Y.DOM.contains(node, val)) {
-                    val = null; // not allowed to go outside of root node
-                } else {
-                    val = wrapDOM(val);
-                }
-            } else if (RE_VALID_PROP_TYPES.test(typeof node[prop])) { // safe to read
-                val = node[prop];
-            }
-            return val;
-        },
-
-        invoke: function(method, a, b, c, d, e) {
-            if (a) { // first 2 may be Node instances or strings
-                a = (a[NODE_TYPE]) ? a : getDOMNode(a);
-                if (b) {
-                    b = (b[NODE_TYPE]) ? b : getDOMNode(b);
-                }
-            }
-            var node = _nodes[this._yuid];
-            if (node && METHODS_INVOKE[method] && node[method]) {
-                return node[method](a, b, c, d, e);
-            }
-            return null;
-        },
-
-        hasMethod: function(method) {
-            return !!(METHODS_INVOKE[method] && _nodes[this._yuid][method]);
-        },
-
-        //normalize: function() {},
-        //isSupported: function(feature, version) {},
-        toString: function() {
-            var node = _nodes[this._yuid] || {};
-            return node.id || node[NODE_NAME] || 'undefined node';
-        },
-
-        /**
-         * Retrieves a single node based on the given CSS selector. 
-         * @method query
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {Node} A Node instance for the matching HTMLElement.
-         */
-        query: function(selector) {
-            return wrapDOM(Selector.query(selector, _nodes[this._yuid], true));
-        },
-
-        /**
-         * Retrieves a nodeList based on the given CSS selector. 
-         * @method queryAll
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {NodeList} A NodeList instance for the matching HTMLCollection/Array.
-         */
-        queryAll: function(selector) {
-            return wrapDOM(Selector.query(selector, _nodes[this._yuid]));
-        },
-
-        /**
-         * Test if the supplied node matches the supplied selector.
-         * @method test
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {boolean} Whether or not the node matches the selector.
-         */
-        test: function(selector) {
-            return Selector.test(_nodes[this._yuid], selector);
-        },
-
-        /**
-         * Compares nodes to determine if they match.
-         * Node instances can be compared to each other and/or HTMLElements.
-         * @method compareTo
-         * @param {HTMLElement | Node} refNode The reference node to compare to the node.
-         * @return {Boolean} True if the nodes match, false if they do not. 
-         */
-        compareTo: function(refNode) {
-            refNode = refNode[NODE_TYPE] ? refNode : _nodes[refNode._yuid];
-            return _nodes[this._yuid] === refNode;
-        },
-
-       /*
-         * Returns the nearest ancestor that passes the test applied by supplied boolean method.
-         * @method ancestor
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @return {Node} The matching Node instance or null if not found
-         */
-        ancestor: function(fn) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'parentNode', wrapFn(fn)));
-        },
-
-        /**
-         * Returns the previous matching sibling. 
-         * Returns the nearest element node sibling if no method provided.
-         * @method previous
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-         * @return {Node} Node instance or null if not found
-         */
-        previous: function(fn, all) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'previousSibling', wrapFn(fn)), all);
-        }, 
-
-        /**
-         * Returns the next matching sibling. 
-         * Returns the nearest element node sibling if no method provided.
-         * @method next
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-         * @return {Node} Node instance or null if not found
-         */
-        next: function(fn, all) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'nextSibling', wrapFn(fn)), all);
-        },
-        
-       /**
-         * Attaches a DOM event handler.
-         * @method attach
-         * @param {String} type The type of DOM Event to listen for 
-         * @param {Function} fn The handler to call when the event fires 
-         * @param {Object} arg An argument object to pass to the handler 
-         */
-
-        attach: function(type, fn, arg) {
-            var args = slice.call(arguments, 0);
-            args.unshift(_nodes[this._yuid]);
-            return Y.Event.addListener.apply(Y.Event, args);
-        },
-
-       /**
-         * Alias for attach.
-         * @method on
-         * @param {String} type The type of DOM Event to listen for 
-         * @param {Function} fn The handler to call when the event fires 
-         * @param {Object} arg An argument object to pass to the handler 
-         * @see attach
-         */
-
-        on: function(type, fn, arg) {
-            return this.attach.apply(this, arguments);
-        },
-
-        addEventListener: function(type, fn, arg) {
-            return Y.Event.nativeAdd(_nodes[this._yuid], type, fn, arg);
-        },
-        
-       /**
-         * Detaches a DOM event handler. 
-         * @method detach
-         * @param {String} type The type of DOM Event
-         * @param {Function} fn The handler to call when the event fires 
-         */
-        detach: function(type, fn) {
-            var args = slice.call(arguments, 0);
-            args.unshift(_nodes[this._yuid]);
-            return Y.Event.removeListener.apply(Y.Event, args);
-        },
-
-        removeEventListener: function(type, fn) {
-            return Y.Event.nativeRemove(_nodes[this._yuid], type, fn);
-        },
-
-       /**
-         * Creates a Node instance from HTML string
-         * @method create
-         * @param {String|Array} html The string of html to create
-         * @return {Node} A new Node instance 
-         */
-        create: function(html) {
-            return Y.Node.create(html);
-        },
-
-        /**
-         * Determines whether the ndoe is an ancestor of another HTML element in the DOM hierarchy.
-         * @method contains
-         * @param {Node | HTMLElement} needle The possible node or descendent
-         * @return {Boolean} Whether or not this node is the needle its ancestor
-         */
-        contains: function(needle) {
-            return Y.DOM.contains(_nodes[this._yuid], getDOMNode(needle));
-        },
-
-        /**
-         * Applies the supplied plugin to the node.
-         * @method plug
-         * @param {Function} The plugin Class to apply
-         * @param {Object} config An optional config to pass to the constructor
-         * @chainable
-         */
-        plug: function(PluginClass, config) {
-            config = config || {};
-            config.owner = this;
-            if (PluginClass && PluginClass.NS) {
-                this[PluginClass.NS] = new PluginClass(config);
-            }
-            return this;
-        },
-
-        /**
-         * Determines whether the node is appended to the document.
-         * @method inDoc
-         * @param {Node|HTMLElement} doc optional An optional document to check against.
-         * Defaults to current document. 
-         * @return {Boolean} Whether or not this node is appended to the document. 
-         */
-        inDoc: function(doc) {
-            var node = _nodes[this._yuid];
-            doc = (doc) ? getDoc(doc) : node.ownerDocument;
-            if (doc.documentElement) {
-                return Y.DOM.contains(doc.documentElement, node);
-            }
-        }
-    };
-
-    Y.each(METHODS, function(fn, method) {
-        Node.prototype[method] = function() {
-            return fn.apply(this, [method].concat(slice.call(arguments)));
-        };
-    });
-
-    /** 
-     * Creates a Node instance from an HTML string
-     * @method create
-     * @param {String} html HTML string
-     */
-    Node.create = function(html) {
-        return wrapDOM(Y.DOM.create(html));
-    };
-
-    Node.getById = function(id, doc) {
-        doc = (doc && doc[NODE_TYPE]) ? doc : Y.config.doc;
-        return wrapDOM(doc.getElementById(id));
-    };
-
-    /**
-     * Retrieves a Node instance for the given object/string. 
-     * Note: Use 'document' string to retrieve document Node instance from string
-     * @method get
-     * @static
-     * @param {document|HTMLElement|HTMLCollection|Array|String} node The object to wrap.
-     * @param {document|Node} doc optional The document containing the node. Defaults to current document.
-     * @param {boolean} isRoot optional Whether or not this node should be treated as a root node. Root nodes
-     * aren't allowed to traverse outside their DOM tree.
-     * @return {Node} A wrapper instance for the supplied object.
-     */
-    Node.get = function(node, doc, isRoot) {
-        if (node instanceof Node) {
-            return node;
-        }
-
-        if (!doc) {
-            doc = Y.config.doc;
-        } else if (doc._yuid && _nodes[doc._yuid]) {
-            doc = _nodes[doc._yuid]; 
-        }
-    
-        if (node && typeof node === 'string') {
-            if (node === 'document') {
-                node = Y.config.doc;
-            } else {
-                node = Y.Selector.query(node, doc, true);
-            }
-        }
-
-        node = wrapDOM(node);
-
-        if (isRoot) {
-            _restrict = _restrict || {};
-            _restrict[node._yuid] = node;
-        }
-
-        return node;
-    };
-
-    /**
-     * Retrieves a NodeList instance for the given object/string. 
-     * @method all
-     * @static
-     * @param {HTMLCollection|Array|String} node The object to wrap.
-     * @param {document|Node} doc optional The document containing the node. Defaults to current document.
-     * @return {NodeList} A NodeList instance for the supplied nodes.
-     */
-    Node.all = function(nodes, doc) {
-        if (nodes instanceof NodeList) {
-            return nodes;
-        }
-
-        if (!doc) {
-            doc = Y.config.doc;
-        } else if (doc._yuid && _nodes[doc._yuid]) {
-            doc = _nodes[doc._yuid]; 
-        }
-    
-        if (nodes && typeof nodes == 'string') {
-            nodes = Selector.query(nodes, doc);
-        }
-
-        return wrapDOM(nodes);
-
-    };
-
-    /** 
-     * A wrapper for manipulating multiple DOM elements
-     * @class NodeList
-     * @extends Node
-     * @constructor
-     */
-    var NodeList = function(nodes) {
-        // TODO: input validation
-        _nodelists[Y.stamp(this)] = nodes;
-    };
-
-    // used to call Node methods against NodeList nodes
-    var _tmpNode = Node.create('<div></div>');
-    NodeList.prototype = {};
-
-    Y.each(Node.prototype, function(fn, name) {
-        if (typeof Node.prototype[name] == 'function') {
-            addNodeListMethod(name);
-        }
-    });
-
-    Y.mix(NodeList.prototype, {
-        /**
-         * Retrieves the Node instance at the given index. 
-         * @method item
-         *
-         * @param {Number} index The index of the target Node.
-         * @return {Node} The Node instance at the given index.
-         */
-        item: function(index) {
-            var node = _nodelists[this._yuid][index];
-            return (node && node[TAG_NAME]) ? wrapDOM(node) : (node && node.get) ? node : null;
-        },
-
-        /**
-         * Set the value of the property/attribute on all HTMLElements bound to this NodeList.
-         * Only strings/numbers/booleans are passed through unless a SETTER exists.
-         * @method set
-         * @param {String} prop Property to set 
-         * @param {any} val Value to apply to the given property
-         * @see Node
-         * @chainable
-         */
-        set: function(name, val) {
-            var nodes = _nodelists[this._yuid];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                _tmpNode.set(name, val);
-            }
-
-            return this;
-        },
-
-        /**
-         * Get the value of the property/attribute for each of the HTMLElements bound to this NodeList.
-         * Only strings/numbers/booleans are passed through unless a GETTER exists.
-         * @method get
-         * @param {String} prop Property to get 
-         * @return {Array} Array containing the current values mapped to the Node indexes 
-         * @see Node
-         */
-        get: function(name) {
-            if (name == 'length') { // TODO: remove
-                return _nodelists[this._yuid].length;
-            }
-            var nodes = _nodelists[this._yuid];
-            var ret = [];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                ret[i] = _tmpNode.get(name);
-            }
-
-            return ret;
-        },
-
-        /**
-         * Filters the NodeList instance down to only nodes matching the given selector.
-         * @method filter
-         * @param {String} selector The selector to filter against
-         * @return {NodeList} NodeList containing the updated collection 
-         * @see Selector
-         */
-        filter: function(selector) {
-            return wrapDOM(Selector.filter(_nodelists[this._yuid], selector));
-        },
-
-        /**
-         * Applies the given function to each Node in the NodeList.
-         * @method each
-         * @param {Function} fn The function to apply 
-         * @param {Object} context optional An optional context to apply the function with
-         * Default context is the NodeList instance
-         * @return {NodeList} NodeList containing the updated collection 
-         * @chainable
-         */
-        each: function(fn, context) {
-            context = context || this;
-            var nodes = _nodelists[this._yuid];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                fn.call(context, Y.Node.get(nodes[i]), i, this);
-            }
-            return this;
-        },
-
-        /**
-         * Returns the current number of items in the NodeList.
-         * @method size
-         * @return {Int} The number of items in the NodeList. 
-         */
-        size: function() {
-            return _nodelists[this._yuid].length;
-        },
-
-        toString: function() {
-            var nodes = _nodelists[this._yuid] || [];
-            return 'NodeList (' + nodes.length + ' items)';
-        }
-
-    }, true);
-
-    Y.Node = Node;
-    Y.NodeList = NodeList;
-    Y.all = Y.Node.all;
-    Y.get = Y.Node.get;
-/**
- * Extended Node interface for managing classNames.
- * @module node
- * @for Node
- */
-
-    Y.Node.addDOMMethods([
-        /**
-         * Determines whether the node has the given className.
-         * @method hasClass
-         * @param {String} className the class name to search for
-         * @return {Boolean} Whether or not the node has the given class. 
-         */
-        'hasClass',
-
-        /**
-         * Adds a class name to the node.
-         * @method addClass         
-         * @param {String} className the class name to add to the node's class attribute
-         * @chainable
-         */
-        'addClass',
-
-        /**
-         * Removes a class name from the node.
-         * @method removeClass         
-         * @param {String} className the class name to remove from the node's class attribute
-         * @chainable
-         */
-        'removeClass',
-
-        /**
-         * Replace a class with another class.
-         * If no oldClassName is present, the newClassName is simply added.
-         * @method replaceClass  
-         * @param {String} oldClassName the class name to be replaced
-         * @param {String} newClassName the class name that will be replacing the old class name
-         * @chainable
-         */
-        'replaceClass',
-
-        /**
-         * If the className exists on the node it is removed, if it doesn't exist it is added.
-         * @method toggleClass  
-         * @param {String} className the class name to be toggled
-         * @chainable
-         */
-        'toggleClass'
-    ]);
-
-
-}, '3.0.0pr1' ,{requires:['dom-base', 'selector']});

=== removed file 'loggerhead/static/javascript/yui/build/node/node-debug.js'
--- loggerhead/static/javascript/yui/build/node/node-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-debug.js	1970-01-01 00:00:00 +0000
@@ -1,1270 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('node', function(Y) {
-
-    /**
-     * The Node Utility provides a DOM-like interface for interacting with DOM nodes.
-     * @module node
-     * @submodule node-base
-     */     
-
-    /**
-     * The Node class provides a wrapper for manipulating DOM Nodes.
-     * Node properties can be accessed via the set/get methods.
-     * Use Y.get() to retrieve Node instances.
-     *
-     * <strong>NOTE:</strong> All node properties are accessed using the
-     * <code>set</code> and <code>get</code> methods.
-     *
-     * @class Node
-     * @constructor
-     */
-
-    var BASE_NODE                   = 0, 
-        ELEMENT_NODE                = 1,
-        //ATTRIBUTE_NODE              = 2,
-        //TEXT_NODE                   = 3,
-        //CDATA_SECTION_NODE          = 4,
-        //ENTITY_REFERENCE_NODE       = 5,
-        //ENTITY_NODE                 = 6,
-        //PROCESSING_INSTRUCTION_NODE = 7,
-        //COMMENT_NODE                = 8,
-        DOCUMENT_NODE               = 9; //,
-        //DOCUMENT_TYPE_NODE          = 10,
-        //DOCUMENT_FRAGMENT_NODE      = 11,
-        //NOTATION_NODE               = 12;
-
-    var OWNER_DOCUMENT = 'ownerDocument',
-        TAG_NAME = 'tagName',
-        NODE_NAME = 'nodeName',
-        NODE_TYPE = 'nodeType';
-
-    var RE_VALID_PROP_TYPES = /(?:string|boolean|number)/;
-
-    var Selector = Y.Selector;
-    var _instances = {};
-    var _nodes = {};
-    var _nodelists = {};
-    var _restrict = null;
-
-    var slice = [].slice;
-
-    var wrapDOM = function(node) {
-        var ret = null,
-            yuid = (node) ? node._yuid : null,
-            instance = _instances[yuid],
-            existingNode = _nodes[yuid];
-
-        if (node) {
-            if (NODE_TYPE in node) {
-                if (instance && existingNode && node === existingNode) {
-                    ret = instance; // reuse existing Nodes if nodes match
-                } else {
-                    ret = new Node(node);
-                }
-            } else if ('item' in node || 'push' in node) {
-                ret = new Y.NodeList(node);
-            }
-        }
-        return ret;
-    };
-
-    var wrapFn = function(fn) {
-        var ret = null;
-        if (fn) {
-            ret = (typeof fn === 'string') ?
-            function(n) {
-                return Y.Selector.test(n, fn);
-            } : 
-            function(n) {
-                return fn(_instances[n._yuid]);
-            };
-        }
-
-        return ret;
-    };
-
-    var getDoc = function(node) {
-        node = _nodes[node._yuid];
-        return (node[NODE_TYPE] === 9) ? node : node[OWNER_DOCUMENT];
-    };
-
-    // returns HTMLElement
-    var getDOMNode = function(node) {
-        if (node && !node.nodeType && node._yuid) {
-            node = _nodes[node._yuid];
-        }
-
-        return  node || null;
-
-    };
-
-    /*
-     * Wraps the input and outputs of a node instance
-     */
-    var nodeInOut = function(method, a, b, c, d, e) {
-        if (a) { // first 2 may be Node instances or nodes (TODO: or strings?)
-            a = getDOMNode(a);
-            if (b) {
-                b = getDOMNode(b);
-            }
-        }
-        return wrapDOM(_nodes[this._yuid][method](a, b, c, d, e));
-    };
-
-    /*
-     * Wraps the return value in a node instance
-     */
-    var nodeOut = function(method, a, b, c, d, e) {
-        return wrapDOM(_nodes[this._yuid][method](a, b, c, d, e));
-    };
-
-    /* 
-     * Returns directy from node method call 
-     */
-    var rawOut = function(method, a, b, c, d, e) {
-        return _nodes[this._yuid][method](a, b, c, d, e);
-    };
-
-    var noOut = function(method, a, b, c, d, e) {
-        _nodes[this._yuid][method](a, b, c, d, e);
-        return this;
-    };
-
-    var PROPS_WRAP = {
-        /**
-         * Returns a Node instance. 
-         * @property parentNode
-         * @type Node
-         */
-        'parentNode': BASE_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property childNodes
-         * @type NodeList
-         */
-        'childNodes': BASE_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property children
-         * @type NodeList
-         */
-        'children': function(node) {
-            node = _nodes[node._yuid];
-            var children = node.children;
-
-            if (children === undefined) {
-                var childNodes = node.childNodes;
-                children = [];
-
-                for (var i = 0, len = childNodes.length; i < len; ++i) {
-                    if (childNodes[i][TAG_NAME]) {
-                        children[children.length] = childNodes[i];
-                    }
-                }
-            }
-            return children;
-        },
-
-        /**
-         * Returns a Node instance. 
-         * @property firstChild
-         * @type Node
-         */
-        'firstChild': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property lastChild
-         * @type Node
-         */
-        'lastChild': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property previousSibling
-         * @type Node
-         */
-        'previousSibling': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property previousSibling
-         * @type Node
-         */
-        'nextSibling': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property ownerDocument
-         * @type Doc
-         */
-        'ownerDocument': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property offsetParent
-         * @type Node
-         */
-        'offsetParent': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property documentElement
-         * @type Node
-         */
-        'documentElement': DOCUMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property body
-         * @type Node
-         */
-        'body': DOCUMENT_NODE,
-
-        // form
-        /**
-         * Returns a NodeList instance. 
-         * @property elements
-         * @type NodeList
-         */
-        'elements': ELEMENT_NODE,
-
-        // table
-        /**
-         * Returns a NodeList instance. 
-         * @property rows
-         * @type NodeList
-         */
-        'rows': ELEMENT_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property cells
-         * @type NodeList
-         */
-        'cells': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property tHead
-         * @type Node
-         */
-        'tHead': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property tFoot
-         * @type Node
-         */
-        'tFoot': ELEMENT_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property tBodies
-         * @type NodeList
-         */
-        'tBodies': ELEMENT_NODE
-    };
-    var METHODS = {
-        /**
-         * Passes through to DOM method.
-         * @method replaceChild
-         * @param {HTMLElement | Node} node Node to be inserted 
-         * @param {HTMLElement | Node} refNode Node to be replaced 
-         * @return {Node} The replaced node 
-         */
-        replaceChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method appendChild
-         * @param {HTMLElement | Node} node Node to be appended 
-         * @return {Node} The appended node 
-         */
-        appendChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method insertBefore
-         * @param {HTMLElement | Node} newNode Node to be appended 
-         * @param {HTMLElement | Node} refNode Node to be inserted before 
-         * @return {Node} The inserted node 
-         */
-        insertBefore: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method removeChild
-         * @param {HTMLElement | Node} node Node to be removed 
-         * @return {Node} The removed node 
-         */
-        removeChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method hasChildNodes
-         * @return {Boolean} Whether or not the node has any childNodes 
-         */
-        hasChildNodes: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method cloneNode
-         * @param {HTMLElement | Node} node Node to be cloned 
-         * @return {Node} The clone 
-         */
-        cloneNode: nodeOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method getAttribute
-         * @param {String} attribute The attribute to retrieve 
-         * @return {String} The current value of the attribute 
-         */
-        getAttribute: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method setAttribute
-         * @param {String} attribute The attribute to set 
-         * @param {String} The value to apply to the attribute 
-         * @chainable
-         */
-        setAttribute: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method hasAttribute
-         * @param {String} attribute The attribute to test for 
-         * @return {Boolean} Whether or not the attribute is present 
-         */
-        hasAttribute: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method scrollIntoView
-         * @chainable
-         */
-        scrollIntoView: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method getElementsByTagName
-         * @param {String} tagName The tagName to collect 
-         * @return {NodeList} A NodeList representing the HTMLCollection
-         */
-        getElementsByTagName: nodeOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method focus
-         * @chainable
-         */
-        focus: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method blur
-         * @chainable
-         */
-        blur: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * Only valid on FORM elements
-         * @method submit
-         * @chainable
-         */
-        submit: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * Only valid on FORM elements
-         * @method reset
-         * @chainable
-         */
-        reset: noOut
-    };
-
-    var addNodeListMethod = function(name) {
-        NodeList.prototype[name] = function() {
-            var a = [],
-                nodes = _nodelists[this._yuid],
-                ret;
-
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                ret = _tmpNode[name].apply(_tmpNode, arguments);
-                if (ret !== _tmpNode) {
-                    a[i] = ret;
-                }
-            }
-
-            return a.length ? a : this;
-        };
-    };
-
-    var METHODS_INVOKE = {
-        'getBoundingClientRect': true
-    };
-
-    var Node = function(node) {
-        if (!node || !node[NODE_TYPE]) {
-            Y.log('invalid node:' + node, 'error', 'Node');
-            return null;
-        }
-        
-        var yuid = Y.guid();
-        try { // IE errors on non-element expandos (cant be reused)
-            node._yuid = yuid;
-        } catch(e) {}
-        this._yuid = yuid;
-        _nodes[yuid] = node;
-        _instances[yuid] = this;
-
-    };
-
-    var SETTERS = {};
-    var GETTERS = {
-        /**
-         * Normalizes nodeInnerText and textContent. 
-         * @property text
-         * @type String
-         */
-        'text': function(node) {
-            return Y.DOM.getText(_nodes[node._yuid]);
-        },
-
-        /**
-         * Returns a nodeList of option elements 
-         * @property options
-         * @type String
-         */
-        'options': function(node) {
-            return (node) ? node.getElementsByTagName('option') : [];
-        }
-    };
-
-    Node.setters = function(prop, fn) {
-        if (typeof prop == 'string') {
-            SETTERS[prop] = fn;
-        } else { // assume object
-            Y.each(prop, function(fn, prop) {
-                Node.setters(prop, fn);
-            });
-        } 
-    };
-
-    Node.getters = function(prop, fn) {
-        if (typeof prop == 'string') {
-            GETTERS[prop] = fn;
-        } else { // assume object
-            Y.each(prop, function(fn, prop) {
-                Node.getters(prop, fn);
-            });
-        } 
-    };
-
-    Node.methods = function(name, fn) {
-        if (typeof name == 'string') {
-            Node.prototype[name] = function() {
-                var args = slice.call(arguments);
-                args.unshift(this);
-                var ret = fn.apply(null, args);
-                if (ret === undefined) {
-                    ret = this;
-                }
-                return ret;
-            };
-
-            addNodeListMethod(name);
-
-
-        } else { // assume object
-            Y.each(name, function(fn, name) {
-                Node.methods(name, fn);
-            });
-        }
-    };
-
-    Node.getDOMNode = function(node) {
-        var ret;
-
-        if (node.nodeType) {
-            ret = node;
-        } else if (typeof node === 'string') {
-            ret = Selector.query(node, null, true);
-        } else {
-            ret = _nodes[node._yuid];
-        }
-        return ret || null;
-    };
-
-    Node.wrapDOMMethod = function(name) {
-        return function() {
-            var args = slice.call(arguments);
-            args.unshift(Y.Node.getDOMNode(args.shift()));
-            return Y.DOM[name].apply(Y.DOM, args);
-        };
-
-    };
-
-    Node.addDOMMethods = function(methods) {
-        var add = {}; 
-        Y.each(methods, function(v, n) {
-            add[v] = Y.Node.wrapDOMMethod(v);
-        });
-
-        Y.Node.methods(add);
-    };
-
-    Node.prototype = {
-        /**
-         * Set the value of the property/attribute on the HTMLElement bound to this Node.
-         * Only strings/numbers/booleans are passed through unless a SETTER exists.
-         * @method set
-         * @param {String} prop Property to set 
-         * @param {any} val Value to apply to the given property
-         * @chainable
-         */
-        set: function(prop, val) {
-            var node = _nodes[this._yuid];
-            if (prop in SETTERS) { // use custom setter
-                SETTERS[prop](this, prop, val);  // passing Node instance
-            } else if (RE_VALID_PROP_TYPES.test(typeof node[prop])) { // safe to write
-                node[prop] = val;
-            }
-            return this;
-        },
-
-        /**
-         * Get the value of the property/attribute on the HTMLElement bound to this Node.
-         * Only strings/numbers/booleans are passed through unless a GETTER exists.
-         * @method get
-         * @param {String} prop Property to get 
-         * @return {any} Current value of the property
-         */
-        get: function(prop) {
-            var val;
-            var node = _nodes[this._yuid];
-            if (prop in GETTERS) { // use custom getter
-                val = GETTERS[prop](this, prop);
-            } else if (prop in PROPS_WRAP) { // wrap DOM object (HTMLElement, HTMLCollection, Document)
-                if (typeof PROPS_WRAP[prop] === 'function') {
-                    val = PROPS_WRAP[prop](this);
-                } else {
-                    val = node[prop];
-                }
-
-                if (_restrict && _restrict[this._yuid] && !Y.DOM.contains(node, val)) {
-                    val = null; // not allowed to go outside of root node
-                } else {
-                    val = wrapDOM(val);
-                }
-            } else if (RE_VALID_PROP_TYPES.test(typeof node[prop])) { // safe to read
-                val = node[prop];
-            }
-            return val;
-        },
-
-        invoke: function(method, a, b, c, d, e) {
-            if (a) { // first 2 may be Node instances or strings
-                a = (a[NODE_TYPE]) ? a : getDOMNode(a);
-                if (b) {
-                    b = (b[NODE_TYPE]) ? b : getDOMNode(b);
-                }
-            }
-            var node = _nodes[this._yuid];
-            if (node && METHODS_INVOKE[method] && node[method]) {
-                return node[method](a, b, c, d, e);
-            }
-            return null;
-        },
-
-        hasMethod: function(method) {
-            return !!(METHODS_INVOKE[method] && _nodes[this._yuid][method]);
-        },
-
-        //normalize: function() {},
-        //isSupported: function(feature, version) {},
-        toString: function() {
-            var node = _nodes[this._yuid] || {};
-            return node.id || node[NODE_NAME] || 'undefined node';
-        },
-
-        /**
-         * Retrieves a single node based on the given CSS selector. 
-         * @method query
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {Node} A Node instance for the matching HTMLElement.
-         */
-        query: function(selector) {
-            return wrapDOM(Selector.query(selector, _nodes[this._yuid], true));
-        },
-
-        /**
-         * Retrieves a nodeList based on the given CSS selector. 
-         * @method queryAll
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {NodeList} A NodeList instance for the matching HTMLCollection/Array.
-         */
-        queryAll: function(selector) {
-            return wrapDOM(Selector.query(selector, _nodes[this._yuid]));
-        },
-
-        /**
-         * Test if the supplied node matches the supplied selector.
-         * @method test
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {boolean} Whether or not the node matches the selector.
-         */
-        test: function(selector) {
-            return Selector.test(_nodes[this._yuid], selector);
-        },
-
-        /**
-         * Compares nodes to determine if they match.
-         * Node instances can be compared to each other and/or HTMLElements.
-         * @method compareTo
-         * @param {HTMLElement | Node} refNode The reference node to compare to the node.
-         * @return {Boolean} True if the nodes match, false if they do not. 
-         */
-        compareTo: function(refNode) {
-            refNode = refNode[NODE_TYPE] ? refNode : _nodes[refNode._yuid];
-            return _nodes[this._yuid] === refNode;
-        },
-
-       /*
-         * Returns the nearest ancestor that passes the test applied by supplied boolean method.
-         * @method ancestor
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @return {Node} The matching Node instance or null if not found
-         */
-        ancestor: function(fn) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'parentNode', wrapFn(fn)));
-        },
-
-        /**
-         * Returns the previous matching sibling. 
-         * Returns the nearest element node sibling if no method provided.
-         * @method previous
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-         * @return {Node} Node instance or null if not found
-         */
-        previous: function(fn, all) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'previousSibling', wrapFn(fn)), all);
-        }, 
-
-        /**
-         * Returns the next matching sibling. 
-         * Returns the nearest element node sibling if no method provided.
-         * @method next
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-         * @return {Node} Node instance or null if not found
-         */
-        next: function(fn, all) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'nextSibling', wrapFn(fn)), all);
-        },
-        
-       /**
-         * Attaches a DOM event handler.
-         * @method attach
-         * @param {String} type The type of DOM Event to listen for 
-         * @param {Function} fn The handler to call when the event fires 
-         * @param {Object} arg An argument object to pass to the handler 
-         */
-
-        attach: function(type, fn, arg) {
-            var args = slice.call(arguments, 0);
-            args.unshift(_nodes[this._yuid]);
-            return Y.Event.addListener.apply(Y.Event, args);
-        },
-
-       /**
-         * Alias for attach.
-         * @method on
-         * @param {String} type The type of DOM Event to listen for 
-         * @param {Function} fn The handler to call when the event fires 
-         * @param {Object} arg An argument object to pass to the handler 
-         * @see attach
-         */
-
-        on: function(type, fn, arg) {
-            return this.attach.apply(this, arguments);
-        },
-
-        addEventListener: function(type, fn, arg) {
-            return Y.Event.nativeAdd(_nodes[this._yuid], type, fn, arg);
-        },
-        
-       /**
-         * Detaches a DOM event handler. 
-         * @method detach
-         * @param {String} type The type of DOM Event
-         * @param {Function} fn The handler to call when the event fires 
-         */
-        detach: function(type, fn) {
-            var args = slice.call(arguments, 0);
-            args.unshift(_nodes[this._yuid]);
-            return Y.Event.removeListener.apply(Y.Event, args);
-        },
-
-        removeEventListener: function(type, fn) {
-            return Y.Event.nativeRemove(_nodes[this._yuid], type, fn);
-        },
-
-       /**
-         * Creates a Node instance from HTML string
-         * @method create
-         * @param {String|Array} html The string of html to create
-         * @return {Node} A new Node instance 
-         */
-        create: function(html) {
-            return Y.Node.create(html);
-        },
-
-        /**
-         * Determines whether the ndoe is an ancestor of another HTML element in the DOM hierarchy.
-         * @method contains
-         * @param {Node | HTMLElement} needle The possible node or descendent
-         * @return {Boolean} Whether or not this node is the needle its ancestor
-         */
-        contains: function(needle) {
-            return Y.DOM.contains(_nodes[this._yuid], getDOMNode(needle));
-        },
-
-        /**
-         * Applies the supplied plugin to the node.
-         * @method plug
-         * @param {Function} The plugin Class to apply
-         * @param {Object} config An optional config to pass to the constructor
-         * @chainable
-         */
-        plug: function(PluginClass, config) {
-            config = config || {};
-            config.owner = this;
-            if (PluginClass && PluginClass.NS) {
-                this[PluginClass.NS] = new PluginClass(config);
-            }
-            return this;
-        },
-
-        /**
-         * Determines whether the node is appended to the document.
-         * @method inDoc
-         * @param {Node|HTMLElement} doc optional An optional document to check against.
-         * Defaults to current document. 
-         * @return {Boolean} Whether or not this node is appended to the document. 
-         */
-        inDoc: function(doc) {
-            var node = _nodes[this._yuid];
-            doc = (doc) ? getDoc(doc) : node.ownerDocument;
-            if (doc.documentElement) {
-                return Y.DOM.contains(doc.documentElement, node);
-            }
-        }
-    };
-
-    Y.each(METHODS, function(fn, method) {
-        Node.prototype[method] = function() {
-            return fn.apply(this, [method].concat(slice.call(arguments)));
-        };
-    });
-
-    /** 
-     * Creates a Node instance from an HTML string
-     * @method create
-     * @param {String} html HTML string
-     */
-    Node.create = function(html) {
-        return wrapDOM(Y.DOM.create(html));
-    };
-
-    Node.getById = function(id, doc) {
-        doc = (doc && doc[NODE_TYPE]) ? doc : Y.config.doc;
-        return wrapDOM(doc.getElementById(id));
-    };
-
-    /**
-     * Retrieves a Node instance for the given object/string. 
-     * Note: Use 'document' string to retrieve document Node instance from string
-     * @method get
-     * @static
-     * @param {document|HTMLElement|HTMLCollection|Array|String} node The object to wrap.
-     * @param {document|Node} doc optional The document containing the node. Defaults to current document.
-     * @param {boolean} isRoot optional Whether or not this node should be treated as a root node. Root nodes
-     * aren't allowed to traverse outside their DOM tree.
-     * @return {Node} A wrapper instance for the supplied object.
-     */
-    Node.get = function(node, doc, isRoot) {
-        if (node instanceof Node) {
-            return node;
-        }
-
-        if (!doc) {
-            doc = Y.config.doc;
-        } else if (doc._yuid && _nodes[doc._yuid]) {
-            doc = _nodes[doc._yuid]; 
-        }
-    
-        if (node && typeof node === 'string') {
-            if (node === 'document') {
-                node = Y.config.doc;
-            } else {
-                node = Y.Selector.query(node, doc, true);
-            }
-        }
-
-        node = wrapDOM(node);
-
-        if (isRoot) {
-            _restrict = _restrict || {};
-            _restrict[node._yuid] = node;
-        }
-
-        return node;
-    };
-
-    /**
-     * Retrieves a NodeList instance for the given object/string. 
-     * @method all
-     * @static
-     * @param {HTMLCollection|Array|String} node The object to wrap.
-     * @param {document|Node} doc optional The document containing the node. Defaults to current document.
-     * @return {NodeList} A NodeList instance for the supplied nodes.
-     */
-    Node.all = function(nodes, doc) {
-        if (nodes instanceof NodeList) {
-            return nodes;
-        }
-
-        if (!doc) {
-            doc = Y.config.doc;
-        } else if (doc._yuid && _nodes[doc._yuid]) {
-            doc = _nodes[doc._yuid]; 
-        }
-    
-        if (nodes && typeof nodes == 'string') {
-            nodes = Selector.query(nodes, doc);
-        }
-
-        return wrapDOM(nodes);
-
-    };
-
-    /** 
-     * A wrapper for manipulating multiple DOM elements
-     * @class NodeList
-     * @extends Node
-     * @constructor
-     */
-    var NodeList = function(nodes) {
-        // TODO: input validation
-        _nodelists[Y.stamp(this)] = nodes;
-    };
-
-    // used to call Node methods against NodeList nodes
-    var _tmpNode = Node.create('<div></div>');
-    NodeList.prototype = {};
-
-    Y.each(Node.prototype, function(fn, name) {
-        if (typeof Node.prototype[name] == 'function') {
-            addNodeListMethod(name);
-        }
-    });
-
-    Y.mix(NodeList.prototype, {
-        /**
-         * Retrieves the Node instance at the given index. 
-         * @method item
-         *
-         * @param {Number} index The index of the target Node.
-         * @return {Node} The Node instance at the given index.
-         */
-        item: function(index) {
-            var node = _nodelists[this._yuid][index];
-            return (node && node[TAG_NAME]) ? wrapDOM(node) : (node && node.get) ? node : null;
-        },
-
-        /**
-         * Set the value of the property/attribute on all HTMLElements bound to this NodeList.
-         * Only strings/numbers/booleans are passed through unless a SETTER exists.
-         * @method set
-         * @param {String} prop Property to set 
-         * @param {any} val Value to apply to the given property
-         * @see Node
-         * @chainable
-         */
-        set: function(name, val) {
-            var nodes = _nodelists[this._yuid];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                _tmpNode.set(name, val);
-            }
-
-            return this;
-        },
-
-        /**
-         * Get the value of the property/attribute for each of the HTMLElements bound to this NodeList.
-         * Only strings/numbers/booleans are passed through unless a GETTER exists.
-         * @method get
-         * @param {String} prop Property to get 
-         * @return {Array} Array containing the current values mapped to the Node indexes 
-         * @see Node
-         */
-        get: function(name) {
-            if (name == 'length') { // TODO: remove
-                Y.log('the length property is deprecated; use size()', 'warn', 'NodeList');
-                return _nodelists[this._yuid].length;
-            }
-            var nodes = _nodelists[this._yuid];
-            var ret = [];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                ret[i] = _tmpNode.get(name);
-            }
-
-            return ret;
-        },
-
-        /**
-         * Filters the NodeList instance down to only nodes matching the given selector.
-         * @method filter
-         * @param {String} selector The selector to filter against
-         * @return {NodeList} NodeList containing the updated collection 
-         * @see Selector
-         */
-        filter: function(selector) {
-            return wrapDOM(Selector.filter(_nodelists[this._yuid], selector));
-        },
-
-        /**
-         * Applies the given function to each Node in the NodeList.
-         * @method each
-         * @param {Function} fn The function to apply 
-         * @param {Object} context optional An optional context to apply the function with
-         * Default context is the NodeList instance
-         * @return {NodeList} NodeList containing the updated collection 
-         * @chainable
-         */
-        each: function(fn, context) {
-            context = context || this;
-            var nodes = _nodelists[this._yuid];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                fn.call(context, Y.Node.get(nodes[i]), i, this);
-            }
-            return this;
-        },
-
-        /**
-         * Returns the current number of items in the NodeList.
-         * @method size
-         * @return {Int} The number of items in the NodeList. 
-         */
-        size: function() {
-            return _nodelists[this._yuid].length;
-        },
-
-        toString: function() {
-            var nodes = _nodelists[this._yuid] || [];
-            return 'NodeList (' + nodes.length + ' items)';
-        }
-
-    }, true);
-
-    Y.Node = Node;
-    Y.NodeList = NodeList;
-    Y.all = Y.Node.all;
-    Y.get = Y.Node.get;
-/**
- * Extended Node interface for managing node styles.
- * @module node
- * @submodule node-style
- * @for Node
- */
-
-Y.Node.addDOMMethods([
-    /**
-     * Returns the style's current value.
-     * @method getStyle
-     * @param {String} attr The style attribute to retrieve. 
-     * @return {String} The current value of the style property for the element.
-     */
-    'getStyle',
-
-    /**
-     * Returns the computed value for the given style property.
-     * @method getComputedStyle
-     * @param {String} attr The style attribute to retrieve. 
-     * @return {String} The computed value of the style property for the element.
-     */
-    'getComputedStyle',
-
-    /**
-     * Sets a style property of the node.
-     * @method setStyle
-     * @param {String} attr The style attribute to set. 
-     * @param {String|Number} val The value. 
-     * @chainable
-     */
-    'setStyle',
-
-    /**
-     * Sets multiple style properties on the node.
-     * @method setStyles
-     * @param {Object} hash An object literal of property:value pairs. 
-     * @chainable
-     */
-    'setStyles'
-]);
-
-/**
- * Extended Node interface for managing classNames.
- * @module node
- * @for Node
- */
-
-    Y.Node.addDOMMethods([
-        /**
-         * Determines whether the node has the given className.
-         * @method hasClass
-         * @param {String} className the class name to search for
-         * @return {Boolean} Whether or not the node has the given class. 
-         */
-        'hasClass',
-
-        /**
-         * Adds a class name to the node.
-         * @method addClass         
-         * @param {String} className the class name to add to the node's class attribute
-         * @chainable
-         */
-        'addClass',
-
-        /**
-         * Removes a class name from the node.
-         * @method removeClass         
-         * @param {String} className the class name to remove from the node's class attribute
-         * @chainable
-         */
-        'removeClass',
-
-        /**
-         * Replace a class with another class.
-         * If no oldClassName is present, the newClassName is simply added.
-         * @method replaceClass  
-         * @param {String} oldClassName the class name to be replaced
-         * @param {String} newClassName the class name that will be replacing the old class name
-         * @chainable
-         */
-        'replaceClass',
-
-        /**
-         * If the className exists on the node it is removed, if it doesn't exist it is added.
-         * @method toggleClass  
-         * @param {String} className the class name to be toggled
-         * @chainable
-         */
-        'toggleClass'
-    ]);
-/**
- * Extended Node interface for managing regions and screen positioning.
- * Adds support for positioning elements and normalizes window size and scroll detection. 
- * @module node
- * @submodule node-screen
- * @for Node
- */
-
-var ATTR = [
-        /**
-         * Returns a region object for the node 
-         * @property region
-         * @type Node
-         */
-        'region',
-        /**
-         * Returns a region object for the node's viewport 
-         * @property viewportRegion
-         * @type Node
-         */
-        'viewportRegion'
-    ],
-
-    getNode = Y.Node.getDOMNode;
-
-Y.each(ATTR, function(v, n) {
-    Y.Node.getters(v, Y.Node.wrapDOMMethod(v));
-});
-
-Y.Node.addDOMMethods([
-    /**
-     * Determines whether or not the node is currently visible in the viewport. 
-     * @method inViewportRegion         
-     * @return {Boolean} Whether or not the node is currently positioned
-     * within the viewport's region
-     */
-    'inViewportRegion'
-]);
-
-// these need special treatment to extract 2nd node arg
-Y.Node.methods({
-    /**
-     * Compares the intersection of the node with another node or region 
-     * @method intersect         
-     * @param {Node|Object} node2 The node or region to compare with.
-     * @param {Object} altRegion An alternate region to use (rather than this node's). 
-     * @return {Object} An object representing the intersection of the regions. 
-     */
-    intersect: function(node1, node2, altRegion) {
-        if (node2 instanceof Y.Node) { // might be a region object
-            node2 = getNode(node2);
-        }
-        return Y.DOM.intersect(getNode(node1), node2, altRegion); 
-    },
-
-    /**
-     * Determines whether or not the node is within the giving region.
-     * @method inRegion         
-     * @param {Node|Object} node2 The node or region to compare with.
-     * @param {Boolean} all Whether or not all of the node must be in the region. 
-     * @param {Object} altRegion An alternate region to use (rather than this node's). 
-     * @return {Object} An object representing the intersection of the regions. 
-     */
-    inRegion: function(node1, node2, all, altRegion) {
-        if (node2 instanceof Y.Node) { // might be a region object
-            node2 = getNode(node2);
-        }
-        return Y.DOM.inRegion(getNode(node1), node2, all, altRegion); 
-    }
-});
-
-/**
- * Extended Node interface for managing regions and screen positioning.
- * Adds support for positioning elements and normalizes window size and scroll detection. 
- * @module node
- * @submodule node-screen
- * @for Node
- */
-
-    Y.each([
-        /**
-         * Returns the inner width of the viewport (exludes scrollbar). 
-         * @property winWidth
-         * @type {Int}
-         */
-        'winWidth',
-
-        /**
-         * Returns the inner height of the viewport (exludes scrollbar). 
-         * @property winHeight
-         * @type {Int}
-         */
-        'winHeight',
-
-        /**
-         * Document width 
-         * @property winHeight
-         * @type {Int}
-         */
-        'docWidth',
-
-        /**
-         * Document height 
-         * @property docHeight
-         * @type {Int}
-         */
-        'docHeight',
-
-        /**
-         * Amount page has been scroll vertically 
-         * @property docScrollX
-         * @type {Int}
-         */
-        'docScrollX',
-
-        /**
-         * Amount page has been scroll horizontally 
-         * @property docScrollY
-         * @type {Int}
-         */
-        'docScrollY'
-        ],
-        function(v, n) {
-            Y.Node.getters(v, Y.Node.wrapDOMMethod(v));
-        }
-    );
-
-    Y.Node.addDOMMethods([
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getXY
-     * @return {Array} The XY position of the node
-    */
-        'getXY',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setXY
-     * @param {Array} xy Contains X & Y values for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setXY',
-
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getX
-     * @return {Int} The X position of the node
-    */
-        'getX',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setX
-     * @param {Int} x X value for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setX',
-
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getY
-     * @return {Int} The Y position of the node
-    */
-        'getY',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setY
-     * @param {Int} y Y value for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setY'
-    ]);
-
-
-}, '3.0.0pr1' ,{requires:['dom']});

=== removed file 'loggerhead/static/javascript/yui/build/node/node-min.js'
--- loggerhead/static/javascript/yui/build/node/node-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-min.js	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("node",function(A){var Z=0,J=1,P=9;var X="ownerDocument",W="tagName",G="nodeName",N="nodeType";var d=/(?:string|boolean|number)/;var a=A.Selector;var Q={};var D={};var O={};var S=null;var U=[].slice;var C=function(m){var j=null,k=(m)?m._yuid:null,Y=Q[k],l=D[k];if(m){if(N in m){if(Y&&l&&m===l){j=Y;}else{j=new g(m);}}else{if("item" in m||"push" in m){j=new A.NodeList(m);}}}return j;};var e=function(j){var Y=null;if(j){Y=(typeof j==="string")?function(k){return A.Selector.test(k,j);}:function(k){return j(Q[k._yuid]);};}return Y;};var M=function(Y){Y=D[Y._yuid];return(Y[N]===9)?Y:Y[X];};var F=function(Y){if(Y&&!Y.nodeType&&Y._yuid){Y=D[Y._yuid];}return Y||null;};var V=function(n,j,Y,m,l,k){if(j){j=F(j);if(Y){Y=F(Y);}}return C(D[this._yuid][n](j,Y,m,l,k));};var c=function(n,j,Y,m,l,k){return C(D[this._yuid][n](j,Y,m,l,k));};var T=function(n,j,Y,m,l,k){return D[this._yuid][n](j,Y,m,l,k);};var L=function(n,j,Y,m,l,k){D[this._yuid][n](j,Y,m,l,k);return this;};var I={"parentNode":Z,"childNodes":Z,"children":function(l){l=D[l._yuid];var k=l.children;if(k===undefined){var m=l.childNodes;k=[];for(var j=0,Y=m.length;j<Y;++j){if(m[j][W]){k[k.length]=m[j];}}}return k;},"firstChild":Z,"lastChild":Z,"previousSibling":Z,"nextSibling":Z,"ownerDocument":Z,"offsetParent":J,"documentElement":P,"body":P,"elements":J,"rows":J,"cells":J,"tHead":J,"tFoot":J,"tBodies":J};var K={replaceChild:V,appendChild:V,insertBefore:V,removeChild:V,hasChildNodes:T,cloneNode:c,getAttribute:T,setAttribute:L,hasAttribute:T,scrollIntoView:L,getElementsByTagName:c,focus:L,blur:L,submit:L,reset:L};var E=function(Y){f.prototype[Y]=function(){var k=[],l=O[this._yuid],m;for(var n=0,j=l.length;n<j;++n){D[H._yuid]=l[n];m=H[Y].apply(H,arguments);if(m!==H){k[n]=m;}}return k.length?k:this;};};var h={"getBoundingClientRect":true};var g=function(j){if(!j||!j[N]){return null;}var Y=A.guid();try{j._yuid=Y;}catch(k){}this._yuid=Y;D[Y]=j;Q[Y]=this;};var R={};var b={"text":function(Y){return A.DOM.getText(D[Y._yuid]);},"options":function(Y){return(Y)?Y.getElementsByTagName("option"):[];}};g.setters=function(j,Y){if(typeof j=="string"){R[j]=Y;}else{A.each(j,function(k,l){g.setters(l,k);});}};g.getters=function(j,Y){if(typeof j=="string"){b[j]=Y;}else{A.each(j,function(k,l){g.getters(l,k);});}};g.methods=function(Y,j){if(typeof Y=="string"){g.prototype[Y]=function(){var l=U.call(arguments);l.unshift(this);var k=j.apply(null,l);if(k===undefined){k=this;}return k;};E(Y);}else{A.each(Y,function(l,k){g.methods(k,l);});}};g.getDOMNode=function(j){var Y;if(j.nodeType){Y=j;}else{if(typeof j==="string"){Y=a.query(j,null,true);}else{Y=D[j._yuid];}}return Y||null;};g.wrapDOMMethod=function(Y){return function(){var j=U.call(arguments);j.unshift(A.Node.getDOMNode(j.shift()));return A.DOM[Y].apply(A.DOM,j);};};g.addDOMMethods=function(Y){var j={};A.each(Y,function(k,l){j[k]=A.Node.wrapDOMMethod(k);});A.Node.methods(j);};g.prototype={set:function(k,j){var Y=D[this._yuid];if(k in R){R[k](this,k,j);}else{if(d.test(typeof Y[k])){Y[k]=j;}}return this;},get:function(k){var j;var Y=D[this._yuid];if(k in b){j=b[k](this,k);}else{if(k in I){if(typeof I[k]==="function"){j=I[k](this);}else{j=Y[k];}if(S&&S[this._yuid]&&!A.DOM.contains(Y,j)){j=null;}else{j=C(j);}}else{if(d.test(typeof Y[k])){j=Y[k];}}}return j;},invoke:function(o,j,Y,n,m,l){if(j){j=(j[N])?j:F(j);if(Y){Y=(Y[N])?Y:F(Y);}}var k=D[this._yuid];if(k&&h[o]&&k[o]){return k[o](j,Y,n,m,l);}return null;},hasMethod:function(Y){return !!(h[Y]&&D[this._yuid][Y]);},toString:function(){var Y=D[this._yuid]||{};return Y.id||Y[G]||"undefined node";},query:function(Y){return C(a.query(Y,D[this._yuid],true));},queryAll:function(Y){return C(a.query(Y,D[this._yuid]));},test:function(Y){return a.test(D[this._yuid],Y);},compareTo:function(Y){Y=Y[N]?Y:D[Y._yuid];return D[this._yuid]===Y;},ancestor:function(Y){return C(A.DOM.elementByAxis(D[this._yuid],"parentNode",e(Y)));},previous:function(j,Y){return C(A.DOM.elementByAxis(D[this._yuid],"previousSibling",e(j)),Y);},next:function(j,Y){return C(A.DOM.elementByAxis(D[this._yuid],"nextSibling",e(j)),Y);},attach:function(l,k,Y){var j=U.call(arguments,0);j.unshift(D[this._yuid]);return A.Event.addListener.apply(A.Event,j);},on:function(k,j,Y){return this.attach.apply(this,arguments);},addEventListener:function(k,j,Y){return A.Event.nativeAdd(D[this._yuid],k,j,Y);},detach:function(k,j){var Y=U.call(arguments,0);Y.unshift(D[this._yuid]);return A.Event.removeListener.apply(A.Event,Y);},removeEventListener:function(j,Y){return A.Event.nativeRemove(D[this._yuid],j,Y);},create:function(Y){return A.Node.create(Y);},contains:function(Y){return A.DOM.contains(D[this._yuid],F(Y));},plug:function(j,Y){Y=Y||{};Y.owner=this;if(j&&j.NS){this[j.NS]=new j(Y);}return this;},inDoc:function(j){var Y=D[this._yuid];j=(j)?M(j):Y.ownerDocument;if(j.documentElement){return A.DOM.contains(j.documentElement,Y);}}};A.each(K,function(Y,j){g.prototype[j]=function(){return Y.apply(this,[j].concat(U.call(arguments)));};});g.create=function(Y){return C(A.DOM.create(Y));};g.getById=function(j,Y){Y=(Y&&Y[N])?Y:A.config.doc;return C(Y.getElementById(j));};g.get=function(j,k,Y){if(j instanceof g){return j;}if(!k){k=A.config.doc;}else{if(k._yuid&&D[k._yuid]){k=D[k._yuid];}}if(j&&typeof j==="string"){if(j==="document"){j=A.config.doc;}else{j=A.Selector.query(j,k,true);}}j=C(j);if(Y){S=S||{};S[j._yuid]=j;}return j;};g.all=function(Y,j){if(Y instanceof f){return Y;}if(!j){j=A.config.doc;}else{if(j._yuid&&D[j._yuid]){j=D[j._yuid];}}if(Y&&typeof Y=="string"){Y=a.query(Y,j);}return C(Y);};var f=function(Y){O[A.stamp(this)]=Y;};var H=g.create("<div></div>");f.prototype={};A.each(g.prototype,function(j,Y){if(typeof g.prototype[Y]=="function"){E(Y);}});A.mix(f.prototype,{item:function(Y){var j=O[this._yuid][Y];return(j&&j[W])?C(j):(j&&j.get)?j:null;},set:function(k,m){var j=O[this._yuid];for(var l=0,Y=j.length;l<Y;++l){D[H._yuid]=j[l];H.set(k,m);}return this;},get:function(l){if(l=="length"){return O[this._yuid].length;}var j=O[this._yuid];
-var k=[];for(var m=0,Y=j.length;m<Y;++m){D[H._yuid]=j[m];k[m]=H.get(l);}return k;},filter:function(Y){return C(a.filter(O[this._yuid],Y));},each:function(m,l){l=l||this;var j=O[this._yuid];for(var k=0,Y=j.length;k<Y;++k){m.call(l,A.Node.get(j[k]),k,this);}return this;},size:function(){return O[this._yuid].length;},toString:function(){var Y=O[this._yuid]||[];return"NodeList ("+Y.length+" items)";}},true);A.Node=g;A.NodeList=f;A.all=A.Node.all;A.get=A.Node.get;A.Node.addDOMMethods(["getStyle","getComputedStyle","setStyle","setStyles"]);A.Node.addDOMMethods(["hasClass","addClass","removeClass","replaceClass","toggleClass"]);var i=["region","viewportRegion"],B=A.Node.getDOMNode;A.each(i,function(Y,j){A.Node.getters(Y,A.Node.wrapDOMMethod(Y));});A.Node.addDOMMethods(["inViewportRegion"]);A.Node.methods({intersect:function(j,Y,k){if(Y instanceof A.Node){Y=B(Y);}return A.DOM.intersect(B(j),Y,k);},inRegion:function(j,Y,k,l){if(Y instanceof A.Node){Y=B(Y);}return A.DOM.inRegion(B(j),Y,k,l);}});A.each(["winWidth","winHeight","docWidth","docHeight","docScrollX","docScrollY"],function(Y,j){A.Node.getters(Y,A.Node.wrapDOMMethod(Y));});A.Node.addDOMMethods(["getXY","setXY","getX","setX","getY","setY"]);},"3.0.0pr1",{requires:["dom"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/node/node-screen-debug.js'
--- loggerhead/static/javascript/yui/build/node/node-screen-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-screen-debug.js	1970-01-01 00:00:00 +0000
@@ -1,193 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('node-screen', function(Y) {
-
-/**
- * Extended Node interface for managing regions and screen positioning.
- * Adds support for positioning elements and normalizes window size and scroll detection. 
- * @module node
- * @submodule node-screen
- * @for Node
- */
-
-    Y.each([
-        /**
-         * Returns the inner width of the viewport (exludes scrollbar). 
-         * @property winWidth
-         * @type {Int}
-         */
-        'winWidth',
-
-        /**
-         * Returns the inner height of the viewport (exludes scrollbar). 
-         * @property winHeight
-         * @type {Int}
-         */
-        'winHeight',
-
-        /**
-         * Document width 
-         * @property winHeight
-         * @type {Int}
-         */
-        'docWidth',
-
-        /**
-         * Document height 
-         * @property docHeight
-         * @type {Int}
-         */
-        'docHeight',
-
-        /**
-         * Amount page has been scroll vertically 
-         * @property docScrollX
-         * @type {Int}
-         */
-        'docScrollX',
-
-        /**
-         * Amount page has been scroll horizontally 
-         * @property docScrollY
-         * @type {Int}
-         */
-        'docScrollY'
-        ],
-        function(v, n) {
-            Y.Node.getters(v, Y.Node.wrapDOMMethod(v));
-        }
-    );
-
-    Y.Node.addDOMMethods([
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getXY
-     * @return {Array} The XY position of the node
-    */
-        'getXY',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setXY
-     * @param {Array} xy Contains X & Y values for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setXY',
-
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getX
-     * @return {Int} The X position of the node
-    */
-        'getX',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setX
-     * @param {Int} x X value for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setX',
-
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getY
-     * @return {Int} The Y position of the node
-    */
-        'getY',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setY
-     * @param {Int} y Y value for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setY'
-    ]);
-/**
- * Extended Node interface for managing regions and screen positioning.
- * Adds support for positioning elements and normalizes window size and scroll detection. 
- * @module node
- * @submodule node-screen
- * @for Node
- */
-
-var ATTR = [
-        /**
-         * Returns a region object for the node 
-         * @property region
-         * @type Node
-         */
-        'region',
-        /**
-         * Returns a region object for the node's viewport 
-         * @property viewportRegion
-         * @type Node
-         */
-        'viewportRegion'
-    ],
-
-    getNode = Y.Node.getDOMNode;
-
-Y.each(ATTR, function(v, n) {
-    Y.Node.getters(v, Y.Node.wrapDOMMethod(v));
-});
-
-Y.Node.addDOMMethods([
-    /**
-     * Determines whether or not the node is currently visible in the viewport. 
-     * @method inViewportRegion         
-     * @return {Boolean} Whether or not the node is currently positioned
-     * within the viewport's region
-     */
-    'inViewportRegion'
-]);
-
-// these need special treatment to extract 2nd node arg
-Y.Node.methods({
-    /**
-     * Compares the intersection of the node with another node or region 
-     * @method intersect         
-     * @param {Node|Object} node2 The node or region to compare with.
-     * @param {Object} altRegion An alternate region to use (rather than this node's). 
-     * @return {Object} An object representing the intersection of the regions. 
-     */
-    intersect: function(node1, node2, altRegion) {
-        if (node2 instanceof Y.Node) { // might be a region object
-            node2 = getNode(node2);
-        }
-        return Y.DOM.intersect(getNode(node1), node2, altRegion); 
-    },
-
-    /**
-     * Determines whether or not the node is within the giving region.
-     * @method inRegion         
-     * @param {Node|Object} node2 The node or region to compare with.
-     * @param {Boolean} all Whether or not all of the node must be in the region. 
-     * @param {Object} altRegion An alternate region to use (rather than this node's). 
-     * @return {Object} An object representing the intersection of the regions. 
-     */
-    inRegion: function(node1, node2, all, altRegion) {
-        if (node2 instanceof Y.Node) { // might be a region object
-            node2 = getNode(node2);
-        }
-        return Y.DOM.inRegion(getNode(node1), node2, all, altRegion); 
-    }
-});
-
-
-
-}, '3.0.0pr1' ,{requires:['dom-screen']});

=== removed file 'loggerhead/static/javascript/yui/build/node/node-screen-min.js'
--- loggerhead/static/javascript/yui/build/node/node-screen-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-screen-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("node-screen",function(B){B.each(["winWidth","winHeight","docWidth","docHeight","docScrollX","docScrollY"],function(D,E){B.Node.getters(D,B.Node.wrapDOMMethod(D));});B.Node.addDOMMethods(["getXY","setXY","getX","setX","getY","setY"]);var A=["region","viewportRegion"],C=B.Node.getDOMNode;B.each(A,function(D,E){B.Node.getters(D,B.Node.wrapDOMMethod(D));});B.Node.addDOMMethods(["inViewportRegion"]);B.Node.methods({intersect:function(E,D,F){if(D instanceof B.Node){D=C(D);}return B.DOM.intersect(C(E),D,F);},inRegion:function(E,D,F,G){if(D instanceof B.Node){D=C(D);}return B.DOM.inRegion(C(E),D,F,G);}});},"3.0.0pr1",{requires:["dom-screen"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/node/node-screen.js'
--- loggerhead/static/javascript/yui/build/node/node-screen.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-screen.js	1970-01-01 00:00:00 +0000
@@ -1,193 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('node-screen', function(Y) {
-
-/**
- * Extended Node interface for managing regions and screen positioning.
- * Adds support for positioning elements and normalizes window size and scroll detection. 
- * @module node
- * @submodule node-screen
- * @for Node
- */
-
-    Y.each([
-        /**
-         * Returns the inner width of the viewport (exludes scrollbar). 
-         * @property winWidth
-         * @type {Int}
-         */
-        'winWidth',
-
-        /**
-         * Returns the inner height of the viewport (exludes scrollbar). 
-         * @property winHeight
-         * @type {Int}
-         */
-        'winHeight',
-
-        /**
-         * Document width 
-         * @property winHeight
-         * @type {Int}
-         */
-        'docWidth',
-
-        /**
-         * Document height 
-         * @property docHeight
-         * @type {Int}
-         */
-        'docHeight',
-
-        /**
-         * Amount page has been scroll vertically 
-         * @property docScrollX
-         * @type {Int}
-         */
-        'docScrollX',
-
-        /**
-         * Amount page has been scroll horizontally 
-         * @property docScrollY
-         * @type {Int}
-         */
-        'docScrollY'
-        ],
-        function(v, n) {
-            Y.Node.getters(v, Y.Node.wrapDOMMethod(v));
-        }
-    );
-
-    Y.Node.addDOMMethods([
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getXY
-     * @return {Array} The XY position of the node
-    */
-        'getXY',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setXY
-     * @param {Array} xy Contains X & Y values for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setXY',
-
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getX
-     * @return {Int} The X position of the node
-    */
-        'getX',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setX
-     * @param {Int} x X value for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setX',
-
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getY
-     * @return {Int} The Y position of the node
-    */
-        'getY',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setY
-     * @param {Int} y Y value for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setY'
-    ]);
-/**
- * Extended Node interface for managing regions and screen positioning.
- * Adds support for positioning elements and normalizes window size and scroll detection. 
- * @module node
- * @submodule node-screen
- * @for Node
- */
-
-var ATTR = [
-        /**
-         * Returns a region object for the node 
-         * @property region
-         * @type Node
-         */
-        'region',
-        /**
-         * Returns a region object for the node's viewport 
-         * @property viewportRegion
-         * @type Node
-         */
-        'viewportRegion'
-    ],
-
-    getNode = Y.Node.getDOMNode;
-
-Y.each(ATTR, function(v, n) {
-    Y.Node.getters(v, Y.Node.wrapDOMMethod(v));
-});
-
-Y.Node.addDOMMethods([
-    /**
-     * Determines whether or not the node is currently visible in the viewport. 
-     * @method inViewportRegion         
-     * @return {Boolean} Whether or not the node is currently positioned
-     * within the viewport's region
-     */
-    'inViewportRegion'
-]);
-
-// these need special treatment to extract 2nd node arg
-Y.Node.methods({
-    /**
-     * Compares the intersection of the node with another node or region 
-     * @method intersect         
-     * @param {Node|Object} node2 The node or region to compare with.
-     * @param {Object} altRegion An alternate region to use (rather than this node's). 
-     * @return {Object} An object representing the intersection of the regions. 
-     */
-    intersect: function(node1, node2, altRegion) {
-        if (node2 instanceof Y.Node) { // might be a region object
-            node2 = getNode(node2);
-        }
-        return Y.DOM.intersect(getNode(node1), node2, altRegion); 
-    },
-
-    /**
-     * Determines whether or not the node is within the giving region.
-     * @method inRegion         
-     * @param {Node|Object} node2 The node or region to compare with.
-     * @param {Boolean} all Whether or not all of the node must be in the region. 
-     * @param {Object} altRegion An alternate region to use (rather than this node's). 
-     * @return {Object} An object representing the intersection of the regions. 
-     */
-    inRegion: function(node1, node2, all, altRegion) {
-        if (node2 instanceof Y.Node) { // might be a region object
-            node2 = getNode(node2);
-        }
-        return Y.DOM.inRegion(getNode(node1), node2, all, altRegion); 
-    }
-});
-
-
-
-}, '3.0.0pr1' ,{requires:['dom-screen']});

=== removed file 'loggerhead/static/javascript/yui/build/node/node-style-debug.js'
--- loggerhead/static/javascript/yui/build/node/node-style-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-style-debug.js	1970-01-01 00:00:00 +0000
@@ -1,53 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('node-style', function(Y) {
-
-/**
- * Extended Node interface for managing node styles.
- * @module node
- * @submodule node-style
- * @for Node
- */
-
-Y.Node.addDOMMethods([
-    /**
-     * Returns the style's current value.
-     * @method getStyle
-     * @param {String} attr The style attribute to retrieve. 
-     * @return {String} The current value of the style property for the element.
-     */
-    'getStyle',
-
-    /**
-     * Returns the computed value for the given style property.
-     * @method getComputedStyle
-     * @param {String} attr The style attribute to retrieve. 
-     * @return {String} The computed value of the style property for the element.
-     */
-    'getComputedStyle',
-
-    /**
-     * Sets a style property of the node.
-     * @method setStyle
-     * @param {String} attr The style attribute to set. 
-     * @param {String|Number} val The value. 
-     * @chainable
-     */
-    'setStyle',
-
-    /**
-     * Sets multiple style properties on the node.
-     * @method setStyles
-     * @param {Object} hash An object literal of property:value pairs. 
-     * @chainable
-     */
-    'setStyles'
-]);
-
-
-
-}, '3.0.0pr1' ,{requires:['dom-style', 'node-base']});

=== removed file 'loggerhead/static/javascript/yui/build/node/node-style-min.js'
--- loggerhead/static/javascript/yui/build/node/node-style-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-style-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("node-style",function(A){A.Node.addDOMMethods(["getStyle","getComputedStyle","setStyle","setStyles"]);},"3.0.0pr1",{requires:["dom-style","node-base"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/node/node-style.js'
--- loggerhead/static/javascript/yui/build/node/node-style.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node-style.js	1970-01-01 00:00:00 +0000
@@ -1,53 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('node-style', function(Y) {
-
-/**
- * Extended Node interface for managing node styles.
- * @module node
- * @submodule node-style
- * @for Node
- */
-
-Y.Node.addDOMMethods([
-    /**
-     * Returns the style's current value.
-     * @method getStyle
-     * @param {String} attr The style attribute to retrieve. 
-     * @return {String} The current value of the style property for the element.
-     */
-    'getStyle',
-
-    /**
-     * Returns the computed value for the given style property.
-     * @method getComputedStyle
-     * @param {String} attr The style attribute to retrieve. 
-     * @return {String} The computed value of the style property for the element.
-     */
-    'getComputedStyle',
-
-    /**
-     * Sets a style property of the node.
-     * @method setStyle
-     * @param {String} attr The style attribute to set. 
-     * @param {String|Number} val The value. 
-     * @chainable
-     */
-    'setStyle',
-
-    /**
-     * Sets multiple style properties on the node.
-     * @method setStyles
-     * @param {Object} hash An object literal of property:value pairs. 
-     * @chainable
-     */
-    'setStyles'
-]);
-
-
-
-}, '3.0.0pr1' ,{requires:['dom-style', 'node-base']});

=== removed file 'loggerhead/static/javascript/yui/build/node/node.js'
--- loggerhead/static/javascript/yui/build/node/node.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/node/node.js	1970-01-01 00:00:00 +0000
@@ -1,1268 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('node', function(Y) {
-
-    /**
-     * The Node Utility provides a DOM-like interface for interacting with DOM nodes.
-     * @module node
-     * @submodule node-base
-     */     
-
-    /**
-     * The Node class provides a wrapper for manipulating DOM Nodes.
-     * Node properties can be accessed via the set/get methods.
-     * Use Y.get() to retrieve Node instances.
-     *
-     * <strong>NOTE:</strong> All node properties are accessed using the
-     * <code>set</code> and <code>get</code> methods.
-     *
-     * @class Node
-     * @constructor
-     */
-
-    var BASE_NODE                   = 0, 
-        ELEMENT_NODE                = 1,
-        //ATTRIBUTE_NODE              = 2,
-        //TEXT_NODE                   = 3,
-        //CDATA_SECTION_NODE          = 4,
-        //ENTITY_REFERENCE_NODE       = 5,
-        //ENTITY_NODE                 = 6,
-        //PROCESSING_INSTRUCTION_NODE = 7,
-        //COMMENT_NODE                = 8,
-        DOCUMENT_NODE               = 9; //,
-        //DOCUMENT_TYPE_NODE          = 10,
-        //DOCUMENT_FRAGMENT_NODE      = 11,
-        //NOTATION_NODE               = 12;
-
-    var OWNER_DOCUMENT = 'ownerDocument',
-        TAG_NAME = 'tagName',
-        NODE_NAME = 'nodeName',
-        NODE_TYPE = 'nodeType';
-
-    var RE_VALID_PROP_TYPES = /(?:string|boolean|number)/;
-
-    var Selector = Y.Selector;
-    var _instances = {};
-    var _nodes = {};
-    var _nodelists = {};
-    var _restrict = null;
-
-    var slice = [].slice;
-
-    var wrapDOM = function(node) {
-        var ret = null,
-            yuid = (node) ? node._yuid : null,
-            instance = _instances[yuid],
-            existingNode = _nodes[yuid];
-
-        if (node) {
-            if (NODE_TYPE in node) {
-                if (instance && existingNode && node === existingNode) {
-                    ret = instance; // reuse existing Nodes if nodes match
-                } else {
-                    ret = new Node(node);
-                }
-            } else if ('item' in node || 'push' in node) {
-                ret = new Y.NodeList(node);
-            }
-        }
-        return ret;
-    };
-
-    var wrapFn = function(fn) {
-        var ret = null;
-        if (fn) {
-            ret = (typeof fn === 'string') ?
-            function(n) {
-                return Y.Selector.test(n, fn);
-            } : 
-            function(n) {
-                return fn(_instances[n._yuid]);
-            };
-        }
-
-        return ret;
-    };
-
-    var getDoc = function(node) {
-        node = _nodes[node._yuid];
-        return (node[NODE_TYPE] === 9) ? node : node[OWNER_DOCUMENT];
-    };
-
-    // returns HTMLElement
-    var getDOMNode = function(node) {
-        if (node && !node.nodeType && node._yuid) {
-            node = _nodes[node._yuid];
-        }
-
-        return  node || null;
-
-    };
-
-    /*
-     * Wraps the input and outputs of a node instance
-     */
-    var nodeInOut = function(method, a, b, c, d, e) {
-        if (a) { // first 2 may be Node instances or nodes (TODO: or strings?)
-            a = getDOMNode(a);
-            if (b) {
-                b = getDOMNode(b);
-            }
-        }
-        return wrapDOM(_nodes[this._yuid][method](a, b, c, d, e));
-    };
-
-    /*
-     * Wraps the return value in a node instance
-     */
-    var nodeOut = function(method, a, b, c, d, e) {
-        return wrapDOM(_nodes[this._yuid][method](a, b, c, d, e));
-    };
-
-    /* 
-     * Returns directy from node method call 
-     */
-    var rawOut = function(method, a, b, c, d, e) {
-        return _nodes[this._yuid][method](a, b, c, d, e);
-    };
-
-    var noOut = function(method, a, b, c, d, e) {
-        _nodes[this._yuid][method](a, b, c, d, e);
-        return this;
-    };
-
-    var PROPS_WRAP = {
-        /**
-         * Returns a Node instance. 
-         * @property parentNode
-         * @type Node
-         */
-        'parentNode': BASE_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property childNodes
-         * @type NodeList
-         */
-        'childNodes': BASE_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property children
-         * @type NodeList
-         */
-        'children': function(node) {
-            node = _nodes[node._yuid];
-            var children = node.children;
-
-            if (children === undefined) {
-                var childNodes = node.childNodes;
-                children = [];
-
-                for (var i = 0, len = childNodes.length; i < len; ++i) {
-                    if (childNodes[i][TAG_NAME]) {
-                        children[children.length] = childNodes[i];
-                    }
-                }
-            }
-            return children;
-        },
-
-        /**
-         * Returns a Node instance. 
-         * @property firstChild
-         * @type Node
-         */
-        'firstChild': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property lastChild
-         * @type Node
-         */
-        'lastChild': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property previousSibling
-         * @type Node
-         */
-        'previousSibling': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property previousSibling
-         * @type Node
-         */
-        'nextSibling': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property ownerDocument
-         * @type Doc
-         */
-        'ownerDocument': BASE_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property offsetParent
-         * @type Node
-         */
-        'offsetParent': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property documentElement
-         * @type Node
-         */
-        'documentElement': DOCUMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property body
-         * @type Node
-         */
-        'body': DOCUMENT_NODE,
-
-        // form
-        /**
-         * Returns a NodeList instance. 
-         * @property elements
-         * @type NodeList
-         */
-        'elements': ELEMENT_NODE,
-
-        // table
-        /**
-         * Returns a NodeList instance. 
-         * @property rows
-         * @type NodeList
-         */
-        'rows': ELEMENT_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property cells
-         * @type NodeList
-         */
-        'cells': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property tHead
-         * @type Node
-         */
-        'tHead': ELEMENT_NODE,
-
-        /**
-         * Returns a Node instance. 
-         * @property tFoot
-         * @type Node
-         */
-        'tFoot': ELEMENT_NODE,
-
-        /**
-         * Returns a NodeList instance. 
-         * @property tBodies
-         * @type NodeList
-         */
-        'tBodies': ELEMENT_NODE
-    };
-    var METHODS = {
-        /**
-         * Passes through to DOM method.
-         * @method replaceChild
-         * @param {HTMLElement | Node} node Node to be inserted 
-         * @param {HTMLElement | Node} refNode Node to be replaced 
-         * @return {Node} The replaced node 
-         */
-        replaceChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method appendChild
-         * @param {HTMLElement | Node} node Node to be appended 
-         * @return {Node} The appended node 
-         */
-        appendChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method insertBefore
-         * @param {HTMLElement | Node} newNode Node to be appended 
-         * @param {HTMLElement | Node} refNode Node to be inserted before 
-         * @return {Node} The inserted node 
-         */
-        insertBefore: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method removeChild
-         * @param {HTMLElement | Node} node Node to be removed 
-         * @return {Node} The removed node 
-         */
-        removeChild: nodeInOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method hasChildNodes
-         * @return {Boolean} Whether or not the node has any childNodes 
-         */
-        hasChildNodes: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method cloneNode
-         * @param {HTMLElement | Node} node Node to be cloned 
-         * @return {Node} The clone 
-         */
-        cloneNode: nodeOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method getAttribute
-         * @param {String} attribute The attribute to retrieve 
-         * @return {String} The current value of the attribute 
-         */
-        getAttribute: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method setAttribute
-         * @param {String} attribute The attribute to set 
-         * @param {String} The value to apply to the attribute 
-         * @chainable
-         */
-        setAttribute: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method hasAttribute
-         * @param {String} attribute The attribute to test for 
-         * @return {Boolean} Whether or not the attribute is present 
-         */
-        hasAttribute: rawOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method scrollIntoView
-         * @chainable
-         */
-        scrollIntoView: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method getElementsByTagName
-         * @param {String} tagName The tagName to collect 
-         * @return {NodeList} A NodeList representing the HTMLCollection
-         */
-        getElementsByTagName: nodeOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method focus
-         * @chainable
-         */
-        focus: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * @method blur
-         * @chainable
-         */
-        blur: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * Only valid on FORM elements
-         * @method submit
-         * @chainable
-         */
-        submit: noOut,
-
-        /**
-         * Passes through to DOM method.
-         * Only valid on FORM elements
-         * @method reset
-         * @chainable
-         */
-        reset: noOut
-    };
-
-    var addNodeListMethod = function(name) {
-        NodeList.prototype[name] = function() {
-            var a = [],
-                nodes = _nodelists[this._yuid],
-                ret;
-
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                ret = _tmpNode[name].apply(_tmpNode, arguments);
-                if (ret !== _tmpNode) {
-                    a[i] = ret;
-                }
-            }
-
-            return a.length ? a : this;
-        };
-    };
-
-    var METHODS_INVOKE = {
-        'getBoundingClientRect': true
-    };
-
-    var Node = function(node) {
-        if (!node || !node[NODE_TYPE]) {
-            return null;
-        }
-        
-        var yuid = Y.guid();
-        try { // IE errors on non-element expandos (cant be reused)
-            node._yuid = yuid;
-        } catch(e) {}
-        this._yuid = yuid;
-        _nodes[yuid] = node;
-        _instances[yuid] = this;
-
-    };
-
-    var SETTERS = {};
-    var GETTERS = {
-        /**
-         * Normalizes nodeInnerText and textContent. 
-         * @property text
-         * @type String
-         */
-        'text': function(node) {
-            return Y.DOM.getText(_nodes[node._yuid]);
-        },
-
-        /**
-         * Returns a nodeList of option elements 
-         * @property options
-         * @type String
-         */
-        'options': function(node) {
-            return (node) ? node.getElementsByTagName('option') : [];
-        }
-    };
-
-    Node.setters = function(prop, fn) {
-        if (typeof prop == 'string') {
-            SETTERS[prop] = fn;
-        } else { // assume object
-            Y.each(prop, function(fn, prop) {
-                Node.setters(prop, fn);
-            });
-        } 
-    };
-
-    Node.getters = function(prop, fn) {
-        if (typeof prop == 'string') {
-            GETTERS[prop] = fn;
-        } else { // assume object
-            Y.each(prop, function(fn, prop) {
-                Node.getters(prop, fn);
-            });
-        } 
-    };
-
-    Node.methods = function(name, fn) {
-        if (typeof name == 'string') {
-            Node.prototype[name] = function() {
-                var args = slice.call(arguments);
-                args.unshift(this);
-                var ret = fn.apply(null, args);
-                if (ret === undefined) {
-                    ret = this;
-                }
-                return ret;
-            };
-
-            addNodeListMethod(name);
-
-
-        } else { // assume object
-            Y.each(name, function(fn, name) {
-                Node.methods(name, fn);
-            });
-        }
-    };
-
-    Node.getDOMNode = function(node) {
-        var ret;
-
-        if (node.nodeType) {
-            ret = node;
-        } else if (typeof node === 'string') {
-            ret = Selector.query(node, null, true);
-        } else {
-            ret = _nodes[node._yuid];
-        }
-        return ret || null;
-    };
-
-    Node.wrapDOMMethod = function(name) {
-        return function() {
-            var args = slice.call(arguments);
-            args.unshift(Y.Node.getDOMNode(args.shift()));
-            return Y.DOM[name].apply(Y.DOM, args);
-        };
-
-    };
-
-    Node.addDOMMethods = function(methods) {
-        var add = {}; 
-        Y.each(methods, function(v, n) {
-            add[v] = Y.Node.wrapDOMMethod(v);
-        });
-
-        Y.Node.methods(add);
-    };
-
-    Node.prototype = {
-        /**
-         * Set the value of the property/attribute on the HTMLElement bound to this Node.
-         * Only strings/numbers/booleans are passed through unless a SETTER exists.
-         * @method set
-         * @param {String} prop Property to set 
-         * @param {any} val Value to apply to the given property
-         * @chainable
-         */
-        set: function(prop, val) {
-            var node = _nodes[this._yuid];
-            if (prop in SETTERS) { // use custom setter
-                SETTERS[prop](this, prop, val);  // passing Node instance
-            } else if (RE_VALID_PROP_TYPES.test(typeof node[prop])) { // safe to write
-                node[prop] = val;
-            }
-            return this;
-        },
-
-        /**
-         * Get the value of the property/attribute on the HTMLElement bound to this Node.
-         * Only strings/numbers/booleans are passed through unless a GETTER exists.
-         * @method get
-         * @param {String} prop Property to get 
-         * @return {any} Current value of the property
-         */
-        get: function(prop) {
-            var val;
-            var node = _nodes[this._yuid];
-            if (prop in GETTERS) { // use custom getter
-                val = GETTERS[prop](this, prop);
-            } else if (prop in PROPS_WRAP) { // wrap DOM object (HTMLElement, HTMLCollection, Document)
-                if (typeof PROPS_WRAP[prop] === 'function') {
-                    val = PROPS_WRAP[prop](this);
-                } else {
-                    val = node[prop];
-                }
-
-                if (_restrict && _restrict[this._yuid] && !Y.DOM.contains(node, val)) {
-                    val = null; // not allowed to go outside of root node
-                } else {
-                    val = wrapDOM(val);
-                }
-            } else if (RE_VALID_PROP_TYPES.test(typeof node[prop])) { // safe to read
-                val = node[prop];
-            }
-            return val;
-        },
-
-        invoke: function(method, a, b, c, d, e) {
-            if (a) { // first 2 may be Node instances or strings
-                a = (a[NODE_TYPE]) ? a : getDOMNode(a);
-                if (b) {
-                    b = (b[NODE_TYPE]) ? b : getDOMNode(b);
-                }
-            }
-            var node = _nodes[this._yuid];
-            if (node && METHODS_INVOKE[method] && node[method]) {
-                return node[method](a, b, c, d, e);
-            }
-            return null;
-        },
-
-        hasMethod: function(method) {
-            return !!(METHODS_INVOKE[method] && _nodes[this._yuid][method]);
-        },
-
-        //normalize: function() {},
-        //isSupported: function(feature, version) {},
-        toString: function() {
-            var node = _nodes[this._yuid] || {};
-            return node.id || node[NODE_NAME] || 'undefined node';
-        },
-
-        /**
-         * Retrieves a single node based on the given CSS selector. 
-         * @method query
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {Node} A Node instance for the matching HTMLElement.
-         */
-        query: function(selector) {
-            return wrapDOM(Selector.query(selector, _nodes[this._yuid], true));
-        },
-
-        /**
-         * Retrieves a nodeList based on the given CSS selector. 
-         * @method queryAll
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {NodeList} A NodeList instance for the matching HTMLCollection/Array.
-         */
-        queryAll: function(selector) {
-            return wrapDOM(Selector.query(selector, _nodes[this._yuid]));
-        },
-
-        /**
-         * Test if the supplied node matches the supplied selector.
-         * @method test
-         *
-         * @param {string} selector The CSS selector to test against.
-         * @return {boolean} Whether or not the node matches the selector.
-         */
-        test: function(selector) {
-            return Selector.test(_nodes[this._yuid], selector);
-        },
-
-        /**
-         * Compares nodes to determine if they match.
-         * Node instances can be compared to each other and/or HTMLElements.
-         * @method compareTo
-         * @param {HTMLElement | Node} refNode The reference node to compare to the node.
-         * @return {Boolean} True if the nodes match, false if they do not. 
-         */
-        compareTo: function(refNode) {
-            refNode = refNode[NODE_TYPE] ? refNode : _nodes[refNode._yuid];
-            return _nodes[this._yuid] === refNode;
-        },
-
-       /*
-         * Returns the nearest ancestor that passes the test applied by supplied boolean method.
-         * @method ancestor
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @return {Node} The matching Node instance or null if not found
-         */
-        ancestor: function(fn) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'parentNode', wrapFn(fn)));
-        },
-
-        /**
-         * Returns the previous matching sibling. 
-         * Returns the nearest element node sibling if no method provided.
-         * @method previous
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-         * @return {Node} Node instance or null if not found
-         */
-        previous: function(fn, all) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'previousSibling', wrapFn(fn)), all);
-        }, 
-
-        /**
-         * Returns the next matching sibling. 
-         * Returns the nearest element node sibling if no method provided.
-         * @method next
-         * @param {String | Function} fn A selector or boolean method for testing elements.
-         * If a function is used, it receives the current node being tested as the only argument.
-         * @param {Boolean} all optional Whether all node types should be returned, or just element nodes.
-         * @return {Node} Node instance or null if not found
-         */
-        next: function(fn, all) {
-            return wrapDOM(Y.DOM.elementByAxis(_nodes[this._yuid], 'nextSibling', wrapFn(fn)), all);
-        },
-        
-       /**
-         * Attaches a DOM event handler.
-         * @method attach
-         * @param {String} type The type of DOM Event to listen for 
-         * @param {Function} fn The handler to call when the event fires 
-         * @param {Object} arg An argument object to pass to the handler 
-         */
-
-        attach: function(type, fn, arg) {
-            var args = slice.call(arguments, 0);
-            args.unshift(_nodes[this._yuid]);
-            return Y.Event.addListener.apply(Y.Event, args);
-        },
-
-       /**
-         * Alias for attach.
-         * @method on
-         * @param {String} type The type of DOM Event to listen for 
-         * @param {Function} fn The handler to call when the event fires 
-         * @param {Object} arg An argument object to pass to the handler 
-         * @see attach
-         */
-
-        on: function(type, fn, arg) {
-            return this.attach.apply(this, arguments);
-        },
-
-        addEventListener: function(type, fn, arg) {
-            return Y.Event.nativeAdd(_nodes[this._yuid], type, fn, arg);
-        },
-        
-       /**
-         * Detaches a DOM event handler. 
-         * @method detach
-         * @param {String} type The type of DOM Event
-         * @param {Function} fn The handler to call when the event fires 
-         */
-        detach: function(type, fn) {
-            var args = slice.call(arguments, 0);
-            args.unshift(_nodes[this._yuid]);
-            return Y.Event.removeListener.apply(Y.Event, args);
-        },
-
-        removeEventListener: function(type, fn) {
-            return Y.Event.nativeRemove(_nodes[this._yuid], type, fn);
-        },
-
-       /**
-         * Creates a Node instance from HTML string
-         * @method create
-         * @param {String|Array} html The string of html to create
-         * @return {Node} A new Node instance 
-         */
-        create: function(html) {
-            return Y.Node.create(html);
-        },
-
-        /**
-         * Determines whether the ndoe is an ancestor of another HTML element in the DOM hierarchy.
-         * @method contains
-         * @param {Node | HTMLElement} needle The possible node or descendent
-         * @return {Boolean} Whether or not this node is the needle its ancestor
-         */
-        contains: function(needle) {
-            return Y.DOM.contains(_nodes[this._yuid], getDOMNode(needle));
-        },
-
-        /**
-         * Applies the supplied plugin to the node.
-         * @method plug
-         * @param {Function} The plugin Class to apply
-         * @param {Object} config An optional config to pass to the constructor
-         * @chainable
-         */
-        plug: function(PluginClass, config) {
-            config = config || {};
-            config.owner = this;
-            if (PluginClass && PluginClass.NS) {
-                this[PluginClass.NS] = new PluginClass(config);
-            }
-            return this;
-        },
-
-        /**
-         * Determines whether the node is appended to the document.
-         * @method inDoc
-         * @param {Node|HTMLElement} doc optional An optional document to check against.
-         * Defaults to current document. 
-         * @return {Boolean} Whether or not this node is appended to the document. 
-         */
-        inDoc: function(doc) {
-            var node = _nodes[this._yuid];
-            doc = (doc) ? getDoc(doc) : node.ownerDocument;
-            if (doc.documentElement) {
-                return Y.DOM.contains(doc.documentElement, node);
-            }
-        }
-    };
-
-    Y.each(METHODS, function(fn, method) {
-        Node.prototype[method] = function() {
-            return fn.apply(this, [method].concat(slice.call(arguments)));
-        };
-    });
-
-    /** 
-     * Creates a Node instance from an HTML string
-     * @method create
-     * @param {String} html HTML string
-     */
-    Node.create = function(html) {
-        return wrapDOM(Y.DOM.create(html));
-    };
-
-    Node.getById = function(id, doc) {
-        doc = (doc && doc[NODE_TYPE]) ? doc : Y.config.doc;
-        return wrapDOM(doc.getElementById(id));
-    };
-
-    /**
-     * Retrieves a Node instance for the given object/string. 
-     * Note: Use 'document' string to retrieve document Node instance from string
-     * @method get
-     * @static
-     * @param {document|HTMLElement|HTMLCollection|Array|String} node The object to wrap.
-     * @param {document|Node} doc optional The document containing the node. Defaults to current document.
-     * @param {boolean} isRoot optional Whether or not this node should be treated as a root node. Root nodes
-     * aren't allowed to traverse outside their DOM tree.
-     * @return {Node} A wrapper instance for the supplied object.
-     */
-    Node.get = function(node, doc, isRoot) {
-        if (node instanceof Node) {
-            return node;
-        }
-
-        if (!doc) {
-            doc = Y.config.doc;
-        } else if (doc._yuid && _nodes[doc._yuid]) {
-            doc = _nodes[doc._yuid]; 
-        }
-    
-        if (node && typeof node === 'string') {
-            if (node === 'document') {
-                node = Y.config.doc;
-            } else {
-                node = Y.Selector.query(node, doc, true);
-            }
-        }
-
-        node = wrapDOM(node);
-
-        if (isRoot) {
-            _restrict = _restrict || {};
-            _restrict[node._yuid] = node;
-        }
-
-        return node;
-    };
-
-    /**
-     * Retrieves a NodeList instance for the given object/string. 
-     * @method all
-     * @static
-     * @param {HTMLCollection|Array|String} node The object to wrap.
-     * @param {document|Node} doc optional The document containing the node. Defaults to current document.
-     * @return {NodeList} A NodeList instance for the supplied nodes.
-     */
-    Node.all = function(nodes, doc) {
-        if (nodes instanceof NodeList) {
-            return nodes;
-        }
-
-        if (!doc) {
-            doc = Y.config.doc;
-        } else if (doc._yuid && _nodes[doc._yuid]) {
-            doc = _nodes[doc._yuid]; 
-        }
-    
-        if (nodes && typeof nodes == 'string') {
-            nodes = Selector.query(nodes, doc);
-        }
-
-        return wrapDOM(nodes);
-
-    };
-
-    /** 
-     * A wrapper for manipulating multiple DOM elements
-     * @class NodeList
-     * @extends Node
-     * @constructor
-     */
-    var NodeList = function(nodes) {
-        // TODO: input validation
-        _nodelists[Y.stamp(this)] = nodes;
-    };
-
-    // used to call Node methods against NodeList nodes
-    var _tmpNode = Node.create('<div></div>');
-    NodeList.prototype = {};
-
-    Y.each(Node.prototype, function(fn, name) {
-        if (typeof Node.prototype[name] == 'function') {
-            addNodeListMethod(name);
-        }
-    });
-
-    Y.mix(NodeList.prototype, {
-        /**
-         * Retrieves the Node instance at the given index. 
-         * @method item
-         *
-         * @param {Number} index The index of the target Node.
-         * @return {Node} The Node instance at the given index.
-         */
-        item: function(index) {
-            var node = _nodelists[this._yuid][index];
-            return (node && node[TAG_NAME]) ? wrapDOM(node) : (node && node.get) ? node : null;
-        },
-
-        /**
-         * Set the value of the property/attribute on all HTMLElements bound to this NodeList.
-         * Only strings/numbers/booleans are passed through unless a SETTER exists.
-         * @method set
-         * @param {String} prop Property to set 
-         * @param {any} val Value to apply to the given property
-         * @see Node
-         * @chainable
-         */
-        set: function(name, val) {
-            var nodes = _nodelists[this._yuid];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                _tmpNode.set(name, val);
-            }
-
-            return this;
-        },
-
-        /**
-         * Get the value of the property/attribute for each of the HTMLElements bound to this NodeList.
-         * Only strings/numbers/booleans are passed through unless a GETTER exists.
-         * @method get
-         * @param {String} prop Property to get 
-         * @return {Array} Array containing the current values mapped to the Node indexes 
-         * @see Node
-         */
-        get: function(name) {
-            if (name == 'length') { // TODO: remove
-                return _nodelists[this._yuid].length;
-            }
-            var nodes = _nodelists[this._yuid];
-            var ret = [];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                _nodes[_tmpNode._yuid] = nodes[i];
-                ret[i] = _tmpNode.get(name);
-            }
-
-            return ret;
-        },
-
-        /**
-         * Filters the NodeList instance down to only nodes matching the given selector.
-         * @method filter
-         * @param {String} selector The selector to filter against
-         * @return {NodeList} NodeList containing the updated collection 
-         * @see Selector
-         */
-        filter: function(selector) {
-            return wrapDOM(Selector.filter(_nodelists[this._yuid], selector));
-        },
-
-        /**
-         * Applies the given function to each Node in the NodeList.
-         * @method each
-         * @param {Function} fn The function to apply 
-         * @param {Object} context optional An optional context to apply the function with
-         * Default context is the NodeList instance
-         * @return {NodeList} NodeList containing the updated collection 
-         * @chainable
-         */
-        each: function(fn, context) {
-            context = context || this;
-            var nodes = _nodelists[this._yuid];
-            for (var i = 0, len = nodes.length; i < len; ++i) {
-                fn.call(context, Y.Node.get(nodes[i]), i, this);
-            }
-            return this;
-        },
-
-        /**
-         * Returns the current number of items in the NodeList.
-         * @method size
-         * @return {Int} The number of items in the NodeList. 
-         */
-        size: function() {
-            return _nodelists[this._yuid].length;
-        },
-
-        toString: function() {
-            var nodes = _nodelists[this._yuid] || [];
-            return 'NodeList (' + nodes.length + ' items)';
-        }
-
-    }, true);
-
-    Y.Node = Node;
-    Y.NodeList = NodeList;
-    Y.all = Y.Node.all;
-    Y.get = Y.Node.get;
-/**
- * Extended Node interface for managing node styles.
- * @module node
- * @submodule node-style
- * @for Node
- */
-
-Y.Node.addDOMMethods([
-    /**
-     * Returns the style's current value.
-     * @method getStyle
-     * @param {String} attr The style attribute to retrieve. 
-     * @return {String} The current value of the style property for the element.
-     */
-    'getStyle',
-
-    /**
-     * Returns the computed value for the given style property.
-     * @method getComputedStyle
-     * @param {String} attr The style attribute to retrieve. 
-     * @return {String} The computed value of the style property for the element.
-     */
-    'getComputedStyle',
-
-    /**
-     * Sets a style property of the node.
-     * @method setStyle
-     * @param {String} attr The style attribute to set. 
-     * @param {String|Number} val The value. 
-     * @chainable
-     */
-    'setStyle',
-
-    /**
-     * Sets multiple style properties on the node.
-     * @method setStyles
-     * @param {Object} hash An object literal of property:value pairs. 
-     * @chainable
-     */
-    'setStyles'
-]);
-
-/**
- * Extended Node interface for managing classNames.
- * @module node
- * @for Node
- */
-
-    Y.Node.addDOMMethods([
-        /**
-         * Determines whether the node has the given className.
-         * @method hasClass
-         * @param {String} className the class name to search for
-         * @return {Boolean} Whether or not the node has the given class. 
-         */
-        'hasClass',
-
-        /**
-         * Adds a class name to the node.
-         * @method addClass         
-         * @param {String} className the class name to add to the node's class attribute
-         * @chainable
-         */
-        'addClass',
-
-        /**
-         * Removes a class name from the node.
-         * @method removeClass         
-         * @param {String} className the class name to remove from the node's class attribute
-         * @chainable
-         */
-        'removeClass',
-
-        /**
-         * Replace a class with another class.
-         * If no oldClassName is present, the newClassName is simply added.
-         * @method replaceClass  
-         * @param {String} oldClassName the class name to be replaced
-         * @param {String} newClassName the class name that will be replacing the old class name
-         * @chainable
-         */
-        'replaceClass',
-
-        /**
-         * If the className exists on the node it is removed, if it doesn't exist it is added.
-         * @method toggleClass  
-         * @param {String} className the class name to be toggled
-         * @chainable
-         */
-        'toggleClass'
-    ]);
-/**
- * Extended Node interface for managing regions and screen positioning.
- * Adds support for positioning elements and normalizes window size and scroll detection. 
- * @module node
- * @submodule node-screen
- * @for Node
- */
-
-var ATTR = [
-        /**
-         * Returns a region object for the node 
-         * @property region
-         * @type Node
-         */
-        'region',
-        /**
-         * Returns a region object for the node's viewport 
-         * @property viewportRegion
-         * @type Node
-         */
-        'viewportRegion'
-    ],
-
-    getNode = Y.Node.getDOMNode;
-
-Y.each(ATTR, function(v, n) {
-    Y.Node.getters(v, Y.Node.wrapDOMMethod(v));
-});
-
-Y.Node.addDOMMethods([
-    /**
-     * Determines whether or not the node is currently visible in the viewport. 
-     * @method inViewportRegion         
-     * @return {Boolean} Whether or not the node is currently positioned
-     * within the viewport's region
-     */
-    'inViewportRegion'
-]);
-
-// these need special treatment to extract 2nd node arg
-Y.Node.methods({
-    /**
-     * Compares the intersection of the node with another node or region 
-     * @method intersect         
-     * @param {Node|Object} node2 The node or region to compare with.
-     * @param {Object} altRegion An alternate region to use (rather than this node's). 
-     * @return {Object} An object representing the intersection of the regions. 
-     */
-    intersect: function(node1, node2, altRegion) {
-        if (node2 instanceof Y.Node) { // might be a region object
-            node2 = getNode(node2);
-        }
-        return Y.DOM.intersect(getNode(node1), node2, altRegion); 
-    },
-
-    /**
-     * Determines whether or not the node is within the giving region.
-     * @method inRegion         
-     * @param {Node|Object} node2 The node or region to compare with.
-     * @param {Boolean} all Whether or not all of the node must be in the region. 
-     * @param {Object} altRegion An alternate region to use (rather than this node's). 
-     * @return {Object} An object representing the intersection of the regions. 
-     */
-    inRegion: function(node1, node2, all, altRegion) {
-        if (node2 instanceof Y.Node) { // might be a region object
-            node2 = getNode(node2);
-        }
-        return Y.DOM.inRegion(getNode(node1), node2, all, altRegion); 
-    }
-});
-
-/**
- * Extended Node interface for managing regions and screen positioning.
- * Adds support for positioning elements and normalizes window size and scroll detection. 
- * @module node
- * @submodule node-screen
- * @for Node
- */
-
-    Y.each([
-        /**
-         * Returns the inner width of the viewport (exludes scrollbar). 
-         * @property winWidth
-         * @type {Int}
-         */
-        'winWidth',
-
-        /**
-         * Returns the inner height of the viewport (exludes scrollbar). 
-         * @property winHeight
-         * @type {Int}
-         */
-        'winHeight',
-
-        /**
-         * Document width 
-         * @property winHeight
-         * @type {Int}
-         */
-        'docWidth',
-
-        /**
-         * Document height 
-         * @property docHeight
-         * @type {Int}
-         */
-        'docHeight',
-
-        /**
-         * Amount page has been scroll vertically 
-         * @property docScrollX
-         * @type {Int}
-         */
-        'docScrollX',
-
-        /**
-         * Amount page has been scroll horizontally 
-         * @property docScrollY
-         * @type {Int}
-         */
-        'docScrollY'
-        ],
-        function(v, n) {
-            Y.Node.getters(v, Y.Node.wrapDOMMethod(v));
-        }
-    );
-
-    Y.Node.addDOMMethods([
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getXY
-     * @return {Array} The XY position of the node
-    */
-        'getXY',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setXY
-     * @param {Array} xy Contains X & Y values for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setXY',
-
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getX
-     * @return {Int} The X position of the node
-    */
-        'getX',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setX
-     * @param {Int} x X value for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setX',
-
-    /**
-     * Gets the current position of the node in page coordinates. 
-     * Nodes must be part of the DOM tree to have page coordinates
-     * (display:none or nodes not appended return false).
-     * @method getY
-     * @return {Int} The Y position of the node
-    */
-        'getY',
-
-    /**
-     * Set the position of the node in page coordinates, regardless of how the node is positioned.
-     * The node must be part of the DOM tree to have page coordinates (display:none or elements not appended return false).
-     * @method setY
-     * @param {Int} y Y value for new position (coordinates are page-based)
-     * @chainable
-     */
-        'setY'
-    ]);
-
-
-}, '3.0.0pr1' ,{requires:['dom']});

=== removed directory 'loggerhead/static/javascript/yui/build/oop'
=== removed file 'loggerhead/static/javascript/yui/build/oop/README'
--- loggerhead/static/javascript/yui/build/oop/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/oop/README	1970-01-01 00:00:00 +0000
@@ -1,5 +0,0 @@
-YUI OOP Utilities
-    Provides inheritance and object modification utilities
-
-3.0.0pr1
-    Initial release

=== removed file 'loggerhead/static/javascript/yui/build/oop/oop-debug.js'
--- loggerhead/static/javascript/yui/build/oop/oop-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/oop/oop-debug.js	1970-01-01 00:00:00 +0000
@@ -1,339 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * OOP utils.  If included, the OOP methods are added to the YUI instance
- * @module oop
- */
-YUI.add("oop", function(Y) {
-
-    var L = Y.Lang, 
-    A = Y.Array,
-    OP = Object.prototype,
-    O;
-
-    /**
-     * The following methods are added to the YUI instance
-     * @class YUI~oop
-     */
-
-    /**
-     * Applies prototype properties from the supplier to the receiver.
-     * The receiver can be a constructor or an instance.
-     * @method augment
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param ov {boolean} if true, properties already on the receiver
-     * will be overwritten if found on the supplier.
-     * @param wl {string[]} a whitelist.  If supplied, only properties in 
-     * this list will be applied to the receiver.
-     * @param args {Array | Any} arg or arguments to apply to the supplier
-     * constructor when initializing.
-     * @return {object} the augmented object
-     *
-     * @todo constructor optional?
-     * @todo understanding what an instance is augmented with
-     * @TODO evaluate if we can do this in a way that doesn't interfere
-     * with normal inheritance
-     */
-    Y.augment = function(r, s, ov, wl, args) {
-
-        var sProto = s.prototype, newProto = null, construct = s, 
-            a = (args) ? Y.Array(args) : [], rProto = r.prototype, 
-            target =  rProto || r, applyConstructor = false;
-
-        // working on a class, so apply constructor infrastructure
-        if (rProto && construct) {
-
-            // Y.log('augment will call constructor:');
-
-            // Y.Do.before(r, construct);
-
-            var sequestered = {}, replacements = {};
-            newProto = {};
-
-            // sequester all of the functions in the supplier and replace with
-            // one that will restore all of them.
-            Y.each(sProto, function(v, k) {
-
-
-                // var initialized = false;
-
-                replacements[k] = function() {
-
-                    var me = this;
-
-// Y.log('sequestered function "' + k + '" executed.  Initializing Event.Target');
-
-                    // overwrite the prototype with all of the sequestered functions,
-                    // but only if it hasn't been overridden
-                    for (var i in sequestered) {
-                        if (Y.Object.owns(sequestered, i) && (me[i] === replacements[i])) {
-                            // Y.log('... restoring ' + k);
-                            me[i] = sequestered[i];
-                        }
-                    }
-
-                    // apply the constructor
-                    construct.apply(me, a);
-
-                    // apply the original sequestered function
-                    return sequestered[k].apply(me, arguments);
-
-                };
-
-                if ((!wl || (k in wl)) && (ov || !(k in this))) {
-
-                    // Y.log('augment: ' + k);
-
-                    if (L.isFunction(v)) {
-
-                        // sequester the function
-                        sequestered[k] = v;
-
-                        // replace the sequestered function with a function that will
-                        // restore all sequestered functions and exectue the constructor.
-                        this[k] = replacements[k];
-
-                    } else {
-
-                        // Y.log('augment() applying non-function: ' + k);
-
-                        this[k] = v;
-                    }
-
-                }
-
-            }, newProto, true);
-
-        // augmenting an instance, so apply the constructor immediately
-        } else {
-            applyConstructor = true;
-        }
-
-        Y.mix(target, newProto || sProto, ov, wl);
-
-        if (applyConstructor) {
-            s.apply(target, a);
-        }
-
-        return r;
-    };
-
-    /**
-     * Applies object properties from the supplier to the receiver.  If
-     * the target has the property, and the property is an object, the target
-     * object will be augmented with the supplier's value.  If the property
-     * is an array, the suppliers value will be appended to the target.
-     * @method aggregate
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param ov {boolean} if true, properties already on the receiver
-     * will be overwritten if found on the supplier.
-     * @param wl {string[]} a whitelist.  If supplied, only properties in 
-     * this list will be applied to the receiver.
-     * @return {object} the extended object
-     */
-    Y.aggregate = function(r, s, ov, wl) {
-        return Y.mix(r, s, ov, wl, 0, true);
-    };
-
-    /**
-     * Utility to set up the prototype, constructor and superclass properties to
-     * support an inheritance strategy that can chain constructors and methods.
-     * Static members will not be inherited.
-     *
-     * @method extend
-     * @param {Function} r   the object to modify
-     * @param {Function} s the object to inherit
-     * @param {Object} px prototype properties to add/override
-     * @param {Object} sx static properties to add/override
-     * @return {YUI} the YUI instance
-     */
-    Y.extend = function(r, s, px, sx) {
-        if (!s||!r) {
-            Y.fail("extend failed, verify dependencies");
-        }
-
-        var sp = s.prototype, rp=Y.Object(sp), i;
-        r.prototype=rp;
-
-        rp.constructor=r;
-        r.superclass=sp;
-
-        // If the superclass doesn't have a standard constructor,
-        // define one so that Super() works
-        if (s != Object && sp.constructor == OP.constructor) {
-            sp.constructor=s;
-        }
-    
-        // Add object properties too
-        // @TODO removed for now because it isn't that useful and
-        // has caused a few issues overwriting things that should
-        // not be.  You can do this manually if needed.  Revisit
-        // if this is something that really is needed for some
-        // reason.
-        // Y.mix(r, s);
-
-        // Add superclass convienience functions 
-        // @TODO revisit when we have something that works
-        // Y.augment(r, Ext);
-
-        // Add prototype overrides
-        if (px) {
-            Y.mix(rp, px, true);
-        }
-
-        // Add object overrides
-        if (sx) {
-            Y.mix(r, sx, true);
-        }
-
-        return r;
-    };
-
-    /**
-     * Executes the supplied function for each item in
-     * a collection.  Supports arrays, objects, and
-     * Y.NodeLists
-     * @method each
-     * @param o the object to iterate
-     * @param f the function to execute.  This function
-     * receives the value, key, and object as parameters
-     * @param proto if true, prototype properties are
-     * iterated on objects
-     * @return {YUI} the YUI instance
-     */
-    Y.each = function(o, f, c, proto) {
-
-        if (o.each && o.item) {
-            return o.each.call(o, f, c);
-        } else {
-            switch (A.test(o)) {
-                case 1:
-                    return A.each(o, f, c);
-                case 2:
-                    return A.each(Y.Array(o, 0, true), f, c);
-                default:
-                    return Y.Object.each(o, f, c, proto);
-            }
-        }
-
-        // return Y.Object.each(o, f, c);
-    };
-
-    /**
-     * Deep obj/array copy.  Functions will are cloned with Y.bind.
-     * Array-like objects are treated as arrays.
-     * primitives are returned untouched.  Optionally a
-     * function can be provided to handle other data types,
-     * filter keys, validate values, etc.
-     *
-     * @method clone
-     * @param o what to clone
-     * @param safe {boolean} if true, objects will not have prototype
-     * items from the source.  If false, it does.  In this case, the
-     * original is initally protected, but the clone is not completely immune
-     * from changes to the source object prototype.  Also, cloned prototype
-     * items that are deleted from the clone will result in the value
-     * of the source prototype to be exposed.  If operating on a non-safe
-     * clone, items should be nulled out rather than deleted.
-     * @TODO review
-     * @param f optional function to apply to each item in a collection
-     *          it will be executed prior to applying the value to
-     *          the new object.  Return false to prevent the copy.
-     * @param c optional execution context for f
-     * @param owner Owner object passed when clone is iterating an
-     * object.  Used to set up context for cloned functions.
-     * @return {Array|Object} the cloned object
-     */
-    Y.clone = function(o, safe, f, c, owner) {
-
-        if (!L.isObject(o)) {
-            return o;
-        }
-        
-        if (L.isDate(o)) {
-            return new Date(o);
-        }
-
-        var func = L.isFunction(o), o2;
-
-        if (func) {
-            if (o instanceof RegExp) {
-                return new RegExp(o.source);
-            }
-            o2 = Y.bind(o, owner);
-        } else {
-            o2 = (safe) ? {} : Y.Object(o);
-        }
-
-        Y.each(o, function(v, k) {
-            if (!f || (f.call(c || this, v, k, this, o) !== false)) {
-                this[k] =  Y.clone(v, safe, f, c, this);
-            }
-        }, o2);
-
-        return o2;
-    };
-    
-    /**
-     * Returns a function that will execute the supplied function in the
-     * supplied object's context, optionally adding any additional
-     * supplied parameters to the end of the arguments the function
-     * is executed with.
-     *
-     * In some cases it is preferable to have the additional arguments
-     * applied to the beginning of the function signature.  For instance,
-     * FireFox setTimeout/setInterval supplies a parameter that other
-     * browsers do not.  
-     * Note: YUI provides a later() function which wraps setTimeout/setInterval,
-     * providing context adjustment and parameter addition.  This can be 
-     * used instead of setTimeout/setInterval, avoiding the arguments
-     * collection issue when using bind() in FireFox.
-     *
-     * @TODO review param order for PR2
-     * @method bind
-     * @param f {Function} the function to bind
-     * @param c the execution context
-     * @param args* 0..n arguments to append to the end of arguments collection
-     * supplied to the function
-     * @return {function} the wrapped function
-     */
-    Y.bind = function(f, c) {
-        var a = Y.Array(arguments, 2, true);
-        return function () {
-            return f.apply(c || f, Y.Array(arguments, 0, true).concat(a));
-        };
-    };
-
-    /*
-     * Returns a function that will execute the supplied function in the
-     * supplied object's context, optionally adding any additional
-     * supplied parameters to the beginning of the arguments collection the 
-     * supplied to the function.
-     *
-     * In some cases it is preferable to have the additional arguments
-     * applied to the end of the function signature.  @see bind for a version 
-     * that does this.
-     *
-     * @TODO consider adding this in PR2
-     *
-     * @method rbind
-     * @param f {Function} the function to bind
-     * @param c the execution context
-     * @param args* 0..n arguments to append to the arguments collection for the function
-     * @return {function} the wrapped function
-     */
-    // Y.rbind = function(f, c) {
-    //     var a = Y.Array(arguments, 2, true);
-    //     return function () {
-    //         return f.apply(c || f, a.concat(Y.Array(arguments, 0, true)));
-    //     };
-    // };
-
-
-}, "3.0.0pr1");

=== removed file 'loggerhead/static/javascript/yui/build/oop/oop-min.js'
--- loggerhead/static/javascript/yui/build/oop/oop-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/oop/oop-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("oop",function(F){var D=F.Lang,C=F.Array,B=Object.prototype,E;F.augment=function(A,S,I,Q,M){var K=S.prototype,O=null,R=S,N=(M)?F.Array(M):[],H=A.prototype,L=H||A,P=false;if(H&&R){var G={},J={};O={};F.each(K,function(U,T){J[T]=function(){var W=this;for(var V in G){if(F.Object.owns(G,V)&&(W[V]===J[V])){W[V]=G[V];}}R.apply(W,N);return G[T].apply(W,arguments);};if((!Q||(T in Q))&&(I||!(T in this))){if(D.isFunction(U)){G[T]=U;this[T]=J[T];}else{this[T]=U;}}},O,true);}else{P=true;}F.mix(L,O||K,I,Q);if(P){S.apply(L,N);}return A;};F.aggregate=function(H,G,A,I){return F.mix(H,G,A,I,0,true);};F.extend=function(J,I,G,L){if(!I||!J){F.fail("extend failed, verify dependencies");}var K=I.prototype,H=F.Object(K),A;J.prototype=H;H.constructor=J;J.superclass=K;if(I!=Object&&K.constructor==B.constructor){K.constructor=I;}if(G){F.mix(H,G,true);}if(L){F.mix(J,L,true);}return J;};F.each=function(H,G,I,A){if(H.each&&H.item){return H.each.call(H,G,I);}else{switch(C.test(H)){case 1:return C.each(H,G,I);case 2:return C.each(F.Array(H,0,true),G,I);default:return F.Object.each(H,G,I,A);}}};F.clone=function(K,J,I,L,A){if(!D.isObject(K)){return K;}if(D.isDate(K)){return new Date(K);}var H=D.isFunction(K),G;if(H){if(K instanceof RegExp){return new RegExp(K.source);}G=F.bind(K,A);}else{G=(J)?{}:F.Object(K);}F.each(K,function(N,M){if(!I||(I.call(L||this,N,M,this,K)!==false)){this[M]=F.clone(N,J,I,L,this);}},G);return G;};F.bind=function(G,H){var A=F.Array(arguments,2,true);return function(){return G.apply(H||G,F.Array(arguments,0,true).concat(A));};};},"3.0.0pr1");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/oop/oop.js'
--- loggerhead/static/javascript/yui/build/oop/oop.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/oop/oop.js	1970-01-01 00:00:00 +0000
@@ -1,334 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * OOP utils.  If included, the OOP methods are added to the YUI instance
- * @module oop
- */
-YUI.add("oop", function(Y) {
-
-    var L = Y.Lang, 
-    A = Y.Array,
-    OP = Object.prototype,
-    O;
-
-    /**
-     * The following methods are added to the YUI instance
-     * @class YUI~oop
-     */
-
-    /**
-     * Applies prototype properties from the supplier to the receiver.
-     * The receiver can be a constructor or an instance.
-     * @method augment
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param ov {boolean} if true, properties already on the receiver
-     * will be overwritten if found on the supplier.
-     * @param wl {string[]} a whitelist.  If supplied, only properties in 
-     * this list will be applied to the receiver.
-     * @param args {Array | Any} arg or arguments to apply to the supplier
-     * constructor when initializing.
-     * @return {object} the augmented object
-     *
-     * @todo constructor optional?
-     * @todo understanding what an instance is augmented with
-     * @TODO evaluate if we can do this in a way that doesn't interfere
-     * with normal inheritance
-     */
-    Y.augment = function(r, s, ov, wl, args) {
-
-        var sProto = s.prototype, newProto = null, construct = s, 
-            a = (args) ? Y.Array(args) : [], rProto = r.prototype, 
-            target =  rProto || r, applyConstructor = false;
-
-        // working on a class, so apply constructor infrastructure
-        if (rProto && construct) {
-
-
-            // Y.Do.before(r, construct);
-
-            var sequestered = {}, replacements = {};
-            newProto = {};
-
-            // sequester all of the functions in the supplier and replace with
-            // one that will restore all of them.
-            Y.each(sProto, function(v, k) {
-
-
-                // var initialized = false;
-
-                replacements[k] = function() {
-
-                    var me = this;
-
-
-                    // overwrite the prototype with all of the sequestered functions,
-                    // but only if it hasn't been overridden
-                    for (var i in sequestered) {
-                        if (Y.Object.owns(sequestered, i) && (me[i] === replacements[i])) {
-                            me[i] = sequestered[i];
-                        }
-                    }
-
-                    // apply the constructor
-                    construct.apply(me, a);
-
-                    // apply the original sequestered function
-                    return sequestered[k].apply(me, arguments);
-
-                };
-
-                if ((!wl || (k in wl)) && (ov || !(k in this))) {
-
-
-                    if (L.isFunction(v)) {
-
-                        // sequester the function
-                        sequestered[k] = v;
-
-                        // replace the sequestered function with a function that will
-                        // restore all sequestered functions and exectue the constructor.
-                        this[k] = replacements[k];
-
-                    } else {
-
-
-                        this[k] = v;
-                    }
-
-                }
-
-            }, newProto, true);
-
-        // augmenting an instance, so apply the constructor immediately
-        } else {
-            applyConstructor = true;
-        }
-
-        Y.mix(target, newProto || sProto, ov, wl);
-
-        if (applyConstructor) {
-            s.apply(target, a);
-        }
-
-        return r;
-    };
-
-    /**
-     * Applies object properties from the supplier to the receiver.  If
-     * the target has the property, and the property is an object, the target
-     * object will be augmented with the supplier's value.  If the property
-     * is an array, the suppliers value will be appended to the target.
-     * @method aggregate
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param ov {boolean} if true, properties already on the receiver
-     * will be overwritten if found on the supplier.
-     * @param wl {string[]} a whitelist.  If supplied, only properties in 
-     * this list will be applied to the receiver.
-     * @return {object} the extended object
-     */
-    Y.aggregate = function(r, s, ov, wl) {
-        return Y.mix(r, s, ov, wl, 0, true);
-    };
-
-    /**
-     * Utility to set up the prototype, constructor and superclass properties to
-     * support an inheritance strategy that can chain constructors and methods.
-     * Static members will not be inherited.
-     *
-     * @method extend
-     * @param {Function} r   the object to modify
-     * @param {Function} s the object to inherit
-     * @param {Object} px prototype properties to add/override
-     * @param {Object} sx static properties to add/override
-     * @return {YUI} the YUI instance
-     */
-    Y.extend = function(r, s, px, sx) {
-        if (!s||!r) {
-            Y.fail("extend failed, verify dependencies");
-        }
-
-        var sp = s.prototype, rp=Y.Object(sp), i;
-        r.prototype=rp;
-
-        rp.constructor=r;
-        r.superclass=sp;
-
-        // If the superclass doesn't have a standard constructor,
-        // define one so that Super() works
-        if (s != Object && sp.constructor == OP.constructor) {
-            sp.constructor=s;
-        }
-    
-        // Add object properties too
-        // @TODO removed for now because it isn't that useful and
-        // has caused a few issues overwriting things that should
-        // not be.  You can do this manually if needed.  Revisit
-        // if this is something that really is needed for some
-        // reason.
-        // Y.mix(r, s);
-
-        // Add superclass convienience functions 
-        // @TODO revisit when we have something that works
-        // Y.augment(r, Ext);
-
-        // Add prototype overrides
-        if (px) {
-            Y.mix(rp, px, true);
-        }
-
-        // Add object overrides
-        if (sx) {
-            Y.mix(r, sx, true);
-        }
-
-        return r;
-    };
-
-    /**
-     * Executes the supplied function for each item in
-     * a collection.  Supports arrays, objects, and
-     * Y.NodeLists
-     * @method each
-     * @param o the object to iterate
-     * @param f the function to execute.  This function
-     * receives the value, key, and object as parameters
-     * @param proto if true, prototype properties are
-     * iterated on objects
-     * @return {YUI} the YUI instance
-     */
-    Y.each = function(o, f, c, proto) {
-
-        if (o.each && o.item) {
-            return o.each.call(o, f, c);
-        } else {
-            switch (A.test(o)) {
-                case 1:
-                    return A.each(o, f, c);
-                case 2:
-                    return A.each(Y.Array(o, 0, true), f, c);
-                default:
-                    return Y.Object.each(o, f, c, proto);
-            }
-        }
-
-        // return Y.Object.each(o, f, c);
-    };
-
-    /**
-     * Deep obj/array copy.  Functions will are cloned with Y.bind.
-     * Array-like objects are treated as arrays.
-     * primitives are returned untouched.  Optionally a
-     * function can be provided to handle other data types,
-     * filter keys, validate values, etc.
-     *
-     * @method clone
-     * @param o what to clone
-     * @param safe {boolean} if true, objects will not have prototype
-     * items from the source.  If false, it does.  In this case, the
-     * original is initally protected, but the clone is not completely immune
-     * from changes to the source object prototype.  Also, cloned prototype
-     * items that are deleted from the clone will result in the value
-     * of the source prototype to be exposed.  If operating on a non-safe
-     * clone, items should be nulled out rather than deleted.
-     * @TODO review
-     * @param f optional function to apply to each item in a collection
-     *          it will be executed prior to applying the value to
-     *          the new object.  Return false to prevent the copy.
-     * @param c optional execution context for f
-     * @param owner Owner object passed when clone is iterating an
-     * object.  Used to set up context for cloned functions.
-     * @return {Array|Object} the cloned object
-     */
-    Y.clone = function(o, safe, f, c, owner) {
-
-        if (!L.isObject(o)) {
-            return o;
-        }
-        
-        if (L.isDate(o)) {
-            return new Date(o);
-        }
-
-        var func = L.isFunction(o), o2;
-
-        if (func) {
-            if (o instanceof RegExp) {
-                return new RegExp(o.source);
-            }
-            o2 = Y.bind(o, owner);
-        } else {
-            o2 = (safe) ? {} : Y.Object(o);
-        }
-
-        Y.each(o, function(v, k) {
-            if (!f || (f.call(c || this, v, k, this, o) !== false)) {
-                this[k] =  Y.clone(v, safe, f, c, this);
-            }
-        }, o2);
-
-        return o2;
-    };
-    
-    /**
-     * Returns a function that will execute the supplied function in the
-     * supplied object's context, optionally adding any additional
-     * supplied parameters to the end of the arguments the function
-     * is executed with.
-     *
-     * In some cases it is preferable to have the additional arguments
-     * applied to the beginning of the function signature.  For instance,
-     * FireFox setTimeout/setInterval supplies a parameter that other
-     * browsers do not.  
-     * Note: YUI provides a later() function which wraps setTimeout/setInterval,
-     * providing context adjustment and parameter addition.  This can be 
-     * used instead of setTimeout/setInterval, avoiding the arguments
-     * collection issue when using bind() in FireFox.
-     *
-     * @TODO review param order for PR2
-     * @method bind
-     * @param f {Function} the function to bind
-     * @param c the execution context
-     * @param args* 0..n arguments to append to the end of arguments collection
-     * supplied to the function
-     * @return {function} the wrapped function
-     */
-    Y.bind = function(f, c) {
-        var a = Y.Array(arguments, 2, true);
-        return function () {
-            return f.apply(c || f, Y.Array(arguments, 0, true).concat(a));
-        };
-    };
-
-    /*
-     * Returns a function that will execute the supplied function in the
-     * supplied object's context, optionally adding any additional
-     * supplied parameters to the beginning of the arguments collection the 
-     * supplied to the function.
-     *
-     * In some cases it is preferable to have the additional arguments
-     * applied to the end of the function signature.  @see bind for a version 
-     * that does this.
-     *
-     * @TODO consider adding this in PR2
-     *
-     * @method rbind
-     * @param f {Function} the function to bind
-     * @param c the execution context
-     * @param args* 0..n arguments to append to the arguments collection for the function
-     * @return {function} the wrapped function
-     */
-    // Y.rbind = function(f, c) {
-    //     var a = Y.Array(arguments, 2, true);
-    //     return function () {
-    //         return f.apply(c || f, a.concat(Y.Array(arguments, 0, true)));
-    //     };
-    // };
-
-
-}, "3.0.0pr1");

=== removed directory 'loggerhead/static/javascript/yui/build/queue'
=== removed file 'loggerhead/static/javascript/yui/build/queue/README'
--- loggerhead/static/javascript/yui/build/queue/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/queue/README	1970-01-01 00:00:00 +0000
@@ -1,5 +0,0 @@
-The Queue Utility
-    The Queue Utility allows you create a chain of function callbacks executed internally via setTimeout.
-
-3.0.0pr1
-    Initial release

=== removed file 'loggerhead/static/javascript/yui/build/queue/queue-debug.js'
--- loggerhead/static/javascript/yui/build/queue/queue-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/queue/queue-debug.js	1970-01-01 00:00:00 +0000
@@ -1,236 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('queue', function(Y) {
-
-/**
- * Mechanism to execute a series of callbacks in a non-blocking queue.  Each
- * callback is executed via setTimout unless configured with a negative
- * timeout, in which case it is run in blocking mode in the same execution
- * thread as the previous callback.  Callbacks can be function references or
- * object literals with the following keys:
- * <ul>
- *    <li><code>fn</code> - {Function} REQUIRED the callback function.</li>
- *    <li><code>timeout</code> - {number} millisecond delay to wait after previous callback completion before executing this callback.  Negative values cause immediate blocking execution.  Default 0.</li>
- *    <li><code>until</code> - {Function} boolean function executed before each iteration.  Return true to indicate callback completion.</li>
- *    <li><code>iterations</code> - {Number} number of times to execute the callback before proceeding to the next callback in the queue. Incompatible with <code>until</code>.</li>
- * </ul>
- *
- * @module queue
- * @class Queue
- * @constructor
- * @param callback* {Function|Object} Any number of callbacks to initialize the queue
- */
-Y.Queue = function () {
-    // Factory or Constructor
-    var me = this instanceof Y.Queue ? this : new Y.Queue();
-
-    /**
-     * The callback queue
-     * @property q
-     * @type {Array}
-     * @protected
-     */
-    me.q = [];
-
-    return me.add.apply(me,arguments);
-};
-
-Y.Queue.prototype = {
-    /**
-     * Timeout id used to pause or stop execution and indicate the execution
-     * state of the Queue.  0 indicates paused or stopped, negatives indicate
-     * blocking execution, and positives indicate non-blocking execution.
-     * @property id
-     * @type {number}
-     * @protected
-     */
-    id   : 0,
-
-    /**
-     * Execute the queue callbacks (also resumes paused Queue).
-     * @method run
-     * @return {Queue} the Queue instance
-     */
-    run : function () {
-        // Grab the first callback in the queue
-        var c  = this.q[0],
-            fn;
-
-        // If there is no callback in the queue or the Queue is currently
-        // in an execution mode, return
-        if (!c) {
-            /**
-             * Event fired after the last queued callback is executed.  Not
-             * fired if the Queue is stopped via q.stop().
-             * @event end
-             */
-            this.fire('end');
-            return this;
-        } else if (this.id) {
-            return this;
-        }
-
-        fn = c.fn || c;
-
-        if (typeof fn === 'function') {
-            var ms   = c.timeout || 0,
-                me   = this;
-
-            // Execute immediately if the callback timeout is negative.
-            if (ms < 0) {
-                this.id = ms;
-                if (c.until) { // test .until condition
-                    for (;!c.until();) {
-                        this._exec(fn,c);
-                    }
-                } else if (c.iterations) { // test .iterations
-                    for (;c.iterations-- > 0;) {
-                        this._exec(fn,c);
-                    }
-                } else { // single shot callback
-                    this._exec(fn,c);
-                }
-                this._shift();
-                this.id = 0;
-                return this.run();
-            } else {
-                if (c.until) { // test .until condition
-                    if (c.until()) {
-                        // Move to the next callback
-                        this._shift();
-                        return this.run();
-                    }
-                } else if (!c.iterations || !--c.iterations) { // .iterations
-                    this._shift();
-                }
-
-                // Set to execute after the configured timeout
-                this.id = setTimeout(function () {
-                    me._exec(fn,c);
-
-                    // Loop unless the Queue was paused from inside the callback
-                    if (me.id) {
-                        // Indicate ready to run state
-                        me.id = 0;
-                        // Start the fun all over again
-                        me.run();
-                    }
-                },ms);
-            }
-        }
-
-        return this;
-    },
-
-    /**
-     * Executes the callback function
-     * @method _exec
-     * @param fn {Function} the function to execute
-     * @param c {Object|Function} the callback as defined during add(c)
-     * @protected
-     */
-    _exec : function (fn,c) {
-        /**
-         * Fired before a callback is executed
-         * @event beforeCallback
-         * @param o {Object} Object literal with the following keys:
-         * <dl>
-         * <dt>fn</dt><dd>The function about to be executed</dd>
-         * <dt>callback</dt><dd>The callback as provided to <code>add(..)</code></dd>
-         * </dl>
-         */
-        this.fire('beforeCallback',{fn:fn,callback:c});
-
-        fn.call(this);
-
-        /**
-         * Fired before a callback is executed
-         * @event afterCallback
-         * @param o {Object} Object literal with the following keys:
-         * <dl>
-         * <dt>fn</dt><dd>The function just executed</dd>
-         * <dt>callback</dt><dd>The callback as provided to <code>add(..)</code></dd>
-         * </dl>
-         */
-        this.fire('afterCallback',{fn:fn,callback:c});
-    },
-
-    /**
-     * Shifts the first callback off the Queue
-     * @method _shift
-     * @private
-     */
-    _shift : function () {
-        /**
-         * Fired after a callback is shifted from the Queue
-         * @event shiftCallback
-         * @param callback {Function|Object} The callback passed to <code>add(..)</code>
-         */
-        this.fire('shiftCallback',this.q.shift());
-    },
-    
-    /**
-     * Add any number of callbacks to the end of the queue
-     * @method add
-     * @param callback* {Function|Object} Any number of callbacks
-     * @return {Queue} the Queue instance
-     */
-    add  : function () {
-        var callbacks = Y.Array(arguments,0,true);
-        this.q.splice.apply(this.q,[this.q.length,0].concat(callbacks));
-
-        /**
-         * Fired from within <code>add(..)</code> after callbacks are queued
-         * @event addCallback
-         * @param callbacks {Array} Array of callbacks passed to <code>add(..)</code>
-         */
-        this.fire('addCallback',callbacks);
-        return this;
-    },
-
-    /**
-     * Pause the execution of the Queue after the execution of the current
-     * callback completes.  If called from code outside of a queued callback,
-     * clears the timeout for the pending callback. Paused Queue can be
-     * restarted with q.run()
-     * @method pause
-     * @return {Queue} the Queue instance
-     */
-    pause: function () {
-        clearTimeout(this.id);
-        this.id = 0;
-
-        /**
-         * Fired after Queue is paused
-         * @event pause
-         */
-        this.fire('pause');
-        return this;
-    },
-
-    /**
-     * Stop and clear the Queue's queue after the current execution of the
-     * current callback completes.
-     * @method stop
-     * @return {Queue} the Queue instance
-     */
-    stop : function () { 
-        this.pause();
-        this.q = [];
-
-        /**
-         * Fired after Queue is stopped
-         * @event stop
-         */
-        this.fire('stop');
-        return this;
-    }
-};
-Y.augment(Y.Queue,Y.Event.Target);
-
-
-}, '3.0.0pr1' );

=== removed file 'loggerhead/static/javascript/yui/build/queue/queue-min.js'
--- loggerhead/static/javascript/yui/build/queue/queue-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/queue/queue-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("queue",function(A){A.Queue=function(){var B=this instanceof A.Queue?this:new A.Queue();B.q=[];return B.add.apply(B,arguments);};A.Queue.prototype={id:0,run:function(){var E=this.q[0],C;if(!E){this.fire("end");return this;}else{if(this.id){return this;}}C=E.fn||E;if(typeof C==="function"){var B=E.timeout||0,D=this;if(B<0){this.id=B;if(E.until){for(;!E.until();){this._exec(C,E);}}else{if(E.iterations){for(;E.iterations-->0;){this._exec(C,E);}}else{this._exec(C,E);}}this._shift();this.id=0;return this.run();}else{if(E.until){if(E.until()){this._shift();return this.run();}}else{if(!E.iterations||!--E.iterations){this._shift();}}this.id=setTimeout(function(){D._exec(C,E);if(D.id){D.id=0;D.run();}},B);}}return this;},_exec:function(B,C){this.fire("beforeCallback",{fn:B,callback:C});B.call(this);this.fire("afterCallback",{fn:B,callback:C});},_shift:function(){this.fire("shiftCallback",this.q.shift());},add:function(){var B=A.Array(arguments,0,true);this.q.splice.apply(this.q,[this.q.length,0].concat(B));this.fire("addCallback",B);return this;},pause:function(){clearTimeout(this.id);this.id=0;this.fire("pause");return this;},stop:function(){this.pause();this.q=[];this.fire("stop");return this;}};A.augment(A.Queue,A.Event.Target);},"3.0.0pr1");
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/queue/queue.js'
--- loggerhead/static/javascript/yui/build/queue/queue.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/queue/queue.js	1970-01-01 00:00:00 +0000
@@ -1,236 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add('queue', function(Y) {
-
-/**
- * Mechanism to execute a series of callbacks in a non-blocking queue.  Each
- * callback is executed via setTimout unless configured with a negative
- * timeout, in which case it is run in blocking mode in the same execution
- * thread as the previous callback.  Callbacks can be function references or
- * object literals with the following keys:
- * <ul>
- *    <li><code>fn</code> - {Function} REQUIRED the callback function.</li>
- *    <li><code>timeout</code> - {number} millisecond delay to wait after previous callback completion before executing this callback.  Negative values cause immediate blocking execution.  Default 0.</li>
- *    <li><code>until</code> - {Function} boolean function executed before each iteration.  Return true to indicate callback completion.</li>
- *    <li><code>iterations</code> - {Number} number of times to execute the callback before proceeding to the next callback in the queue. Incompatible with <code>until</code>.</li>
- * </ul>
- *
- * @module queue
- * @class Queue
- * @constructor
- * @param callback* {Function|Object} Any number of callbacks to initialize the queue
- */
-Y.Queue = function () {
-    // Factory or Constructor
-    var me = this instanceof Y.Queue ? this : new Y.Queue();
-
-    /**
-     * The callback queue
-     * @property q
-     * @type {Array}
-     * @protected
-     */
-    me.q = [];
-
-    return me.add.apply(me,arguments);
-};
-
-Y.Queue.prototype = {
-    /**
-     * Timeout id used to pause or stop execution and indicate the execution
-     * state of the Queue.  0 indicates paused or stopped, negatives indicate
-     * blocking execution, and positives indicate non-blocking execution.
-     * @property id
-     * @type {number}
-     * @protected
-     */
-    id   : 0,
-
-    /**
-     * Execute the queue callbacks (also resumes paused Queue).
-     * @method run
-     * @return {Queue} the Queue instance
-     */
-    run : function () {
-        // Grab the first callback in the queue
-        var c  = this.q[0],
-            fn;
-
-        // If there is no callback in the queue or the Queue is currently
-        // in an execution mode, return
-        if (!c) {
-            /**
-             * Event fired after the last queued callback is executed.  Not
-             * fired if the Queue is stopped via q.stop().
-             * @event end
-             */
-            this.fire('end');
-            return this;
-        } else if (this.id) {
-            return this;
-        }
-
-        fn = c.fn || c;
-
-        if (typeof fn === 'function') {
-            var ms   = c.timeout || 0,
-                me   = this;
-
-            // Execute immediately if the callback timeout is negative.
-            if (ms < 0) {
-                this.id = ms;
-                if (c.until) { // test .until condition
-                    for (;!c.until();) {
-                        this._exec(fn,c);
-                    }
-                } else if (c.iterations) { // test .iterations
-                    for (;c.iterations-- > 0;) {
-                        this._exec(fn,c);
-                    }
-                } else { // single shot callback
-                    this._exec(fn,c);
-                }
-                this._shift();
-                this.id = 0;
-                return this.run();
-            } else {
-                if (c.until) { // test .until condition
-                    if (c.until()) {
-                        // Move to the next callback
-                        this._shift();
-                        return this.run();
-                    }
-                } else if (!c.iterations || !--c.iterations) { // .iterations
-                    this._shift();
-                }
-
-                // Set to execute after the configured timeout
-                this.id = setTimeout(function () {
-                    me._exec(fn,c);
-
-                    // Loop unless the Queue was paused from inside the callback
-                    if (me.id) {
-                        // Indicate ready to run state
-                        me.id = 0;
-                        // Start the fun all over again
-                        me.run();
-                    }
-                },ms);
-            }
-        }
-
-        return this;
-    },
-
-    /**
-     * Executes the callback function
-     * @method _exec
-     * @param fn {Function} the function to execute
-     * @param c {Object|Function} the callback as defined during add(c)
-     * @protected
-     */
-    _exec : function (fn,c) {
-        /**
-         * Fired before a callback is executed
-         * @event beforeCallback
-         * @param o {Object} Object literal with the following keys:
-         * <dl>
-         * <dt>fn</dt><dd>The function about to be executed</dd>
-         * <dt>callback</dt><dd>The callback as provided to <code>add(..)</code></dd>
-         * </dl>
-         */
-        this.fire('beforeCallback',{fn:fn,callback:c});
-
-        fn.call(this);
-
-        /**
-         * Fired before a callback is executed
-         * @event afterCallback
-         * @param o {Object} Object literal with the following keys:
-         * <dl>
-         * <dt>fn</dt><dd>The function just executed</dd>
-         * <dt>callback</dt><dd>The callback as provided to <code>add(..)</code></dd>
-         * </dl>
-         */
-        this.fire('afterCallback',{fn:fn,callback:c});
-    },
-
-    /**
-     * Shifts the first callback off the Queue
-     * @method _shift
-     * @private
-     */
-    _shift : function () {
-        /**
-         * Fired after a callback is shifted from the Queue
-         * @event shiftCallback
-         * @param callback {Function|Object} The callback passed to <code>add(..)</code>
-         */
-        this.fire('shiftCallback',this.q.shift());
-    },
-    
-    /**
-     * Add any number of callbacks to the end of the queue
-     * @method add
-     * @param callback* {Function|Object} Any number of callbacks
-     * @return {Queue} the Queue instance
-     */
-    add  : function () {
-        var callbacks = Y.Array(arguments,0,true);
-        this.q.splice.apply(this.q,[this.q.length,0].concat(callbacks));
-
-        /**
-         * Fired from within <code>add(..)</code> after callbacks are queued
-         * @event addCallback
-         * @param callbacks {Array} Array of callbacks passed to <code>add(..)</code>
-         */
-        this.fire('addCallback',callbacks);
-        return this;
-    },
-
-    /**
-     * Pause the execution of the Queue after the execution of the current
-     * callback completes.  If called from code outside of a queued callback,
-     * clears the timeout for the pending callback. Paused Queue can be
-     * restarted with q.run()
-     * @method pause
-     * @return {Queue} the Queue instance
-     */
-    pause: function () {
-        clearTimeout(this.id);
-        this.id = 0;
-
-        /**
-         * Fired after Queue is paused
-         * @event pause
-         */
-        this.fire('pause');
-        return this;
-    },
-
-    /**
-     * Stop and clear the Queue's queue after the current execution of the
-     * current callback completes.
-     * @method stop
-     * @return {Queue} the Queue instance
-     */
-    stop : function () { 
-        this.pause();
-        this.q = [];
-
-        /**
-         * Fired after Queue is stopped
-         * @event stop
-         */
-        this.fire('stop');
-        return this;
-    }
-};
-Y.augment(Y.Queue,Y.Event.Target);
-
-
-}, '3.0.0pr1' );

=== removed directory 'loggerhead/static/javascript/yui/build/substitute'
=== removed file 'loggerhead/static/javascript/yui/build/substitute/README'
--- loggerhead/static/javascript/yui/build/substitute/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/substitute/README	1970-01-01 00:00:00 +0000
@@ -1,5 +0,0 @@
-YUI substute
-    A string templating utility
-
-3.0.0pr1
-    Initial release

=== removed file 'loggerhead/static/javascript/yui/build/substitute/substitute-debug.js'
--- loggerhead/static/javascript/yui/build/substitute/substitute-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/substitute/substitute-debug.js	1970-01-01 00:00:00 +0000
@@ -1,131 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * String variable substitution and string formatting.
- * If included, the substitute method is added to the YUI instance.
- *
- * @module substitute
- */
-YUI.add("substitute", function(Y) {
-
-    var L = Y.Lang, DUMP='dump', SPACE=' ', LBRACE='{', RBRACE='}',
-
-    /**
-     * The following methods are added to the YUI instance
-     * @class YUI~substitute
-     */
-
-    /**
-     * Does variable substitution on a string. It scans through the string 
-     * looking for expressions enclosed in { } braces. If an expression 
-     * is found, it is used a key on the object.  If there is a space in
-     * the key, the first word is used for the key and the rest is provided
-     * to an optional function to be used to programatically determine the
-     * value (the extra information might be used for this decision). If 
-     * the value for the key in the object, or what is returned from the
-     * function has a string value, number value, or object value, it is 
-     * substituted for the bracket expression and it repeats.  If this
-     * value is an object, it uses the Object's toString() if this has
-     * been overridden, otherwise it does a shallow dump of the key/value
-     * pairs if Y.dump is available (if dump isn't available, toString()
-     * is used).
-     *
-     * This method is included in the 'substitute' module.  It is not included
-     * in the YUI module.
-     *
-     * @method substitute
-     * @param s {string} The string that will be modified.
-     * @param o An object containing the replacement values
-     * @param f {function} An optional function that can be used to
-     *                     process each match.  It receives the key,
-     *                     value, and any extra metadata included with
-     *                     the key inside of the braces.
-     * @return {string} the substituted string
-     */
-    substitute = function (s, o, f) {
-        var i, j, k, key, v, meta, saved=[], token;
-
-        for (;;) {
-            i = s.lastIndexOf(LBRACE);
-            if (i < 0) {
-                break;
-            }
-            j = s.indexOf(RBRACE, i);
-            if (i + 1 >= j) {
-                break;
-            }
-
-            //Extract key and meta info 
-            token = s.substring(i + 1, j);
-            key = token;
-            meta = null;
-            k = key.indexOf(SPACE);
-            if (k > -1) {
-                meta = key.substring(k + 1);
-                key = key.substring(0, k);
-            }
-
-            // lookup the value
-            v = o[key];
-
-            // if a substitution function was provided, execute it
-            if (f) {
-                v = f(key, v, meta);
-            }
-
-            if (L.isObject(v)) {
-                if (!Y.dump) {
-                    v = v.toString();
-                } else {
-                    if (L.isArray(v)) {
-                        v = Y.dump(v, parseInt(meta, 10));
-                    } else {
-                        meta = meta || "";
-
-                        // look for the keyword 'dump', if found force obj dump
-                        var dump = meta.indexOf(DUMP);
-                        if (dump > -1) {
-                            meta = meta.substring(4);
-                        }
-
-                        // use the toString if it is not the Object toString 
-                        // and the 'dump' meta info was not found
-                        if (v.toString===Object.prototype.toString||dump>-1) {
-                            v = Y.dump(v, parseInt(meta, 10));
-                        } else {
-                            v = v.toString();
-                        }
-                    }
-                }
-            } else if (!L.isString(v) && !L.isNumber(v)) {
-                // This {block} has no replace string. Save it for later.
-                v = "~-" + saved.length + "-~";
-                saved[saved.length] = token;
-
-                // break;
-            }
-
-            s = s.substring(0, i) + v + s.substring(j + 1);
-
-
-        }
-
-        // restore saved {block}s
-        for (i=saved.length-1; i>=0; i=i-1) {
-            s = s.replace(new RegExp("~-" + i + "-~"), "{"  + saved[i] + "}", "g");
-        }
-
-        return s;
-
-    };
-
-    Y.substitute = substitute;
-    L.substitute = substitute;
-
-}, "3.0.0pr1", {
-    optional: ['dump']
-});

=== removed file 'loggerhead/static/javascript/yui/build/substitute/substitute-min.js'
--- loggerhead/static/javascript/yui/build/substitute/substitute-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/substitute/substitute-min.js	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-YUI.add("substitute",function(G){var B=G.Lang,D="dump",F=" ",C="{",E="}",A=function(S,H,N){var L,K,J,P,Q,R,O=[],I;for(;;){L=S.lastIndexOf(C);if(L<0){break;}K=S.indexOf(E,L);if(L+1>=K){break;}I=S.substring(L+1,K);P=I;R=null;J=P.indexOf(F);if(J>-1){R=P.substring(J+1);P=P.substring(0,J);}Q=H[P];if(N){Q=N(P,Q,R);}if(B.isObject(Q)){if(!G.dump){Q=Q.toString();}else{if(B.isArray(Q)){Q=G.dump(Q,parseInt(R,10));}else{R=R||"";var M=R.indexOf(D);if(M>-1){R=R.substring(4);}if(Q.toString===Object.prototype.toString||M>-1){Q=G.dump(Q,parseInt(R,10));}else{Q=Q.toString();}}}}else{if(!B.isString(Q)&&!B.isNumber(Q)){Q="~-"+O.length+"-~";O[O.length]=I;}}S=S.substring(0,L)+Q+S.substring(K+1);}for(L=O.length-1;L>=0;L=L-1){S=S.replace(new RegExp("~-"+L+"-~"),"{"+O[L]+"}","g");}return S;};G.substitute=A;B.substitute=A;},"3.0.0pr1",{optional:["dump"]});
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/substitute/substitute.js'
--- loggerhead/static/javascript/yui/build/substitute/substitute.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/substitute/substitute.js	1970-01-01 00:00:00 +0000
@@ -1,131 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * String variable substitution and string formatting.
- * If included, the substitute method is added to the YUI instance.
- *
- * @module substitute
- */
-YUI.add("substitute", function(Y) {
-
-    var L = Y.Lang, DUMP='dump', SPACE=' ', LBRACE='{', RBRACE='}',
-
-    /**
-     * The following methods are added to the YUI instance
-     * @class YUI~substitute
-     */
-
-    /**
-     * Does variable substitution on a string. It scans through the string 
-     * looking for expressions enclosed in { } braces. If an expression 
-     * is found, it is used a key on the object.  If there is a space in
-     * the key, the first word is used for the key and the rest is provided
-     * to an optional function to be used to programatically determine the
-     * value (the extra information might be used for this decision). If 
-     * the value for the key in the object, or what is returned from the
-     * function has a string value, number value, or object value, it is 
-     * substituted for the bracket expression and it repeats.  If this
-     * value is an object, it uses the Object's toString() if this has
-     * been overridden, otherwise it does a shallow dump of the key/value
-     * pairs if Y.dump is available (if dump isn't available, toString()
-     * is used).
-     *
-     * This method is included in the 'substitute' module.  It is not included
-     * in the YUI module.
-     *
-     * @method substitute
-     * @param s {string} The string that will be modified.
-     * @param o An object containing the replacement values
-     * @param f {function} An optional function that can be used to
-     *                     process each match.  It receives the key,
-     *                     value, and any extra metadata included with
-     *                     the key inside of the braces.
-     * @return {string} the substituted string
-     */
-    substitute = function (s, o, f) {
-        var i, j, k, key, v, meta, saved=[], token;
-
-        for (;;) {
-            i = s.lastIndexOf(LBRACE);
-            if (i < 0) {
-                break;
-            }
-            j = s.indexOf(RBRACE, i);
-            if (i + 1 >= j) {
-                break;
-            }
-
-            //Extract key and meta info 
-            token = s.substring(i + 1, j);
-            key = token;
-            meta = null;
-            k = key.indexOf(SPACE);
-            if (k > -1) {
-                meta = key.substring(k + 1);
-                key = key.substring(0, k);
-            }
-
-            // lookup the value
-            v = o[key];
-
-            // if a substitution function was provided, execute it
-            if (f) {
-                v = f(key, v, meta);
-            }
-
-            if (L.isObject(v)) {
-                if (!Y.dump) {
-                    v = v.toString();
-                } else {
-                    if (L.isArray(v)) {
-                        v = Y.dump(v, parseInt(meta, 10));
-                    } else {
-                        meta = meta || "";
-
-                        // look for the keyword 'dump', if found force obj dump
-                        var dump = meta.indexOf(DUMP);
-                        if (dump > -1) {
-                            meta = meta.substring(4);
-                        }
-
-                        // use the toString if it is not the Object toString 
-                        // and the 'dump' meta info was not found
-                        if (v.toString===Object.prototype.toString||dump>-1) {
-                            v = Y.dump(v, parseInt(meta, 10));
-                        } else {
-                            v = v.toString();
-                        }
-                    }
-                }
-            } else if (!L.isString(v) && !L.isNumber(v)) {
-                // This {block} has no replace string. Save it for later.
-                v = "~-" + saved.length + "-~";
-                saved[saved.length] = token;
-
-                // break;
-            }
-
-            s = s.substring(0, i) + v + s.substring(j + 1);
-
-
-        }
-
-        // restore saved {block}s
-        for (i=saved.length-1; i>=0; i=i-1) {
-            s = s.replace(new RegExp("~-" + i + "-~"), "{"  + saved[i] + "}", "g");
-        }
-
-        return s;
-
-    };
-
-    Y.substitute = substitute;
-    L.substitute = substitute;
-
-}, "3.0.0pr1", {
-    optional: ['dump']
-});

=== removed directory 'loggerhead/static/javascript/yui/build/yui'
=== removed directory 'loggerhead/static/javascript/yui/build/yui-base'
=== removed file 'loggerhead/static/javascript/yui/build/yui-base/README'
--- loggerhead/static/javascript/yui/build/yui-base/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/yui-base/README	1970-01-01 00:00:00 +0000
@@ -1,7 +0,0 @@
-YUI Base
-    Provides base YUI functionality, including module registration and consumption utils,
-    language/array/object utilities, browser detection, and a setTimout/setInterval 
-    wrapper.
-
-3.0.0pr1
-    Inital release

=== removed file 'loggerhead/static/javascript/yui/build/yui-base/yui-base-debug.js'
--- loggerhead/static/javascript/yui/build/yui-base/yui-base-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/yui-base/yui-base-debug.js	1970-01-01 00:00:00 +0000
@@ -1,1472 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * YUI core
- * @module yui
- */
-(function() {
-
-    var _instances = {},
-
-// @TODO: this needs to be created at build time from module metadata
-
-        _APPLY_TO_WHITE_LIST = {
-            'io.xdrReady': 1,
-            'io.start': 1,
-            'io.success': 1,
-            'io.failure': 1,
-            'io.abort': 1
-        };
-        
-
-if (typeof YUI === 'undefined' || !YUI) {
-
-    /**
-     * The YUI global namespace object.  If YUI is already defined, the
-     * existing YUI object will not be overwritten so that defined
-     * namespaces are preserved.  
-     *
-     * @class YUI
-     * @constructor
-     * @global
-     * @uses Event.Target
-     * @param o Optional configuration object.  Options:
-     * <ul>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>Global:</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>debug:
-     *  Turn debug statements on or off</li>
-     *  <li>useConsole:
-     *  Log to the browser console if debug is on and the console is available</li>
-     *  <li>logInclude:
-     *  A hash of log sources that should be logged.  If specified, only log messages from these sources will be logged.
-     *  
-     *  </li>
-     *  <li>logExclude:
-     *  A hash of log sources that should be not be logged.  If specified, all sources are logged if not on this list.</li>
-     *  <li>throwFail:
-     *  If throwFail is set, Y.fail will generate or re-throw a JS error.  Otherwise the failure is logged.
-     *  <li>win:
-     *  The target window/frame</li>
-     *  <li>core:
-     *  A list of modules that defines the YUI core (overrides the default)</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>For event and get:</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>pollInterval:
-     *  The default poll interval</li>
-     *  <li>-------------------------------------------------------------------------</li>
-     *  <li>For loader:</li>
-     *  <li>-------------------------------------------------------------------------</li>
-     *  <li>base:
-     *  The base dir</li>
-     *  <li>secureBase:
-     *  The secure base dir (not implemented)</li>
-     *  <li>comboBase:
-     *  The YUI combo service base dir. Ex: http://yui.yahooapis.com/combo?</li>
-     *  <li>root:
-     *  The root path to prepend to module names for the combo service. Ex: 2.5.2/build/</li>
-     *  <li>filter:
-     *  
-     * A filter to apply to result urls.  This filter will modify the default
-     * path for all modules.  The default path for the YUI library is the
-     * minified version of the files (e.g., event-min.js).  The filter property
-     * can be a predefined filter or a custom filter.  The valid predefined 
-     * filters are:
-     * <dl>
-     *  <dt>DEBUG</dt>
-     *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
-     *      This option will automatically include the logger widget</dd>
-     *  <dt>RAW</dt>
-     *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
-     * </dl>
-     * You can also define a custom filter, which must be an object literal 
-     * containing a search expression and a replace string:
-     * <pre>
-     *  myFilter: &#123; 
-     *      'searchExp': "-min\\.js", 
-     *      'replaceStr': "-debug.js"
-     *  &#125;
-     * </pre>
-     *
-     *  </li>
-     *  <li>combine:
-     *  Use the YUI combo service to reduce the number of http connections required to load your dependencies</li>
-     *  <li>ignore:
-     *  A list of modules that should never be dynamically loaded</li>
-     *  <li>force:
-     *  A list of modules that should always be loaded when required, even if already present on the page</li>
-     *  <li>insertBefore:
-     *  Node or id for a node that should be used as the insertion point for new nodes</li>
-     *  <li>charset:
-     *  charset for dynamic nodes</li>
-     *  <li>timeout:
-     *  number of milliseconds before a timeout occurs when dynamically loading nodes.  in not set, there is no timeout</li>
-     *  <li>context:
-     *  execution context for all callbacks</li>
-     *  <li>onSuccess:
-     *  callback for the 'success' event</li>
-     *  <li>onFailure:
-     *  callback for the 'failure' event</li>
-     *  <li>onTimeout:
-     *  callback for the 'timeout' event</li>
-     *  <li>onProgress:
-     *  callback executed each time a script or css file is loaded</li>
-     *  <li>modules:
-     *  A list of module definitions.  See Loader.addModule for the supported module metadata</li>
-     * </ul>
-     */
-
-    /*global YUI*/
-    YUI = function(o) {
-        var Y = this;
-        // Allow var yui = YUI() instead of var yui = new YUI()
-        if (Y == window) {
-            return new YUI(o);
-        } else {
-            // set up the core environment
-            Y._init(o);
-
-            // bind the specified additional modules for this instance
-            Y._setup();
-
-            return Y;
-        }
-    };
-}
-
-// The prototype contains the functions that are required to allow the external
-// modules to be registered and for the instance to be initialized.
-YUI.prototype = {
-
-    /**
-     * Initialize this YUI instance
-     * @param o config options
-     * @private
-     */
-    _init: function(o) {
-        
-
-        o = o || {};
-
-        // find targeted window and @TODO create facades
-        var w = (o.win) ? (o.win.contentWindow) : o.win  || window;
-        o.win = w;
-        o.doc = w.document;
-        o.debug = ('debug' in o) ? o.debug : true;
-        o.useConsole = ('useConsole' in o) ? o.useConsole: true;
-
-        // @TODO default throwFail to true in PR2
-        // o.throwFail = ('throwFail' in o) ? o.debug : true;
-    
-        // add a reference to o for anything that needs it
-        // before _setup is called.
-        this.config = o;
-
-        this.Env = {
-            // @todo expand the new module metadata
-            mods: {},
-            _idx: 0,
-            _pre: 'yuid',
-            _used: {},
-            _attached: {},
-            _yidx: 0,
-            _uidx: 0
-        };
-
-        if (YUI.Env) {
-            this.Env._yidx = ++YUI.Env._idx;
-            this.id = this.stamp(this);
-            _instances[this.id] = this;
-        }
-
-        this.constructor = YUI;
-
-        this.log(this.id + ') init ');
-    },
-    
-    /**
-     * Finishes the instance setup. Attaches whatever modules were defined
-     * when the yui modules was registered.
-     * @method _setup
-     * @private
-     */
-    _setup: function(o) {
-        this.use("yui");
-        // @TODO eval the need to copy the config
-        this.config = this.merge(this.config);
-    },
-
-    /**
-     * Executes a method on a YUI instance with
-     * the specified id if the specified method is whitelisted.
-     * @method applyTo
-     * @param id {string} the YUI instance id
-     * @param method {string} the name of the method to exectute.
-     * Ex: 'Object.keys'
-     * @param args {Array} the arguments to apply to the method
-     * @return {object} the return value from the applied method or null
-     */
-    applyTo: function(id, method, args) {
-
-        if (!(method in _APPLY_TO_WHITE_LIST)) {
-            this.fail(method + ': applyTo not allowed');
-            return null;
-        }
-
-        var instance = _instances[id];
-
-        if (instance) {
-
-            var nest = method.split('.'), m = instance;
-
-            for (var i=0; i<nest.length; i=i+1) {
-
-                m = m[nest[i]];
-
-                if (!m) {
-                    this.fail('applyTo not found: ' + method);
-                }
-            }
-
-            return m.apply(instance, args);
-        }
-
-        return null;
-    }, 
-
-    /**
-     * Register a module
-     * @method add
-     * @param name {string} module name
-     * @param namespace {string} name space for the module
-     * @param fn {Function} entry point into the module that
-     * is used to bind module to the YUI instance
-     * @param version {string} version string
-     * @return {YUI} the YUI instance
-     *
-     * requires   - features that should be present before loading
-     * optional   - optional features that should be present if load optional defined
-     * use  - features that should be attached automatically
-     * skinnable  -
-     * rollup
-     * omit - features that should not be loaded if this module is present
-     */
-    add: function(name, fn, version, details) {
-
-        // this.log('Adding a new component ' + name);
-
-        // @todo expand this to include version mapping
-        
-        // @todo allow requires/supersedes
-
-        // @todo may want to restore the build property
-        
-        // @todo fire moduleAvailable event
-        
-        var m = {
-            name: name, 
-            fn: fn,
-            version: version,
-            details: details || {}
-        };
-
-        YUI.Env.mods[name] = m;
-
-        return this; // chain support
-    },
-
-    _attach: function(r, fromLoader) {
-
-        var mods = YUI.Env.mods,
-            attached = this.Env._attached;
-
-        for (var i=0, l=r.length; i<l; i=i+1) {
-            var name = r[i], m = mods[name], mm;
-            if (!attached[name] && m) {
-
-                attached[name] = true;
-
-                var d = m.details, req = d.requires, use = d.use;
-
-                if (req) {
-                    this._attach(this.Array(req));
-                }
-
-                this.log('attaching ' + name, 'info', 'YUI');
-
-                if (m.fn) {
-                    m.fn(this);
-                }
-
-                if (use) {
-                    this._attach(this.Array(use));
-                }
-            }
-        }
-
-    },
-
-    /**
-     * Bind a module to a YUI instance
-     * @param modules* {string} 1-n modules to bind (uses arguments array)
-     * @param *callback {function} callback function executed when 
-     * the instance has the required functionality.  If included, it
-     * must be the last parameter.
-     *
-     * @TODO 
-     * Implement versioning?  loader can load different versions?
-     * Should sub-modules/plugins be normal modules, or do
-     * we add syntax for specifying these?
-     *
-     * YUI().use('dragdrop')
-     * YUI().use('dragdrop:2.4.0'); // specific version
-     * YUI().use('dragdrop:2.4.0-'); // at least this version
-     * YUI().use('dragdrop:2.4.0-2.9999.9999'); // version range
-     * YUI().use('*'); // use all available modules
-     * YUI().use('lang+dump+substitute'); // use lang and some plugins
-     * YUI().use('lang+*'); // use lang and all known plugins
-     *
-     *
-     * @return {YUI} the YUI instance
-     */
-    use: function() {
-
-        var Y = this, 
-            a=Array.prototype.slice.call(arguments, 0), 
-            mods = YUI.Env.mods, 
-            used = Y.Env._used,
-            loader, 
-            firstArg = a[0], 
-            dynamic = false,
-            callback = a[a.length-1];
-
-        // Y.log(Y.id + ': use called: ' + a + ' :: ' + callback);
-
-        // The last argument supplied to use can be a load complete callback
-        if (typeof callback === 'function') {
-            a.pop();
-            Y.Env._callback = callback;
-        } else {
-            callback = null;
-        }
-
-        // YUI().use('*'); // bind everything available
-        if (firstArg === "*") {
-            a = [];
-            for (var k in mods) {
-                if (mods.hasOwnProperty(k)) {
-                    a.push(k);
-                }
-            }
-
-            return Y.use.apply(Y, a);
-
-        }
-        // Y.log('loader before: ' + a.join(','));
-       
-
-        // use loader to optimize and sort the requirements if it
-        // is available.
-        if (Y.Loader) {
-            dynamic = true;
-            loader = new Y.Loader(Y.config);
-            loader.require(a);
-            loader.ignoreRegistered = true;
-            loader.calculate();
-            a = loader.sorted;
-        }
-
-        // Y.log('loader after: ' + a.join(','));
-
-        var missing = [], r = [], f = function(name) {
-
-            // only attach a module once
-            if (used[name]) {
-                // Y.log(name + ' already used');
-                return;
-            }
-
-            var m = mods[name], j, req, use;
-
-            if (m) {
-                used[name] = true;
-
-                // Y.log('found ' + name);
-                req = m.details.requires;
-                use = m.details.use;
-            } else {
-                Y.log('module not found: ' + name, 'info', 'yui');
-                missing.push(name);
-            }
-
-            // make sure requirements are attached
-            if (req) {
-                if (Y.Lang.isString(req)) {
-                    f(req);
-                } else {
-                    for (j = 0; j < req.length; j = j + 1) {
-                        f(req[j]);
-                    }
-                }
-            }
-
-            // add this module to full list of things to attach
-            // Y.log('using ' + name);
-            r.push(name);
-
-        };
-
-        // process each requirement and any additional requirements 
-        // the module metadata specifies
-        for (var i=0, l=a.length; i<l; i=i+1) {
-            f(a[i]);
-        }
-
-        // Y.log('all reqs: ' + r + ' --- missing: ' + missing);
-
-        var onComplete = function(fromLoader) {
-
-            // Y.log('Use complete');
-
-            fromLoader = fromLoader || {
-                success: true,
-                msg: 'not dynamic'
-            };
-
-            if (Y.Env._callback) {
-
-                var cb = Y.Env._callback;
-                Y.Env._callback = null;
-                cb(Y, fromLoader);
-            }
-
-            if (Y.fire) {
-                Y.fire('yui:load', Y, fromLoader);
-            }
-        };
-
-
-        // dynamic load
-        if (Y.Loader && missing.length) {
-            Y.log('Attempting to dynamically load the missing modules ' + missing, 'info', 'yui');
-            loader = new Y.Loader(Y.config);
-            loader.onSuccess = onComplete;
-            loader.onFailure = onComplete;
-            loader.onTimeout = onComplete;
-            loader.attaching = a;
-            loader.require(missing);
-            loader.insert();
-        } else {
-            Y._attach(r);
-            onComplete();
-        }
-
-        return Y; // chain support var yui = YUI().use('dragdrop');
-    },
-
-
-    /**
-     * Returns the namespace specified and creates it if it doesn't exist
-     * <pre>
-     * YUI.namespace("property.package");
-     * YUI.namespace("YUI.property.package");
-     * </pre>
-     * Either of the above would create YUI.property, then
-     * YUI.property.package
-     *
-     * Be careful when naming packages. Reserved words may work in some browsers
-     * and not others. For instance, the following will fail in Safari:
-     * <pre>
-     * YUI.namespace("really.long.nested.namespace");
-     * </pre>
-     * This fails because "long" is a future reserved word in ECMAScript
-     *
-     * @method namespace
-     * @param  {string*} arguments 1-n namespaces to create 
-     * @return {object}  A reference to the last namespace object created
-     */
-    namespace: function() {
-        var a=arguments, o=null, i, j, d;
-        for (i=0; i<a.length; i=i+1) {
-            d = a[i].split(".");
-            o = this;
-            for (j=(d[0] == "YUI") ? 1 : 0; j<d.length; j=j+1) {
-                o[d[j]] = o[d[j]] || {};
-                o = o[d[j]];
-            }
-        }
-        return o;
-    },
-
-    // this is replaced if the log module is included
-    log: function() {
-
-    },
-
-    /**
-     * Report an error.  The reporting mechanism is controled by
-     * the 'throwFail' configuration attribute.  If throwFail is
-     * not specified, the message is written to the logger, otherwise
-     * a JS error is thrown
-     * @method fail
-     * @param msg {string} the failure message
-     * @param e {Error} Optional JS error that was caught.  If supplied
-     * and throwFail is specified, this error will be re-thrown.
-     * @return {YUI} this YUI instance
-     */
-    fail: function(msg, e) {
-        var instance = this;
-        instance.log(msg, "error"); // don't scrub this one
-
-        if (this.config.throwFail) {
-            throw e || new Error(msg);
-        }
-
-        return this;
-    },
-
-    /**
-     * Generate an id that is unique among all YUI instances
-     * @method guid
-     * @param pre {string} optional guid prefix
-     * @return {string} the guid
-     */
-    guid: function(pre) {
-        var e = this.Env, p = (pre) || e._pre;
-        return p +'-' + e._yidx + '-' + e._uidx++;
-    },
-
-    /**
-     * Stamps an object with a guid.  If the object already
-     * has one, a new one is not created
-     * @method stamp
-     * @param o The object to stamp
-     * @return {string} The object's guid
-     */
-    stamp: function(o) {
-
-        if (!o) {
-            return o;
-        }
-
-        var uid = (typeof o === 'string') ? o : o._yuid;
-
-        if (!uid) {
-            uid = this.guid();
-            o._yuid = uid;
-        }
-
-        return uid;
-    }
-};
-
-// Give the YUI global the same properties as an instance.
-// This makes it so that the YUI global can be used like the YAHOO
-// global was used prior to 3.x.  More importantly, the YUI global
-// provides global metadata, so env needs to be configured.
-// @TODO review
-
-    var Y = YUI, p = Y.prototype, i;
-
-    // inheritance utilities are not available yet
-    for (i in p) {
-        if (true) { // hasOwnProperty not available yet and not needed
-            Y[i] = p[i];
-        }
-    }
-
-    // set up the environment
-    Y._init();
-
-
-})();
-/**
- * YUI stub
- * @module yui
- * @submodule yui-base
- */
-// This is just a stub to for dependency processing
-YUI.add("yui-base", null, "3.0.0pr1");
-/*
- * YUI console logger
- * @module yui
- * @submodule log
- */
-YUI.add("log", function(instance) {
-
-    /**
-     * If the 'debug' config is true, a 'yui:log' event will be
-     * dispatched, which the logger widget and anything else
-     * can consume.  If the 'useConsole' config is true, it will
-     * write to the browser console if available.
-     *
-     * @method log
-     * @for YUI
-     * @param  {String}  msg  The message to log.
-     * @param  {String}  cat  The log category for the message.  Default
-     *                        categories are "info", "warn", "error", time".
-     *                        Custom categories can be used as well. (opt)
-     * @param  {String}  src  The source of the the message (opt)
-     * @return {YUI}      YUI instance
-     */
-    instance.log = function(msg, cat, src) {
-
-        var Y = instance, c = Y.config, es = Y.Env._eventstack,
-            bail = (es && es.logging);
-
-        // suppress log message if the config is off or the event stack
-        // or the event call stack contains a consumer of the yui:log event
-        if (c.debug && !bail) {
-
-            // apply source filters
-            if (src) {
-
-                var exc = c.logExclude, inc = c.logInclude;
-
-                // console.log('checking src filter: ' + src + ', inc: ' + inc + ', exc: ' + exc);
-
-                if (inc && !(src in inc)) {
-                    // console.log('bail: inc list found, but src is not in list: ' + src);
-                    bail = true;
-                } else if (exc && (src in exc)) {
-                    // console.log('bail: exc list found, and src is in it: ' + src);
-                    bail = true;
-                }
-            }
-
-            if (!bail) {
-
-                if (c.useConsole && typeof console != 'undefined') {
-                        var f = (cat && console[cat]) ? cat : 'log',
-                            m = (src) ? src + ': ' + msg : msg;
-                        console[f](m);
-                }
-
-                if (Y.fire && !bail) {
-                    Y.fire('yui:log', msg, cat, src);
-                }
-            }
-        }
-
-        return Y;
-    };
-
-}, "3.0.0pr1");
-/*
- * YUI lang utils
- * @module yui
- * @submodule lang
- */
-YUI.add("lang", function(Y) {
-
-    /**
-     * Provides the language utilites and extensions used by the library
-     * @class Lang
-     * @static
-     */
-    Y.Lang = Y.Lang || {};
-
-    var L = Y.Lang, SPLICE="splice", LENGTH="length";
-
-    /**
-     * Determines whether or not the provided object is an array.
-     * Testing typeof/instanceof/constructor of arrays across frame 
-     * boundaries isn't possible in Safari unless you have a reference
-     * to the other frame to test against its Array prototype.  To
-     * handle this case, we test well-known array properties instead.
-     * properties.
-     * @TODO can we kill this cross frame hack?
-     * @method isArray
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is an array
-     */
-     L.isArray = function(o) { 
-        if (o) {
-           //return L.isNumber(o.length) && L.isFunction(o.splice);
-           return (o[SPLICE] && L.isNumber(o[LENGTH]));
-        }
-        return false;
-    };
-
-    /**
-     * Determines whether or not the provided object is a boolean
-     * @method isBoolean
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a boolean
-     */
-    L.isBoolean = function(o) {
-        return typeof o === 'boolean';
-    };
-    
-    /**
-     * Determines whether or not the provided object is a function
-     * @method isFunction
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a function
-     */
-    L.isFunction = function(o) {
-        return typeof o === 'function';
-    };
-        
-    /**
-     * Determines whether or not the supplied object is a date instance
-     * @method isDate
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a date
-     */
-    L.isDate = function(o) {
-        return o instanceof Date;
-    };
-
-    /**
-     * Determines whether or not the provided object is null
-     * @method isNull
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is null
-     */
-    L.isNull = function(o) {
-        return o === null;
-    };
-        
-    /**
-     * Determines whether or not the provided object is a legal number
-     * @method isNumber
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a number
-     */
-    L.isNumber = function(o) {
-        return typeof o === 'number' && isFinite(o);
-    };
-      
-    /**
-     * Determines whether or not the provided object is of type object
-     * or function
-     * @method isObject
-     * @static
-     * @param o The object to test
-     * @param failfn {boolean} fail if the input is a function
-     * @return {boolean} true if o is an object
-     */  
-    L.isObject = function(o, failfn) {
-return (o && (typeof o === 'object' || (!failfn && L.isFunction(o)))) || false;
-    };
-        
-    /**
-     * Determines whether or not the provided object is a string
-     * @method isString
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a string
-     */
-    L.isString = function(o) {
-        return typeof o === 'string';
-    };
-        
-    /**
-     * Determines whether or not the provided object is undefined
-     * @method isUndefined
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is undefined
-     */
-    L.isUndefined = function(o) {
-        return typeof o === 'undefined';
-    };
-    
-    /**
-     * Returns a string without any leading or trailing whitespace.  If 
-     * the input is not a string, the input will be returned untouched.
-     * @method trim
-     * @static
-     * @param s {string} the string to trim
-     * @return {string} the trimmed string
-     */
-    L.trim = function(s){
-        try {
-            return s.replace(/^\s+|\s+$/g, "");
-        } catch(e) {
-            return s;
-        }
-    };
-
-    /**
-     * A convenience method for detecting a legitimate non-null value.
-     * Returns false for null/undefined/NaN, true for other values, 
-     * including 0/false/''
-     * @method isValue
-     * @static
-     * @param o The item to test
-     * @return {boolean} true if it is not null/undefined/NaN || false
-     */
-    L.isValue = function(o) {
-// return (o || o === false || o === 0 || o === ''); // Infinity fails
-return (L.isObject(o) || L.isString(o) || L.isNumber(o) || L.isBoolean(o));
-    };
-
-}, "3.0.0pr1");
-
-
-/*
- * Array utilities
- * @module yui
- * @submodule array
- */
-
-/**
- * YUI core
- * @module yui
- */
-
-YUI.add("array", function(Y) {
-
-    var L = Y.Lang, Native = Array.prototype;
-
-    /**
-     * Adds the following array utilities to the YUI instance
-     * @class YUI~array
-     */
-
-    /** 
-     * Y.Array(o) returns an array:
-     * - Arrays are return unmodified unless the start position is specified.
-     * - "Array-like" collections (@see Array.test) are converted to arrays
-     * - For everything else, a new array is created with the input as the sole item
-     * - The start position is used if the input is or is like an array to return
-     *   a subset of the collection.
-     *
-     *   @TODO this will not automatically convert elements that are also collections
-     *   such as forms and selects.  Passing true as the third param will
-     *   force a conversion.
-     *
-     * @method Array
-     * @static
-     *   @param o the item to arrayify
-     *   @param i {int} if an array or array-like, this is the start index
-     *   @param al {boolean} if true, it forces the array-like fork.  This
-     *   can be used to avoid multiple array.test calls.
-     *   @return {Array} the resulting array
-     */
-    Y.Array = function(o, i, al) {
-        var t = (al) ? 2 : Y.Array.test(o);
-        switch (t) {
-            case 1:
-                return (i) ? o.slice(o, i) : o;
-            case 2:
-                return Native.slice.call(o, i || 0);
-            default:
-                return [o];
-        }
-    };
-
-    var A = Y.Array;
-    
-    /** 
-     * Evaluates the input to determine if it is an array, array-like, or 
-     * something else.  This is used to handle the arguments collection 
-     * available within functions, and HTMLElement collections
-     *
-     * @method Array.test
-     * @static
-     *
-     * @todo current implementation (intenionally) will not implicitly 
-     * handle html elements that are array-like (forms, selects, etc).  
-     *
-     * @return {int} a number indicating the results:
-     * 0: Not an array or an array-like collection
-     * 1: A real array. 
-     * 2: array-like collection.
-     */
-    A.test = function(o) {
-        var r = 0;
-        if (L.isObject(o, true)) {
-            if (L.isArray(o)) {
-                r = 1; 
-            } else {
-                try {
-                    // indexed, but no tagName (element) or alert (window)
-                    if ("length" in o && !("tagName" in o)  && !("alert" in o)) {
-                        r = 2;
-                    }
-                        
-                } catch(ex) {}
-            }
-        }
-        return r;
-    };
-
-    /**
-     * Executes the supplied function on each item in the array.
-     * @method Array.each
-     * @static
-     * @return {YUI} the YUI instance
-     */
-    A.each = (Native.forEach) ?
-        function (a, f, o) { 
-            Native.forEach.call(a, f, o || Y);
-            return Y;
-        } :
-        function (a, f, o) { 
-            var l = a.length, i;
-            for (i = 0; i < l; i=i+1) {
-                f.call(o || Y, a[i], i, a);
-            }
-            return Y;
-        };
-
-    /**
-     * Returns an object using the first array as keys, and
-     * the second as values.  If the second array is not
-     * provided the value is set to true for each.
-     * @method Array.hash
-     * @static
-     * @param k {Array} keyset
-     * @param v {Array} optional valueset
-     * @return {object} the hash
-     */
-    A.hash = function(k, v) {
-        var o = {}, l = k.length, vl = v && v.length, i;
-        for (i=0; i<l; i=i+1) {
-            o[k[i]] = (vl && vl > i) ? v[i] : true;
-        }
-
-        return o;
-    };
-
-
-    /**
-     * Returns the index of the first item in the array
-     * that contains the specified value, -1 if the
-     * value isn't found.
-     * @TODO use native method if avail
-     * @method Array.indexOf
-     * @static
-     * @param a {Array} the array to search
-     * @param val the value to search for
-     * @return {int} the index of the item that contains the value or -1
-     */
-    A.indexOf = function(a, val) {
-        for (var i=0; i<a.length; i=i+1) {
-            if (a[i] === val) {
-                return i;
-            }
-        }
-
-        return -1;
-    };
-
-}, "3.0.0pr1");
-/*
- * YUI core utilities
- * @module yui
- * @submodule core
- */
-// requires lang
-YUI.add("core", function(Y) {
-
-    var L = Y.Lang, 
-    A = Y.Array,
-    OP = Object.prototype, 
-    IEF = ["toString", "valueOf"], 
-    PROTO = 'prototype',
-
-    /**
-     * IE will not enumerate native functions in a derived object even if the
-     * function was overridden.  This is a workaround for specific functions 
-     * we care about on the Object prototype. 
-     * @property _iefix
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param w a whitelist object (the keys are the valid items to reference)
-     * @private
-     * @for YUI
-     */
-    _iefix = (Y.UA && Y.UA.ie) ?
-        function(r, s, w) {
-            for (var i=0, a=IEF; i<a.length; i=i+1) {
-                var n = a[i], f = s[n];
-                if (L.isFunction(f) && f != OP[n]) {
-                    if (!w || (n in w)) {
-                        r[n]=f;
-                    }
-                }
-            }
-        } : function() {};
-   
-
-    /**
-     * Returns a new object containing all of the properties of
-     * all the supplied objects.  The properties from later objects
-     * will overwrite those in earlier objects.  Passing in a
-     * single object will create a shallow copy of it.  For a deep
-     * copy, use clone.
-     * @method merge
-     * @param arguments {Object*} the objects to merge
-     * @return {object} the new merged object
-     */
-    Y.merge = function() {
-        // var o={}, a=arguments;
-        // for (var i=0, l=a.length; i<l; i=i+1) {
-        //var a=arguments, o=Y.Object(a[0]);
-        var a=arguments, o={};
-        for (var i=0, l=a.length; i<l; i=i+1) {
-            Y.mix(o, a[i], true);
-        }
-        return o;
-    };
-       
-    /**
-     * Applies the supplier's properties to the receiver.  By default
-     * all prototype and static propertes on the supplier are applied
-     * to the corresponding spot on the receiver.  By default all
-     * properties are applied, and a property that is already on the
-     * reciever will not be overwritten.  The default behavior can
-     * be modified by supplying the appropriate parameters.
-     *
-     * @TODO add constants for the modes
-     *
-     * @method mix
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param ov {boolean} if true, properties already on the receiver
-     * will be overwritten if found on the supplier.
-     * @param wl {string[]} a whitelist.  If supplied, only properties in 
-     * this list will be applied to the receiver.
-     * @param {int} mode what should be copies, and to where
-     *        default(0): object to object
-     *        1: prototype to prototype (old augment)
-     *        2: prototype to prototype and object props (new augment)
-     *        3: prototype to object
-     *        4: object to prototype
-     * @param merge {boolean} merge objects instead of overwriting/ignoring
-     * Used by Y.aggregate
-     * @return {object} the augmented object
-     * @TODO review for PR2
-     */
-    Y.mix = function(r, s, ov, wl, mode, merge) {
-
-        if (!s||!r) {
-            return Y;
-        }
-
-        var w = (wl && wl.length) ? A.hash(wl) : null, m = merge,
-
-            f = function(fr, fs, proto, iwl) {
-
-                var arr = m && L.isArray(fr);
-
-                for (var i in fs) { 
-
-                    // We never want to overwrite the prototype
-                    // if (PROTO === i) {
-                    if (PROTO === i || '_yuid' === i) {
-                        continue;
-                    }
-
-                    // Y.log('i: ' + i + ", " + fs[i]);
-                    // @TODO deal with the hasownprop issue
-
-                    // check white list if it was supplied
-                    if (!w || iwl || (i in w)) {
-                        // if the receiver has this property, it is an object,
-                        // and merge is specified, merge the two objects.
-                        if (m && L.isObject(fr[i], true)) {
-                            // console.log('aggregate RECURSE: ' + i);
-                            // @TODO recursive or no?
-                            // Y.mix(fr[i], fs[i]); // not recursive
-                            f(fr[i], fs[i], proto, true); // recursive
-                        // otherwise apply the property only if overwrite
-                        // is specified or the receiver doesn't have one.
-                        // @TODO make sure the 'arr' check isn't desructive
-                        } else if (!arr && (ov || !(i in fr))) {
-                            // console.log('hash: ' + i);
-                            fr[i] = fs[i];
-                        // if merge is specified and the receiver is an array,
-                        // append the array item
-                        } else if (arr) {
-                            // console.log('array: ' + i);
-                            // @TODO probably will need to remove dups
-                            fr.push(fs[i]);
-                        }
-                    }
-                }
-
-                _iefix(fr, fs, w);
-            };
-
-        var rp = r.prototype, sp = s.prototype;
-
-        switch (mode) {
-            case 1: // proto to proto
-                f(rp, sp, true);
-                break;
-            case 2: // object to object and proto to proto
-                f(r, s);
-                f(rp, sp, true);
-                break;
-            case 3: // proto to static
-                f(r, sp, true);
-                break;
-            case 4: // static to proto
-                f(rp, s);
-                break;
-            default:  // object to object
-                f(r, s);
-        }
-
-        return r;
-    };
-
-    
-
-}, "3.0.0pr1");
-/*
- * YUI object utilities
- * @module yui
- * @submodule object
- */
-YUI.add("object", function(Y) {
-
-    /**
-     * Adds the following Object utilities to the YUI instance
-     * @class YUI~object
-     */
-
-    /**
-     * Y.Object(o) returns a new object based upon the supplied object.  
-     * @method Object
-     * @static
-     * @param o the supplier object
-     * @return {object} the new object
-     */
-    Y.Object = function(o) {
-        var F = function() {};
-        F.prototype = o;
-        return new F();
-    }; 
-
-    var O = Y.Object, L = Y.Lang;
-
-    /**
-     * Determines whether or not the property was added
-     * to the object instance.  Returns false if the property is not present
-     * in the object, or was inherited from the prototype.
-     *
-     * @deprecated Safari 1.x support has been removed, so this is simply a 
-     * wrapper for the native implementation.  Use the native implementation
-     * directly instead.
-     *
-     * @TODO Remove in PR2
-     *
-     * @method Object.owns
-     * @static
-     * @param o {any} The object being testing
-     * @param p {string} the property to look for
-     * @return {boolean} true if the object has the property on the instance
-     */
-    O.owns = function(o, p) {
-        return (o && o.hasOwnProperty) ? o.hasOwnProperty(p) : false;
-    };
-
-    /**
-     * Returns an array containing the object's keys
-     * @method Object.keys
-     * @static
-     * @param o an object
-     * @return {string[]} the keys
-     */
-    O.keys = function(o) {
-        var a=[], i;
-        for (i in o) {
-            if (o.hasOwnProperty(i)) {
-                a.push(i);
-            }
-        }
-
-        return a;
-    };
-
-    /**
-     * Executes a function on each item. The function
-     * receives the value, the key, and the object
-     * as paramters (in that order).
-     * @method Object.each
-     * @static
-     * @param o the object to iterate
-     * @param f {function} the function to execute
-     * @param c the execution context
-     * @param proto {boolean} include proto
-     * @return {YUI} the YUI instance
-     */
-    O.each = function (o, f, c, proto) {
-        var s = c || Y;
-
-        for (var i in o) {
-            if (proto || o.hasOwnProperty(i)) {
-                f.call(s, o[i], i, o);
-            }
-        }
-        return Y;
-    };
-}, "3.0.0pr1");
-/*
- * YUI user agent detection
- * @module yui
- * @submodule ua
- */
-YUI.add("ua", function(Y) {
-
-    /**
-     * Browser/platform detection
-     * @class UA
-     * @static
-     */
-    Y.UA = function() {
-
-        var o={
-
-            /**
-             * Internet Explorer version number or 0.  Example: 6
-             * @property ie
-             * @type float
-             * @static
-             */
-            ie:0,
-
-            /**
-             * Opera version number or 0.  Example: 9.2
-             * @property opera
-             * @type float
-             * @static
-             */
-            opera:0,
-
-            /**
-             * Gecko engine revision number.  Will evaluate to 1 if Gecko 
-             * is detected but the revision could not be found. Other browsers
-             * will be 0.  Example: 1.8
-             * <pre>
-             * Firefox 1.0.0.4: 1.7.8   <-- Reports 1.7
-             * Firefox 1.5.0.9: 1.8.0.9 <-- Reports 1.8
-             * Firefox 2.0.0.3: 1.8.1.3 <-- Reports 1.8
-             * Firefox 3 alpha: 1.9a4   <-- Reports 1.9
-             * </pre>
-             * @property gecko
-             * @type float
-             * @static
-             */
-            gecko:0,
-
-            /**
-             * AppleWebKit version.  KHTML browsers that are not WebKit browsers 
-             * will evaluate to 1, other browsers 0.  Example: 418.9.1
-             * <pre>
-             * Safari 1.3.2 (312.6): 312.8.1 <-- Reports 312.8 -- currently the 
-             *                                   latest available for Mac OSX 10.3.
-             * Safari 2.0.2:         416     <-- hasOwnProperty introduced
-             * Safari 2.0.4:         418     <-- preventDefault fixed
-             * Safari 2.0.4 (419.3): 418.9.1 <-- One version of Safari may run
-             *                                   different versions of webkit
-             * Safari 2.0.4 (419.3): 419     <-- Tiger installations that have been
-             *                                   updated, but not updated
-             *                                   to the latest patch.
-             * Webkit 212 nightly:   522+    <-- Safari 3.0 precursor (with native SVG
-             *                                   and many major issues fixed).
-             * Safari 3.0.4 (523.12) 523.12  <-- First Tiger release - automatic update
-             *                                   from 2.x via the 10.4.11 OS patch
-             *                                   
-             * </pre>
-             * http://developer.apple.com/internet/safari/uamatrix.html
-             * @property webkit
-             * @type float
-             * @static
-             */
-            webkit:0,
-
-            /**
-             * The mobile property will be set to a string containing any relevant
-             * user agent information when a modern mobile browser is detected.
-             * Currently limited to Safari on the iPhone/iPod Touch, Nokia N-series
-             * devices with the WebKit-based browser, and Opera Mini.  
-             * @property mobile 
-             * @type string
-             * @static
-             */
-            mobile: null 
-        };
-
-        var ua=navigator.userAgent, m;
-
-        // Modern KHTML browsers should qualify as Safari X-Grade
-        if ((/KHTML/).test(ua)) {
-            o.webkit=1;
-        }
-        // Modern WebKit browsers are at least X-Grade
-        m=ua.match(/AppleWebKit\/([^\s]*)/);
-        if (m&&m[1]) {
-            o.webkit=parseFloat(m[1]);
-
-            // Mobile browser check
-            if (/ Mobile\//.test(ua)) {
-                o.mobile = "Apple"; // iPhone or iPod Touch
-            } else {
-                m=ua.match(/NokiaN[^\/]*/);
-                if (m) {
-                    o.mobile = m[0]; // Nokia N-series, ex: NokiaN95
-                }
-            }
-
-        }
-
-        if (!o.webkit) { // not webkit
-            // @todo check Opera/8.01 (J2ME/MIDP; Opera Mini/2.0.4509/1316; fi; U; ssr)
-            m=ua.match(/Opera[\s\/]([^\s]*)/);
-            if (m&&m[1]) {
-                o.opera=parseFloat(m[1]);
-                m=ua.match(/Opera Mini[^;]*/);
-                if (m) {
-                    o.mobile = m[0]; // ex: Opera Mini/2.0.4509/1316
-                }
-            } else { // not opera or webkit
-                m=ua.match(/MSIE\s([^;]*)/);
-                if (m&&m[1]) {
-                    o.ie=parseFloat(m[1]);
-                } else { // not opera, webkit, or ie
-                    m=ua.match(/Gecko\/([^\s]*)/);
-                    if (m) {
-                        o.gecko=1; // Gecko detected, look for revision
-                        m=ua.match(/rv:([^\s\)]*)/);
-                        if (m&&m[1]) {
-                            o.gecko=parseFloat(m[1]);
-                        }
-                    }
-                }
-            }
-        }
-        
-        return o;
-    }();
-}, "3.0.0pr1");
-/*
- * YUI setTimeout/setInterval abstraction
- * @module yui
- * @submodule later
- */
-YUI.add("later", function(Y) {
-
-    var L = Y.Lang;
-
-    /**
-     * Executes the supplied function in the context of the supplied 
-     * object 'when' milliseconds later.  Executes the function a 
-     * single time unless periodic is set to true.
-     * @method later
-     * @for YUI
-     * @param when {int} the number of milliseconds to wait until the fn 
-     * is executed.
-     * @param o the context object.
-     * @param fn {Function|String} the function to execute or the name of 
-     * the method in the 'o' object to execute.
-     * @param data [Array] data that is provided to the function.  This accepts
-     * either a single item or an array.  If an array is provided, the
-     * function is executed with one parameter for each array item.  If
-     * you need to pass a single array parameter, it needs to be wrapped in
-     * an array [myarray].
-     * @param periodic {boolean} if true, executes continuously at supplied 
-     * interval until canceled.
-     * @return {object} a timer object. Call the cancel() method on this object to 
-     * stop the timer.
-     */
-    var later = function(when, o, fn, data, periodic) {
-        when = when || 0; 
-        o = o || {};
-        var m=fn, d=data, f, r;
-
-        if (L.isString(fn)) {
-            m = o[fn];
-        }
-
-        if (!m) {
-            Y.fail("method undefined");
-        }
-
-        if (!L.isArray(d)) {
-            d = [data];
-        }
-
-        f = function() {
-            m.apply(o, d);
-        };
-
-        r = (periodic) ? setInterval(f, when) : setTimeout(f, when);
-
-        return {
-            interval: periodic,
-            cancel: function() {
-                if (this.interval) {
-                    clearInterval(r);
-                } else {
-                    clearTimeout(r);
-                }
-            }
-        };
-    };
-
-    Y.later = later;
-    L.later = later;
-
-}, "3.0.0pr1");
-/*
- * YUI initializer
- * @module yui
- * @submodule init
- */
-(function() {
-
-    var min = ['yui-base', 'log', 'lang', 'array', 'core'], core,
-
-    M = function(Y) {
-
-        var C = Y.config;
-
-        // apply the minimal required functionality
-        Y.use.apply(Y, min);
-
-        Y.log(Y.id + ' initialized', 'info', 'yui');
-
-        if (C.core) {
-
-            core = C.core;
-
-        } else {
-
-            core = ["object", "ua", "later"];
-
-            core.push(
-              "get", 
-              "loader");
-        }
-
-        Y.use.apply(Y, core);
-
-    };
-     
-    YUI.add("yui", M, "3.0.0pr1");
-    
-    // {
-        // the following will be bound automatically when this code is loaded
-      //   use: core
-    // });
-
-})();

=== removed file 'loggerhead/static/javascript/yui/build/yui-base/yui-base-min.js'
--- loggerhead/static/javascript/yui/build/yui-base/yui-base-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/yui-base/yui-base-min.js	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-(function(){var D={},B={"io.xdrReady":1,"io.start":1,"io.success":1,"io.failure":1,"io.abort":1};if(typeof YUI==="undefined"||!YUI){YUI=function(G){var F=this;if(F==window){return new YUI(G);}else{F._init(G);F._setup();return F;}};}YUI.prototype={_init:function(G){G=G||{};var F=(G.win)?(G.win.contentWindow):G.win||window;G.win=F;G.doc=F.document;G.debug=("debug" in G)?G.debug:true;G.useConsole=("useConsole" in G)?G.useConsole:true;this.config=G;this.Env={mods:{},_idx:0,_pre:"yuid",_used:{},_attached:{},_yidx:0,_uidx:0};if(YUI.Env){this.Env._yidx=++YUI.Env._idx;this.id=this.stamp(this);D[this.id]=this;}this.constructor=YUI;},_setup:function(F){this.use("yui");this.config=this.merge(this.config);},applyTo:function(L,K,H){if(!(K in B)){this.fail(K+": applyTo not allowed");return null;}var G=D[L];if(G){var J=K.split("."),F=G;for(var I=0;I<J.length;I=I+1){F=F[J[I]];if(!F){this.fail("applyTo not found: "+K);}}return F.apply(G,H);}return null;},add:function(H,J,G,I){var F={name:H,fn:J,version:G,details:I||{}};YUI.Env.mods[H]=F;return this;},_attach:function(G,K){var Q=YUI.Env.mods,H=this.Env._attached;for(var N=0,L=G.length;N<L;N=N+1){var I=G[N],J=Q[I],M;if(!H[I]&&J){H[I]=true;var O=J.details,P=O.requires,F=O.use;if(P){this._attach(this.Array(P));}if(J.fn){J.fn(this);}if(F){this._attach(this.Array(F));}}}},use:function(){var G=this,P=Array.prototype.slice.call(arguments,0),S=YUI.Env.mods,T=G.Env._used,Q,K=P[0],I=false,R=P[P.length-1];if(typeof R==="function"){P.pop();G.Env._callback=R;}else{R=null;}if(K==="*"){P=[];for(var L in S){if(S.hasOwnProperty(L)){P.push(L);}}return G.use.apply(G,P);}if(G.Loader){I=true;Q=new G.Loader(G.config);Q.require(P);Q.ignoreRegistered=true;Q.calculate();P=Q.sorted;}var N=[],F=[],O=function(X){if(T[X]){return ;}var U=S[X],W,Y,V;if(U){T[X]=true;Y=U.details.requires;V=U.details.use;}else{N.push(X);}if(Y){if(G.Lang.isString(Y)){O(Y);}else{for(W=0;W<Y.length;W=W+1){O(Y[W]);}}}F.push(X);};for(var M=0,J=P.length;M<J;M=M+1){O(P[M]);}var H=function(V){V=V||{success:true,msg:"not dynamic"};if(G.Env._callback){var U=G.Env._callback;G.Env._callback=null;U(G,V);}if(G.fire){G.fire("yui:load",G,V);}};if(G.Loader&&N.length){Q=new G.Loader(G.config);Q.onSuccess=H;Q.onFailure=H;Q.onTimeout=H;Q.attaching=P;Q.require(N);Q.insert();}else{G._attach(F);H();}return G;},namespace:function(){var F=arguments,J=null,H,G,I;for(H=0;H<F.length;H=H+1){I=F[H].split(".");J=this;for(G=(I[0]=="YUI")?1:0;G<I.length;G=G+1){J[I[G]]=J[I[G]]||{};J=J[I[G]];}}return J;},log:function(){},fail:function(H,G){var F=this;F.log(H,"error");if(this.config.throwFail){throw G||new Error(H);}return this;},guid:function(H){var G=this.Env,F=(H)||G._pre;return F+"-"+G._yidx+"-"+G._uidx++;},stamp:function(G){if(!G){return G;}var F=(typeof G==="string")?G:G._yuid;if(!F){F=this.guid();G._yuid=F;}return F;}};var E=YUI,C=E.prototype,A;for(A in C){if(true){E[A]=C[A];}}E._init();})();YUI.add("yui-base",null,"3.0.0pr1");YUI.add("log",function(A){A.log=function(D,J,B){var C=A,I=C.config,K=C.Env._eventstack,G=(K&&K.logging);if(I.debug&&!G){if(B){var L=I.logExclude,F=I.logInclude;if(F&&!(B in F)){G=true;}else{if(L&&(B in L)){G=true;}}}if(!G){if(I.useConsole&&typeof console!="undefined"){var H=(J&&console[J])?J:"log",E=(B)?B+": "+D:D;console[H](E);}if(C.fire&&!G){C.fire("yui:log",D,J,B);}}}return C;};},"3.0.0pr1");YUI.add("lang",function(D){D.Lang=D.Lang||{};var A=D.Lang,C="splice",B="length";A.isArray=function(E){if(E){return(E[C]&&A.isNumber(E[B]));}return false;};A.isBoolean=function(E){return typeof E==="boolean";};A.isFunction=function(E){return typeof E==="function";};A.isDate=function(E){return E instanceof Date;};A.isNull=function(E){return E===null;};A.isNumber=function(E){return typeof E==="number"&&isFinite(E);};A.isObject=function(F,E){return(F&&(typeof F==="object"||(!E&&A.isFunction(F))))||false;};A.isString=function(E){return typeof E==="string";};A.isUndefined=function(E){return typeof E==="undefined";};A.trim=function(E){try{return E.replace(/^\s+|\s+$/g,"");}catch(F){return E;}};A.isValue=function(E){return(A.isObject(E)||A.isString(E)||A.isNumber(E)||A.isBoolean(E));};},"3.0.0pr1");YUI.add("array",function(E){var C=E.Lang,D=Array.prototype;E.Array=function(H,F,G){var A=(G)?2:E.Array.test(H);switch(A){case 1:return(F)?H.slice(H,F):H;case 2:return D.slice.call(H,F||0);default:return[H];}};var B=E.Array;B.test=function(G){var F=0;if(C.isObject(G,true)){if(C.isArray(G)){F=1;}else{try{if("length" in G&&!("tagName" in G)&&!("alert" in G)){F=2;}}catch(A){}}}return F;};B.each=(D.forEach)?function(A,F,G){D.forEach.call(A,F,G||E);return E;}:function(F,H,I){var A=F.length,G;for(G=0;G<A;G=G+1){H.call(I||E,F[G],G,F);}return E;};B.hash=function(G,F){var J={},A=G.length,I=F&&F.length,H;for(H=0;H<A;H=H+1){J[G[H]]=(I&&I>H)?F[H]:true;}return J;};B.indexOf=function(A,G){for(var F=0;F<A.length;F=F+1){if(A[F]===G){return F;}}return -1;};},"3.0.0pr1");YUI.add("core",function(H){var D=H.Lang,C=H.Array,B=Object.prototype,G=["toString","valueOf"],F="prototype",E=(H.UA&&H.UA.ie)?function(L,K,I){for(var J=0,A=G;J<A.length;J=J+1){var N=A[J],M=K[N];if(D.isFunction(M)&&M!=B[N]){if(!I||(N in I)){L[N]=M;}}}}:function(){};H.merge=function(){var I=arguments,K={};for(var J=0,A=I.length;J<A;J=J+1){H.mix(K,I[J],true);}return K;};H.mix=function(A,R,J,Q,M,O){if(!R||!A){return H;}var P=(Q&&Q.length)?C.hash(Q):null,K=O,N=function(U,T,X,W){var S=K&&D.isArray(U);for(var V in T){if(F===V||"_yuid"===V){continue;}if(!P||W||(V in P)){if(K&&D.isObject(U[V],true)){N(U[V],T[V],X,true);}else{if(!S&&(J||!(V in U))){U[V]=T[V];}else{if(S){U.push(T[V]);}}}}}E(U,T,P);};var L=A.prototype,I=R.prototype;switch(M){case 1:N(L,I,true);break;case 2:N(A,R);N(L,I,true);break;case 3:N(A,I,true);break;case 4:N(L,R);break;default:N(A,R);}return A;};},"3.0.0pr1");YUI.add("object",function(C){C.Object=function(E){var D=function(){};D.prototype=E;return new D();};var B=C.Object,A=C.Lang;B.owns=function(E,D){return(E&&E.hasOwnProperty)?E.hasOwnProperty(D):false;};B.keys=function(F){var D=[],E;
-for(E in F){if(F.hasOwnProperty(E)){D.push(E);}}return D;};B.each=function(H,G,I,F){var E=I||C;for(var D in H){if(F||H.hasOwnProperty(D)){G.call(E,H[D],D,H);}}return C;};},"3.0.0pr1");YUI.add("ua",function(A){A.UA=function(){var D={ie:0,opera:0,gecko:0,webkit:0,mobile:null};var C=navigator.userAgent,B;if((/KHTML/).test(C)){D.webkit=1;}B=C.match(/AppleWebKit\/([^\s]*)/);if(B&&B[1]){D.webkit=parseFloat(B[1]);if(/ Mobile\//.test(C)){D.mobile="Apple";}else{B=C.match(/NokiaN[^\/]*/);if(B){D.mobile=B[0];}}}if(!D.webkit){B=C.match(/Opera[\s\/]([^\s]*)/);if(B&&B[1]){D.opera=parseFloat(B[1]);B=C.match(/Opera Mini[^;]*/);if(B){D.mobile=B[0];}}else{B=C.match(/MSIE\s([^;]*)/);if(B&&B[1]){D.ie=parseFloat(B[1]);}else{B=C.match(/Gecko\/([^\s]*)/);if(B){D.gecko=1;B=C.match(/rv:([^\s\)]*)/);if(B&&B[1]){D.gecko=parseFloat(B[1]);}}}}}return D;}();},"3.0.0pr1");YUI.add("later",function(C){var A=C.Lang;var B=function(K,E,L,G,H){K=K||0;E=E||{};var F=L,J=G,I,D;if(A.isString(L)){F=E[L];}if(!F){C.fail("method undefined");}if(!A.isArray(J)){J=[G];}I=function(){F.apply(E,J);};D=(H)?setInterval(I,K):setTimeout(I,K);return{interval:H,cancel:function(){if(this.interval){clearInterval(D);}else{clearTimeout(D);}}};};C.later=B;A.later=B;},"3.0.0pr1");(function(){var B=["yui-base","log","lang","array","core"],A,C=function(E){var D=E.config;E.use.apply(E,B);if(D.core){A=D.core;}else{A=["object","ua","later"];A.push("get","loader");}E.use.apply(E,A);};YUI.add("yui",C,"3.0.0pr1");})();
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/yui-base/yui-base.js'
--- loggerhead/static/javascript/yui/build/yui-base/yui-base.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/yui-base/yui-base.js	1970-01-01 00:00:00 +0000
@@ -1,1457 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * YUI core
- * @module yui
- */
-(function() {
-
-    var _instances = {},
-
-// @TODO: this needs to be created at build time from module metadata
-
-        _APPLY_TO_WHITE_LIST = {
-            'io.xdrReady': 1,
-            'io.start': 1,
-            'io.success': 1,
-            'io.failure': 1,
-            'io.abort': 1
-        };
-        
-
-if (typeof YUI === 'undefined' || !YUI) {
-
-    /**
-     * The YUI global namespace object.  If YUI is already defined, the
-     * existing YUI object will not be overwritten so that defined
-     * namespaces are preserved.  
-     *
-     * @class YUI
-     * @constructor
-     * @global
-     * @uses Event.Target
-     * @param o Optional configuration object.  Options:
-     * <ul>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>Global:</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>debug:
-     *  Turn debug statements on or off</li>
-     *  <li>useConsole:
-     *  Log to the browser console if debug is on and the console is available</li>
-     *  <li>logInclude:
-     *  A hash of log sources that should be logged.  If specified, only log messages from these sources will be logged.
-     *  
-     *  </li>
-     *  <li>logExclude:
-     *  A hash of log sources that should be not be logged.  If specified, all sources are logged if not on this list.</li>
-     *  <li>throwFail:
-     *  If throwFail is set, Y.fail will generate or re-throw a JS error.  Otherwise the failure is logged.
-     *  <li>win:
-     *  The target window/frame</li>
-     *  <li>core:
-     *  A list of modules that defines the YUI core (overrides the default)</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>For event and get:</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>pollInterval:
-     *  The default poll interval</li>
-     *  <li>-------------------------------------------------------------------------</li>
-     *  <li>For loader:</li>
-     *  <li>-------------------------------------------------------------------------</li>
-     *  <li>base:
-     *  The base dir</li>
-     *  <li>secureBase:
-     *  The secure base dir (not implemented)</li>
-     *  <li>comboBase:
-     *  The YUI combo service base dir. Ex: http://yui.yahooapis.com/combo?</li>
-     *  <li>root:
-     *  The root path to prepend to module names for the combo service. Ex: 2.5.2/build/</li>
-     *  <li>filter:
-     *  
-     * A filter to apply to result urls.  This filter will modify the default
-     * path for all modules.  The default path for the YUI library is the
-     * minified version of the files (e.g., event-min.js).  The filter property
-     * can be a predefined filter or a custom filter.  The valid predefined 
-     * filters are:
-     * <dl>
-     *  <dt>DEBUG</dt>
-     *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
-     *      This option will automatically include the logger widget</dd>
-     *  <dt>RAW</dt>
-     *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
-     * </dl>
-     * You can also define a custom filter, which must be an object literal 
-     * containing a search expression and a replace string:
-     * <pre>
-     *  myFilter: &#123; 
-     *      'searchExp': "-min\\.js", 
-     *      'replaceStr': "-debug.js"
-     *  &#125;
-     * </pre>
-     *
-     *  </li>
-     *  <li>combine:
-     *  Use the YUI combo service to reduce the number of http connections required to load your dependencies</li>
-     *  <li>ignore:
-     *  A list of modules that should never be dynamically loaded</li>
-     *  <li>force:
-     *  A list of modules that should always be loaded when required, even if already present on the page</li>
-     *  <li>insertBefore:
-     *  Node or id for a node that should be used as the insertion point for new nodes</li>
-     *  <li>charset:
-     *  charset for dynamic nodes</li>
-     *  <li>timeout:
-     *  number of milliseconds before a timeout occurs when dynamically loading nodes.  in not set, there is no timeout</li>
-     *  <li>context:
-     *  execution context for all callbacks</li>
-     *  <li>onSuccess:
-     *  callback for the 'success' event</li>
-     *  <li>onFailure:
-     *  callback for the 'failure' event</li>
-     *  <li>onTimeout:
-     *  callback for the 'timeout' event</li>
-     *  <li>onProgress:
-     *  callback executed each time a script or css file is loaded</li>
-     *  <li>modules:
-     *  A list of module definitions.  See Loader.addModule for the supported module metadata</li>
-     * </ul>
-     */
-
-    /*global YUI*/
-    YUI = function(o) {
-        var Y = this;
-        // Allow var yui = YUI() instead of var yui = new YUI()
-        if (Y == window) {
-            return new YUI(o);
-        } else {
-            // set up the core environment
-            Y._init(o);
-
-            // bind the specified additional modules for this instance
-            Y._setup();
-
-            return Y;
-        }
-    };
-}
-
-// The prototype contains the functions that are required to allow the external
-// modules to be registered and for the instance to be initialized.
-YUI.prototype = {
-
-    /**
-     * Initialize this YUI instance
-     * @param o config options
-     * @private
-     */
-    _init: function(o) {
-        
-
-        o = o || {};
-
-        // find targeted window and @TODO create facades
-        var w = (o.win) ? (o.win.contentWindow) : o.win  || window;
-        o.win = w;
-        o.doc = w.document;
-        o.debug = ('debug' in o) ? o.debug : true;
-        o.useConsole = ('useConsole' in o) ? o.useConsole: true;
-
-        // @TODO default throwFail to true in PR2
-        // o.throwFail = ('throwFail' in o) ? o.debug : true;
-    
-        // add a reference to o for anything that needs it
-        // before _setup is called.
-        this.config = o;
-
-        this.Env = {
-            // @todo expand the new module metadata
-            mods: {},
-            _idx: 0,
-            _pre: 'yuid',
-            _used: {},
-            _attached: {},
-            _yidx: 0,
-            _uidx: 0
-        };
-
-        if (YUI.Env) {
-            this.Env._yidx = ++YUI.Env._idx;
-            this.id = this.stamp(this);
-            _instances[this.id] = this;
-        }
-
-        this.constructor = YUI;
-
-    },
-    
-    /**
-     * Finishes the instance setup. Attaches whatever modules were defined
-     * when the yui modules was registered.
-     * @method _setup
-     * @private
-     */
-    _setup: function(o) {
-        this.use("yui");
-        // @TODO eval the need to copy the config
-        this.config = this.merge(this.config);
-    },
-
-    /**
-     * Executes a method on a YUI instance with
-     * the specified id if the specified method is whitelisted.
-     * @method applyTo
-     * @param id {string} the YUI instance id
-     * @param method {string} the name of the method to exectute.
-     * Ex: 'Object.keys'
-     * @param args {Array} the arguments to apply to the method
-     * @return {object} the return value from the applied method or null
-     */
-    applyTo: function(id, method, args) {
-
-        if (!(method in _APPLY_TO_WHITE_LIST)) {
-            this.fail(method + ': applyTo not allowed');
-            return null;
-        }
-
-        var instance = _instances[id];
-
-        if (instance) {
-
-            var nest = method.split('.'), m = instance;
-
-            for (var i=0; i<nest.length; i=i+1) {
-
-                m = m[nest[i]];
-
-                if (!m) {
-                    this.fail('applyTo not found: ' + method);
-                }
-            }
-
-            return m.apply(instance, args);
-        }
-
-        return null;
-    }, 
-
-    /**
-     * Register a module
-     * @method add
-     * @param name {string} module name
-     * @param namespace {string} name space for the module
-     * @param fn {Function} entry point into the module that
-     * is used to bind module to the YUI instance
-     * @param version {string} version string
-     * @return {YUI} the YUI instance
-     *
-     * requires   - features that should be present before loading
-     * optional   - optional features that should be present if load optional defined
-     * use  - features that should be attached automatically
-     * skinnable  -
-     * rollup
-     * omit - features that should not be loaded if this module is present
-     */
-    add: function(name, fn, version, details) {
-
-
-        // @todo expand this to include version mapping
-        
-        // @todo allow requires/supersedes
-
-        // @todo may want to restore the build property
-        
-        // @todo fire moduleAvailable event
-        
-        var m = {
-            name: name, 
-            fn: fn,
-            version: version,
-            details: details || {}
-        };
-
-        YUI.Env.mods[name] = m;
-
-        return this; // chain support
-    },
-
-    _attach: function(r, fromLoader) {
-
-        var mods = YUI.Env.mods,
-            attached = this.Env._attached;
-
-        for (var i=0, l=r.length; i<l; i=i+1) {
-            var name = r[i], m = mods[name], mm;
-            if (!attached[name] && m) {
-
-                attached[name] = true;
-
-                var d = m.details, req = d.requires, use = d.use;
-
-                if (req) {
-                    this._attach(this.Array(req));
-                }
-
-
-                if (m.fn) {
-                    m.fn(this);
-                }
-
-                if (use) {
-                    this._attach(this.Array(use));
-                }
-            }
-        }
-
-    },
-
-    /**
-     * Bind a module to a YUI instance
-     * @param modules* {string} 1-n modules to bind (uses arguments array)
-     * @param *callback {function} callback function executed when 
-     * the instance has the required functionality.  If included, it
-     * must be the last parameter.
-     *
-     * @TODO 
-     * Implement versioning?  loader can load different versions?
-     * Should sub-modules/plugins be normal modules, or do
-     * we add syntax for specifying these?
-     *
-     * YUI().use('dragdrop')
-     * YUI().use('dragdrop:2.4.0'); // specific version
-     * YUI().use('dragdrop:2.4.0-'); // at least this version
-     * YUI().use('dragdrop:2.4.0-2.9999.9999'); // version range
-     * YUI().use('*'); // use all available modules
-     * YUI().use('lang+dump+substitute'); // use lang and some plugins
-     * YUI().use('lang+*'); // use lang and all known plugins
-     *
-     *
-     * @return {YUI} the YUI instance
-     */
-    use: function() {
-
-        var Y = this, 
-            a=Array.prototype.slice.call(arguments, 0), 
-            mods = YUI.Env.mods, 
-            used = Y.Env._used,
-            loader, 
-            firstArg = a[0], 
-            dynamic = false,
-            callback = a[a.length-1];
-
-
-        // The last argument supplied to use can be a load complete callback
-        if (typeof callback === 'function') {
-            a.pop();
-            Y.Env._callback = callback;
-        } else {
-            callback = null;
-        }
-
-        // YUI().use('*'); // bind everything available
-        if (firstArg === "*") {
-            a = [];
-            for (var k in mods) {
-                if (mods.hasOwnProperty(k)) {
-                    a.push(k);
-                }
-            }
-
-            return Y.use.apply(Y, a);
-
-        }
-       
-
-        // use loader to optimize and sort the requirements if it
-        // is available.
-        if (Y.Loader) {
-            dynamic = true;
-            loader = new Y.Loader(Y.config);
-            loader.require(a);
-            loader.ignoreRegistered = true;
-            loader.calculate();
-            a = loader.sorted;
-        }
-
-
-        var missing = [], r = [], f = function(name) {
-
-            // only attach a module once
-            if (used[name]) {
-                return;
-            }
-
-            var m = mods[name], j, req, use;
-
-            if (m) {
-                used[name] = true;
-
-                req = m.details.requires;
-                use = m.details.use;
-            } else {
-                missing.push(name);
-            }
-
-            // make sure requirements are attached
-            if (req) {
-                if (Y.Lang.isString(req)) {
-                    f(req);
-                } else {
-                    for (j = 0; j < req.length; j = j + 1) {
-                        f(req[j]);
-                    }
-                }
-            }
-
-            // add this module to full list of things to attach
-            r.push(name);
-
-        };
-
-        // process each requirement and any additional requirements 
-        // the module metadata specifies
-        for (var i=0, l=a.length; i<l; i=i+1) {
-            f(a[i]);
-        }
-
-
-        var onComplete = function(fromLoader) {
-
-
-            fromLoader = fromLoader || {
-                success: true,
-                msg: 'not dynamic'
-            };
-
-            if (Y.Env._callback) {
-
-                var cb = Y.Env._callback;
-                Y.Env._callback = null;
-                cb(Y, fromLoader);
-            }
-
-            if (Y.fire) {
-                Y.fire('yui:load', Y, fromLoader);
-            }
-        };
-
-
-        // dynamic load
-        if (Y.Loader && missing.length) {
-            loader = new Y.Loader(Y.config);
-            loader.onSuccess = onComplete;
-            loader.onFailure = onComplete;
-            loader.onTimeout = onComplete;
-            loader.attaching = a;
-            loader.require(missing);
-            loader.insert();
-        } else {
-            Y._attach(r);
-            onComplete();
-        }
-
-        return Y; // chain support var yui = YUI().use('dragdrop');
-    },
-
-
-    /**
-     * Returns the namespace specified and creates it if it doesn't exist
-     * <pre>
-     * YUI.namespace("property.package");
-     * YUI.namespace("YUI.property.package");
-     * </pre>
-     * Either of the above would create YUI.property, then
-     * YUI.property.package
-     *
-     * Be careful when naming packages. Reserved words may work in some browsers
-     * and not others. For instance, the following will fail in Safari:
-     * <pre>
-     * YUI.namespace("really.long.nested.namespace");
-     * </pre>
-     * This fails because "long" is a future reserved word in ECMAScript
-     *
-     * @method namespace
-     * @param  {string*} arguments 1-n namespaces to create 
-     * @return {object}  A reference to the last namespace object created
-     */
-    namespace: function() {
-        var a=arguments, o=null, i, j, d;
-        for (i=0; i<a.length; i=i+1) {
-            d = a[i].split(".");
-            o = this;
-            for (j=(d[0] == "YUI") ? 1 : 0; j<d.length; j=j+1) {
-                o[d[j]] = o[d[j]] || {};
-                o = o[d[j]];
-            }
-        }
-        return o;
-    },
-
-    // this is replaced if the log module is included
-    log: function() {
-
-    },
-
-    /**
-     * Report an error.  The reporting mechanism is controled by
-     * the 'throwFail' configuration attribute.  If throwFail is
-     * not specified, the message is written to the logger, otherwise
-     * a JS error is thrown
-     * @method fail
-     * @param msg {string} the failure message
-     * @param e {Error} Optional JS error that was caught.  If supplied
-     * and throwFail is specified, this error will be re-thrown.
-     * @return {YUI} this YUI instance
-     */
-    fail: function(msg, e) {
-        var instance = this;
-        instance.log(msg, "error"); // don't scrub this one
-
-        if (this.config.throwFail) {
-            throw e || new Error(msg);
-        }
-
-        return this;
-    },
-
-    /**
-     * Generate an id that is unique among all YUI instances
-     * @method guid
-     * @param pre {string} optional guid prefix
-     * @return {string} the guid
-     */
-    guid: function(pre) {
-        var e = this.Env, p = (pre) || e._pre;
-        return p +'-' + e._yidx + '-' + e._uidx++;
-    },
-
-    /**
-     * Stamps an object with a guid.  If the object already
-     * has one, a new one is not created
-     * @method stamp
-     * @param o The object to stamp
-     * @return {string} The object's guid
-     */
-    stamp: function(o) {
-
-        if (!o) {
-            return o;
-        }
-
-        var uid = (typeof o === 'string') ? o : o._yuid;
-
-        if (!uid) {
-            uid = this.guid();
-            o._yuid = uid;
-        }
-
-        return uid;
-    }
-};
-
-// Give the YUI global the same properties as an instance.
-// This makes it so that the YUI global can be used like the YAHOO
-// global was used prior to 3.x.  More importantly, the YUI global
-// provides global metadata, so env needs to be configured.
-// @TODO review
-
-    var Y = YUI, p = Y.prototype, i;
-
-    // inheritance utilities are not available yet
-    for (i in p) {
-        if (true) { // hasOwnProperty not available yet and not needed
-            Y[i] = p[i];
-        }
-    }
-
-    // set up the environment
-    Y._init();
-
-
-})();
-/**
- * YUI stub
- * @module yui
- * @submodule yui-base
- */
-// This is just a stub to for dependency processing
-YUI.add("yui-base", null, "3.0.0pr1");
-/*
- * YUI console logger
- * @module yui
- * @submodule log
- */
-YUI.add("log", function(instance) {
-
-    /**
-     * If the 'debug' config is true, a 'yui:log' event will be
-     * dispatched, which the logger widget and anything else
-     * can consume.  If the 'useConsole' config is true, it will
-     * write to the browser console if available.
-     *
-     * @method log
-     * @for YUI
-     * @param  {String}  msg  The message to log.
-     * @param  {String}  cat  The log category for the message.  Default
-     *                        categories are "info", "warn", "error", time".
-     *                        Custom categories can be used as well. (opt)
-     * @param  {String}  src  The source of the the message (opt)
-     * @return {YUI}      YUI instance
-     */
-    instance.log = function(msg, cat, src) {
-
-        var Y = instance, c = Y.config, es = Y.Env._eventstack,
-            bail = (es && es.logging);
-
-        // suppress log message if the config is off or the event stack
-        // or the event call stack contains a consumer of the yui:log event
-        if (c.debug && !bail) {
-
-            // apply source filters
-            if (src) {
-
-                var exc = c.logExclude, inc = c.logInclude;
-
-                // console.log('checking src filter: ' + src + ', inc: ' + inc + ', exc: ' + exc);
-
-                if (inc && !(src in inc)) {
-                    // console.log('bail: inc list found, but src is not in list: ' + src);
-                    bail = true;
-                } else if (exc && (src in exc)) {
-                    // console.log('bail: exc list found, and src is in it: ' + src);
-                    bail = true;
-                }
-            }
-
-            if (!bail) {
-
-                if (c.useConsole && typeof console != 'undefined') {
-                        var f = (cat && console[cat]) ? cat : 'log',
-                            m = (src) ? src + ': ' + msg : msg;
-                        console[f](m);
-                }
-
-                if (Y.fire && !bail) {
-                    Y.fire('yui:log', msg, cat, src);
-                }
-            }
-        }
-
-        return Y;
-    };
-
-}, "3.0.0pr1");
-/*
- * YUI lang utils
- * @module yui
- * @submodule lang
- */
-YUI.add("lang", function(Y) {
-
-    /**
-     * Provides the language utilites and extensions used by the library
-     * @class Lang
-     * @static
-     */
-    Y.Lang = Y.Lang || {};
-
-    var L = Y.Lang, SPLICE="splice", LENGTH="length";
-
-    /**
-     * Determines whether or not the provided object is an array.
-     * Testing typeof/instanceof/constructor of arrays across frame 
-     * boundaries isn't possible in Safari unless you have a reference
-     * to the other frame to test against its Array prototype.  To
-     * handle this case, we test well-known array properties instead.
-     * properties.
-     * @TODO can we kill this cross frame hack?
-     * @method isArray
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is an array
-     */
-     L.isArray = function(o) { 
-        if (o) {
-           //return L.isNumber(o.length) && L.isFunction(o.splice);
-           return (o[SPLICE] && L.isNumber(o[LENGTH]));
-        }
-        return false;
-    };
-
-    /**
-     * Determines whether or not the provided object is a boolean
-     * @method isBoolean
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a boolean
-     */
-    L.isBoolean = function(o) {
-        return typeof o === 'boolean';
-    };
-    
-    /**
-     * Determines whether or not the provided object is a function
-     * @method isFunction
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a function
-     */
-    L.isFunction = function(o) {
-        return typeof o === 'function';
-    };
-        
-    /**
-     * Determines whether or not the supplied object is a date instance
-     * @method isDate
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a date
-     */
-    L.isDate = function(o) {
-        return o instanceof Date;
-    };
-
-    /**
-     * Determines whether or not the provided object is null
-     * @method isNull
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is null
-     */
-    L.isNull = function(o) {
-        return o === null;
-    };
-        
-    /**
-     * Determines whether or not the provided object is a legal number
-     * @method isNumber
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a number
-     */
-    L.isNumber = function(o) {
-        return typeof o === 'number' && isFinite(o);
-    };
-      
-    /**
-     * Determines whether or not the provided object is of type object
-     * or function
-     * @method isObject
-     * @static
-     * @param o The object to test
-     * @param failfn {boolean} fail if the input is a function
-     * @return {boolean} true if o is an object
-     */  
-    L.isObject = function(o, failfn) {
-return (o && (typeof o === 'object' || (!failfn && L.isFunction(o)))) || false;
-    };
-        
-    /**
-     * Determines whether or not the provided object is a string
-     * @method isString
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a string
-     */
-    L.isString = function(o) {
-        return typeof o === 'string';
-    };
-        
-    /**
-     * Determines whether or not the provided object is undefined
-     * @method isUndefined
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is undefined
-     */
-    L.isUndefined = function(o) {
-        return typeof o === 'undefined';
-    };
-    
-    /**
-     * Returns a string without any leading or trailing whitespace.  If 
-     * the input is not a string, the input will be returned untouched.
-     * @method trim
-     * @static
-     * @param s {string} the string to trim
-     * @return {string} the trimmed string
-     */
-    L.trim = function(s){
-        try {
-            return s.replace(/^\s+|\s+$/g, "");
-        } catch(e) {
-            return s;
-        }
-    };
-
-    /**
-     * A convenience method for detecting a legitimate non-null value.
-     * Returns false for null/undefined/NaN, true for other values, 
-     * including 0/false/''
-     * @method isValue
-     * @static
-     * @param o The item to test
-     * @return {boolean} true if it is not null/undefined/NaN || false
-     */
-    L.isValue = function(o) {
-// return (o || o === false || o === 0 || o === ''); // Infinity fails
-return (L.isObject(o) || L.isString(o) || L.isNumber(o) || L.isBoolean(o));
-    };
-
-}, "3.0.0pr1");
-
-
-/*
- * Array utilities
- * @module yui
- * @submodule array
- */
-
-/**
- * YUI core
- * @module yui
- */
-
-YUI.add("array", function(Y) {
-
-    var L = Y.Lang, Native = Array.prototype;
-
-    /**
-     * Adds the following array utilities to the YUI instance
-     * @class YUI~array
-     */
-
-    /** 
-     * Y.Array(o) returns an array:
-     * - Arrays are return unmodified unless the start position is specified.
-     * - "Array-like" collections (@see Array.test) are converted to arrays
-     * - For everything else, a new array is created with the input as the sole item
-     * - The start position is used if the input is or is like an array to return
-     *   a subset of the collection.
-     *
-     *   @TODO this will not automatically convert elements that are also collections
-     *   such as forms and selects.  Passing true as the third param will
-     *   force a conversion.
-     *
-     * @method Array
-     * @static
-     *   @param o the item to arrayify
-     *   @param i {int} if an array or array-like, this is the start index
-     *   @param al {boolean} if true, it forces the array-like fork.  This
-     *   can be used to avoid multiple array.test calls.
-     *   @return {Array} the resulting array
-     */
-    Y.Array = function(o, i, al) {
-        var t = (al) ? 2 : Y.Array.test(o);
-        switch (t) {
-            case 1:
-                return (i) ? o.slice(o, i) : o;
-            case 2:
-                return Native.slice.call(o, i || 0);
-            default:
-                return [o];
-        }
-    };
-
-    var A = Y.Array;
-    
-    /** 
-     * Evaluates the input to determine if it is an array, array-like, or 
-     * something else.  This is used to handle the arguments collection 
-     * available within functions, and HTMLElement collections
-     *
-     * @method Array.test
-     * @static
-     *
-     * @todo current implementation (intenionally) will not implicitly 
-     * handle html elements that are array-like (forms, selects, etc).  
-     *
-     * @return {int} a number indicating the results:
-     * 0: Not an array or an array-like collection
-     * 1: A real array. 
-     * 2: array-like collection.
-     */
-    A.test = function(o) {
-        var r = 0;
-        if (L.isObject(o, true)) {
-            if (L.isArray(o)) {
-                r = 1; 
-            } else {
-                try {
-                    // indexed, but no tagName (element) or alert (window)
-                    if ("length" in o && !("tagName" in o)  && !("alert" in o)) {
-                        r = 2;
-                    }
-                        
-                } catch(ex) {}
-            }
-        }
-        return r;
-    };
-
-    /**
-     * Executes the supplied function on each item in the array.
-     * @method Array.each
-     * @static
-     * @return {YUI} the YUI instance
-     */
-    A.each = (Native.forEach) ?
-        function (a, f, o) { 
-            Native.forEach.call(a, f, o || Y);
-            return Y;
-        } :
-        function (a, f, o) { 
-            var l = a.length, i;
-            for (i = 0; i < l; i=i+1) {
-                f.call(o || Y, a[i], i, a);
-            }
-            return Y;
-        };
-
-    /**
-     * Returns an object using the first array as keys, and
-     * the second as values.  If the second array is not
-     * provided the value is set to true for each.
-     * @method Array.hash
-     * @static
-     * @param k {Array} keyset
-     * @param v {Array} optional valueset
-     * @return {object} the hash
-     */
-    A.hash = function(k, v) {
-        var o = {}, l = k.length, vl = v && v.length, i;
-        for (i=0; i<l; i=i+1) {
-            o[k[i]] = (vl && vl > i) ? v[i] : true;
-        }
-
-        return o;
-    };
-
-
-    /**
-     * Returns the index of the first item in the array
-     * that contains the specified value, -1 if the
-     * value isn't found.
-     * @TODO use native method if avail
-     * @method Array.indexOf
-     * @static
-     * @param a {Array} the array to search
-     * @param val the value to search for
-     * @return {int} the index of the item that contains the value or -1
-     */
-    A.indexOf = function(a, val) {
-        for (var i=0; i<a.length; i=i+1) {
-            if (a[i] === val) {
-                return i;
-            }
-        }
-
-        return -1;
-    };
-
-}, "3.0.0pr1");
-/*
- * YUI core utilities
- * @module yui
- * @submodule core
- */
-// requires lang
-YUI.add("core", function(Y) {
-
-    var L = Y.Lang, 
-    A = Y.Array,
-    OP = Object.prototype, 
-    IEF = ["toString", "valueOf"], 
-    PROTO = 'prototype',
-
-    /**
-     * IE will not enumerate native functions in a derived object even if the
-     * function was overridden.  This is a workaround for specific functions 
-     * we care about on the Object prototype. 
-     * @property _iefix
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param w a whitelist object (the keys are the valid items to reference)
-     * @private
-     * @for YUI
-     */
-    _iefix = (Y.UA && Y.UA.ie) ?
-        function(r, s, w) {
-            for (var i=0, a=IEF; i<a.length; i=i+1) {
-                var n = a[i], f = s[n];
-                if (L.isFunction(f) && f != OP[n]) {
-                    if (!w || (n in w)) {
-                        r[n]=f;
-                    }
-                }
-            }
-        } : function() {};
-   
-
-    /**
-     * Returns a new object containing all of the properties of
-     * all the supplied objects.  The properties from later objects
-     * will overwrite those in earlier objects.  Passing in a
-     * single object will create a shallow copy of it.  For a deep
-     * copy, use clone.
-     * @method merge
-     * @param arguments {Object*} the objects to merge
-     * @return {object} the new merged object
-     */
-    Y.merge = function() {
-        // var o={}, a=arguments;
-        // for (var i=0, l=a.length; i<l; i=i+1) {
-        //var a=arguments, o=Y.Object(a[0]);
-        var a=arguments, o={};
-        for (var i=0, l=a.length; i<l; i=i+1) {
-            Y.mix(o, a[i], true);
-        }
-        return o;
-    };
-       
-    /**
-     * Applies the supplier's properties to the receiver.  By default
-     * all prototype and static propertes on the supplier are applied
-     * to the corresponding spot on the receiver.  By default all
-     * properties are applied, and a property that is already on the
-     * reciever will not be overwritten.  The default behavior can
-     * be modified by supplying the appropriate parameters.
-     *
-     * @TODO add constants for the modes
-     *
-     * @method mix
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param ov {boolean} if true, properties already on the receiver
-     * will be overwritten if found on the supplier.
-     * @param wl {string[]} a whitelist.  If supplied, only properties in 
-     * this list will be applied to the receiver.
-     * @param {int} mode what should be copies, and to where
-     *        default(0): object to object
-     *        1: prototype to prototype (old augment)
-     *        2: prototype to prototype and object props (new augment)
-     *        3: prototype to object
-     *        4: object to prototype
-     * @param merge {boolean} merge objects instead of overwriting/ignoring
-     * Used by Y.aggregate
-     * @return {object} the augmented object
-     * @TODO review for PR2
-     */
-    Y.mix = function(r, s, ov, wl, mode, merge) {
-
-        if (!s||!r) {
-            return Y;
-        }
-
-        var w = (wl && wl.length) ? A.hash(wl) : null, m = merge,
-
-            f = function(fr, fs, proto, iwl) {
-
-                var arr = m && L.isArray(fr);
-
-                for (var i in fs) { 
-
-                    // We never want to overwrite the prototype
-                    // if (PROTO === i) {
-                    if (PROTO === i || '_yuid' === i) {
-                        continue;
-                    }
-
-                    // @TODO deal with the hasownprop issue
-
-                    // check white list if it was supplied
-                    if (!w || iwl || (i in w)) {
-                        // if the receiver has this property, it is an object,
-                        // and merge is specified, merge the two objects.
-                        if (m && L.isObject(fr[i], true)) {
-                            // console.log('aggregate RECURSE: ' + i);
-                            // @TODO recursive or no?
-                            // Y.mix(fr[i], fs[i]); // not recursive
-                            f(fr[i], fs[i], proto, true); // recursive
-                        // otherwise apply the property only if overwrite
-                        // is specified or the receiver doesn't have one.
-                        // @TODO make sure the 'arr' check isn't desructive
-                        } else if (!arr && (ov || !(i in fr))) {
-                            // console.log('hash: ' + i);
-                            fr[i] = fs[i];
-                        // if merge is specified and the receiver is an array,
-                        // append the array item
-                        } else if (arr) {
-                            // console.log('array: ' + i);
-                            // @TODO probably will need to remove dups
-                            fr.push(fs[i]);
-                        }
-                    }
-                }
-
-                _iefix(fr, fs, w);
-            };
-
-        var rp = r.prototype, sp = s.prototype;
-
-        switch (mode) {
-            case 1: // proto to proto
-                f(rp, sp, true);
-                break;
-            case 2: // object to object and proto to proto
-                f(r, s);
-                f(rp, sp, true);
-                break;
-            case 3: // proto to static
-                f(r, sp, true);
-                break;
-            case 4: // static to proto
-                f(rp, s);
-                break;
-            default:  // object to object
-                f(r, s);
-        }
-
-        return r;
-    };
-
-    
-
-}, "3.0.0pr1");
-/*
- * YUI object utilities
- * @module yui
- * @submodule object
- */
-YUI.add("object", function(Y) {
-
-    /**
-     * Adds the following Object utilities to the YUI instance
-     * @class YUI~object
-     */
-
-    /**
-     * Y.Object(o) returns a new object based upon the supplied object.  
-     * @method Object
-     * @static
-     * @param o the supplier object
-     * @return {object} the new object
-     */
-    Y.Object = function(o) {
-        var F = function() {};
-        F.prototype = o;
-        return new F();
-    }; 
-
-    var O = Y.Object, L = Y.Lang;
-
-    /**
-     * Determines whether or not the property was added
-     * to the object instance.  Returns false if the property is not present
-     * in the object, or was inherited from the prototype.
-     *
-     * @deprecated Safari 1.x support has been removed, so this is simply a 
-     * wrapper for the native implementation.  Use the native implementation
-     * directly instead.
-     *
-     * @TODO Remove in PR2
-     *
-     * @method Object.owns
-     * @static
-     * @param o {any} The object being testing
-     * @param p {string} the property to look for
-     * @return {boolean} true if the object has the property on the instance
-     */
-    O.owns = function(o, p) {
-        return (o && o.hasOwnProperty) ? o.hasOwnProperty(p) : false;
-    };
-
-    /**
-     * Returns an array containing the object's keys
-     * @method Object.keys
-     * @static
-     * @param o an object
-     * @return {string[]} the keys
-     */
-    O.keys = function(o) {
-        var a=[], i;
-        for (i in o) {
-            if (o.hasOwnProperty(i)) {
-                a.push(i);
-            }
-        }
-
-        return a;
-    };
-
-    /**
-     * Executes a function on each item. The function
-     * receives the value, the key, and the object
-     * as paramters (in that order).
-     * @method Object.each
-     * @static
-     * @param o the object to iterate
-     * @param f {function} the function to execute
-     * @param c the execution context
-     * @param proto {boolean} include proto
-     * @return {YUI} the YUI instance
-     */
-    O.each = function (o, f, c, proto) {
-        var s = c || Y;
-
-        for (var i in o) {
-            if (proto || o.hasOwnProperty(i)) {
-                f.call(s, o[i], i, o);
-            }
-        }
-        return Y;
-    };
-}, "3.0.0pr1");
-/*
- * YUI user agent detection
- * @module yui
- * @submodule ua
- */
-YUI.add("ua", function(Y) {
-
-    /**
-     * Browser/platform detection
-     * @class UA
-     * @static
-     */
-    Y.UA = function() {
-
-        var o={
-
-            /**
-             * Internet Explorer version number or 0.  Example: 6
-             * @property ie
-             * @type float
-             * @static
-             */
-            ie:0,
-
-            /**
-             * Opera version number or 0.  Example: 9.2
-             * @property opera
-             * @type float
-             * @static
-             */
-            opera:0,
-
-            /**
-             * Gecko engine revision number.  Will evaluate to 1 if Gecko 
-             * is detected but the revision could not be found. Other browsers
-             * will be 0.  Example: 1.8
-             * <pre>
-             * Firefox 1.0.0.4: 1.7.8   <-- Reports 1.7
-             * Firefox 1.5.0.9: 1.8.0.9 <-- Reports 1.8
-             * Firefox 2.0.0.3: 1.8.1.3 <-- Reports 1.8
-             * Firefox 3 alpha: 1.9a4   <-- Reports 1.9
-             * </pre>
-             * @property gecko
-             * @type float
-             * @static
-             */
-            gecko:0,
-
-            /**
-             * AppleWebKit version.  KHTML browsers that are not WebKit browsers 
-             * will evaluate to 1, other browsers 0.  Example: 418.9.1
-             * <pre>
-             * Safari 1.3.2 (312.6): 312.8.1 <-- Reports 312.8 -- currently the 
-             *                                   latest available for Mac OSX 10.3.
-             * Safari 2.0.2:         416     <-- hasOwnProperty introduced
-             * Safari 2.0.4:         418     <-- preventDefault fixed
-             * Safari 2.0.4 (419.3): 418.9.1 <-- One version of Safari may run
-             *                                   different versions of webkit
-             * Safari 2.0.4 (419.3): 419     <-- Tiger installations that have been
-             *                                   updated, but not updated
-             *                                   to the latest patch.
-             * Webkit 212 nightly:   522+    <-- Safari 3.0 precursor (with native SVG
-             *                                   and many major issues fixed).
-             * Safari 3.0.4 (523.12) 523.12  <-- First Tiger release - automatic update
-             *                                   from 2.x via the 10.4.11 OS patch
-             *                                   
-             * </pre>
-             * http://developer.apple.com/internet/safari/uamatrix.html
-             * @property webkit
-             * @type float
-             * @static
-             */
-            webkit:0,
-
-            /**
-             * The mobile property will be set to a string containing any relevant
-             * user agent information when a modern mobile browser is detected.
-             * Currently limited to Safari on the iPhone/iPod Touch, Nokia N-series
-             * devices with the WebKit-based browser, and Opera Mini.  
-             * @property mobile 
-             * @type string
-             * @static
-             */
-            mobile: null 
-        };
-
-        var ua=navigator.userAgent, m;
-
-        // Modern KHTML browsers should qualify as Safari X-Grade
-        if ((/KHTML/).test(ua)) {
-            o.webkit=1;
-        }
-        // Modern WebKit browsers are at least X-Grade
-        m=ua.match(/AppleWebKit\/([^\s]*)/);
-        if (m&&m[1]) {
-            o.webkit=parseFloat(m[1]);
-
-            // Mobile browser check
-            if (/ Mobile\//.test(ua)) {
-                o.mobile = "Apple"; // iPhone or iPod Touch
-            } else {
-                m=ua.match(/NokiaN[^\/]*/);
-                if (m) {
-                    o.mobile = m[0]; // Nokia N-series, ex: NokiaN95
-                }
-            }
-
-        }
-
-        if (!o.webkit) { // not webkit
-            // @todo check Opera/8.01 (J2ME/MIDP; Opera Mini/2.0.4509/1316; fi; U; ssr)
-            m=ua.match(/Opera[\s\/]([^\s]*)/);
-            if (m&&m[1]) {
-                o.opera=parseFloat(m[1]);
-                m=ua.match(/Opera Mini[^;]*/);
-                if (m) {
-                    o.mobile = m[0]; // ex: Opera Mini/2.0.4509/1316
-                }
-            } else { // not opera or webkit
-                m=ua.match(/MSIE\s([^;]*)/);
-                if (m&&m[1]) {
-                    o.ie=parseFloat(m[1]);
-                } else { // not opera, webkit, or ie
-                    m=ua.match(/Gecko\/([^\s]*)/);
-                    if (m) {
-                        o.gecko=1; // Gecko detected, look for revision
-                        m=ua.match(/rv:([^\s\)]*)/);
-                        if (m&&m[1]) {
-                            o.gecko=parseFloat(m[1]);
-                        }
-                    }
-                }
-            }
-        }
-        
-        return o;
-    }();
-}, "3.0.0pr1");
-/*
- * YUI setTimeout/setInterval abstraction
- * @module yui
- * @submodule later
- */
-YUI.add("later", function(Y) {
-
-    var L = Y.Lang;
-
-    /**
-     * Executes the supplied function in the context of the supplied 
-     * object 'when' milliseconds later.  Executes the function a 
-     * single time unless periodic is set to true.
-     * @method later
-     * @for YUI
-     * @param when {int} the number of milliseconds to wait until the fn 
-     * is executed.
-     * @param o the context object.
-     * @param fn {Function|String} the function to execute or the name of 
-     * the method in the 'o' object to execute.
-     * @param data [Array] data that is provided to the function.  This accepts
-     * either a single item or an array.  If an array is provided, the
-     * function is executed with one parameter for each array item.  If
-     * you need to pass a single array parameter, it needs to be wrapped in
-     * an array [myarray].
-     * @param periodic {boolean} if true, executes continuously at supplied 
-     * interval until canceled.
-     * @return {object} a timer object. Call the cancel() method on this object to 
-     * stop the timer.
-     */
-    var later = function(when, o, fn, data, periodic) {
-        when = when || 0; 
-        o = o || {};
-        var m=fn, d=data, f, r;
-
-        if (L.isString(fn)) {
-            m = o[fn];
-        }
-
-        if (!m) {
-            Y.fail("method undefined");
-        }
-
-        if (!L.isArray(d)) {
-            d = [data];
-        }
-
-        f = function() {
-            m.apply(o, d);
-        };
-
-        r = (periodic) ? setInterval(f, when) : setTimeout(f, when);
-
-        return {
-            interval: periodic,
-            cancel: function() {
-                if (this.interval) {
-                    clearInterval(r);
-                } else {
-                    clearTimeout(r);
-                }
-            }
-        };
-    };
-
-    Y.later = later;
-    L.later = later;
-
-}, "3.0.0pr1");
-/*
- * YUI initializer
- * @module yui
- * @submodule init
- */
-(function() {
-
-    var min = ['yui-base', 'log', 'lang', 'array', 'core'], core,
-
-    M = function(Y) {
-
-        var C = Y.config;
-
-        // apply the minimal required functionality
-        Y.use.apply(Y, min);
-
-
-        if (C.core) {
-
-            core = C.core;
-
-        } else {
-
-            core = ["object", "ua", "later"];
-
-            core.push(
-              "get", 
-              "loader");
-        }
-
-        Y.use.apply(Y, core);
-
-    };
-     
-    YUI.add("yui", M, "3.0.0pr1");
-    
-    // {
-        // the following will be bound automatically when this code is loaded
-      //   use: core
-    // });
-
-})();

=== removed file 'loggerhead/static/javascript/yui/build/yui/README'
--- loggerhead/static/javascript/yui/build/yui/README	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/yui/README	1970-01-01 00:00:00 +0000
@@ -1,12 +0,0 @@
-The YUI Global
-    Provides core YUI functionality, including module registration and consumption utils,
-    language/array/object utilities, browser detection, a setTimout/setInterval wrapper,
-    and dynamic loading of script and css files.
-
-    The yui module is a rollup of the following modules:
-        yui-base
-        get
-        loader
-
-3.0.0pr1
-    Inital release

=== removed file 'loggerhead/static/javascript/yui/build/yui/yui-debug.js'
--- loggerhead/static/javascript/yui/build/yui/yui-debug.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/yui/yui-debug.js	1970-01-01 00:00:00 +0000
@@ -1,3701 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * YUI core
- * @module yui
- */
-(function() {
-
-    var _instances = {},
-
-// @TODO: this needs to be created at build time from module metadata
-
-        _APPLY_TO_WHITE_LIST = {
-            'io.xdrReady': 1,
-            'io.start': 1,
-            'io.success': 1,
-            'io.failure': 1,
-            'io.abort': 1
-        };
-        
-
-if (typeof YUI === 'undefined' || !YUI) {
-
-    /**
-     * The YUI global namespace object.  If YUI is already defined, the
-     * existing YUI object will not be overwritten so that defined
-     * namespaces are preserved.  
-     *
-     * @class YUI
-     * @constructor
-     * @global
-     * @uses Event.Target
-     * @param o Optional configuration object.  Options:
-     * <ul>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>Global:</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>debug:
-     *  Turn debug statements on or off</li>
-     *  <li>useConsole:
-     *  Log to the browser console if debug is on and the console is available</li>
-     *  <li>logInclude:
-     *  A hash of log sources that should be logged.  If specified, only log messages from these sources will be logged.
-     *  
-     *  </li>
-     *  <li>logExclude:
-     *  A hash of log sources that should be not be logged.  If specified, all sources are logged if not on this list.</li>
-     *  <li>throwFail:
-     *  If throwFail is set, Y.fail will generate or re-throw a JS error.  Otherwise the failure is logged.
-     *  <li>win:
-     *  The target window/frame</li>
-     *  <li>core:
-     *  A list of modules that defines the YUI core (overrides the default)</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>For event and get:</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>pollInterval:
-     *  The default poll interval</li>
-     *  <li>-------------------------------------------------------------------------</li>
-     *  <li>For loader:</li>
-     *  <li>-------------------------------------------------------------------------</li>
-     *  <li>base:
-     *  The base dir</li>
-     *  <li>secureBase:
-     *  The secure base dir (not implemented)</li>
-     *  <li>comboBase:
-     *  The YUI combo service base dir. Ex: http://yui.yahooapis.com/combo?</li>
-     *  <li>root:
-     *  The root path to prepend to module names for the combo service. Ex: 2.5.2/build/</li>
-     *  <li>filter:
-     *  
-     * A filter to apply to result urls.  This filter will modify the default
-     * path for all modules.  The default path for the YUI library is the
-     * minified version of the files (e.g., event-min.js).  The filter property
-     * can be a predefined filter or a custom filter.  The valid predefined 
-     * filters are:
-     * <dl>
-     *  <dt>DEBUG</dt>
-     *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
-     *      This option will automatically include the logger widget</dd>
-     *  <dt>RAW</dt>
-     *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
-     * </dl>
-     * You can also define a custom filter, which must be an object literal 
-     * containing a search expression and a replace string:
-     * <pre>
-     *  myFilter: &#123; 
-     *      'searchExp': "-min\\.js", 
-     *      'replaceStr': "-debug.js"
-     *  &#125;
-     * </pre>
-     *
-     *  </li>
-     *  <li>combine:
-     *  Use the YUI combo service to reduce the number of http connections required to load your dependencies</li>
-     *  <li>ignore:
-     *  A list of modules that should never be dynamically loaded</li>
-     *  <li>force:
-     *  A list of modules that should always be loaded when required, even if already present on the page</li>
-     *  <li>insertBefore:
-     *  Node or id for a node that should be used as the insertion point for new nodes</li>
-     *  <li>charset:
-     *  charset for dynamic nodes</li>
-     *  <li>timeout:
-     *  number of milliseconds before a timeout occurs when dynamically loading nodes.  in not set, there is no timeout</li>
-     *  <li>context:
-     *  execution context for all callbacks</li>
-     *  <li>onSuccess:
-     *  callback for the 'success' event</li>
-     *  <li>onFailure:
-     *  callback for the 'failure' event</li>
-     *  <li>onTimeout:
-     *  callback for the 'timeout' event</li>
-     *  <li>onProgress:
-     *  callback executed each time a script or css file is loaded</li>
-     *  <li>modules:
-     *  A list of module definitions.  See Loader.addModule for the supported module metadata</li>
-     * </ul>
-     */
-
-    /*global YUI*/
-    YUI = function(o) {
-        var Y = this;
-        // Allow var yui = YUI() instead of var yui = new YUI()
-        if (Y == window) {
-            return new YUI(o);
-        } else {
-            // set up the core environment
-            Y._init(o);
-
-            // bind the specified additional modules for this instance
-            Y._setup();
-
-            return Y;
-        }
-    };
-}
-
-// The prototype contains the functions that are required to allow the external
-// modules to be registered and for the instance to be initialized.
-YUI.prototype = {
-
-    /**
-     * Initialize this YUI instance
-     * @param o config options
-     * @private
-     */
-    _init: function(o) {
-        
-
-        o = o || {};
-
-        // find targeted window and @TODO create facades
-        var w = (o.win) ? (o.win.contentWindow) : o.win  || window;
-        o.win = w;
-        o.doc = w.document;
-        o.debug = ('debug' in o) ? o.debug : true;
-        o.useConsole = ('useConsole' in o) ? o.useConsole: true;
-
-        // @TODO default throwFail to true in PR2
-        // o.throwFail = ('throwFail' in o) ? o.debug : true;
-    
-        // add a reference to o for anything that needs it
-        // before _setup is called.
-        this.config = o;
-
-        this.Env = {
-            // @todo expand the new module metadata
-            mods: {},
-            _idx: 0,
-            _pre: 'yuid',
-            _used: {},
-            _attached: {},
-            _yidx: 0,
-            _uidx: 0
-        };
-
-        if (YUI.Env) {
-            this.Env._yidx = ++YUI.Env._idx;
-            this.id = this.stamp(this);
-            _instances[this.id] = this;
-        }
-
-        this.constructor = YUI;
-
-        this.log(this.id + ') init ');
-    },
-    
-    /**
-     * Finishes the instance setup. Attaches whatever modules were defined
-     * when the yui modules was registered.
-     * @method _setup
-     * @private
-     */
-    _setup: function(o) {
-        this.use("yui");
-        // @TODO eval the need to copy the config
-        this.config = this.merge(this.config);
-    },
-
-    /**
-     * Executes a method on a YUI instance with
-     * the specified id if the specified method is whitelisted.
-     * @method applyTo
-     * @param id {string} the YUI instance id
-     * @param method {string} the name of the method to exectute.
-     * Ex: 'Object.keys'
-     * @param args {Array} the arguments to apply to the method
-     * @return {object} the return value from the applied method or null
-     */
-    applyTo: function(id, method, args) {
-
-        if (!(method in _APPLY_TO_WHITE_LIST)) {
-            this.fail(method + ': applyTo not allowed');
-            return null;
-        }
-
-        var instance = _instances[id];
-
-        if (instance) {
-
-            var nest = method.split('.'), m = instance;
-
-            for (var i=0; i<nest.length; i=i+1) {
-
-                m = m[nest[i]];
-
-                if (!m) {
-                    this.fail('applyTo not found: ' + method);
-                }
-            }
-
-            return m.apply(instance, args);
-        }
-
-        return null;
-    }, 
-
-    /**
-     * Register a module
-     * @method add
-     * @param name {string} module name
-     * @param namespace {string} name space for the module
-     * @param fn {Function} entry point into the module that
-     * is used to bind module to the YUI instance
-     * @param version {string} version string
-     * @return {YUI} the YUI instance
-     *
-     * requires   - features that should be present before loading
-     * optional   - optional features that should be present if load optional defined
-     * use  - features that should be attached automatically
-     * skinnable  -
-     * rollup
-     * omit - features that should not be loaded if this module is present
-     */
-    add: function(name, fn, version, details) {
-
-        // this.log('Adding a new component ' + name);
-
-        // @todo expand this to include version mapping
-        
-        // @todo allow requires/supersedes
-
-        // @todo may want to restore the build property
-        
-        // @todo fire moduleAvailable event
-        
-        var m = {
-            name: name, 
-            fn: fn,
-            version: version,
-            details: details || {}
-        };
-
-        YUI.Env.mods[name] = m;
-
-        return this; // chain support
-    },
-
-    _attach: function(r, fromLoader) {
-
-        var mods = YUI.Env.mods,
-            attached = this.Env._attached;
-
-        for (var i=0, l=r.length; i<l; i=i+1) {
-            var name = r[i], m = mods[name], mm;
-            if (!attached[name] && m) {
-
-                attached[name] = true;
-
-                var d = m.details, req = d.requires, use = d.use;
-
-                if (req) {
-                    this._attach(this.Array(req));
-                }
-
-                this.log('attaching ' + name, 'info', 'YUI');
-
-                if (m.fn) {
-                    m.fn(this);
-                }
-
-                if (use) {
-                    this._attach(this.Array(use));
-                }
-            }
-        }
-
-    },
-
-    /**
-     * Bind a module to a YUI instance
-     * @param modules* {string} 1-n modules to bind (uses arguments array)
-     * @param *callback {function} callback function executed when 
-     * the instance has the required functionality.  If included, it
-     * must be the last parameter.
-     *
-     * @TODO 
-     * Implement versioning?  loader can load different versions?
-     * Should sub-modules/plugins be normal modules, or do
-     * we add syntax for specifying these?
-     *
-     * YUI().use('dragdrop')
-     * YUI().use('dragdrop:2.4.0'); // specific version
-     * YUI().use('dragdrop:2.4.0-'); // at least this version
-     * YUI().use('dragdrop:2.4.0-2.9999.9999'); // version range
-     * YUI().use('*'); // use all available modules
-     * YUI().use('lang+dump+substitute'); // use lang and some plugins
-     * YUI().use('lang+*'); // use lang and all known plugins
-     *
-     *
-     * @return {YUI} the YUI instance
-     */
-    use: function() {
-
-        var Y = this, 
-            a=Array.prototype.slice.call(arguments, 0), 
-            mods = YUI.Env.mods, 
-            used = Y.Env._used,
-            loader, 
-            firstArg = a[0], 
-            dynamic = false,
-            callback = a[a.length-1];
-
-        // Y.log(Y.id + ': use called: ' + a + ' :: ' + callback);
-
-        // The last argument supplied to use can be a load complete callback
-        if (typeof callback === 'function') {
-            a.pop();
-            Y.Env._callback = callback;
-        } else {
-            callback = null;
-        }
-
-        // YUI().use('*'); // bind everything available
-        if (firstArg === "*") {
-            a = [];
-            for (var k in mods) {
-                if (mods.hasOwnProperty(k)) {
-                    a.push(k);
-                }
-            }
-
-            return Y.use.apply(Y, a);
-
-        }
-        // Y.log('loader before: ' + a.join(','));
-       
-
-        // use loader to optimize and sort the requirements if it
-        // is available.
-        if (Y.Loader) {
-            dynamic = true;
-            loader = new Y.Loader(Y.config);
-            loader.require(a);
-            loader.ignoreRegistered = true;
-            loader.calculate();
-            a = loader.sorted;
-        }
-
-        // Y.log('loader after: ' + a.join(','));
-
-        var missing = [], r = [], f = function(name) {
-
-            // only attach a module once
-            if (used[name]) {
-                // Y.log(name + ' already used');
-                return;
-            }
-
-            var m = mods[name], j, req, use;
-
-            if (m) {
-                used[name] = true;
-
-                // Y.log('found ' + name);
-                req = m.details.requires;
-                use = m.details.use;
-            } else {
-                Y.log('module not found: ' + name, 'info', 'yui');
-                missing.push(name);
-            }
-
-            // make sure requirements are attached
-            if (req) {
-                if (Y.Lang.isString(req)) {
-                    f(req);
-                } else {
-                    for (j = 0; j < req.length; j = j + 1) {
-                        f(req[j]);
-                    }
-                }
-            }
-
-            // add this module to full list of things to attach
-            // Y.log('using ' + name);
-            r.push(name);
-
-        };
-
-        // process each requirement and any additional requirements 
-        // the module metadata specifies
-        for (var i=0, l=a.length; i<l; i=i+1) {
-            f(a[i]);
-        }
-
-        // Y.log('all reqs: ' + r + ' --- missing: ' + missing);
-
-        var onComplete = function(fromLoader) {
-
-            // Y.log('Use complete');
-
-            fromLoader = fromLoader || {
-                success: true,
-                msg: 'not dynamic'
-            };
-
-            if (Y.Env._callback) {
-
-                var cb = Y.Env._callback;
-                Y.Env._callback = null;
-                cb(Y, fromLoader);
-            }
-
-            if (Y.fire) {
-                Y.fire('yui:load', Y, fromLoader);
-            }
-        };
-
-
-        // dynamic load
-        if (Y.Loader && missing.length) {
-            Y.log('Attempting to dynamically load the missing modules ' + missing, 'info', 'yui');
-            loader = new Y.Loader(Y.config);
-            loader.onSuccess = onComplete;
-            loader.onFailure = onComplete;
-            loader.onTimeout = onComplete;
-            loader.attaching = a;
-            loader.require(missing);
-            loader.insert();
-        } else {
-            Y._attach(r);
-            onComplete();
-        }
-
-        return Y; // chain support var yui = YUI().use('dragdrop');
-    },
-
-
-    /**
-     * Returns the namespace specified and creates it if it doesn't exist
-     * <pre>
-     * YUI.namespace("property.package");
-     * YUI.namespace("YUI.property.package");
-     * </pre>
-     * Either of the above would create YUI.property, then
-     * YUI.property.package
-     *
-     * Be careful when naming packages. Reserved words may work in some browsers
-     * and not others. For instance, the following will fail in Safari:
-     * <pre>
-     * YUI.namespace("really.long.nested.namespace");
-     * </pre>
-     * This fails because "long" is a future reserved word in ECMAScript
-     *
-     * @method namespace
-     * @param  {string*} arguments 1-n namespaces to create 
-     * @return {object}  A reference to the last namespace object created
-     */
-    namespace: function() {
-        var a=arguments, o=null, i, j, d;
-        for (i=0; i<a.length; i=i+1) {
-            d = a[i].split(".");
-            o = this;
-            for (j=(d[0] == "YUI") ? 1 : 0; j<d.length; j=j+1) {
-                o[d[j]] = o[d[j]] || {};
-                o = o[d[j]];
-            }
-        }
-        return o;
-    },
-
-    // this is replaced if the log module is included
-    log: function() {
-
-    },
-
-    /**
-     * Report an error.  The reporting mechanism is controled by
-     * the 'throwFail' configuration attribute.  If throwFail is
-     * not specified, the message is written to the logger, otherwise
-     * a JS error is thrown
-     * @method fail
-     * @param msg {string} the failure message
-     * @param e {Error} Optional JS error that was caught.  If supplied
-     * and throwFail is specified, this error will be re-thrown.
-     * @return {YUI} this YUI instance
-     */
-    fail: function(msg, e) {
-        var instance = this;
-        instance.log(msg, "error"); // don't scrub this one
-
-        if (this.config.throwFail) {
-            throw e || new Error(msg);
-        }
-
-        return this;
-    },
-
-    /**
-     * Generate an id that is unique among all YUI instances
-     * @method guid
-     * @param pre {string} optional guid prefix
-     * @return {string} the guid
-     */
-    guid: function(pre) {
-        var e = this.Env, p = (pre) || e._pre;
-        return p +'-' + e._yidx + '-' + e._uidx++;
-    },
-
-    /**
-     * Stamps an object with a guid.  If the object already
-     * has one, a new one is not created
-     * @method stamp
-     * @param o The object to stamp
-     * @return {string} The object's guid
-     */
-    stamp: function(o) {
-
-        if (!o) {
-            return o;
-        }
-
-        var uid = (typeof o === 'string') ? o : o._yuid;
-
-        if (!uid) {
-            uid = this.guid();
-            o._yuid = uid;
-        }
-
-        return uid;
-    }
-};
-
-// Give the YUI global the same properties as an instance.
-// This makes it so that the YUI global can be used like the YAHOO
-// global was used prior to 3.x.  More importantly, the YUI global
-// provides global metadata, so env needs to be configured.
-// @TODO review
-
-    var Y = YUI, p = Y.prototype, i;
-
-    // inheritance utilities are not available yet
-    for (i in p) {
-        if (true) { // hasOwnProperty not available yet and not needed
-            Y[i] = p[i];
-        }
-    }
-
-    // set up the environment
-    Y._init();
-
-
-})();
-/**
- * YUI stub
- * @module yui
- * @submodule yui-base
- */
-// This is just a stub to for dependency processing
-YUI.add("yui-base", null, "3.0.0pr1");
-/*
- * YUI console logger
- * @module yui
- * @submodule log
- */
-YUI.add("log", function(instance) {
-
-    /**
-     * If the 'debug' config is true, a 'yui:log' event will be
-     * dispatched, which the logger widget and anything else
-     * can consume.  If the 'useConsole' config is true, it will
-     * write to the browser console if available.
-     *
-     * @method log
-     * @for YUI
-     * @param  {String}  msg  The message to log.
-     * @param  {String}  cat  The log category for the message.  Default
-     *                        categories are "info", "warn", "error", time".
-     *                        Custom categories can be used as well. (opt)
-     * @param  {String}  src  The source of the the message (opt)
-     * @return {YUI}      YUI instance
-     */
-    instance.log = function(msg, cat, src) {
-
-        var Y = instance, c = Y.config, es = Y.Env._eventstack,
-            bail = (es && es.logging);
-
-        // suppress log message if the config is off or the event stack
-        // or the event call stack contains a consumer of the yui:log event
-        if (c.debug && !bail) {
-
-            // apply source filters
-            if (src) {
-
-                var exc = c.logExclude, inc = c.logInclude;
-
-                // console.log('checking src filter: ' + src + ', inc: ' + inc + ', exc: ' + exc);
-
-                if (inc && !(src in inc)) {
-                    // console.log('bail: inc list found, but src is not in list: ' + src);
-                    bail = true;
-                } else if (exc && (src in exc)) {
-                    // console.log('bail: exc list found, and src is in it: ' + src);
-                    bail = true;
-                }
-            }
-
-            if (!bail) {
-
-                if (c.useConsole && typeof console != 'undefined') {
-                        var f = (cat && console[cat]) ? cat : 'log',
-                            m = (src) ? src + ': ' + msg : msg;
-                        console[f](m);
-                }
-
-                if (Y.fire && !bail) {
-                    Y.fire('yui:log', msg, cat, src);
-                }
-            }
-        }
-
-        return Y;
-    };
-
-}, "3.0.0pr1");
-/*
- * YUI lang utils
- * @module yui
- * @submodule lang
- */
-YUI.add("lang", function(Y) {
-
-    /**
-     * Provides the language utilites and extensions used by the library
-     * @class Lang
-     * @static
-     */
-    Y.Lang = Y.Lang || {};
-
-    var L = Y.Lang, SPLICE="splice", LENGTH="length";
-
-    /**
-     * Determines whether or not the provided object is an array.
-     * Testing typeof/instanceof/constructor of arrays across frame 
-     * boundaries isn't possible in Safari unless you have a reference
-     * to the other frame to test against its Array prototype.  To
-     * handle this case, we test well-known array properties instead.
-     * properties.
-     * @TODO can we kill this cross frame hack?
-     * @method isArray
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is an array
-     */
-     L.isArray = function(o) { 
-        if (o) {
-           //return L.isNumber(o.length) && L.isFunction(o.splice);
-           return (o[SPLICE] && L.isNumber(o[LENGTH]));
-        }
-        return false;
-    };
-
-    /**
-     * Determines whether or not the provided object is a boolean
-     * @method isBoolean
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a boolean
-     */
-    L.isBoolean = function(o) {
-        return typeof o === 'boolean';
-    };
-    
-    /**
-     * Determines whether or not the provided object is a function
-     * @method isFunction
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a function
-     */
-    L.isFunction = function(o) {
-        return typeof o === 'function';
-    };
-        
-    /**
-     * Determines whether or not the supplied object is a date instance
-     * @method isDate
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a date
-     */
-    L.isDate = function(o) {
-        return o instanceof Date;
-    };
-
-    /**
-     * Determines whether or not the provided object is null
-     * @method isNull
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is null
-     */
-    L.isNull = function(o) {
-        return o === null;
-    };
-        
-    /**
-     * Determines whether or not the provided object is a legal number
-     * @method isNumber
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a number
-     */
-    L.isNumber = function(o) {
-        return typeof o === 'number' && isFinite(o);
-    };
-      
-    /**
-     * Determines whether or not the provided object is of type object
-     * or function
-     * @method isObject
-     * @static
-     * @param o The object to test
-     * @param failfn {boolean} fail if the input is a function
-     * @return {boolean} true if o is an object
-     */  
-    L.isObject = function(o, failfn) {
-return (o && (typeof o === 'object' || (!failfn && L.isFunction(o)))) || false;
-    };
-        
-    /**
-     * Determines whether or not the provided object is a string
-     * @method isString
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a string
-     */
-    L.isString = function(o) {
-        return typeof o === 'string';
-    };
-        
-    /**
-     * Determines whether or not the provided object is undefined
-     * @method isUndefined
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is undefined
-     */
-    L.isUndefined = function(o) {
-        return typeof o === 'undefined';
-    };
-    
-    /**
-     * Returns a string without any leading or trailing whitespace.  If 
-     * the input is not a string, the input will be returned untouched.
-     * @method trim
-     * @static
-     * @param s {string} the string to trim
-     * @return {string} the trimmed string
-     */
-    L.trim = function(s){
-        try {
-            return s.replace(/^\s+|\s+$/g, "");
-        } catch(e) {
-            return s;
-        }
-    };
-
-    /**
-     * A convenience method for detecting a legitimate non-null value.
-     * Returns false for null/undefined/NaN, true for other values, 
-     * including 0/false/''
-     * @method isValue
-     * @static
-     * @param o The item to test
-     * @return {boolean} true if it is not null/undefined/NaN || false
-     */
-    L.isValue = function(o) {
-// return (o || o === false || o === 0 || o === ''); // Infinity fails
-return (L.isObject(o) || L.isString(o) || L.isNumber(o) || L.isBoolean(o));
-    };
-
-}, "3.0.0pr1");
-
-
-/*
- * Array utilities
- * @module yui
- * @submodule array
- */
-
-/**
- * YUI core
- * @module yui
- */
-
-YUI.add("array", function(Y) {
-
-    var L = Y.Lang, Native = Array.prototype;
-
-    /**
-     * Adds the following array utilities to the YUI instance
-     * @class YUI~array
-     */
-
-    /** 
-     * Y.Array(o) returns an array:
-     * - Arrays are return unmodified unless the start position is specified.
-     * - "Array-like" collections (@see Array.test) are converted to arrays
-     * - For everything else, a new array is created with the input as the sole item
-     * - The start position is used if the input is or is like an array to return
-     *   a subset of the collection.
-     *
-     *   @TODO this will not automatically convert elements that are also collections
-     *   such as forms and selects.  Passing true as the third param will
-     *   force a conversion.
-     *
-     * @method Array
-     * @static
-     *   @param o the item to arrayify
-     *   @param i {int} if an array or array-like, this is the start index
-     *   @param al {boolean} if true, it forces the array-like fork.  This
-     *   can be used to avoid multiple array.test calls.
-     *   @return {Array} the resulting array
-     */
-    Y.Array = function(o, i, al) {
-        var t = (al) ? 2 : Y.Array.test(o);
-        switch (t) {
-            case 1:
-                return (i) ? o.slice(o, i) : o;
-            case 2:
-                return Native.slice.call(o, i || 0);
-            default:
-                return [o];
-        }
-    };
-
-    var A = Y.Array;
-    
-    /** 
-     * Evaluates the input to determine if it is an array, array-like, or 
-     * something else.  This is used to handle the arguments collection 
-     * available within functions, and HTMLElement collections
-     *
-     * @method Array.test
-     * @static
-     *
-     * @todo current implementation (intenionally) will not implicitly 
-     * handle html elements that are array-like (forms, selects, etc).  
-     *
-     * @return {int} a number indicating the results:
-     * 0: Not an array or an array-like collection
-     * 1: A real array. 
-     * 2: array-like collection.
-     */
-    A.test = function(o) {
-        var r = 0;
-        if (L.isObject(o, true)) {
-            if (L.isArray(o)) {
-                r = 1; 
-            } else {
-                try {
-                    // indexed, but no tagName (element) or alert (window)
-                    if ("length" in o && !("tagName" in o)  && !("alert" in o)) {
-                        r = 2;
-                    }
-                        
-                } catch(ex) {}
-            }
-        }
-        return r;
-    };
-
-    /**
-     * Executes the supplied function on each item in the array.
-     * @method Array.each
-     * @static
-     * @return {YUI} the YUI instance
-     */
-    A.each = (Native.forEach) ?
-        function (a, f, o) { 
-            Native.forEach.call(a, f, o || Y);
-            return Y;
-        } :
-        function (a, f, o) { 
-            var l = a.length, i;
-            for (i = 0; i < l; i=i+1) {
-                f.call(o || Y, a[i], i, a);
-            }
-            return Y;
-        };
-
-    /**
-     * Returns an object using the first array as keys, and
-     * the second as values.  If the second array is not
-     * provided the value is set to true for each.
-     * @method Array.hash
-     * @static
-     * @param k {Array} keyset
-     * @param v {Array} optional valueset
-     * @return {object} the hash
-     */
-    A.hash = function(k, v) {
-        var o = {}, l = k.length, vl = v && v.length, i;
-        for (i=0; i<l; i=i+1) {
-            o[k[i]] = (vl && vl > i) ? v[i] : true;
-        }
-
-        return o;
-    };
-
-
-    /**
-     * Returns the index of the first item in the array
-     * that contains the specified value, -1 if the
-     * value isn't found.
-     * @TODO use native method if avail
-     * @method Array.indexOf
-     * @static
-     * @param a {Array} the array to search
-     * @param val the value to search for
-     * @return {int} the index of the item that contains the value or -1
-     */
-    A.indexOf = function(a, val) {
-        for (var i=0; i<a.length; i=i+1) {
-            if (a[i] === val) {
-                return i;
-            }
-        }
-
-        return -1;
-    };
-
-}, "3.0.0pr1");
-/*
- * YUI core utilities
- * @module yui
- * @submodule core
- */
-// requires lang
-YUI.add("core", function(Y) {
-
-    var L = Y.Lang, 
-    A = Y.Array,
-    OP = Object.prototype, 
-    IEF = ["toString", "valueOf"], 
-    PROTO = 'prototype',
-
-    /**
-     * IE will not enumerate native functions in a derived object even if the
-     * function was overridden.  This is a workaround for specific functions 
-     * we care about on the Object prototype. 
-     * @property _iefix
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param w a whitelist object (the keys are the valid items to reference)
-     * @private
-     * @for YUI
-     */
-    _iefix = (Y.UA && Y.UA.ie) ?
-        function(r, s, w) {
-            for (var i=0, a=IEF; i<a.length; i=i+1) {
-                var n = a[i], f = s[n];
-                if (L.isFunction(f) && f != OP[n]) {
-                    if (!w || (n in w)) {
-                        r[n]=f;
-                    }
-                }
-            }
-        } : function() {};
-   
-
-    /**
-     * Returns a new object containing all of the properties of
-     * all the supplied objects.  The properties from later objects
-     * will overwrite those in earlier objects.  Passing in a
-     * single object will create a shallow copy of it.  For a deep
-     * copy, use clone.
-     * @method merge
-     * @param arguments {Object*} the objects to merge
-     * @return {object} the new merged object
-     */
-    Y.merge = function() {
-        // var o={}, a=arguments;
-        // for (var i=0, l=a.length; i<l; i=i+1) {
-        //var a=arguments, o=Y.Object(a[0]);
-        var a=arguments, o={};
-        for (var i=0, l=a.length; i<l; i=i+1) {
-            Y.mix(o, a[i], true);
-        }
-        return o;
-    };
-       
-    /**
-     * Applies the supplier's properties to the receiver.  By default
-     * all prototype and static propertes on the supplier are applied
-     * to the corresponding spot on the receiver.  By default all
-     * properties are applied, and a property that is already on the
-     * reciever will not be overwritten.  The default behavior can
-     * be modified by supplying the appropriate parameters.
-     *
-     * @TODO add constants for the modes
-     *
-     * @method mix
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param ov {boolean} if true, properties already on the receiver
-     * will be overwritten if found on the supplier.
-     * @param wl {string[]} a whitelist.  If supplied, only properties in 
-     * this list will be applied to the receiver.
-     * @param {int} mode what should be copies, and to where
-     *        default(0): object to object
-     *        1: prototype to prototype (old augment)
-     *        2: prototype to prototype and object props (new augment)
-     *        3: prototype to object
-     *        4: object to prototype
-     * @param merge {boolean} merge objects instead of overwriting/ignoring
-     * Used by Y.aggregate
-     * @return {object} the augmented object
-     * @TODO review for PR2
-     */
-    Y.mix = function(r, s, ov, wl, mode, merge) {
-
-        if (!s||!r) {
-            return Y;
-        }
-
-        var w = (wl && wl.length) ? A.hash(wl) : null, m = merge,
-
-            f = function(fr, fs, proto, iwl) {
-
-                var arr = m && L.isArray(fr);
-
-                for (var i in fs) { 
-
-                    // We never want to overwrite the prototype
-                    // if (PROTO === i) {
-                    if (PROTO === i || '_yuid' === i) {
-                        continue;
-                    }
-
-                    // Y.log('i: ' + i + ", " + fs[i]);
-                    // @TODO deal with the hasownprop issue
-
-                    // check white list if it was supplied
-                    if (!w || iwl || (i in w)) {
-                        // if the receiver has this property, it is an object,
-                        // and merge is specified, merge the two objects.
-                        if (m && L.isObject(fr[i], true)) {
-                            // console.log('aggregate RECURSE: ' + i);
-                            // @TODO recursive or no?
-                            // Y.mix(fr[i], fs[i]); // not recursive
-                            f(fr[i], fs[i], proto, true); // recursive
-                        // otherwise apply the property only if overwrite
-                        // is specified or the receiver doesn't have one.
-                        // @TODO make sure the 'arr' check isn't desructive
-                        } else if (!arr && (ov || !(i in fr))) {
-                            // console.log('hash: ' + i);
-                            fr[i] = fs[i];
-                        // if merge is specified and the receiver is an array,
-                        // append the array item
-                        } else if (arr) {
-                            // console.log('array: ' + i);
-                            // @TODO probably will need to remove dups
-                            fr.push(fs[i]);
-                        }
-                    }
-                }
-
-                _iefix(fr, fs, w);
-            };
-
-        var rp = r.prototype, sp = s.prototype;
-
-        switch (mode) {
-            case 1: // proto to proto
-                f(rp, sp, true);
-                break;
-            case 2: // object to object and proto to proto
-                f(r, s);
-                f(rp, sp, true);
-                break;
-            case 3: // proto to static
-                f(r, sp, true);
-                break;
-            case 4: // static to proto
-                f(rp, s);
-                break;
-            default:  // object to object
-                f(r, s);
-        }
-
-        return r;
-    };
-
-    
-
-}, "3.0.0pr1");
-/*
- * YUI object utilities
- * @module yui
- * @submodule object
- */
-YUI.add("object", function(Y) {
-
-    /**
-     * Adds the following Object utilities to the YUI instance
-     * @class YUI~object
-     */
-
-    /**
-     * Y.Object(o) returns a new object based upon the supplied object.  
-     * @method Object
-     * @static
-     * @param o the supplier object
-     * @return {object} the new object
-     */
-    Y.Object = function(o) {
-        var F = function() {};
-        F.prototype = o;
-        return new F();
-    }; 
-
-    var O = Y.Object, L = Y.Lang;
-
-    /**
-     * Determines whether or not the property was added
-     * to the object instance.  Returns false if the property is not present
-     * in the object, or was inherited from the prototype.
-     *
-     * @deprecated Safari 1.x support has been removed, so this is simply a 
-     * wrapper for the native implementation.  Use the native implementation
-     * directly instead.
-     *
-     * @TODO Remove in PR2
-     *
-     * @method Object.owns
-     * @static
-     * @param o {any} The object being testing
-     * @param p {string} the property to look for
-     * @return {boolean} true if the object has the property on the instance
-     */
-    O.owns = function(o, p) {
-        return (o && o.hasOwnProperty) ? o.hasOwnProperty(p) : false;
-    };
-
-    /**
-     * Returns an array containing the object's keys
-     * @method Object.keys
-     * @static
-     * @param o an object
-     * @return {string[]} the keys
-     */
-    O.keys = function(o) {
-        var a=[], i;
-        for (i in o) {
-            if (o.hasOwnProperty(i)) {
-                a.push(i);
-            }
-        }
-
-        return a;
-    };
-
-    /**
-     * Executes a function on each item. The function
-     * receives the value, the key, and the object
-     * as paramters (in that order).
-     * @method Object.each
-     * @static
-     * @param o the object to iterate
-     * @param f {function} the function to execute
-     * @param c the execution context
-     * @param proto {boolean} include proto
-     * @return {YUI} the YUI instance
-     */
-    O.each = function (o, f, c, proto) {
-        var s = c || Y;
-
-        for (var i in o) {
-            if (proto || o.hasOwnProperty(i)) {
-                f.call(s, o[i], i, o);
-            }
-        }
-        return Y;
-    };
-}, "3.0.0pr1");
-/*
- * YUI user agent detection
- * @module yui
- * @submodule ua
- */
-YUI.add("ua", function(Y) {
-
-    /**
-     * Browser/platform detection
-     * @class UA
-     * @static
-     */
-    Y.UA = function() {
-
-        var o={
-
-            /**
-             * Internet Explorer version number or 0.  Example: 6
-             * @property ie
-             * @type float
-             * @static
-             */
-            ie:0,
-
-            /**
-             * Opera version number or 0.  Example: 9.2
-             * @property opera
-             * @type float
-             * @static
-             */
-            opera:0,
-
-            /**
-             * Gecko engine revision number.  Will evaluate to 1 if Gecko 
-             * is detected but the revision could not be found. Other browsers
-             * will be 0.  Example: 1.8
-             * <pre>
-             * Firefox 1.0.0.4: 1.7.8   <-- Reports 1.7
-             * Firefox 1.5.0.9: 1.8.0.9 <-- Reports 1.8
-             * Firefox 2.0.0.3: 1.8.1.3 <-- Reports 1.8
-             * Firefox 3 alpha: 1.9a4   <-- Reports 1.9
-             * </pre>
-             * @property gecko
-             * @type float
-             * @static
-             */
-            gecko:0,
-
-            /**
-             * AppleWebKit version.  KHTML browsers that are not WebKit browsers 
-             * will evaluate to 1, other browsers 0.  Example: 418.9.1
-             * <pre>
-             * Safari 1.3.2 (312.6): 312.8.1 <-- Reports 312.8 -- currently the 
-             *                                   latest available for Mac OSX 10.3.
-             * Safari 2.0.2:         416     <-- hasOwnProperty introduced
-             * Safari 2.0.4:         418     <-- preventDefault fixed
-             * Safari 2.0.4 (419.3): 418.9.1 <-- One version of Safari may run
-             *                                   different versions of webkit
-             * Safari 2.0.4 (419.3): 419     <-- Tiger installations that have been
-             *                                   updated, but not updated
-             *                                   to the latest patch.
-             * Webkit 212 nightly:   522+    <-- Safari 3.0 precursor (with native SVG
-             *                                   and many major issues fixed).
-             * Safari 3.0.4 (523.12) 523.12  <-- First Tiger release - automatic update
-             *                                   from 2.x via the 10.4.11 OS patch
-             *                                   
-             * </pre>
-             * http://developer.apple.com/internet/safari/uamatrix.html
-             * @property webkit
-             * @type float
-             * @static
-             */
-            webkit:0,
-
-            /**
-             * The mobile property will be set to a string containing any relevant
-             * user agent information when a modern mobile browser is detected.
-             * Currently limited to Safari on the iPhone/iPod Touch, Nokia N-series
-             * devices with the WebKit-based browser, and Opera Mini.  
-             * @property mobile 
-             * @type string
-             * @static
-             */
-            mobile: null 
-        };
-
-        var ua=navigator.userAgent, m;
-
-        // Modern KHTML browsers should qualify as Safari X-Grade
-        if ((/KHTML/).test(ua)) {
-            o.webkit=1;
-        }
-        // Modern WebKit browsers are at least X-Grade
-        m=ua.match(/AppleWebKit\/([^\s]*)/);
-        if (m&&m[1]) {
-            o.webkit=parseFloat(m[1]);
-
-            // Mobile browser check
-            if (/ Mobile\//.test(ua)) {
-                o.mobile = "Apple"; // iPhone or iPod Touch
-            } else {
-                m=ua.match(/NokiaN[^\/]*/);
-                if (m) {
-                    o.mobile = m[0]; // Nokia N-series, ex: NokiaN95
-                }
-            }
-
-        }
-
-        if (!o.webkit) { // not webkit
-            // @todo check Opera/8.01 (J2ME/MIDP; Opera Mini/2.0.4509/1316; fi; U; ssr)
-            m=ua.match(/Opera[\s\/]([^\s]*)/);
-            if (m&&m[1]) {
-                o.opera=parseFloat(m[1]);
-                m=ua.match(/Opera Mini[^;]*/);
-                if (m) {
-                    o.mobile = m[0]; // ex: Opera Mini/2.0.4509/1316
-                }
-            } else { // not opera or webkit
-                m=ua.match(/MSIE\s([^;]*)/);
-                if (m&&m[1]) {
-                    o.ie=parseFloat(m[1]);
-                } else { // not opera, webkit, or ie
-                    m=ua.match(/Gecko\/([^\s]*)/);
-                    if (m) {
-                        o.gecko=1; // Gecko detected, look for revision
-                        m=ua.match(/rv:([^\s\)]*)/);
-                        if (m&&m[1]) {
-                            o.gecko=parseFloat(m[1]);
-                        }
-                    }
-                }
-            }
-        }
-        
-        return o;
-    }();
-}, "3.0.0pr1");
-/*
- * YUI setTimeout/setInterval abstraction
- * @module yui
- * @submodule later
- */
-YUI.add("later", function(Y) {
-
-    var L = Y.Lang;
-
-    /**
-     * Executes the supplied function in the context of the supplied 
-     * object 'when' milliseconds later.  Executes the function a 
-     * single time unless periodic is set to true.
-     * @method later
-     * @for YUI
-     * @param when {int} the number of milliseconds to wait until the fn 
-     * is executed.
-     * @param o the context object.
-     * @param fn {Function|String} the function to execute or the name of 
-     * the method in the 'o' object to execute.
-     * @param data [Array] data that is provided to the function.  This accepts
-     * either a single item or an array.  If an array is provided, the
-     * function is executed with one parameter for each array item.  If
-     * you need to pass a single array parameter, it needs to be wrapped in
-     * an array [myarray].
-     * @param periodic {boolean} if true, executes continuously at supplied 
-     * interval until canceled.
-     * @return {object} a timer object. Call the cancel() method on this object to 
-     * stop the timer.
-     */
-    var later = function(when, o, fn, data, periodic) {
-        when = when || 0; 
-        o = o || {};
-        var m=fn, d=data, f, r;
-
-        if (L.isString(fn)) {
-            m = o[fn];
-        }
-
-        if (!m) {
-            Y.fail("method undefined");
-        }
-
-        if (!L.isArray(d)) {
-            d = [data];
-        }
-
-        f = function() {
-            m.apply(o, d);
-        };
-
-        r = (periodic) ? setInterval(f, when) : setTimeout(f, when);
-
-        return {
-            interval: periodic,
-            cancel: function() {
-                if (this.interval) {
-                    clearInterval(r);
-                } else {
-                    clearTimeout(r);
-                }
-            }
-        };
-    };
-
-    Y.later = later;
-    L.later = later;
-
-}, "3.0.0pr1");
-
-YUI.add("get", function(Y) {
-    
-        var ua=Y.UA, 
-        L=Y.Lang;
-
-/**
- * Provides a mechanism to fetch remote resources and
- * insert them into a document.
- * @module yui
- * @submodule get
- */
-
-/**
- * Fetches and inserts one or more script or link nodes into the document 
- * @class Get
- * @static
- */
-Y.Get = function() {
-
-    /**
-     * hash of queues to manage multiple requests
-     * @property queues
-     * @private
-     */
-    var queues={}, 
-        
-    /**
-     * queue index used to generate transaction ids
-     * @property qidx
-     * @type int
-     * @private
-     */
-        qidx=0, 
-        
-    /**
-     * node index used to generate unique node ids
-     * @property nidx
-     * @type int
-     * @private
-     */
-        nidx=0, 
-
-        // ridx=0,
-
-        // sandboxFrame=null,
-
-    /**
-     * interal property used to prevent multiple simultaneous purge 
-     * processes
-     * @property purging
-     * @type boolean
-     * @private
-     */
-        purging=false;
-
-    
-    /** 
-     * Generates an HTML element, this is not appended to a document
-     * @method _node
-     * @param type {string} the type of element
-     * @param attr {string} the attributes
-     * @param win {Window} optional window to create the element in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _node = function(type, attr, win) {
-        var w = win || Y.config.win, d=w.document, n=d.createElement(type);
-
-        for (var i in attr) {
-            if (attr[i] && Y.Object.owns(attr, i)) {
-                n.setAttribute(i, attr[i]);
-            }
-        }
-
-        return n;
-    };
-
-    /**
-     * Generates a link node
-     * @method _linkNode
-     * @param url {string} the url for the css file
-     * @param win {Window} optional window to create the node in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _linkNode = function(url, win, charset) {
-        var c = charset || "utf-8";
-        return _node("link", {
-                "id":      "yui__dyn_" + (nidx++),
-                "type":    "text/css",
-                "charset": c,
-                "rel":     "stylesheet",
-                "href":    url
-            }, win);
-    };
-
-    /**
-     * Generates a script node
-     * @method _scriptNode
-     * @param url {string} the url for the script file
-     * @param win {Window} optional window to create the node in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _scriptNode = function(url, win, charset) {
-        var c = charset || "utf-8";
-        return _node("script", {
-                "id":      "yui__dyn_" + (nidx++),
-                "type":    "text/javascript",
-                "charset": c,
-                "src":     url
-            }, win);
-    };
-
-    /*
-     * The request failed, execute fail handler with whatever
-     * was accomplished.  There isn't a failure case at the
-     * moment unless you count aborted transactions
-     * @method _fail
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _fail = function(id, msg) {
-
-        Y.log("get failure: " + msg, "warn", "get");
-
-        var q = queues[id];
-        if (q.timer) {
-            q.timer.cancel();
-        }
-
-        // execute failure callback
-        if (q.onFailure) {
-            var sc=q.context || q;
-            q.onFailure.call(sc, _returnData(q, msg));
-        }
-    };
-
-    var _get = function(nId, tId) {
-        var q = queues[tId],
-            n = (L.isString(nId)) ? q.win.document.getElementById(nId) : nId;
-        if (!n) {
-            _fail(tId, "target node not found: " + nId);
-        }
-
-        return n;
-    };
-
-    /**
-     * Removes the nodes for the specified queue
-     * @method _purge
-     * @private
-     */
-    var _purge = function(tId) {
-        var q=queues[tId];
-        if (q) {
-            var n=q.nodes, l=n.length, d=q.win.document, 
-                h=d.getElementsByTagName("head")[0];
-
-            if (q.insertBefore) {
-                var s = _get(q.insertBefore, tId);
-                if (s) {
-                    h = s.parentNode;
-                }
-            }
-
-            for (var i=0; i<l; i=i+1) {
-                h.removeChild(n[i]);
-            }
-        }
-        q.nodes = [];
-    };
-
-    /**
-     * Returns the data payload for callback functions
-     * @method _returnData
-     * @private
-     */
-    var _returnData = function(q, msg) {
-        return {
-                tId: q.tId,
-                win: q.win,
-                data: q.data,
-                nodes: q.nodes,
-                msg: msg,
-                purge: function() {
-                    _purge(this.tId);
-                }
-            };
-    };
-
-
-    /**
-     * The request is complete, so executing the requester's callback
-     * @method _finish
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _finish = function(id) {
-        Y.log("Finishing transaction " + id, "info", "get");
-        var q = queues[id];
-        if (q.timer) {
-            q.timer.cancel();
-        }
-        q.finished = true;
-
-        if (q.aborted) {
-            var msg = "transaction " + id + " was aborted";
-            _fail(id, msg);
-            return;
-        }
-
-        // execute success callback
-        if (q.onSuccess) {
-            var sc=q.context || q;
-            q.onSuccess.call(sc, _returnData(q));
-        }
-    };
-
-    /**
-     * Timeout detected
-     * @method _timeout
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _timeout = function(id) {
-        Y.log("Timeout " + id, "info", "get");
-        var q = queues[id];
-        if (q.onTimeout) {
-            var sc=q.context || q;
-            q.onTimeout.call(sc, _returnData(q));
-        }
-    };
-
-    /**
-     * Loads the next item for a given request
-     * @method _next
-     * @param id {string} the id of the request
-     * @param loaded {string} the url that was just loaded, if any
-     * @private
-     */
-    var _next = function(id, loaded) {
-        Y.log("_next: " + id + ", loaded: " + loaded, "info", "get");
-
-        var q = queues[id];
-
-        if (q.timer) {
-            // Y.log('cancel timer');
-            q.timer.cancel();
-        }
-
-        if (q.aborted) {
-            var msg = "transaction " + id + " was aborted";
-            _fail(id, msg);
-            return;
-        }
-
-        if (loaded) {
-            q.url.shift(); 
-            if (q.varName) {
-                q.varName.shift(); 
-            }
-        } else {
-            // This is the first pass: make sure the url is an array
-            q.url = (L.isString(q.url)) ? [q.url] : q.url;
-            if (q.varName) {
-                q.varName = (L.isString(q.varName)) ? [q.varName] : q.varName;
-            }
-        }
-
-        var w=q.win, d=w.document, h=d.getElementsByTagName("head")[0], n;
-
-        if (q.url.length === 0) {
-            _finish(id);
-            return;
-        } 
-
-        var url = q.url[0];
-        Y.log("attempting to load " + url, "info", "get");
-
-        if (q.timeout) {
-            // Y.log('create timer');
-            q.timer = L.later(q.timeout, q, _timeout, id);
-        }
-
-        if (q.type === "script") {
-            n = _scriptNode(url, w, q.charset);
-        } else {
-            n = _linkNode(url, w, q.charset);
-        }
-
-        // track this node's load progress
-        _track(q.type, n, id, url, w, q.url.length);
-
-        // add the node to the queue so we can return it to the user supplied callback
-        q.nodes.push(n);
-
-        // add it to the head or insert it before 'insertBefore'
-        if (q.insertBefore) {
-            var s = _get(q.insertBefore, id);
-            if (s) {
-                s.parentNode.insertBefore(n, s);
-            }
-        } else {
-            h.appendChild(n);
-        }
-        
-        Y.log("Appending node: " + url, "info", "get");
-
-        // FireFox does not support the onload event for link nodes, so there is
-        // no way to make the css requests synchronous. This means that the css 
-        // rules in multiple files could be applied out of order in this browser
-        // if a later request returns before an earlier one.  Safari too.
-        if ((ua.webkit || ua.gecko) && q.type === "css") {
-            _next(id, url);
-        }
-    };
-
-    /**
-     * Removes processed queues and corresponding nodes
-     * @method _autoPurge
-     * @private
-     */
-    var _autoPurge = function() {
-
-        if (purging) {
-            return;
-        }
-
-        purging = true;
-        for (var i in queues) {
-            if (queues.hasOwnProperty(i)) {
-                var q = queues[i];
-                if (q.autopurge && q.finished) {
-                    _purge(q.tId);
-                    delete queues[i];
-                }
-            }
-        }
-
-        purging = false;
-    };
-
-    /**
-     * Saves the state for the request and begins loading
-     * the requested urls
-     * @method queue
-     * @param type {string} the type of node to insert
-     * @param url {string} the url to load
-     * @param opts the hash of options for this request
-     * @private
-     */
-    var _queue = function(type, url, opts) {
-
-        var id = "q" + (qidx++);
-        opts = opts || {};
-
-        if (qidx % Y.Get.PURGE_THRESH === 0) {
-            _autoPurge();
-        }
-
-        queues[id] = Y.merge(opts, {
-            tId: id,
-            type: type,
-            url: url,
-            finished: false,
-            nodes: []
-        });
-
-        var q = queues[id];
-        q.win = q.win || Y.config.win;
-        q.context = q.context || q;
-        q.autopurge = ("autopurge" in q) ? q.autopurge : 
-                      (type === "script") ? true : false;
-
-        L.later(0, q, _next, id);
-
-        return {
-            tId: id
-        };
-    };
-
-    /**
-     * Detects when a node has been loaded.  In the case of
-     * script nodes, this does not guarantee that contained
-     * script is ready to use.
-     * @method _track
-     * @param type {string} the type of node to track
-     * @param n {HTMLElement} the node to track
-     * @param id {string} the id of the request
-     * @param url {string} the url that is being loaded
-     * @param win {Window} the targeted window
-     * @param qlength the number of remaining items in the queue,
-     * including this one
-     * @param trackfn {Function} function to execute when finished
-     * the default is _next
-     * @private
-     */
-    var _track = function(type, n, id, url, win, qlength, trackfn) {
-        var f = trackfn || _next;
-
-        // IE supports the readystatechange event for script and css nodes
-        // Opera only for script nodes.  Opera support onload for script
-        // nodes, but this doesn't fire when their is a load failure.
-        // The onreadystatechange appears to be a better way to respond
-        // to both success and failure.
-        if (ua.ie) {
-            n.onreadystatechange = function() {
-                var rs = this.readyState;
-                if ("loaded" === rs || "complete" === rs) {
-                    Y.log(id + " onreadstatechange " + url, "info", "get");
-                    f(id, url);
-                }
-            };
-
-        // webkit prior to 3.x is no longer supported
-        } else if (ua.webkit) {
-
-            if (type === "script") {
-                // Safari 3.x supports the load event for script nodes (DOM2)
-                n.addEventListener("load", function() {
-                    Y.log(id + " DOM2 onload " + url, "info", "get");
-                    f(id, url);
-                });
-            } 
-
-        // FireFox and Opera support onload (but not DOM2 in FF) handlers for
-        // script nodes.  Opera, but not FF, supports the onload event for link
-        // nodes.
-        } else { 
-
-            n.onload = function() {
-                Y.log(id + " onload " + url, "info", "get");
-                f(id, url);
-            };
-
-            n.onerror = function(e) {
-                _fail(id, e + ": " + url);
-            };
-        }
-    };
-
-    return {
-
-        /**
-         * The number of request required before an automatic purge.
-         * property PURGE_THRESH
-         * @static
-         * @type int
-         * @default 20
-         */
-        PURGE_THRESH: 20,
-
-        /**
-         * Called by the the helper for detecting script load in Safari
-         * @method _finalize
-         * @static
-         * @param id {string} the transaction id
-         * @private
-         */
-        _finalize: function(id) {
-            Y.log(id + " finalized ", "info", "get");
-            L.later(0, null, _finish, id);
-        },
-
-        /**
-         * Abort a transaction
-         * @method abort
-         * @static
-         * @param o {string|object} Either the tId or the object returned from
-         * script() or css()
-         */
-        abort: function(o) {
-            var id = (L.isString(o)) ? o : o.tId;
-            var q = queues[id];
-            if (q) {
-                Y.log("Aborting " + id, "info", "get");
-                q.aborted = true;
-            }
-        }, 
-
-        /**
-         * Fetches and inserts one or more script nodes into the head
-         * of the current document or the document in a specified window.
-         *
-         * @method script
-         * @static
-         * @param url {string|string[]} the url or urls to the script(s)
-         * @param opts {object} Options: 
-         * <dl>
-         * <dt>onSuccess</dt>
-         * <dd>
-         * callback to execute when the script(s) are finished loading
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>onTimeout</dt>
-         * <dd>
-         * callback to execute when a timeout occurs.
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>onFailure</dt>
-         * <dd>
-         * callback to execute when the script load operation fails
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted successfully</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove any nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>context</dt>
-         * <dd>the execution context for the callbacks</dd>
-         * <dt>win</dt>
-         * <dd>a window other than the one the utility occupies</dd>
-         * <dt>autopurge</dt>
-         * <dd>
-         * setting to true will let the utilities cleanup routine purge 
-         * the script once loaded
-         * </dd>
-         * <dt>data</dt>
-         * <dd>
-         * data that is supplied to the callback when the script(s) are
-         * loaded.
-         * </dd>
-         * <dt>insertBefore</dt>
-         * <dd>node or node id that will become the new node's nextSibling</dd>
-         * </dl>
-         * <dt>charset</dt>
-         * <dd>Node charset, default utf-8</dd>
-         * <dt>timeout</dt>
-         * <dd>Number of milliseconds to wait before aborting and firing the timeout event</dd>
-         * <pre>
-         * &nbsp;&nbsp;Y.Get.script(
-         * &nbsp;&nbsp;["http://yui.yahooapis.com/2.5.2/build/yahoo/yahoo-min.js",
-         * &nbsp;&nbsp;&nbsp;"http://yui.yahooapis.com/2.5.2/build/event/event-min.js"], &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;onSuccess: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;this.log("won't cause error because Y is the context");
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Y.log(o.data); // foo
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Y.log(o.nodes.length === 2) // true
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;// o.purge(); // optionally remove the script nodes immediately
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;onFailure: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Y.log("transaction failed");
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;onTimeout: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Y.log("transaction timed out");
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;data: "foo",
-         * &nbsp;&nbsp;&nbsp;&nbsp;timeout: 10000, // 10 second timeout
-         * &nbsp;&nbsp;&nbsp;&nbsp;context: Y, // make the YUI instance
-         * &nbsp;&nbsp;&nbsp;&nbsp;// win: otherframe // target another window/frame
-         * &nbsp;&nbsp;&nbsp;&nbsp;autopurge: true // allow the utility to choose when to remove the nodes
-         * &nbsp;&nbsp;&#125;);
-         * </pre>
-         * @return {tId: string} an object containing info about the transaction
-         */
-        script: function(url, opts) { 
-            return _queue("script", url, opts); 
-        },
-
-        /**
-         * Fetches and inserts one or more css link nodes into the 
-         * head of the current document or the document in a specified
-         * window.
-         * @method css
-         * @static
-         * @param url {string} the url or urls to the css file(s)
-         * @param opts Options: 
-         * <dl>
-         * <dt>onSuccess</dt>
-         * <dd>
-         * callback to execute when the css file(s) are finished loading
-         * The callback receives an object back with the following
-         * data:
-         * <dl>win</dl>
-         * <dd>the window the link nodes(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>context</dt>
-         * <dd>the execution context for the callbacks</dd>
-         * <dt>win</dt>
-         * <dd>a window other than the one the utility occupies</dd>
-         * <dt>data</dt>
-         * <dd>
-         * data that is supplied to the callbacks when the nodes(s) are
-         * loaded.
-         * </dd>
-         * <dt>insertBefore</dt>
-         * <dd>node or node id that will become the new node's nextSibling</dd>
-         * <dt>charset</dt>
-         * <dd>Node charset, default utf-8</dd>
-         * </dl>
-         * <pre>
-         *      Y.Get.css("http://yui.yahooapis.com/2.3.1/build/menu/assets/skins/sam/menu.css");
-         * </pre>
-         * <pre>
-         * &nbsp;&nbsp;Y.Get.css(
-         * &nbsp;&nbsp;["http://yui.yahooapis.com/2.3.1/build/menu/assets/skins/sam/menu.css",
-         * &nbsp;&nbsp;&nbsp;"http://yui.yahooapis.com/2.3.1/build/logger/assets/skins/sam/logger.css"], &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;insertBefore: 'custom-styles' // nodes will be inserted before the specified node
-         * &nbsp;&nbsp;&#125;);
-         * </pre>
-         * @return {tId: string} an object containing info about the transaction
-         */
-        css: function(url, opts) {
-            return _queue("css", url, opts); 
-        }
-    };
-}();
-
-}, "3.0.0pr1");
-/**
- * Loader dynamically loads script and css files.  It includes the dependency
- * info for the version of the library in use, and will automatically pull in
- * dependencies for the modules requested.  It supports rollup files and will
- * automatically use these when appropriate in order to minimize the number of
- * http connections required to load all of the dependencies.  It can load the
- * files from the Yahoo! CDN, and it can utilize the combo service provided on
- * this network to reduce the number of http connections required to download 
- * YUI files.
- *
- * @module yui
- * @submodule loader
- */
-
-/**
- * Loader dynamically loads script and css files.  It includes the dependency
- * info for the version of the library in use, and will automatically pull in
- * dependencies for the modules requested.  It supports rollup files and will
- * automatically use these when appropriate in order to minimize the number of
- * http connections required to load all of the dependencies.  It can load the
- * files from the Yahoo! CDN, and it can utilize the combo service provided on
- * this network to reduce the number of http connections required to download 
- * YUI files.
- * @class Loader
- * @constructor
- * @param o an optional set of configuration options.  Valid options:
- * <ul>
- *  <li>base:
- *  The base dir</li>
- *  <li>secureBase:
- *  The secure base dir (not implemented)</li>
- *  <li>comboBase:
- *  The YUI combo service base dir. Ex: http://yui.yahooapis.com/combo?</li>
- *  <li>root:
- *  The root path to prepend to module names for the combo service. Ex: 2.5.2/build/</li>
- *  <li>filter:
- *  
- * A filter to apply to result urls.  This filter will modify the default
- * path for all modules.  The default path for the YUI library is the
- * minified version of the files (e.g., event-min.js).  The filter property
- * can be a predefined filter or a custom filter.  The valid predefined 
- * filters are:
- * <dl>
- *  <dt>DEBUG</dt>
- *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
- *      This option will automatically include the logger widget</dd>
- *  <dt>RAW</dt>
- *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
- * </dl>
- * You can also define a custom filter, which must be an object literal 
- * containing a search expression and a replace string:
- * <pre>
- *  myFilter: &#123; 
- *      'searchExp': "-min\\.js", 
- *      'replaceStr': "-debug.js"
- *  &#125;
- * </pre>
- *
- *  </li>
- *  <li>combine:
- *  Use the YUI combo service to reduce the number of http connections required to load your dependencies</li>
- *  <li>ignore:
- *  A list of modules that should never be dynamically loaded</li>
- *  <li>force:
- *  A list of modules that should always be loaded when required, even if already present on the page</li>
- *  <li>insertBefore:
- *  Node or id for a node that should be used as the insertion point for new nodes</li>
- *  <li>charset:
- *  charset for dynamic nodes</li>
- *  <li>timeout:
- *  number of milliseconds before a timeout occurs when dynamically loading nodes.  in not set, there is no timeout</li>
- *  <li>context:
- *  execution context for all callbacks</li>
- *  <li>onSuccess:
- *  callback for the 'success' event</li>
- *  <li>onFailure:
- *  callback for the 'failure' event</li>
- *  <li>onTimeout:
- *  callback for the 'timeout' event</li>
- *  <li>onProgress:
- *  callback executed each time a script or css file is loaded</li>
- *  <li>modules:
- *  A list of module definitions.  See Loader.addModule for the supported module metadata</li>
- * </ul>
- */
-
-// @TODO backed out the custom event changes so that the event system
-// isn't required in the seed build.  If needed, we may want to 
-// add them back if the event system is detected.
-
-/*
- * Executed when the loader successfully completes an insert operation
- * This can be subscribed to normally, or a listener can be passed
- * as an onSuccess config option.
- * @event success
- */
-
-/*
- * Executed when the loader fails to complete an insert operation.
- * This can be subscribed to normally, or a listener can be passed
- * as an onFailure config option.
- *
- * @event failure
- */
-
-/*
- * Executed when a Get operation times out.
- * This can be subscribed to normally, or a listener can be passed
- * as an onTimeout config option.
- *
- * @event timeout
- */
-
-// http://yui.yahooapis.com/combo?2.5.2/build/yahoo/yahoo-min.js&2.5.2/build/dom/dom-min.js&2.5.2/build/event/event-min.js&2.5.2/build/autocomplete/autocomplete-min.js"
-
-YUI.add("loader", function(Y) {
-
-var BASE = 'base', 
-    CSS = 'css',
-    JS = 'js',
-    CSSRESET = 'cssreset',
-    CSSFONTS = 'cssfonts',
-    CSSGRIDS = 'cssgrids',
-    CSSBASE = 'cssbase',
-    CSS_AFTER = [CSSRESET, CSSFONTS, CSSGRIDS, 'cssreset-context', 'cssfonts-context', 'cssgrids-context'],
-    YUI_CSS = ['reset', 'fonts', 'grids', 'base'],
-    VERSION = '3.0.0pr1',
-    ROOT = VERSION + '/build/',
-    CONTEXT = '-context',
-    META = {
-
-    version: VERSION,
-
-    root: ROOT,
-
-    base: 'http://yui.yahooapis.com/' + ROOT,
-
-    comboBase: 'http://yui.yahooapis.com/combo?',
-
-    modules: {
-
-       dom: {
-            requires: ['event'],
-            submodules: {
-                'dom-base': {
-                    requires: ['event']
-                },
-                'dom-style': {
-                    requires: ['dom-base']
-
-                },
-                'dom-screen': {
-                    requires: ['dom-base', 'dom-style']
-                },
-                selector: {
-                    requires: ['dom-base']
-                }
-            }
-        },
-
-        node: {
-            requires: ['dom'],
-            submodules: {
-                'node-base': {
-                    requires: ['dom-base', 'selector']
-                },
-                'node-style': {
-                    requires: ['dom-style', 'node-base']
-                },
-                'node-screen': {
-                    requires: ['dom-screen', 'node-base']
-                }
-            }
-        },
-
-        anim: {
-            requires: [BASE, 'node'],
-            submodules: {
-                'anim-base': {
-                    requires: ['base', 'node-style']
-                },
-                'anim-color': {
-                    requires: ['anim-base']
-                },
-                'anim-curve': {
-                    requires: ['anim-xy']
-                },
-                'anim-easing': {
-                },
-                'anim-scroll': {
-                    requires: ['anim-base']
-                },
-                'anim-xy': {
-                    requires: ['anim-base', 'node-screen']
-                },
-                'anim-node-plugin': {
-                     requires: ['node', 'anim-base']
-                }
-            }
-        },
-
-        attribute: { 
-            requires: ['event']
-        },
-
-        base: {
-            requires: ['attribute']
-        },
-        
-        compat: { 
-            requires: ['node']
-        },
-        
-        cookie: { },
-
-        // Note: CSS attributes are modified programmatically to reduce metadata size
-        // cssbase: {
-        //     after: CSS_AFTER
-        // },
-
-        // cssgrids: {
-        //     requires: [CSSFONTS],
-        //     optional: [CSSRESET]
-        // },
-
-        'dd':{
-            submodules: {
-                'dd-ddm-base': {
-                    requires: ['node', BASE]
-                }, 
-                'dd-ddm':{
-                    requires: ['dd-ddm-base']
-                }, 
-                'dd-ddm-drop':{
-                    requires: ['dd-ddm']
-                }, 
-                'dd-drag':{
-                    requires: ['dd-ddm-base']
-                }, 
-                'dd-drop':{
-                    requires: ['dd-ddm-drop']
-                }, 
-                'dd-proxy':{
-                    requires: ['dd-drag']
-                }, 
-                'dd-constrain':{
-                    requires: ['dd-drag', 'dd-proxy']
-                }, 
-                'dd-plugin':{
-                    requires: ['dd-drag'],
-                    optional: ['dd-constrain', 'dd-proxy']
-                },
-                'dd-drop-plugin':{
-                    requires: ['dd-drop']
-                }
-            }
-        },
-
-        dump: { },
-
-        event: { 
-            requires: ['oop']
-        },
-
-        get: { },
-        
-        io: { 
-            requires: ['node']
-        },
-
-        json: {
-            submodules: {
-                'json-parse': {
-                },
-
-                'json-stringify': {
-                }
-            }
-        },
-
-        loader: { },
-        
-        oop: { 
-            requires: ['yui-base']
-        },
-
-        queue: { },
-
-        substitute: {
-            optional: ['dump']
-        },
-
-        // Since YUI is required for everything else, it should not be specified as
-        // a dependency.
-        yui: {
-            supersedes: ['yui-base', 'get', 'loader']
-        },
-
-        'yui-base': { }
-    }
-};
-
-var _path = function(dir, file, type) {
-    return dir + '/' + file + '-min.' + (type || CSS);
-};
-
-var _cssmeta = function() {
-    var mods = META.modules;
-    // modify the meta info for YUI CSS
-    for (var i=0; i<YUI_CSS.length; i=i+1) {
-        var bname = YUI_CSS[i],
-            mname = CSS + bname;
-
-        mods[mname] = {
-            type: CSS,
-            path: _path(mname, bname)
-        };
-
-        // define -context module
-        var contextname = mname + CONTEXT;
-        bname = bname + CONTEXT;
-
-        mods[contextname] = {
-            type: CSS,
-            path: _path(mname, bname)
-        };
-
-        if (mname == CSSGRIDS) {
-            mods[mname].requires = [CSSFONTS];
-            mods[mname].optional = [CSSRESET];
-            mods[contextname].requires = [CSSFONTS + CONTEXT];
-            mods[contextname].optional = [CSSRESET + CONTEXT];
-        } else if (mname == CSSBASE) {
-            mods[mname].after = CSS_AFTER;
-            mods[contextname].after = CSS_AFTER;
-        }
-    }
-}();
-
-Y.Env.meta = META;
-
-
-    var L=Y.Lang, env=Y.Env,
-        PROV = "_provides", SUPER = "_supersedes",
-        REQ = "expanded";
-
-    Y.Loader = function(o) {
-
-        /**
-         * Internal callback to handle multiple internal insert() calls
-         * so that css is inserted prior to js
-         * @property _internalCallback
-         * @private
-         */
-        this._internalCallback = null;
-
-        /**
-         * Use the YUI environment listener to detect script load.  This
-         * is only switched on for Safari 2.x and below.
-         * @property _useYahooListener
-         * @private
-         */
-        this._useYahooListener = false;
-
-        /**
-         * Callback that will be executed when the loader is finished
-         * with an insert
-         * @method onSuccess
-         * @type function
-         */
-        this.onSuccess = null;
-
-        /**
-         * Callback that will be executed if there is a failure
-         * @method onFailure
-         * @type function
-         */
-        this.onFailure = null;
-
-        /**
-         * Callback executed each time a script or css file is loaded
-         * @method onProgress
-         * @type function
-         */
-        this.onProgress = null;
-
-        /**
-         * Callback that will be executed if a timeout occurs
-         * @method onTimeout
-         * @type function
-         */
-        this.onTimeout = null;
-
-        /**
-         * The execution context for all callbacks
-         * @property context
-         * @default {YUI} the YUI instance
-         */
-        this.context = Y;
-
-        /**
-         * Data that is passed to all callbacks
-         * @property data
-         */
-        this.data = null;
-
-        /**
-         * Node reference or id where new nodes should be inserted before
-         * @property insertBefore
-         * @type string|HTMLElement
-         */
-        this.insertBefore = null;
-
-        /**
-         * The charset attribute for inserted nodes
-         * @property charset
-         * @type string
-         * @default utf-8
-         */
-        this.charset = null;
-
-        /**
-         * The base directory.
-         * @property base
-         * @type string
-         * @default http://yui.yahooapis.com/[YUI VERSION]/build/
-         */
-        this.base = Y.Env.meta.base;
-
-        /**
-         * Base path for the combo service
-         * @property comboBase
-         * @type string
-         * @default http://yui.yahooapis.com/combo?
-         */
-        this.comboBase = Y.Env.meta.comboBase;
-
-        /**
-         * If configured, YUI JS resources will use the combo
-         * handler
-         * @property combine
-         * @type boolean
-         * @default true if a base dir isn't in the config
-         */
-        this.combine = (!(BASE in o));
-
-        /**
-         * Ignore modules registered on the YUI global
-         * @property ignoreRegistered
-         * @default false
-         */
-        this.ignoreRegistered = false;
-
-        /**
-         * Root path to prepend to module path for the combo
-         * service
-         * @property root
-         * @type string
-         * @default [YUI VERSION]/build/
-         */
-        this.root = Y.Env.meta.root;
-
-        /**
-         * Timeout value in milliseconds.  If set, this value will be used by
-         * the get utility.  the timeout event will fire if
-         * a timeout occurs.
-         * @property timeout
-         * @type int
-         */
-        this.timeout = 0;
-
-        /**
-         * A list of modules that should not be loaded, even if
-         * they turn up in the dependency tree
-         * @property ignore
-         * @type string[]
-         */
-        this.ignore = null;
-
-        /**
-         * A list of modules that should always be loaded, even
-         * if they have already been inserted into the page.
-         * @property force
-         * @type string[]
-         */
-        this.force = null;
-
-        /**
-         * Should we allow rollups
-         * @property allowRollup
-         * @type boolean
-         * @default true
-         */
-        this.allowRollup = true;
-
-        /**
-         * A filter to apply to result urls.  This filter will modify the default
-         * path for all modules.  The default path for the YUI library is the
-         * minified version of the files (e.g., event-min.js).  The filter property
-         * can be a predefined filter or a custom filter.  The valid predefined 
-         * filters are:
-         * <dl>
-         *  <dt>DEBUG</dt>
-         *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
-         *      This option will automatically include the logger widget</dd>
-         *  <dt>RAW</dt>
-         *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
-         * </dl>
-         * You can also define a custom filter, which must be an object literal 
-         * containing a search expression and a replace string:
-         * <pre>
-         *  myFilter: &#123; 
-         *      'searchExp': "-min\\.js", 
-         *      'replaceStr': "-debug.js"
-         *  &#125;
-         * </pre>
-         * @property filter
-         * @type string|{searchExp: string, replaceStr: string}
-         */
-        this.filter = null;
-
-        /**
-         * The list of requested modules
-         * @property required
-         * @type {string: boolean}
-         */
-        this.required = {};
-
-        /**
-         * The library metadata
-         * @property moduleInfo
-         */
-        // this.moduleInfo = Y.merge(Y.Env.meta.moduleInfo);
-        this.moduleInfo = {};
-        
-        var defaults = Y.Env.meta.modules;
-
-        for (var i in defaults) {
-            if (defaults.hasOwnProperty(i)) {
-                this._internal = true;
-                this.addModule(defaults[i], i);
-                this._internal = false;
-            }
-        }
-
-        /**
-         * List of rollup files found in the library metadata
-         * @property rollups
-         */
-        this.rollups = null;
-
-        /**
-         * Whether or not to load optional dependencies for 
-         * the requested modules
-         * @property loadOptional
-         * @type boolean
-         * @default false
-         */
-        this.loadOptional = false;
-
-        /**
-         * All of the derived dependencies in sorted order, which
-         * will be populated when either calculate() or insert()
-         * is called
-         * @property sorted
-         * @type string[]
-         */
-        this.sorted = [];
-
-        /**
-         * Set when beginning to compute the dependency tree. 
-         * Composed of what YUI reports to be loaded combined
-         * with what has been loaded by the tool
-         * @propery loaded
-         * @type {string: boolean}
-         */
-        this.loaded = {};
-
-        /**
-         * A list of modules to attach to the YUI instance when complete.
-         * If not supplied, the sorted list of dependencies are applied.
-         * @property attaching
-         */
-        this.attaching = null;
-
-        /**
-         * Flag to indicate the dependency tree needs to be recomputed
-         * if insert is called again.
-         * @property dirty
-         * @type boolean
-         * @default true
-         */
-        this.dirty = true;
-
-        /**
-         * List of modules inserted by the utility
-         * @property inserted
-         * @type {string: boolean}
-         */
-        this.inserted = {};
-
-        this.skipped = {};
-
-        // Y.on('yui:load', this.loadNext, this);
-
-        this._config(o);
-
-    };
-
-    Y.Loader.prototype = {
-
-        FILTERS: {
-            RAW: { 
-                'searchExp': "-min\\.js", 
-                'replaceStr': ".js"
-            },
-            DEBUG: { 
-                'searchExp': "-min\\.js", 
-                'replaceStr': "-debug.js"
-            }
-        },
-
-        _config: function(o) {
-
-            // apply config values
-            if (o) {
-                for (var i in o) {
-                    var val = o[i];
-                    if (o.hasOwnProperty(i)) {
-                        if (i == 'require') {
-                            this.require(val);
-                        // support the old callback syntax
-                        // } else if (i.indexOf('on') === 0) {
-                            // this.subscribe(i.substr(2).toLowerCase(), o[i], o.context || this);
-                        } else if (i == 'modules') {
-                            // add a hash of module definitions
-                            for (var j in val) {
-                                this.addModule(val[j], j);
-                            }
-                        } else {
-                            this[i] = val;
-                        }
-                    }
-                }
-            }
-
-            // fix filter
-            var f = this.filter;
-
-            if (L.isString(f)) {
-
-                f = f.toUpperCase();
-
-                this.filterName = f;
-
-                // the logger must be available in order to use the debug
-                // versions of the library
-                // @TODO review when logreader is available
-                // if (f === "DEBUG") {
-                //     this.require("log");
-                // }
-
-                this.filter = this.FILTERS[f];
-            }
-
-        },
-
-        /** Add a new module to the component metadata.         
-         * <dl>
-         *     <dt>name:</dt>       <dd>required, the component name</dd>
-         *     <dt>type:</dt>       <dd>required, the component type (js or css)</dd>
-         *     <dt>path:</dt>       <dd>required, the path to the script from "base"</dd>
-         *     <dt>requires:</dt>   <dd>array of modules required by this component</dd>
-         *     <dt>optional:</dt>   <dd>array of optional modules for this component</dd>
-         *     <dt>supersedes:</dt> <dd>array of the modules this component replaces</dd>
-         *     <dt>after:</dt>      <dd>array of modules the components which, if present, should be sorted above this one</dd>
-         *     <dt>rollup:</dt>     <dd>the number of superseded modules required for automatic rollup</dd>
-         *     <dt>fullpath:</dt>   <dd>If fullpath is specified, this is used instead of the configured base + path</dd>
-         *     <dt>skinnable:</dt>  <dd>flag to determine if skin assets should automatically be pulled in</dd>
-         *     <dt>submodules:</dt> <dd>a has of submodules</dd>
-         * </dl>
-         * @method addModule
-         * @param o An object containing the module data
-         * @param name the module name (optional), required if not in the module data
-         * @return {boolean} true if the module was added, false if 
-         * the object passed in did not provide all required attributes
-         */
-        addModule: function(o, name) {
-
-            name = name || o.name;
-            o.name = name;
-
-            if (!o || !o.name) {
-                return false;
-            }
-
-            if (!o.type) {
-                o.type = JS;
-            }
-
-            if (!o.path && !o.fullpath) {
-                // o.path = name + "/" + name + "-min." + o.type;
-                o.path = _path(name, name, o.type);
-            }
-
-            o.ext = ('ext' in o) ? o.ext : (this._internal) ? false : true;
-            o.requires = o.requires || [];
-
-            // Y.log('New module ' + name);
-
-            // Handle submodule logic
-            var subs = o.submodules;
-            if (subs) {
-                var sup = [], l=0;
-
-                for (var i in subs) {
-                    var s = subs[i];
-                    s.path = _path(name, i, o.type);
-                    this.addModule(s, i);
-                    sup.push(i);
-                    l++;
-                }
-
-                o.supersedes = sup;
-                o.rollup = Math.min(l-1, 4);
-            }
-
-            this.moduleInfo[name] = o;
-            this.dirty = true;
-
-            return o;
-        },
-
-        /**
-         * Add a requirement for one or more module
-         * @method require
-         * @param what {string[] | string*} the modules to load
-         */
-        require: function(what) {
-            var a = (typeof what === "string") ? arguments : what;
-            this.dirty = true;
-            Y.mix(this.required, Y.Array.hash(a));
-        },
-
-        /**
-         * Returns an object containing properties for all modules required
-         * in order to load the requested module
-         * @method getRequires
-         * @param mod The module definition from moduleInfo
-         */
-        getRequires: function(mod) {
-
-            if (!mod) {
-                // Y.log('getRequires, no module');
-                return [];
-            }
-
-            if (!this.dirty && mod.expanded) {
-                // Y.log('already expanded');
-                return mod.expanded;
-            }
-
-            var i, d=[], r=mod.requires, o=mod.optional, 
-                info=this.moduleInfo, m, j, add;
-
-            for (i=0; i<r.length; i=i+1) {
-                // Y.log(mod.name + ' requiring ' + r[i]);
-                d.push(r[i]);
-                m = this.getModule(r[i]);
-                add = this.getRequires(m);
-                for (j=0;j<add.length;j=j+1) {
-                    d.push(add[j]);
-                }
-            }
-
-            // get the requirements from superseded modules, if any
-            r=mod.supersedes;
-            if (r) {
-                for (i=0; i<r.length; i=i+1) {
-                    // Y.log(mod.name + ' requiring ' + r[i]);
-                    d.push(r[i]);
-                    m = this.getModule(r[i]);
-                    add = this.getRequires(m);
-                    for (j=0;j<add.length;j=j+1) {
-                        d.push(add[j]);
-                    }
-                }
-            }
-
-            if (o && this.loadOptional) {
-                for (i=0; i<o.length; i=i+1) {
-                    d.push(o[i]);
-                    add = this.getRequires(info[o[i]]);
-                    for (j=0;j<add.length;j=j+1) {
-                        d.push(add[j]);
-                    }
-                }
-            }
-
-            mod.expanded = Y.Object.keys(Y.Array.hash(d));
-
-            // Y.log(mod.expanded);
-
-            return mod.expanded;
-        },
-
-
-        /**
-         * Returns an object literal of the modules the supplied module satisfies
-         * @method getProvides
-         * @param name{string} The name of the module
-         * @param notMe {string} don't add this module name, only include superseded modules
-         * @return what this module provides
-         */
-        getProvides: function(name, notMe) {
-            var addMe = !(notMe), ckey = (addMe) ? PROV : SUPER,
-                m = this.getModule(name), o = {};
-
-            if (!m) {
-                return o;
-            }
-
-            if (m[ckey]) {
-// Y.log('cached: ' + name + ' ' + ckey + ' ' + L.dump(this.moduleInfo[name][ckey], 0));
-                return m[ckey];
-            }
-
-            var s = m.supersedes, done={}, me = this;
-
-            // use worker to break cycles
-            var add = function(mm) {
-                if (!done[mm]) {
-                    // Y.log(name + ' provides worker trying: ' + mm);
-                    done[mm] = true;
-                    // we always want the return value normal behavior 
-                    // (provides) for superseded modules.
-                    Y.mix(o, me.getProvides(mm));
-                } 
-                
-                // else {
-                // Y.log(name + ' provides worker skipping done: ' + mm);
-                // }
-            };
-
-            // calculate superseded modules
-            if (s) {
-                for (var i=0; i<s.length; i=i+1) {
-                    add(s[i]);
-                }
-            }
-
-            // supersedes cache
-            m[SUPER] = o;
-            // provides cache
-            m[PROV] = Y.merge(o);
-            m[PROV][name] = true;
-
-// Y.log(name + " supersedes " + L.dump(m[SUPER], 0));
-// Y.log(name + " provides " + L.dump(m[PROV], 0));
-
-            return m[ckey];
-        },
-
-
-        /**
-         * Calculates the dependency tree, the result is stored in the sorted 
-         * property
-         * @method calculate
-         * @param o optional options object
-         */
-        calculate: function(o) {
-            if (o || this.dirty) {
-                this._config(o);
-                this._setup();
-                this._explode();
-                if (this.allowRollup) {
-                    this._rollup();
-                }
-                this._reduce();
-                this._sort();
-
-                // Y.log("after calculate: " + this.sorted);
-
-                this.dirty = false;
-            }
-        },
-
-        /**
-         * Investigates the current YUI configuration on the page.  By default,
-         * modules already detected will not be loaded again unless a force
-         * option is encountered.  Called by calculate()
-         * @method _setup
-         * @private
-         */
-        _setup: function() {
-
-            var info = this.moduleInfo, name, i, j;
-
-            var l = Y.merge(this.inserted); // shallow clone
-
-            // available modules
-            if (!this.ignoreRegistered) {
-                Y.mix(l, YUI.Env.mods);
-            }
-            
-            // Y.log("Already loaded stuff: " + L.dump(l, 0));
-
-            // add the ignore list to the list of loaded packages
-            if (this.ignore) {
-                // OU.appendArray(l, this.ignore);
-                Y.mix(l, Y.Array.hash(this.ignore));
-            }
-
-            // expand the list to include superseded modules
-            for (j in l) {
-                // Y.log("expanding: " + j);
-                if (l.hasOwnProperty(j)) {
-                    Y.mix(l, this.getProvides(j));
-                }
-            }
-
-            // remove modules on the force list from the loaded list
-            if (this.force) {
-                for (i=0; i<this.force.length; i=i+1) {
-                    if (this.force[i] in l) {
-                        delete l[this.force[i]];
-                    }
-                }
-            }
-
-            // Y.log("loaded expanded: " + L.dump(l, 0));
-
-            this.loaded = l;
-
-        },
-        
-
-        /**
-         * Inspects the required modules list looking for additional 
-         * dependencies.  Expands the required list to include all 
-         * required modules.  Called by calculate()
-         * @method _explode
-         * @private
-         */
-        _explode: function() {
-
-            var r=this.required, i, mod;
-
-            for (i in r) {
-                if (r.hasOwnProperty(i)) {
-                    mod = this.getModule(i);
-                    // Y.log('exploding ' + i);
-
-                    var req = this.getRequires(mod);
-
-                    if (req) {
-                        // Y.log('via explode: ' + req);
-                        Y.mix(r, Y.Array.hash(req));
-                    }
-                }
-            }
-        },
-
-        getModule: function(name) {
-
-            var m = this.moduleInfo[name];
-
-            // create the default module
-            // if (!m) {
-                // Y.log('Module does not exist: ' + name + ', creating with defaults');
-                // m = this.addModule({ext: false}, name);
-            // }
-
-            return m;
-        },
-
-        /**
-         * Look for rollup packages to determine if all of the modules a
-         * rollup supersedes are required.  If so, include the rollup to
-         * help reduce the total number of connections required.  Called
-         * by calculate()
-         * @method _rollup
-         * @private
-         */
-        _rollup: function() {
-            var i, j, m, s, rollups={}, r=this.required, roll,
-                info = this.moduleInfo;
-
-            // find and cache rollup modules
-            if (this.dirty || !this.rollups) {
-                for (i in info) {
-                    if (info.hasOwnProperty(i)) {
-                        m = this.getModule(i);
-                        // if (m && m.rollup && m.supersedes) {
-                        if (m && m.rollup) {
-                            rollups[i] = m;
-                        }
-                    }
-                }
-
-                this.rollups = rollups;
-            }
-
-            // make as many passes as needed to pick up rollup rollups
-            for (;;) {
-                var rolled = false;
-
-                // go through the rollup candidates
-                for (i in rollups) { 
-
-                    // there can be only one
-                    if (!r[i] && !this.loaded[i]) {
-                        m =this.getModule(i); s = m.supersedes ||[]; roll=false;
-
-                        if (!m.rollup) {
-                            continue;
-                        }
-
-                        var c=0;
-
-                        // check the threshold
-                        for (j=0;j<s.length;j=j+1) {
-
-                            // if the superseded module is loaded, we can't load the rollup
-                            // if (this.loaded[s[j]] && (!_Y.dupsAllowed[s[j]])) {
-                            if (this.loaded[s[j]]) {
-                                roll = false;
-                                break;
-                            // increment the counter if this module is required.  if we are
-                            // beyond the rollup threshold, we will use the rollup module
-                            } else if (r[s[j]]) {
-                                c++;
-                                roll = (c >= m.rollup);
-                                if (roll) {
-                                    // Y.log("over thresh " + c + ", " + L.dump(r));
-                                    break;
-                                }
-                            }
-                        }
-
-                        if (roll) {
-                            // Y.log("rollup: " +  i + ", " + L.dump(this, 1));
-                            // add the rollup
-                            r[i] = true;
-                            rolled = true;
-
-                            // expand the rollup's dependencies
-                            this.getRequires(m);
-                        }
-                    }
-                }
-
-                // if we made it here w/o rolling up something, we are done
-                if (!rolled) {
-                    break;
-                }
-            }
-        },
-
-        /**
-         * Remove superceded modules and loaded modules.  Called by
-         * calculate() after we have the mega list of all dependencies
-         * @method _reduce
-         * @private
-         */
-        _reduce: function() {
-
-            var i, j, s, m, r=this.required;
-            for (i in r) {
-
-                // remove if already loaded
-                if (i in this.loaded) { 
-                    delete r[i];
-
-                // remove anything this module supersedes
-                } else {
-
-                     m = this.getModule(i);
-                     s = m && m.supersedes;
-                     if (s) {
-                         for (j=0; j<s.length; j=j+1) {
-                             if (s[j] in r) {
-                                 delete r[s[j]];
-                             }
-                         }
-                     }
-                }
-            }
-        },
-
-        _attach: function() {
-
-            // this is the full list of items the YUI needs attached,
-            // which is needed if some dependencies are already on
-            // the page without their dependencies.
-            if (this.attaching) {
-                Y.log('attaching Y supplied deps: ' + this.attaching, "info", "loader");
-                Y._attach(this.attaching);
-            } else {
-                Y.log('attaching sorted list: ' + this.sorted, "info", "loader");
-                Y._attach(this.sorted);
-            }
-
-            this._pushEvents();
-
-        },
-
-        _onSuccess: function() {
-
-            this._attach();
-
-            for (var i in this.skipped) {
-                delete this.inserted[i];
-            }
-
-            this.skipped = {};
-
-            // this.fire('success', {
-            //     data: this.data
-            // });
-
-            var f = this.onSuccess;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'success',
-                    data: this.data,
-                    success: true
-                });
-            }
-
-        },
-
-        _onFailure: function(msg) {
-            this._attach();
-            // this.fire('failure', {
-            //     msg: 'operation failed: ' + msg,
-            //     data: this.data
-            // });
-
-            var f = this.onFailure;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'failure: ' + msg,
-                    data: this.data,
-                    success: false
-                });
-            }
-        },
-
-        _onTimeout: function() {
-            this._attach();
-
-            // this.fire('timeout', {
-            //     data: this.data
-            // });
-
-            var f = this.onTimeout;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'timeout',
-                    data: this.data,
-                    success: false
-                });
-            }
-        },
-        
-        /**
-         * Sorts the dependency tree.  The last step of calculate()
-         * @method _sort
-         * @private
-         */
-        _sort: function() {
-            // create an indexed list
-            var s=Y.Object.keys(this.required), info=this.moduleInfo, loaded=this.loaded,
-                me = this;
-
-            // returns true if b is not loaded, and is required
-            // directly or by means of modules it supersedes.
-            var requires = function(aa, bb) {
-
-                var mm=info[aa];
-
-                if (loaded[bb] || !mm) {
-                    return false;
-                }
-
-                var ii, rr = mm.expanded, 
-                    after = mm.after, other=info[bb];
-
-                // check if this module requires the other directly
-                if (rr && Y.Array.indexOf(rr, bb) > -1) {
-                    return true;
-                }
-
-                // check if this module should be sorted after the other
-                if (after && Y.Array.indexOf(after, bb) > -1) {
-                    return true;
-                }
-
-                // check if this module requires one the other supersedes
-                var ss=info[bb] && info[bb].supersedes;
-                if (ss) {
-                    for (ii=0; ii<ss.length; ii=ii+1) {
-                        if (requires(aa, ss[ii])) {
-                            return true;
-                        }
-                    }
-                }
-
-                // external css files should be sorted below yui css
-                if (mm.ext && mm.type == CSS && (!other.ext)) {
-                    return true;
-                }
-
-                return false;
-            };
-
-            // pointer to the first unsorted item
-            var p=0; 
-
-            // keep going until we make a pass without moving anything
-            for (;;) {
-               
-                var l=s.length, a, b, j, k, moved=false;
-
-                // start the loop after items that are already sorted
-                for (j=p; j<l; j=j+1) {
-
-                    // check the next module on the list to see if its
-                    // dependencies have been met
-                    a = s[j];
-
-                    // check everything below current item and move if we
-                    // find a requirement for the current item
-                    for (k=j+1; k<l; k=k+1) {
-                        if (requires(a, s[k])) {
-
-                            // extract the dependency so we can move it up
-                            b = s.splice(k, 1);
-
-                            // insert the dependency above the item that 
-                            // requires it
-                            s.splice(j, 0, b[0]);
-
-                            moved = true;
-                            break;
-                        }
-                    }
-
-                    // jump out of loop if we moved something
-                    if (moved) {
-                        break;
-                    // this item is sorted, move our pointer and keep going
-                    } else {
-                        p = p + 1;
-                    }
-                }
-
-                // when we make it here and moved is false, we are 
-                // finished sorting
-                if (!moved) {
-                    break;
-                }
-
-            }
-
-            this.sorted = s;
-        },
-
-        /**
-         * inserts the requested modules and their dependencies.  
-         * <code>type</code> can be "js" or "css".  Both script and 
-         * css are inserted if type is not provided.
-         * @method insert
-         * @param o optional options object
-         * @param type {string} the type of dependency to insert
-         */
-        insert: function(o, type) {
-
-            Y.log('Insert() ' + (type || ''), "info", "loader");
-
-            // build the dependency list
-            this.calculate(o);
-
-            if (!type) {
-                // Y.log("trying to load css first");
-                var self = this;
-                this._internalCallback = function() {
-                            self._internalCallback = null;
-                            self.insert(null, JS);
-                        };
-                this.insert(null, CSS);
-                return;
-            }
-
-            // set a flag to indicate the load has started
-            this._loading = true;
-
-            // flag to indicate we are done with the combo service
-            // and any additional files will need to be loaded
-            // individually
-            this._combineComplete = false;
-
-            // keep the loadType (js, css or undefined) cached
-            this.loadType = type;
-
-            // start the load
-            this.loadNext();
-
-        },
-
-        /**
-         * Executed every time a module is loaded, and if we are in a load
-         * cycle, we attempt to load the next script.  Public so that it
-         * is possible to call this if using a method other than
-         * Y.register to determine when scripts are fully loaded
-         * @method loadNext
-         * @param mname {string} optional the name of the module that has
-         * been loaded (which is usually why it is time to load the next
-         * one)
-         */
-        loadNext: function(mname) {
-
-            // It is possible that this function is executed due to something
-            // else one the page loading a YUI module.  Only react when we
-            // are actively loading something
-            if (!this._loading) {
-                return;
-            }
-
-            var s, len, i, m, url, self=this;
-
-            // @TODO this will need to handle the two phase insert when
-            // CSS support is added
-            if (this.loadType !== CSS && this.combine && (!this._combineComplete)) {
-
-                this._combining = []; 
-                s=this.sorted;
-                len=s.length;
-                url=this.comboBase;
-
-                for (i=0; i<len; i=i+1) {
-                    m = this.getModule(s[i]);
-// @TODO we can't combine CSS yet until we deliver files with absolute paths to the assets
-                    // Do not try to combine non-yui JS
-                    if (m.type == JS && !m.ext) {
-                        url += this.root + m.path;
-                        if (i < len-1) {
-                            url += '&';
-                        }
-
-                        this._combining.push(s[i]);
-                    }
-                }
-
-                if (this._combining.length) {
-
-Y.log('Attempting to combine: ' + this._combining, "info", "loader");
-
-                    var callback=function(o) {
-                        Y.log('Combo complete: ' + o.data, "info", "loader");
-                        this._combineComplete = true;
-
-
-                        var c=this._combining, len=c.length, i, m;
-                        for (i=0; i<len; i=i+1) {
-                            this.inserted[c[i]] = true;
-                        }
-
-                        this.loadNext(o.data);
-                    };
-
-                    // @TODO get rid of the redundant Get code
-                    Y.Get.script(url, {
-                        data: this._loading,
-                        onSuccess: callback,
-                        onFailure: this._onFailure,
-                        onTimeout: this._onTimeout,
-                        insertBefore: this.insertBefore,
-                        charset: this.charset,
-                        timeout: this.timeout,
-                        context: self 
-                    });
-
-                    return;
-
-                } else {
-                    this._combineComplete = true;
-                }
-            }
-
-            if (mname) {
-
-                // if the module that was just loaded isn't what we were expecting,
-                // continue to wait
-                if (mname !== this._loading) {
-                    return;
-                }
-
-Y.log("loadNext executing, just loaded " + mname || "", "info", "loader");
-
-                // The global handler that is called when each module is loaded
-                // will pass that module name to this function.  Storing this
-                // data to avoid loading the same module multiple times
-                this.inserted[mname] = true;
-
-                // this.fire('progress', {
-                //     name: mname,
-                //     data: this.data
-                // });
-                if (this.onProgress) {
-                    this.onProgress.call(this.context, {
-                            name: mname,
-                            data: this.data
-                        });
-                }
-
-
-            }
-
-            s=this.sorted;
-            len=s.length;
-
-            for (i=0; i<len; i=i+1) {
-
-                // this.inserted keeps track of what the loader has loaded.
-                // move on if this item is done.
-                if (s[i] in this.inserted) {
-                    // Y.log(s[i] + " alread loaded ");
-                    continue;
-                }
-
-                // Because rollups will cause multiple load notifications
-                // from Y, loadNext may be called multiple times for
-                // the same module when loading a rollup.  We can safely
-                // skip the subsequent requests
-                if (s[i] === this._loading) {
-                    Y.log("still loading " + s[i] + ", waiting", "info", "loader");
-                    return;
-                }
-
-                // log("inserting " + s[i]);
-                m = this.getModule(s[i]);
-
-                if (!m) {
-
-                    var msg = "Undefined module " + s[i] + " skipped";
-                    Y.log(msg, 'warn', 'loader');
-                    this.inserted[s[i]] = true;
-                    this.skipped[s[i]] = true;
-                    continue;
-
-                    // this.fire('failure', {
-                        // msg: msg,
-                        // data: this.data
-                    // });
-                }
-
-
-                // The load type is stored to offer the possibility to load
-                // the css separately from the script.
-                if (!this.loadType || this.loadType === m.type) {
-                    this._loading = s[i];
-                    Y.log("attempting to load " + s[i] + ", " + this.base, "info", "loader");
-
-                    var fn=(m.type === CSS) ? Y.Get.css : Y.Get.script,
-                        onsuccess=function(o) {
-                            // Y.log('loading next, just loaded' + o.data);
-                            self.loadNext(o.data);
-                        };
-                        
-                    url=m.fullpath || this._url(m.path, s[i]);
-                    self=this; 
-
-                    fn(url, {
-                        data: s[i],
-                        onSuccess: onsuccess,
-                        insertBefore: this.insertBefore,
-                        charset: this.charset,
-                        onFailure: this._onFailure,
-                        onTimeout: this._onTimeout,
-                        timeout: this.timeout,
-                        context: self 
-                    });
-
-                    return;
-                }
-            }
-
-            // we are finished
-            this._loading = null;
-
-            // internal callback for loading css first
-            if (this._internalCallback) {
-                // Y.log('loader internal');
-
-                var f = this._internalCallback;
-                this._internalCallback = null;
-                f.call(this);
-
-            // } else if (this.onSuccess) {
-            } else {
-                // Y.log('loader complete');
-
-                // call Y.use passing this instance. Y will use the sorted
-                // dependency list.
-
-                this._onSuccess();
-
-            }
-
-        },
-
-        /**
-         * In IE, the onAvailable/onDOMReady events need help when Event is
-         * loaded dynamically
-         * @method _pushEvents
-         * @param {Function} optional function reference
-         * @private
-         */
-        _pushEvents: function() {
-            if (Y.Event) {
-                Y.Event._load();
-            }
-        },
-
-        /**
-         * Generates the full url for a module
-         * method _url
-         * @param path {string} the path fragment
-         * @return {string} the full url
-         * @private
-         */
-        _url: function(path, name) {
-            
-            var u = (this.base || "") + path, 
-                f = this.filter;
-
-            if (f) {
-                var useFilter = true;
-
-                if (this.filterName == "DEBUG") {
-                
-                    var self = this, 
-                        exc = self.logExclude,
-                        inc = self.logInclude;
-                    if (inc && !(name in inc)) {
-                        useFilter = false;
-                    } else if (exc && (name in exc)) {
-                        useFilter = false;
-                    }
-
-                }
-                
-                // Y.log("filter: " + f + ", " + f.searchExp + 
-                // ", " + f.replaceStr);
-                if (useFilter) {
-                    u = u.replace(new RegExp(f.searchExp), f.replaceStr);
-                }
-            }
-
-            // Y.log(u);
-
-            return u;
-        }
-
-    };
-
-    // Y.augment(Y.Loader, Y.Event.Target);
-
-}, "3.0.0pr1");
-/*
- * YUI initializer
- * @module yui
- * @submodule init
- */
-(function() {
-
-    var min = ['yui-base', 'log', 'lang', 'array', 'core'], core,
-
-    M = function(Y) {
-
-        var C = Y.config;
-
-        // apply the minimal required functionality
-        Y.use.apply(Y, min);
-
-        Y.log(Y.id + ' initialized', 'info', 'yui');
-
-        if (C.core) {
-
-            core = C.core;
-
-        } else {
-
-            core = ["object", "ua", "later"];
-
-            core.push(
-              "get", 
-              "loader");
-        }
-
-        Y.use.apply(Y, core);
-
-    };
-     
-    YUI.add("yui", M, "3.0.0pr1");
-    
-    // {
-        // the following will be bound automatically when this code is loaded
-      //   use: core
-    // });
-
-})();

=== removed file 'loggerhead/static/javascript/yui/build/yui/yui-min.js'
--- loggerhead/static/javascript/yui/build/yui/yui-min.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/yui/yui-min.js	1970-01-01 00:00:00 +0000
@@ -1,10 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-(function(){var D={},B={"io.xdrReady":1,"io.start":1,"io.success":1,"io.failure":1,"io.abort":1};if(typeof YUI==="undefined"||!YUI){YUI=function(G){var F=this;if(F==window){return new YUI(G);}else{F._init(G);F._setup();return F;}};}YUI.prototype={_init:function(G){G=G||{};var F=(G.win)?(G.win.contentWindow):G.win||window;G.win=F;G.doc=F.document;G.debug=("debug" in G)?G.debug:true;G.useConsole=("useConsole" in G)?G.useConsole:true;this.config=G;this.Env={mods:{},_idx:0,_pre:"yuid",_used:{},_attached:{},_yidx:0,_uidx:0};if(YUI.Env){this.Env._yidx=++YUI.Env._idx;this.id=this.stamp(this);D[this.id]=this;}this.constructor=YUI;},_setup:function(F){this.use("yui");this.config=this.merge(this.config);},applyTo:function(L,K,H){if(!(K in B)){this.fail(K+": applyTo not allowed");return null;}var G=D[L];if(G){var J=K.split("."),F=G;for(var I=0;I<J.length;I=I+1){F=F[J[I]];if(!F){this.fail("applyTo not found: "+K);}}return F.apply(G,H);}return null;},add:function(H,J,G,I){var F={name:H,fn:J,version:G,details:I||{}};YUI.Env.mods[H]=F;return this;},_attach:function(G,K){var Q=YUI.Env.mods,H=this.Env._attached;for(var N=0,L=G.length;N<L;N=N+1){var I=G[N],J=Q[I],M;if(!H[I]&&J){H[I]=true;var O=J.details,P=O.requires,F=O.use;if(P){this._attach(this.Array(P));}if(J.fn){J.fn(this);}if(F){this._attach(this.Array(F));}}}},use:function(){var G=this,P=Array.prototype.slice.call(arguments,0),S=YUI.Env.mods,T=G.Env._used,Q,K=P[0],I=false,R=P[P.length-1];if(typeof R==="function"){P.pop();G.Env._callback=R;}else{R=null;}if(K==="*"){P=[];for(var L in S){if(S.hasOwnProperty(L)){P.push(L);}}return G.use.apply(G,P);}if(G.Loader){I=true;Q=new G.Loader(G.config);Q.require(P);Q.ignoreRegistered=true;Q.calculate();P=Q.sorted;}var N=[],F=[],O=function(X){if(T[X]){return ;}var U=S[X],W,Y,V;if(U){T[X]=true;Y=U.details.requires;V=U.details.use;}else{N.push(X);}if(Y){if(G.Lang.isString(Y)){O(Y);}else{for(W=0;W<Y.length;W=W+1){O(Y[W]);}}}F.push(X);};for(var M=0,J=P.length;M<J;M=M+1){O(P[M]);}var H=function(V){V=V||{success:true,msg:"not dynamic"};if(G.Env._callback){var U=G.Env._callback;G.Env._callback=null;U(G,V);}if(G.fire){G.fire("yui:load",G,V);}};if(G.Loader&&N.length){Q=new G.Loader(G.config);Q.onSuccess=H;Q.onFailure=H;Q.onTimeout=H;Q.attaching=P;Q.require(N);Q.insert();}else{G._attach(F);H();}return G;},namespace:function(){var F=arguments,J=null,H,G,I;for(H=0;H<F.length;H=H+1){I=F[H].split(".");J=this;for(G=(I[0]=="YUI")?1:0;G<I.length;G=G+1){J[I[G]]=J[I[G]]||{};J=J[I[G]];}}return J;},log:function(){},fail:function(H,G){var F=this;F.log(H,"error");if(this.config.throwFail){throw G||new Error(H);}return this;},guid:function(H){var G=this.Env,F=(H)||G._pre;return F+"-"+G._yidx+"-"+G._uidx++;},stamp:function(G){if(!G){return G;}var F=(typeof G==="string")?G:G._yuid;if(!F){F=this.guid();G._yuid=F;}return F;}};var E=YUI,C=E.prototype,A;for(A in C){if(true){E[A]=C[A];}}E._init();})();YUI.add("yui-base",null,"3.0.0pr1");YUI.add("log",function(A){A.log=function(D,J,B){var C=A,I=C.config,K=C.Env._eventstack,G=(K&&K.logging);if(I.debug&&!G){if(B){var L=I.logExclude,F=I.logInclude;if(F&&!(B in F)){G=true;}else{if(L&&(B in L)){G=true;}}}if(!G){if(I.useConsole&&typeof console!="undefined"){var H=(J&&console[J])?J:"log",E=(B)?B+": "+D:D;console[H](E);}if(C.fire&&!G){C.fire("yui:log",D,J,B);}}}return C;};},"3.0.0pr1");YUI.add("lang",function(D){D.Lang=D.Lang||{};var A=D.Lang,C="splice",B="length";A.isArray=function(E){if(E){return(E[C]&&A.isNumber(E[B]));}return false;};A.isBoolean=function(E){return typeof E==="boolean";};A.isFunction=function(E){return typeof E==="function";};A.isDate=function(E){return E instanceof Date;};A.isNull=function(E){return E===null;};A.isNumber=function(E){return typeof E==="number"&&isFinite(E);};A.isObject=function(F,E){return(F&&(typeof F==="object"||(!E&&A.isFunction(F))))||false;};A.isString=function(E){return typeof E==="string";};A.isUndefined=function(E){return typeof E==="undefined";};A.trim=function(E){try{return E.replace(/^\s+|\s+$/g,"");}catch(F){return E;}};A.isValue=function(E){return(A.isObject(E)||A.isString(E)||A.isNumber(E)||A.isBoolean(E));};},"3.0.0pr1");YUI.add("array",function(E){var C=E.Lang,D=Array.prototype;E.Array=function(H,F,G){var A=(G)?2:E.Array.test(H);switch(A){case 1:return(F)?H.slice(H,F):H;case 2:return D.slice.call(H,F||0);default:return[H];}};var B=E.Array;B.test=function(G){var F=0;if(C.isObject(G,true)){if(C.isArray(G)){F=1;}else{try{if("length" in G&&!("tagName" in G)&&!("alert" in G)){F=2;}}catch(A){}}}return F;};B.each=(D.forEach)?function(A,F,G){D.forEach.call(A,F,G||E);return E;}:function(F,H,I){var A=F.length,G;for(G=0;G<A;G=G+1){H.call(I||E,F[G],G,F);}return E;};B.hash=function(G,F){var J={},A=G.length,I=F&&F.length,H;for(H=0;H<A;H=H+1){J[G[H]]=(I&&I>H)?F[H]:true;}return J;};B.indexOf=function(A,G){for(var F=0;F<A.length;F=F+1){if(A[F]===G){return F;}}return -1;};},"3.0.0pr1");YUI.add("core",function(H){var D=H.Lang,C=H.Array,B=Object.prototype,G=["toString","valueOf"],F="prototype",E=(H.UA&&H.UA.ie)?function(L,K,I){for(var J=0,A=G;J<A.length;J=J+1){var N=A[J],M=K[N];if(D.isFunction(M)&&M!=B[N]){if(!I||(N in I)){L[N]=M;}}}}:function(){};H.merge=function(){var I=arguments,K={};for(var J=0,A=I.length;J<A;J=J+1){H.mix(K,I[J],true);}return K;};H.mix=function(A,R,J,Q,M,O){if(!R||!A){return H;}var P=(Q&&Q.length)?C.hash(Q):null,K=O,N=function(U,T,X,W){var S=K&&D.isArray(U);for(var V in T){if(F===V||"_yuid"===V){continue;}if(!P||W||(V in P)){if(K&&D.isObject(U[V],true)){N(U[V],T[V],X,true);}else{if(!S&&(J||!(V in U))){U[V]=T[V];}else{if(S){U.push(T[V]);}}}}}E(U,T,P);};var L=A.prototype,I=R.prototype;switch(M){case 1:N(L,I,true);break;case 2:N(A,R);N(L,I,true);break;case 3:N(A,I,true);break;case 4:N(L,R);break;default:N(A,R);}return A;};},"3.0.0pr1");YUI.add("object",function(C){C.Object=function(E){var D=function(){};D.prototype=E;return new D();};var B=C.Object,A=C.Lang;B.owns=function(E,D){return(E&&E.hasOwnProperty)?E.hasOwnProperty(D):false;};B.keys=function(F){var D=[],E;
-for(E in F){if(F.hasOwnProperty(E)){D.push(E);}}return D;};B.each=function(H,G,I,F){var E=I||C;for(var D in H){if(F||H.hasOwnProperty(D)){G.call(E,H[D],D,H);}}return C;};},"3.0.0pr1");YUI.add("ua",function(A){A.UA=function(){var D={ie:0,opera:0,gecko:0,webkit:0,mobile:null};var C=navigator.userAgent,B;if((/KHTML/).test(C)){D.webkit=1;}B=C.match(/AppleWebKit\/([^\s]*)/);if(B&&B[1]){D.webkit=parseFloat(B[1]);if(/ Mobile\//.test(C)){D.mobile="Apple";}else{B=C.match(/NokiaN[^\/]*/);if(B){D.mobile=B[0];}}}if(!D.webkit){B=C.match(/Opera[\s\/]([^\s]*)/);if(B&&B[1]){D.opera=parseFloat(B[1]);B=C.match(/Opera Mini[^;]*/);if(B){D.mobile=B[0];}}else{B=C.match(/MSIE\s([^;]*)/);if(B&&B[1]){D.ie=parseFloat(B[1]);}else{B=C.match(/Gecko\/([^\s]*)/);if(B){D.gecko=1;B=C.match(/rv:([^\s\)]*)/);if(B&&B[1]){D.gecko=parseFloat(B[1]);}}}}}return D;}();},"3.0.0pr1");YUI.add("later",function(C){var A=C.Lang;var B=function(K,E,L,G,H){K=K||0;E=E||{};var F=L,J=G,I,D;if(A.isString(L)){F=E[L];}if(!F){C.fail("method undefined");}if(!A.isArray(J)){J=[G];}I=function(){F.apply(E,J);};D=(H)?setInterval(I,K):setTimeout(I,K);return{interval:H,cancel:function(){if(this.interval){clearInterval(D);}else{clearTimeout(D);}}};};C.later=B;A.later=B;},"3.0.0pr1");YUI.add("get",function(C){var B=C.UA,A=C.Lang;C.Get=function(){var K={},I=0,D=0,R=false;var T=function(X,U,Y){var V=Y||C.config.win,Z=V.document,a=Z.createElement(X);for(var W in U){if(U[W]&&C.Object.owns(U,W)){a.setAttribute(W,U[W]);}}return a;};var Q=function(U,V,X){var W=X||"utf-8";return T("link",{"id":"yui__dyn_"+(D++),"type":"text/css","charset":W,"rel":"stylesheet","href":U},V);};var P=function(U,V,X){var W=X||"utf-8";return T("script",{"id":"yui__dyn_"+(D++),"type":"text/javascript","charset":W,"src":U},V);};var S=function(X,W){var U=K[X];if(U.timer){U.timer.cancel();}if(U.onFailure){var V=U.context||U;U.onFailure.call(V,M(U,W));}};var J=function(U,X){var V=K[X],W=(A.isString(U))?V.win.document.getElementById(U):U;if(!W){S(X,"target node not found: "+U);}return W;};var L=function(b){var Y=K[b];if(Y){var a=Y.nodes,U=a.length,Z=Y.win.document,X=Z.getElementsByTagName("head")[0];if(Y.insertBefore){var W=J(Y.insertBefore,b);if(W){X=W.parentNode;}}for(var V=0;V<U;V=V+1){X.removeChild(a[V]);}}Y.nodes=[];};var M=function(U,V){return{tId:U.tId,win:U.win,data:U.data,nodes:U.nodes,msg:V,purge:function(){L(this.tId);}};};var G=function(X){var U=K[X];if(U.timer){U.timer.cancel();}U.finished=true;if(U.aborted){var W="transaction "+X+" was aborted";S(X,W);return ;}if(U.onSuccess){var V=U.context||U;U.onSuccess.call(V,M(U));}};var N=function(W){var U=K[W];if(U.onTimeout){var V=U.context||U;U.onTimeout.call(V,M(U));}};var F=function(W,Z){var V=K[W];if(V.timer){V.timer.cancel();}if(V.aborted){var Y="transaction "+W+" was aborted";S(W,Y);return ;}if(Z){V.url.shift();if(V.varName){V.varName.shift();}}else{V.url=(A.isString(V.url))?[V.url]:V.url;if(V.varName){V.varName=(A.isString(V.varName))?[V.varName]:V.varName;}}var c=V.win,b=c.document,a=b.getElementsByTagName("head")[0],X;if(V.url.length===0){G(W);return ;}var U=V.url[0];if(V.timeout){V.timer=A.later(V.timeout,V,N,W);}if(V.type==="script"){X=P(U,c,V.charset);}else{X=Q(U,c,V.charset);}H(V.type,X,W,U,c,V.url.length);V.nodes.push(X);if(V.insertBefore){var e=J(V.insertBefore,W);if(e){e.parentNode.insertBefore(X,e);}}else{a.appendChild(X);}if((B.webkit||B.gecko)&&V.type==="css"){F(W,U);}};var E=function(){if(R){return ;}R=true;for(var U in K){if(K.hasOwnProperty(U)){var V=K[U];if(V.autopurge&&V.finished){L(V.tId);delete K[U];}}}R=false;};var O=function(V,U,W){var Y="q"+(I++);W=W||{};if(I%C.Get.PURGE_THRESH===0){E();}K[Y]=C.merge(W,{tId:Y,type:V,url:U,finished:false,nodes:[]});var X=K[Y];X.win=X.win||C.config.win;X.context=X.context||X;X.autopurge=("autopurge" in X)?X.autopurge:(V==="script")?true:false;A.later(0,X,F,Y);return{tId:Y};};var H=function(W,b,a,V,Z,Y,U){var X=U||F;if(B.ie){b.onreadystatechange=function(){var c=this.readyState;if("loaded"===c||"complete"===c){X(a,V);}};}else{if(B.webkit){if(W==="script"){b.addEventListener("load",function(){X(a,V);});}}else{b.onload=function(){X(a,V);};b.onerror=function(c){S(a,c+": "+V);};}}};return{PURGE_THRESH:20,_finalize:function(U){A.later(0,null,G,U);},abort:function(V){var W=(A.isString(V))?V:V.tId;var U=K[W];if(U){U.aborted=true;}},script:function(U,V){return O("script",U,V);},css:function(U,V){return O("css",U,V);}};}();},"3.0.0pr1");YUI.add("loader",function(C){var P="base",O="css",M="js",G="cssreset",Q="cssfonts",N="cssgrids",B="cssbase",E=[G,Q,N,"cssreset-context","cssfonts-context","cssgrids-context"],J=["reset","fonts","grids","base"],T="3.0.0pr1",A=T+"/build/",R="-context",U={version:T,root:A,base:"http://yui.yahooapis.com/"+A,comboBase:"http://yui.yahooapis.com/combo?",modules:{dom:{requires:["event"],submodules:{"dom-base":{requires:["event"]},"dom-style":{requires:["dom-base"]},"dom-screen":{requires:["dom-base","dom-style"]},selector:{requires:["dom-base"]}}},node:{requires:["dom"],submodules:{"node-base":{requires:["dom-base","selector"]},"node-style":{requires:["dom-style","node-base"]},"node-screen":{requires:["dom-screen","node-base"]}}},anim:{requires:[P,"node"],submodules:{"anim-base":{requires:["base","node-style"]},"anim-color":{requires:["anim-base"]},"anim-curve":{requires:["anim-xy"]},"anim-easing":{},"anim-scroll":{requires:["anim-base"]},"anim-xy":{requires:["anim-base","node-screen"]},"anim-node-plugin":{requires:["node","anim-base"]}}},attribute:{requires:["event"]},base:{requires:["attribute"]},compat:{requires:["node"]},cookie:{},"dd":{submodules:{"dd-ddm-base":{requires:["node",P]},"dd-ddm":{requires:["dd-ddm-base"]},"dd-ddm-drop":{requires:["dd-ddm"]},"dd-drag":{requires:["dd-ddm-base"]},"dd-drop":{requires:["dd-ddm-drop"]},"dd-proxy":{requires:["dd-drag"]},"dd-constrain":{requires:["dd-drag","dd-proxy"]},"dd-plugin":{requires:["dd-drag"],optional:["dd-constrain","dd-proxy"]},"dd-drop-plugin":{requires:["dd-drop"]}}},dump:{},event:{requires:["oop"]},get:{},io:{requires:["node"]},json:{submodules:{"json-parse":{},"json-stringify":{}}},loader:{},oop:{requires:["yui-base"]},queue:{},substitute:{optional:["dump"]},yui:{supersedes:["yui-base","get","loader"]},"yui-base":{}}};
-var H=function(L,W,X){return L+"/"+W+"-min."+(X||O);};var F=function(){var X=U.modules;for(var W=0;W<J.length;W=W+1){var Z=J[W],Y=O+Z;X[Y]={type:O,path:H(Y,Z)};var L=Y+R;Z=Z+R;X[L]={type:O,path:H(Y,Z)};if(Y==N){X[Y].requires=[Q];X[Y].optional=[G];X[L].requires=[Q+R];X[L].optional=[G+R];}else{if(Y==B){X[Y].after=E;X[L].after=E;}}}}();C.Env.meta=U;var K=C.Lang,S=C.Env,I="_provides",V="_supersedes",D="expanded";C.Loader=function(X){this._internalCallback=null;this._useYahooListener=false;this.onSuccess=null;this.onFailure=null;this.onProgress=null;this.onTimeout=null;this.context=C;this.data=null;this.insertBefore=null;this.charset=null;this.base=C.Env.meta.base;this.comboBase=C.Env.meta.comboBase;this.combine=(!(P in X));this.ignoreRegistered=false;this.root=C.Env.meta.root;this.timeout=0;this.ignore=null;this.force=null;this.allowRollup=true;this.filter=null;this.required={};this.moduleInfo={};var W=C.Env.meta.modules;for(var L in W){if(W.hasOwnProperty(L)){this._internal=true;this.addModule(W[L],L);this._internal=false;}}this.rollups=null;this.loadOptional=false;this.sorted=[];this.loaded={};this.attaching=null;this.dirty=true;this.inserted={};this.skipped={};this._config(X);};C.Loader.prototype={FILTERS:{RAW:{"searchExp":"-min\\.js","replaceStr":".js"},DEBUG:{"searchExp":"-min\\.js","replaceStr":"-debug.js"}},_config:function(Z){if(Z){for(var W in Z){var Y=Z[W];if(Z.hasOwnProperty(W)){if(W=="require"){this.require(Y);}else{if(W=="modules"){for(var L in Y){this.addModule(Y[L],L);}}else{this[W]=Y;}}}}}var X=this.filter;if(K.isString(X)){X=X.toUpperCase();this.filterName=X;this.filter=this.FILTERS[X];}},addModule:function(b,X){X=X||b.name;b.name=X;if(!b||!b.name){return false;}if(!b.type){b.type=M;}if(!b.path&&!b.fullpath){b.path=H(X,X,b.type);}b.ext=("ext" in b)?b.ext:(this._internal)?false:true;b.requires=b.requires||[];var Z=b.submodules;if(Z){var W=[],L=0;for(var Y in Z){var a=Z[Y];a.path=H(X,Y,b.type);this.addModule(a,Y);W.push(Y);L++;}b.supersedes=W;b.rollup=Math.min(L-1,4);}this.moduleInfo[X]=b;this.dirty=true;return b;},require:function(W){var L=(typeof W==="string")?arguments:W;this.dirty=true;C.mix(this.required,C.Array.hash(L));},getRequires:function(c){if(!c){return[];}if(!this.dirty&&c.expanded){return c.expanded;}var a,b=[],L=c.requires,W=c.optional,X=this.moduleInfo,Y,Z,e;for(a=0;a<L.length;a=a+1){b.push(L[a]);Y=this.getModule(L[a]);e=this.getRequires(Y);for(Z=0;Z<e.length;Z=Z+1){b.push(e[Z]);}}L=c.supersedes;if(L){for(a=0;a<L.length;a=a+1){b.push(L[a]);Y=this.getModule(L[a]);e=this.getRequires(Y);for(Z=0;Z<e.length;Z=Z+1){b.push(e[Z]);}}}if(W&&this.loadOptional){for(a=0;a<W.length;a=a+1){b.push(W[a]);e=this.getRequires(X[W[a]]);for(Z=0;Z<e.length;Z=Z+1){b.push(e[Z]);}}}c.expanded=C.Object.keys(C.Array.hash(b));return c.expanded;},getProvides:function(X,c){var W=!(c),L=(W)?I:V,Z=this.getModule(X),Y={};if(!Z){return Y;}if(Z[L]){return Z[L];}var f=Z.supersedes,a={},d=this;var e=function(g){if(!a[g]){a[g]=true;C.mix(Y,d.getProvides(g));}};if(f){for(var b=0;b<f.length;b=b+1){e(f[b]);}}Z[V]=Y;Z[I]=C.merge(Y);Z[I][X]=true;return Z[L];},calculate:function(L){if(L||this.dirty){this._config(L);this._setup();this._explode();if(this.allowRollup){this._rollup();}this._reduce();this._sort();this.dirty=false;}},_setup:function(){var Z=this.moduleInfo,X,Y,W;var L=C.merge(this.inserted);if(!this.ignoreRegistered){C.mix(L,YUI.Env.mods);}if(this.ignore){C.mix(L,C.Array.hash(this.ignore));}for(W in L){if(L.hasOwnProperty(W)){C.mix(L,this.getProvides(W));}}if(this.force){for(Y=0;Y<this.force.length;Y=Y+1){if(this.force[Y] in L){delete L[this.force[Y]];}}}this.loaded=L;},_explode:function(){var Y=this.required,W,L;for(W in Y){if(Y.hasOwnProperty(W)){L=this.getModule(W);var X=this.getRequires(L);if(X){C.mix(Y,C.Array.hash(X));}}}},getModule:function(W){var L=this.moduleInfo[W];return L;},_rollup:function(){var b,a,Z,f,e={},L=this.required,X,Y=this.moduleInfo;if(this.dirty||!this.rollups){for(b in Y){if(Y.hasOwnProperty(b)){Z=this.getModule(b);if(Z&&Z.rollup){e[b]=Z;}}}this.rollups=e;}for(;;){var W=false;for(b in e){if(!L[b]&&!this.loaded[b]){Z=this.getModule(b);f=Z.supersedes||[];X=false;if(!Z.rollup){continue;}var d=0;for(a=0;a<f.length;a=a+1){if(this.loaded[f[a]]){X=false;break;}else{if(L[f[a]]){d++;X=(d>=Z.rollup);if(X){break;}}}}if(X){L[b]=true;W=true;this.getRequires(Z);}}}if(!W){break;}}},_reduce:function(){var X,W,Y,L,Z=this.required;for(X in Z){if(X in this.loaded){delete Z[X];}else{L=this.getModule(X);Y=L&&L.supersedes;if(Y){for(W=0;W<Y.length;W=W+1){if(Y[W] in Z){delete Z[Y[W]];}}}}}},_attach:function(){if(this.attaching){C._attach(this.attaching);}else{C._attach(this.sorted);}this._pushEvents();},_onSuccess:function(){this._attach();for(var L in this.skipped){delete this.inserted[L];}this.skipped={};var W=this.onSuccess;if(W){W.call(this.context,{msg:"success",data:this.data,success:true});}},_onFailure:function(W){this._attach();var L=this.onFailure;if(L){L.call(this.context,{msg:"failure: "+W,data:this.data,success:false});}},_onTimeout:function(){this._attach();var L=this.onTimeout;if(L){L.call(this.context,{msg:"timeout",data:this.data,success:false});}},_sort:function(){var h=C.Object.keys(this.required),W=this.moduleInfo,c=this.loaded,d=this;var i=function(l,o){var n=W[l];if(c[o]||!n){return false;}var k,b=n.expanded,m=n.after,a=W[o];if(b&&C.Array.indexOf(b,o)>-1){return true;}if(m&&C.Array.indexOf(m,o)>-1){return true;}var j=W[o]&&W[o].supersedes;if(j){for(k=0;k<j.length;k=k+1){if(i(l,j[k])){return true;}}}if(n.ext&&n.type==O&&(!a.ext)){return true;}return false;};var L=0;for(;;){var X=h.length,g,f,Z,Y,e=false;for(Z=L;Z<X;Z=Z+1){g=h[Z];for(Y=Z+1;Y<X;Y=Y+1){if(i(g,h[Y])){f=h.splice(Y,1);h.splice(Z,0,f[0]);e=true;break;}}if(e){break;}else{L=L+1;}}if(!e){break;}}this.sorted=h;},insert:function(X,W){this.calculate(X);if(!W){var L=this;this._internalCallback=function(){L._internalCallback=null;L.insert(null,M);};this.insert(null,O);return ;}this._loading=true;this._combineComplete=false;
-this.loadType=W;this.loadNext();},loadNext:function(b){if(!this._loading){return ;}var h,a,Y,X,L,g=this;if(this.loadType!==O&&this.combine&&(!this._combineComplete)){this._combining=[];h=this.sorted;a=h.length;L=this.comboBase;for(Y=0;Y<a;Y=Y+1){X=this.getModule(h[Y]);if(X.type==M&&!X.ext){L+=this.root+X.path;if(Y<a-1){L+="&";}this._combining.push(h[Y]);}}if(this._combining.length){var d=function(l){this._combineComplete=true;var n=this._combining,j=n.length,k,f;for(k=0;k<j;k=k+1){this.inserted[n[k]]=true;}this.loadNext(l.data);};C.Get.script(L,{data:this._loading,onSuccess:d,onFailure:this._onFailure,onTimeout:this._onTimeout,insertBefore:this.insertBefore,charset:this.charset,timeout:this.timeout,context:g});return ;}else{this._combineComplete=true;}}if(b){if(b!==this._loading){return ;}this.inserted[b]=true;if(this.onProgress){this.onProgress.call(this.context,{name:b,data:this.data});}}h=this.sorted;a=h.length;for(Y=0;Y<a;Y=Y+1){if(h[Y] in this.inserted){continue;}if(h[Y]===this._loading){return ;}X=this.getModule(h[Y]);if(!X){var W="Undefined module "+h[Y]+" skipped";this.inserted[h[Y]]=true;this.skipped[h[Y]]=true;continue;}if(!this.loadType||this.loadType===X.type){this._loading=h[Y];var c=(X.type===O)?C.Get.css:C.Get.script,e=function(f){g.loadNext(f.data);};L=X.fullpath||this._url(X.path,h[Y]);g=this;c(L,{data:h[Y],onSuccess:e,insertBefore:this.insertBefore,charset:this.charset,onFailure:this._onFailure,onTimeout:this._onTimeout,timeout:this.timeout,context:g});return ;}}this._loading=null;if(this._internalCallback){var Z=this._internalCallback;this._internalCallback=null;Z.call(this);}else{this._onSuccess();}},_pushEvents:function(){if(C.Event){C.Event._load();}},_url:function(c,Z){var Y=(this.base||"")+c,a=this.filter;if(a){var W=true;if(this.filterName=="DEBUG"){var X=this,L=X.logExclude,b=X.logInclude;if(b&&!(Z in b)){W=false;}else{if(L&&(Z in L)){W=false;}}}if(W){Y=Y.replace(new RegExp(a.searchExp),a.replaceStr);}}return Y;}};},"3.0.0pr1");(function(){var B=["yui-base","log","lang","array","core"],A,C=function(E){var D=E.config;E.use.apply(E,B);if(D.core){A=D.core;}else{A=["object","ua","later"];A.push("get","loader");}E.use.apply(E,A);};YUI.add("yui",C,"3.0.0pr1");})();
\ No newline at end of file

=== removed file 'loggerhead/static/javascript/yui/build/yui/yui.js'
--- loggerhead/static/javascript/yui/build/yui/yui.js	2008-10-20 07:34:21 +0000
+++ loggerhead/static/javascript/yui/build/yui/yui.js	1970-01-01 00:00:00 +0000
@@ -1,3630 +0,0 @@
-/*
-Copyright (c) 2008, Yahoo! Inc. All rights reserved.
-Code licensed under the BSD License:
-http://developer.yahoo.net/yui/license.txt
-version: 3.0.0pr1
-*/
-/**
- * YUI core
- * @module yui
- */
-(function() {
-
-    var _instances = {},
-
-// @TODO: this needs to be created at build time from module metadata
-
-        _APPLY_TO_WHITE_LIST = {
-            'io.xdrReady': 1,
-            'io.start': 1,
-            'io.success': 1,
-            'io.failure': 1,
-            'io.abort': 1
-        };
-        
-
-if (typeof YUI === 'undefined' || !YUI) {
-
-    /**
-     * The YUI global namespace object.  If YUI is already defined, the
-     * existing YUI object will not be overwritten so that defined
-     * namespaces are preserved.  
-     *
-     * @class YUI
-     * @constructor
-     * @global
-     * @uses Event.Target
-     * @param o Optional configuration object.  Options:
-     * <ul>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>Global:</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>debug:
-     *  Turn debug statements on or off</li>
-     *  <li>useConsole:
-     *  Log to the browser console if debug is on and the console is available</li>
-     *  <li>logInclude:
-     *  A hash of log sources that should be logged.  If specified, only log messages from these sources will be logged.
-     *  
-     *  </li>
-     *  <li>logExclude:
-     *  A hash of log sources that should be not be logged.  If specified, all sources are logged if not on this list.</li>
-     *  <li>throwFail:
-     *  If throwFail is set, Y.fail will generate or re-throw a JS error.  Otherwise the failure is logged.
-     *  <li>win:
-     *  The target window/frame</li>
-     *  <li>core:
-     *  A list of modules that defines the YUI core (overrides the default)</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>For event and get:</li>
-     *  <li>------------------------------------------------------------------------</li>
-     *  <li>pollInterval:
-     *  The default poll interval</li>
-     *  <li>-------------------------------------------------------------------------</li>
-     *  <li>For loader:</li>
-     *  <li>-------------------------------------------------------------------------</li>
-     *  <li>base:
-     *  The base dir</li>
-     *  <li>secureBase:
-     *  The secure base dir (not implemented)</li>
-     *  <li>comboBase:
-     *  The YUI combo service base dir. Ex: http://yui.yahooapis.com/combo?</li>
-     *  <li>root:
-     *  The root path to prepend to module names for the combo service. Ex: 2.5.2/build/</li>
-     *  <li>filter:
-     *  
-     * A filter to apply to result urls.  This filter will modify the default
-     * path for all modules.  The default path for the YUI library is the
-     * minified version of the files (e.g., event-min.js).  The filter property
-     * can be a predefined filter or a custom filter.  The valid predefined 
-     * filters are:
-     * <dl>
-     *  <dt>DEBUG</dt>
-     *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
-     *      This option will automatically include the logger widget</dd>
-     *  <dt>RAW</dt>
-     *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
-     * </dl>
-     * You can also define a custom filter, which must be an object literal 
-     * containing a search expression and a replace string:
-     * <pre>
-     *  myFilter: &#123; 
-     *      'searchExp': "-min\\.js", 
-     *      'replaceStr': "-debug.js"
-     *  &#125;
-     * </pre>
-     *
-     *  </li>
-     *  <li>combine:
-     *  Use the YUI combo service to reduce the number of http connections required to load your dependencies</li>
-     *  <li>ignore:
-     *  A list of modules that should never be dynamically loaded</li>
-     *  <li>force:
-     *  A list of modules that should always be loaded when required, even if already present on the page</li>
-     *  <li>insertBefore:
-     *  Node or id for a node that should be used as the insertion point for new nodes</li>
-     *  <li>charset:
-     *  charset for dynamic nodes</li>
-     *  <li>timeout:
-     *  number of milliseconds before a timeout occurs when dynamically loading nodes.  in not set, there is no timeout</li>
-     *  <li>context:
-     *  execution context for all callbacks</li>
-     *  <li>onSuccess:
-     *  callback for the 'success' event</li>
-     *  <li>onFailure:
-     *  callback for the 'failure' event</li>
-     *  <li>onTimeout:
-     *  callback for the 'timeout' event</li>
-     *  <li>onProgress:
-     *  callback executed each time a script or css file is loaded</li>
-     *  <li>modules:
-     *  A list of module definitions.  See Loader.addModule for the supported module metadata</li>
-     * </ul>
-     */
-
-    /*global YUI*/
-    YUI = function(o) {
-        var Y = this;
-        // Allow var yui = YUI() instead of var yui = new YUI()
-        if (Y == window) {
-            return new YUI(o);
-        } else {
-            // set up the core environment
-            Y._init(o);
-
-            // bind the specified additional modules for this instance
-            Y._setup();
-
-            return Y;
-        }
-    };
-}
-
-// The prototype contains the functions that are required to allow the external
-// modules to be registered and for the instance to be initialized.
-YUI.prototype = {
-
-    /**
-     * Initialize this YUI instance
-     * @param o config options
-     * @private
-     */
-    _init: function(o) {
-        
-
-        o = o || {};
-
-        // find targeted window and @TODO create facades
-        var w = (o.win) ? (o.win.contentWindow) : o.win  || window;
-        o.win = w;
-        o.doc = w.document;
-        o.debug = ('debug' in o) ? o.debug : true;
-        o.useConsole = ('useConsole' in o) ? o.useConsole: true;
-
-        // @TODO default throwFail to true in PR2
-        // o.throwFail = ('throwFail' in o) ? o.debug : true;
-    
-        // add a reference to o for anything that needs it
-        // before _setup is called.
-        this.config = o;
-
-        this.Env = {
-            // @todo expand the new module metadata
-            mods: {},
-            _idx: 0,
-            _pre: 'yuid',
-            _used: {},
-            _attached: {},
-            _yidx: 0,
-            _uidx: 0
-        };
-
-        if (YUI.Env) {
-            this.Env._yidx = ++YUI.Env._idx;
-            this.id = this.stamp(this);
-            _instances[this.id] = this;
-        }
-
-        this.constructor = YUI;
-
-    },
-    
-    /**
-     * Finishes the instance setup. Attaches whatever modules were defined
-     * when the yui modules was registered.
-     * @method _setup
-     * @private
-     */
-    _setup: function(o) {
-        this.use("yui");
-        // @TODO eval the need to copy the config
-        this.config = this.merge(this.config);
-    },
-
-    /**
-     * Executes a method on a YUI instance with
-     * the specified id if the specified method is whitelisted.
-     * @method applyTo
-     * @param id {string} the YUI instance id
-     * @param method {string} the name of the method to exectute.
-     * Ex: 'Object.keys'
-     * @param args {Array} the arguments to apply to the method
-     * @return {object} the return value from the applied method or null
-     */
-    applyTo: function(id, method, args) {
-
-        if (!(method in _APPLY_TO_WHITE_LIST)) {
-            this.fail(method + ': applyTo not allowed');
-            return null;
-        }
-
-        var instance = _instances[id];
-
-        if (instance) {
-
-            var nest = method.split('.'), m = instance;
-
-            for (var i=0; i<nest.length; i=i+1) {
-
-                m = m[nest[i]];
-
-                if (!m) {
-                    this.fail('applyTo not found: ' + method);
-                }
-            }
-
-            return m.apply(instance, args);
-        }
-
-        return null;
-    }, 
-
-    /**
-     * Register a module
-     * @method add
-     * @param name {string} module name
-     * @param namespace {string} name space for the module
-     * @param fn {Function} entry point into the module that
-     * is used to bind module to the YUI instance
-     * @param version {string} version string
-     * @return {YUI} the YUI instance
-     *
-     * requires   - features that should be present before loading
-     * optional   - optional features that should be present if load optional defined
-     * use  - features that should be attached automatically
-     * skinnable  -
-     * rollup
-     * omit - features that should not be loaded if this module is present
-     */
-    add: function(name, fn, version, details) {
-
-
-        // @todo expand this to include version mapping
-        
-        // @todo allow requires/supersedes
-
-        // @todo may want to restore the build property
-        
-        // @todo fire moduleAvailable event
-        
-        var m = {
-            name: name, 
-            fn: fn,
-            version: version,
-            details: details || {}
-        };
-
-        YUI.Env.mods[name] = m;
-
-        return this; // chain support
-    },
-
-    _attach: function(r, fromLoader) {
-
-        var mods = YUI.Env.mods,
-            attached = this.Env._attached;
-
-        for (var i=0, l=r.length; i<l; i=i+1) {
-            var name = r[i], m = mods[name], mm;
-            if (!attached[name] && m) {
-
-                attached[name] = true;
-
-                var d = m.details, req = d.requires, use = d.use;
-
-                if (req) {
-                    this._attach(this.Array(req));
-                }
-
-
-                if (m.fn) {
-                    m.fn(this);
-                }
-
-                if (use) {
-                    this._attach(this.Array(use));
-                }
-            }
-        }
-
-    },
-
-    /**
-     * Bind a module to a YUI instance
-     * @param modules* {string} 1-n modules to bind (uses arguments array)
-     * @param *callback {function} callback function executed when 
-     * the instance has the required functionality.  If included, it
-     * must be the last parameter.
-     *
-     * @TODO 
-     * Implement versioning?  loader can load different versions?
-     * Should sub-modules/plugins be normal modules, or do
-     * we add syntax for specifying these?
-     *
-     * YUI().use('dragdrop')
-     * YUI().use('dragdrop:2.4.0'); // specific version
-     * YUI().use('dragdrop:2.4.0-'); // at least this version
-     * YUI().use('dragdrop:2.4.0-2.9999.9999'); // version range
-     * YUI().use('*'); // use all available modules
-     * YUI().use('lang+dump+substitute'); // use lang and some plugins
-     * YUI().use('lang+*'); // use lang and all known plugins
-     *
-     *
-     * @return {YUI} the YUI instance
-     */
-    use: function() {
-
-        var Y = this, 
-            a=Array.prototype.slice.call(arguments, 0), 
-            mods = YUI.Env.mods, 
-            used = Y.Env._used,
-            loader, 
-            firstArg = a[0], 
-            dynamic = false,
-            callback = a[a.length-1];
-
-
-        // The last argument supplied to use can be a load complete callback
-        if (typeof callback === 'function') {
-            a.pop();
-            Y.Env._callback = callback;
-        } else {
-            callback = null;
-        }
-
-        // YUI().use('*'); // bind everything available
-        if (firstArg === "*") {
-            a = [];
-            for (var k in mods) {
-                if (mods.hasOwnProperty(k)) {
-                    a.push(k);
-                }
-            }
-
-            return Y.use.apply(Y, a);
-
-        }
-       
-
-        // use loader to optimize and sort the requirements if it
-        // is available.
-        if (Y.Loader) {
-            dynamic = true;
-            loader = new Y.Loader(Y.config);
-            loader.require(a);
-            loader.ignoreRegistered = true;
-            loader.calculate();
-            a = loader.sorted;
-        }
-
-
-        var missing = [], r = [], f = function(name) {
-
-            // only attach a module once
-            if (used[name]) {
-                return;
-            }
-
-            var m = mods[name], j, req, use;
-
-            if (m) {
-                used[name] = true;
-
-                req = m.details.requires;
-                use = m.details.use;
-            } else {
-                missing.push(name);
-            }
-
-            // make sure requirements are attached
-            if (req) {
-                if (Y.Lang.isString(req)) {
-                    f(req);
-                } else {
-                    for (j = 0; j < req.length; j = j + 1) {
-                        f(req[j]);
-                    }
-                }
-            }
-
-            // add this module to full list of things to attach
-            r.push(name);
-
-        };
-
-        // process each requirement and any additional requirements 
-        // the module metadata specifies
-        for (var i=0, l=a.length; i<l; i=i+1) {
-            f(a[i]);
-        }
-
-
-        var onComplete = function(fromLoader) {
-
-
-            fromLoader = fromLoader || {
-                success: true,
-                msg: 'not dynamic'
-            };
-
-            if (Y.Env._callback) {
-
-                var cb = Y.Env._callback;
-                Y.Env._callback = null;
-                cb(Y, fromLoader);
-            }
-
-            if (Y.fire) {
-                Y.fire('yui:load', Y, fromLoader);
-            }
-        };
-
-
-        // dynamic load
-        if (Y.Loader && missing.length) {
-            loader = new Y.Loader(Y.config);
-            loader.onSuccess = onComplete;
-            loader.onFailure = onComplete;
-            loader.onTimeout = onComplete;
-            loader.attaching = a;
-            loader.require(missing);
-            loader.insert();
-        } else {
-            Y._attach(r);
-            onComplete();
-        }
-
-        return Y; // chain support var yui = YUI().use('dragdrop');
-    },
-
-
-    /**
-     * Returns the namespace specified and creates it if it doesn't exist
-     * <pre>
-     * YUI.namespace("property.package");
-     * YUI.namespace("YUI.property.package");
-     * </pre>
-     * Either of the above would create YUI.property, then
-     * YUI.property.package
-     *
-     * Be careful when naming packages. Reserved words may work in some browsers
-     * and not others. For instance, the following will fail in Safari:
-     * <pre>
-     * YUI.namespace("really.long.nested.namespace");
-     * </pre>
-     * This fails because "long" is a future reserved word in ECMAScript
-     *
-     * @method namespace
-     * @param  {string*} arguments 1-n namespaces to create 
-     * @return {object}  A reference to the last namespace object created
-     */
-    namespace: function() {
-        var a=arguments, o=null, i, j, d;
-        for (i=0; i<a.length; i=i+1) {
-            d = a[i].split(".");
-            o = this;
-            for (j=(d[0] == "YUI") ? 1 : 0; j<d.length; j=j+1) {
-                o[d[j]] = o[d[j]] || {};
-                o = o[d[j]];
-            }
-        }
-        return o;
-    },
-
-    // this is replaced if the log module is included
-    log: function() {
-
-    },
-
-    /**
-     * Report an error.  The reporting mechanism is controled by
-     * the 'throwFail' configuration attribute.  If throwFail is
-     * not specified, the message is written to the logger, otherwise
-     * a JS error is thrown
-     * @method fail
-     * @param msg {string} the failure message
-     * @param e {Error} Optional JS error that was caught.  If supplied
-     * and throwFail is specified, this error will be re-thrown.
-     * @return {YUI} this YUI instance
-     */
-    fail: function(msg, e) {
-        var instance = this;
-        instance.log(msg, "error"); // don't scrub this one
-
-        if (this.config.throwFail) {
-            throw e || new Error(msg);
-        }
-
-        return this;
-    },
-
-    /**
-     * Generate an id that is unique among all YUI instances
-     * @method guid
-     * @param pre {string} optional guid prefix
-     * @return {string} the guid
-     */
-    guid: function(pre) {
-        var e = this.Env, p = (pre) || e._pre;
-        return p +'-' + e._yidx + '-' + e._uidx++;
-    },
-
-    /**
-     * Stamps an object with a guid.  If the object already
-     * has one, a new one is not created
-     * @method stamp
-     * @param o The object to stamp
-     * @return {string} The object's guid
-     */
-    stamp: function(o) {
-
-        if (!o) {
-            return o;
-        }
-
-        var uid = (typeof o === 'string') ? o : o._yuid;
-
-        if (!uid) {
-            uid = this.guid();
-            o._yuid = uid;
-        }
-
-        return uid;
-    }
-};
-
-// Give the YUI global the same properties as an instance.
-// This makes it so that the YUI global can be used like the YAHOO
-// global was used prior to 3.x.  More importantly, the YUI global
-// provides global metadata, so env needs to be configured.
-// @TODO review
-
-    var Y = YUI, p = Y.prototype, i;
-
-    // inheritance utilities are not available yet
-    for (i in p) {
-        if (true) { // hasOwnProperty not available yet and not needed
-            Y[i] = p[i];
-        }
-    }
-
-    // set up the environment
-    Y._init();
-
-
-})();
-/**
- * YUI stub
- * @module yui
- * @submodule yui-base
- */
-// This is just a stub to for dependency processing
-YUI.add("yui-base", null, "3.0.0pr1");
-/*
- * YUI console logger
- * @module yui
- * @submodule log
- */
-YUI.add("log", function(instance) {
-
-    /**
-     * If the 'debug' config is true, a 'yui:log' event will be
-     * dispatched, which the logger widget and anything else
-     * can consume.  If the 'useConsole' config is true, it will
-     * write to the browser console if available.
-     *
-     * @method log
-     * @for YUI
-     * @param  {String}  msg  The message to log.
-     * @param  {String}  cat  The log category for the message.  Default
-     *                        categories are "info", "warn", "error", time".
-     *                        Custom categories can be used as well. (opt)
-     * @param  {String}  src  The source of the the message (opt)
-     * @return {YUI}      YUI instance
-     */
-    instance.log = function(msg, cat, src) {
-
-        var Y = instance, c = Y.config, es = Y.Env._eventstack,
-            bail = (es && es.logging);
-
-        // suppress log message if the config is off or the event stack
-        // or the event call stack contains a consumer of the yui:log event
-        if (c.debug && !bail) {
-
-            // apply source filters
-            if (src) {
-
-                var exc = c.logExclude, inc = c.logInclude;
-
-                // console.log('checking src filter: ' + src + ', inc: ' + inc + ', exc: ' + exc);
-
-                if (inc && !(src in inc)) {
-                    // console.log('bail: inc list found, but src is not in list: ' + src);
-                    bail = true;
-                } else if (exc && (src in exc)) {
-                    // console.log('bail: exc list found, and src is in it: ' + src);
-                    bail = true;
-                }
-            }
-
-            if (!bail) {
-
-                if (c.useConsole && typeof console != 'undefined') {
-                        var f = (cat && console[cat]) ? cat : 'log',
-                            m = (src) ? src + ': ' + msg : msg;
-                        console[f](m);
-                }
-
-                if (Y.fire && !bail) {
-                    Y.fire('yui:log', msg, cat, src);
-                }
-            }
-        }
-
-        return Y;
-    };
-
-}, "3.0.0pr1");
-/*
- * YUI lang utils
- * @module yui
- * @submodule lang
- */
-YUI.add("lang", function(Y) {
-
-    /**
-     * Provides the language utilites and extensions used by the library
-     * @class Lang
-     * @static
-     */
-    Y.Lang = Y.Lang || {};
-
-    var L = Y.Lang, SPLICE="splice", LENGTH="length";
-
-    /**
-     * Determines whether or not the provided object is an array.
-     * Testing typeof/instanceof/constructor of arrays across frame 
-     * boundaries isn't possible in Safari unless you have a reference
-     * to the other frame to test against its Array prototype.  To
-     * handle this case, we test well-known array properties instead.
-     * properties.
-     * @TODO can we kill this cross frame hack?
-     * @method isArray
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is an array
-     */
-     L.isArray = function(o) { 
-        if (o) {
-           //return L.isNumber(o.length) && L.isFunction(o.splice);
-           return (o[SPLICE] && L.isNumber(o[LENGTH]));
-        }
-        return false;
-    };
-
-    /**
-     * Determines whether or not the provided object is a boolean
-     * @method isBoolean
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a boolean
-     */
-    L.isBoolean = function(o) {
-        return typeof o === 'boolean';
-    };
-    
-    /**
-     * Determines whether or not the provided object is a function
-     * @method isFunction
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a function
-     */
-    L.isFunction = function(o) {
-        return typeof o === 'function';
-    };
-        
-    /**
-     * Determines whether or not the supplied object is a date instance
-     * @method isDate
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a date
-     */
-    L.isDate = function(o) {
-        return o instanceof Date;
-    };
-
-    /**
-     * Determines whether or not the provided object is null
-     * @method isNull
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is null
-     */
-    L.isNull = function(o) {
-        return o === null;
-    };
-        
-    /**
-     * Determines whether or not the provided object is a legal number
-     * @method isNumber
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a number
-     */
-    L.isNumber = function(o) {
-        return typeof o === 'number' && isFinite(o);
-    };
-      
-    /**
-     * Determines whether or not the provided object is of type object
-     * or function
-     * @method isObject
-     * @static
-     * @param o The object to test
-     * @param failfn {boolean} fail if the input is a function
-     * @return {boolean} true if o is an object
-     */  
-    L.isObject = function(o, failfn) {
-return (o && (typeof o === 'object' || (!failfn && L.isFunction(o)))) || false;
-    };
-        
-    /**
-     * Determines whether or not the provided object is a string
-     * @method isString
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is a string
-     */
-    L.isString = function(o) {
-        return typeof o === 'string';
-    };
-        
-    /**
-     * Determines whether or not the provided object is undefined
-     * @method isUndefined
-     * @static
-     * @param o The object to test
-     * @return {boolean} true if o is undefined
-     */
-    L.isUndefined = function(o) {
-        return typeof o === 'undefined';
-    };
-    
-    /**
-     * Returns a string without any leading or trailing whitespace.  If 
-     * the input is not a string, the input will be returned untouched.
-     * @method trim
-     * @static
-     * @param s {string} the string to trim
-     * @return {string} the trimmed string
-     */
-    L.trim = function(s){
-        try {
-            return s.replace(/^\s+|\s+$/g, "");
-        } catch(e) {
-            return s;
-        }
-    };
-
-    /**
-     * A convenience method for detecting a legitimate non-null value.
-     * Returns false for null/undefined/NaN, true for other values, 
-     * including 0/false/''
-     * @method isValue
-     * @static
-     * @param o The item to test
-     * @return {boolean} true if it is not null/undefined/NaN || false
-     */
-    L.isValue = function(o) {
-// return (o || o === false || o === 0 || o === ''); // Infinity fails
-return (L.isObject(o) || L.isString(o) || L.isNumber(o) || L.isBoolean(o));
-    };
-
-}, "3.0.0pr1");
-
-
-/*
- * Array utilities
- * @module yui
- * @submodule array
- */
-
-/**
- * YUI core
- * @module yui
- */
-
-YUI.add("array", function(Y) {
-
-    var L = Y.Lang, Native = Array.prototype;
-
-    /**
-     * Adds the following array utilities to the YUI instance
-     * @class YUI~array
-     */
-
-    /** 
-     * Y.Array(o) returns an array:
-     * - Arrays are return unmodified unless the start position is specified.
-     * - "Array-like" collections (@see Array.test) are converted to arrays
-     * - For everything else, a new array is created with the input as the sole item
-     * - The start position is used if the input is or is like an array to return
-     *   a subset of the collection.
-     *
-     *   @TODO this will not automatically convert elements that are also collections
-     *   such as forms and selects.  Passing true as the third param will
-     *   force a conversion.
-     *
-     * @method Array
-     * @static
-     *   @param o the item to arrayify
-     *   @param i {int} if an array or array-like, this is the start index
-     *   @param al {boolean} if true, it forces the array-like fork.  This
-     *   can be used to avoid multiple array.test calls.
-     *   @return {Array} the resulting array
-     */
-    Y.Array = function(o, i, al) {
-        var t = (al) ? 2 : Y.Array.test(o);
-        switch (t) {
-            case 1:
-                return (i) ? o.slice(o, i) : o;
-            case 2:
-                return Native.slice.call(o, i || 0);
-            default:
-                return [o];
-        }
-    };
-
-    var A = Y.Array;
-    
-    /** 
-     * Evaluates the input to determine if it is an array, array-like, or 
-     * something else.  This is used to handle the arguments collection 
-     * available within functions, and HTMLElement collections
-     *
-     * @method Array.test
-     * @static
-     *
-     * @todo current implementation (intenionally) will not implicitly 
-     * handle html elements that are array-like (forms, selects, etc).  
-     *
-     * @return {int} a number indicating the results:
-     * 0: Not an array or an array-like collection
-     * 1: A real array. 
-     * 2: array-like collection.
-     */
-    A.test = function(o) {
-        var r = 0;
-        if (L.isObject(o, true)) {
-            if (L.isArray(o)) {
-                r = 1; 
-            } else {
-                try {
-                    // indexed, but no tagName (element) or alert (window)
-                    if ("length" in o && !("tagName" in o)  && !("alert" in o)) {
-                        r = 2;
-                    }
-                        
-                } catch(ex) {}
-            }
-        }
-        return r;
-    };
-
-    /**
-     * Executes the supplied function on each item in the array.
-     * @method Array.each
-     * @static
-     * @return {YUI} the YUI instance
-     */
-    A.each = (Native.forEach) ?
-        function (a, f, o) { 
-            Native.forEach.call(a, f, o || Y);
-            return Y;
-        } :
-        function (a, f, o) { 
-            var l = a.length, i;
-            for (i = 0; i < l; i=i+1) {
-                f.call(o || Y, a[i], i, a);
-            }
-            return Y;
-        };
-
-    /**
-     * Returns an object using the first array as keys, and
-     * the second as values.  If the second array is not
-     * provided the value is set to true for each.
-     * @method Array.hash
-     * @static
-     * @param k {Array} keyset
-     * @param v {Array} optional valueset
-     * @return {object} the hash
-     */
-    A.hash = function(k, v) {
-        var o = {}, l = k.length, vl = v && v.length, i;
-        for (i=0; i<l; i=i+1) {
-            o[k[i]] = (vl && vl > i) ? v[i] : true;
-        }
-
-        return o;
-    };
-
-
-    /**
-     * Returns the index of the first item in the array
-     * that contains the specified value, -1 if the
-     * value isn't found.
-     * @TODO use native method if avail
-     * @method Array.indexOf
-     * @static
-     * @param a {Array} the array to search
-     * @param val the value to search for
-     * @return {int} the index of the item that contains the value or -1
-     */
-    A.indexOf = function(a, val) {
-        for (var i=0; i<a.length; i=i+1) {
-            if (a[i] === val) {
-                return i;
-            }
-        }
-
-        return -1;
-    };
-
-}, "3.0.0pr1");
-/*
- * YUI core utilities
- * @module yui
- * @submodule core
- */
-// requires lang
-YUI.add("core", function(Y) {
-
-    var L = Y.Lang, 
-    A = Y.Array,
-    OP = Object.prototype, 
-    IEF = ["toString", "valueOf"], 
-    PROTO = 'prototype',
-
-    /**
-     * IE will not enumerate native functions in a derived object even if the
-     * function was overridden.  This is a workaround for specific functions 
-     * we care about on the Object prototype. 
-     * @property _iefix
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param w a whitelist object (the keys are the valid items to reference)
-     * @private
-     * @for YUI
-     */
-    _iefix = (Y.UA && Y.UA.ie) ?
-        function(r, s, w) {
-            for (var i=0, a=IEF; i<a.length; i=i+1) {
-                var n = a[i], f = s[n];
-                if (L.isFunction(f) && f != OP[n]) {
-                    if (!w || (n in w)) {
-                        r[n]=f;
-                    }
-                }
-            }
-        } : function() {};
-   
-
-    /**
-     * Returns a new object containing all of the properties of
-     * all the supplied objects.  The properties from later objects
-     * will overwrite those in earlier objects.  Passing in a
-     * single object will create a shallow copy of it.  For a deep
-     * copy, use clone.
-     * @method merge
-     * @param arguments {Object*} the objects to merge
-     * @return {object} the new merged object
-     */
-    Y.merge = function() {
-        // var o={}, a=arguments;
-        // for (var i=0, l=a.length; i<l; i=i+1) {
-        //var a=arguments, o=Y.Object(a[0]);
-        var a=arguments, o={};
-        for (var i=0, l=a.length; i<l; i=i+1) {
-            Y.mix(o, a[i], true);
-        }
-        return o;
-    };
-       
-    /**
-     * Applies the supplier's properties to the receiver.  By default
-     * all prototype and static propertes on the supplier are applied
-     * to the corresponding spot on the receiver.  By default all
-     * properties are applied, and a property that is already on the
-     * reciever will not be overwritten.  The default behavior can
-     * be modified by supplying the appropriate parameters.
-     *
-     * @TODO add constants for the modes
-     *
-     * @method mix
-     * @param {Function} r  the object to receive the augmentation
-     * @param {Function} s  the object that supplies the properties to augment
-     * @param ov {boolean} if true, properties already on the receiver
-     * will be overwritten if found on the supplier.
-     * @param wl {string[]} a whitelist.  If supplied, only properties in 
-     * this list will be applied to the receiver.
-     * @param {int} mode what should be copies, and to where
-     *        default(0): object to object
-     *        1: prototype to prototype (old augment)
-     *        2: prototype to prototype and object props (new augment)
-     *        3: prototype to object
-     *        4: object to prototype
-     * @param merge {boolean} merge objects instead of overwriting/ignoring
-     * Used by Y.aggregate
-     * @return {object} the augmented object
-     * @TODO review for PR2
-     */
-    Y.mix = function(r, s, ov, wl, mode, merge) {
-
-        if (!s||!r) {
-            return Y;
-        }
-
-        var w = (wl && wl.length) ? A.hash(wl) : null, m = merge,
-
-            f = function(fr, fs, proto, iwl) {
-
-                var arr = m && L.isArray(fr);
-
-                for (var i in fs) { 
-
-                    // We never want to overwrite the prototype
-                    // if (PROTO === i) {
-                    if (PROTO === i || '_yuid' === i) {
-                        continue;
-                    }
-
-                    // @TODO deal with the hasownprop issue
-
-                    // check white list if it was supplied
-                    if (!w || iwl || (i in w)) {
-                        // if the receiver has this property, it is an object,
-                        // and merge is specified, merge the two objects.
-                        if (m && L.isObject(fr[i], true)) {
-                            // console.log('aggregate RECURSE: ' + i);
-                            // @TODO recursive or no?
-                            // Y.mix(fr[i], fs[i]); // not recursive
-                            f(fr[i], fs[i], proto, true); // recursive
-                        // otherwise apply the property only if overwrite
-                        // is specified or the receiver doesn't have one.
-                        // @TODO make sure the 'arr' check isn't desructive
-                        } else if (!arr && (ov || !(i in fr))) {
-                            // console.log('hash: ' + i);
-                            fr[i] = fs[i];
-                        // if merge is specified and the receiver is an array,
-                        // append the array item
-                        } else if (arr) {
-                            // console.log('array: ' + i);
-                            // @TODO probably will need to remove dups
-                            fr.push(fs[i]);
-                        }
-                    }
-                }
-
-                _iefix(fr, fs, w);
-            };
-
-        var rp = r.prototype, sp = s.prototype;
-
-        switch (mode) {
-            case 1: // proto to proto
-                f(rp, sp, true);
-                break;
-            case 2: // object to object and proto to proto
-                f(r, s);
-                f(rp, sp, true);
-                break;
-            case 3: // proto to static
-                f(r, sp, true);
-                break;
-            case 4: // static to proto
-                f(rp, s);
-                break;
-            default:  // object to object
-                f(r, s);
-        }
-
-        return r;
-    };
-
-    
-
-}, "3.0.0pr1");
-/*
- * YUI object utilities
- * @module yui
- * @submodule object
- */
-YUI.add("object", function(Y) {
-
-    /**
-     * Adds the following Object utilities to the YUI instance
-     * @class YUI~object
-     */
-
-    /**
-     * Y.Object(o) returns a new object based upon the supplied object.  
-     * @method Object
-     * @static
-     * @param o the supplier object
-     * @return {object} the new object
-     */
-    Y.Object = function(o) {
-        var F = function() {};
-        F.prototype = o;
-        return new F();
-    }; 
-
-    var O = Y.Object, L = Y.Lang;
-
-    /**
-     * Determines whether or not the property was added
-     * to the object instance.  Returns false if the property is not present
-     * in the object, or was inherited from the prototype.
-     *
-     * @deprecated Safari 1.x support has been removed, so this is simply a 
-     * wrapper for the native implementation.  Use the native implementation
-     * directly instead.
-     *
-     * @TODO Remove in PR2
-     *
-     * @method Object.owns
-     * @static
-     * @param o {any} The object being testing
-     * @param p {string} the property to look for
-     * @return {boolean} true if the object has the property on the instance
-     */
-    O.owns = function(o, p) {
-        return (o && o.hasOwnProperty) ? o.hasOwnProperty(p) : false;
-    };
-
-    /**
-     * Returns an array containing the object's keys
-     * @method Object.keys
-     * @static
-     * @param o an object
-     * @return {string[]} the keys
-     */
-    O.keys = function(o) {
-        var a=[], i;
-        for (i in o) {
-            if (o.hasOwnProperty(i)) {
-                a.push(i);
-            }
-        }
-
-        return a;
-    };
-
-    /**
-     * Executes a function on each item. The function
-     * receives the value, the key, and the object
-     * as paramters (in that order).
-     * @method Object.each
-     * @static
-     * @param o the object to iterate
-     * @param f {function} the function to execute
-     * @param c the execution context
-     * @param proto {boolean} include proto
-     * @return {YUI} the YUI instance
-     */
-    O.each = function (o, f, c, proto) {
-        var s = c || Y;
-
-        for (var i in o) {
-            if (proto || o.hasOwnProperty(i)) {
-                f.call(s, o[i], i, o);
-            }
-        }
-        return Y;
-    };
-}, "3.0.0pr1");
-/*
- * YUI user agent detection
- * @module yui
- * @submodule ua
- */
-YUI.add("ua", function(Y) {
-
-    /**
-     * Browser/platform detection
-     * @class UA
-     * @static
-     */
-    Y.UA = function() {
-
-        var o={
-
-            /**
-             * Internet Explorer version number or 0.  Example: 6
-             * @property ie
-             * @type float
-             * @static
-             */
-            ie:0,
-
-            /**
-             * Opera version number or 0.  Example: 9.2
-             * @property opera
-             * @type float
-             * @static
-             */
-            opera:0,
-
-            /**
-             * Gecko engine revision number.  Will evaluate to 1 if Gecko 
-             * is detected but the revision could not be found. Other browsers
-             * will be 0.  Example: 1.8
-             * <pre>
-             * Firefox 1.0.0.4: 1.7.8   <-- Reports 1.7
-             * Firefox 1.5.0.9: 1.8.0.9 <-- Reports 1.8
-             * Firefox 2.0.0.3: 1.8.1.3 <-- Reports 1.8
-             * Firefox 3 alpha: 1.9a4   <-- Reports 1.9
-             * </pre>
-             * @property gecko
-             * @type float
-             * @static
-             */
-            gecko:0,
-
-            /**
-             * AppleWebKit version.  KHTML browsers that are not WebKit browsers 
-             * will evaluate to 1, other browsers 0.  Example: 418.9.1
-             * <pre>
-             * Safari 1.3.2 (312.6): 312.8.1 <-- Reports 312.8 -- currently the 
-             *                                   latest available for Mac OSX 10.3.
-             * Safari 2.0.2:         416     <-- hasOwnProperty introduced
-             * Safari 2.0.4:         418     <-- preventDefault fixed
-             * Safari 2.0.4 (419.3): 418.9.1 <-- One version of Safari may run
-             *                                   different versions of webkit
-             * Safari 2.0.4 (419.3): 419     <-- Tiger installations that have been
-             *                                   updated, but not updated
-             *                                   to the latest patch.
-             * Webkit 212 nightly:   522+    <-- Safari 3.0 precursor (with native SVG
-             *                                   and many major issues fixed).
-             * Safari 3.0.4 (523.12) 523.12  <-- First Tiger release - automatic update
-             *                                   from 2.x via the 10.4.11 OS patch
-             *                                   
-             * </pre>
-             * http://developer.apple.com/internet/safari/uamatrix.html
-             * @property webkit
-             * @type float
-             * @static
-             */
-            webkit:0,
-
-            /**
-             * The mobile property will be set to a string containing any relevant
-             * user agent information when a modern mobile browser is detected.
-             * Currently limited to Safari on the iPhone/iPod Touch, Nokia N-series
-             * devices with the WebKit-based browser, and Opera Mini.  
-             * @property mobile 
-             * @type string
-             * @static
-             */
-            mobile: null 
-        };
-
-        var ua=navigator.userAgent, m;
-
-        // Modern KHTML browsers should qualify as Safari X-Grade
-        if ((/KHTML/).test(ua)) {
-            o.webkit=1;
-        }
-        // Modern WebKit browsers are at least X-Grade
-        m=ua.match(/AppleWebKit\/([^\s]*)/);
-        if (m&&m[1]) {
-            o.webkit=parseFloat(m[1]);
-
-            // Mobile browser check
-            if (/ Mobile\//.test(ua)) {
-                o.mobile = "Apple"; // iPhone or iPod Touch
-            } else {
-                m=ua.match(/NokiaN[^\/]*/);
-                if (m) {
-                    o.mobile = m[0]; // Nokia N-series, ex: NokiaN95
-                }
-            }
-
-        }
-
-        if (!o.webkit) { // not webkit
-            // @todo check Opera/8.01 (J2ME/MIDP; Opera Mini/2.0.4509/1316; fi; U; ssr)
-            m=ua.match(/Opera[\s\/]([^\s]*)/);
-            if (m&&m[1]) {
-                o.opera=parseFloat(m[1]);
-                m=ua.match(/Opera Mini[^;]*/);
-                if (m) {
-                    o.mobile = m[0]; // ex: Opera Mini/2.0.4509/1316
-                }
-            } else { // not opera or webkit
-                m=ua.match(/MSIE\s([^;]*)/);
-                if (m&&m[1]) {
-                    o.ie=parseFloat(m[1]);
-                } else { // not opera, webkit, or ie
-                    m=ua.match(/Gecko\/([^\s]*)/);
-                    if (m) {
-                        o.gecko=1; // Gecko detected, look for revision
-                        m=ua.match(/rv:([^\s\)]*)/);
-                        if (m&&m[1]) {
-                            o.gecko=parseFloat(m[1]);
-                        }
-                    }
-                }
-            }
-        }
-        
-        return o;
-    }();
-}, "3.0.0pr1");
-/*
- * YUI setTimeout/setInterval abstraction
- * @module yui
- * @submodule later
- */
-YUI.add("later", function(Y) {
-
-    var L = Y.Lang;
-
-    /**
-     * Executes the supplied function in the context of the supplied 
-     * object 'when' milliseconds later.  Executes the function a 
-     * single time unless periodic is set to true.
-     * @method later
-     * @for YUI
-     * @param when {int} the number of milliseconds to wait until the fn 
-     * is executed.
-     * @param o the context object.
-     * @param fn {Function|String} the function to execute or the name of 
-     * the method in the 'o' object to execute.
-     * @param data [Array] data that is provided to the function.  This accepts
-     * either a single item or an array.  If an array is provided, the
-     * function is executed with one parameter for each array item.  If
-     * you need to pass a single array parameter, it needs to be wrapped in
-     * an array [myarray].
-     * @param periodic {boolean} if true, executes continuously at supplied 
-     * interval until canceled.
-     * @return {object} a timer object. Call the cancel() method on this object to 
-     * stop the timer.
-     */
-    var later = function(when, o, fn, data, periodic) {
-        when = when || 0; 
-        o = o || {};
-        var m=fn, d=data, f, r;
-
-        if (L.isString(fn)) {
-            m = o[fn];
-        }
-
-        if (!m) {
-            Y.fail("method undefined");
-        }
-
-        if (!L.isArray(d)) {
-            d = [data];
-        }
-
-        f = function() {
-            m.apply(o, d);
-        };
-
-        r = (periodic) ? setInterval(f, when) : setTimeout(f, when);
-
-        return {
-            interval: periodic,
-            cancel: function() {
-                if (this.interval) {
-                    clearInterval(r);
-                } else {
-                    clearTimeout(r);
-                }
-            }
-        };
-    };
-
-    Y.later = later;
-    L.later = later;
-
-}, "3.0.0pr1");
-
-YUI.add("get", function(Y) {
-    
-        var ua=Y.UA, 
-        L=Y.Lang;
-
-/**
- * Provides a mechanism to fetch remote resources and
- * insert them into a document.
- * @module yui
- * @submodule get
- */
-
-/**
- * Fetches and inserts one or more script or link nodes into the document 
- * @class Get
- * @static
- */
-Y.Get = function() {
-
-    /**
-     * hash of queues to manage multiple requests
-     * @property queues
-     * @private
-     */
-    var queues={}, 
-        
-    /**
-     * queue index used to generate transaction ids
-     * @property qidx
-     * @type int
-     * @private
-     */
-        qidx=0, 
-        
-    /**
-     * node index used to generate unique node ids
-     * @property nidx
-     * @type int
-     * @private
-     */
-        nidx=0, 
-
-        // ridx=0,
-
-        // sandboxFrame=null,
-
-    /**
-     * interal property used to prevent multiple simultaneous purge 
-     * processes
-     * @property purging
-     * @type boolean
-     * @private
-     */
-        purging=false;
-
-    
-    /** 
-     * Generates an HTML element, this is not appended to a document
-     * @method _node
-     * @param type {string} the type of element
-     * @param attr {string} the attributes
-     * @param win {Window} optional window to create the element in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _node = function(type, attr, win) {
-        var w = win || Y.config.win, d=w.document, n=d.createElement(type);
-
-        for (var i in attr) {
-            if (attr[i] && Y.Object.owns(attr, i)) {
-                n.setAttribute(i, attr[i]);
-            }
-        }
-
-        return n;
-    };
-
-    /**
-     * Generates a link node
-     * @method _linkNode
-     * @param url {string} the url for the css file
-     * @param win {Window} optional window to create the node in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _linkNode = function(url, win, charset) {
-        var c = charset || "utf-8";
-        return _node("link", {
-                "id":      "yui__dyn_" + (nidx++),
-                "type":    "text/css",
-                "charset": c,
-                "rel":     "stylesheet",
-                "href":    url
-            }, win);
-    };
-
-    /**
-     * Generates a script node
-     * @method _scriptNode
-     * @param url {string} the url for the script file
-     * @param win {Window} optional window to create the node in
-     * @return {HTMLElement} the generated node
-     * @private
-     */
-    var _scriptNode = function(url, win, charset) {
-        var c = charset || "utf-8";
-        return _node("script", {
-                "id":      "yui__dyn_" + (nidx++),
-                "type":    "text/javascript",
-                "charset": c,
-                "src":     url
-            }, win);
-    };
-
-    /*
-     * The request failed, execute fail handler with whatever
-     * was accomplished.  There isn't a failure case at the
-     * moment unless you count aborted transactions
-     * @method _fail
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _fail = function(id, msg) {
-
-
-        var q = queues[id];
-        if (q.timer) {
-            q.timer.cancel();
-        }
-
-        // execute failure callback
-        if (q.onFailure) {
-            var sc=q.context || q;
-            q.onFailure.call(sc, _returnData(q, msg));
-        }
-    };
-
-    var _get = function(nId, tId) {
-        var q = queues[tId],
-            n = (L.isString(nId)) ? q.win.document.getElementById(nId) : nId;
-        if (!n) {
-            _fail(tId, "target node not found: " + nId);
-        }
-
-        return n;
-    };
-
-    /**
-     * Removes the nodes for the specified queue
-     * @method _purge
-     * @private
-     */
-    var _purge = function(tId) {
-        var q=queues[tId];
-        if (q) {
-            var n=q.nodes, l=n.length, d=q.win.document, 
-                h=d.getElementsByTagName("head")[0];
-
-            if (q.insertBefore) {
-                var s = _get(q.insertBefore, tId);
-                if (s) {
-                    h = s.parentNode;
-                }
-            }
-
-            for (var i=0; i<l; i=i+1) {
-                h.removeChild(n[i]);
-            }
-        }
-        q.nodes = [];
-    };
-
-    /**
-     * Returns the data payload for callback functions
-     * @method _returnData
-     * @private
-     */
-    var _returnData = function(q, msg) {
-        return {
-                tId: q.tId,
-                win: q.win,
-                data: q.data,
-                nodes: q.nodes,
-                msg: msg,
-                purge: function() {
-                    _purge(this.tId);
-                }
-            };
-    };
-
-
-    /**
-     * The request is complete, so executing the requester's callback
-     * @method _finish
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _finish = function(id) {
-        var q = queues[id];
-        if (q.timer) {
-            q.timer.cancel();
-        }
-        q.finished = true;
-
-        if (q.aborted) {
-            var msg = "transaction " + id + " was aborted";
-            _fail(id, msg);
-            return;
-        }
-
-        // execute success callback
-        if (q.onSuccess) {
-            var sc=q.context || q;
-            q.onSuccess.call(sc, _returnData(q));
-        }
-    };
-
-    /**
-     * Timeout detected
-     * @method _timeout
-     * @param id {string} the id of the request
-     * @private
-     */
-    var _timeout = function(id) {
-        var q = queues[id];
-        if (q.onTimeout) {
-            var sc=q.context || q;
-            q.onTimeout.call(sc, _returnData(q));
-        }
-    };
-
-    /**
-     * Loads the next item for a given request
-     * @method _next
-     * @param id {string} the id of the request
-     * @param loaded {string} the url that was just loaded, if any
-     * @private
-     */
-    var _next = function(id, loaded) {
-
-        var q = queues[id];
-
-        if (q.timer) {
-            q.timer.cancel();
-        }
-
-        if (q.aborted) {
-            var msg = "transaction " + id + " was aborted";
-            _fail(id, msg);
-            return;
-        }
-
-        if (loaded) {
-            q.url.shift(); 
-            if (q.varName) {
-                q.varName.shift(); 
-            }
-        } else {
-            // This is the first pass: make sure the url is an array
-            q.url = (L.isString(q.url)) ? [q.url] : q.url;
-            if (q.varName) {
-                q.varName = (L.isString(q.varName)) ? [q.varName] : q.varName;
-            }
-        }
-
-        var w=q.win, d=w.document, h=d.getElementsByTagName("head")[0], n;
-
-        if (q.url.length === 0) {
-            _finish(id);
-            return;
-        } 
-
-        var url = q.url[0];
-
-        if (q.timeout) {
-            q.timer = L.later(q.timeout, q, _timeout, id);
-        }
-
-        if (q.type === "script") {
-            n = _scriptNode(url, w, q.charset);
-        } else {
-            n = _linkNode(url, w, q.charset);
-        }
-
-        // track this node's load progress
-        _track(q.type, n, id, url, w, q.url.length);
-
-        // add the node to the queue so we can return it to the user supplied callback
-        q.nodes.push(n);
-
-        // add it to the head or insert it before 'insertBefore'
-        if (q.insertBefore) {
-            var s = _get(q.insertBefore, id);
-            if (s) {
-                s.parentNode.insertBefore(n, s);
-            }
-        } else {
-            h.appendChild(n);
-        }
-        
-
-        // FireFox does not support the onload event for link nodes, so there is
-        // no way to make the css requests synchronous. This means that the css 
-        // rules in multiple files could be applied out of order in this browser
-        // if a later request returns before an earlier one.  Safari too.
-        if ((ua.webkit || ua.gecko) && q.type === "css") {
-            _next(id, url);
-        }
-    };
-
-    /**
-     * Removes processed queues and corresponding nodes
-     * @method _autoPurge
-     * @private
-     */
-    var _autoPurge = function() {
-
-        if (purging) {
-            return;
-        }
-
-        purging = true;
-        for (var i in queues) {
-            if (queues.hasOwnProperty(i)) {
-                var q = queues[i];
-                if (q.autopurge && q.finished) {
-                    _purge(q.tId);
-                    delete queues[i];
-                }
-            }
-        }
-
-        purging = false;
-    };
-
-    /**
-     * Saves the state for the request and begins loading
-     * the requested urls
-     * @method queue
-     * @param type {string} the type of node to insert
-     * @param url {string} the url to load
-     * @param opts the hash of options for this request
-     * @private
-     */
-    var _queue = function(type, url, opts) {
-
-        var id = "q" + (qidx++);
-        opts = opts || {};
-
-        if (qidx % Y.Get.PURGE_THRESH === 0) {
-            _autoPurge();
-        }
-
-        queues[id] = Y.merge(opts, {
-            tId: id,
-            type: type,
-            url: url,
-            finished: false,
-            nodes: []
-        });
-
-        var q = queues[id];
-        q.win = q.win || Y.config.win;
-        q.context = q.context || q;
-        q.autopurge = ("autopurge" in q) ? q.autopurge : 
-                      (type === "script") ? true : false;
-
-        L.later(0, q, _next, id);
-
-        return {
-            tId: id
-        };
-    };
-
-    /**
-     * Detects when a node has been loaded.  In the case of
-     * script nodes, this does not guarantee that contained
-     * script is ready to use.
-     * @method _track
-     * @param type {string} the type of node to track
-     * @param n {HTMLElement} the node to track
-     * @param id {string} the id of the request
-     * @param url {string} the url that is being loaded
-     * @param win {Window} the targeted window
-     * @param qlength the number of remaining items in the queue,
-     * including this one
-     * @param trackfn {Function} function to execute when finished
-     * the default is _next
-     * @private
-     */
-    var _track = function(type, n, id, url, win, qlength, trackfn) {
-        var f = trackfn || _next;
-
-        // IE supports the readystatechange event for script and css nodes
-        // Opera only for script nodes.  Opera support onload for script
-        // nodes, but this doesn't fire when their is a load failure.
-        // The onreadystatechange appears to be a better way to respond
-        // to both success and failure.
-        if (ua.ie) {
-            n.onreadystatechange = function() {
-                var rs = this.readyState;
-                if ("loaded" === rs || "complete" === rs) {
-                    f(id, url);
-                }
-            };
-
-        // webkit prior to 3.x is no longer supported
-        } else if (ua.webkit) {
-
-            if (type === "script") {
-                // Safari 3.x supports the load event for script nodes (DOM2)
-                n.addEventListener("load", function() {
-                    f(id, url);
-                });
-            } 
-
-        // FireFox and Opera support onload (but not DOM2 in FF) handlers for
-        // script nodes.  Opera, but not FF, supports the onload event for link
-        // nodes.
-        } else { 
-
-            n.onload = function() {
-                f(id, url);
-            };
-
-            n.onerror = function(e) {
-                _fail(id, e + ": " + url);
-            };
-        }
-    };
-
-    return {
-
-        /**
-         * The number of request required before an automatic purge.
-         * property PURGE_THRESH
-         * @static
-         * @type int
-         * @default 20
-         */
-        PURGE_THRESH: 20,
-
-        /**
-         * Called by the the helper for detecting script load in Safari
-         * @method _finalize
-         * @static
-         * @param id {string} the transaction id
-         * @private
-         */
-        _finalize: function(id) {
-            L.later(0, null, _finish, id);
-        },
-
-        /**
-         * Abort a transaction
-         * @method abort
-         * @static
-         * @param o {string|object} Either the tId or the object returned from
-         * script() or css()
-         */
-        abort: function(o) {
-            var id = (L.isString(o)) ? o : o.tId;
-            var q = queues[id];
-            if (q) {
-                q.aborted = true;
-            }
-        }, 
-
-        /**
-         * Fetches and inserts one or more script nodes into the head
-         * of the current document or the document in a specified window.
-         *
-         * @method script
-         * @static
-         * @param url {string|string[]} the url or urls to the script(s)
-         * @param opts {object} Options: 
-         * <dl>
-         * <dt>onSuccess</dt>
-         * <dd>
-         * callback to execute when the script(s) are finished loading
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>onTimeout</dt>
-         * <dd>
-         * callback to execute when a timeout occurs.
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>onFailure</dt>
-         * <dd>
-         * callback to execute when the script load operation fails
-         * The callback receives an object back with the following
-         * data:
-         * <dl>
-         * <dt>win</dt>
-         * <dd>the window the script(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted successfully</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove any nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>context</dt>
-         * <dd>the execution context for the callbacks</dd>
-         * <dt>win</dt>
-         * <dd>a window other than the one the utility occupies</dd>
-         * <dt>autopurge</dt>
-         * <dd>
-         * setting to true will let the utilities cleanup routine purge 
-         * the script once loaded
-         * </dd>
-         * <dt>data</dt>
-         * <dd>
-         * data that is supplied to the callback when the script(s) are
-         * loaded.
-         * </dd>
-         * <dt>insertBefore</dt>
-         * <dd>node or node id that will become the new node's nextSibling</dd>
-         * </dl>
-         * <dt>charset</dt>
-         * <dd>Node charset, default utf-8</dd>
-         * <dt>timeout</dt>
-         * <dd>Number of milliseconds to wait before aborting and firing the timeout event</dd>
-         * <pre>
-         * &nbsp;&nbsp;Y.Get.script(
-         * &nbsp;&nbsp;["http://yui.yahooapis.com/2.5.2/build/yahoo/yahoo-min.js",
-         * &nbsp;&nbsp;&nbsp;"http://yui.yahooapis.com/2.5.2/build/event/event-min.js"], &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;onSuccess: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;onFailure: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;onTimeout: function(o) &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;&#125;,
-         * &nbsp;&nbsp;&nbsp;&nbsp;data: "foo",
-         * &nbsp;&nbsp;&nbsp;&nbsp;timeout: 10000, // 10 second timeout
-         * &nbsp;&nbsp;&nbsp;&nbsp;context: Y, // make the YUI instance
-         * &nbsp;&nbsp;&nbsp;&nbsp;// win: otherframe // target another window/frame
-         * &nbsp;&nbsp;&nbsp;&nbsp;autopurge: true // allow the utility to choose when to remove the nodes
-         * &nbsp;&nbsp;&#125;);
-         * </pre>
-         * @return {tId: string} an object containing info about the transaction
-         */
-        script: function(url, opts) { 
-            return _queue("script", url, opts); 
-        },
-
-        /**
-         * Fetches and inserts one or more css link nodes into the 
-         * head of the current document or the document in a specified
-         * window.
-         * @method css
-         * @static
-         * @param url {string} the url or urls to the css file(s)
-         * @param opts Options: 
-         * <dl>
-         * <dt>onSuccess</dt>
-         * <dd>
-         * callback to execute when the css file(s) are finished loading
-         * The callback receives an object back with the following
-         * data:
-         * <dl>win</dl>
-         * <dd>the window the link nodes(s) were inserted into</dd>
-         * <dt>data</dt>
-         * <dd>the data object passed in when the request was made</dd>
-         * <dt>nodes</dt>
-         * <dd>An array containing references to the nodes that were
-         * inserted</dd>
-         * <dt>purge</dt>
-         * <dd>A function that, when executed, will remove the nodes
-         * that were inserted</dd>
-         * <dt>
-         * </dl>
-         * </dd>
-         * <dt>context</dt>
-         * <dd>the execution context for the callbacks</dd>
-         * <dt>win</dt>
-         * <dd>a window other than the one the utility occupies</dd>
-         * <dt>data</dt>
-         * <dd>
-         * data that is supplied to the callbacks when the nodes(s) are
-         * loaded.
-         * </dd>
-         * <dt>insertBefore</dt>
-         * <dd>node or node id that will become the new node's nextSibling</dd>
-         * <dt>charset</dt>
-         * <dd>Node charset, default utf-8</dd>
-         * </dl>
-         * <pre>
-         *      Y.Get.css("http://yui.yahooapis.com/2.3.1/build/menu/assets/skins/sam/menu.css");
-         * </pre>
-         * <pre>
-         * &nbsp;&nbsp;Y.Get.css(
-         * &nbsp;&nbsp;["http://yui.yahooapis.com/2.3.1/build/menu/assets/skins/sam/menu.css",
-         * &nbsp;&nbsp;&nbsp;"http://yui.yahooapis.com/2.3.1/build/logger/assets/skins/sam/logger.css"], &#123;
-         * &nbsp;&nbsp;&nbsp;&nbsp;insertBefore: 'custom-styles' // nodes will be inserted before the specified node
-         * &nbsp;&nbsp;&#125;);
-         * </pre>
-         * @return {tId: string} an object containing info about the transaction
-         */
-        css: function(url, opts) {
-            return _queue("css", url, opts); 
-        }
-    };
-}();
-
-}, "3.0.0pr1");
-/**
- * Loader dynamically loads script and css files.  It includes the dependency
- * info for the version of the library in use, and will automatically pull in
- * dependencies for the modules requested.  It supports rollup files and will
- * automatically use these when appropriate in order to minimize the number of
- * http connections required to load all of the dependencies.  It can load the
- * files from the Yahoo! CDN, and it can utilize the combo service provided on
- * this network to reduce the number of http connections required to download 
- * YUI files.
- *
- * @module yui
- * @submodule loader
- */
-
-/**
- * Loader dynamically loads script and css files.  It includes the dependency
- * info for the version of the library in use, and will automatically pull in
- * dependencies for the modules requested.  It supports rollup files and will
- * automatically use these when appropriate in order to minimize the number of
- * http connections required to load all of the dependencies.  It can load the
- * files from the Yahoo! CDN, and it can utilize the combo service provided on
- * this network to reduce the number of http connections required to download 
- * YUI files.
- * @class Loader
- * @constructor
- * @param o an optional set of configuration options.  Valid options:
- * <ul>
- *  <li>base:
- *  The base dir</li>
- *  <li>secureBase:
- *  The secure base dir (not implemented)</li>
- *  <li>comboBase:
- *  The YUI combo service base dir. Ex: http://yui.yahooapis.com/combo?</li>
- *  <li>root:
- *  The root path to prepend to module names for the combo service. Ex: 2.5.2/build/</li>
- *  <li>filter:
- *  
- * A filter to apply to result urls.  This filter will modify the default
- * path for all modules.  The default path for the YUI library is the
- * minified version of the files (e.g., event-min.js).  The filter property
- * can be a predefined filter or a custom filter.  The valid predefined 
- * filters are:
- * <dl>
- *  <dt>DEBUG</dt>
- *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
- *      This option will automatically include the logger widget</dd>
- *  <dt>RAW</dt>
- *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
- * </dl>
- * You can also define a custom filter, which must be an object literal 
- * containing a search expression and a replace string:
- * <pre>
- *  myFilter: &#123; 
- *      'searchExp': "-min\\.js", 
- *      'replaceStr': "-debug.js"
- *  &#125;
- * </pre>
- *
- *  </li>
- *  <li>combine:
- *  Use the YUI combo service to reduce the number of http connections required to load your dependencies</li>
- *  <li>ignore:
- *  A list of modules that should never be dynamically loaded</li>
- *  <li>force:
- *  A list of modules that should always be loaded when required, even if already present on the page</li>
- *  <li>insertBefore:
- *  Node or id for a node that should be used as the insertion point for new nodes</li>
- *  <li>charset:
- *  charset for dynamic nodes</li>
- *  <li>timeout:
- *  number of milliseconds before a timeout occurs when dynamically loading nodes.  in not set, there is no timeout</li>
- *  <li>context:
- *  execution context for all callbacks</li>
- *  <li>onSuccess:
- *  callback for the 'success' event</li>
- *  <li>onFailure:
- *  callback for the 'failure' event</li>
- *  <li>onTimeout:
- *  callback for the 'timeout' event</li>
- *  <li>onProgress:
- *  callback executed each time a script or css file is loaded</li>
- *  <li>modules:
- *  A list of module definitions.  See Loader.addModule for the supported module metadata</li>
- * </ul>
- */
-
-// @TODO backed out the custom event changes so that the event system
-// isn't required in the seed build.  If needed, we may want to 
-// add them back if the event system is detected.
-
-/*
- * Executed when the loader successfully completes an insert operation
- * This can be subscribed to normally, or a listener can be passed
- * as an onSuccess config option.
- * @event success
- */
-
-/*
- * Executed when the loader fails to complete an insert operation.
- * This can be subscribed to normally, or a listener can be passed
- * as an onFailure config option.
- *
- * @event failure
- */
-
-/*
- * Executed when a Get operation times out.
- * This can be subscribed to normally, or a listener can be passed
- * as an onTimeout config option.
- *
- * @event timeout
- */
-
-// http://yui.yahooapis.com/combo?2.5.2/build/yahoo/yahoo-min.js&2.5.2/build/dom/dom-min.js&2.5.2/build/event/event-min.js&2.5.2/build/autocomplete/autocomplete-min.js"
-
-YUI.add("loader", function(Y) {
-
-var BASE = 'base', 
-    CSS = 'css',
-    JS = 'js',
-    CSSRESET = 'cssreset',
-    CSSFONTS = 'cssfonts',
-    CSSGRIDS = 'cssgrids',
-    CSSBASE = 'cssbase',
-    CSS_AFTER = [CSSRESET, CSSFONTS, CSSGRIDS, 'cssreset-context', 'cssfonts-context', 'cssgrids-context'],
-    YUI_CSS = ['reset', 'fonts', 'grids', 'base'],
-    VERSION = '3.0.0pr1',
-    ROOT = VERSION + '/build/',
-    CONTEXT = '-context',
-    META = {
-
-    version: VERSION,
-
-    root: ROOT,
-
-    base: 'http://yui.yahooapis.com/' + ROOT,
-
-    comboBase: 'http://yui.yahooapis.com/combo?',
-
-    modules: {
-
-       dom: {
-            requires: ['event'],
-            submodules: {
-                'dom-base': {
-                    requires: ['event']
-                },
-                'dom-style': {
-                    requires: ['dom-base']
-
-                },
-                'dom-screen': {
-                    requires: ['dom-base', 'dom-style']
-                },
-                selector: {
-                    requires: ['dom-base']
-                }
-            }
-        },
-
-        node: {
-            requires: ['dom'],
-            submodules: {
-                'node-base': {
-                    requires: ['dom-base', 'selector']
-                },
-                'node-style': {
-                    requires: ['dom-style', 'node-base']
-                },
-                'node-screen': {
-                    requires: ['dom-screen', 'node-base']
-                }
-            }
-        },
-
-        anim: {
-            requires: [BASE, 'node'],
-            submodules: {
-                'anim-base': {
-                    requires: ['base', 'node-style']
-                },
-                'anim-color': {
-                    requires: ['anim-base']
-                },
-                'anim-curve': {
-                    requires: ['anim-xy']
-                },
-                'anim-easing': {
-                },
-                'anim-scroll': {
-                    requires: ['anim-base']
-                },
-                'anim-xy': {
-                    requires: ['anim-base', 'node-screen']
-                },
-                'anim-node-plugin': {
-                     requires: ['node', 'anim-base']
-                }
-            }
-        },
-
-        attribute: { 
-            requires: ['event']
-        },
-
-        base: {
-            requires: ['attribute']
-        },
-        
-        compat: { 
-            requires: ['node']
-        },
-        
-        cookie: { },
-
-        // Note: CSS attributes are modified programmatically to reduce metadata size
-        // cssbase: {
-        //     after: CSS_AFTER
-        // },
-
-        // cssgrids: {
-        //     requires: [CSSFONTS],
-        //     optional: [CSSRESET]
-        // },
-
-        'dd':{
-            submodules: {
-                'dd-ddm-base': {
-                    requires: ['node', BASE]
-                }, 
-                'dd-ddm':{
-                    requires: ['dd-ddm-base']
-                }, 
-                'dd-ddm-drop':{
-                    requires: ['dd-ddm']
-                }, 
-                'dd-drag':{
-                    requires: ['dd-ddm-base']
-                }, 
-                'dd-drop':{
-                    requires: ['dd-ddm-drop']
-                }, 
-                'dd-proxy':{
-                    requires: ['dd-drag']
-                }, 
-                'dd-constrain':{
-                    requires: ['dd-drag', 'dd-proxy']
-                }, 
-                'dd-plugin':{
-                    requires: ['dd-drag'],
-                    optional: ['dd-constrain', 'dd-proxy']
-                },
-                'dd-drop-plugin':{
-                    requires: ['dd-drop']
-                }
-            }
-        },
-
-        dump: { },
-
-        event: { 
-            requires: ['oop']
-        },
-
-        get: { },
-        
-        io: { 
-            requires: ['node']
-        },
-
-        json: {
-            submodules: {
-                'json-parse': {
-                },
-
-                'json-stringify': {
-                }
-            }
-        },
-
-        loader: { },
-        
-        oop: { 
-            requires: ['yui-base']
-        },
-
-        queue: { },
-
-        substitute: {
-            optional: ['dump']
-        },
-
-        // Since YUI is required for everything else, it should not be specified as
-        // a dependency.
-        yui: {
-            supersedes: ['yui-base', 'get', 'loader']
-        },
-
-        'yui-base': { }
-    }
-};
-
-var _path = function(dir, file, type) {
-    return dir + '/' + file + '-min.' + (type || CSS);
-};
-
-var _cssmeta = function() {
-    var mods = META.modules;
-    // modify the meta info for YUI CSS
-    for (var i=0; i<YUI_CSS.length; i=i+1) {
-        var bname = YUI_CSS[i],
-            mname = CSS + bname;
-
-        mods[mname] = {
-            type: CSS,
-            path: _path(mname, bname)
-        };
-
-        // define -context module
-        var contextname = mname + CONTEXT;
-        bname = bname + CONTEXT;
-
-        mods[contextname] = {
-            type: CSS,
-            path: _path(mname, bname)
-        };
-
-        if (mname == CSSGRIDS) {
-            mods[mname].requires = [CSSFONTS];
-            mods[mname].optional = [CSSRESET];
-            mods[contextname].requires = [CSSFONTS + CONTEXT];
-            mods[contextname].optional = [CSSRESET + CONTEXT];
-        } else if (mname == CSSBASE) {
-            mods[mname].after = CSS_AFTER;
-            mods[contextname].after = CSS_AFTER;
-        }
-    }
-}();
-
-Y.Env.meta = META;
-
-
-    var L=Y.Lang, env=Y.Env,
-        PROV = "_provides", SUPER = "_supersedes",
-        REQ = "expanded";
-
-    Y.Loader = function(o) {
-
-        /**
-         * Internal callback to handle multiple internal insert() calls
-         * so that css is inserted prior to js
-         * @property _internalCallback
-         * @private
-         */
-        this._internalCallback = null;
-
-        /**
-         * Use the YUI environment listener to detect script load.  This
-         * is only switched on for Safari 2.x and below.
-         * @property _useYahooListener
-         * @private
-         */
-        this._useYahooListener = false;
-
-        /**
-         * Callback that will be executed when the loader is finished
-         * with an insert
-         * @method onSuccess
-         * @type function
-         */
-        this.onSuccess = null;
-
-        /**
-         * Callback that will be executed if there is a failure
-         * @method onFailure
-         * @type function
-         */
-        this.onFailure = null;
-
-        /**
-         * Callback executed each time a script or css file is loaded
-         * @method onProgress
-         * @type function
-         */
-        this.onProgress = null;
-
-        /**
-         * Callback that will be executed if a timeout occurs
-         * @method onTimeout
-         * @type function
-         */
-        this.onTimeout = null;
-
-        /**
-         * The execution context for all callbacks
-         * @property context
-         * @default {YUI} the YUI instance
-         */
-        this.context = Y;
-
-        /**
-         * Data that is passed to all callbacks
-         * @property data
-         */
-        this.data = null;
-
-        /**
-         * Node reference or id where new nodes should be inserted before
-         * @property insertBefore
-         * @type string|HTMLElement
-         */
-        this.insertBefore = null;
-
-        /**
-         * The charset attribute for inserted nodes
-         * @property charset
-         * @type string
-         * @default utf-8
-         */
-        this.charset = null;
-
-        /**
-         * The base directory.
-         * @property base
-         * @type string
-         * @default http://yui.yahooapis.com/[YUI VERSION]/build/
-         */
-        this.base = Y.Env.meta.base;
-
-        /**
-         * Base path for the combo service
-         * @property comboBase
-         * @type string
-         * @default http://yui.yahooapis.com/combo?
-         */
-        this.comboBase = Y.Env.meta.comboBase;
-
-        /**
-         * If configured, YUI JS resources will use the combo
-         * handler
-         * @property combine
-         * @type boolean
-         * @default true if a base dir isn't in the config
-         */
-        this.combine = (!(BASE in o));
-
-        /**
-         * Ignore modules registered on the YUI global
-         * @property ignoreRegistered
-         * @default false
-         */
-        this.ignoreRegistered = false;
-
-        /**
-         * Root path to prepend to module path for the combo
-         * service
-         * @property root
-         * @type string
-         * @default [YUI VERSION]/build/
-         */
-        this.root = Y.Env.meta.root;
-
-        /**
-         * Timeout value in milliseconds.  If set, this value will be used by
-         * the get utility.  the timeout event will fire if
-         * a timeout occurs.
-         * @property timeout
-         * @type int
-         */
-        this.timeout = 0;
-
-        /**
-         * A list of modules that should not be loaded, even if
-         * they turn up in the dependency tree
-         * @property ignore
-         * @type string[]
-         */
-        this.ignore = null;
-
-        /**
-         * A list of modules that should always be loaded, even
-         * if they have already been inserted into the page.
-         * @property force
-         * @type string[]
-         */
-        this.force = null;
-
-        /**
-         * Should we allow rollups
-         * @property allowRollup
-         * @type boolean
-         * @default true
-         */
-        this.allowRollup = true;
-
-        /**
-         * A filter to apply to result urls.  This filter will modify the default
-         * path for all modules.  The default path for the YUI library is the
-         * minified version of the files (e.g., event-min.js).  The filter property
-         * can be a predefined filter or a custom filter.  The valid predefined 
-         * filters are:
-         * <dl>
-         *  <dt>DEBUG</dt>
-         *  <dd>Selects the debug versions of the library (e.g., event-debug.js).
-         *      This option will automatically include the logger widget</dd>
-         *  <dt>RAW</dt>
-         *  <dd>Selects the non-minified version of the library (e.g., event.js).</dd>
-         * </dl>
-         * You can also define a custom filter, which must be an object literal 
-         * containing a search expression and a replace string:
-         * <pre>
-         *  myFilter: &#123; 
-         *      'searchExp': "-min\\.js", 
-         *      'replaceStr': "-debug.js"
-         *  &#125;
-         * </pre>
-         * @property filter
-         * @type string|{searchExp: string, replaceStr: string}
-         */
-        this.filter = null;
-
-        /**
-         * The list of requested modules
-         * @property required
-         * @type {string: boolean}
-         */
-        this.required = {};
-
-        /**
-         * The library metadata
-         * @property moduleInfo
-         */
-        // this.moduleInfo = Y.merge(Y.Env.meta.moduleInfo);
-        this.moduleInfo = {};
-        
-        var defaults = Y.Env.meta.modules;
-
-        for (var i in defaults) {
-            if (defaults.hasOwnProperty(i)) {
-                this._internal = true;
-                this.addModule(defaults[i], i);
-                this._internal = false;
-            }
-        }
-
-        /**
-         * List of rollup files found in the library metadata
-         * @property rollups
-         */
-        this.rollups = null;
-
-        /**
-         * Whether or not to load optional dependencies for 
-         * the requested modules
-         * @property loadOptional
-         * @type boolean
-         * @default false
-         */
-        this.loadOptional = false;
-
-        /**
-         * All of the derived dependencies in sorted order, which
-         * will be populated when either calculate() or insert()
-         * is called
-         * @property sorted
-         * @type string[]
-         */
-        this.sorted = [];
-
-        /**
-         * Set when beginning to compute the dependency tree. 
-         * Composed of what YUI reports to be loaded combined
-         * with what has been loaded by the tool
-         * @propery loaded
-         * @type {string: boolean}
-         */
-        this.loaded = {};
-
-        /**
-         * A list of modules to attach to the YUI instance when complete.
-         * If not supplied, the sorted list of dependencies are applied.
-         * @property attaching
-         */
-        this.attaching = null;
-
-        /**
-         * Flag to indicate the dependency tree needs to be recomputed
-         * if insert is called again.
-         * @property dirty
-         * @type boolean
-         * @default true
-         */
-        this.dirty = true;
-
-        /**
-         * List of modules inserted by the utility
-         * @property inserted
-         * @type {string: boolean}
-         */
-        this.inserted = {};
-
-        this.skipped = {};
-
-        // Y.on('yui:load', this.loadNext, this);
-
-        this._config(o);
-
-    };
-
-    Y.Loader.prototype = {
-
-        FILTERS: {
-            RAW: { 
-                'searchExp': "-min\\.js", 
-                'replaceStr': ".js"
-            },
-            DEBUG: { 
-                'searchExp': "-min\\.js", 
-                'replaceStr': "-debug.js"
-            }
-        },
-
-        _config: function(o) {
-
-            // apply config values
-            if (o) {
-                for (var i in o) {
-                    var val = o[i];
-                    if (o.hasOwnProperty(i)) {
-                        if (i == 'require') {
-                            this.require(val);
-                        // support the old callback syntax
-                        // } else if (i.indexOf('on') === 0) {
-                            // this.subscribe(i.substr(2).toLowerCase(), o[i], o.context || this);
-                        } else if (i == 'modules') {
-                            // add a hash of module definitions
-                            for (var j in val) {
-                                this.addModule(val[j], j);
-                            }
-                        } else {
-                            this[i] = val;
-                        }
-                    }
-                }
-            }
-
-            // fix filter
-            var f = this.filter;
-
-            if (L.isString(f)) {
-
-                f = f.toUpperCase();
-
-                this.filterName = f;
-
-                // the logger must be available in order to use the debug
-                // versions of the library
-                // @TODO review when logreader is available
-                // if (f === "DEBUG") {
-                //     this.require("log");
-                // }
-
-                this.filter = this.FILTERS[f];
-            }
-
-        },
-
-        /** Add a new module to the component metadata.         
-         * <dl>
-         *     <dt>name:</dt>       <dd>required, the component name</dd>
-         *     <dt>type:</dt>       <dd>required, the component type (js or css)</dd>
-         *     <dt>path:</dt>       <dd>required, the path to the script from "base"</dd>
-         *     <dt>requires:</dt>   <dd>array of modules required by this component</dd>
-         *     <dt>optional:</dt>   <dd>array of optional modules for this component</dd>
-         *     <dt>supersedes:</dt> <dd>array of the modules this component replaces</dd>
-         *     <dt>after:</dt>      <dd>array of modules the components which, if present, should be sorted above this one</dd>
-         *     <dt>rollup:</dt>     <dd>the number of superseded modules required for automatic rollup</dd>
-         *     <dt>fullpath:</dt>   <dd>If fullpath is specified, this is used instead of the configured base + path</dd>
-         *     <dt>skinnable:</dt>  <dd>flag to determine if skin assets should automatically be pulled in</dd>
-         *     <dt>submodules:</dt> <dd>a has of submodules</dd>
-         * </dl>
-         * @method addModule
-         * @param o An object containing the module data
-         * @param name the module name (optional), required if not in the module data
-         * @return {boolean} true if the module was added, false if 
-         * the object passed in did not provide all required attributes
-         */
-        addModule: function(o, name) {
-
-            name = name || o.name;
-            o.name = name;
-
-            if (!o || !o.name) {
-                return false;
-            }
-
-            if (!o.type) {
-                o.type = JS;
-            }
-
-            if (!o.path && !o.fullpath) {
-                // o.path = name + "/" + name + "-min." + o.type;
-                o.path = _path(name, name, o.type);
-            }
-
-            o.ext = ('ext' in o) ? o.ext : (this._internal) ? false : true;
-            o.requires = o.requires || [];
-
-
-            // Handle submodule logic
-            var subs = o.submodules;
-            if (subs) {
-                var sup = [], l=0;
-
-                for (var i in subs) {
-                    var s = subs[i];
-                    s.path = _path(name, i, o.type);
-                    this.addModule(s, i);
-                    sup.push(i);
-                    l++;
-                }
-
-                o.supersedes = sup;
-                o.rollup = Math.min(l-1, 4);
-            }
-
-            this.moduleInfo[name] = o;
-            this.dirty = true;
-
-            return o;
-        },
-
-        /**
-         * Add a requirement for one or more module
-         * @method require
-         * @param what {string[] | string*} the modules to load
-         */
-        require: function(what) {
-            var a = (typeof what === "string") ? arguments : what;
-            this.dirty = true;
-            Y.mix(this.required, Y.Array.hash(a));
-        },
-
-        /**
-         * Returns an object containing properties for all modules required
-         * in order to load the requested module
-         * @method getRequires
-         * @param mod The module definition from moduleInfo
-         */
-        getRequires: function(mod) {
-
-            if (!mod) {
-                return [];
-            }
-
-            if (!this.dirty && mod.expanded) {
-                return mod.expanded;
-            }
-
-            var i, d=[], r=mod.requires, o=mod.optional, 
-                info=this.moduleInfo, m, j, add;
-
-            for (i=0; i<r.length; i=i+1) {
-                d.push(r[i]);
-                m = this.getModule(r[i]);
-                add = this.getRequires(m);
-                for (j=0;j<add.length;j=j+1) {
-                    d.push(add[j]);
-                }
-            }
-
-            // get the requirements from superseded modules, if any
-            r=mod.supersedes;
-            if (r) {
-                for (i=0; i<r.length; i=i+1) {
-                    d.push(r[i]);
-                    m = this.getModule(r[i]);
-                    add = this.getRequires(m);
-                    for (j=0;j<add.length;j=j+1) {
-                        d.push(add[j]);
-                    }
-                }
-            }
-
-            if (o && this.loadOptional) {
-                for (i=0; i<o.length; i=i+1) {
-                    d.push(o[i]);
-                    add = this.getRequires(info[o[i]]);
-                    for (j=0;j<add.length;j=j+1) {
-                        d.push(add[j]);
-                    }
-                }
-            }
-
-            mod.expanded = Y.Object.keys(Y.Array.hash(d));
-
-
-            return mod.expanded;
-        },
-
-
-        /**
-         * Returns an object literal of the modules the supplied module satisfies
-         * @method getProvides
-         * @param name{string} The name of the module
-         * @param notMe {string} don't add this module name, only include superseded modules
-         * @return what this module provides
-         */
-        getProvides: function(name, notMe) {
-            var addMe = !(notMe), ckey = (addMe) ? PROV : SUPER,
-                m = this.getModule(name), o = {};
-
-            if (!m) {
-                return o;
-            }
-
-            if (m[ckey]) {
-                return m[ckey];
-            }
-
-            var s = m.supersedes, done={}, me = this;
-
-            // use worker to break cycles
-            var add = function(mm) {
-                if (!done[mm]) {
-                    done[mm] = true;
-                    // we always want the return value normal behavior 
-                    // (provides) for superseded modules.
-                    Y.mix(o, me.getProvides(mm));
-                } 
-                
-                // else {
-                // }
-            };
-
-            // calculate superseded modules
-            if (s) {
-                for (var i=0; i<s.length; i=i+1) {
-                    add(s[i]);
-                }
-            }
-
-            // supersedes cache
-            m[SUPER] = o;
-            // provides cache
-            m[PROV] = Y.merge(o);
-            m[PROV][name] = true;
-
-
-            return m[ckey];
-        },
-
-
-        /**
-         * Calculates the dependency tree, the result is stored in the sorted 
-         * property
-         * @method calculate
-         * @param o optional options object
-         */
-        calculate: function(o) {
-            if (o || this.dirty) {
-                this._config(o);
-                this._setup();
-                this._explode();
-                if (this.allowRollup) {
-                    this._rollup();
-                }
-                this._reduce();
-                this._sort();
-
-
-                this.dirty = false;
-            }
-        },
-
-        /**
-         * Investigates the current YUI configuration on the page.  By default,
-         * modules already detected will not be loaded again unless a force
-         * option is encountered.  Called by calculate()
-         * @method _setup
-         * @private
-         */
-        _setup: function() {
-
-            var info = this.moduleInfo, name, i, j;
-
-            var l = Y.merge(this.inserted); // shallow clone
-
-            // available modules
-            if (!this.ignoreRegistered) {
-                Y.mix(l, YUI.Env.mods);
-            }
-            
-
-            // add the ignore list to the list of loaded packages
-            if (this.ignore) {
-                // OU.appendArray(l, this.ignore);
-                Y.mix(l, Y.Array.hash(this.ignore));
-            }
-
-            // expand the list to include superseded modules
-            for (j in l) {
-                if (l.hasOwnProperty(j)) {
-                    Y.mix(l, this.getProvides(j));
-                }
-            }
-
-            // remove modules on the force list from the loaded list
-            if (this.force) {
-                for (i=0; i<this.force.length; i=i+1) {
-                    if (this.force[i] in l) {
-                        delete l[this.force[i]];
-                    }
-                }
-            }
-
-
-            this.loaded = l;
-
-        },
-        
-
-        /**
-         * Inspects the required modules list looking for additional 
-         * dependencies.  Expands the required list to include all 
-         * required modules.  Called by calculate()
-         * @method _explode
-         * @private
-         */
-        _explode: function() {
-
-            var r=this.required, i, mod;
-
-            for (i in r) {
-                if (r.hasOwnProperty(i)) {
-                    mod = this.getModule(i);
-
-                    var req = this.getRequires(mod);
-
-                    if (req) {
-                        Y.mix(r, Y.Array.hash(req));
-                    }
-                }
-            }
-        },
-
-        getModule: function(name) {
-
-            var m = this.moduleInfo[name];
-
-            // create the default module
-            // if (!m) {
-                // m = this.addModule({ext: false}, name);
-            // }
-
-            return m;
-        },
-
-        /**
-         * Look for rollup packages to determine if all of the modules a
-         * rollup supersedes are required.  If so, include the rollup to
-         * help reduce the total number of connections required.  Called
-         * by calculate()
-         * @method _rollup
-         * @private
-         */
-        _rollup: function() {
-            var i, j, m, s, rollups={}, r=this.required, roll,
-                info = this.moduleInfo;
-
-            // find and cache rollup modules
-            if (this.dirty || !this.rollups) {
-                for (i in info) {
-                    if (info.hasOwnProperty(i)) {
-                        m = this.getModule(i);
-                        // if (m && m.rollup && m.supersedes) {
-                        if (m && m.rollup) {
-                            rollups[i] = m;
-                        }
-                    }
-                }
-
-                this.rollups = rollups;
-            }
-
-            // make as many passes as needed to pick up rollup rollups
-            for (;;) {
-                var rolled = false;
-
-                // go through the rollup candidates
-                for (i in rollups) { 
-
-                    // there can be only one
-                    if (!r[i] && !this.loaded[i]) {
-                        m =this.getModule(i); s = m.supersedes ||[]; roll=false;
-
-                        if (!m.rollup) {
-                            continue;
-                        }
-
-                        var c=0;
-
-                        // check the threshold
-                        for (j=0;j<s.length;j=j+1) {
-
-                            // if the superseded module is loaded, we can't load the rollup
-                            // if (this.loaded[s[j]] && (!_Y.dupsAllowed[s[j]])) {
-                            if (this.loaded[s[j]]) {
-                                roll = false;
-                                break;
-                            // increment the counter if this module is required.  if we are
-                            // beyond the rollup threshold, we will use the rollup module
-                            } else if (r[s[j]]) {
-                                c++;
-                                roll = (c >= m.rollup);
-                                if (roll) {
-                                    break;
-                                }
-                            }
-                        }
-
-                        if (roll) {
-                            // add the rollup
-                            r[i] = true;
-                            rolled = true;
-
-                            // expand the rollup's dependencies
-                            this.getRequires(m);
-                        }
-                    }
-                }
-
-                // if we made it here w/o rolling up something, we are done
-                if (!rolled) {
-                    break;
-                }
-            }
-        },
-
-        /**
-         * Remove superceded modules and loaded modules.  Called by
-         * calculate() after we have the mega list of all dependencies
-         * @method _reduce
-         * @private
-         */
-        _reduce: function() {
-
-            var i, j, s, m, r=this.required;
-            for (i in r) {
-
-                // remove if already loaded
-                if (i in this.loaded) { 
-                    delete r[i];
-
-                // remove anything this module supersedes
-                } else {
-
-                     m = this.getModule(i);
-                     s = m && m.supersedes;
-                     if (s) {
-                         for (j=0; j<s.length; j=j+1) {
-                             if (s[j] in r) {
-                                 delete r[s[j]];
-                             }
-                         }
-                     }
-                }
-            }
-        },
-
-        _attach: function() {
-
-            // this is the full list of items the YUI needs attached,
-            // which is needed if some dependencies are already on
-            // the page without their dependencies.
-            if (this.attaching) {
-                Y._attach(this.attaching);
-            } else {
-                Y._attach(this.sorted);
-            }
-
-            this._pushEvents();
-
-        },
-
-        _onSuccess: function() {
-
-            this._attach();
-
-            for (var i in this.skipped) {
-                delete this.inserted[i];
-            }
-
-            this.skipped = {};
-
-            // this.fire('success', {
-            //     data: this.data
-            // });
-
-            var f = this.onSuccess;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'success',
-                    data: this.data,
-                    success: true
-                });
-            }
-
-        },
-
-        _onFailure: function(msg) {
-            this._attach();
-            // this.fire('failure', {
-            //     msg: 'operation failed: ' + msg,
-            //     data: this.data
-            // });
-
-            var f = this.onFailure;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'failure: ' + msg,
-                    data: this.data,
-                    success: false
-                });
-            }
-        },
-
-        _onTimeout: function() {
-            this._attach();
-
-            // this.fire('timeout', {
-            //     data: this.data
-            // });
-
-            var f = this.onTimeout;
-            if (f) {
-                f.call(this.context, {
-                    msg: 'timeout',
-                    data: this.data,
-                    success: false
-                });
-            }
-        },
-        
-        /**
-         * Sorts the dependency tree.  The last step of calculate()
-         * @method _sort
-         * @private
-         */
-        _sort: function() {
-            // create an indexed list
-            var s=Y.Object.keys(this.required), info=this.moduleInfo, loaded=this.loaded,
-                me = this;
-
-            // returns true if b is not loaded, and is required
-            // directly or by means of modules it supersedes.
-            var requires = function(aa, bb) {
-
-                var mm=info[aa];
-
-                if (loaded[bb] || !mm) {
-                    return false;
-                }
-
-                var ii, rr = mm.expanded, 
-                    after = mm.after, other=info[bb];
-
-                // check if this module requires the other directly
-                if (rr && Y.Array.indexOf(rr, bb) > -1) {
-                    return true;
-                }
-
-                // check if this module should be sorted after the other
-                if (after && Y.Array.indexOf(after, bb) > -1) {
-                    return true;
-                }
-
-                // check if this module requires one the other supersedes
-                var ss=info[bb] && info[bb].supersedes;
-                if (ss) {
-                    for (ii=0; ii<ss.length; ii=ii+1) {
-                        if (requires(aa, ss[ii])) {
-                            return true;
-                        }
-                    }
-                }
-
-                // external css files should be sorted below yui css
-                if (mm.ext && mm.type == CSS && (!other.ext)) {
-                    return true;
-                }
-
-                return false;
-            };
-
-            // pointer to the first unsorted item
-            var p=0; 
-
-            // keep going until we make a pass without moving anything
-            for (;;) {
-               
-                var l=s.length, a, b, j, k, moved=false;
-
-                // start the loop after items that are already sorted
-                for (j=p; j<l; j=j+1) {
-
-                    // check the next module on the list to see if its
-                    // dependencies have been met
-                    a = s[j];
-
-                    // check everything below current item and move if we
-                    // find a requirement for the current item
-                    for (k=j+1; k<l; k=k+1) {
-                        if (requires(a, s[k])) {
-
-                            // extract the dependency so we can move it up
-                            b = s.splice(k, 1);
-
-                            // insert the dependency above the item that 
-                            // requires it
-                            s.splice(j, 0, b[0]);
-
-                            moved = true;
-                            break;
-                        }
-                    }
-
-                    // jump out of loop if we moved something
-                    if (moved) {
-                        break;
-                    // this item is sorted, move our pointer and keep going
-                    } else {
-                        p = p + 1;
-                    }
-                }
-
-                // when we make it here and moved is false, we are 
-                // finished sorting
-                if (!moved) {
-                    break;
-                }
-
-            }
-
-            this.sorted = s;
-        },
-
-        /**
-         * inserts the requested modules and their dependencies.  
-         * <code>type</code> can be "js" or "css".  Both script and 
-         * css are inserted if type is not provided.
-         * @method insert
-         * @param o optional options object
-         * @param type {string} the type of dependency to insert
-         */
-        insert: function(o, type) {
-
-
-            // build the dependency list
-            this.calculate(o);
-
-            if (!type) {
-                var self = this;
-                this._internalCallback = function() {
-                            self._internalCallback = null;
-                            self.insert(null, JS);
-                        };
-                this.insert(null, CSS);
-                return;
-            }
-
-            // set a flag to indicate the load has started
-            this._loading = true;
-
-            // flag to indicate we are done with the combo service
-            // and any additional files will need to be loaded
-            // individually
-            this._combineComplete = false;
-
-            // keep the loadType (js, css or undefined) cached
-            this.loadType = type;
-
-            // start the load
-            this.loadNext();
-
-        },
-
-        /**
-         * Executed every time a module is loaded, and if we are in a load
-         * cycle, we attempt to load the next script.  Public so that it
-         * is possible to call this if using a method other than
-         * Y.register to determine when scripts are fully loaded
-         * @method loadNext
-         * @param mname {string} optional the name of the module that has
-         * been loaded (which is usually why it is time to load the next
-         * one)
-         */
-        loadNext: function(mname) {
-
-            // It is possible that this function is executed due to something
-            // else one the page loading a YUI module.  Only react when we
-            // are actively loading something
-            if (!this._loading) {
-                return;
-            }
-
-            var s, len, i, m, url, self=this;
-
-            // @TODO this will need to handle the two phase insert when
-            // CSS support is added
-            if (this.loadType !== CSS && this.combine && (!this._combineComplete)) {
-
-                this._combining = []; 
-                s=this.sorted;
-                len=s.length;
-                url=this.comboBase;
-
-                for (i=0; i<len; i=i+1) {
-                    m = this.getModule(s[i]);
-// @TODO we can't combine CSS yet until we deliver files with absolute paths to the assets
-                    // Do not try to combine non-yui JS
-                    if (m.type == JS && !m.ext) {
-                        url += this.root + m.path;
-                        if (i < len-1) {
-                            url += '&';
-                        }
-
-                        this._combining.push(s[i]);
-                    }
-                }
-
-                if (this._combining.length) {
-
-
-                    var callback=function(o) {
-                        this._combineComplete = true;
-
-
-                        var c=this._combining, len=c.length, i, m;
-                        for (i=0; i<len; i=i+1) {
-                            this.inserted[c[i]] = true;
-                        }
-
-                        this.loadNext(o.data);
-                    };
-
-                    // @TODO get rid of the redundant Get code
-                    Y.Get.script(url, {
-                        data: this._loading,
-                        onSuccess: callback,
-                        onFailure: this._onFailure,
-                        onTimeout: this._onTimeout,
-                        insertBefore: this.insertBefore,
-                        charset: this.charset,
-                        timeout: this.timeout,
-                        context: self 
-                    });
-
-                    return;
-
-                } else {
-                    this._combineComplete = true;
-                }
-            }
-
-            if (mname) {
-
-                // if the module that was just loaded isn't what we were expecting,
-                // continue to wait
-                if (mname !== this._loading) {
-                    return;
-                }
-
-
-                // The global handler that is called when each module is loaded
-                // will pass that module name to this function.  Storing this
-                // data to avoid loading the same module multiple times
-                this.inserted[mname] = true;
-
-                // this.fire('progress', {
-                //     name: mname,
-                //     data: this.data
-                // });
-                if (this.onProgress) {
-                    this.onProgress.call(this.context, {
-                            name: mname,
-                            data: this.data
-                        });
-                }
-
-
-            }
-
-            s=this.sorted;
-            len=s.length;
-
-            for (i=0; i<len; i=i+1) {
-
-                // this.inserted keeps track of what the loader has loaded.
-                // move on if this item is done.
-                if (s[i] in this.inserted) {
-                    continue;
-                }
-
-                // Because rollups will cause multiple load notifications
-                // from Y, loadNext may be called multiple times for
-                // the same module when loading a rollup.  We can safely
-                // skip the subsequent requests
-                if (s[i] === this._loading) {
-                    return;
-                }
-
-                // log("inserting " + s[i]);
-                m = this.getModule(s[i]);
-
-                if (!m) {
-
-                    var msg = "Undefined module " + s[i] + " skipped";
-                    this.inserted[s[i]] = true;
-                    this.skipped[s[i]] = true;
-                    continue;
-
-                    // this.fire('failure', {
-                        // msg: msg,
-                        // data: this.data
-                    // });
-                }
-
-
-                // The load type is stored to offer the possibility to load
-                // the css separately from the script.
-                if (!this.loadType || this.loadType === m.type) {
-                    this._loading = s[i];
-
-                    var fn=(m.type === CSS) ? Y.Get.css : Y.Get.script,
-                        onsuccess=function(o) {
-                            self.loadNext(o.data);
-                        };
-                        
-                    url=m.fullpath || this._url(m.path, s[i]);
-                    self=this; 
-
-                    fn(url, {
-                        data: s[i],
-                        onSuccess: onsuccess,
-                        insertBefore: this.insertBefore,
-                        charset: this.charset,
-                        onFailure: this._onFailure,
-                        onTimeout: this._onTimeout,
-                        timeout: this.timeout,
-                        context: self 
-                    });
-
-                    return;
-                }
-            }
-
-            // we are finished
-            this._loading = null;
-
-            // internal callback for loading css first
-            if (this._internalCallback) {
-
-                var f = this._internalCallback;
-                this._internalCallback = null;
-                f.call(this);
-
-            // } else if (this.onSuccess) {
-            } else {
-
-                // call Y.use passing this instance. Y will use the sorted
-                // dependency list.
-
-                this._onSuccess();
-
-            }
-
-        },
-
-        /**
-         * In IE, the onAvailable/onDOMReady events need help when Event is
-         * loaded dynamically
-         * @method _pushEvents
-         * @param {Function} optional function reference
-         * @private
-         */
-        _pushEvents: function() {
-            if (Y.Event) {
-                Y.Event._load();
-            }
-        },
-
-        /**
-         * Generates the full url for a module
-         * method _url
-         * @param path {string} the path fragment
-         * @return {string} the full url
-         * @private
-         */
-        _url: function(path, name) {
-            
-            var u = (this.base || "") + path, 
-                f = this.filter;
-
-            if (f) {
-                var useFilter = true;
-
-                if (this.filterName == "DEBUG") {
-                
-                    var self = this, 
-                        exc = self.logExclude,
-                        inc = self.logInclude;
-                    if (inc && !(name in inc)) {
-                        useFilter = false;
-                    } else if (exc && (name in exc)) {
-                        useFilter = false;
-                    }
-
-                }
-                
-                if (useFilter) {
-                    u = u.replace(new RegExp(f.searchExp), f.replaceStr);
-                }
-            }
-
-
-            return u;
-        }
-
-    };
-
-    // Y.augment(Y.Loader, Y.Event.Target);
-
-}, "3.0.0pr1");
-/*
- * YUI initializer
- * @module yui
- * @submodule init
- */
-(function() {
-
-    var min = ['yui-base', 'log', 'lang', 'array', 'core'], core,
-
-    M = function(Y) {
-
-        var C = Y.config;
-
-        // apply the minimal required functionality
-        Y.use.apply(Y, min);
-
-
-        if (C.core) {
-
-            core = C.core;
-
-        } else {
-
-            core = ["object", "ua", "later"];
-
-            core.push(
-              "get", 
-              "loader");
-        }
-
-        Y.use.apply(Y, core);
-
-    };
-     
-    YUI.add("yui", M, "3.0.0pr1");
-    
-    // {
-        // the following will be bound automatically when this code is loaded
-      //   use: core
-    // });
-
-})();

=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2008-10-24 02:26:05 +0000
+++ loggerhead/templatefunctions.py	2008-07-26 14:52:44 +0000
@@ -16,25 +16,18 @@
 import os
 from loggerhead.zptsupport import zpt
 
-
 templatefunctions = {}
-
-
 def templatefunc(func):
     templatefunctions[func.__name__] = func
     return func
 
 
 _base = os.path.dirname(__file__)
-
-
 def _pt(name):
     return zpt(os.path.join(_base, 'templates', name + '.pt'))
 
 
 templatefunctions['macros'] = _pt('macros').macros
-templatefunctions['breadcrumbs'] = _pt('breadcrumbs').macros
-
 
 @templatefunc
 def file_change_summary(url, entry, modified_file_link):
@@ -42,7 +35,6 @@
         url=url, entry=entry, modified_file_link=modified_file_link,
         **templatefunctions)
 
-
 @templatefunc
 def revisioninfo(url, branch, entry, modified_file_link=None):
     from loggerhead import util
@@ -51,21 +43,18 @@
         modified_file_link=modified_file_link,
         **templatefunctions)
 
-
 @templatefunc
 def collapse_button(group, name, branch, normal='block'):
     return _pt('collapse-button').expand(
         group=group, name=name, normal=normal, branch=branch,
         **templatefunctions)
 
-
 @templatefunc
 def collapse_all_button(group, branch, normal='block'):
     return _pt('collapse-all-button').expand(
         group=group, normal=normal, branch=branch,
         **templatefunctions)
 
-
 @templatefunc
 def revno_with_nick(entry):
     if entry.branch_nick:
@@ -74,33 +63,14 @@
         extra = ''
     return '(%s%s)'%(entry.revno, extra)
 
-
 @templatefunc
 def modified_file_link_rev(url, entry, item):
     return _pt('modified-file-link-rev').expand(
         url=url, entry=entry, item=item,
         **templatefunctions)
 
-
 @templatefunc
 def modified_file_link_log(url, entry, item):
     return _pt('modified-file-link-log').expand(
         url=url, entry=entry, item=item,
         **templatefunctions)
-
-
-@templatefunc
-def search_box(branch, navigation):
-    return _pt('search-box').expand(branch=branch, navigation=navigation,
-        **templatefunctions)
-
-
-@templatefunc
-def feed_link(branch, url):
-    return _pt('feed-link').expand(branch=branch, url=url, **templatefunctions)
-
-
-@templatefunc
-def menu(branch, url, fileview_active=False):
-    return _pt('menu').expand(branch=branch, url=url,
-        fileview_active=fileview_active, **templatefunctions)

=== modified file 'loggerhead/templates/annotate.pt'
--- loggerhead/templates/annotate.pt	2008-11-17 18:08:38 +0000
+++ loggerhead/templates/annotate.pt	2008-08-04 03:42:01 +0000
@@ -22,9 +22,9 @@
         </a>
       </tal:has-link>
       <tal:no-link condition="not: branch/branch_link">
-        <span metal:use-macro="breadcrumbs/directory"></span>
+        <tal:branch-name replace="branch/friendly_name" />
       </tal:no-link>
-      <span>: <span metal:use-macro="breadcrumbs/branch" /> (revision <tal:revno content="change/revno"></tal:revno>)</span>
+      <span>: <span tal:content="path"></span> (revision <tal:revno content="change/revno"></tal:revno>)</span>
     </h1>
 
     <div metal:fill-slot="content">
@@ -36,14 +36,10 @@
                 <a tal:attributes="href python:url(['/revision'], clear=1, start_revid=change.revno)">view revision</a>
             </li>
             <li>
-                <a tal:attributes="href python:url(['/changes'], clear=1, 
-                                    start_revid=change.revno, filter_file_id=file_id)"
-                >view changes to this file</a>
+                <a tal:attributes="href python:url(['/changes'], clear=1, start_revid=change.revno, filter_file_id=file_id)">view changes to this file</a>
             </li>
             <li id="last">
-                <a tal:attributes="href python:url(['/download',
-                                    revno_url, file_id, filename])"
-                >download file</a>
+                <a tal:attributes="href python:url(['/download', change.revno, file_id, filename])">download file</a>
             </li>
         </ul>
 
@@ -51,8 +47,8 @@
         <table id="logentries">
           <tr class="logheader">
             <td class="annoLineTit">Line</td>
-            <td class="annoRevTit">Revision</td>
-            <td class="annoContTit">Contents</td>
+            <td class="annoRevTit">Revision</td>            
+            <td class="annoContTit">Contents</td>                    
           </tr>
 
           <tr tal:repeat="line contents" 

=== removed file 'loggerhead/templates/breadcrumbs.pt'
--- loggerhead/templates/breadcrumbs.pt	2008-09-30 02:04:14 +0000
+++ loggerhead/templates/breadcrumbs.pt	1970-01-01 00:00:00 +0000
@@ -1,22 +0,0 @@
-<html>
-<body>
-<!--
-    Breadcrumbs macros
--->
-<!--
-    These are all defined on one line in order to get the spacing looking right
-    in the output
--->
-
-<!-- Branch breadcrumbs (for the path within the branch) -->
-<span metal:define-macro="branch" class="breadcrumb">
-    <tal:block repeat="crumb branch_breadcrumbs">/<a tal:attributes="href python:url([crumb['suffix'], change.revno], file_id=crumb['file_id'])" tal:content="crumb/dir_name" tal:condition="not:repeat/crumb/end" /><span tal:replace="crumb/dir_name" tal:condition="repeat/crumb/end" /></tal:block>
-</span>
-
-<!-- Directory breadcrumbs (for the path leading up to the branch) -->
-<span metal:define-macro="directory" class="breadcrumb">
-    <tal:block repeat="crumb directory_breadcrumbs"><span tal:condition="not:repeat/crumb/start">/</span><a tal:attributes="href python:static_url('/'+crumb['path'])" tal:content="crumb/dir_name" /></tal:block>
-</span>
-
-</body>
-</html>

=== modified file 'loggerhead/templates/browse.pt'
--- loggerhead/templates/browse.pt	2008-10-18 00:23:09 +0000
+++ loggerhead/templates/browse.pt	2008-07-22 20:07:08 +0000
@@ -1,44 +1,56 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html xmlns="http://www.w3.org/1999/xhtml" metal:use-macro="macros/main">
   <head>
-    <title>loggerhead branches</title>
-    <link rel="stylesheet"
-          tal:attributes="href python:branch.static_url('/static/css/global.css')" />
+    <title metal:fill-slot="title">
+      loggerhead branches
+    </title>
   </head>
 
   <body>
-   <div id="loggerheadCont">
-    <div>
+
+    <h1 metal:fill-slot="heading" style="padding-bottom: 1em">
+      <tal:title condition="title" content="title" />
+      <tal:no-title condition="not:title">
+        bazaar branches in loggerhead
+      </tal:no-title>
+    </h1>
+
+    <div metal:fill-slot="content">
       <div class="browse-project"
            tal:repeat="project projects">
-        <h1 tal:content="project/friendly_name" />
+        <div class="browse-project-name"
+             tal:content="project/friendly_name"></div>
+
         <div class="browse-project-description"
              tal:condition="python:len(project.long_description) > 0"
              tal:content="structure project/long_description"></div>
 
-          <table id="logentries">
-            <tr class="logheader">
-              <th class="summarycell" colspan="2">Name</th>
-              <th class="summarycell">Description</th>
-              <th class="datecell" colspan="2">Last change</th>
+        <div class="browse-view">
+          <table>
+            <tr class="heading">
+              <th>Name</th>
+              <th>Description</th>
+              <th>Last change</th>
+              <th />
             </tr>
             <tal:block repeat="view python:views_by_project[project]">
-              <tr tal:attributes="class string:blueRow1">
-                <td class="icocell">
-                  <img tal:attributes="src python:branch.static_url('/static/images/ico_branch.gif')" alt="Branch" />
-                </td>
-                <td class="autcell">
-                    <a tal:attributes="href python:branch.static_url(project.name + '/' +  view.name)" 
-                       tal:content="view/friendly_name" />
-                </td>
-                <td class="autcell"
-                    tal:content="view/description" />
-                <td class="date"
-                    tal:content="python:view.get_history().has_revisions and util._approximatedate(view.last_updated()) or '(no revisions)'" />
-                <td class="icocell">
+              <tr>
+                <td class="name">
+                  <a tal:attributes="href python:branch.static_url(project.name + '/' +  view.name)"
+                     tal:content="view/friendly_name">
+                    ${view.friendly_name}
+                  </a>
+                </td>
+                <td class="description"
+                    tal:content="view/description">
+                  ${view.description}
+                </td>
+                <td class="last-update"
+                    tal:content="python:view.get_history().has_revisions and util._approximatedate(view.last_updated()) or '(no revisions)'"></td>
+                <td class="feed">
                   <a tal:attributes="href python:branch.static_url(project.name + '/' +  view.name + '/atom')"
                      title="atom feed">
-                    <img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')"
+                    <img tal:attributes="src python:branch.static_url('/static/images/feed-icon-16x16.gif')"
                          alt="atom feed" />
                   </a>
                 </td>
@@ -48,13 +60,16 @@
                 </td>
                 <td class="description url" colspan="2">
                   <a tal:attributes="href view/branch_url"
-                     tal:content="view/branch_url" />
+                     tal:content="view/branch_url">
+                    ${view.branch_url}
+                  </a>
                 </td>
               </tr>
             </tal:block>
           </table>
+        </div>
+
       </div>
     </div>
-  </div>
   </body>
 </html>

=== modified file 'loggerhead/templates/changelog.pt'
--- loggerhead/templates/changelog.pt	2008-10-30 11:37:16 +0000
+++ loggerhead/templates/changelog.pt	2008-08-04 03:42:01 +0000
@@ -21,16 +21,12 @@
              </a>
            </tal:has-link>
            <tal:no-link condition="not: branch/branch_link">
-             <span metal:use-macro="breadcrumbs/directory"></span>
+             <tal:branch-name replace="branch/friendly_name" />
            </tal:no-link>
-           <tal:block condition="changes">
-             : changes
-             <tal:block condition="filter_file_id">to <span tal:content="python:history.get_path(revid, filter_file_id)" /></tal:block>
-             <tal:block condition="start_revid">from revision
-               <span tal:content="python:history.get_revno(start_revid)"/>
-             </tal:block>
-             <tal:block condition="query">matching <tal:block content="query" /></tal:block>
-           </tal:block>
+           : changes
+          <tal:block condition="filter_file_id">to <span tal:content="python:history.get_path(revid, filter_file_id)" /></tal:block>
+          <tal:block condition="start_revid">from revision <tal:block content="python:history.get_revno(start_revid)" /></tal:block>
+          <tal:block condition="query">matching <tal:block content="query" /></tal:block>
          </h1>
         </tal:block>
 
@@ -61,7 +57,8 @@
                   alt="collapse all" /> collapse all</a>
         </p>
         <!-- Table -->        
-        <table id="logentries">
+        <table id="logentries"
+               tal:define="subcolspan python:4-bool(all_same_author)">
             <tr class="logheader">
                 <td class="revisionnumber">Rev</td>
                 <td class="expandcell">&nbsp;</td>
@@ -109,8 +106,7 @@
                                                 <a tal:attributes="href python:url(['/changes', parent.revno])"
                                                    tal:content="parent/revno"></a>
                                             </span>
-                                            <a tal:condition="parent.branch_nick"
-                                               tal:attributes="href python:url(['/changes'], start_revid=parent.revno)"
+                                            <a tal:attributes="href python:url(['/changes'], start_revid=parent.revno)"
                                                tal:content="python:'(' + parent.branch_nick + ')'"
                                                 title="Show history" class="link"></a>
                                         </li>
@@ -135,7 +131,8 @@
                                   <img tal:attributes="src python:branch.static_url('/static/images/ico_diff.gif')" alt="Diff" /></a></td>
                 <td class="downr"><a tal:attributes="href python:branch.url(['/files', entry.revno]);
                                                      title string:Files at revision ${entry/revno}">
-                                   <img tal:attributes="src python:branch.static_url('/static/images/ico_file.gif')" alt="Files" /></a>
+                                   <img tal:attributes="src python:branch.static_url('/static/images/ico_file.gif');
+                                                        alt string:Files" /></a>
                 </td>
             </tr>
           </tal:block>

=== modified file 'loggerhead/templates/directory.pt'
--- loggerhead/templates/directory.pt	2008-10-18 00:23:09 +0000
+++ loggerhead/templates/directory.pt	2008-08-05 06:12:07 +0000
@@ -7,9 +7,8 @@
   </head>
   <body>
     <div id="loggerheadCont">
-      <h1>
-        Browsing
-        <span metal:use-macro="breadcrumbs/directory" />
+      <h1 tal:content="string:Browsing ${name}">
+        Hi.
       </h1>
 
       <div >
@@ -34,7 +33,7 @@
               <tr tal:attributes="class string:blueRow${dir/parity}">
                 <td class="icocell">
                     <a tal:attributes="href string:${dir/dirname}/files">
-                        <img tal:attributes="src python:static_url('/static/images/ico_branch.gif')" alt="Branch" />
+                        <img tal:attributes="src python:static_url('/static/images/ico_branch.gif')" />
                     </a>
                 </td>
                 <td class="autcell">
@@ -51,7 +50,7 @@
               <tr tal:attributes="class string:blueRow${dir/parity}">
                 <td class="icocell">
                     <a tal:attributes="href string:${dir/dirname}">
-                        <img tal:attributes="src python:static_url('/static/images/ico_folder.gif')" alt="Folder" />
+                        <img tal:attributes="src python:static_url('/static/images/ico_folder.gif')" />
                     </a>
                 </td>
                 <td class="autcell">

=== removed file 'loggerhead/templates/error.pt'
--- loggerhead/templates/error.pt	2008-09-29 21:32:30 +0000
+++ loggerhead/templates/error.pt	1970-01-01 00:00:00 +0000
@@ -1,30 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<tal:block define="onload string:load()">
-  <html xmlns="http://www.w3.org/1999/xhtml" metal:use-macro="macros/main">
-    <head>
-      <title metal:fill-slot="title"
-             tal:content="string:${branch/friendly_name} : error"></title>
-    </head>
-    <body>
-        <tal:block metal:fill-slot="heading">
-        <h1>
-           <tal:has-link condition="branch/branch_link">
-            <a tal:attributes="href branch/branch_link"
-               tal:content="branch/friendly_name">
-               nice/branch/name
-            </a>
-           </tal:has-link>
-            <tal:no-link condition="not: branch/branch_link">
-                <span metal:use-macro="breadcrumbs/directory"></span>
-            </tal:no-link>
-           : error
-        </h1>
-        <pre>
-            <p tal:content="error_title"/>
-            <p tal:content="error_description"/>
-        </pre>
-        <br/><br/>
-        </tal:block>
-    </body>
-  </html>
-</tal:block>

=== removed file 'loggerhead/templates/feed-link.pt'
--- loggerhead/templates/feed-link.pt	2008-08-13 15:18:17 +0000
+++ loggerhead/templates/feed-link.pt	1970-01-01 00:00:00 +0000
@@ -1,6 +0,0 @@
-<tal:feed-link>
-  <a tal:attributes="href python:url(['/atom']);
-                     title string:RSS feed for ${branch/friendly_name}">
-    <img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')" alt="RSS" class="rssfeed"/>
-  </a>
-</tal:feed-link>

=== modified file 'loggerhead/templates/inventory.pt'
--- loggerhead/templates/inventory.pt	2008-10-30 11:22:46 +0000
+++ loggerhead/templates/inventory.pt	2008-08-05 06:21:09 +0000
@@ -17,133 +17,125 @@
           nice/branch/name
         </a>
       </tal:has-link>
-      <span tal:condition="not: branch/branch_link">
-        <span metal:use-macro="breadcrumbs/directory" />
-      </span>
-      <tal:block condition="python:change">
-        : viewing
-        <span metal:use-macro="breadcrumbs/branch" />
-        for revision <span tal:content="change/revno"/>
-      </tal:block>
+      <tal:no-link condition="not: branch/branch_link">
+        <tal:branch-name replace="branch/friendly_name" />
+      </tal:no-link>
+      : viewing
+      <span tal:content="path" /> for revision <span tal:content="change/revno"/>
     </h1>
 
     <div metal:fill-slot="content">
-        <p tal:condition="python:not change">
-          No revisions!
-        </p>
-        <p tal:condition="python:change">
-          <ul id="submenuTabs">
-              <li id="first">
-                  <a tal:attributes="href python:url(['/revision', change.revno], clear=1, start_revid=change.revno)">view revision</a>
-              </li>
-              <li id="last">
-                  <a tal:attributes="href python:url(['/changes', change.revno], clear=1, start_revid=change.revno)">view branch changes</a>
-              </li>
-          </ul>
-
-          <tal:revision-info replace="structure python:revisioninfo(url, branch, change)" />
-
-          <table id="logentries">
-            <tr class="logheader">
-              <th class="summarycell"><a tal:attributes="href python:url(['/files', revid], sort='filename')">Filename</a></th>
-              <th class="datecell">Latest Rev</th>
-              <th class="datecell"><a tal:attributes="href python:url(['/files', revid], sort='date')">Last Changed</a></th>
-              <th class="timedate"><a tal:attributes="href python:url(['/files', revid], sort='size')">Size</a></th>
-              <th class="expandcell"></th>
-              <th class="expandcell"></th>
-            </tr>
-
-            <tr class="blueRow0" tal:condition="python:updir is not None">
-                <td class="summcell" colspan="6">
-                    <a tal:attributes="href python:url(['/files', revno_url, updir])" class="link">
-                        <img tal:attributes="src python:branch.static_url('/static/images/ico_folder_up.gif')" />..</a>
-                </td>
-            </tr>
-
-            <!-- Show this if it's a directory -->
-            <tal:block repeat="file filelist">
-            <tr tal:attributes="class string:blueRow${file/parity}" tal:condition="python:file.kind=='directory'">
-                <td class="autcell"><a tal:attributes="href python:url(['/files', revno_url, file.absolutepath])">
-                        <img tal:attributes="src python:branch.static_url('/static/images/ico_folder.gif');
-                                             title string:Go to ${file/filename}" />
-                    </a>
-
-                 <a tal:attributes="href python:url(['/files', revno_url, file.absolutepath])" 
-                                        tal:content="file/filename" class="link"></a>
-                 </td>
-                 <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno]);
-                                                     title string:Show revision ${file/change/revno}"
-                                     tal:content="file/change/revno"></a>
-                 </td>
-                 <td class="date" tal:content="python:util.date_time(file.change.date)"></td>
-                 <td class="timedate2"></td>
-                 <td class="expcell"><a tal:attributes="href python:url(['/changes'], start_revid=start_revid, filter_file_id=file.file_id);
-                                                     title string:Show revision ${file/change/revno}">
-                                      <img tal:attributes="src python:branch.static_url('/static/images/ico_planilla.gif')" alt="Diff" />
-                                     </a>
-              </td>
-                <td class="expcell"></td>
-            </tr>
-
-            <!-- Show this if it's a symlink -->
-            <tr tal:attributes="class string:blueRow${file/parity}" tal:condition="python:file.kind=='symlink'">
-                <td class="autcell"><a tal:attributes="href python:url(['/annotate', change.revno, file.absolutepath])">
-                        <img tal:attributes="src python:branch.static_url('/static/images/ico_flecha.gif')" alt="Symlink" />
-                    </a>
-
-                 <a tal:attributes="href python:url(['/annotate', revno_url, file.absolutepath])" 
-                                        tal:content="file/filename" class="link"></a>
-                 </td>
-                 <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno]);
-                                                     title string:Show revision ${file/change/revno}"
-                                     tal:content="file/change/revno"></a>
-                 </td>
-                 <td class="date" tal:content="python:util.date_time(file.change.date)"></td>
-                 <td class="timedate2">.</td>
-                 <td class="expcell"><a tal:attributes="href python:url(['/changes'], start_revid=start_revid, filter_file_id=file.file_id);
-                                                        title string:Show revision ${file/change/revno}">
-                                          <img tal:attributes="src python:branch.static_url('/static/images/ico_planilla.gif');
-                                                               title string:Show revision ${file/change/revno}" />
-                                     </a>
-              </td>
-                <td class="expcell"></td>
-            </tr>
-
-            <!-- Show this if it's a regular file -->
-            <tr tal:attributes="class string:blueRow${file/parity}" tal:condition="python:file.kind=='file'">
-                <td class="autcell"><a tal:attributes="href python:url(['/annotate', revno_url, file.absolutepath])">
-                        <img tal:attributes="src python:branch.static_url('/static/images/ico_file.gif');
-                                             title string:Annotate ${file/filename}"
-                             tal:condition="python:file.executable is False" />
-                        <!-- Show a different icon id the file executable -->
-                        <img tal:attributes="src python:branch.static_url('/static/images/ico_file_modify.gif'); 
-                                             title string:Annotate ${file/filename}"
-                             tal:condition="python:file.executable is True" alt="File" />
-                    </a>
-
-              <a tal:attributes="href python:url(['/annotate', revno_url, file.absolutepath])"
-                                     tal:content="file/filename" class="link"></a></td>
-              <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno]);
-                                                  title string:Show revision ${file/change/revno}"
-                                  tal:content="file/change/revno"></a>
-              </td>
-              <td class="date" tal:content="python:util.date_time(file.change.date)"></td>
-              <td class="timedate2" tal:content="python:util.human_size(file.size)"></td>
-              <td class="expcell"><a tal:attributes="href python:url(['/annotate', revno_url, file.absolutepath]);
-                                                     title string:Annotate ${file/filename}">
-                                      <img tal:attributes="src python:branch.static_url('/static/images/ico_planilla.gif')" alt="Diff" />
-                                     </a>
-              </td>
-              <td class="expcell">
-                 <a tal:attributes="href python:url(['/download', file.revid, file.file_id, file.filename]);
-                                    title string:Download ${file/filename} at revision ${file/change/revno}">
-                   <img tal:attributes="src python:branch.static_url('/static/images/ico_file_download.gif')" alt="Download File" />
-                 </a>
-              </td>
-           </tr>
-          </tal:block>
-        </table>
-      </p>
+        <ul id="submenuTabs">
+            <li id="first">
+                <a tal:attributes="href python:url(['/revision', change.revno], clear=1, start_revid=change.revno)">view revision</a>
+            </li>
+            <li id="last">
+                <a tal:attributes="href python:url(['/changes', change.revno], clear=1, start_revid=change.revno)">view branch changes</a>
+            </li>
+        </ul>
+
+      <tal:revision-info replace="structure python:revisioninfo(url, branch, change)" />
+
+      <table id="logentries">
+          <tr class="logheader">
+            <th class="summarycell"><a tal:attributes="href python:url(['/files', revid], sort='filename')">Filename</a></th>
+            <th class="datecell">Latest Rev</th>
+            <th class="datecell"><a tal:attributes="href python:url(['/files', revid], sort='date')">Last Changed</a></th>
+            <th class="timedate"><a tal:attributes="href python:url(['/files', revid], sort='size')">Size</a></th>
+            <th class="expandcell"></th>
+            <th class="expandcell"></th>
+          </tr>
+
+          <tr class="blueRow0" tal:condition="python:updir">
+              <td class="summcell" colspan="6">
+                  <a tal:attributes="href python:url(['/files', revid], file_id=updir_file_id)" class="link">
+                      <img tal:attributes="src python:branch.static_url('/static/images/ico_folder_up.gif')" />..</a>
+              </td>
+          </tr>
+          
+          <!-- Show this if it's a directory --> 
+          <tal:block repeat="file filelist">
+          <tr tal:attributes="class string:blueRow${file/parity}" tal:condition="python:file.kind=='directory'">
+              <td class="autcell"><a tal:attributes="href python:url(['/files', change.revno], file_id=file.file_id)">
+                      <img tal:attributes="src python:branch.static_url('/static/images/ico_folder.gif');
+                                           title string:Go to ${file/filename}" />
+                  </a>
+
+               <a tal:attributes="href python:url(['/files', change.revno], file_id=file.file_id)" 
+                                      tal:content="file/filename" class="link"></a>
+               </td>
+               <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno], filter_file_id=file.file_id);
+                                                   title string:Show revision ${file/change/revno}"
+                                   tal:content="file/change/revno"></a>
+               </td>
+               <td class="date" tal:content="python:util.date_time(file.change.date)"></td>
+               <td class="timedate2"></td>
+               <td class="expcell"><a tal:attributes="href python:url(['/changes'], start_revid=start_revid, filter_file_id=file.file_id);
+                                                   title string:Show revision ${file/change/revno}">
+                                    <img tal:attributes="src python:branch.static_url('/static/images/ico_planilla.gif')" alt="Diff" />
+                                   </a>
+            </td>
+              <td class="expcell"></td>
+          </tr>
+          
+          <!-- Show this if it's a symlink --> 
+          <tr tal:attributes="class string:blueRow${file/parity}" tal:condition="python:file.kind=='symlink'">
+              <td class="autcell"><a tal:attributes="href python:url(['/annotate', change.revno], file_id=file.file_id)">
+                      <img tal:attributes="src python:branch.static_url('/static/images/ico_flecha.gif')" alt="Symlink" />
+                  </a>
+
+               <a tal:attributes="href python:url(['/annotate', change.revno], file_id=file.file_id)" 
+                                      tal:content="file/filename" class="link"></a>
+               </td>
+               <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno], filter_file_id=file.file_id);
+                                                   title string:Show revision ${file/change/revno}"
+                                   tal:content="file/change/revno"></a>
+               </td>
+               <td class="date" tal:content="python:util.date_time(file.change.date)"></td>
+               <td class="timedate2">.</td>
+               <td class="expcell"><a tal:attributes="href python:url(['/changes'], start_revid=start_revid, filter_file_id=file.file_id);
+                                                      title string:Show revision ${file/change/revno}">
+                                        <img tal:attributes="src python:branch.static_url('/static/images/ico_planilla.gif');
+                                                             title string:Show revision ${file/change/revno}" />
+                                   </a>
+            </td>
+              <td class="expcell"></td>
+          </tr>
+
+          <!-- Show this if it's a regular file --> 
+          <tr tal:attributes="class string:blueRow${file/parity}" tal:condition="python:file.kind=='file'">
+              <td class="autcell"><a tal:attributes="href python:url(['/annotate', change.revno], file_id=file.file_id)">
+                      <img tal:attributes="src python:branch.static_url('/static/images/ico_file.gif');
+                                           title string:Annotate ${file/filename}"
+                           tal:condition="python:file.executable is False" />
+                      <!-- Show a different icon id the file executable -->
+                      <img tal:attributes="src python:branch.static_url('/static/images/ico_file_modify.gif'); 
+                                           title string:Annotate ${file/filename}"
+                           tal:condition="python:file.executable is True" alt="File" />
+                  </a>
+
+            <a tal:attributes="href python:url(['/annotate', change.revno], file_id=file.file_id)"
+                                   tal:content="file/filename" class="link"></a></td>
+            <td class="date"><a tal:attributes="href python:url(['/revision', file.change.revno], filter_file_id=file.file_id);
+                                                title string:Show revision ${file/change/revno}"
+                                tal:content="file/change/revno"></a>
+            </td>
+            <td class="date" tal:content="python:util.date_time(file.change.date)"></td>
+            <td class="timedate2" tal:content="python:util.human_size(file.size)"></td>
+            <td class="expcell"><a tal:attributes="href python:url(['/annotate', change.revno], file_id=file.file_id);
+                                                   title string:Annotate ${file/filename}">
+                                    <img tal:attributes="src python:branch.static_url('/static/images/ico_planilla.gif')" alt="Diff" />
+                                   </a>
+            </td>
+            <td class="expcell">
+               <a tal:attributes="href python:url(['/download', file.revid, file.file_id, file.filename]);
+                                  title string:Download ${file/filename} at revision ${file/change/revno}">
+                 <img tal:attributes="src python:branch.static_url('/static/images/ico_file_download.gif')" alt="Download File" />
+               </a>
+            </td>
+         </tr>
+        </tal:block>
+      </table>
     </div>
   </body>
 </html>

=== modified file 'loggerhead/templates/macros.pt'
--- loggerhead/templates/macros.pt	2008-10-25 18:41:18 +0000
+++ loggerhead/templates/macros.pt	2008-08-04 03:42:01 +0000
@@ -13,36 +13,49 @@
             tal:attributes="src python:branch.static_url('/static/javascript/mootools-1.2-more.js')"></script>
     <script type="text/javascript"
             tal:attributes="src python:branch.static_url('/static/javascript/custom.js')"></script>
-      <script type="text/javascript">
+      <script language="javascript">
           var global_path = <tal:block content="python:'\''+branch.url('/')+'\''" />;
       </script>
-      <script type="text/javascript"
-              tal:attributes="src
-              python:branch.static_url('/static/javascript/yui/build/yui/yui-min.js')"></script>
     <metal:block metal:define-slot="header_extras" />
   </head>
 
 <body>
     <!-- Loggerhead Content Area -->
-      <div id="finderBox">
-         <tal:search-box define="navigation navigation"
-                        replace="structure python:search_box(branch,
-                                 navigation)" />
-        <div>
-          <tal:feed-link replace="structure python:feed_link(branch, url)" />
-        </div>
-      </div>
+    <ul id="menuTabs">
+        <form tal:attributes="action python:branch.url('/changes', start_revid=getattr(navigation, 'start_revid', None), 
+                                                                   file_id=getattr(navigation, 'file_id', None))">
+      	  <div id="finderBox">
+            <label>search:</label> <input type="search" name="q" id="q" autocomplete="off" onblur="hide_search();" /> 
+            <div><a tal:attributes="href python:url(['/atom']);
+                                    title string:RSS feed for ${branch/friendly_name}"> 
+                 <img tal:attributes="src python:branch.static_url('/static/images/ico_rss.gif')" alt="RSS" class="rssfeed"/></a>
+            </div>
+          </div>
+        </form>
 
-      <tal:menu define="fileview_active fileview_active"
-                replace="structure python:menu(branch, url, fileview_active)" />
+        <tal:block tal:condition="not:fileview_active">
+        <li><a tal:attributes="href python:url('/changes', clear=1);
+                               title string:Changes;
+                               id string:on">Changes</a></li>
+        <li><a tal:attributes="href python:url('/files', clear=1);
+                               title string:Files">Files</a></li>
+        </tal:block>
+        <tal:block tal:condition="fileview_active">
+        <li><a tal:attributes="href python:url('/changes', clear=1);
+                               title string:Changes">Changes</a></li>
+        <li><a tal:attributes="href python:url('/files', clear=1);
+                               title string:Files;
+                               id string:on">Files</a></li>
+        </tal:block>
+      </ul>
       <div id="loggerheadCont">
 
-        <div id="search_terms"></div>
+         <div id="search_terms"></div>
 
         <h1 metal:define-slot="heading"></h1>
         <div metal:define-slot="content"></div>
 
-        <p class="fl">Loggerhead is a web-based interface for <a href="http://bazaar-vcs.org/">Bazaar</a> branches</p>
-      </div>
+        <p class="fl">Loggerhead runs on <a href="http://bazaar-vcs.org/" class="link">Bazaar</a> branches</p>
+    </div>
   </body>
 </html>

=== removed file 'loggerhead/templates/menu.pt'
--- loggerhead/templates/menu.pt	2008-08-13 17:33:41 +0000
+++ loggerhead/templates/menu.pt	1970-01-01 00:00:00 +0000
@@ -1,19 +0,0 @@
-<tal:menu>
-    <ul id="menuTabs">
-        <tal:changes-active tal:condition="not:fileview_active">
-        <li><a tal:attributes="href python:url('/changes', clear=1);
-                               title string:Changes;
-                               id string:on">Changes</a></li>
-        <li><a tal:attributes="href python:url('/files', clear=1);
-                               title string:Files">Files</a></li>
-        </tal:changes-active>
-        <tal:fileview-active tal:condition="fileview_active">
-        <li><a tal:attributes="href python:url('/changes', clear=1);
-                               title string:Changes">Changes</a></li>
-        <li><a tal:attributes="href python:url('/files', clear=1);
-                               title string:Files;
-                               id string:on">Files</a></li>
-        </tal:fileview-active>
-      </ul>
-</tal:menu>
-

=== modified file 'loggerhead/templates/revision.pt'
--- loggerhead/templates/revision.pt	2008-09-09 22:47:45 +0000
+++ loggerhead/templates/revision.pt	2008-08-04 03:42:01 +0000
@@ -23,7 +23,7 @@
             </a>
           </tal:has-link>
           <tal:no-link condition="not: branch/branch_link">
-            <span metal:use-macro="breadcrumbs/directory"></span>
+            <tal:branch-name replace="branch/friendly_name" />
           </tal:no-link>
           <span>: <tal:revno content="change/revno"></tal:revno>
         <tal:compare-to condition="python:compare_revid is not None">
@@ -36,19 +36,13 @@
                                tal:content="string:browse files at revision ${change/revno}"></a></li>
             <li tal:condition="python:remember != change.revno">
                 <a tal:attributes="href python:url(['/revision', change.revno], remember=change.revno, compare_revid=None); 
-                                   title string:compare with another revision"
+                                   title string:Compare with another revision"
                    tal:content="string:Compare with another revision"></a></li>       
             <li tal:condition="python:(remember is not None) and (compare_revid is None) and (change.revno != remember)" >
                 <a tal:attributes="href python:url(['/revision', change.revno], compare_revid=history.get_revno(remember))">
                 compare with revision <tal:b content="python:history.get_revno(remember)" />
                 </a>
             </li>
-            <li>
-            <a tal:condition="python:len(change.parents) > 0 and compare_revid is None"
-                   tal:attributes="href python:url(['/diff', change.revno], clear=1)">download diff</a>
-            <a tal:condition="python:compare_revid is not None"
-                   tal:attributes="href python:url(['/diff', change.revno, history.get_revno(compare_revid)], clear=1)">download diff</a>
-            </li>
             <li id="last"><a tal:attributes="href python:url(['/changes', change.revno]); 
                                   title string:view history from revision ${change/revno}"
                   tal:content="string:view history from revision ${change/revno}"></a></li>

=== modified file 'loggerhead/templates/revisioninfo.pt'
--- loggerhead/templates/revisioninfo.pt	2008-08-05 19:25:28 +0000
+++ loggerhead/templates/revisioninfo.pt	2008-07-25 02:06:37 +0000
@@ -13,7 +13,7 @@
                tal:content="python:revno_with_nick(merge_point)"></a>
         </div>
         <div class="revid" tal:content="string:Revision ID: ${change/revid}"></div>
-        <div class="information" tal:content="python:util.fixed_width(change.comment)"></div>
+        <div class="information" tal:content="change/comment"></div>
     </div>
     <ul id="list-files">
         <tal:block condition="nocall:modified_file_link">

=== removed file 'loggerhead/templates/search-box.pt'
--- loggerhead/templates/search-box.pt	2008-08-13 17:24:10 +0000
+++ loggerhead/templates/search-box.pt	1970-01-01 00:00:00 +0000
@@ -1,10 +0,0 @@
-<tal:search-box>
-  <form tal:attributes="action python:branch.url('/changes',
-                            start_revid=getattr(navigation,
-                            'start_revid', None),
-                            file_id=getattr(navigation, 'file_id', None))">
-    <label>search:</label>
-    <input type="search" name="q" id="q" autocomplete="off" onblur="hide_search();" />
-  </form>
-</tal:search-box>
-

=== modified file 'loggerhead/tests/test_filechangecache.py'
--- loggerhead/tests/test_filechangecache.py	2008-10-24 02:26:05 +0000
+++ loggerhead/tests/test_filechangecache.py	2008-06-25 07:03:06 +0000
@@ -5,18 +5,14 @@
 
 from loggerhead.changecache import FileChangeCache
 
-
 class MockEntry(object):
-
     def __init__(self, revid):
         self.revid = revid
 
 
 class MockHistory(object):
-
     def __init__(self):
         self.fetched_revids = set()
-
     def get_file_changes_uncached(self, entries):
         output = []
         for entry in entries:
@@ -29,7 +25,6 @@
 
     # setup_method and teardown_method are so i can run the tests with
     # py.test and take advantage of the error reporting.
-
     def setup_method(self, meth):
         self.setUp()
 
@@ -43,6 +38,7 @@
         for folder in self.cache_folders:
             shutil.rmtree(folder)
 
+
     def makeHistoryAndEntriesForRevids(self, revids, fill_cache_with=[]):
         cache_folder = tempfile.mkdtemp()
         self.cache_folders.append(cache_folder)
@@ -55,6 +51,7 @@
                                      if entry.revid in fill_cache_with])
         self.history.fetched_revids.clear()
 
+
     def test_empty_cache(self):
         """An empty cache passes all the revids through to the history object.
         """

=== modified file 'loggerhead/tests/test_simple.py'
--- loggerhead/tests/test_simple.py	2008-10-24 02:26:05 +0000
+++ loggerhead/tests/test_simple.py	2008-07-01 04:01:31 +0000
@@ -1,4 +1,5 @@
 import cgi
+import unittest
 import os
 import tempfile
 import shutil
@@ -8,6 +9,7 @@
 import bzrlib.osutils
 from configobj import ConfigObj
 
+from loggerhead.history import History
 from loggerhead.apps.branch import BranchWSGIApp
 from paste.fixture import TestApp
 
@@ -24,7 +26,6 @@
 
     # setup_method and teardown_method are so i can run the tests with
     # py.test and take advantage of the error reporting.
-
     def setup_method(self, meth):
         self.setUp()
 
@@ -51,7 +52,7 @@
     """
 
     def setUpLoggerhead(self):
-        app = TestApp(BranchWSGIApp(self.branch, '').app)
+        app = TestApp(BranchWSGIApp(self.branch).app)
         return app
 
     def tearDown(self):
@@ -78,6 +79,7 @@
         self.msg = 'a very exciting commit message <'
         self.revid = self.tree.commit(message=self.msg)
 
+
     def test_changes(self):
         app = self.setUpLoggerhead()
         res = app.get('/changes')
@@ -90,7 +92,7 @@
 
     def test_annotate(self):
         app = self.setUpLoggerhead()
-        res = app.get('/annotate', params={'file_id': self.fileid})
+        res = app.get('/annotate', params={'file_id':self.fileid})
         for line in self.filecontents.splitlines():
             res.mustcontain(cgi.escape(line))
 
@@ -115,3 +117,4 @@
         app = self.setUpLoggerhead()
         res = app.get('/changes')
         res.mustcontain('No revisions!')
+

=== modified file 'loggerhead/tests/test_templating.py'
--- loggerhead/tests/test_templating.py	2008-10-24 02:26:05 +0000
+++ loggerhead/tests/test_templating.py	2008-06-18 06:34:10 +0000
@@ -1,8 +1,6 @@
 from loggerhead.zptsupport import load_template
 
-RENDERED = u"<html>\n<head>\n<title>%s</title>\n</head>\n\
-<body>\n<div>Hello, %s</div>\n</body>\n</html>"
-
+RENDERED = u"<html>\n<head>\n<title>%s</title>\n</head>\n<body>\n<div>Hello, %s</div>\n</body>\n</html>"
 
 def test_template_lookup():
     template = load_template("loggerhead.tests.simple")

=== removed file 'loggerhead/trace.py'
--- loggerhead/trace.py	2008-10-24 02:26:05 +0000
+++ loggerhead/trace.py	1970-01-01 00:00:00 +0000
@@ -1,75 +0,0 @@
-#
-# Copyright (C) 2008  Canonical Ltd.
-#                     (Authored by Martin Albisetti <argentina@gmail.com)
-# Copyright (C) 2008  Guillermo Gonzalez <guillo.gonzo@gmail.com>
-# Copyright (C) 2006  Robey Pointer <robey@lag.net>
-# Copyright (C) 2006  Goffredo Baroncelli <kreijack@inwind.it>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-#
-
-import os
-import logging
-import sys
-
-
-def make_handler(config, filename):
-    roll = config.get('log.roll', 'never')
-    if roll == 'daily':
-        h = logging.handlers.TimedRotatingFileHandler(filename,
-                                                      'midnight',
-                                                      1,
-                                                      100)
-    elif roll == 'weekly':
-        h = logging.handlers.TimedRotatingFileHandler(filename, 'W0', 1, 100)
-    else:
-        h = logging.FileHandler(filename)
-    return h
-
-
-def setup_logging(log_folder, config, foreground):
-    # i hate that stupid logging config format, so just set up logging here.
-
-    if not os.path.exists(log_folder):
-        os.mkdir(log_folder)
-
-    f = logging.Formatter('%(levelname)-.3s [%(asctime)s.%(msecs)03d]'
-                          ' %(name)s: %(message)s',
-                          '%Y%m%d-%H:%M:%S')
-    debug_log = make_handler(config, os.path.join(log_folder, 'debug.log'))
-    debug_log.setLevel(logging.DEBUG)
-    debug_log.setFormatter(f)
-    if foreground:
-        stdout_log = logging.StreamHandler(sys.stdout)
-        stdout_log.setLevel(logging.DEBUG)
-        stdout_log.setFormatter(f)
-    f = logging.Formatter('[%(asctime)s.%(msecs)03d] %(message)s',
-                          '%Y%m%d-%H:%M:%S')
-    access_log = make_handler(config, os.path.join(log_folder, 'access.log'))
-    access_log.setLevel(logging.INFO)
-    access_log.setFormatter(f)
-
-    error_log = make_handler(config, os.path.join(log_folder, 'error.log'))
-    error_log.setLevel(logging.ERROR)
-    error_log.setFormatter(f)
-
-    logging.getLogger('').setLevel(logging.DEBUG)
-    logging.getLogger('').addHandler(debug_log)
-    logging.getLogger('loggerhead.access').addHandler(access_log)
-    logging.getLogger('loggerhead').setLevel(logging.ERROR)
-    logging.getLogger('loggerhead').addHandler(error_log)
-
-    if foreground:
-        logging.getLogger('').addHandler(stdout_log)

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2008-10-24 02:26:05 +0000
+++ loggerhead/util.py	2008-07-26 17:53:10 +0000
@@ -32,13 +32,10 @@
 import struct
 import threading
 import time
-import sys
-import os
-import subprocess
+import types
 
 log = logging.getLogger("loggerhead.controllers")
 
-
 def fix_year(year):
     if year < 70:
         year += 2000
@@ -57,16 +54,12 @@
 # displaydate and approximatedate return an elementtree <span> Element
 # with the full date in a tooltip.
 
-
 def date_day(value):
     return value.strftime('%Y-%m-%d')
 
 
 def date_time(value):
-    if value is not None:
-        return value.strftime('%Y-%m-%d %T')
-    else:
-        return 'N/A'
+    return value.strftime('%Y-%m-%d %T')
 
 
 def _displaydate(date):
@@ -131,7 +124,6 @@
     """
     Convert a dict into an object with attributes.
     """
-
     def __init__(self, _dict=None, **kw):
         if _dict is not None:
             for key, value in _dict.iteritems():
@@ -142,8 +134,7 @@
     def __repr__(self):
         out = '{ '
         for key, value in self.__dict__.iteritems():
-            if key.startswith('_') or (getattr(self.__dict__[key],
-                                       '__call__', None) is not None):
+            if key.startswith('_') or (getattr(self.__dict__[key], '__call__', None) is not None):
                 continue
             out += '%r => %r, ' % (key, value)
         out += '}'
@@ -159,7 +150,6 @@
 STANDARD_PATTERN = re.compile(r'^(.*?)\s*<(.*?)>\s*$')
 EMAIL_PATTERN = re.compile(r'[-\w\d\+_!%\.]+@[-\w\d\+_!%\.]+')
 
-
 def hide_email(email):
     """
     try to obsure any email address in a bazaar committer's name.
@@ -184,8 +174,6 @@
 #_BADCHARS_RE = re.compile(ur'[\u007f-\uffff]')
 
 # FIXME: get rid of this method; use fixed_width() and avoid XML().
-
-
 def html_clean(s):
     """
     clean up a string for html display.  expand any tabs, encode any html
@@ -196,10 +184,8 @@
     s = s.replace(' ', '&nbsp;')
     return s
 
-
 NONBREAKING_SPACE = u'\N{NO-BREAK SPACE}'
 
-
 def fill_div(s):
     """
     CSS is stupid. In some cases we need to replace an empty value with
@@ -207,7 +193,7 @@
 
     return: the same value recieved if not empty, and a '&nbsp;' if it is.
     """
-
+    
 
     if s is None:
         return '&nbsp;'
@@ -277,7 +263,6 @@
 P95_MEG = int(0.9 * MEG)
 P95_GIG = int(0.9 * GIG)
 
-
 def human_size(size, min_divisor=0):
     size = int(size)
     if (size == 0) and (min_divisor == 0):
@@ -302,7 +287,7 @@
 
     out = str(base)
     if (base < 100) and (dot != 0):
-        out += '.%d' % (dot)
+        out += '.%d' % (dot,)
     if divisor == KILO:
         out += 'K'
     elif divisor == MEG:
@@ -323,12 +308,10 @@
         navigation.position = 0
     navigation.count = len(navigation.revid_list)
     navigation.page_position = navigation.position // navigation.pagesize + 1
-    navigation.page_count = (len(navigation.revid_list) + (navigation.pagesize\
- - 1)) // navigation.pagesize
+    navigation.page_count = (len(navigation.revid_list) + (navigation.pagesize - 1)) // navigation.pagesize
 
     def get_offset(offset):
-        if (navigation.position + offset < 0) or (
-           navigation.position + offset > navigation.count - 1):
+        if (navigation.position + offset < 0) or (navigation.position + offset > navigation.count - 1):
             return None
         return navigation.revid_list[navigation.position + offset]
 
@@ -341,7 +324,7 @@
             navigation.next_page_revid)
     start_revno = navigation.history.get_revno(navigation.start_revid)
 
-    params = {'filter_file_id': navigation.filter_file_id}
+    params = { 'filter_file_id': navigation.filter_file_id }
     if getattr(navigation, 'query', None) is not None:
         params['q'] = navigation.query
 
@@ -356,73 +339,7 @@
             [navigation.scan_url, next_page_revno], **params)
 
 
-def directory_breadcrumbs(path, is_root, view):
-    """
-    Generate breadcrumb information from the directory path given
-
-    The path given should be a path up to any branch that is currently being
-    served
-
-    Arguments:
-    path -- The path to convert into breadcrumbs
-    is_root -- Whether or not loggerhead is serving a branch at its root
-    view -- The type of view we are showing (files, changes etc)
-    """
-    # Is our root directory itself a branch?
-    if is_root:
-        if view == 'directory':
-            directory = 'files'
-        breadcrumbs = [{
-            'dir_name': path,
-            'path': '',
-            'suffix': view,
-        }]
-    else:
-        # Create breadcrumb trail for the path leading up to the branch
-        breadcrumbs = [{
-            'dir_name': "(root)",
-            'path': '',
-            'suffix': '',
-        }]
-        if path != '/':
-            dir_parts = path.strip('/').split('/')
-            for index, dir_name in enumerate(dir_parts):
-                breadcrumbs.append({
-                    'dir_name': dir_name,
-                    'path': '/'.join(dir_parts[:index + 1]),
-                    'suffix': '',
-                })
-            # If we are not in the directory view, the last crumb is a branch,
-            # so we need to specify a view
-            if view != 'directory':
-                breadcrumbs[-1]['suffix'] = '/' + view
-    return breadcrumbs
-
-
-def branch_breadcrumbs(path, inv, view):
-    """
-    Generate breadcrumb information from the branch path given
-
-    The path given should be a path that exists within a branch
-
-    Arguments:
-    path -- The path to convert into breadcrumbs
-    inv -- Inventory to get file information from
-    view -- The type of view we are showing (files, changes etc)
-    """
-    dir_parts = path.strip('/').split('/')
-    inner_breadcrumbs = []
-    for index, dir_name in enumerate(dir_parts):
-        inner_breadcrumbs.append({
-            'dir_name': dir_name,
-            'file_id': inv.path2id('/'.join(dir_parts[:index + 1])),
-            'suffix': '/' + view,
-        })
-    return inner_breadcrumbs
-
-
 def decorator(unbound):
-
     def new_decorator(f):
         g = unbound(f)
         g.__name__ = f.__name__
@@ -436,15 +353,11 @@
 
 
 # common threading-lock decorator
-
-
 def with_lock(lockname, debug_name=None):
     if debug_name is None:
         debug_name = lockname
-
     @decorator
     def _decorator(unbound):
-
         def locked(self, *args, **kw):
             getattr(self, lockname).acquire()
             try:
@@ -457,20 +370,17 @@
 
 @decorator
 def lsprof(f):
-
     def _f(*a, **kw):
         from loggerhead.lsprof import profile
         import cPickle
         z = time.time()
         ret, stats = profile(f, *a, **kw)
-        log.debug('Finished profiled %s in %d msec.' % (f.__name__,
-            int((time.time() - z) * 1000)))
+        log.debug('Finished profiled %s in %d msec.' % (f.__name__, int((time.time() - z) * 1000)))
         stats.sort()
         stats.freeze()
         now = time.time()
         msec = int(now * 1000) % 1000
-        timestr = time.strftime('%Y%m%d%H%M%S',
-                                time.localtime(now)) + ('%03d' % msec)
+        timestr = time.strftime('%Y%m%d%H%M%S', time.localtime(now)) + ('%03d' % msec)
         filename = f.__name__ + '-' + timestr + '.lsprof'
         cPickle.dump(stats, open(filename, 'w'), 2)
         return ret
@@ -532,67 +442,3 @@
     overrides = dict((k, v) for (k, v) in overrides.iteritems() if k in _valid)
     map.update(overrides)
     return map
-
-
-class Reloader(object):
-    """
-    This class wraps all paste.reloader logic. All methods are @classmethod.
-    """
-
-    _reloader_environ_key = 'PYTHON_RELOADER_SHOULD_RUN'
-
-    @classmethod
-    def _turn_sigterm_into_systemexit(self):
-        """
-        Attempts to turn a SIGTERM exception into a SystemExit exception.
-        """
-        try:
-            import signal
-        except ImportError:
-            return
-
-        def handle_term(signo, frame):
-            raise SystemExit
-        signal.signal(signal.SIGTERM, handle_term)
-
-    @classmethod
-    def is_installed(self):
-        return os.environ.get(self._reloader_environ_key)
-
-    @classmethod
-    def install(self):
-        from paste import reloader
-        reloader.install(int(1))
-
-    @classmethod
-    def restart_with_reloader(self):
-        """Based on restart_with_monitor from paste.script.serve."""
-        print 'Starting subprocess with file monitor'
-        while 1:
-            args = [sys.executable] + sys.argv
-            new_environ = os.environ.copy()
-            new_environ[self._reloader_environ_key] = 'true'
-            proc = None
-            try:
-                try:
-                    self._turn_sigterm_into_systemexit()
-                    proc = subprocess.Popen(args, env=new_environ)
-                    exit_code = proc.wait()
-                    proc = None
-                except KeyboardInterrupt:
-                    print '^C caught in monitor process'
-                    return 1
-            finally:
-                if (proc is not None
-                    and hasattr(os, 'kill')):
-                    import signal
-                    try:
-                        os.kill(proc.pid, signal.SIGTERM)
-                    except (OSError, IOError):
-                        pass
-
-            # Reloader always exits with code 3; but if we are
-            # a monitor, any exit code will restart
-            if exit_code != 3:
-                return exit_code
-            print '-'*20, 'Restarting', '-'*20

=== modified file 'loggerhead/wholehistory.py'
--- loggerhead/wholehistory.py	2008-10-24 02:26:05 +0000
+++ loggerhead/wholehistory.py	2008-07-26 14:52:44 +0000
@@ -41,7 +41,7 @@
 
     last_revid = branch.last_revision()
 
-    log = logging.getLogger('loggerhead.%s' % branch.nick)
+    log = logging.getLogger('loggerhead.%s' % (branch.nick,))
 
     graph = branch.repository.get_graph()
     parent_map = dict(((key, value) for key, value in
@@ -72,7 +72,7 @@
         for parent in _revision_graph[revid]:
             _where_merged.setdefault(parent, set()).add(revid)
 
-    log.info('built revision graph cache: %r secs' % (time.time() - z))
+    log.info('built revision graph cache: %r secs' % (time.time() - z,))
 
     return (_revision_graph, _full_history, _revision_info,
             _revno_revid, _merge_sort, _where_merged)

=== modified file 'loggerhead/zptsupport.py'
--- loggerhead/zptsupport.py	2008-10-24 02:26:05 +0000
+++ loggerhead/zptsupport.py	2008-07-26 14:52:44 +0000
@@ -27,8 +27,6 @@
 
 
 _zpt_cache = {}
-
-
 def zpt(tfile):
     tinstance = _zpt_cache.get(tfile)
     stat = os.stat(tfile)
@@ -76,7 +74,7 @@
         package = classname[0:divider]
         basename = classname[divider+1:]
     else:
-        raise ValueError("All templates must be in a package")
+        raise ValueError, "All templates must be in a package"
 
     tfile = pkg_resources.resource_filename(
         package, "%s.%s" % (basename, "pt"))

=== removed file 'loggerheadd'
--- loggerheadd	2008-11-08 22:36:58 +0000
+++ loggerheadd	1970-01-01 00:00:00 +0000
@@ -1,101 +0,0 @@
-#!/bin/sh
-### BEGIN INIT INFO
-# Required-Start:       $local_fs $remote_fs $network
-# Default-Start:        3 5
-# Default-Stop:         0 1 2 6
-# Short-Description:    Loggerhead
-# Description:          Manage Loggerhead (a web viewer for projects in bazaar)
-### END INIT INFO
-
-
-#
-# Configure this please:
-# (Please stop loggerhead before changing the configuration, otherwise this
-#   script might not be able to kill loggerhead)
-#
-
-# If serve-branches is not in your path, you will need to specify the full path:
-SERVE_BRANCHES_CMD=serve-branches
-
-LOG_FOLDER=/var/log/loggerhead
-LOG_FILE=$LOG_FOLDER/loggerheadd.log
-URL_PREFIX=/loggerhead
-PORT=8080
-
-#please specify the base directory to serve:
-BZRROOT=/bzrroot
-
-# You can add additional options to serve-branches here:
-START_CMD="$SERVE_BRANCHES_CMD --prefix=$URL_PREFIX --log-folder=$LOG_FOLDER --port=$PORT $BZRROOT"
-
-
-#
-# main part
-#
-
-loggerhead_process(){
-    pgrep -fl "$START_CMD"
-}
-
-loggerhead_status(){
-    proccess=`loggerhead_process`
-    #echo "$proccess"
-    listening=`netstat -nl |grep -e ":$PORT "`
-    #echo "$listening"
-    if [ -z "$proccess" ]; then
-        echo "Loggerhead is *not* running."
-    else
-        echo "Loggerhead is running."
-        if [ -z "$listening" ]; then
-            echo "This server is *not* listening on port $PORT."
-        else
-            echo "This server is listening on port $PORT."
-        fi
-    fi
-}
-
-start_loggerhead(){
-    echo "Starting loggerhead.   (See $LOG_FOLDER for details.)"
-
-    # make sure the log folder is created
-    mkdir -p $LOG_FOLDER
-    echo "" > $LOG_FILE
-    python $START_CMD > $LOG_FILE 2>&1 &
-
-    #wait a little while of some logging to appear
-    log=""
-    for i in $(seq 1 3 30); do
-        log=`cat $LOG_FILE`
-        if [ -n "$log" ]; then
-            break
-        fi
-        sleep 0.3
-    done
-    tail $LOG_FILE
-    loggerhead_status
-}
-
-stop_loggerhead(){
-    echo "Stopping loggerhead."
-    pkill -f "$START_CMD"
-    loggerhead_status
-}
-
-case "$1" in
-    start)
-        start_loggerhead
-    ;;
-    stop)
-        stop_loggerhead
-    ;;
-    status)
-        loggerhead_status
-    ;;
-    restart)
-        stop_loggerhead
-        start_loggerhead
-    ;;
-    *)
-        echo "Usage: loggerheadd { start | stop | status | restart }"
-        exit 1
-esac

=== modified file 'serve-branches'
--- serve-branches	2008-11-14 06:36:13 +0000
+++ serve-branches	2008-08-01 04:42:14 +0000
@@ -28,8 +28,6 @@
 from loggerhead import __version__
 from loggerhead.apps.filesystem import (
     BranchesFromFileSystemRoot, UserBranchesFromFileSystemRoot)
-from loggerhead.util import Reloader
-from loggerhead.apps.error import ErrorHandlerApp
 
 
 def command_line_parser():
@@ -37,33 +35,20 @@
     parser.set_defaults(
         user_dirs=False,
         show_version=False,
-        log_folder=None,
         )
     parser.add_option("--user-dirs", action="store_true", dest="user_dirs",
                       help="Serve user directories as ~user.")
     parser.add_option("--trunk-dir", metavar="DIR",
                       help="The directory that contains the trunk branches.")
-    parser.add_option("--port", dest="user_port",
-                      help=("Port Loggerhead should listen on "
-                            "(defaults to 8080)."))
-    parser.add_option("--host", dest="user_host",
-                      help="Host Loggerhead should listen on.")
-    parser.add_option("--prefix", dest="user_prefix",
-                      help="Specify host prefix.")
-    parser.add_option("--profile", action="store_true", dest="profile",
-                      help="Generate callgrind profile data to "
-                        "%d-stats.callgrind on each request.")
-    parser.add_option("--reload", action="store_true", dest="reload",
-                      help="Restarts the application when changing python"
-                           " files. Only used for development purposes.")
-    parser.add_option('--log-folder', dest="log_folder",
-                      type=str, help="The directory to place log files in.")
     parser.add_option("--version", action="store_true", dest="show_version",
                       help="Print the software version and exit")
     return parser
 
 
 def main(args):
+    logging.basicConfig()
+    logging.getLogger().setLevel(logging.DEBUG)
+
     parser = command_line_parser()
     (options, args) = parser.parse_args(sys.argv[1:])
 
@@ -87,12 +72,6 @@
         print "--trunk-dir is only valid with --user-dirs"
         sys.exit(1)
 
-    if options.reload:
-        if Reloader.is_installed():
-            Reloader.install()
-        else:
-            return Reloader.restart_with_reloader()
-
     if options.user_dirs:
         if not options.trunk_dir:
             print "You didn't specify a directory for the trunk directories."
@@ -100,52 +79,17 @@
         app = UserBranchesFromFileSystemRoot(path, options.trunk_dir)
     else:
         app = BranchesFromFileSystemRoot(path)
-
-    # setup_logging()
-    logging.basicConfig()
-    logging.getLogger('').setLevel(logging.DEBUG)
-    logger = getattr(app, 'log', logging.getLogger('loggerhead'))
-    if options.log_folder:
-        logfile_path = os.path.join(options.log_folder, 'serve-branches.log')
-    else:
-        logfile_path = 'serve-branches.log'
-    logfile = logging.FileHandler(logfile_path, 'a')
-    formatter = logging.Formatter('%(asctime)s %(levelname)-8s %(name)s:'
-                                  ' %(message)s')
-    logfile.setFormatter(formatter)
-    logfile.setLevel(logging.DEBUG)
-    logger.addHandler(logfile)
-    # setup_logging() #end
-    app = ErrorHandlerApp(app)
     app = HTTPExceptionHandler(app)
-    app = TransLogger(app, logger=logger)
-    if options.profile:
-        from loggerhead.middleware.profile import LSProfMiddleware
-        app = LSProfMiddleware(app)
-
-    if not options.user_prefix:
-        prefix = '/'
-    else:
-        prefix = options.user_prefix
+    app = TransLogger(app)
 
     try:
         from paste.deploy.config import PrefixMiddleware
     except ImportError:
         pass
     else:
-        app = PrefixMiddleware(app, prefix=prefix)
-
-    if not options.user_port:
-        port = '8080'
-    else:
-        port = options.user_port
-
-    if not options.user_host:
-        host = '0.0.0.0'
-    else:
-        host = options.user_host
-
-    httpserver.serve(app, host=host, port=port)
+        app = PrefixMiddleware(app)
+
+    httpserver.serve(app, host='0.0.0.0', port='8080')
 
 
 if __name__ == "__main__":

=== modified file 'serve-branches.1'
--- serve-branches.1	2008-09-10 23:12:59 +0000
+++ serve-branches.1	2008-08-05 16:02:23 +0000
@@ -1,6 +1,6 @@
 .TH LOGGERHEAD "1" "August 2008" "loggerhead 1.6" "User Commands"
 .SH NAME
-loggerhead \- run a loggerhead server
+loggerhead \- manual page for loggerhead 1.6
 .SH SYNOPSIS
 .B serve-branches
 [\fIoptions\fR] \fI<path>\fR
@@ -21,23 +21,8 @@
 \fB\-\-trunk\-dir\fR=\fIDIR\fR
 The directory that contains the trunk branches.
 .TP
-\fB\-\-port\fR
-Port Loggerhead should listen on (defaults to 8080).
-.TP
-\fB\-\-host\fR
-Host Loggerhead should listen on.
-.TP
-\fB\-\-prefix\fR
-Specify host prefix.
-.TP
-\fB\-\-reload\fR
-Restarts the application when changing python files. Only used for development purposes.
-.TP
-\fB\-\-log\-folder\fR=\fILOG_FOLDER\fR
-The directory to place log files
-.TP
 \fB\-\-version\fR
-Print the software version and exit.
+Print the software version and exit
 .SH "LICENSE"
 GNU GPLv2 or later.
 .SH "SEE ALSO"

=== modified file 'setup.py'
--- setup.py	2008-10-24 02:26:05 +0000
+++ setup.py	2008-08-05 16:02:23 +0000
@@ -31,18 +31,17 @@
     maintainer = "Michael Hudson",
     maintainer_email = "michael.hudson@canonical.com",
     scripts = ["start-loggerhead", "stop-loggerhead", "serve-branches"],
-    packages = ["loggerhead",
-                "loggerhead/apps",
-                "loggerhead/controllers",
+    packages = ["loggerhead", 
+                "loggerhead/apps", 
+                "loggerhead/controllers", 
                 "loggerhead/templates"],
-    package_data = {"loggerhead": ["templates/*.pt",
-                                   "static/css/*.css",
-                                   "static/javascript/*",
-                                   "static/images/*"]},
+    package_data = {"loggerhead":["templates/*.pt", 
+                                  "static/css/*.css", 
+                                  "static/javascript/*", 
+                                  "static/images/*"]},
     data_files = [
-        ('share/man/man1', ['start-loggerhead.1',
-                            'stop-loggerhead.1',
-                            'serve-branches.1']),
+        ('share/man/man1',['start-loggerhead.1', 'stop-loggerhead.1', 
+                           'serve-branches.1']),
         ('share/doc/loggerhead', ['loggerhead.conf.example']),
         ],
     )

=== modified file 'start-loggerhead'
--- start-loggerhead	2008-10-24 02:26:05 +0000
+++ start-loggerhead	2008-07-26 17:53:10 +0000
@@ -29,56 +29,84 @@
 from paste.httpexceptions import make_middleware
 from paste.translogger import make_filter
 
-from loggerhead import daemon
+from loggerhead import daemon, release
 from loggerhead.apps.config import Root
-from loggerhead.trace import make_handler, setup_logging
-from loggerhead.apps.error import ErrorHandlerApp
+
+
+def make_handler(config, filename):
+    roll = config.get('log.roll', 'never')
+    if roll == 'daily':
+        h = logging.handlers.TimedRotatingFileHandler(filename, 'midnight', 0, 100)
+    elif roll == 'weekly':
+        h = logging.handlers.TimedRotatingFileHandler(filename, 'W0', 0, 100)
+    else:
+        h = logging.FileHandler(filename)
+    return h
+
+
+def setup_logging(home, config, foreground):
+    # i hate that stupid logging config format, so just set up logging here.
+
+    log_folder = os.path.join(home, 'logs')
+    if not os.path.exists(log_folder):
+        os.mkdir(log_folder)
+
+    f = logging.Formatter('%(levelname)-.3s [%(asctime)s.%(msecs)03d] %(name)s: %(message)s',
+                          '%Y%m%d-%H:%M:%S')
+    debug_log = make_handler(config, os.path.join(log_folder, 'debug.log'))
+    debug_log.setLevel(logging.DEBUG)
+    debug_log.setFormatter(f)
+    if foreground:
+        stdout_log = logging.StreamHandler(sys.stdout)
+        stdout_log.setLevel(logging.DEBUG)
+        stdout_log.setFormatter(f)
+    f = logging.Formatter('[%(asctime)s.%(msecs)03d] %(message)s',
+                          '%Y%m%d-%H:%M:%S')
+    access_log = make_handler(config, os.path.join(log_folder, 'access.log'))
+    access_log.setLevel(logging.INFO)
+    access_log.setFormatter(f)
+
+    logging.getLogger('').setLevel(logging.DEBUG)
+    logging.getLogger('').addHandler(debug_log)
+    logging.getLogger('wsgi').addHandler(access_log)
+
+    if foreground:
+        logging.getLogger('').addHandler(stdout_log)
+
 
 
 def main():
-    home = os.path.realpath(os.path.dirname(__file__))
-    default_pidfile = os.path.join(home, 'loggerhead.pid')
-    default_configfile = os.path.join(home, 'loggerhead.conf')
-    default_log_folder = os.path.join(home, 'logs')
-    parser = OptionParser(usage='usage: %prog [options]', version='%prog')
-    parser.add_option('-f', '--foreground',
-                      action='store_true', dest='foreground', default=False,
+    parser = OptionParser(usage='usage: %prog [options]', version='%prog ' + release.version)
+    parser.add_option('-f', '--foreground', action='store_true', dest='foreground', default=False,
                       help="run in the foreground; don't daemonize")
-    parser.add_option('-C', '--check', action='store_true',
-                      dest='check', default=False,
-                      help=("only start if not already running (useful for "
-                            "cron jobs)"))
-    parser.add_option('-p', '--pidfile', dest="pidfile",
-                      default=default_pidfile,
-                      type=str, help="override pidfile location")
-    parser.add_option('-c', '--config-file', dest="configfile",
-                      default=default_configfile,
-                      type=str, help="override configuration file location")
-    parser.add_option('-L', '--log-folder', dest="log_folder",
-                      default=default_log_folder,
-                      type=str, help="override log file directory")
+    parser.add_option('-C', '--check', action='store_true', dest='check', default=False,
+                      help="only start if not already running (useful for cron jobs)")
     options, args = parser.parse_args()
     if len(args) > 0:
         parser.error('No filename arguments are used, only options.')
 
+
+    home = os.path.realpath(os.path.dirname(__file__))
+    pidfile = os.path.join(home, 'loggerhead.pid')
+
     if options.check:
-        if daemon.is_running(options.pidfile):
+        if daemon.is_running(pidfile):
             sys.exit(0)
-        sys.stderr.write('Did not find loggerhead running in %r;' % (
-                         options.pidfile))
-        sys.stderr.write(' restarting...\n')
+        sys.stderr.write('Did not find loggerhead running in %r; restarting...\n' % (pidfile,))
 
     # read loggerhead config
 
-    config = ConfigObj(options.configfile, encoding='utf-8')
+    config = ConfigObj(os.path.join(home, 'loggerhead.conf'), encoding='utf-8')
     extra_path = config.get('bzrpath', None)
     if extra_path:
         sys.path.insert(0, extra_path)
 
-    potential_overrides = [('server.socket_port', int),
-                           ('server.webpath', str),
-                           ('server.thread_pool', int),
-                           ('server.socket_host', str)]
+    #turbogears.update_config(configfile="dev.cfg", modulename="loggerhead.config")
+
+    potential_overrides = [ ('server.socket_port', int),
+                            ('server.webpath', str),
+                            ('server.thread_pool', int),
+                            ('server.socket_host' ,str) ]
     server_port = int(config.get('server.socket_port', 8080))
     nworkers = int(config.get('server.thread_pool', 10))
     server_host = config.get('server.socket_host', '0.0.0.0')
@@ -88,16 +116,17 @@
         value = config.get(key, None)
         if value is not None:
             value = keytype(value)
+            #turbogears.config.update({ key: value })
 
     if not options.foreground:
         sys.stderr.write('\n')
         sys.stderr.write('Launching loggerhead into the background.\n')
-        sys.stderr.write('PID file: %s\n' % options.pidfile)
+        sys.stderr.write('PID file: %s\n' % (pidfile,))
         sys.stderr.write('\n')
 
-        daemon.daemonize(options.pidfile, home)
+        daemon.daemonize(pidfile, home)
 
-    setup_logging(options.log_folder, config, foreground=options.foreground)
+    setup_logging(home, config, foreground=options.foreground)
 
     log = logging.getLogger('loggerhead')
     log.info('Starting up...')
@@ -106,12 +135,10 @@
 
     app = app
     app = make_middleware(app)
-    app = make_filter(app, None, logger_name=log.name+'.access')
-    app = ErrorHandlerApp(app)
+    app = make_filter(app, None)
 
     if webpath:
         scheme, netloc, path, blah, blah, blah = urlparse.urlparse(webpath)
-
         def app(environ, start_response, orig=app):
             environ['SCRIPT_NAME'] = path
             environ['HTTP_HOST'] = netloc
@@ -124,7 +151,7 @@
     finally:
         log.info('Shutdown.')
         try:
-            os.remove(options.pidfile)
+            os.remove(pidfile)
         except OSError:
             pass
 

=== modified file 'start-loggerhead.1'
--- start-loggerhead.1	2008-08-06 18:33:20 +0000
+++ start-loggerhead.1	2008-07-26 14:09:59 +0000
@@ -23,15 +23,6 @@
 .TP
 \fB\-C\fR, \fB\-\-check\fR
 only start if not already running (useful for cron jobs)
-.TP
-\fB\-p\fR, \fB\-\-pidfile=PIDFILE\fR
-override pid file location
-.TP
-\fB\-c\fR, \fB\-\-config-file=CONFIGFILE\fR
-override configuration file location
-.TP
-\fB\-L\fR, \fB\-\-log-folder=LOG-FOLDER\fR
-override log directory
 .SH "LICENSE"
 GNU GPLv2 or later.
 .SH "SEE ALSO"

=== modified file 'stop-loggerhead'
--- stop-loggerhead	2008-10-24 02:26:05 +0000
+++ stop-loggerhead	2008-08-04 23:46:37 +0000
@@ -17,22 +17,14 @@
 
 import os
 import sys
-from optparse import OptionParser
 
 home = os.path.realpath(os.path.dirname(__file__))
-default_pidfile = os.path.join(home, 'loggerhead.pid')
-parser = OptionParser(usage='usage: %prog [options]', version='%prog')
-parser.add_option('-p', '--pidfile', dest="pidfile", default=default_pidfile,
-                  help="override pidfile location")
-
-options, args = parser.parse_args()
-if len(args) > 0:
-    parser.error('No filename arguments are used, only options.')
+pidfile = os.path.join(home, 'loggerhead.pid')
 
 try:
-    f = open(options.pidfile, 'r')
+    f = open(pidfile, 'r')
 except IOError, e:
-    print 'Pid file %s not found.' % options.pidfile
+    print 'No pid file found.'
     sys.exit(1)
 
 pid = int(f.readline())
@@ -44,7 +36,7 @@
     sys.exit(1)
 
 print
-print 'Shutting down previous server @ pid %d.' % pid
+print 'Shutting down previous server @ pid %d.' % (pid,)
 print
 
 import signal

=== modified file 'stop-loggerhead.1'
--- stop-loggerhead.1	2008-08-06 18:39:15 +0000
+++ stop-loggerhead.1	2008-07-26 14:09:59 +0000
@@ -7,10 +7,6 @@
 Loggerhead is a web viewer for projects in bazaar. It can be used to navigate 
 a branch history, annotate files, view patches, perform searches, etc. It's 
 heavily based on bazaar-webserve, which is itself based on hgweb for Mercurial.
-.SH OPTIONS
-.TP
-\fB\-p\fR, \fB\-\-pidfile=PIDFILE\fR
-override pid file location
 .PP
 The stop-loggerhead command stops the currently running loggerhead server.
 .SH "LICENSE"

